Welcome

Explore the new features offered in version 3.2.

Download a printable manual

Visit version 3.2's documentation errata and addendum page

Visit Brown & Sharpe's company website

Visit Brown & Sharpe's technical support

Visit the developer's website


Overview: Introduction

PC-DMIS for Windows is a full-featured, geometric measurement package. It translates the high-level commands required to measure parts into the detailed steps necessary to drive a Coordinate Measuring Machine (CMM). PC-DMIS for Windows incorporates Microsoft's Windows interface to create, as well as execute part programs. The user can easily begin the measurement process by taking advantage of the drop-down menus, dialog boxes, and icons. The versatility of PC-DMIS's interface also provides an easy way to customize the software to meet individual specifications.

The primary goals driving the design of PC-DMIS for Windows were flexibility and user friendliness. To meet these goals, PC-DMIS provides a flexible environment allowing for real-time error correction as opposed to the long, tedious debugging process characteristic of other geometric software packages. It is dimension oriented to reduce the need to analyze and interpret the results of CMM measurements. The techniques used for part programming on a CMM are straightforward and, with practice, systematic. This manual does not attempt to completely describe the dimensional inspection process. If additional information is needed on the fundamentals of dimensional inspections, please contact your Brown & Sharpe representative.

We hope you will enjoy using PC-DMIS and find it a useful and powerful tool. If you have any suggestions or comments, please let us know. We are always looking for ways to improve our product.

The main topics in this section include:

  • Version Enhancements

  • Organization of Manual

  • CAD Links

  • Software Configurations


Version Enhancements

This topic briefly discusses the new enhancements added to PC-DMIS Version 3.2. Where necessary, you will be referred to the appropriate section for additional information on the new enhancement.

  • Edit window Summary Mode added. This new mode allows you to view your entire part program in the form of an expandable and collapsible graphical summary. See "Summary Mode" in the "Editing a Part Program" section for more information.

  • Text Box Mode added. This new mode allows you to use shortcut menus to easily create and modify Dimension Info boxes and Point Info boxes. See "Text Box Mode" in the "Utilities" section for more information.

  • Improved text box design for Dimension Info and Point Info boxes includes an option to include a color bar displaying tolerances and an option to display graphical icons. See the following
    "Point Info Format" and
    "Graph Options" in the "Graphic Options" section.
    "Show Icon in Text Boxes" in the "System Options" section.

  • Ability to display the improved Dimension Info boxes and Point Info boxes in the Edit window's Report mode added.

  • Option to graphically display the dimension percentage added. This allows you to display a graph in the Dimension Info box. See "Edit Dimension Info" in the "Graphics Options" section.

  • Improved support for printing reports added. A new print command can be inserted into the Edit window allowing you greater control of what gets printed. See "Inserting a Print Command" in the "Editing a Part Program" section for more information.

  • Prompt option for Edit window output added. If selected, then at the end of program execution PC-DMIS displays a Save As dialog box allowing the naming and saving of report files. See "Output to a File" in the "Editing a Part Program" section.

  • Option to print reports as either a Rich Text Format (RTF) or a Portable Document Format (PDF) file added. This allows greater cross platform viewing of reports. See "Print Setup" in the "Editing a Part Program" section for more information.

  • Preview Window added. This new window allows you to preview the results of a feature measurement before actually accepting the measurement. See "Preview Window" in the "File Options" section for more information.

  • Toolbars of commonly used commands and features added. The Feature Buttons toolbar easily switches between the toolbars used for Dimensions, Constructed Features, Sheet Metal Features, and Measured Features. See "Toolbars" in the "Utilities" section for more information.

  • Add-Ins toolbar added. This toolbar allows you to easily access your own external applications within PC-DMIS. See "Add-Ins Toolbar" in the "Utilities" section for more information.

  • Sheetmetal Guess Mode added. The new Sheetmetal toolbar contains a Guess icon. This mode allows you to measure the part and create sheetmetal features with the nominal values based on the element in the CAD model. See "Sheetmetal Toolbar" in the "Utilities" section for more information.

  • Wizards for complex tasks added. These wizards cover creating a 3-2-1 Alignment, building a probe, and creating an Iterative Alignment. See "Wizards" in the "Utilities" section for more information.

  • Importing and exporting DMIS 4.0 files supported. See "Importing DMIS Files" and "Export" in the "File Options" section.

  • 3D Grid checkbox added to the Screen Format dialog box. This displays a 3D grid over the part in the Graphics Display window. See "View Setup" in the "Utilities" section for more information.

  • Ability to show features though surfaces added to the Screen Format dialog box. This allows you to show measured features hidden behind a CAD surface to show through when in solid view. See "Show Lines over Surfaces" in the "Utilities" section.

  • 'Read Up To File' I / O command added. This command reads all text 'up to' one of the given delimiters from the specified file. See "Read Up To" in the "Utilities" section for more information.
    • Improved statistical handling includes a new database option that supports Brown and Sharpe's statistical database program, Xact – SPC. See "Database Options" in the "Utilities" section for more information.
  • Support for I/O Channels for controllers added. This allows you to define the state of a the controller. See "I/O Channels" in the "System Options" section for more information.

  • Option to turn probe animation on or off added. See "Animate Probe During Program Mode" in the "System Options" section for more information.

  • Option to automatically position labels added. See "Automatic Label Positioning" in the "System Options" section for more information.

  • Tessellation support added. This allows greater control over the drawing of the part image in the Graphics Display window. See "OpenGL" in the "System Options" section for more information.

  • Support for CV-100 Video Probe added. This allows you measure sheet metal features in PC-DMIS using a CV-100 Video Probe. See "CV-100 Setup" and "CV-100 Parameters" in the "System Options" section for more information.

  • Support for CW43 and CW43Light 3 Axis Wrists added. A new design for Brown and Sharpe infinitely indexable wrists includes a 3rd rotation axis for optimization of measurement when using the CV-100 video probe.

  • Support for the Brown and Sharpe Remote Panel added. PC-DMIS installation includes an application titled "Remote Panel Application" (RPA). See your CV-100 Parameters for information.

  • Option to store a set of CAD surfaces added. This allows you to instantly access the last stored set of CAD surfaces when using the Edit CAD dialog box. See "Set as Priority" in the "Graphics Options" section for more information.

  • Option to use a percentage of the Check Distance when performing a Find Hole operation added. When performing a Find Hole operation, you can tell PC-DMIS to move by a percentage of the check distance. See "Check Distance" in the "System Options" section for more information.

  • Option to turn off corrective, sample hits when performing a Find Hole operation added. By inserting an entry into the PCDLRN.INI file, PC-DMIS will measure found holes like it did in version 2.3, without taking the sample hits. See "Use Point Method Find Hole" in the "PCDLRN.INI" section for more information.

  • Option to rotate about a clickable point when performing a 3D rotate added. By right-clicking in the Graphics Display window, PC-DMIS rotates the part image about the location clicked. See "Pierce CAD on 3D Rotate" in the "System Options" section for more information.

  • Ability to further customize your probe options added. A new Setup button allows you to customize when certain warning messages are displayed, what values to use for certain clearance planes, and more. See "Probe Setup" in the "Utilities" section for more information.


Organization of Manual

This resource manual is divided into fourteen sections. The first twelve sections present the available options and procedures of PC-DMIS. Section 13 builds upon the information in the previous sections to completely step you through the process of creating a part program. The last section contains an easily followed tutorial showing how to create reports using data from your part program.

To give you an idea of the online help's layout, the following list provides a brief description of each section.

  • Section 1 is an overview of the PC-DMIS manual.

  • Section 2 defines the PC-DMIS user interface. We recommend that you read this section to build your skills and get the best performance from your PC-DMIS software.

  • Section 3 explains the management of the PC-DMIS system. It explains how to start the system, manage the part program database, and produce reports on machine usage. It also explains how to revise part programs and process part programs that have been generated on a CAD system.

  • Sections 4 - 10 discuss all of the techniques and commands needed to inspect a part for the first time and develop a part program for later use. They provide information on configuring PC-DMIS to your own preference and requirements. They describe how to change the screen appearance, output formats and machine parameters, etc. The sections follow roughly the same order as the menu headings.

  • Section 11 explains how to modify an existing part program using the Editor. It documents all of the commands that are available in PC-DMIS. This section was created, in part, to further document the procedure of "Learning a Part Program" (see sections 4 - 11). It documents the actual command lines that will be displayed in the Editor. Use this information in conjunction with the techniques and measurement procedures discussed in the previous sections to fully understand the power and flexibility of PC-DMIS.

  • Section 12 details the procedure to execute an existing part program.

  • Section 13 describes the measurement process in an easy to follow tutorial.

  • Section 14 walks through the Hyper-Report creation process in a simple tutorial.

In addition to the above sections, PC-DMIS provides several sections documenting the following:

  • "Offline Part Programming".

  • "Translating a Part Program into PC-DMIS".

  • "Using Master / Slave mode".

  • "PCDLRN.INI File".

  • "Using a Wrist Device".

  • "Operator Mode".

  • "Shortcut Keys".

More:

Conventions


Overview - Organization of Manual - Conventions

Conventions

The following conventions have been used throughout the online help:

More:

Boldface Text

Italicized Text

Uppercase Text

Underlined Text

Bulleted Text

Numbered Lists


Boldface Text

Boldface is used primarily when referring to:

  • Dialog box elements

  • Dialog box titles

  • Command buttons

  • Icons

  • Menus

  • Toolbars

For example:

  1. Select the File menu.

  2. Open up the Open dialog box.

  3. Click the Save button

Boldface may also be used on Notes, Warnings, and Examples.


Italicized Text

Italicized text is primarily used for emphasis. For example, "If. . .the probe hits an obstruction, it will not automatically stop".

Italicized text may also be used for:

  • Book or Manual titles

  • Predefined Arguments (in programming)

  • Parameters (in programming)

  • Place holders (in programming)

  • User Input (in programming)


Uppercase Text

Uppercase text is generally used when referring to:

  • Acronyms (such as VDAFS, DMIS)

  • Time (such as A.M. and P.M.)

  • Key combinations (such as ALT, F, W)

  • Device names (such as LPT1, or COMM PORT 2)\

In those instances where elements of computer programming are displayed, the following also use uppercase:

  • Control classes

  • Data formats

  • Environment variables

  • Handles

  • Hooks

  • Indexes

  • Macros

  • Statements

  • Structures

  • System Commands

  • Values


Underlined Text

Underline is used for emphasis when appropriate, but usually emphasis uses italicized text.


Bulleted Text

Bullets "·" are used to show a list of options, or commands, available to a certain program features or items discussed in a topic or section.


Numbered Lists

Numbered lists show a series of steps in instructions and procedures. For example, "1. Choose File, 2. Select New".


CAD Links

PC-DMIS provides several methods for transmitting CAD geometry, part programs and measurement data from and/or to CAD systems. Working with CAD data is one of PC-DMIS's strengths.

CAD geometry can be imported into, and measurement results exported from, PC-DMIS via:

  • IGES 5.3

  • STEP AP203 & AP214

  • VDAFS

  • DES(2/78)

  • XYZIJK format

PC-DMIS allows you to import the following for use in generating part programs and as a guide in program execution:

  • Two-dimensional wire frame

  • Two and one-half dimensional wire frame

  • Three-dimensional wire frame

  • B-spline curves and surfaces CAD models

See "Off-line Part Programming" for a list of supported IGES entities.

Part programs created in CAD systems can be imported into PC-DMIS by way of DMIS 3.0. PC-DMIS part programs can be exported into DMIS for running in other CMM software. PC-DMIS measurement results can also be exported as a DMIS results file.


Software Configurations

PC-DMIS comes in two different configurations: on-line and off-line. These two distinct products are designed to meet particular needs. They can be used together to create a complete part program, measurement analysis and reverse engineering system.

More:

On-Line Part Programming

Off-Line Part Programming

Comparison of Off-Line and On-Line Versions


On-Line Part Programming

Using on-line PC-DMIS, the user can execute existing part programs, quickly inspect parts (or sections of parts) and develop part programs directly on the CMM. On-line PC-DMIS will not function unless it is connected to a CMM. Off-line programming techniques will work while on-line.


Overview - Software Configurations - Off-Line Part Programming

Off-Line Part Programming

Using off-line PC-DMIS, you can develop and debug part programs away from the CMM by editing a part created on-line, by importing a CAD input file, or through a DMIS, or AVAIL part program. The part program then can be directly executed using on-line PC-DMIS, or exported (post processed) into either DMIS or one of several vendor-specific formats. Off-line PC-DMIS cannot be used to directly drive a CMM.

"Off-Line Part Programming" describes the particulars of the off-line version.


Comparison of Off-Line and On-Line Versions

Since both the on-line and off-line versions share the same features and functions, this help file describes the use of both products. However, in some instances a particular feature of the on-line software does not apply to the off-line software. These cases have been noted where appropriate.


User Interface: Introduction

This section provides an introduction to using PC-DMIS for Windows. It documents the fundamental actions needed to operate the software. To fully exercise the capabilities of PC-DMIS and make your part programming as easy as possible, please read through this entire section and follow along on your computer.

This section also highlights ways to customize some of PC-DMIS's graphical options to best meet individual needs. (Additional information on these available options can be found in the "Graphic's Options" section.)

Each topic listed below illustrates a specific feature of the interface. The following are covered in this section:

  • The mouse

  • Screen appearance

  • The Menu Bar

  • The Toolbar Area

  • The Graphics Display Window

  • Dialog box description

PC-DMIS provides the flexibility of using the mouse or keyboard to enter commands or select options. Shortcut menus Shortcut Menus and shortcut keys have been assigned to frequently used commands.


The Mouse

One of the objectives of PC-DMIS is to be flexible and user friendly. To meet this objective, PC-DMIS allows the use of a two- or three-button mouse as a pointing device. The speed and accuracy of the mouse make it an indispensable part of the PC-DMIS work environment. With it you can execute all PC-DMIS functions. (Keyboard commands can also be used to access most PC-DMIS functions.)

The mouse provides a simple method:

  • To select a value.

  • To select a command.

  • To move/select an image within the Graphics Display window.

More:

Mouse Shapes

Moving/Pointing the Mouse

Clicking the Mouse Button(s)

Holding Down the Mouse Button

ZMouse


Mouse Shapes

The mouse controls a pointer on the screen. The pointer can take on either of the following shapes:

Arrow [image] General arrow pointer
Box [image] Graphics Display window pointer box


Moving/Pointing the Mouse

Move the pointer on the screen by moving the mouse over the desktop in the direction the mouse pointer is to move. Use the mouse to move the mouse pointer to a particular location on the screen or to point at something on the screen.


Clicking the Mouse Button(s)

Throughout this help file, the phrase "click the mouse button" is used. This refers to depressing and quickly releasing the mouse button. For example, if you are instructed to click on a menu choice, use the mouse to move the mouse pointer (arrow shape) to the desired menu choice, then depress and quickly release (click) the left mouse button.

Clicking the left mouse button activates most options. Therefore, whenever there is an instruction to "click on" an item (without reference to a specific button), assume the left mouse button is to be used unless instructed otherwise.

When the help file asks that you click both mouse buttons, depress and quickly release the left and right mouse buttons simultaneously.


Holding Down the Mouse Button

Throughout this manual, the phrase "Hold down the mouse button" is used. This phrase refers to pressing and holding down the mouse button for a brief period of time.


User Interface - The Mouse - ZMouse

ZMouse

Certain Brown and Sharpe systems offer a track ball style of mouse referred to as a ZMouseÒ. This enables the user to control the movement of the mouse pointer from the z rail. The ZMouseÒ will not function when the File Manager is active.

The last line of the parameter file (DOWNLOAD) should read:

N1000 ZMOUSE2
or
N500 ZMOUSE2

To enable the ZMouseÒ please verify that the last line of the DOWNLOAD file reflects the above statement. Modify the line, if necessary.


Screen Appearance

PC-DMIS presents a consistent screen appearance to the user.

The screen is divided into several distinct areas, each of which fulfills a specific function or supplies needed information. A brief description of each screen area can be found below. (Additional information is located throughout the help file as indicated.)

  1. The Title bar displays the title of the current part program. It also contains the maximize and minimize buttons.

  2. The Menu bar contains the menu selections available from the main PCDLRN application.

  3. See The Menu Bar.The Toolbar area contains toolbars with frequently used commands. These toolbars are accessible from the "Utilities" menu or by right-clicking on the Toolbar area.

  4. See Toolbar Area.The View buttons allows you to:
    • Setup the view that will be seen in the Graphics Display window.

    • Save the current view.

    • Scale the drawing to fit within the screen.

    • Draw the surface.

    • Repaint the screen.

See "View Icons" in the "Utilities" section.

  5. The Curve / Surface Mode icon lets you select the appropriate surface mode.

See "Curve / Surface Mode" in the "Utilities" section.

  6. The State Icons\ allow you to:
    • Move and zoom in on the part in Translate Mode.

    • Rotate the part in two dimensions in 2D Rotate Mode.

    • Rotate the part in three dimensions in 3D Rotate Mode.

    • Develop part programs from an input file in Program Mode.

    • Work with Dimension Info and Point Info text boxes in Text Box Mode.

      See "The Mode Icons" in the "Utilities" section.

  7. The Manual / DCC Mode icons let you select the appropriate measurement mode.

    See "Manual / DCC Mode" in the "Utilities" section.

  8. The Macro Play/Record toolbar icons let you record and play custom macros.

See "Macro Play/Record Toolbar" in the "Utilities" section.

  9. The Settings toolbar indicates the current View ID, Alignment ID, Tip Number, and Working Plane. To change a display, open the desired drop down menu and click on a previously defined ID or feature.

See "The Settings Toolbar" in the "Utilities" section.

  10. The Graphics Display Window presents graphic representations of the part (the top view is shown in the illustration). The size of this area remains constant. However, the display area can be divided into as many as four different views of the part. PC-DMIS also displays pop up windows (dialog boxes) within the Graphics Display window. The information PC-DMIS puts into these boxes depends upon the operation in progress.

See Graphics Display Window.

"Graphics Options"has additional information on how to alter the view of the part.

  11. Dialog boxes are the main communication channels between PC-DMIS and the user. Available features appear in the dialog box, and most input data is entered through it.

See Dialog Boxes.

  12. The Edit window displays the part program. This window allows you to access specific commands within the part program and make changes to meet individual specifications.

  13. The Message box resides in the status bar. This box displays pertinent information about the operation in progress.

  14. The Status Bar displays information important to the current operation (i.e., current probe calibration data, standard deviation of the last feature measured) and number of hits.

See Status Bar for more information.

  15. The Guess Mode toolbar icons let you select a probing technique when using a fixed probe. This button is only available when a fixed probe is loaded and defined.

See "Guess Mode" in the "Utilities" section.

More:

Selecting Options from the Menu Bar

Options


Selecting Options from the Menu Bar

PC-DMIS allows you to select options from the menu bar using the mouse or the keyboard.

More:

Selecting Options from the Menu Bar with the Mouse

Selecting Options from the Menu Bar with the Keyboard


Selecting Options from the Menu Bar with the Mouse

To open a menu and browse through the options using the mouse:

  1. Move the pointer to the desired menu name.

  2. Click the left mouse button.


Selecting Options from the Menu Bar with the Keyboard

To open a menu and browse through the options using the keyboard, press the ALT key followed by the underlined letter in the name of the menu to be opened.

For example: to open the menu choice DIMENSION using the keyboard, press ALT and D (the underlined letter in the word DIMENSION. Options can be selected from the menu in a similar manner. Simply press the underlined letter to the corresponding option (i.e., Cut: press the T key). (See Options for more information.)

Menus also can be opened using the arrow keys.

To do this:

  1. Press the ALT key to switch to the menu bar.

  2. Use the LEFT/RIGHT ARROW keys to move to the desired menu.

  3. Use the UP/DOWN ARROW keys to select an option.

  4. When the desired option is highlighted, press the ENTER key.

Shortcut keys also have been assigned to many of the options. The shortcut key is shown to the right of the command or option. See "

See Shortcut Keys for more information.


User Interface - Screen Appearance - Options

Options

When an ellipsis follows an option name, choosing the function will display a dialog box. For example "File | Open…" lets you know that there is an Open File dialog box. Dialog boxes display various options, boxes and buttons (called controls) for specifying commands that will be carried out by PC-DMIS. Sometimes a dialog box will show default settings already selected, which if satisfactory can be left as they are. In general, after all the controls in the dialog box have been set, click the OK button to carry out the command. To cancel the command and close the dialog box, click the Cancel button.


The Menu Bar

Menubar Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 To open a menu and browse through the options using the keyboard, press the ALT key followed by the underlined letter in the name of the menu to be opened. (The mouse can also be used, as described in Selecting Options from the Menu Bar with the Mouse .) This document has been created to provide information for each menu option. See the appropriate section as needed. This section gives a brief description of each of the other menu options.

More:

File

Construct

Dimension

Utilities

Auto Util

Options

Graphics

Window

Help


User Interface - The Menu Bar - File

File

The File menu lets you open, save, and print files, access the Edit window, run part programs with the Execute Mode, and exit out of current part programs. See "File Options" for more information.


User Interface - The Menu Bar - Construct

Construct

The Construct menu lets you construct a feature from previously measured or constructed elements. For example, an intersection point can be created from two lines. See "Construction Options" for a thorough description.


User Interface - The Menu Bar - Dimension

Dimension

The Dimension menu lets you dimension features or relationships between features. See "Dimension Options" for a thorough description.


User Interface - The Menu Bar - Utilities

Utilities

The Utilities menu lets you erase hits, calibrate and change probe tips, define coordinate systems and measure patterns of features. See "Utilities" for a thorough description of the various options.


Auto Util

The Auto Util menu offers a number of options used to measure sheet metal features. See "Auto Utility" for a thorough description.


User Interface - The Menu Bar - Options

Options

The Options menu allows you to tailor the form and function of PC-DMIS to individual specifications. From this menu choice, the screen colors, output format, screen graphics and machine parameters can be controlled. See "System Options" for a thorough description.


Graphics

The Graphics menu lets you edit the contents of the windows in the Graphics Display window. See "Graphics Options" for a thorough description.


Window

The Window menu allows you to manage the display of all open part programs. The available menu options include the following:

Next - Cycles to the next open part program and makes it the active part program.

Previous - Cycles to the previous open part program and makes it the active part program.

Cascade - Layers your part programs slightly offset from each other so that all the titles of the Graphics Display windows are visible. PC-DMIS loads the Edit window for the active part program.

Tile Horizontally - Divides your screen equally between all open part programs, displaying them horizontally. PC-DMIS loads the Edit window for the active part program.

Tile Vertically - Divides your screen equally between all open part programs, displaying them vertically. PC-DMIS loads the Edit window for the active part program.


User Interface - The Menu Bar - Help

Help

The Help menu provides information about PC-DMIS commands, dialog boxes, messages, and keys.

To activate PC-DMIS's online help:

  1. Point to HELP on the Menu bar using the mouse pointer.

  2. Click the left mouse button (or press Alt + H).

Pressing the F1 key can access context sensitive help. The context depends on the location of the cursor in the Edit Window or the position of the mouse pointer at the time F1 is pressed. The Help Index starts at the beginning of Help and lists all the topics that Help contains, divided into reference topics.

Pressing the SHIFT + F1 key combination will activate context sensitive Help using the mouse. The mouse pointer will change to a question mark and arrow (HELP icon). Click in the main PCDLRN application screen and PC-DMIS will display the help files relating to the indicated area.

The buttons at the top of the Help window allow you to navigate through Help. The Contents button (C key) jumps to the Help Index window. The Back button (B key) moves back to the previous screen. Each press of the Back button steps back another screen until the first screen is reached.

The size of the Help window can be maximized or minimized depending on specific need.

To scroll through the Help window:

  1. Place the pointer (arrow icon) over the desired scroll arrow.

  2. Click the left mouse button.

To remove the Help window:

  1. From within the help file, Choose File | Exit.

  2. Double-click on the upper left corner button or press the ESC key.


Toolbar Area

PC-DMIS 3.2 and above provides you a variety of toolbars composed of frequently used commands. These toolbars can be accessed in one of these two ways.

  1. Select the Utilities | Toolbars submenu and select a toolbar from the menu provided.

  2. Right-click on PC-DMIS's Toolbar area and select a toolbar from the shortcut menu provided.

Once you have a toolbar in the toolbar area, you can easily move the toolbar by first clicking on the space between the left or right edge and a button and then dragging the toolbar to a different location.

For in-depth information on all of PC-DMIS toolbars, see "Toolbars" in the "Utility" section.


Graphics Display Window

PC-DMIS allows you to select features/elements in the Graphics Display window (i.e., to print out, create coordinate systems, construct new features, calculate dimensions, etc.). There are five basic ways to select features:

  1. Selecting Features Using the ID(s)

  2. Selecting Features Using Meta-Character Matching

  3. Selecting the Last ID(s)

  4. Box Selecting ID(s)

  5. Selecting Features On-line

More:

Selecting Features using the ID(s)

Selecting Features Using Meta-Character Matching

Selecting the Last ID(s)

Box Selecting ID(s)

Selecting Features On-Line

Editing a Feature ID

Status Bar


Selecting Features using the ID(s)

Select the desired feature using the ID. There are several alternative methods for selecting features in the feature list box, located in many dialog boxes.

  1. Type the ID(s) assigned to the feature(s) in the Search ID box.

  2. Click on the desired ID from the list of features. PC-DMIS will automatically assign each feature a number in order of selection that will be indicated to the right of the feature ID.

  3. While in the Graphics Display window, move the cursor over the feature desired and click the left mouse button. (Note that the feature you selected in the Graphics Display window is now highlighted (or selected) in the feature window.)


Selecting Features Using Meta-Character Matching

You can also select features using a meta-character. Meta-characters are characters that act as a wildcards for other alphanumeric characters. There are two meta-characters available in PC-DMIS. They are the:

  1. Asterisk (*)

  2. Question mark (?)

Both are described below in greater detail.

More:

The Asterisk (*) Meta Character

The Question Mark (?) Meta Character


The Asterisk (*) Meta Character

*The asterisk meta-character (*) will match, or take the place, of any character or characters in a search. For example, imagine these features are available in the feature list:

PLN1
LINE1
LINE2
CIR1
CIR2

If you want to select all the line features (LINE1 and LINE2). You would type "L*" (without quotation marks) in the Search ID box and then press the TAB key. PC-DMIS would then select all features beginning with "L". The asterisk (*) causes PC-DMIS only to look for characters either before or after the asterisk (*). Since in this case, the asterisk comes after the "L", PC-DMIS ignores anything coming after the "L" in the feature list.

To use the asterisk (*) meta-character in your feature selection:

  1. Place your cursor in the Search ID box.

  2. Enter your search criteria using the asterisk (*).

  3. Press the TAB key.

PC-DMIS selects the features that meet the search criteria.

Note: The asterisk (*) meta-character can be used multiple times in any one search. It can also be used in conjunction with the question mark (?) meta-character.


The Question Mark (?) Meta Character

?The question mark meta-character (?) acts in the same way as the asterisk (*), except that the question mark meta-character will match only 1 alphanumeric character. For example, suppose in your list of features, you have the following:

PLN1
LINE1
LINE2
CIR1
CIR2

If you wanted to select all the circle features (CIR1 and CIR2) using the question mark (?) meta-character you would enter "CIR?" in Search ID box. PC-DMIS would then look for all features that met the search criteria, which is a feature with an ID 4 characters long with the first 3 characters being "CIR".

To use the question mark (?) meta-character:

  1. Place your cursor in the Search ID box.

  2. Enter your search criteria using the question mark (?).

  3. Press the TAB key.

PC-DMIS selects the features that meet the search criteria.

Note: The question mark (?) meta-character can be used multiple times in any one search. It can also be used in conjunction with the asterisk (*) meta-character.


Selecting the Last ID(s)

This instructs PC-DMIS to use the last 'number' of features in the current operation.

To select the last number of features:

  1. From the dialog box, place your cursor in the Select Last # box.

  2. Enter the last number of features to be used. For example, to create a line from the last four features measured, type 4 in the box.


Box Selecting ID(s)

Another way to select features is to use the left mouse button to draw a "box" around the features. This is called "box-selecting". To do this:

  1. Place the mouse pointer at one corner of where the box is to be drawn and hold down the left mouse button.

  2. Next, drag the mouse pointer to the opposite corner of the "box." PC-DMIS will draw the box outline on the screen as the mouse is dragged.

  3. When the "box" is satisfactory, release the left mouse button. PC-DMIS will highlight all the elements in the box and list them in the feature list box.

Box Selecting CIR1 and CIR2

This option also allows you to modify the contents of the box as indicated in the list. To either add or delete a feature from the set, simply click on the feature to be changed (either in the Graphical Display area, or the dialog box's list of features).

More:

Overview of Box Selecting Sheet Metal Features ID's


Overview of Box Selecting Sheet Metal Features ID's

PC-DMIS's ability to 'box select' feature identifications now allows a union of sheet metal features between two selected groups. This functionality makes the selection of multiple three-dimensional objects much easier. Additionally, if any CAD objects are box selected and then a CAD object is chosen without box selection, those objects that were box selected become permanent selections in addition to the single selection.

See "Box Select for Sheet Metal Features ID's" for specific information on using this capability.


Selecting Features On-Line

In the on-line mode, use the active tip as a pointer, and trigger the probe when the tip is close to the feature needed.


Editing a Feature ID

To change a feature's identification, double click on the desired feature ID in the feature list. PC-DMIS will display the Edit ID dialog box. This dialog box allows you to rename the selected feature's ID.


Status Bar

The current probe calibration, standard deviation of the last feature measured, and number of hits are displayed in the status bar. Clicking on any of the three coordinate displays within the status bar will cause the DCC Move Point dialog box to appear. (See "Move To" for additional information regarding DCC Move Point.)


Dialog Boxes

A dialog box provides various boxes and buttons (called controls) that can be selected to tell PC-DMIS how to carry out a command. Sometimes a dialog box will show default settings already selected, which if satisfactory can be left as they are. After all the controls in the dialog box have been set, select OK to carry out the command. To cancel the command and close the dialog box, click the Cancel button.

The graphics illustrate some features common to most dialog boxes in PC-DMIS.

Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1

More:

Edit Box:

List Box:

Drop Down List Box

Command Buttons:

Check Boxes:

Option Buttons:

Dialog Box Tabs:

Accessing Dialog Boxes

Moving Dialog Boxes

Scrolling the Edit Window


Edit Box:

An edit box allows you to type in a desired value or name. In this manual edit boxes are simply referred to as "boxes". Edit boxes common to many of PC-DMIS's dialog boxes are listed here:

More:

ID= [Feature]

Search ID

Select Last #


ID= [Feature]

This box shows the Feature or Dimension ID for the features or dimensions to be created.

To change the ID:

  1. Select the previous ID.

  2. Type a new ID.

  3. Press the TAB key.

For a Dimension ID:

  • You can change only the number portion of the ID and reset the dimension counter to a desired count.

  • You can change the text portion of the ID and set it as the default text for subsequent dimensions. (See the ID Setup tab of the Setup Options dialog box in the "Options" section .)


Search ID

In the Search ID box you can key in feature (or dimension) IDs to be used in in the current operation. You can use this box to search using meta-character search options. The feature or dimension IDs will be highlighted in the appropriate Feature List box (or Dimension List box).


Select Last #

In the Select Last # box you can select the last of a certain number of features (or dimensions). For example, if you wanted to select the last four features that were created, simply type 4 and press the TAB key. PC-DMIS will highlight the features selected in the Feature List box.


List Box:

A list box is similar to an edit box, however changes cannot be made to the listed values. This manual refers to either "list" or "box" for the list box. Lists common to many of PC-DMIS's dialog boxes are listed here:

More:

Feature List box

Dimension List box


Feature List box

The Feature List box contains a list of the available features within a part program. PC-DMIS uses selected features to define alignments, construct new features, create dimensions, and other such tasks. You can select features by one of the following methods:

  • Selecting Features using the ID(s)

  • Selecting Features Using Meta-Character Matching

  • Selecting the Last ID(s)

  • Box Selecting ID(s)

Selected (highlighted) features can be deselected using the Clear or Clear List button.


Dimension List box

The Dimension List box contains a list of all the dimensions that were created within a part program. You can easily select the dimension(s) you would like to edit or analyze by simply selecting the desired dimension(s) in the list box and selecting the desired changes or options in the associated dialog box.


Drop Down List Box

A drop-down list box works like menus. Click on the drop-down arrow icon [image] to the right of the current choice, or press ALT and the UP ARROW or DOWN ARROW key. on the keyboard consecutively. Pressing F4 will also display the available options. Press the key(s) again to close the list. The current choice is shown in the highlighted box.


Command Buttons:

A command button carries out an action. The command buttons common to most dialog boxes in PC-DMIS are listed here:

More:

Apply

OK

Cancel

Delete

Last

Last Two

Select All

Default

Recall

Create

Close

Clear

Undo

Help


User Interface - Command Buttons: - Apply

Apply

The Apply button applies your selections to the dialog box but keeps the dialog box open for further changes.


OK

The OK button saves and applies the changes and closes the dialog box. On some dialog boxes, clicking the OK button inserts commands into the Edit window.


Cancel

The Cancel button ignores any changes and closes the dialog box.


User Interface - Command Buttons: - Delete

Delete

The Delete button removes items (such as created features, dimensions, probe files, alignment information etc.) from certain list boxes.

In the Delete CAD dialog box, the Delete command button deletes selected nominal features.


Last

The Last button selects the last item in the associated list box.


Last Two

The Last Two button selects the last two items in the associated list box.


Select All

The Select All button selects all the items in the associated list box.


User Interface - Command Buttons: - Default

Default

The Default button allows you to update the default settings of several parameters. When a new part program is created, it will reflect any changes stored as the default.

The default values are stored in the PCDLRN.INI file. These parameters can be updated in the PCDLRN.INI file or appropriate dialog box.

  • If the OK button is selected (without the Default button being pressed) the defined parameters will only apply to the active part program and will not affect the PCDLRN.INI file.

  • If any of the parameters are changed and the Default button is pressed, PC-DMIS will update the PCDLRN.INI file, redefining the default to the current setting.

The Default button allows you to store and apply new default values to new part programs created later on.


Recall

The Recall button allows you to call back original factory settings as long as the original values haven't changed through pressing the Default button. In that case, PC-DMIS will return the stored values in the PCDLRN.INI file.


User Interface - Command Buttons: - Create

Create

The Create button applies changes made in certain dialog boxes and creates constructed features, dimensions, auto features, scans etc. and places the created item into the Edit window and the Graphics Display window.

The Create button won't close the dialog box. Only clicking the Close button closes the dialog box.


User Interface - Command Buttons: - Close

Close

The Close button closes the dialog box. With some dialog boxes (where you may want to select further options) just pressing the OK, Apply, or the Create button doesn't automatically close the dialog box.


Clear

The Clear command button allows you to clear the highlight of any selected item from list boxes. In some cases, the Clear button removes items completely from certain list boxes (such as AB positions from the New Angles List box).

In some dialog boxes and tabs, the Clear button clears any values that were entered or changed before either the Apply or the OK button is clicked and restores the "built in" values present in PC-DMIS. If you have used the Default button to store default values, then PC-DMIS restores those values.


User Interface - Command Buttons: - Undo

Undo

The Undo button reverses changes made using the Apply button (or the Generate button in DCC scans). It cannot reverse changes made once the OK button is clicked.


User Interface - Command Buttons: - Help

Help

The Help button opens the online help topic associated with the current dialog box.


Check Boxes:

Click on check boxes to turn options on or off. The option is considered "on" when a check mark appears inside the box.


Option Buttons:

The area containing option buttons displays available choices for the dialog box. Switch between available choices by clicking on the desired button. When an option is chosen, a black dot appears to the left of the choice.


Dialog Box Tabs:

Some dialog boxes contain tabs. These tabs act as identifying markers much like a folder's name in a filing cabinet would. Simply click on a tab to bring a desired window or options in front of the other tabs. Any options or commands associated with that tab will then be displayed.


Accessing Dialog Boxes

The mouse or keyboard can be used to access options within the dialog box. To access an option using the mouse, simply point to the desired option and click. The keyboard offers a variety of ways to move between available options.

PRESS: | TO
TAB: | Move to the next available option.
SHIFT + TAB: | Move to the previous available option.
ARROW key: | Display a current drop-down list.
ENTER: | Select the current command.
SPACE BAR: | Select the current check box or button.


Moving Dialog Boxes

The mouse can be used to control window and dialog box placement within the Graphics Display window.

To move a dialog box or window:

  1. Place the mouse pointer over the title.

  2. Hold down the left mouse button.

  3. Drag the dialog or window to the position in the Graphics Display window where desired.

  4. Release the mouse button.

PC-DMIS re-draws the dialog box or window in its new location.


Scrolling the Edit Window

The Edit window has scroll bars for viewing additional data in the window.

To scroll:

  1. Place the mouse pointer on one of the scroll arrows.

  2. Click or hold the left mouse button.

PC-DMIS will scroll the text in the scroll arrow's pointed direction. For example, to scroll down, select the down scroll arrow with the pointer and click the left mouse button.

See "Editing a Part Program" for complete information regarding the Edit window.


Shortcut Menus

Shortcut menus allow you to do common commands at the simple click of a mouse button. This section explains how to access the various shortcut menus and what the various menu options do. Shortcut menus exist when the program activates these locations.

More:

Shortcut Menus in Standard Windows Dialog Boxes

Shortcut Menus on the Toolbar

Shortcut Menus in the Graphics Display Window

Shortcut Menus in the Edit Window


Shortcut Menus in Standard Windows Dialog Boxes

Beyond the standard commands that exist in Windows based dialog boxes, PC-DMIS, in certain circumstances, adds additional functionality to shortcut menus. Many of these are explained in the "File Options" section.

When opening, saving, or using other file operations, right-click on the part program file name listed in the dialog box to bring up these shortcut menu options.

Option | Description
PC-DMIS Import | Imports data from an input file into the selected part program. See "Import" in the "File Options" section.
PC-DMIS Export | Exports data to an output file from the selected part program. See "Export" in the "File Options" section.
Open | Opens a part program. See "Open" in the "File Options" section
Cut | Cuts a part program and moves it to the Clipboard; this is used with Windows Paste command to place the cut file into another folder.
Copy | Copies a part program to the Clipboard; this is used with the Paste command to place the copied file into another folder. See "Operations" in the "File Options" section
Rename | Renames a part program.
Delete | Deletes a part program. See "Operations" in the "File Options" section
Properties | PC-DMIS tab | Displays part program's file information. You can view or modify a part program's name, serial number, or revision number. See "Open" in the "File Options" section.


Shortcut Menus on the Toolbar

When right-clicking on the Toolbar area, PC-DMIS displays a list of the toolbars and other options that you can instantly access. These include:

Option | Description
PC-DMIS Modes | Adds or removes the PC-DMIS Modes toolbar to and from the toolbar area
Settings | Adds or removes the Settings toolbar to and from the toolbar area
Feature Buttons | Adds or removes the Feature Buttons toolbar to and from the toolbar area.
Dimension | Adds or removes the Dimension toolbar to and from the toolbar area
Construction | Adds or removes the Construction toolbar to and from the toolbar area.
Sheetmetal | Adds or removes the Sheetmetal toolbar to and from the toolbar area.
Measured | Adds or removes the Measured toolbar to and from the toolbar area.
Script Toolbar | Adds or removes the Script toolbar to and from the toolbar area.
Macro Play/Record | Adds or removes the Macro Play/Record toolbar to and from the toolbar area.
Custom Tools | Adds or removes the Custom Tools toolbar to and from the toolbar area.
Active Arms | Adds or removes the Active Arms toolbar to and from the toolbar area.
Guess Modes | Adds or removes the Guess Modes toolbar Guess Mode Toolbar to and from the toolbar area.
Readout Modes | Adds or removes the Readout Modes toolbar to and from the toolbar area.
Active Rotary Table | Adds or removes the Active Rotary Table toolbar to and from the toolbar area.
Customize | Customizes the Custom Tools toolbar. See "Custom Tools Toolbar" in the "Utilities" section for additional information.

These toolbars are discussed in detail in the "Toolbars" topic of the "Utilities" section.

More:

Sheetmetal Toolbar Shortcut Menu


Sheetmetal Toolbar Shortcut Menu

Right-click on the Sheetmetal toolbar to access a shortcut menu that allows you to hide the Auto Features dialog box and still create the selected sheet metal feature. The following options appear on the shortcut menu:

Option | Description
Show Dialogs | This option displays or hides the Auto Features dialog box. Even when the dialog box is hidden, it will still be active. When hidden, the Create and Cancel options become available on this menu.
Create | Allows you to create the Auto Feature you selected from the Sheetmetal toolbar.
Cancel | Cancels and closes the Auto Features dialog box, even if the dialog box is hidden from view.


Shortcut Menus in the Graphics Display Window

The following shortcut menus are available inside the Graphics Display window. Access them by right-clicking on specific areas. Some require that PC-DMIS be in specific modes (see Modes). Depending on what mode you are in, PC-DMIS presents you with different menu options.

More:

Feature Shortcut Menu

Box-Select Shortcut Menu


Feature Shortcut Menu

To access this shortcut menu, right-click on a feature ID label inside the Graphics Display window.

Option | Description
Hide ID | This menu option hides a single feature's ID label in the Graphics Display window. A hidden label still exists; it's merely hidden from view.
Show All IDs, Hide All IDs | These menu options show or hide all the features' ID labels in the Graphics Display window. If you choose to hide the ID labels the ID labels still exist and are merely hidden from view.
Hide Feature | This option hides a single feature, removing it from the Graphics Display window. The feature still exists and is merely hidden from view.
Hide All Features | This option hides all features on a part, removing them from the Graphics Display window. The features still exist and are merely hidden from view.
Show All Features | This option displays all previously hidden features in the Graphics Display window.
Reset ID | This option moves a single ID label back to its original location next to the feature.
Reset All IDs | This option moves all ID labels back to their original locations next to their respective features.
Move Cursor To | Select this menu option to move the Edit window's cursor to this feature's command line in the Edit window. This only affects the location of the cursor in the Edit window; the location of the probe in the Graphics Display window remains unchanged.

Feature Shortcut Menu Additions in Text Box Mode

PC-DMIS adds these additional options to the standard Feature Short Cut menu when in Text Box Mode. These include:

Option | Description
Create Dim Info Box... | This option creates a Dimension Information text box from the highlighted feature. An Edit Dim Info dialog box appears, showing the available dimensions from which you can create the Dimension info text box. If no dimensions are associated with the feature, PC-DMIS automatically creates a default Location dimension for the feature (see "Location" in the "Dimension Options" section). For information on how to use the Edit Dimension Info dialog box, see "Edit Dimension Info" in the "Graphics Options" section.
Create Point Info Box… | This menu option creates a Point Info text box from the highlighted feature. An Edit Point Info dialog box appears, showing the feature (and any available dimensions ) from which you can create the Point Info text box. For information on how to use the Edit Point Info dialog box to create a Point Info text box, see "Edit Point Info" in the "Graphics Options" section.

To access these new options:

  1. Select the Text Box Mode icon (see "Text Box Mode").

  2. Right-click on a feature or feature's ID label in the Graphics Display window to display the shortcut menu.

Dimension/Point Info Menu in Text Box Mode

When in text box mode, if you right-click on a Dim Info box or Point Info box, PC-DMIS adds these two options to the standard Feature Shortcut Menu:

Option | Description
Edit… This option allows you to edit the selected Dimension Info or Point Info text box. A slightly modified Edit Dimension Info or Edit Point Info dialog box opens. In addition to the standard buttons along the bottom of the dialog box, an additional Apply To All button is available:

Click Apply To All to have any changes made in the dialog box apply to all Dimension Info or Point Info boxes:
Note: Only the changes made from the original to the modified info box will be applied across all Dim Info or Point Info boxes. Settings on the original info box that already differ from other info boxes will not be applied to the other info boxes.

For additional information see "Edit Dimension Info" or "Edit Point Info" in the "Graphics Options" section.
Delete | Select this menu option to delete the selected dimension or point info text box. The corresponding POINTINFO or DIMINFO command in the Edit window will also be deleted.

To access these new options:

  1. Select the Text Box Mode icon (see "Text Box Mode" in the "Utilities" section).

  2. Right-click on a Dim Info or Point Info box in the Graphics Display window.


Box-Select Shortcut Menu

This shortcut menu only works in Text Box Mode. To access this menu:

  1. Select the Text Box Mode icon (see "Text Box Mode" in the "Utilities" section).

  2. Box-select one or more features. PC-DMIS selects all graphical features or feature ID labels inside the box.

A shortcut with these options appears:

Option | Description
Create Dim Info Boxes… This menu option creates Dimension Info text boxes from the highlighted features.

An Edit Dimension Info dialog box appears for one of the highlighted features, showing the available dimensions from which you can create the first Dimension Info box.

Once you've selected the desired options in the Edit Dimension Info dialog box, click either the OK or Create button (Apply button when editing) to create the Dim Info boxes.

The first Dim Info box will be created from the selected dimension(s) in the Edit Dimension Info dialog box.

Subsequent info boxes will be created from all dimensions associated with each feature.

If no dimensions are associated with any of the features, a default Location dimension will automatically be created for that feature (see "Location" in the "Dimension Options" section). For information on how to use the Edit Dimension Info dialog box, see "Edit Dimension Info" in the "Graphics Options" section.
Create Point Info Box… Select this menu option to create Point Info text boxes from the highlighted features. An Edit Point Info dialog box appears for one of the highlighted features, showing the feature (and any available dimensions ) from which you can create the Point Info text box.

Once you've selected the desired options in the Edit Point Info dialog, select the OK or Create button (Apply button when editing) to create the info boxes.

The first info box will be created from the selected feature or dimension(s) in the Edit Point Info dialog box. Subsequent Point Info boxes will be created from all dimensions associated with each feature and the feature itself. A Point Info box will be created for all dimension and feature hits. For information on how to use the Edit Point Info dialog box to create a Point Info text box, see "Edit Point Info" in the "Graphics Options" section.
Show IDs, Hide IDs | Select one of these menu options to show or hide all the selected features' ID labels. If you choose to hide the ID labels the ID labels still exist and are merely hidden from view.
Hide Features | This option hides all selected features on a part, removing them from the Graphics Display window. The features still exist and are merely hidden from view.
Reset IDs | This option moves all selected ID labels back to their original locations next to their respective features.


Shortcut Menus in the Edit Window

PC-DMIS's Edit window contains the following shortcut menus depending on what Edit window mode is selected.

More:

Summary Mode Command Shortcut Menu

Data Item Shortcut Menu

Command and Report Mode Shortcut Menus


Summary Mode Command Shortcut Menu

When you select a command item in the Edit window's Summary Mode (see "Summary Mode" in the "Editing a Part Program" section) and right-click on the command item, the command shortcut menu appears. This menu has the following options:

Option | Description
Edit | This option causes the dialog for the current object to be displayed.
Mark | This option toggles the mark state of the object for execution.
Delete | This option deletes the selected command and any sub-commands out of the part program.
Copy | This option copies the selected command to the Clipboard.
Cut | This option cuts the selected command to the Clipboard and removes the command from the part program.
Paste | This option pastes a command that was previously cut or copied from the Clipboard and places it below the selected command.
Collapse All | This option collapses all expanded items.
Expand Command | This option expands the current command line and displays any data or group items associated with the selected command.
Add Command This option allows you to add a command to the Edit window from an alphabetized scrollable list.

STEP 1: Navigate through the list by typing the first few letters of the command. PC-DMIS automatically goes to that command.

STEP 2: Select the command from the list.

STEP 3: Press either CTRL + ENTER or ENTER to place the new command into the Edit window.

Pressing CTRL + ENTER places the command after the command block used to open the shortcut menu..

Pressing ENTER places the command inside the command block used to open the shortcut menu. Using the ENTER key only functions in this manner if the command you are adding is a type of command that PC-DMIS allows to be inserted into another command block. Otherwise PC-DMIS inserts it after the current command.


Data Item Shortcut Menu

The data item shortcut menu appears when right clicking on a data item in the Edit window's Summary Mode (see "Summary Mode" in the "Editing a Part Program" section). This shortcut menu has the following options:

Option | Description
Edit | The submenu for this item includes Value / Expression Text and Use Expression Builder.
Value /Expression Text: | Allows you to edit the current item if the item can be edited. If the data item is a toggle item, a toggle list will appear, otherwise a box for editing the current value will appear.
Use Expression Builder: | If the item can be edited, brings up the Expression Builder dialog box allowing you to create expressions for the selected field.
Copy | Copies one of three text options to the Clipboard for the selected data item.
Value Text: | Copies the current value of the data item to the Clipboard.
Expression Text: | Copies the current expression text to the Clipboard if an expression exists for the data item.
Description Text: | Copies the current data item description to the Clipboard.


Command and Report Mode Shortcut Menus

The following shortcut menu options are available when PC-DMIS is in either Report or Command Mode. For information on these modes, see "Report Mode" and "Command Mode" in the "Editing a Part Program" section.

Option | Description
Select Command | Highlights the command that the mouse is positioned over
Select Block | If the mouse is over a start or end block object, selects the entire block.
Execute From Command | This option starts execution from the current location of the insertion point in the edit window.
Execute Block | This option executes the currently marked block of commands.
Mark | This option toggles the mark state of the object for execution. For more information on marking, see "Mark" in the "Editing a Part Program" section.
Breakpoint | This option inserts a breakpoint at the cursor's location. For more information on breakpoints, see "Breakpoints" in the "Editing a Part Program" section.
Bookmark | This option inserts a bookmark at the cursor's location. For more information on bookmarks, see "Bookmarks" in the "Editing a Part Program" section..
Copy | This option copies the selected Edit window text to the Clipboard. For more information on copying in the Edit window, see "Copy" in the "Editing a Part Program" section.
Cut | This option cuts the selected Edit window text to the Clipboard. For more information on cutting in the Edit window, see "Cut" in the "Editing a Part Program" section.
Paste | This option pastes text from the Clipboard into the Edit window at the cursor's location. For more information on pasting in the Edit window, see "Paste" in the "Editing a Part Program" section.
Change Pop-up Display
Expression Value
  1. Select Expression Value.

  2. Let your cursor rest over an expression.

  3. A small pop-up window appears, displaying the current value of the expression.
Data Type Information
  1. Select Data Type Information.

    The information displayed in this pop-up window can be used with the GETTEXT expression. See "Expressions" in the "Editing a Part Program" section.

  2. Let your cursor rest over a data field.

  3. A small pop-up window appears, displaying information about that data field including the data type description, the data type number, and the type index.
Command Information
  1. Select Command Information.

    A small pop-up window appears, displaying command description information and the command type number. The information displayed in this pop-up window can be used with the GETCOMMAND expression. See "Expressions" in the "Editing a Part Program" section.

  2. Let your cursor rest over any Edit window command.
Object This menu option remains unavailable for selection until you insert an external object into the Edit window. See "External Object" in the "Utilities" section for information on how to do this.

Once you select the inserted external object in the Edit window and then right-click on it, this menu changes to reflect options unique to that particular object. These may include options such as opening the object, editing the object, or simply modifying the object's properties.


User Interface - Shortcut Keys

Shortcut Keys

The following shortcuts keys are available within the main PC-DMIS application:

See "Keyboard Functions" for the available shortcut keys within the Edit window.

More:

Backspace Key

End Key

Enter / Return Key

Escape Key

Tab

Shift Tab

Shift F1

Shift F3

Arrow Keys

F Keys

Ctrl Keys

Alt Keys

Ctrl Alt Keys


Backspace Key

The BACKSPACE key will delete text to the left of the cursor, one character at a time.


End Key

The END key is used to end measurement of a feature. When the program prompts you to end a feature measurement, press the END key.

If the Edit window is the "active" window, the END key must be pressed at least two times in order to end a feature.


Enter / Return Key

Pressing the ENTER (or Return) key will select the current command.


Escape Key

Any process not involving data entry can be aborted by pressing the ESC key prior to pressing the ENTER key.

Note: The prompt, "Press any key to continue" should read: "Press any key except the ESC key to continue."


Tab

To move the cursor forward to the next user-editable field, select the TAB key.


Shift Tab

To move the cursor backward to the last user-editable field, select the SHIFT + TAB key combination.


Shift F1

Pressing SHIFT + F1 will change the cursor to the HELP symbol. Clicking the left mouse button will display the Context Sensitive Help topic indicated by the cursor.


Shift F3

Pressing SHIFT + F3 will mark all the features in the current part program for execution.


Arrow Keys

The arrow keys offer a variety of cursor movement.

More:

Up Arrow

Down Arrow

Right Arrow

Left Arrow


Up Arrow

The UP ARROW key will move the cursor to the next available element above the current position.


Down Arrow

The DOWN ARROW key will move the cursor to the next available element below the current position.


Right Arrow

The RIGHT ARROW key will move the cursor to the next available element to the right of the current position.


Left Arrow

The LEFT ARROW key will move the cursor to the next available element to the left of the current position.


F Keys

Listed below are all the 'F' shortcut keys:

More:

F1

F4

F5

F10


F1

Pressing F1 activates the HELP function.

See Help for specific information on using this function.


F4

Pressing F4 will display the Print Options dialog box. If you haven't selected a printer device you get a message specifying that you need to select an output option. See "Print Setup" for information on selecting an output option.


F5

Pressing F5 will display the available Setup Options. Select the desired tab using the mouse or arrow keys and PC-DMIS will display the appropriate dialog box.


F10

Pressing F10 will display the available Parameters Options. Select the desired tab using the mouse or arrow keys and PC-DMIS will display the appropriate dialog box.


Ctrl Keys

Listed below are all the shortcut key combinations that include the CTRL key. Hold down the CTRL key first, and then press the second key in the combination.

More:

Ctrl E

Ctrl D

Ctrl F

Ctrl G

Ctrl H

Ctrl K

Ctrl M

Ctrl N

Ctrl O

Ctrl P

Ctrl Q

Ctrl R

Ctrl S

Ctrl T

Ctrl W

Ctrl Y

Ctrl Z

Ctrl F1

Ctrl F2

Ctrl F3

Ctrl F4

Ctrl F5

Ctrl Tab


Ctrl E

CTRL and E will execute the last measured feature.


Ctrl D

CTRL and D will delete the most recently measured feature.


Ctrl F

CTRL and F will display the available DCC Features. Select the desired tab using the mouse or arrow keys and PC-DMIS will display the appropriate dialog box.


Ctrl G

CTRL and G will insert a Read Point command in the Edit window. The Read Point command creates a point feature at the current location of the probe. PC-DMIS will then store the values of the point that is read. See "Readpoint" .


Ctrl H

CTRL and H will take a probe hit at the current location. This only works online.


Ctrl K

CTRL and K will keep the most recently measured dimension. This dimension will be displayed in the Edit window.

For this shortcut to work, make sure you select the Auto Create Dimension check box and deselect the Auto Save Dimensions check box from the General tab on the SetUp Options dialog box. See "Check Box Options" in the "System Options" section for more information.


Ctrl M

CTRL and M will insert a MOVE/POINT command into the Edit window at the cursor's current location.


Ctrl N

CTRL and N will bring up the New Part Program dialog box. This box allows you to create a new part program.


Ctrl O

CTRL and O will display the Open File dialog box. This dialog box allows you to open an existing part program.


Ctrl P

CTRL and P will display the Print dialog box. See "Print" for more information regarding this option.


Ctrl Q

CTRL and Q will begin execution of the part program.


Ctrl R

CTRL and R will display the Rotate dialog box. See "Rotate 2D Mode" and "Rotate 3D Mode" in the "Utilities" section for more information regarding this option.


Ctrl S

CTRL and S will save the current program. See "Save" .


Ctrl T

CTRL and T will toggle between Master / Slave Mode. See "Active Arms Toolbar" in the "Utilities" section. This only works if you've set PC-DMIS to Master / Slave mode.


Ctrl W

CTRL and W will bring up the Probe Position window. This window displays the current location of the probe.


Ctrl Y

CTRL and Y will continue executing a part program from where it was previously cancelled.


User Interface - Ctrl Keys - Ctrl Z

Ctrl Z

CTRL and Z activates the "Scale to Fit" function. See "Scale to Fit" in the "Utilities" section for more information regarding this option.


Ctrl F1

CTRL and F1 switch the system to Translate mode. See "Translate Mode" in the "Utilities" section for more information.


Ctrl F2

CTRL and F2 switch the system to ROTATE 2D mode. See "Rotate 2D Mode" in the "Utilities" section for more information.


Ctrl F3

CTRL and F3 switch the system to ROTATE 3D mode. See "Rotate 3D Mode" in the "Utilities" section for more information.


Ctrl F4

CTRL and F4 switch the system to Program mode. See "Program Mode" in the "Utilities" section.


Ctrl F5

CTRL and F5 switch between Surface and Curve selection. This option is only active if the Curves and Surface option has been purchased. PC-DMIS will display the active mode. See "Curve and Surface Mode" in the "Utilities" section for more information regarding this option.


Ctrl Tab

CTRL and TAB will activate the next window.


Alt Keys

Listed below are all the shortcut key combinations that include the ALT key. First hold down the ALT key, and then press the second key.

More:

Alt End

Alt '-' (Minus)

Alt H

Alt X

Alt Z


Alt End

ALT and END will end the measurement of a feature.


Alt '-' (Minus)

ALT and '-' (the minus key) will delete the most recent hit.


Alt H

ALTand H will also activate the HELP function. See Help for specific information on using this function.


Alt X

ALT and X will place PC-DMIS into Manual Mode. See "Manual / DCC Mode" in the Utilities section.


Alt Z

ALT and Z will place PC-DMIS into DCC Mode. See "Manual / DCC Mode" in the Utilities section.


Ctrl Alt Keys

Listed below are all the shortcut key combinations that include both the CTRL and ALT keys. Simultaneously hold down the CTRL and ALT keys first, and then press the third key in the combination.

More:

Ctrl Alt A

Ctrl Alt P


Ctrl Alt A

CTRL + ALT and A brings up the Alignment Utility dialog box.


Ctrl Alt P

CTRL + ALT and P will bring up the Probe Utilities dialog box.


File Options: Introduction

The File menu provides you with many options to manipulate part programs and manage your files. Files can be created, opened, copied, renamed, and deleted. CAD data can be imported or exported. Additionally, accessing the Edit window, and executing part programs can all be accessed using the File menu.

The following options exist in the File menu:

  • Open

  • New

  • Close

  • Save

  • Save As

  • Quit

  • Export

  • Import

  • Operations (Mirror, Copy, Rename, Delete)

  • Print

  • Print Preview

  • Print Setup

  • Execute

  • Execute From

  • Edit Window

  • Preview Window

  • Language (English, Italian, French, German, Spanish, Portuguese)

  • Exit

These options and commands are described in detail throughout this section .


File Options - Open

Open

File | Open (CTRL + O) will display the File Open dialog, allowing you to access another part program. This is a standard Windows File Open dialog with the following additions:

  • There is an Interface list. If PC-DMIS is running ONLINE, you can select which CMM (if you have multiple CMMs) to use for this part program, or you can run offline by selecting the OFFLINE machine.

  • You can import data to or export data from a part program by right clicking on the part program's file name and selecting Import or Export, respectively.

  • You can also examine and modify a part's name, serial number, or revision number and change the file's name to one made from the file's properties.

    To do this:
    1. Right-click on the part program's file name. A shortcut menu will appear.

    2. Select the Properties command.

    3. Select the PC-DMIS tab.

These same right mouse features are also available from within Windows Explorer.

Note: The Open File dialog box automatically opens each time you start PC-DMIS, allowing you to open existing part programs. However, if you want this feature disabled, simply clear the Show Startup Dialog check box found in the Setup Options dialog box, on the General tab.


File Options - New

New

File | New will open the New Part Program dialog box. Here you can create a new part. You will be prompted to enter a part name, serial number, revision number, interface type, and units of measurement type. The part is only in memory until you save the part. The CMM interface type is also chosen here.

Note: PC-DMIS only requires the Part Name box to have a value in order to create a new part program. Information entered in the Revision Number and Serial Number boxes is optional.


File Options - Close

Close

File | Close will save and close the active part program. If the part has never been saved, you will be prompted name and save your file.


File Options - Save

Save

File | Save (Ctrl S) will save any work that has been done in the current program. The first time you save a file the Save As dialog box appears. This dialog box allows you to choose where to save your part program.


Save As

File | Save As will display the Save As dialog box. This allows you to alter the current identifications to distinguish the revised part program. Select the Save button to save the part program using the updated identifications. The Cancel button closes the current operation without saving.


Quit

File | Quit will quit the current part program without saving any changes. Only data that has been previously saved will be retrievable. If quit is chosen, a message appears, asking if you want to quit the program without saving.

To save the part program:

  1. Choose NO in the message box.

  2. Return to the current part program.

  3. Select the Save command from the File menu.

  4. You can quit the part program without losing any data.


Export

File | Export will export data from the active part program.

The Export menu option will "post" data out to an output file from a part program. The output file can either be in DES, DMIS, IGES, AVAIL, STEP, VDAFS, Tutor, Basic, or Generic file formats.

To export data out from the current part program:

  1. Select File | Export from the menu bar (or right click on a part program file name in Windows Explorer, then select Export) This action will open the Export Data dialog box.

  2. Select the desired data type from the List Files of Type list. PC-DMIS will display the available files for the indicated data type.

  3. Type the name of the file to be created in the File Name box, or select an existing file from the list. If an existing file is selected, PC-DMIS will replace the current data with the information generated by the Export operation.

Extra information is required for exporting IGES files. See "Exporting an IGES file".

More:

Exporting an IGES File

Setup


Exporting an IGES File

IGES File dialog box

To export an IGES file, follow these steps:

  1. Select File | Export. The Export Data dialog appears.

  2. Navigate through the available directories.

  3. Select the necessary output file and click the OK button. The IGES File dialog box appears. The IGES File dialog box displays all of the pertinent information regarding the indicated data file. If the Marked Features Only check box is selected, PC-DMIS will only output the marked features. Selecting Cancel will terminate the entire operation.

  4. Click on the Process button in the IGES File Dialog box to output the IGES data from the selected part program. PC-DMIS will indicate when the file is 100% processed.

  5. Click the OK button to finish exporting the IGES file.


Setup

The IGES Write Setup dialog box allows you to alter how the IGES/DMIS image will be displayed.

To access this dialog box:

  1. Select File | Export from the menu bar. The Export Data dialog box appears.

  2. Choose IGES from the Data Type drop-down list.

  3. Browse to a destination directory from the Directories box.

  4. Select a file type from the List File of Type drop-down list.

  5. Click OK. The IGES File Dialog box appears.

  6. Click the Setup button. You can now alter the image.

To alter how the IGES/DMIS image is displayed:

  1. Select the desired check box options.

  2. Click the OK button.

PC-DMIS will draw the selected CAD image with the requested features.


File Options - Import

Import

The File | Import menu option lets you import data from an input data file into the current part program.

The input data files that can be used can be any of these file types:

  1. CAD (IGES, DXF, STEP, VDAFS, DES or XYZIJK)

  2. Direct CAD (ACIS, Unigraphics, Pro/E, Catia, or I-DEAS)

  3. DMIS

  4. AVAIL

  5. DIMS

PC-DMIS keeps track of the CAD data as a separate file. This file will have the same OS file name as the part program, but will have the ".CAD" extension. All operations, such as RENAME, DELETE, and COPY are also done on the associated CAD file (if one exists).

Example: A part program using the OS file name of TEST.PRG is being used. If CAD data is added to this part program, PC-DMIS will create a CAD file named, TEST.CAD, and file it in the same directory. If the TEST.PRG part program is later deleted using the Operations sub-menu, PC-DMIS will also delete the TEST.CAD file.

More:

To Import a Data File into a Part Program:

Merge/Replace

Importing a CAD/DIMS File

Importing DMIS Files

Importing STEP and VDAFS Files

Importing an XYZIJK File

Importing a Direct CAD File


To Import a Data File into a Part Program:

  1. Select File from the menu bar (or right click on the part program file name in Windows Explorer).

  2. Select Import. The Import Data dialog box appears.

  3. Navigate through the available directories until you find the directory containing the data files.

  4. Choose the desired input data file type from the List Files of Type drop-down list at the bottom of the dialog box and then select the file to input. If the selected part program already has CAD/DIMS data associated with it, disregard this step.

  5. Choose either the Merge or Replace options (if needed) located in the lower right hand corner of the dialog box.

  6. Click the OK button. If an IGES File dialog box appears, continue with steps 7 and 8.

  7. Click on the Process command button. PC-DMIS will indicate when the file is 100% processed.

  8. Click the OK button and PC-DMIS will return you to your part program.

CAD/DIMS data can be added at anytime during the cycle of the part program by following the steps described in "Merge/Replace".

Note: The Import option will also allow you to "post-in" a translated DOS file. See "Translating a Part Program from DOS".


Merge/Replace

If the selected part program already has CAD/DIMS data associated with it, PC-DMIS will display the Merge and Replace option buttons in the right hand lower corner of the Import Data dialog box. You can either choose Merge or Replace.

  • If you select the Merge (new data) option, PC-DMIS will add the input data to the part program without deleting the existing data.

  • If you select the Replace option, PC-DMIS will delete the existing data and replace it with the new input data.


Importing a CAD/DIMS File

To import a CAD/DIMS data file:

  1. Navigate through the available directories.

  2. Type the necessary input file in the File Name box (or select from the list below the File Name box).

  3. Click the OK button. PC-DMIS next displays the IGES File dialog box:

The IGES File dialog box displays all of the pertinent information regarding the indicated data file.

  4. To attach this file to the selected part program, simply click the Process command button. PC-DMIS will indicate when the file is 100% processed.

  5. To complete the action, click the OK button and PC-DMIS will return open the part program.

Selecting the Cancel button will terminate the entire operation and close the IGES File dialog box.

See "Off-Line Part Programming" for information regarding the different input file formats.


Importing DMIS Files

Note: Importing a DMIS program overwrites the contents of the active PC-DMIS program file (shown as ".prg").

To import a DMIS program file:

  1. Open the part program in PC-DMIS into which you are going to import the DMIS program file.

  2. Select File | Import to bring up the Import Data dialog box.

  3. Choose DMIS Files from the List Files of Type list at the bottom left corner of the dialog box. PC-DMIS lists program files ending with either the ".dmi" or ".dms" file extensions.

  4. Navigate through the available directories until you find the directory containing the desired DMIS program file and select that file from the list.

  5. Click the OK button. The Select Probe File to be Used During DMIS Translation dialog box appears. At this point, there are three options that may be selected regarding the use of a probe file for translation.
    1. The first option is to use the dialog box to navigate through the available directories until you find the probe file to be used for translation. Click the OK button to continue. PC-DMIS will add any tips (sensors) referenced in the DMIS programs that are not already in the probe file.

    2. The second option is to click Create. PC-DMIS creates a new probe file based on the SNSDEF statements in the DMIS program file. The probe filename will be the same as the DMIS program filename but with the ".prb" extension.

Note: When using the Create button, the created probe configuration defaults to a PH9 wrist with a TP2 connection with a TIP2BY20MM tip. However, if no SNSDEF statements are detected in the DMIS program, a probe configuration will not be created.

  3. The third option is to click Skip. This causes the SNSDEF statements in the DMIS program to be ignored during translation.

  6. If you selected either the OK or Create buttons for the translation of the SNSDEF statements in the DMIS program file and a defined tip (sensor) is not found in the probe file, the Select Tip dialog box appears. This dialog is used to verify that the translated tip is consistent with its corresponding SNSDEF definition. In this dialog box you can see a list of the current tips in the probe file, including the recently translated tip. Also you can see the current SNSDEF statement undergoing translation. At this point, there are several options that may be selected.
  • Click OK to accept the tip translation for the SNSDEF statement displayed.

  • Click OK to All to accept every tip that translated for each SNSDEF statement in the DMIS program file (PC-DMIS won't display the Select Tip dialog box again).

  • Click Ignore to ignore the current SNSDEF statement.

  • Click Add Tip to open the Probe Utilities dialog box and add one or more tips manually.

  • Click Guess Tip to cause PC-DMIS to re-evaluate the current SNSDEF statement and find a better translation (use this only if one or more tips were added manually with the Add Tip button).

Note: If the default probe configuration does not match the probe configuration of your machine, it is recommended that you construct a probe file with the correct probe configuration using PC-DMIS prior to importing a DMIS program file. Choose this probe file when the Select Probe File to be Used During DMIS Translation appears and click OK. This allows the translator to select the most appropriate tips during translation of the SNSDEF statements.


Importing STEP and VDAFS Files

When you select a STEP or VDAFS file for import, the STEP Import or VDAFS Import dialog box appears.

Step Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 STEP Import dialog box

Note: The VDAFS dialog box is essentially the same as shown in the STEP Import dialog box.

More:

Process Independent Entities

Reverse U-V Patch Order for Spline Surfaces

Import


Process Independent Entities

The check boxes in the dialog's Process Independent Entities area determine which independent entities to import. An independent entity is an entity that is not a child of any other entity in the model. That is, no entity uses an independent entity to define its geometry. To the right of the Independent Entity check boxes, PC-DMIS displays the number of each type of independent entity. If there are no independent entities of that type, the selection is disabled.

Importing just the independent solids is sufficient for most models. For VDAFS files, in addition to solids, you may need the shells, faces, and surfaces to get the complete model geometry. Independent curves are usually not part of a model itself but inserted as guides when the model was created.

Note: All dependent entities will be processed regardless of which independent entities are imported. A dependent entity is a child of a second, parent entity. The parent entity uses the child entity to define some or all of its geometry.


Reverse U-V Patch Order for Spline Surfaces

The Reverse U-V patch order for Spline Surfaces check box fixes a problem with spline surfaces found in some VDAFS files. If after importing a VDAFS file you notice distorted surfaces, try importing the file again with this box selected.


File Options - Importing STEP and VDAFS Files - Import

Import

Click the Import button to import the file.


Importing an XYZIJK File

XYZIJK file types are simple files with feature information in the form of xyz coordinates with or without a vector. How many numbers there are on each line determine what feature is created.

PC-DMIS converts the points in a row to the following feature depending on the amount of numbers per row:

Numbers per Row Description CAD Feature Generated
3
1st number=X value
2nd number=Y value
3rd number=Z value
 Point with no vector
4 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=diameter 		CAD circle with a workplane based vector
5 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=nothing
5th number=nothing 		Point with no vector
6 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=I value
5th number=J value
6th number=K value 		Point with a vector
7 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=I value
5th number=J value
6th number=K value
7th number=diameter 		Circle with vector
8+ 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=I value
5th number=J value
6th number=K value
7th number=nothing
8th number=nothing
         Point with a vector

Example: If your XYZ file contained a line with 25,280,750,25 PC-DMIS would create a circle with the centroid at x=25, y=280, and z=750 with a diameter of 25.

After selecting the file to import, PC-DMIS displays the features constructed from the XYZ file in the XYZ File dialog box.

.

XYZ File dialog box

Note: Be aware that the order in which the features are created in the .xyz file and the order in which they are generated inside PC-DMIS may not be the same.

After clicking OK, PC-DMIS displays the created CAD features in the Graphics Display window.


Importing a Direct CAD File

Instead of translating CAD data into the internal CAD format of PC-DMIS, the direct CAD file types are accessed directly. That is, the CAD data of these file types remains in its native format after being imported. Routines native to the CAD type are used for all calculations done on the CAD data. Accessing the CAD data directly eliminates problems that can occur because of translation inaccuracies or limitations.

PC-DMIS still creates a .cad file for direct CAD types, but this file contains no geometry information. Instead, it has a reference of an absolute system path to the imported CAD file. The path for a CAD entity can be viewed through the Graphics | Cad Info menu item. The only way to change this path is to replace the model by importing the CAD file again. After a CAD file has been imported, if it is ever moved, deleted, or renamed an error will occur when the part program that imported the CAD file is opened.

An inherent limitation with direct CAD files is that any model editing done will be lost once you exit PC-DMIS. This includes deleting entities, modifying entity colors, or mirroring the model.

More:

Supported CAD Systems

Installing and Using Unigraphics Direct CAD Interface

Installing and Using Catia Direct CAD Interface

Installing and Using Pro/ENGINEER Direct CAD Interface

Installing and Using I-DEAS Direct CAD Interface

Installing and Using ACIS Direct CAD Interface


Supported CAD Systems

PC-DMIS Versions 3.1 and higher support interfaces to the following CAD systems:

  • Unigraphics

  • Catia

  • Pro/ENGINEER

  • I-DEAS

  • ACIS


Installing and Using Unigraphics Direct CAD Interface

  1. Install Unigraphics V15 or higher (requires ufunc_execute option).

  2. Add the UG directory (C:\Ugs150\Ugii) that contains the file Libufun.dll to the path variable in the Environment tab of the System Properties dialog box (in Control Panel, select the System Properties icon).

  3. Install PC-DMIS Version 3.1 or higher.

  4. Run PC-DMIS.

  5. Create a new PC-DMIS part program (select File | New).

  6. Attach a Unigraphics part file (select File | Import).

  7. Select UG Files from the List Files of Type list.

  8. Browse to the directory that contains your UG files.

  9. Select a Unigraphics part file (.prt extension).

  10. Click the OK button. PC-DMIS attaches the file to the part program.

  11. Use PC-DMIS as usual.


Installing and Using Catia Direct CAD Interface

To import a Catia file that functions in PC-DMIS, follow these steps:

  1. Install Catia V4.2.0 on a UNIX workstation (IBM or SGI).

  2. Create a directory called "Pcdmis" under the Catia Admin or User directory for installing PC-DMIS files.
    Example: /home/catadm/pcdmis

  3. Place the PC-DMIS/CATIA interface (a file named
    "Pcdcat") in the Pcdmis directory of your UNIX workstation.
    • If you don't have the PC-DMIS/CATIA interface (Pcdcat), downloaded either Pcdcat.ibm or Pcdcat.sgi (depending on whether your UNIX workstation is IBM or SGI) from ftp://wilcoxassoc.com/temp.

    • Once the file is in the Pcdmis directory on your UNIX workstation, rename the file to simply "Pcdcat" (without the .sgi or .ibm file name extension).
  4. Place the data text file "Pcdmis.dat" into the Pcdmis directory on your UNIX workstation. You can download this file from ftp://wilcoxassoc.com/temp.

  5. Edit Pcdmis.dat so that it contains the necessary port and IP address information (See "Example of Pcdmis.dat file on Unix Workstation").

  6. Install PC-DMIS V3.1 on an Intel based PC.

  7. Network the PC and UNIX workstation together.

  8. Place the data text file "Catia.dat" on the PC in the directory to which you installed PC-DMIS V3.1. You can download Catia.dat from ftp://wilcoxassoc.com/temp.

  9. Edit Catia.dat so that file contains the default path on the UNIX workstation where the CATIA model files are stored. (See "Example of Catia.dat file in PC-DMIS Directory").

  10. Edit the Pcdlrn.ini file on the PC, adding the CatiaPort and CatiaAddress entries. (See "Example of Pcdlrn.ini with Catia Information").

  11. Run Pcdcat on the UNIX workstation.

  12. Run PC-DMIS Version 3.1 or higher.

  13. Create a new PC-DMIS part program (select File | New).

  14. Attach a Catia file (select File | Import).

  15. Select CATIA Files from the List Files of Type list.

  16. Select a Catia data file (with .dat extension). The Catia data file contains default options for the Catia Get Model dialog box.

  17. Click the OK button. The Catia Get Model dialog box opens.

  18. Type in the appropriate directory information if needed.

  19. Click the Get Models button. A list of the Catia models appears.

  20. Select the Catia model name or names from the list.

  21. Click the OK button.


Installing and Using Pro/ENGINEER Direct CAD Interface

  1. Install Pro/ENGINEER 2000i.

  2. Set the PRO_COMM_MSG_EXE system variable so that it points to the location of the pro_comm_msg.exe file. You can do this from Window's Control Panel by selecting the Environment tab from the System Configuration dialog box (accessed from Control Panel).

  3. Include the full path and file name. For example,
    D:\ProE2000i\I486_NT\Obj\Pro_Comm_Msg.exe.

  4. Make sure the [ProEngineer] section is added to the Pcdlrn.ini file.
    • For new installations of PC-DMIS (when Pcdlrn.ini file does not initially exist), the [ProEngineer] section and executable name entries are added automatically. You can then edit them as needed.

    • If PC-DMIS is an existing installation, Pcdlrn.ini will not contain the [ProEngineer] section (unless you have tried to use the Pro/ENGINEER interface at least once, in which case PC-DMIS includes the entry). If the [ProEngineer] section of Pcdlrn.ini doesn't exist, you will need to add the [ProEngineer] section heading and the ProEngineerExecutableName item manually. Place the [ProEnginner] section at the very end of the file. You can edit Pcdlrn.ini using any text editor (such as Notepad).

Caution: When editing the Pcdlrn.ini file, take care that you don't break up any other Pcdlrn.ini sections.

  5. Set the ProEngineerExecutableName entry in the [ProEngineer] section of the Pcdlrn.ini file. For example, if the executable name that you use to launch Pro/ENGINEER normally is "PROE20", then the INI entry will look like the following:
    [ProEngineer]
    ProEngineerExecutableName=PROE

  6. Run PC-DMIS Version 3.2.

  7. Create a new PC-DMIS part program (select File | New).

  8. Attach a Pro/ENGINEER part file (select File | Import).

  9. Select PRO E Files from the List Files of Type list.

  10. Browse to the directory that contains your Pro/ENGINEER files.

  11. Select a Pro/ENGINEER part file (.prt or .asm extensions).

  12. Click the OK button. PC-DMIS imports the file.

  13. Use PC-DMIS as usual.


Installing and Using I-DEAS Direct CAD Interface

  1. Install I-DEAS master series 6a or master series 7 on the same computer that will run PC-DMIS, or any PC or Unix computer that can be accessed over a network as a remote host.

  2. Have at least one free license of I-DEAS on the computer that I-DEAS will be accessed from.

  3. On the computer that will run PC-DMIS, ensure that the following directories are in the Path environment variable:
    • I-DEAS oirun\lib directory. This directory is usually at %SDRC_INSTL%\oirun\lib.

Note: The environment variable SDRC_INSTL is set to the path of the I-DEAS installation. It is usually not set when I-DEAS is installed.

  • I-DEAS bin directory. This directory is usually at %SDRC_INSTL%\bin.

  • Exceed.nt directory. This directory is usually at C:\Program Files\Exceed.nt.

  • Orbix bin directory. This directory is usually at %IT_CONFIG_PATH%\bin.

Note: the environment variable IT_CONFIG_PATH is usually set when I-DEAS is installed and points to the path of the Orbix installation.

To check environment variables :

  • From the Start menu, select Settings | Control Panel.

  • Double-click the System icon. The System Properties dialog box opens.

  • Select the Environment tab.

  • Check the desired variable for the appropriate path.
  4. If the computer I-DEAS will be accessed from is a remote host, you will need to modify the [Ideas] section in the Pcdlrn.ini file and specify the host name. To do this:
    • Open the Pcdlrn.ini file.

    • Navigate to the [Ideas] section

    • If there is no [Ideas] section, add it at the end of the file.

    • Add an entry in the [Ideas] section for the computer host name that I-DEAS will be accessed from. For example, if I-DEAS is on a remote computer with the network name of Dragon, add the following line in the [Ideas] section:

      Host=Dragon
  5. If the version of I-DEAS is older than master series 7, you will need to modify the [Ideas] section in the Pcdlrn.ini file. Add an entry in the [Ideas] section for the version you are using. For example, if the I-DEAS version is master series 6a, do the following:
    • Open the Pcdlrn.ini file.

    • Navigate to the [Ideas] section.

    • If there is no [Ideas] section in the Pcdlrn.ini file, add it at the end of the file.

    • On a new line, add the following entry in the [Ideas] section:
      Version=MS6A
  6. Run PC-DMIS.

  7. Create a new PC-DMIS part program (select File | New).

  8. Attach an I-DEAS model file by selecting File | Import. The Import Data dialog box appears.

  9. Select I-DEAS Files from the List Files of Type list.

  10. If you are accessing I-DEAS from a computer that is the local host (that is, the same computer PC-DMIS is being run on), browse to the directory that contains your I-DEAS model file.

    If you are accessing I-DEAS from a remote host computer, only the model files stored on the remote host can be accessed. Since the model file is on the remote host, you cannot use the Import Data dialog box's built in browser to locate the file. You must type the name of the model file as if you were on the remote computer. For example, if the model file car.mf1 was stored on the remote computer at C:\models\car.mf1, you would simply enter C:\models\car.mf1 in the File Name box in the Import Data dialog box.

Note: You cannot open model files from a mapped network drive. You must instead, copy the model file (both the MF1 and MF2 file) to a local, unmapped drive. Once copied, you can then open the model file normally.

  11. If the computer containing I-DEAS is the local host, select the I-DEAS model file (.mf1 extension). Otherwise, enter the file name as described in the previous step.

  12. Click the OK button. If your selected model file contains more than one part or assembly, the I-DEAS Item Selection dialog box opens.

    I-DEAS Item Selection dialog box

    This dialog box shows the available parts and assemblies in the model file.

  13. From the Available Parts area, select one or more of the parts.

  14. From the Available Assemblies area, select up to one assembly.

  15. Click the Import Selected Items button to import the selected items.

  16. Use PC-DMIS as usual.

Note: Due to a system limitation, model files accessed from a remote computer will not be shaded in Solid View. Model files accessed from the local host will be shaded normally.


Installing and Using ACIS Direct CAD Interface

  1. Install and run PC-DMIS Version 3.1 or higher. The installation routine places several DLLs in the Path environment variable allowing you to link directly to ACIS CAD files.

  2. Create a new PC-DMIS part program (select File | New).

  3. Attach an ACIS part file (select File | Import).

  4. Select ACIS Files from the List Files of Type list.

  5. Browse to the directory that contains your ACIS files.

  6. Select an ACIS model file (.sat extension).

  7. Click the OK button. PC-DMIS imports the file.

  8. Use PC-DMIS as usual.


IGES Setup Dialog box

The IGES Setup dialog box allows you to view all or part of the CAD / DIMS image.

To view all or part of your CAD / DIMS image:

  1. Select the desired check box options.

  2. Click the OK button.

PC-DMIS will draw the selected CAD / DIMS image with the requested features. If the Default check box is selected, PC-DMIS will use the current setting to process all future entities.

The Surface of Revolution check box is available if trimmed surfaces are being used that have a surface of revolution as a base surface and it is not being read in correctly. If this is the case, simply select the appropriate options in the Trimmed Surface area of the dialog box.

More:

Data

Make 3D


Data

The IGES Data dialog box allows you to click on a specific feature in the list box to display information regarding that feature's diameter, XYZ nominal, etc.

To access the IGES Data dialog box:

  1. Select File | Import from the menu bar.

  2. Select either the CAD or IGES file formats to import.

It is necessary that the appropriate input file (the file you Imported) be processed before this option can access specific feature data.


Make 3D

The Make 3D button tells PC-DMIS to manipulate a 2D CAD drawing three-dimensionally, creating desired 3D levels. The original data should be defined in a single plane parallel to the Z (= 0) plane.

When the button is clicked the Create Levels-OLD FILE window appears:

Using the Create Levels-Old FILE window you are able to create new levels, or views of the various geometrical elements that make up the CAD. Any changes made to the graphics are temporary. When PC-DMIS for Windows is reactivated, the alterations will no longer be valid.

There are three menus associated with this window which are used to create the various levels:

  1. File

  2. View

  3. Level


File Options - File

File

The Create Levels' File menu allows you to access the original file that was read in "OLD FILE" and the newly created file "NEW FILE". It also allows you to save any changes before exiting this option.

  • The "OLD FILE" always contains the unaltered data from the original file.

  • The "NEW FILE" file allows you to access the Position dialog box, situating the level 3-dimensionally.

Only one of the file windows can be accessed at a time. PC-DMIS allows you to switch between the opened windows using the File menu. PC-DMIS will automatically switch to the appropriate window when necessary for a specific function (such as creating a new level).

Note: It is important to select the File | Save and Exit option, as PC-DMIS does not automatically save the part program before exiting.


File Options - View

View

The Create Levels' View menu allows you to temporarily alter the graphics displayed in the dialog box. This allows you to rotate, scale or change the view to easily access the necessary CAD elements.

More:

Change

Scale to Fit

Rotate

CAD Info

Screen Color


File Options - View - Change

Change

The View | Change View menu option lets you create new views from a CAD file. This function is helpful when a 2D IGES file is used that contains several views of a part in one plane and the views need to be associated with their correct orientation in the Graphics Display window.

See the "View Icons" for more information on changing views.


File Options - View - Scale to Fit

Scale to Fit

The View | Scale to Fit menu option re-draws the part image to fit entirely within the Graphics Display window. This function is useful whenever the image becomes too large or small.


File Options - View - Rotate

Rotate

The View | Rotate menu option displays the Rotate dialog box, allowing you to rotate the part image in three dimensions.

The "Mode Icons" topic in the "Utilities" section has additional information on using the rotate option.


CAD Info

The View | Cad Info menu option displays the CAD information dialog box. This dialog allows you to view information about a specific CAD Geometry. Anytime a single CAD geometry is selected, and the CAD information dialog box is open, then information about the specified CAD geometry will be displayed. The selected element will also flash on the screen. At a minimum, the type of the geometry will be shown (circle, line, etc.). Also, if the CAD was imported with PC-DMIS version 3.2 or later, information about the CAD file (at the time of import) will be displayed. This includes the full path to file, the time the file was last modified, and the size (in bytes) of the file. If available, the sequence number of the element in the IGES, XYZ, etc. file will be displayed. Usually, there will be information about the geometry such as diameter, vector or location. For complex elements such as trimmed surfaces, information about other geometries (base surface, bounding curves) will also be displayed. Selecting the View button will cause the geometry described to flash on the screen. This dialog is also available under the main menu's Graphics | Cad Info menu option.


File Options - View - Screen Color

Screen Color

The View | Screen Color menu option displays the Screen Color dialog box. It allows you to alter the colors that will be viewed in the Graphics Display window. This dialog is also available under the main menu's Graphics | Screen Color menu option.


File Options - Level

Level

The Create Levels' Level menu option allows you to select the desired CAD elements and create up to 18 different levels. As each level is created, it will be displayed at the bottom of the menu list, allowing you to re-select it. A CAD level consists of a group of related CAD geometries that are identified by a level number. Levels are predefined in either an 'IGES' or 'XYZ' CAD file. The level information in these files is imported into PC-DMIS when these files are 'imported'. You can then select which levels are displayed in each 'view' using the Screen Format dialog box. Given the size and complexity of many CAD files, it will be a great benefit to have the ability to restrict which portions of the CAD model will be visible as various PC-DMIS tasks are performed.

A CAD geometry can belong to only one level. For example, geometry 'A' can belong to level 'x', or to level 'y', but not to both. This will not restrict your viewing capabilities, as multiple levels can be viewed simultaneously.

More:

New

Select

Deselect

Create

Position


File Options - Level - New

New

The Level | New menu option allows you to create a new level once existing levels exist. (It is not necessary to use this option to create the first level since PC-DMIS automatically creates a new level once the Create Level-OLD FILE window opens.)

More:

To Create a New Level:


To Create a New Level:

  1. Select Level | New. If the New menu option is already grayed out then it has been automatically selected upon opening the Create Level-OLD File window.

  2. Select the desired CAD elements. (CAD elements can be selected in the same manner available in PC-DMIS. These include, mouse selecting and box selecting.) Once a CAD element is selected it will be highlighted in the current highlight color.

  3. Select Level | Create from the drop-down menu.

PC-DMIS will create the new level and automatically switch to the Create Levels-NEW FILE window, displaying the selected elements.


File Options - Level - Select

Select

The Level | Select menu option allows you to select the CAD elements that will be viewed in the new level. Selected data will be displayed in the current highlight color. Elements can only be chosen when the Select menu option is chosen.

Note: Verify that the selected data is displayed exactly as needed. Once the Level | Create menu option is chosen, the CAD elements cannot be changed. To modify a level (prior to selecting the Create menu option), choose the Level | Deselect option. This will clear all highlighted data.


File Options - Level - Deselect

Deselect

The Level | Deselect menu option allows you to clear any CAD elements that were selected for viewing.


File Options - Level - Create

Create

The Level | Create menu option creates a new level based on the selected CAD elements.

Once the CAD elements are selected and this option is chosen, PC-DMIS will move the selected elements from the "OLD File" to the "NEW File". The screen will automatically switch, displaying the "NEW File". The window will also show any previous levels that have been created. The elements selected for the new level will be drawn in black. Data from the previous levels will be displayed in gray.

To create another level, select Level | New. The "OLD File" will automatically be displayed, and the selection process can be repeated.


File Options - Level - Position

Position

Once a level has been created, the Level | Position menu option displays the Position dialog box. This dialog allows you to position the axes and change the orientation of that level.

More:

To Reposition a Level:

Orientation

Position

Origin Defining Element(s)

Offset Defining Element

Scale

Screen Format


To Reposition a Level:

  1. Select the level from the Level menu.

  2. Select Level | Position.

  3. Select an orientation option (top, bottom, right, etc.) from the Orientation area of the dialog.

  4. Click the Position command button. The View from Orientation dialog box appears. With this you can position the level relative to the orientation

  5. Use the View from Orientation dialog box to move the level in 3-D so it will be in the correct position relative to the other levels.

  6. Click OK.

Levels can be repositioned in any order, and as many times as is necessary.


File Options - Position - Orientation

Orientation

Only orientations that correspond to the six sides of a cube are currently supported. Select the orientation that corresponds to the desired portion of the 2-D data. If the 2-D data represents the part as seen from the right side of the part, select the 'RIGHT' orientation.

Example: If the data shows the left side of a car, select the 'LEFT' orientation. It is necessary that the data show the left side of the car as it would be seen standing next to the car. If the car appears upside down, or on end, select the Position button after selecting the orientation.


File Options - Position - Position

Position

The Position button displays the View from Orientation dialog box.

This option will show only the 2-D data for the current level. It will also display a box depicting the selected orientation. Use the Rotate option buttons and Mirror check boxes to change the data as required. This process can be done at any time during the positioning procedure.


Origin Defining Element(s)

To move the data within the plane, an 'origin' can be selected using the Origin Definition Element(s) area in the View from Orientation dialog box. This is done either by selecting a geometry(s) within the level data, by specifying a numerical offset(s), or both.

  • To select a geometry:
    1. Select the Element 1 option.

    2. Select a geometrical feature in the Create Levels-NEW FILE window (for example, a line). If the Apply button is then pressed, one of the end points of the line will become the 'origin.'

    3. To make the other end point the origin, select the Point 2 check box.
  • To make the intersection of the two lines the origin:
    1. Select the Element 1 option.

    2. Select a line in the Create Levels-NEW FILE window.

    3. Next, select the Element 2 option.

    4. Select a second line in the Create Levels-NEW FILE window.

    5. Click the Apply button to move the level data to the new origin. (Any combination of lines, arcs, circles and points can be used to select an origin.)
  • Numerical offsets can also be entered to move the origin in the horizontal and vertical directions (being defined relative to the orientation).


Offset Defining Element

Once an origin is selected, it may be necessary to move the plane in a direction normal to itself in order to correctly position it relative to the other levels. This can be done by selecting a geometry in a level.

Example: A line in a Top orientation can be selected. The Right orientation levels will then be moved so that it is in the same plane as the line in the Top orientation level. Ideally the line selected should be parallel to the Right orientation level.


Scale

The Scale CAD field allows you to scale the part image in the Graphics Display window to the CAD drawing. This option differs from the Scale to Fit and Scale Drawing options in that the CAD data in the part program will actually reflect the changes. Key in the desired scaling factor.

  • To reduce the size of the drawing elements by 50%, type 0.5 in the Scale box.

  • To double the size of the drawing elements, type 2.0.

  • To leave the drawing unchanged, type 1.0. (A scaling factor can be entered for any level.)

To 'apply' all of the changes click the Apply button. The Reset button allows you to undo all the changes made to the current level. The Cancel button will undo any changes made since the Position dialog box was displayed.

Note: All of the above positioning operations can be done in any order. They can be repeated as often as necessary. In most cases, the changes will not be shown until the Apply command button is selected.


Screen Format

The CAD level feature set, allows you to perform these additional operations using the Screen Format dialog box:

  • Create a new level. See "Create".

  • Delete an existing level. See "Delete".

  • Modify an existing level. See "Modify".

Level additions and modifications require the selection of CAD. You can restrict selection to different types of geometry in the same way as selection is restricted in the Edit CAD and Delete CAD dialogs. Selection can also be restricted to an existing level that is selected.

See "Levels" for detailed information on how levels are used with the Screen Format dialog box.


Operations

The File | Operations sub menu allows you to mirror, copy, delete and rename part program files.

More:

Mirror

Copy

Delete

Rename


Mirror

The Mirror command on the Operations sub-menu allows the user to create a mirror image copy in the X, Y, or Z axis of a part program.

To mirror a part program:

  1. Select File | Operations | Mirror from the main menu. The following Choose Part to Mirror dialog box will appear:

  2. Select the part program file to mirror.

  3. Select the axis (Mirror in X, Y, or Z option buttons) in which you want to mirror.

  4. Click the Open button. The Save Mirrored Part As dialog box will appear with the file name of the part program you selected to mirror:

  5. Click the Save button. The part program will be mirrored to whichever directory you specify.


File Options - Operations - Copy

Copy

The Copy command on the Operations submenu allows the user to copy all the files associated with a given part program.

To copy a part program:

  1. Select the File | Operations | Copy menu item. The Copy Part Files From dialog box appears asking which file you wish to copy and from which folder.

  2. Navigate through the directory structure and select a part program.

  3. Click the Open button. The Copy Part Files To dialog box appears next, asking the user to which folder you wish to copy the part program.

  4. Click on the part program you want to copy so that it's filename and extension appears in the File name box.

  5. Navigate to the folder to which you want to copy the program.

  6. Click the Open button.

The files that will be copied are the ".PRG" file, the ".CAD" file, and any file with the same base name and an extension in the range .001, .002, …, .999.


File Options - Operations - Delete

Delete

The Delete command on the Operations submenu allows the user to delete all the files associated with a given part program.

To delete a part program:

  1. Select the File | Operations | Delete menu item. A Delete Part files dialog box will appear

  2. Choose which part program to delete.

  3. Click the Open button. PC-DMIS will bring up another box, asking if you are sure that you want to send the files to the Recycle Bin.

  4. Click the Yes button.

The files that will be deleted are the ".PRG" file, the ".CAD" file, and any file with the same base name and an extension in the range .001, .002, …, .999. Any deleted files will be sent to the Recycle Bin.


Rename

The Rename command on the Operations submenu allows the user to rename all the files associated with a given part program.

To rename a part program:

  1. Select the File | Operations | Rename menu item. The Rename Part Files From dialog box will appear, asking you which file you want to rename.

  2. Select which part program to Rename.

  3. Click the Open button. The Rename Part Files To dialog box will appear, asking you for the new name of the file.

  4. Type in the new name for the file in the File name box.

  5. Click the Open button. The name change will immediately be applied.

The files that will be renamed are the ".PRG" file, the ".CAD" file, and any file with the same base name and an extension in the range .001, .002, …, .999.


File Options - Print

Print

File | Print lets you send the current contents of the Graphics Display window to the output device. Use this capability to include a graphic representation(s) of the part in your measurement report. PC-DMIS supports a wide variety of output devices (both printers and plotters). Please contact your PC-DMIS sales representative if you have any questions concerning hardware compatibility.

To print the current screen, choose the File | Print command (CTRL + P). The number of copies to be printed also can be specified in the dialog box.


File Options - Print Preview

Print Preview

File | Print Preview allows you to preview a page, prior to printing it. From this menu option, only the Graphics Display window of the screen is available for printing. To select this command, click on File | Print Preview. PC-DMIS allows you to zoom in or out on the graphical representation, allowing you to print the viewed portion only.


File Options - Print Setup

Print Setup

File | Print Setup allows you to select the type of graphical view that will be printed. The paper size, source and orientation can be determined by choosing the Printer Setup button. Click the OK button when the dialog box is set up as desired.

The Printer Setup button allows you access the Print Setup dialog box. This dialog lets you choose paper size, page orientation and access other printer properties.


File Options - Execute

Execute

File | Execute allows you to execute the current part program.


File Options - Execute From

Execute From

File | Execute From allows you to start execution from the next unmeasured feature in a part program that was canceled during execution.


Edit Window

The Edit window is an essential part of PC-DMIS for Windows. This option allows you to tailor PC-DMIS to meet specific needs within a part program. When File | Edit Window (ALT + F then W) is selected, PC-DMIS displays the Edit window providing instant access to the current part's program report. You can then easily edit the report, mark the part program for execution and edit the probe path. See "Editing a Part Program" for information on the functions of the Edit window.


Preview Window

File | Preview Window opens a window that allows you to preview the results of a feature measurement before actually accepting the measurement. After taking probe hits and pressing the END key (or DONE on the jog box) PC-DMIS displays the feature in the Graphics Display window and dimension information for the feature in the Preview Window.

Preview Window for a measured circle showing the X, Y, Z, and Diameter values

The Preview Window uses the same color scheme used for dimensions to show the deviations from acceptable tolerances; these colors allow you to quickly determine whether or not a particular measurement falls within acceptable tolerances or not (see "Edit Dimension Colors" in the "Graphics" section for information on how to change the tolerance colors used for dimensions).

Note: To determine which feature information is displayed in the Preview window, simply place your Edit window cursor on the command line for any feature in the Edit window. Generally the cursor rests on the last feature in the Edit window.

Below are the available options for the Preview Window.

More:

Preview Window Options


Preview Window Options

The Preview Window displays general information about a feature as well as more specific dimensional information.

Option | Description
D | This box determines the name label for the measured feature or dimension.
SD | This box determines the Standard Deviation for the measured feature.
#Hits | The #Hits box determines the number of probe hits taken to measure the feature.
Hide | The Hide button closes the Preview Window. You can open the Preview Window by selecting File | Preview Window.
Accept | The Accept button accepts the measurement. This only functions if you select the Save Dimens check box first.
Save Dimens | Selecting the Save Dimens check box inserts dimension information for the measured feature into the Edit window once you click the Accept button.
AX | An AX list displays the selected axis in the Preview Window. You can select these axes: X, Y, Z, D, R, A, T, PR , PA , M, V, L, PD, RS, RT, S, H. You can view information on up to six axes at one time by selecting them from the various AX lists. For information on these axes, see "Location Axes" in the "Graphics" section.
Nominal | This box determines the nominal (or ideal) values for each axis.
+TOL | This box determines a tolerance value above the nominal value for which the measurement is still acceptable.
-TOL | This box determines a tolerance value below the nominal value for which the measurement is still acceptable.
MEAS | This box determines the actual measured values.
MAX | This box determines the maximum value you can have before your measurement goes out of tolerance.
MIN | This box determines the minimum value you can have before your measurement goes out of tolerance.
DEV | This box determines the measurement's deviation from the nominal value.
OUTTOL | This box determines the value by which the measured value is out of tolerance.


Language

File | Language displays the languages that are available to PC-DMIS users. A check mark indicates the language that is currently being used. To switch to a new language, simply select the desired language. PC-DMIS will automatically shut down. Once restarted, PC-DMIS will run in the newly selected language. Grayed out languages cannot be selected. A given language may be available but not installed on your current system.

Note: Care must be used when switching between languages. PC-DMIS automatically closes the software after a language change has been requested. Any changes made to the part program will not be saved.


File Options - Exit

Exit

To quit the current part program, choose the File | Exit command. Double clicking on the upper left corner button will also exit the program. Unlike the File | Quit command, when File | Exit is chosen, PC-DMIS automatically saves the current part program before exiting.


Utilities: Introduction

PC-DMIS for Windows allows you to inspect a part program while it is being generated. PC-DMIS stores all the inspection data and commands that have been entered in its internal format, and allows you (from the Open File dialog box) to store the part program to a disk file. You can inspect a dimension in many different ways. This allows you to measure a part using the most effective means.

The Utilities menu provides all of the options associated with loading, measuring and changing probe tips. It also defines coordinate systems and patterns of features. There are also options allowing you to specialize your part program through the use of loops, macros and user comments.

You can access the Utilities menu at any time by pressing ALT + U. The following paragraphs describe the various UTILITY options and their functions.

The main topics in this section include:

  • End Feature

  • Erase Hit

  • Take Hit

  • Delete 'Last Feature'

  • Keep Dimension

  • Probe

  • Hard or Trigger Probe

  • Machine

  • Fixture

  • Column Recovery

  • Insert Tip Calibration

  • Alignment

  • Save Alignment

  • CAD Equals Parts

  • Equate Alignment

  • Leapfrog

  • Flow Control

  • Scripting

  • Insert Reporting Object

  • File I / O

  • Comment

  • Trace Field

  • Assignment

  • External Object

  • External Command

  • Statistics

  • Attach Part Program

  • Toolbars


End Feature

The End Feature menu option allows you to signal PC-DMIS that the construction of a feature has ended.

To use the End Feature option, press the END key or:

  1. Select Utilities from the menu bar.

  2. Select End Feature.


Utilities - Erase Hit

Erase Hit

The Erase Hit menu option allows you to erase the last probe touch from the hit buffer.

To enter the Erase Hit option, select Utilities | Erase Hit from the menu bar. The '–' (minus) key or ALT and – (ALT, minus key combination) can also be used to erase a hit. (If the Edit window is active use the ALT , – combination.)

Note: Pressing the PRINT button on the jog box (if so equipped) while in Execute mode is the same as pressing the minus key. Set the Print_Store_Move entry of the .INI file to 0 for this function to be available. See "Print Store Move" for more information.


Take Hit

The Take Hit menu option takes a hit. It tells the computer to record the location of the probe along the X, Y, and Z axes. This option is only available with certain interface types. This option will work with manual, Tech80, and Embboard machines using a hard probe.

If the correct interface type is being used, this option can be accessed by selecting Utilities | Take Hit (or Ctrl H) from the menu bar.


Delete 'Last Feature'

This option allows you to delete the feature at the cursor's location. Usually, when creating a part program, your cursor will be at the end of your part program, thus selecting the Delete Last Feature menu option deletes the last feature in your part program.

To delete the most recently measured feature, press CTRL + D or:

  1. Select Utilities from the menu bar.

  2. Select Delete 'Feature'.

The Delete 'Feature' option indicates the ID of the feature to be deleted.


Keep Dimension

The keep dimension command saves the selected dimension, storing it in the Edit report. This allows you to print marked dimensions on the part program report.

To keep a dimension, press CTRL + K or:

  1. Select the Auto Create check box found in Options | Setup | Dimensions.

  2. Choose Utilities from the menu bar.

  3. Select Keep Dimension.

Any marked dimensions will now appear in the Edit report

See "Auto Create Dimensions" and "Auto Save Dimensions" for additional information on dimensions.


Utilities - Probe

Probe

The first step in CMM part programming is to define which probes will be used during the inspection process. PC-DMIS supports a wide variety of probe types and calibration tools. It also offers a unique method for calibrating a Renishaw PH9/PH10 wrist. To access the probe options, select Utilities | Probe from the menu bar.

A new part program must have a probe file created and/or loaded before the measurement process can begin. Little can be accomplished in a part program until you load the probe.

Hint: Click this icon to access the PC-DMIS's Probe Wizard. PC-DMIS must be running.

probeutl Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Utilities dialog box

The Probe Utilities dialog box displays probe data for the active tip. It allows you to create new probe files, access previously defined files, and edit a probe file as needed. This option also allows you to calibrate probes.

More:

Probe File Name

Active Tip List

Probe Description

Measure

Add Tool

Edit Tool

Delete Tool

List of Available Tools

Edit

Add Angles

Results

Mark Used

Global Used

Use Unit Calibration Data

Available Tip Types

Collision Tolerance

Probe Setup


Probe File Name

The Probe File drop-down list displays the current probe file. Probe files are stored in the directory where PC-DMIS was installed. The default directory is the file name and directory in which you installed PC-DMIS (usually "PCDMISW" on the local "C:\" drive). When PC-DMIS searches for a probe file to load, it will search in this directory unless you've changed the search path. See "Set Search Path" for more information.

To create a new Probe File:

  1. Highlight the current name in the Probe File drop-down list.

  2. Type in a new name (currently an 8-character limit).

If a probe file has already been saved under the keyed in name, PC-DMIS will load the previously saved file into the current part program.


Active Tip List

PC-DMIS allows you to store data describing a large number of probe tips. There can be as many as 32767 probe tips stored. This number may be limited by the amount of disk space available on your system.

To change the tip data:

  1. Highlight the desired active tip in the Active Tip List.

  2. Press the Edit button.

An Edit dialog box will appear, allowing you to change the displayed values.

Note: Uncalibrated tips have an asterisk before their Tip ID# in the Active Tip List.

PC-DMIS describes a probe according to the following criteria:

tiplist Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Tip List Description

More:

Tip ID#

Tip Rotation

Tip Type

X, Y, Z Nominal

I, J, K Vector

Diameter and Thickness

Calibration Date and Time

Uncalibrated Tip

Calibration Order


Tip ID#

This is the permanent number that PC-DMIS assigns to a tip when it is loaded into memory.


Tip Rotation

This field displays the rotation of the tip in the vertical (A) and horizontal (B) direction


Tip Type

This field displays the probe type (BALL, DISK, TAPER, SHANK, OPTICAL).


X, Y, Z Nominal

These values describe the location of the tip. This location is in relation to the bottom of the Z rail.


I, J, K Vector

These values describe the direction of the probe tip. This vector goes from the center of the probe tip towards the Z rail.


Diameter and Thickness

These values describe the diameter of the tip and the thickness of SHANK and DISK probes. PC-DMIS defines these values when the probe is loaded. (To change a field see "Edit Tool".)


Utilities - Active Tip List - Calibration Date and Time

Calibration Date and Time

These values indicate the most recent date and time the probe tip was calibrated. These values are available for viewing in the Edit Probe Data dialog box. If a new tip is created without being calibrated, PC-DMIS will display NEW for the date and time values. If an old probe tip is loaded and the date and time information is unavailable, PC-DMIS will display UNKNOWN for the values. Only probe tips that are actually calibrated have their time and data values updated.


Uncalibrated Tip

An asterisk (*) identifies any uncalibrated tips.

The Edit window command line for a sample tip would read:
TIP/T1A0B0, SHANKIJK=0, 0, 1, ANGLE=0


Utilities - Active Tip List - Calibration Order

Calibration Order

The calibration order is set by the order in which the tips are chosen in the list box.

To set the calibration order:

  1. Hold down the CTRL key.

  2. With your left mouse button, select the tips from the Active Tip List for calibration. A number representing the index of the tip measurement order appears next to each Tip ID as it is selected.

If no tips are chosen, the user will be asked if they want to measure all tips.


Probe Description

The Probe Description area (consisting of the drop-down list and subsequent box) allows you to define the probe, extensions and tip(s) that will be used in the part program. The Probe Description drop-down list displays the available probe options in alphabetical order.

To define a probe, extension(s), and tip(s):

  1. Select the statement; "No Probe defined:"

  2. Open the Probe Description drop-down list.

  3. Select the desired probe head.

  4. Press the ENTER key once the probe head is selected.

Note: Only probe options relating to the currently highlighted statement will be available for selection.

The selected probe head will then be displayed in the lower Probe Description box and in the graphical display box to the right.

  5. Highlight the Empty Connection #1 in the Probe Description box.

  6. Click on the drop-down list.

  7. Select the next item to be attached to the probe head (either an extension or probe tip). Tips are displayed first by size and then by thread size.

For example, if a 5-way extension is added, PC-DMIS offers 5 empty connections. You may fill any or all of the needed connections with the appropriate probe tip(s). PC-DMIS will always measure the lowest tip (lowest in the Z axis) in the extension first.

If a line in the Probe Description box is selected that already contains an item, PC-DMIS will display a message asking if you want to insert before, or replace the selected item.

"Click Yes to insert before or No to replace."

  • If you respond by clicking Yes, an additional line can be created by inserting the new tip before the original item.

  • If you respond by clicking No, PC-DMIS will delete the original item and replace it with the highlighted element.

Note: The selected item is inserted at the highlighted line in the Probe Description box. PC-DMIS will display a message allowing you to insert the selected item before the marked line or replace the highlighted item when appropriate.

More:

Edit Probe Components


Edit Probe Components

Double clicking on a line within the Probe Description area will access the Edit Probe Component dialog box.

This option allows you to remove specific portions of the probe graphics from display. In cases where the part geometry is particularly dense, selecting this option allows you to temporarily remove some of the graphics providing a better view of the features.

To remove probe graphics:

  1. Double click on the specific feature description (in the Probe Description box) that needs to be removed from view. PC-DMIS will display the Edit Probe Component dialog box.

  2. Clear the Draw this component check box.

  3. Click the OK button. The Edit Probe Component dialog box closes. Notice that PC-DMIS redraws the probe graphics without the indicated component and all other components above it in the Probe Utilities dialog box.

This option also allows you to change the rotary angle of the probe. To change the default setting of 0, simply type in the desired angle (any angle from +180° to -180°) in the Default rotation angle about connection box.


Utilities - Probe - Measure

Measure

The Measure command button calibrates the highlighted probe(s). This process tells PC-DMIS the location and diameter of the probe tip.

To begin the measurement process:

  1. From the Probe Utilities dialog box, make sure the Active Tip List is satisfactory.

  2. Highlight the appropriate probe tip(s).

  3. Click the Measure button.

Note: If the user has a probe probe changer and the currently active probe file is not the probe configuration in the probe head, then PC-DMIS will automatically drop off the currently loaded probe configuration and pickup the needed one.

The Measure Probe dialog box will appear.

Measure Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Measure Probe dialog box

Note: PC-DMIS does not track the calibration of probes. It is therefore necessary that you verify that a probe is re-calibrated if it is changed in any way.

A single probe tip may be qualified. If more than one tip is highlighted in the Active Tip List, PC-DMIS will display a message asking if it is OK to calibrate all of the highlighted tips.

  1. If the response is Yes, PC-DMIS will then display a message asking if the qualifying tool has been moved. A Yes response to this second question will display the Execution Mode Option dialog box, and requires you to take 1 hit in Manual mode before continuing the calibration process. Try to take this hit normal to the tip. A No response to this second question will also display the Execution Mode Option dialog box. The system will be in DCC (Direct Computer Control) control, however, and PC-DMIS will not require you to take any hits before beginning the calibration process.

  2. If the response is No, PC-DMIS takes you back to the Probe Dialog box and nothing happens.

The Measure Probe dialog box displays the default settings. The default value for number of hits is 5.

To use the defaults, click the Measure button. Otherwise, enter the desired value(s) before continuing.

When taking a manual hit, PC-DMIS will expect you to measure a qualification tool. These measurement results are used to determine the tip offsets. The results are displayed in the X, Y, Z box of the Active Tip List in the Probe Utilities dialog box.

If a spherical qualification tool is being used, PC-DMIS will also update the probe tip diameter as part of the qualification.

In order to begin the calibrating process, a tool must be defined. The type of measurement(s) to be made on the tool depends on the type of tool (SPHERE, CUBE), and the type of tip (BALL, DISK, TAPER, SHANK, OPTICAL).

More:

Number of Hits

Pre-Hit / Retract

Move Speed

Touch Speed

System Mode

Calibration Mode

Number of Levels

Start and End Angles

Calibration Order

Shank Qualification

Tool Mounted on Rotary Table

Num Shank Hits

Shank Offset

Measure


Utilities - Measure - Number of Hits

Number of Hits

PC-DMIS will use the number of indicated hits to measure the probe, based on the Calibrate Mode . The default number of Hits is 5.

To change this amount:

  1. Select the value in the Number of Hits box.

  2. Type a new value.


Pre-Hit / Retract

The Prehit / Retract box allows you to specify the pre-hit and the hit retract for the probe calibration.

To change the Pre-Hit / Retract distance:

  1. Select the number with your mouse.

  2. Type a new distance value.


Move Speed

The Move Speed box allows you to specify the move speed for the PH9 calibration.

To change the Move Speed value:

  1. Select the Move Speed box.

  2. Type a new move speed value. This value should be a percent between 1% and 100%, with 1.0 being the slowest and 100.0 the fastest.

See "Move Speed %" (located in Option | Parameters | Motion) for additional ways to affect the speed in the measurement process.

Note: The number in the Move Speed box can contain no more than four decimal places. If a number with more than four decimal places is entered, PC-DMIS rounds the number off at the fourth decimal place.


Touch Speed

The Touch Speed box allows you to specify the touch speed for the PH9 calibration.

To change the touch speed:

  1. Select the existing value.

  2. Enter a new value. This value should be a percent between 1% and 100%, with 1 being the slowest and 100 the fastest.

See "Touch Speed %" (located in Options | Parameters | Motion) for additional information.

Note: The number in the Touch Speed box can contain no more than four decimal places. If a number with more than four decimal places is entered, PC-DMIS rounds the number off at the fourth decimal place.


System Mode

Manual mode is used on a manual CMM (Coordinate Measuring Machine), or during the manual alignment portion of a program that will run on an automatic CMM. To change the system mode, choose either the Manual or DCC option buttons. The system mode can also be selected using the Manual Mode icon or DCC Mode icon on the toolbar. See "Manual / DCC Mode" for more information.


Calibration Mode

The Calibration Mode area contains options allowing you to switch between the Default Mode and the User Defined options, as described below.

Default Mode

If the Default Mode option is selected, PC-DMIS will take the number of indicated hits around the equator of the tool, plus one additional hit normal to the probe.

Sample Spherical Tool

User Defined Mode

If the User Defined option is selected, PC-DMIS will allow you to access the levels and angles boxes. PC-DMIS will measure the probe based on the number of levels that are entered and the starting and ending angles that are selected. The location of the level is based on the angles that are set. 0° is located at the equator of the probe. 90° is normal to the probe. Only one hit will be taken when measuring normal to the probe.


Number of Levels

The Number of Levels box determines the number of levels that will be used in the calibration process. PC-DMIS will divide the number of hits by the number of levels to determine how many hits will be taken at each level.


Start and End Angles

The Start Angle and End Angle boxes, control the location of the first and last level. Any additional levels will be located equally between these two levels.

  • A starting angle of 0° is located at the equator of the sphere (relative to the probe).

  • An ending angle of 90° is located at the top of the sphere, normal to the probe.


Utilities - Measure - Calibration Order

Calibration Order

The Calibration Order area of this dialog box allows you to determine the order PC-DMIS takes to measure selected tips. The available options are Default Mode and User Defined.

Default Mode

The Default Mode option tells PC-DMIS to measure the tips in an order that it determines to be most efficient. When this happens, PC-DMIS ignores the order that was given to selected tips in the Active Tip List. (See Active Tip List .)

PC-DMIS will also use the calibration tool vector to determine the most efficient order to measure.

User Defined

The User Defined option tells PC-DMIS to measure the tips in the order defined by the user when marking the tips for calibration in the Active Tip List. (See Active Tip List.) When the User Defined option is selected the Tool Override I, J, K boxes become available, allowing you to input the vector.

If no tips are chosen, PC-DMIS will use the input Tool Overide I, J, K vector to determine the most efficient order to measure all the tips.

Tool Overide I, J, K

These boxes become available when the User Defined option is selected. This allows the user to specify a vector used by PC-DMIS to determine the most efficient order to measure all the tips.


Shank Qualification

Select the Shank Qual check box if you will be using a shank tip. This check box allows you to qualify the shank of the probe. With this option selected, you can manipulate the Num Shank Hits box and the Shank Offset box.


Tool Mounted on Rotary Table

Select the Tool Mounted on Rotary Table check box if the probe qualification tool is mounted on the rotary table. This check box is disabled if the machine does not have a rotary table.


Num Shank Hits

The Num Shank Hits box defines the number of hits that will be used to measure the shank.

To change this number:

  1. Place the cursor in the Num Shank Hits box.

  2. Type a new value.


Shank Offset

The Shank Offset box determines the distance (or length) up from the tip of the shank that PC-DMIS will take the next set of qualification hits. To change this offset value:

  1. Select the existing value.

  2. Type a new value.


Utilities - Measure - Measure

Measure

The Measure button provides a menu from which you can select one of these four options:

  1. Calibrate Tips: This option is used to do a standard calibration of all marked tips.

  2. Calibrate Unit: This option is used to error map an indexing probe head such as the PH9 & PH10. A special probe configuration, consisting of three identical tips connected to a 5 way center in the shape of a upside down "t", is placed in the probe head and as many tip orientations (all possible orientations is best) that the user desires are measured with the special configuration. Once this has been completed it is possible to change tip configurations without having to do a complete tip calibration. Each of the orientations measured in the original map will now automatically be calibrated in the new configuration. PC-DMIS provides complete support for calibrating and using a Renishaw PHS wrist as well as the DEA wrist. See Use Unit Calibration Data for additional information on using this data.

    See also "Using a Wrist Device" for more information on calibrating wrists.

    The Process

    1. Create the Unit probe configuration as shown in the graphic below:

      The exact sizes of the components may vary but the shape must remain the same. It is also best to choose the lightest components as possible. Gravity can cause some error in the measurements.

    2. From the Probe Utilities dialog box, click the Add Angles button and add as many different orientations as you desire. A complete mapping of the probe head would mean measuring each possible orientation.

    3. Select the Measure button from the Probe Utilities dialog box. The Measure Probe dialog box appears.

    4. Enter the default values to use.

    5. From within the Measure Probe dialog box, click on the Measure button. A menu appears.

    6. From the menu select Calibrate the Unit. PC-DMIS will then measure each of the three tips at each of the selected orientations. PC-DMIS will use this data to map the Offset, Pitch, and Yaw of each different orientation.

    7. Next, place a probe configuration that you wish to use for measurement on the probe head.

    8. Choose at least three of the mapped orientations.

    9. Calibrate this tip in the chosen orientations, by clicking on the Measure button in the Measure Probe dialog box and selecting Calibrate Tips from the menu. This will allow PC-DMIS to calculate the actual length offset for this probe configuration. Then PC-DMIS will automatically create the position for each of the mapped orientation.
  3. Qualification Check: This re-measures the tip orientations specified by the user and does a comparison to the previously measured data for these tip orientation. The user can use this comparison to determine if a complete calibration is needed.

  4. Home the Unit: this will home the probe head to A=0 and B=0 for most probe heads. PC-DMIS includes Home the Unit for selection if the Pcdlrn.ini file contains the line:
    RenishawWrist = 1

Note: The port lock must have the wrist option turned on in order for PC-DMIS to enable the wrist support.


Add Tool

The Add Tool button allows you to store data describing the qualification tools. Each tool is assigned a sequential ID number. Along with the ID#, PC-DMIS displays the tool type (SPHERE, CUBE), the tool offset, and the diameter (for SPHERE), or the width (for CUBE). Once a new tool is defined, it will be displayed in the List of Available Tools drop-down list located in the Measure Probe dialog box.

To add a tool to the List of Available Tools drop-down list, click on the Add Tool button. The Add Tool dialog box appears, allowing you to edit any necessary information:

Hotspot 8 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 10 Hotspot 6 Hotspot 5 Hotspot 1 Add Tool dialog box

The Add Tool dialog box, gives you access to the same information used when you create a new tool. You can change the Tool ID, the Tool Type, the Offset values, the Shank Vector IJK, the Diameter / Length, and the Width of the tool.

More:

Tool ID

Tool Type

Offset X, Y, Z

Shank Vector I, J, K

Diameter / Length

Width


Tool ID

This box allows you to name the tool you are defining.


Tool Type

This drop down window allows you to select the tool type, either sphere or cube.


Offset X, Y, Z

These X, Y, and Z values give the location of the Calibration Tool in machine coordinates

To re-calibrate a tip, simply highlight the desired tip in the Active Tip list. Proceed to calibrate the probe tip using the Measure button. (See Measure.)


Utilities - Add Tool - Shank Vector I, J, K

Shank Vector I, J, K

This box displays the vector of the shaft on the tool. PC-DMIS uses these values during calibration to avoid the shaft.


Diameter / Length

This box displays the diameter / length of a sphere tool.

To change this value:

  1. Select the Diameter / Length box.

  2. Enter in a new value.


Utilities - Add Tool - Width

Width

This box displays the width of a cube tool.

To change this value:

  1. Select the Width box.

  2. Enter in a new width.


Edit Tool

The Edit Tool command button allows you to edit a tool that already exists in the List of Available Tools. Simply click the Edit Tool button and this Edit Tool dialog box will appear:

edittool Hotspot 9 Hotspot 8 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edit Tool dialog box

The Edit Tool dialog box has the same options as the Add Tool dialog box.


Delete Tool

The Delete Tool command button allows you to remove a tool that is no longer needed in the List of Available Tools drop-down list.

To remove a tool:

  1. Select the desired Tool ID.

  2. Click the Delete Tool button.


List of Available Tools

The List of Available Tools drop-down list displays the available tools, allowing you to specify which tool will be used in calibrating the probe. PC-DMIS only uses spherical tools.

More:

Spherical Tool and Ball Tip

Spherical Tool and Disk Tip

Spherical Tool and Taper Tip

Spherical Tool and Barrel/Shank Tip

Spherical Tool and Optical Tip


Spherical Tool and Ball Tip

PC-DMIS prompts you to enter the number of hits to be taken on the tool and then asks you to take the hits.


Spherical Tool and Disk Tip

If Mode = MANUAL, PC-DMIS will prompt you to take six hits on the calibration tool. Take three hits above the equator of the sphere and three below the equator.

If Mode = DCC, the location of the calibration tool must previously be known.


Spherical Tool and Taper Tip

PC-DMIS will prompt you to take six hits on the sphere with the tapered part of the probe. The spherical tool is, in effect, being used as the probe to measure the taper tip as a cone. The first three hits need to form a plane that is approximately perpendicular to the cone centerline. If a small taper probe is being used, it is best to use a small spherical tool to perform this operation.


Spherical Tool and Barrel/Shank Tip

PC-DMIS will prompt you to take four hits in a planar cross section of the sphere to form a circle. The hits must be made with the same part of the probe that will be used for inspection. When the four hits have been taken, PC-DMIS will prompt you to touch the sphere once with the bottom surface of the probe.


Spherical Tool and Optical Tip

This option is only available if the optical tip is defined as a hard probe.


Edit

Any active tip can be updated by simply highlighting the desired tip in the Active Tip List and selecting the Edit button. The Edit Probe Data dialog box will appear.

edprobe Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edit Probe Data dialog box

You can make changes to the following information:

More:

TIP ID

X, Y, and Z Center

Shank Vector I, J, K

Diameter of the ball tip

Thickness of the ball tip

Calibration Date and Time

To delete a tip from the Active Tip list:

To delete a wrist angle:


TIP ID

This box contains the permanent number that PC-DMIS assigns to a tip when it is loaded into memory


X, Y, and Z Center

These values describe the location of the tip. This location is in relation to the bottom of the Z rail.


Utilities - Edit - Shank Vector I, J, K

Shank Vector I, J, K

These values describe the direction of the probe tip. This vector goes from the center of the probe tip towards the Z rail.


Diameter of the ball tip

This box contains diameter of the tip.


Thickness of the ball tip

This box contains the thickness of the tip.


Utilities - Edit - Calibration Date and Time

Calibration Date and Time

These boxes indicate the most recent date and time the probe tip was calibrated. If a new tip is created without being calibrated, PC-DMIS will display NEW for the date and time values. If an old probe tip is loaded and the date and time information is unavailable, PC-DMIS will display UNKNOWN for the values. Only probe tips that are actually calibrated have their time and date values updated.

Only one tip may be edited at a time.


To delete a tip from the Active Tip list:

To delete a tip from the Active Tip List:

  1. Select the item to be removed.

  2. Select the Delete button.

If there is only one tip highlighted, PC-DMIS will automatically delete it. Multiple items can be deleted if they are all highlighted when the Delete button is selected.

PC-DMIS also allows specific PH9 angles to be removed from the Active Tip List.


To delete a wrist angle:

To delete a wrist angle:

  1. Select the angle to be removed.

  2. Select the Delete button.

If a tip or probe head is deleted, all related PH9 angles will also be deleted from the file.

Note: This option will delete the tip from the Active Tip List and remove it from the file of tips known to the system


Add Angles

When the Add Angles button is selected the Add Angles dialog box appears.

Addangle Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Add New Angles dialog box

Using the boxes and buttons available, PC-DMIS allows you to create a list of AB positions. Once a position has been calibrated it can be recalled at any time during any part program. Therefore, by calibrating frequently used positions, they can be recalled at will while learning or manually inspecting a part program.

AB positions are stored in part coordinates. Therefore, during Execute Mode, PC-DMIS will automatically find the closest calibrated AB position appropriate to the orientation of the part on the machine. The Automatically Adjust Probe Head Wrist check box (See Options | Setup | General) must be selected in order for the AB positions to be available. The Edit window must also reflect a probe change command prior to the feature.

Since the mechanical positioning of the probe will change over time, it is recommended that the probe be periodically re-calibrated. When the Add Angles button is selected, PC-DMIS displays the Add New Angles dialog box.

This dialog box allows you to specify singular AB orientations. PC-DMIS will also create a list of equally spaced AB orientations using the parameters specified in the boxes of the Equally Spaced Angles Data area.

The Add Angles dialog box provides the following parameters.

More:

New Angles List box

Individual Angle Data

Equally Spaced Angles Data

Notes on the Add Angle option


New Angles List box

The New Angles List box contains a listing of AB angles from either the Individual Angle Data area or Equally Spaced Angles Data area.


Individual Angle Data

The Individual Angle Data area allows you to add AB positions one at a time into the New Angles List box.

To add individual angles:

  1. Place your cursor in the box(es) you want to change

  2. Enter in a new angle.

  3. Click the Add Angles button.

The individual angle you specified will appear in the New Angles List box.


Equally Spaced Angles Data

The Add Angles button associated with these boxes automatically marks all of the requested equally spaced AB positions in the New Angles List box. The default position for the probe configuration is automatically included in the final list. A PH9 pointing straight down (A=0°, B=any°) is automatically defined and therefore doesn't need to be re-defined in this dialog box.

PC-DMIS easily allows you to measure all the AB positions from 0° to 90° in the A axis with 15° increments and from -180° to 180° in the B axis with 45° increments.

A axis angle range—Front view of CMM with B = 90°.

B axis angle range—top view with A = 90°

To add angles to the New Angles List box:

  1. Enter the necessary information in each available angle box (Starting a angle, Ending a angle, a angle Increment, Starting b angle, Ending b angle, b angle Increment).

  2. Click the Add Angles button and PC-DMIS will automatically display the requested AB orientations, in the New Angles List box.


Notes on the Add Angle option

  • Automatic probe calibration can only be done using a spherical probe and spherical qualification tool.

  • The X, Y and Z coordinate of the center of the tool that is being used must reflect the current position of the tool on the table. If this is not the case, the response should be YES to the question "Has probe position moved?"

  • When measuring AB positions under operator control, PC-DMIS will automatically rotate the probe head to the next manual position when the current position is completed. Please be sure the probe clears the tool before pressing the END key.

  • If the calibration tool position has changed or new angles need to be appended to the list of tips, mark the needed angles in the New Angles List box. The default position of the probe tip (normal to the shaft of the tool) must also be marked. PC-DMIS will first execute the angle that is normal to the tool, and then execute the other marked angles.

  • If the automatic AB calibration is stopped before it has finished measuring all the appended positions, PC-DMIS will ask you if you want to keep the partial calibrated data before quitting.


Results

The Results button displays the results of the most recent probe calibration in the Results dialog box.

In addition to displaying the probe's diameter and thickness, the dialog box also provides the actual angle and roundness of the sphere. These measured results let you verify the accuracy of the calibration.


Mark Used

This option will automatically search the current part program for AB angles. PC-DMIS then adds any AB angles that are found to the current probe configuration.

Note: Be aware that if you select the Automatically Adjust Probe Head Wrist option (found in the General tab in the Setup dialog box) and click the Mark Used button, PC-DMIS may not select all the probe tips for calibration (see the "Automatically Adjust Probe Head Wrist" topic in the System Options section).


Global Used

The Global Used button searches for tips used in other part programs by the currently active probe file. It then adds them to the Active Tip List and marks them for calibration.


Use Unit Calibration Data

The Use Unit Calib Data check box only appears on the dialog box if you have already performed a unit calibration. If this check box is not selected, PC-DMIS will use the standard calibration. Selecting this check box allows you to use the unit calibration data. See "Calibrate the Unit" in the section Calibration Mode for additional information.


Available Tip Types

PC-DMIS provides the following types of tips in the Probe Description drop-down list:

If a tip needs to be added to the list of available tips, please contact your PC-DMIS software support representative. Only authorized personnel are allowed to create additional tip files.

More:

Ball

Disk

Optical

Shank


Ball

This defines a spherical probe. The user is able to edit the nominal diameter and thickness of the probe using the Edit button. The direction of the probe must also be defined.


Disk

This defines a disk probe. The user is able to edit the nominal diameter and thickness of the probe using the Edit button. The direction of the probe must also be defined.


Optical

This option is only available if the optical tip is defined as a hard probe.

This option defines an optical probe. The user is able to edit the nominal diameter of the probe using the Edit button. The direction of the probe must also be defined.


Shank

This defines a shank or barrel probe. The user is able to edit the nominal diameter and thickness of the probe using the Edit button. The direction of the probe must also be defined.


Collision Tolerance

Collision Detection (CD) in PC-DMIS is designed to detect collisions between the probe and CAD surfaces.

Collision tolerances are specified in the Collision Tolerances dialog box. This option can be accessed by clicking on the Tolerances button in the Probe Utilities dialog box.

See "Collision Detection" in the "Editing a Part Program" section for additional documentation regarding the Collision Detection option.

More:

Specifying Collision Tolerances


Specifying Collision Tolerances

Collision tolerances are specified in the Collision Tolerance dialog box. This dialog box can be activated by clicking the Tolerances button in the Probe Utilities dialog box.

You can specify a positive or negative distance for each probe component, which effectively changes the size of that component.

  • A positive number will increase the size of the component so a collision will be detected if that component comes within the specified distance of the part.

  • A negative distance decreases the size of that portion of the probe, having the opposite effect of a positive distance.

  • You can also choose to ignore a probe component (PC-DMIS will not check for collisions). This may be useful with a tip, where collisions are expected to occur when taking hits.

PC-DMIS's internal CAD engine, the CAD DLL, performs all of the calculations required to detect a collision. Generally, this DLL performs any extensive calculation involving the CAD data. It also generates and stores the tessellations required to render surfaces in OPENGL (the same tessellations used in CD). Also, the DLL provides the tools required to compute the geometry and traversal of the probe. The probe is implemented as a CAD collection.

When Collision Detection is started, calls are made to PC-DMIS's graphics engine, the GRAPH3.DLL, which sets up the collision detection 'cycle.' This DLL responds to animation requests from the application by making the appropriate calls to the CAD DLL, which extrude the probe and perform CD calculations. The application is informed of results through the use of G2M_COLLISION messages that are sent by GRAPH3 to the application (PC-DMIS) after every probe animation request. This message passes all the information the application needs to report the results to the user. All GRAPH3 messages are sent to the main PC-DMIS view window. G2M-COLLISION messages are relayed to the Collision Detection dialog box. This reports the results in the Probe Display window of the dialog box, and saves them for later use in drawing the Edit Path lines.

See "Collision Detection" in the "Editing a Part Program" section for additional documentation regarding the Collision Detection option.


Probe Setup

The Setup button on the Probe Utilities dialog box displays the Probe Setup dialog box.

This dialog box allows you to further customize your probe settings. Using the options in this dialog box you can change or select the following information:

  • Give a warning when using tips that have not been calibrated in x days.
    Where x is the number of days.

  • Give a warning when using tips that were not all calibrated within x hours of each other.
    Where x is the number of hours.

  • Clearance distance along the qualification tool shank vector: x
    Where x is the clearance distance

  • Clearance distance along the qualification tool shank vector for continuous wrist probes: x
    Where x is the clearance distance

  • Clearance distance in Z when qualification tool shank is perpendicular to the Z axis: x
    Where x is the clearance distance

  • Give a warning during qualification when the standard deviation of the sphere is more than: x
    Where x is the standard deviation

  • Give a warning when the diameter error for the probe tip is more than: x.
    Where x is the diameter error

  • Don't ask operator for currently loaded probe file when using a probe changer.
    Currently loaded probe file: name
    Where name is the string for the probe file

  • Append the calibration results to the results file.

Click OK to accept your changes.


Hard or Trigger Probe

PC-DMIS allows you to select a hard (fixed) or TTP type probe. Trigger (such as Renishaw style) probes will cause the CMM to report the position when the probe comes in contact with the part. If a HARD probe is selected, PC-DMIS expects a probe that does not automatically trigger when it comes in contact with the part.

Note: DCC calibration cannot be done using a hard probe. Verify that the correct probe type is selected.

Using a hard probe enables the Guess Mode toolbar (see Guess Mode Toolbar). This allows you to switch between options for either Round or Flat Features. Flat features are defined as points, planes and lines. Round features include circles, spheres, cones and cylinders. Determine the feature type that will be measured and use appropriate toolbar icon to switch to either Flat or Round features.

More:

Flat Features

Round Features


Utilities - Hard or Trigger Probe - Flat Features

Flat Features

To measure a plane:

  1. Take a minimum of three hits on a surface.

  2. Press the END key. This defines the direction of the plane. The surface normal vector points in the direction of the probe's retraction from the surface.

To measure a line:

  1. Take a minimum of two hits on the line.

  2. Press the END key.

Note: PC-DMIS does not require the direction of features to be defined.


Utilities - Hard or Trigger Probe - Round Features

Round Features

When measuring round features using a fixed probe, it is necessary to keep the probe in a fixed location (depending on the feature type).

To measure holes:

  1. Keep the probe inside the feature.

  2. Press the END key.

To measure pins:

  1. Keep the probe outside the feature.

  2. Press the END key.

Note: PC-DMIS does not require the direction of features to be defined.


Machine

machine Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Machine dialog box

The Utilities | Machine menu option brings up the Machine dialog box. This dialog allows the user to select or create a CMM machine that can be displayed and also animated along with the probe when in program mode..

The list of machines is created using a file called "machine.dat". If the user selects an entry that was in the "machine.dat" file then the selection is displayed in the preview area (blank blue screen).

If there is no "machine.dat" file, the user will only have these options from the Machine drop-down list:

More:

No Machine

Generic Bridge / Generic Arm

Placing the CMM into the Graphical Display Window

Saving the Created CMM


No Machine

If No Machine is selected from the drop-down list, then no machine is selected and even if OK is clicked, nothing happens.


Generic Bridge / Generic Arm

Generic Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Generic Machine Setup dialog box

If Generic Bridge or Generic Arm is selected from the drop-down window, the General Machine Setup dialog box will appear, allowing you to specify the width, length and height of the machine. Clicking the OK button generates a pseudo CMM machine from the information entered in the General Machine Setup dialog box and places a pseudo image inside the Machine dialog box.

More:

Base Length

Base Width

Bridge Height

Home Position X, Y, Z

1st Axis

2nd Axis

3rd Axis

Volume

Draw Base


Base Length

This defines the size/length of the base in the direction of the 2nd axis.


Base Width

This defines the size/width of the base in the Direction of the 1st axis.


Bridge Height

This defines the height from the top of the base to the bottom side of the bridge. The dimension follows the 3rd axis.


Home Position X, Y, Z

These three boxes define the home position of the machine. The x,y,z values define where the home position is for the machine. The center of the machine base is 0,0,0. But these coordinates are not used to show the home position on most machines. The x,y,z values are offset from the 0,0,0 machine base position.


1st Axis

The axis entries will allow the user to select the axis orientation. The 1st axis defines the dimension that the bridge moves in.


2nd Axis

The second axis defines the dimension that the housing will move in.


3rd Axis

The 3rd axis defines the dimension that the Z-rail moves in.


Volume

When creating a generic arm machine, you must define how far the arm can extend into the machine. You do this by using the Volume box. If no value is entered, the machine will not be created. The Volume box only functions for generic arm machines.


Draw Base

The Draw Base check box only applies to generic arm machines.

  • If you select this check box, PC-DMIS draws the machine with a base.

  • If you don't select this option, PC-DMIS only draws the machine column.


Placing the CMM into the Graphical Display Window

Once a machine is already created, the OK button on the Machine dialog box will place a graphical representation of that machine into the Graphical Display window along with the CAD of the part.

Clicking the OK button in the Machine dialog box will apply the changes made using the Machine menu option, but will not save the machine in the "machine.dat" file.

You can get rid of the CMM's graphical display at any time by selecting Utilities | Machine and then No Machine from the Machine drop down list.


Saving the Created CMM

The Save button on the Machine dialog box will bring up the Save / Delete Machine dialog box:

This dialog allows you to modify the "machine.dat" file. The upper area of the dialog is the delete area. It contains a list of all machine names found in the dat file. The lower area is for adding a machine.

Deleting Machines

To delete machines from the "machine.dat" file:

  1. Select the machine to delete from the list of machines.

  2. Click the Delete button.

Deleted machine files are removed from the list.

Adding Machines

To add a machine:

  1. Make sure your machine is displayed in the preview area of the Machine dialog box.

  2. Enter the machine's name in the Name box.

  3. Click the Save button.

You will see that the machine is added to the list of machines.

If a duplicate name is entered the user is notified when the Save button is clicked.

Note: The "machine.dat" file is not actually modified until you click OK. If you click Cancel all changes are ignored.


Fixture

The Utilities | Fixture menu option opens the Fixture Setup dialog box. This tabbed dialog box allows you to enter the information needed to describe the fixturing system and then create the fixtures.

More:

What Are Fixtures?

Fixture: Create Fixture

Fixture: Assembly Settings

Fixture: Position Columns

Fixture: Options

Fixture: New Module

Fixture: Calibrate Columns

Fixture: System Setup


What Are Fixtures?

Fixtures are holding devices for manufactured parts. They are used often in the automotive industry. Fixtures hold a part in the orientation that it is going to fit once it is on the car itself. For example, a car door might have a fixture that holds a door at the hinge locations and then also at the latch on the other side. The door is placed in this holding device on the CMM and then it is inspected. The traditional method requires a fixture for every part; this tends to be very expensive.

Flexible fixturing is a method of creating generic building blocks that someone can use to create fixtures for a wide variety of parts at little cost.

There are basically three building blocks that make up one unit of the fixture.

  1. The column

  2. The module which fits on top of the column

  3. The clamp which holds the part to module

The module is usually a cube with some unusual geometry that is created in a specific way to contact the part in a predefined location. See the graphical example below.

Graphical representation of the different components that make up a flexible fixture unit.

When you create a new module it gets saved to a file called "usermodule.dat". This file will contain all of the modules that you create so that you can choose them over and over again. Saved modules are then listed in the Component List box with all of the other component types.

The Fixture Setup dialog box allows you to create flexible fixtures.


Fixture: Create Fixture

fixture1 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Fixture Setup dialog box - Create Fixture tab

The Create Fixture tab allows you to create a fixture and position that fixture on the CAD drawing in the Graphics Display window.

More:

To Create a Fixture

To Position Fixture Elements on the Part

Example of Positioned Fixtures

Fixture File

Load / Unload Fixture

Fixture Configuration

Save Module

Connection Information

Selection Type

Find button

Find Vector button

Flip Vector button

Use Slave Arm


To Create a Fixture

  1. In the Fixture File box, give the new fixture a name. The name entered will be the actual file name with a .fxt extension added.

  2. Press the TAB key. PC-DMIS now allows you to add information to the Fixture Configuration area

  3. In the Fixture Configuration area, double click New Point, and give it a new ID. This will be the ID for this element of the fixture. It is used only for identification purposes.

  4. Press the TAB key. PC-DMIS adds a "New Component" item and also another empty "New Point" item under the newly defined ID.

  5. Highlight the "New Component" item.

  6. From the Component List box, select the desired column type. You will notice that the change is reflected in the Fixture Configuration list and in the preview window to the left of the tab.

  7. Build a new module for the top of the column or select a previously defined module from the Component List box. In order to build a new module, select each component from the Component List box. This is similar to building a new probe assembly (See Probe). In order to build a valid module, you will need to continue to add components until a valid end effector is chosen as part of the module.

  8. If you want to save this module for future use, give the new module an ID in the Name box of the Save Module group and then click the Save button. PD-DMIS stores the saved module in a file named "usermodule.dat".

    Saved modules will then be listed in the Component List box whenever you select a "New Component" item; they are also listed in the Name box of the Module Identification area in the New Module tab. (See Module Identification).

  9. To create another element for the fixture, edit "New Point" in the Fixture Configuration list and repeat steps 2-5.


To Position Fixture Elements on the Part

Follow the steps below to position each of the fixture elements on the part:

  1. Highlight the element in the Fixture Configuration list that is going to be positioned. The highlighted element should be displayed in the preview window to the left of the tab.

  2. From the Selection Type list box, select the selection method. The available selection types are:
  • Surface Point

  • Edge Point

  • Circle

  • Square Slot

  • Round Slot

  • Notch
  3. Using the mouse, select the location on the CAD model in the Graphics Display window that corresponds to your selected feature type in the previous step. This where PC-DMIS will place your column.

  4. The boxes in the Connection Information group will be filled with the information provided by the CAD model. If you do not have a CAD model or want to provide the position and orientation information, you can type the X,Y,Z position and I,J,K orientation in the appropriate edit boxes. When you are satisfied with the position and orientation information, click the Apply button to associate the new fixture element with the fixture point and display it on the Graphics Display window. At this point PC-DMIS also inserts a LOADFIXTURE command into the Edit window, such as the following:
    LOADFIXTURE/demo.FXT,LOAD,YES,T1A0B0,0.05,5

  5. Click the Verify button (in the Fixture Configuration area). This will check the location of each of the fixture's elements, make sure that they are in the machine volume, that no collisions occur, and notify you if a column cannot be placed at a specified location.

  6. Repeat items 1-5 for each of the elements of the fixture.

If PC-DMIS doesn't allow your fixture to be placed on the CAD drawing, because of collision with another fixture or with the part itself, you may need to change the assembly offsets and lower or raise the part with respect to the machine. You can change the offset in the X, Y, or Z axes by using the Fixture Assembly Settings tab.

Should you need to delete one of the elements in the fixture, simply highlight it in the Fixture Configuration list and select the Delete button.


Example of Positioned Fixtures

Below is a graphical example of four columns attached to a car hood by surface point selection types and displayed in PC-DMIS's Graphics Display window.

Graphical Example of Four Flexible Fixtures Holding a Car Hood


Fixture File

The Fixture File box shows a list of files with your saved flexible fixturing information. These files are actually saved on your computer system with a .fxt extension. To access your file, select it from the list of files or type the file name in the box and press ENTER.


Load / Unload Fixture

The Load Fixture or Unload Fixture options identify whether the fixture is going to be loaded onto the table for use with a part or unloaded from the table and the columns placed back into the rack (or stored in the case of a manual system).


Fixture Configuration

The Fixture Configuration area of the Create Fixture tab shows your created fixture. Clicking on the "+" sign expands the selected fixture element to show any added components beyond the standard configuration.

If this area is blank, then no fixture has been created yet. To add a fixture:

  1. Type a name in the Fixture File box.

  2. Press TAB to move out of the Fixture File box. A "New Point" item appears in the Fixture Configuration area.

  3. Double click on the "New Point" item.

  4. Type an ID for the fixture.

  5. Press the TAB key.

  6. You can now select a column and components from the Component List box.

Clicking the Verify button will tell PC-DMIS to check your positioned fixtures for any problems. It checks the location of each of the fixture's elements and notifies you if your fixtures are:

  • Not within the machine volume

  • Colliding

  • Too tall

  • Not able to be placed at a specified location

The Delete button removes selected fixtures from the Fixture Configuration box. To delete the fixture from the Graphics Display window, you will need to delete the LOADFIXTURE/ statement in the Edit window.


Save Module

The Save Module area of the Create Fixture tab allows you to save the module for future use. To do this:

  1. Give the new module an ID in the Name box of the Save Module group.

  2. Click the Save button.

The newly saved module will then become available for selection in in the Component List box when you are defining subsequent "New Component" items.


Connection Information

The Connection Information area of the Create Fixture tab tells PC-DMIS where each fixture element should be placed on the part. Once you create a fixture element and click on the CAD model to place it in the Graphics Display area, this area contains the connection data. If you don't have a CAD model you can type the connection information here.


Selection Type

The Selection Type list allows you to select the feature type that PC-DMIS will use to place the fixture correctly. The selection types include:

  • Surface Point

  • Edge Point

  • Circle

  • Square Slot

  • Round Slot

  • Notch

These selection types are treated as sheet metal features, and the rules governing sheet metal usage and the creation of sheet metal features apply here as well (see the "Auto Utility" section for additional information on sheet metal features).

These selection types are the features on the part to which you will connect each fixture element. Using CAD selection routines, PC-DMIS can indentify the selected feature on the CAD. For example, if you are going to hold the fixture onto the part using a fixture's pin, select Circle from the selection type, PC-DMIS will look for three clicks on the CAD model to define the circle to which your fixture element will be attached.


Find button

The Find button finds the values for the axis you selected in the Connection Information area. This is generally used only when you are typing pre-defined connection information and not using the CAD model point-and-click method.

PC-DMIS will lock the other two axes and then will search only for the value of the selected axis. For example, if you have the X and Y values for your connection information, but you need to find out the Z value, you can select the Z value from the Connection Information area and click the Find button. PC-DMIS will attempt to find the axis value (see "Find" in the Auto Utility section for additional information).


Find Vector button

The Find Vector button finds the approach vector for the column's end effector to the selection type on the part. If the vector points in the wrong direction you can reverse the vector by clicking Flip Vector.

See "Find Vector" in the Auto Utility section for additional information.


Flip Vector button

The Flip Vector button reverses the vector displayed in the IJK boxes of the Connection Information area.

Reversing the vector is helpful when the vector returned from the CAD model points the wrong way. When placing a column, PC-DMIS uses the vector to offset the column by the diameter of the end effector in the direction of the vector. If the vector points in the wrong direction, the column will be offset in the opposite direction impaling the column on the part.


Use Slave Arm

The Use Slave Arm check box tells PC-DMIS to use the Slave arm to position or remove the selected fixture.


Fixture: Assembly Settings

Fixture2 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Fixture Setup dialog box - Assembly Settings tab

The Assembly Settings tab allows you to define the part position on the CMM table, the part volume, and the part orientation with respect to the CMM axes.

More:

Assembly Offset

Volume Definition

Part Orientation


Assembly Offset

The Assembly Offset area contains X, Y, and Z boxes that define the offset from machine volume center to part volume center. When a new fixture is created, PC-DMIS calculates the offset so that the part is placed in the center of the machine volume. These offsets are displayed in the X, Y, and Z boxes.

In order to shift the location of the part with respect to the machine, increase the offset value to shift the part in the positive axis direction or decrease the offset value to shift the part in the negative axis direction.


Volume Definition

The Volume Definition area defines the extremes (smallest and largest XYZ values) of the part and the machine. These values are used to position the part appropriately.

If there is a CAD file available, the extremes of the CAD file will be displayed in these boxes. The values can be changed if needed.


Part Orientation

The Part Orientation area defines the direction of the CAD axes with respect to the CMM axes. These lists are identical to those found in the Part Orientation area of Part/CMM tab on the Setup dialog box, and are here for convenience.


Fixture: Position Columns

fixture3 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Fixture Setup dialog box—Position Columns tab

The PositionColumns tab allows you to add extra move points that are used when bringing a column out of the rack and onto the work plate. The move points can also be modified once they have been created.

More:

Columns

Xval Yval

Editing X and Y Values


Columns

The Columns list displays the current columns in the following format
Column name, Column type, Slot number

Thus, Driver_Front, C500, slot 3 would mean that "Driver_Front" is the column name, "C500" is the column type, and "slot 3" is the slot number.


Xval Yval

Once you select a column from the Columns list, PC-DMIS displays its XY ending point in the Xval Yval list.

To insert new points into the list.

  1. Left mouse click in the Graphics Display window.

  2. Press CTRL + M.


Editing X and Y Values

If you left mouse click on the X value in the Xval Yval list, the X and Y values appear in the X and Y boxes. You can edit these values and apply any changes by clicking the Apply XY button. You can also delete an entry from the list of move points by clearing the X and Y values and clicking Apply XY.


Fixture: Options

fixture4 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Fixture Setup dialog box — Options tab

The Options tab allows you to specify whether or not you want PC-DMIS to iterate on column location when placing a fixture. You can specify the maximum number of iterations and the placement tolerance for each column. If your system is running in Master / Slave mode, you can specify the tip used by the slave arm for measuring columns.


Fixture: New Module

Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1

Fixture Setup dialog box - New Module tab

The New Module tab allows you to define custom modules that cannot be created using the standard components included with the system.

More:

What are Custom Modules?

Defining a Custom Module

Module Identification

Module Offsets

Artifact Description


What are Custom Modules?

Custom modules are modules that are created by the end user, not using any of the standard building blocks provided with the system. If you are using customized modules machined with specific dimensions with end effectors to fit the part they are holding, PC-DMIS requires that you input certain information in order to use these in-house modules in the creation of fixture elements.


Defining a Custom Module

In order to completely define a custom module follow the steps outlined below:

  1. In the Name box, give the module a name.

  2. If desired, type an ID number for the module in the Number box.

  3. In the Module Offsets area, enter the offsets from the center of the column sphere to the center of the connection sphere, if the end effector is a sphere, or to the contact point of the end effector if it is not a sphere.

  4. In the Artifact Description area, select the type of end effector. In the case of a sphere, enter the sphere diameter in the Diameter box.


Module Identification

The Name box in the Module Identification area contains all the existing modules. You can select a previously defined module and change the module offsets and description.

The Number box simply holds an ID number for the custom module.

You can create a new custom module by typing the name in the Name box and supplying necessary information to the other areas of the New Module tab.


Module Offsets

The X, Y, and Z boxes in the Module Offsets area contain the offset distances from the center of the column sphere, where the module will be located, to either the center of the sphere end effector or to the contact point if the end effector is not a sphere.


Artifact Description

The Artifact Description area defines the type of end effector on this module. If a sphere is used, the diameter of the sphere must be provided in the Diameter box.


Fixture: Calibrate Columns

Fixture6 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Fixture Setup dialog box - Calibrate Columns tab

The Calibrate Columns tab is used to calibrate the columns in the system. Calibrations can either be performed manually or automatically. There is also an Initial option that is used in order to configure the system for the first time.

More:

Probe Information

Calibration Information

Calibration Location

Type

Method

Calibrate


Probe Information

The Probe Information area contains the Probe and Tip lists. These lists identify the probe file and tip that will be used to calibrate the columns.


Calibration Information

The Calibration Information area contains a list that displays each of the columns, their slot position in the column rack, the measured diameter of the column sphere, the standard deviation from the last calibration, and the time and date of the last calibration. This information is updated each time the columns are calibrated.


Calibration Location

The Calibration Location area defines an XYZ position where the column calibration will take place.


Utilities - Fixture: Calibrate Columns - Type

Type

The Type area contains three options:

  1. Full

  2. Single

  3. Initial

Full Calibration

Full calibration will calibrate all of the columns in the system. It takes advantage of known column information such as last known position to speed up the process. A full calibration can only be done under DCC control.

In full calibration, PC-DMIS systematically removes each of the columns from its slot in the column rack and positions them along the length of the table. It then measures each of the column spheres at their low and high positions. After measuring the spheres, PC-DMIS replaces each column in its appropriate slot in the rack.

In order to better understand the calibration process see the calibration process outlined here:

Calibration Process:

  1. PC-DMIS grabs and positions the appropriate column.

  2. PC-DMIS disconnects from the column and repositions the probe head to the appropriate tip orientation.

  3. PC-DMIS measures the column sphere, reconnects with the column and then moves it to its high calibration point. It then disconnects from the column.

  4. PC-DMIS measures the column sphere in its extended position. It then connects to the column, lowers it to its lowest position, and disconnects from the column.

  5. This process will be repeated for each column in the system.

Note: If there is no previous column information, you must select the Initial option (found in the Type area) to perform the calibration under complete manual control

Single Calibration

Documentation will follow when this function becomes available.

Initial Calibration

Initial calibration is done under complete manual control. It does not assume any foreknowledge of the columns and is used to set up the system. By setting up the system, you identify the location of each column in machine coordinates. A nominal specification is hard coded, but the initial calibration will identify any deviation in the gripper of the system. PC-DMIS will prompt you through all of the steps necessary to set up and calibrate the system for the first time.

Note: This option can also be used if you want complete control of the system during calibration regardless of prior calibration information.


Method

The Method area contains DCC and Manual options that allow you to choose how you want to calibrate the system. If the DCC option is selected, the only available type of calibration available is Full. If the Manual option is selected, the Single and Initial calibration types are available.


Utilities - Fixture: Calibrate Columns - Calibrate

Calibrate

After providing all of the necessary information, click the Calibrate button to begin the calibration process.


Fixture: System Setup

Fixture7 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Fixture Setup dialog box - System Setup tab

The System Setup tab allows you to define all of the parameters for your flexible fixturing system.

More:

System Type

System Settings

Rack Configuration


System Type

The System Type area allows you to select either the System Five (DCC) option or the Five Unique (Manual) option. These identify your system as either manual or DCC.

There are two different System Five (DCC) models, distinguished by column type and also by the gripper:

C500 System:

  • Uses C200 and C500 type columns.

  • Fixes the gripper to the underside of the ram.

C250 System:

  • Uses C250 type columns.

  • Interchanges the gripper with the PH9 probe.

If your system is System Five (DCC), select the appropriate model type.


System Settings

The System Settings area contains the probe head orientation information and approach direction of the arm. The angles listed in the Angle A and Angle B boxes determine the orientation of the probe head during column placement.

The Approach Direction list is used on dual arm systems to indicate from which direction the gripper approaches the column. Under most circumstances, the arm designated as the master arm (arm 1) will approach from YPLUS and the slave arm (arm 2) will approach from YMINUS.


Rack Configuration

The Rack Configuration area is only available if your system is System Five DCC. This area describes the rack's size and layout as well as the column in the rack. You can define you system as System Five DCC by selecting the System Five DCC option from the System Type area.

The Number of Slots in Rack box, identifies the size of the rack. When you type a number in this box, PC-DMIS automatically fills in the list with the appropriate number of entries.

The rack consists of two rows of columns, a front row and a back row. There are two types of racks:

  1. The first and most common type of rack starts with a column in the back row generally labeled as "column 2". The default rack configuration is for the most common type of rack described.

  2. The second type of rack starts with a column in the front row generally labeled as "column 1".

To change the rack configuration to the second type:

  1. Select the Rack Pos. 1 from the Rack Pos. column.

  2. From the Slot Number box, change the slot number from 2 to 1.

  3. Press TAB. The rack setup will change

Note: PC-DMIS keys off of the slot number of the first rack position to determine the rack configuration. The only acceptable slot number for the first position in the rack is 1 or 2.

After configuring the rack type, check each of the slot numbers for each rack position to ensure they are correct.

If you find a discrepancy:

  1. Select the position number in the Rack Pos. column of the list.

  2. In the Slot Number box, type the correct slot number.

  3. Locate the second rack position that has a discrepancy.

  4. Repeat steps one and two.

In order to complete the rack setup and identify the columns and their positions:

  1. Select the appropriate rack position and associated slot number from the list.

  2. From the Column Type list, select the column type located in that slot.

  3. In the Column ID box, type an ID for the column. This ID must be a unique ID from all the other columns. PC-DMIS supplies a default ID that can then be edited.


Column Recovery

Recovcol Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Recover Column dialog box

The Utilities | Column Recovery menu option provides you with the Recover Column dialog box. This dialog box gives you the ability to place a column back in the rack at its correct parked location. This is helpful if, because of a machine error or fall, one of the columns doesn't get placed correctly. This allows PC-DMIS to relearn the current location of the column in question.

More:

Column ID

Slot Number

Recover

Close


Column ID

The Column ID list allows you to select the column that needs to be placed back into the rack.


Slot Number

The Slot Number box displays the slot number where the column selected in the Column ID list will be placed. Generally these two items will be the same. However, if the column ID differs from the slot number where it resides, the slot number is provided for convenience. PC-DMIS uses this box for display only. You cannot edit the slot number where you want to place the column. In order to change the slot position for a column, use the System Setup tab on the Fixture Setup dialog box (see System Setup).


Recover

The Recover button begins the recover column process.

  1. After selecting the correct column from the Column ID list, use the manual air injector to move the column to the dead zone in front of slot number one.

  2. Click the Recover button.

  3. Follow the prompts to successfully return the column to its proper slot position in the rack.

After PC-DMIS completes the recovery process, you can select another column to recover from the Column ID list should there be multiple columns that need recovering.


Utilities - Column Recovery - Close

Close

The Close button closes the Recover Column dialog box and discontinues the set up of the column recovery process.


Insert Tip Calibration

The Utilities | Insert Tip Calibration menu option will allow you to insert a calibrate command in the Edit window. It is typically used in conjunction with a sphere feature where the sphere feature represents the calibration tool. If this command is marked, PC-DMIS will automatically calibrate all of the defined tips for the current probe during part execution.

See Measure for more information on the calibration process.

The Edit window command line for inserting a calibrate command reads:
CALIBRATE/SPHERE,


Utilities - Alignment

Alignment

alignmnt Hotspot 21 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Alignment Utilities dialog box

Hint: Click this icon to access PC-DMIS's 3-2-1 Alignment Wizard. PC-DMIS must be running.

Once a tip has been activated and features measured, a coordinate system can be created. PC-DMIS provides you with a variety of tools for creating and managing coordinate systems. Select Utilities | Alignment from the menu bar to access the Alignment Utilities dialog box.

If you are creating a new part program, the dialog box will display the STARTUP command the first time the Alignment Utilities dialog box is opened. If the cursor is located in the last line of the Edit window, the alignment ID will display a new identification and the current alignment.

For example:

    Alignment ID=A5
Recall Alignment ID=A4

The user has the option of recalling any available alignment listed in the Recall drop-down box. Only alignments created prior to the current cursor's position will be available.

The Edit window command line for this option reads:
ALIGNMENT/START
ALIGNMENT/BF2D,'feat_id'
ALIGNMENT/END

Note: An alignment is not considered completed until the OK button is selected and PC-DMIS updates the Active Alignment List box.

Once the alignment procedure is complete, PC-DMIS will indicate the rotation of the alignment in the left corner of the Graphical Display area. As the graphical image of the part is scaled to fit the screen, the alignment offset becomes accurate (once the axes reference leaves the corner of the window).

More:

General Command Format

Alignment ID

Active Alignment List

Drop Down Axes

Level

Rotate by an Offset Angle

Rotate

Set Origin Offset Distance

Origin

Recall Alignment

Auto Align

CAD Equals Part

Best Fit Alignment

Iterative Alignment


Utilities - Alignment - General Command Format

General Command Format

All alignments are displayed in the following format. There will be slight variations that are explained more thoroughly in the following sections.

For example;

A1=ALIGNMENT/START, RECALL:,
ALIGNMENT/LEVEL,'feature_name'
ALIGNMENT/ROTATE,XPLUS,TO,feat_name,ABOUT,ZPLUS
ALIGNMENT/TRANS,XAXIS,feature_name
ALIGNMENT/TRANS,YAXIS,feature_name
ALIGNMENT/TRANS,ZAXIS,feature_name
ALIGNMENT/END

See Conventions for field rules.

Descriptions of the alignment commands are available at these locations:

  • For the Start command, see Start Alignment Command.

  • For the End command, see End Alignment Command.

  • For the Recall command, see Recall Alignment.

  • For the Level command, see Level.

  • For the Rotate command, see Rotate.

  • For the Translate command, see Origin.

More:

Start Alignment Command

End Alignment Command

Adding Lines

Deleting Lines

Accessing the Dialog Box

Conventions


Start Alignment Command

ALIGN_ID=ALIGNMENT/START,RECALL:ID

Changeable fields:
"Align_ID"
This is the ID the alignment will be stored as. The ID is assigned by the operator. A default name will be assigned if an ID is not specified. Example: A1.

"ID"
ID is a previous internal alignment that will be recalled to start a new alignment.


End Alignment Command

The Edit window command line for this option reads:
ALIGNMENT/END

There are no changeable fields in this command. This command must be used whenever the ALIGNMENT/START command has been used.


Utilities - General Command Format - Adding Lines

Adding Lines

To add a line, place the cursor in the desired location and press the ENTER key. Begin by typing the word ALIGNMENT. Press the TAB key. PC-DMIS adds the new line depending on where the cursor is located. If the cursor is in the middle of a command, a new line is created below the current line. If the cursor is placed at the beginning of a command line, PC-DMIS will place the new line above the current cursor position.

The first new line that is created will always display the minor command: LEVEL. Entering a new command can easily change this. Additional lines created after the initial line will display the most recent command.


Utilities - General Command Format - Deleting Lines

Deleting Lines

To delete a blank line press the DOWN ARROW or ENTER key. The line may also be highlighted and deleted. (See "Keyboard Functions".)


Utilities - General Command Format - Accessing the Dialog Box

Accessing the Dialog Box

PC-DMIS allows you to access the Alignment dialog box from within the Edit window. To do this:

  1. Open the Edit window (ALT + F then W).

  2. In the Edit window navigate to the Alignment block.

  3. Place your cursor on the first line.

  4. Press the shortcut key F9. The dialog box associated with the alignment block will appear.

The dialog box will display the current feature's alignment, allowing you to make changes.


Utilities - General Command Format - Conventions

Conventions

  • All alignment text commands are in a macro type format with a start and end command.

  • The ALIGNMENT/START command is always the first line and the ALIGNMENT/END command is the last line of the alignment statement.

  • All alignment functions must be inside the start and end commands. The one exception is the "ALIGNMENT/RECALL" command, in which the start and end command are executed as one.

  • In each of the commands (except "Start," "End" and "Recall") the second field allows you to change from one choice to another. All of the other operator dependent fields will then change to represent the field that is currently active.


Alignment ID

This box displays the ID for the current alignment.

To change this value:

  1. Highlight the previous value.

  2. Type in a new ID.

  3. Press the TAB key.


Active Alignment List

This list box contains the different alignments generated for the current part program. It shows the Startup alignment and any other created alignments, including the Recall Alignment.

Also, during the alignment creation process, this box displays information about the axes that are used to "Level to", "Rotate to", and "Translate [the Origin] to".


Drop Down Axes

These drop-down lists, allow you to select axes that are used in the different stages of creating a new alignment. The available axes for each drop down list are:

  • XPLUS

  • XMINUS

  • YPLUS

  • YMINUS

  • ZPLUS

  • ZMINUS


Utilities - Alignment - Level

Level

The Level button allows you to establish the orientation of the normal axis of the current working plane.

To choose a feature to "level" to:

  1. Specify the feature to be used from the Feature List box.

  2. Click the Level option.

You may also specify the axis to be used in establishing the orientation by selecting it from the drop-down list.

The Edit window command line for this option reads:
ALIGNMENT/LEVEL,ZPLUS,'feat_id'

Changeable fields:
"ZPLUS"
This is a field that allows you to switch between the fields ZPLUS, XPLUS, YPLUS, ZMINUS, XMINUS, and YMINUS in the Edit window. This field represents the direction of the specified axis that the feature is leveled to.

"feat_id"
The alignment levels to the specified feature.
Example: PLANE1.


Rotate by an Offset Angle

The Offset Angle box allows you to rotate about a particular axis by an offset angle.

To rotate by an offset:

  1. Highlight the previous value in the Offset Angle box.

  2. Type the desired angle.

  3. Press the TAB key

  4. Click the Rotate button.

The new value will replace the old rotation offset.


Utilities - Alignment - Rotate

Rotate

The Rotate button allows you to rotate the defined axis of the work plane to the feature or parallel to the feature. PC-DMIS rotates the defined axis around the centroid used as the origin. You can define which axis to rotate and which axis to rotate around.

To choose a feature to rotate to:

  1. Select the proper reference feature from the Feature List box.

  2. Click the Rotate button.

The Edit window command line for this option reads:
ALIGNMENT/ROTATE,XPLUS,to,'feat_id',about,ZPLUS

Changeable fields:
"XPLUS","ZPLUS"
This is a toggle field that allows you to toggle between these fields in the Edit window:

ZPLUS

XPLUS

YPLUS

ZMINUS

XMINUS

YMINUS

PC-DMIS will set this axis parallel to the specified input feature. It will then rotate about the second axis.

"feat_id"
The alignment rotates parallel to the specified feature. Example: LINE1.

More:

Rotate by an Offset

Rotate to a Line between Two Circles


Rotate by an Offset

To rotate by an offset, select the OFFSET option by typing the desired angle in the Offset Angle box. The new value will replace the old rotation offset.

The Edit window command line for this option reads:
ALIGNMENT/ROTATE_OFFSET,'numeric_value'

Changeable field: "numeric_value"
This is the value the alignment will be rotated by in degrees of angle (for example; -14.36). The rotation will be about the axis, perpendicular to the active work plane. The rotation will be clockwise if the angle is negative and counter clockwise if the angles is positive.


Rotate to a Line between Two Circles

To rotate to the line between two circles, select two circles in the Feature List box and click the Rotate button. As in the other type of rotate, select the axis to rotate, the axis to rotate around, and enter the offset value (if desired).

The Edit window command line for this option reads:
ALIGNMENT/ROTATE_CIRCLE,ID, ID

Changeable fields: "ID"

This is one of the two ids to which to rotate.


Set Origin Offset Distance

The Offset Distance box allows you to set the origin by a specific offset distance.

To use the Set Origin Offset:

  1. Click in the Offset Distance box.

  2. Type a desired value for the offset distance.

  3. Press the TAB key.

  4. Click the Set Origin button.


Utilities - Alignment - Origin

Origin

The Origin button allows you to move the part origin to a specific location or by a specific offset.

To move the part origin:

  1. Choose the origin that is to be moved by selecting the appropriate check box (X, Y, Z or AUTO).

  2. Click the Origin button. AUTO will choose the axes to move based on the feature type, the orientation of that feature, and the workplane.

More:

Move to a Feature

Move by an Offset


Move to a Feature

To move to a feature, simply select the feature.

The Edit window command line for this option reads:
ALIGNMENT/TRANS,ZAXIS,'feat_id'

Changeable fields:
"ZAXIS"
This is Edit window field allows you to switch between the fields ZAXIS, XAXIS, and YAXIS. This field represents the axis that the origin will be moved along to match the input 'feat_id'.

"feat_id"
This is the feature the alignment will set the origin to, along the given axis. Example: CIRCLE1.


Move by an Offset

To move by an offset, select the OFFSET option by entering a new offset value.

The Edit window command line for this option reads:
ALIGNMENT/TRANS_OFFSET,ZAXIS,'numeric_value'

Changeable fields:
"ZAXIS"
This Edit window field allows you to toggle between the fields ZAXIS, XAXIS, and YAXIS. These fields represent the axis that the origin will move along by the input 'numeric_value'.

"numeric_value"
This is the value the alignment will be offset by (for example: 5.12). The positive value moves in the positive direction, and the negative value moves in the negative direction.


Recall Alignment

The Recall button allows you to recall an alignment that was previously created in the current program (Internal Alignment) or another part program (External Alignment). This command can only be inserted outside an alignment block.

To recall an alignment:

  1. Click the Recall button

  2. Type the 15 character (or less) saved alignment ID, or use the drop-down list to select the desired alignment.

Before an alignment can be recalled to another part program, it must be saved using the Utilities | Save Alignment menu option. If the alignment being recalled was saved with different units of measurement than the current part program, the alignment units will automatically be converted to the units of measurement of the current part program.

The Edit window command line for this option reads:
RECALL/ALIGNMENT, INTERNAL, 'align_id'
RECALL/ALIGNMENT, EXTERNAL, 'align_id', FILE_NAME:'align_id'

More:

Recall_Internal Command

Recall_External Command


Recall_Internal Command

align_id
This is the internal alignment that will be recalled from within the current part program. PC-DMIS must first RECALL the specified alignment ID before any other alignment commands can function. This command does not need the ALIGNMENT/START or ALIGNMENT/START Edit window commands.


Recall_External Command

align_id
This is the external alignment that will be recalled from a part program other than the current part program. PC-DMIS must first RECALL the specified alignment ID before any other alignment commands can function. This command does not need the ALIGNMENT/START or ALIGNMENT/START Edit window commands.


Auto Align

The Auto Align button allows you to select three features from which PC-DMIS will automatically create an alignment. The order in which the three features are selected is extremely important.

  1. The first of the three features will be used to establish the orientation of the normal axis to the current working plane.

  2. The current working plane will then be rotated to the second feature.

  3. Lastly, the part origin will be set according to the third feature type.

For example, if you select a:

Plane, Line and a Point with a ZPLUS workplane:
The plane will establish the ZPLUS orientation of the part. The measured line becomes the XPLUS major axis. The origin is set with the Z zero equal to that of the plane. The Y is equal to that of the line and the X is equal to that of the point.

Plane, Line and a measured Circle with a YMINUS workplane:
The plane will establish the YMINUS orientation of the part. The measured line becomes the ZMINUS major axis. The origin is set with the Y zero equal to that of the plane. The X and Z zeros (origins) are equal to the center of the circle.

If PC-DMIS is unable to create a new alignment based on the three selected features, a pop-window will appear with an error message.


Utilities - Alignment - CAD Equals Part

CAD Equals Part

The Cad Equals Part button is helpful when using CAD data on-line.

To set the CAD equal to the part:

  1. Measure features on the part or fixture.

  2. Use the alignment options (LEVEL, ROTATE and SET ORIGIN) to create an alignment.

  3. Select the Cad Equals Part button.

PC-DMIS will create a bridge between the CAD data and the measured data. This allows the measured data to be displayed on top of the CAD data. It also uses the CAD data to help inspect the part. This option is only available after a created alignment places the part origin/orientation at the same location as the CAD origin/orientation.

The Edit window command line for this option reads:
ALIGNMENT/START,…
…
ALIGNMENT/END, CAD EQUALS PART

After the Cad Equals Part button is selected for a part, the CAD Equals Part menu item will be selected.

Note: The CAD EQUALS PART Edit window command will not be displayed if the current alignment is a recalled alignment object.


Best Fit Alignment

Bestfit Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Best Fit Alignment dialog box

When the Best Fit button is selected, PC-DMIS displays the Best Fit dialog box. This dialog box provides a way for you to "best fit" the measured data to the nominal points (or surfaces, if available). This technique requires at least three features to be measured.

Best Fit Alignments can be either two or three dimensional. There is a very significant difference between a 2D and a 3D best fit.

  • A 2D Best Fit alignment requires an initial alignment. The alignment is created in the specified workplane and is based on the current alignment.

  • A 3D Best Fit alignment uses the raw (machine) data and correlates it to the theoretical values. It does NOT use a previous alignment but creates a completely new one.

There are several options available when creating a Best Fit Alignment. There are three different types of Best Fit options:

  1. Least Squares (default) – average the errors of the fit among all of the features included in the best fit.

  2. Vector – also averages the errors among the features being fit however it also snaps the points back onto the nominal vector of the feature. Therefore all the error will be along the vectors.
    Example: If the Nominal point is: 1.1.1 with the vector: 0,0,1, and Measure values 4,2,0.95, then the measured data will be adjusted to 1,1,0.95, snapped to the vector of 0,0,1.

  3. Min/Max – uses the associated dimensions of the input features to determine if there is an alignment that will allow all features input to the Best Fit alignment to be within the given tolerances.

Note: This option is only available for 2D Best Fit alignments.

There are also constraints that can be applied to 3D Best Fit alignments. The constraint options are:

  1. Rotate and Translate (default) – This allows the alignment full flexibility while correlating the machine data to the theoretical values.

  2. Rotate Only – This option restricts the alignment to rotation only, without applying any translations.

  3. Translate Only – This option restricts the alignment to translation only, without applying any rotations.

More:

Feature Weights

Feature Sets as Best Fit Alignment Inputs

Scans as Best Fit Alignment Inputs

Tagged Features in a Feature Set

3D Alignment Center of Rotation

Creating A Best Fit Alignment

Best Fit 2D Command Line

Best Fit 3D Command Line

Input List

Edit Weights

Create Weights

Rotate About

New Value

Enter

Theoretical

Measured

3D

2D

Active Plane

Least Squares

Vector

Min/Max

Rotate & Translate

Rotate Only

Translate Only


Feature Weights

Each feature used as an input has an associated weight. The values of the weights affect the resulting alignment. The larger the weight of a particular feature, the closer the resulting alignment will match the measured value of that feature to its theoretical. If the weights of the input features are identical then the errors will be distributed evenly among the all features regardless of the value of the weight.

Weights are automatically assigned to each feature based on its associated dimension. If there is no associated dimension, it will be assigned a default tolerance. The weights that will be assigned can be viewed by clicking the Create Weights button. Any of the weights can be edited by selecting the feature in the Input List and clicking the Edit Weight button. The new weight will be assigned to that feature and used during the calculations.


Feature Sets as Best Fit Alignment Inputs

When using feature sets (constructed sets or scans) as inputs to the Best Fit alignment, a plus (+) sign will appear next to the feature ID in the Input List box. By clicking once on the plus (+) sign, the features that create that set will be displayed. Initially the weights for each feature will be the same as its parent feature (the original set). The weight for each child feature of the set can be edited in the same fashion as outlined above. To change the weight of all of the features in the set, simply edit the weight on the feature set itself, and that weight will be transferred to all of its children.


Scans as Best Fit Alignment Inputs

When working with a scan, there is one extra component than when working with a feature set. Scans are composed of basic scans. Each basic scan is composed of individual points. When clicking a plus (+) sign next to a scan, it will expose all of the basic scans associated with it. A plus (+) sign will appear next to each basic scan. By clicking the plus (+) sign next to each basic scan, it will expose all of the individual points associated with the basic scan. The weight for each point can be edited, the weight of the basic scan (and all of its points) can be edited, or the weight of the scan itself can be edited.


Tagged Features in a Feature Set

Also, individual members within a feature set can be tagged so that they are not used. To tag a member of a set to not be used in the best fit alignment, double click it in the Input List. This will change the "YES" in the Use Column of the Input List box to "NO". If a basic scan is double clicked, it and all of its associated points will be tagged with "NO" and will not get used in the calculations.


3D Alignment Center of Rotation

For 3D alignments, a center of rotation can also be specified. This can be done one of two ways.

  1. Select a feature from the Input List box. Next click the Rotate button. The theoretical and measured values will automatically be entered into the appropriate boxes in the Rotate About area.

  2. If a specific coordinate is desired, the value can be entered manually by typing the XYZ coordinate into the Theoretical and Measured boxes. The value must be in a comma-delimited format in order to be valid. For example, Xtheo, Ytheo, Ztheo.


Creating A Best Fit Alignment

To create a Best Fit alignment:

  1. Select the features to be used out of the Feature List box. These will be displayed in the Input List box.

  2. Select the type of alignment to create, either 2D or 3D by selecting the appropriate option in the Orientation area. For 2D alignment, also select the correct active plane from the Active Plane drop-down list.

  3. Select the best fit type by choosing the appropriate options from the Best Fit Method area. In the case of a 3D alignment, also choose the appropriate constraint also from the Best Fit Method area.

  4. To edit the weights of the features, select the Create Weights button. Select the feature whose weight is to be changed. Click the Edit Weight button. Type the new weight in the New Value box in the Weight Editor area, and click the Enter button.

  5. To set the point of rotation about a given feature, select the feature from the Input List, and click the Rotate About button. Alternately, a value can be entered into the Theoretical and Measured boxes in the Rotate About area of the dialog box.

  6. Click the OK button.


Best Fit 2D Command Line

The Edit window command line for the Best Fit 2D option reads:
ALIGNMENT/BF2D,TOG1,TOG2,xy_offset,z_rotation
ID=feat1,feat2,feat3...
TOLERANCE=x,y,z

Changeable fields:

"TOG1"
This field allows you to switch between the available work planes. The current working plane should be displayed.

"TOG2"
This field allows you to switch between the available types of best fits.

"feat_id"
These are the features that will be used to do the best fit, two-dimension alignment. Example: SET1.


Best Fit 3D Command Line

The Edit window command line for the Best Fit 3D option reads:
ALIGNMENT/BF3D,TOG1,TOG2,xyz_offset, xyz_rotation
ID=feat1,feat2,feat3...
TOLERANCE=x,y,z
FIND CAD=Y/N

Changeable fields:

"TOG1"
This field allows you to switch between the available types of best fits.

"TOG2"
This field allows you to switch between the available types of constraints.

"feat_id"
These are the features that will be used to do the best fit, three-dimension alignment. Example: SET1.

The xyz_rotation field refers to the angle of rotation the alignment is adjusted around the third axis of a particular workplane. (For example, the X rotation signifies rotation around the X axis in the YZ plane.)


Input List

The Input List box contains the features that will be used in the creation of the Best Fit alignment. It is also used to edit the features before creation of the alignment.


Edit Weights

The Edit Weight button puts the current weight of the selected feature into the New Value box of the Weight Editor area, allowing the weight to be changed.


Create Weights

The Create Weights button automatically creates weights for each feature in the Input List box.


Rotate About

The Rotate About button takes the theoretical and measured values from the selected feature in the Input List box and places them in the Theoretical and Measured boxes in the Rotate About area. This value is used as the center of rotation during the calculation of the Best Fit alignment


New Value

The new weight is entered into the New Value box.


Enter

Clicking the Enter button, the value in the New Value box gets accepted and the weight of the selected feature in the Input List box is changed accordingly.


Theoretical

This box contains the theoretical center of rotation for 3D best fit alignments.


Utilities - Best Fit Alignment - Measured

Measured

This box contains the measured center of rotation for 3D best fit alignments.


3D

If the 3D option is selected, the resulting alignment will be 3D.


2D

If the 2D option is selected, the resulting alignment will be 2D


Utilities - Best Fit Alignment - Active Plane

Active Plane

The Active Plane drop-down list sets the plane in which a 2D alignment will be calculated.


Least Squares

If the Least Squares option is selected, the errors in the best fit alignment will be distributed equally among all of the features input.


Utilities - Best Fit Alignment - Vector

Vector

If the Vector option is selected, the resultant points will be snapped onto the theoretical vectors after the alignment is created.


Min/Max

If the Min/Max option is selected, the alignment will attempt orient the part so that all of the input features are in tolerance based on their associated dimensions.

Note: This is only valid for 2D Best Fits.


Rotate & Translate

The Rotate & Translate option allows maximum freedom in the calculation of the alignment letting it rotate and translate freely.


Rotate Only

The Rotate Only option limits the alignment to rotation only in its calculation.


Translate Only

The Translate Only option limits the alignment to translation only in its calculation.


Iterative Alignment

iterativ Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Iterative Alignment dialog box

Hint: Click this icon to access PC-DMIS's Iterative Alignment Wizard. PC-DMIS must be running.

When the Iterative button is selected, PC-DMIS will display the Iterative Alignment dialog box. This dialog box provides a way for you to three dimensionally "best fit" the measured data to the nominal points (or surfaces, if available). This technique requires at least three features to be measured. Certain feature types, such as points and lines, have poor three dimensional locations. If one of these types of features is selected, additional features are needed to provide accurate measured data.

  • The first set of features establish the orientation of the normal axis of the current working plane by fitting a plane through the feature centroids. At least three features must be used in this section (LEVEL - 3 +).

  • The next set of features rotate the defined axis of the work plane to the features, fitting a line through the features. At least two features need to be used in this section (ROTATE - 2 +).
    If no features have been marked, the alignment will use features from the LEVEL section. (The two features used from the LEVEL section are the second and third from last feature.)

  • The last set of features translate the part origin to a specific location (SET ORIGIN - 1).
    If no features have been marked, the alignment will use the last feature from the LEVEL section.

More:

To Create an Iterative Alignment:

Iterative Alignment Rules

Level

Rotate

Origin

Select

Body Axis

Average Error

Meas All Once

Meas All Always

Re-Pierce Cad

Point Tolerance


To Create an Iterative Alignment:

  1. From the Feature List box, select the first set of features (at least three features) to be used in establishing the orientation of the normal axis on the current working plane.

  2. Verify that the Level option is selected.

  3. Click the Select button.

  4. Select with the mouse the second set of features (at least two features) to be used in the rotation process.

  5. Select the Rotation option.

  6. Click the Select button.

  7. Selecting the final set of features (at least one feature) which indicate the desired location of the part origin. (the same features may be used in more than one process.)

  8. Mark the Origin option.

  9. Click the Select button.

  10. Click the OK button. The Iterative Alignment dialog box closes.

  11. Click the OK button on the Alignment Utilities dialog box to complete the alignment.

After this process is complete, PC-DMIS will three-dimensionally "best fit" the measured data and display the new alignment in the Graphics Display window and in the Edit window.

The Edit window command line for this option reads:
ALIGNMENT/ITERATE,'feat_id'
BODY AXIS=Y/N, AVERAGE ERROR=Y/N, PNT TOL=n,
MEAS ALL FEAT=Y/N
LEVEL = id, id, id,…
ROTATE = id, id,…
ORIGIN = id,…

Changeable field: "feat_id"
These are the feature that will be used to do the iterative alignment. Currently, three to six feature's must be selected for the calibration.

BODY AXIS = This option will snap the measured features to the body axis.

AVERAGE ERROR = This option will average the errors between the selected features.

PNT TOL = This option allows you to specify the vector point tolerance for manual touches in the alignment.

MEASURE ALL FEATURES = If this option is ON, PC-DMIS will re-measure each feature in the iterative alignment, whether or not it is out of tolerance. If it is OFF, PC-DMIS will only measure features that are out of tolerance.

Note: Selecting an iterative alignment option that has already been selected will display the indicated features for that option.


Iterative Alignment Rules

There are some general rules when doing an iterative alignment:

PC-DMIS needs both the measured values and theoretical values for each of the elements in the sets. The normal vectors for the first set of elements must be approximately parallel. The one exception to this rule is if only three features are being used in the set.

If measured points (VECTOR, EDGE, or SURFACE) are being used, then all three sets of elements are needed (three features to Level, two features to Rotate, and one feature to Set Origin) to define the alignment. Any feature type can be used, but three-dimensional elements are better defined elements and therefore improve the accuracy. Some of the possible 3D elements are sheet metal circle, slot, cylinder, sphere, or a corner point.

Note: The sheet metal circle, slot and cylinder need at least three sample hits.

The difficulty of using measured points is not knowing where to take the measurement until after the alignment. This poses a problem as the points must be measured before the alignment. Three dimensional elements, by definition for this use, are elements that can be measured precisely the first time.

Further, if measured points (VECTORS, EDGE or SURFACE) are being used, the normal vectors of the features in the ROTATE set must have normal vectors that are approximately perpendicular to the vectors of the features in the LEVEL set. The features in the ORIGIN set must have a normal vector that is approximately perpendicular to both the vectors from the LEVEL set and the ROTATE set.

If measured points (VECTORS, EDGE or SURFACE) are being used as part of the set, PC-DMIS may ask that they be re-measured if they were taken too far from the nominal location. PC-DMIS first "best fits" the measured data to the nominal data. Next, PC-DMIS checks to see how far off each measured point is. If the distance is greater than the amount specified in the Point Tolerance box, PC-DMIS will request that the point be re-measured. PC-DMIS in effect puts a cylindrical tolerance zone around the theoretical location of each vector, surface, or edge point. The radius of this tolerance zone is the point tolerance specified in the dialog. PC-DMIS will continue to re-measure point features until all the measured points fall into 'tolerance'. The tolerance zone only affects measured points.

A special capability of PC-DMIS allows the center point of a slot to slide up or down the axis as needed. For this reason, an iterative alignment cannot converge when a slot is used as part of the ORIGIN set. It is possible to use a slot as part of the ORIGIN set by first constructing a point from the slot and then using that constructed point in the ORIGIN set.

A slot is not recommended as part of the ORIGIN set of an iterative alignment.

Type of Feature used: | Minimum # of Features needed:
Circle | 3 circles: | This method uses 3 DCC circles for the alignment.
Line | This feature type is not recommended.
Point | 6 points: | The points are used as a 3-2-1 alignment.
Slot | This feature type is not recommended as part of the ORIGIN set.
Sphere | 3 spheres: | This method uses 3 set spheres for the alignment.


Utilities - Iterative Alignment - Level

Level

The Level - 3 option is used in conjunction with at least three features selected from the Feature List box. This set of features establishes the orientation of the normal axis of the current working plane by fitting a plane through the feature centroids.

At least three features must be used to level.


Utilities - Iterative Alignment - Rotate

Rotate

The Rotate - 2 option is used in conjunction with at least two features selected from the Feature List box. This set of features rotates the defined axis of the work plane to the features, fitting a line through the features.

At least two features need to be used to rotate.

Note: If no features have been marked, the alignment will use features from the LEVEL section. (The two features used from the LEVEL section are the second and third from last feature.)


Utilities - Iterative Alignment - Origin

Origin

The Origin - 1 option is used in conjunction with one feature selected from the Feature List box. This feature set translates (or moves) the part origin to a specific location

One feature must be used to set the origin.

Note: If no feature have been marked, the alignment will use the last feature from the LEVEL section.


Utilities - Iterative Alignment - Select

Select

The Select button allows you to use selected features from the Feature List box to perform the Leveling, Rotating, and translating (or moving) to the Origin operations for an iterative alignment.


Utilities - Iterative Alignment - Body Axis

Body Axis

With the Body Axis check box selected, PC-DMIS will "snap" the measured features to the body axis. Body axis is checked by default.


Average Error

If the Ave Error check box is selected, PC-DMIS will average the errors between the selected features.


Meas All Once

If the Meas All Once check box is selected, PC-DMIS will re-measure each feature in the iterative alignment at least once (depending on the feature type). PC-DMIS will not measure circles more than one time while in this mode since their location never changes. Moves (movement of the probe from feature to feature) will not be executed between hits while in this mode.


Meas All Always

If the Meas All Always check box is selected, PC-DMIS will re-measure each feature in the iterative alignment each time it is required by the part program. Moves (movement of the probe from feature to feature) will be automatically executed between hits while in this mode.


Re-Pierce Cad

The Re-pierce CAD check box brings PC-DMIS closer to where it should be to take hits. Piercing a CAD simply refers to the internal process that PC-DMIS uses to locate the target location on the CAD. Re-piercing the CAD simply runs PC-DMIS through this same internal process again to get an even closer estimate of the target location on the CAD.


Point Tolerance

The Point Tol box allows you to specify the vector point tolerance for manual touches in the alignment. This numerical value allows you to compare the distance of the measured point to the CAD point. If the measured distance is greater than the indicated value, PC-DMIS will display a message asking you to place the probe in a safe position above the point to be measured. (PC-DMIS will indicate which point is about to be measured.) PC-DMIS will then automatically re-measure the point.

Note: If PC-DMIS continually re-measures the point it is likely that the tolerance is too small. This can be resolved by increasing the value of the tolerance and re-measuring the vector point.


Save Alignment

savealgn Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Save Alignment dialog box

The Utilities | Save Alignment option saves the current alignment in an external file that can be recalled by a different part program. To use this option,

  1. Select Utilities | Save Alignment from the menu bar. The Save Alignment dialog appears.

  2. Enter an alignment name (maximum ten characters) in the File Name box.

  3. Select either the Inches or Millimeters option to save the alignment as either inches or millimeters. The default unit of measurement for any alignment will be the same unit of measurement used by the part program for which the alignment was created. To use an alignment in a different part program, it is not necessary that the alignment's units of measurement be saved in the units type of the new part program. The alignment will automatically convert to the same units as the new part program (see Recall Alignment).

  4. Click the OK button.

If an alignment ID is not entered, PC-DMIS will automatically duplicate the file name for external saving purposes. The alignment ID can be saved to any directory. However, to display the alignment on screen it must be saved in the same directory as the part program.

Use this option only if the alignment is going to be recalled into a different part program. All alignments are automatically saved when used within a part program.

The Edit window command line for this option reads:
SAVE /ALIGNMENT,align_name,filename

More:

File Name

Directories

List Files of Type

Drives

Alignment Name

Units


File Name

The File Name box allows you to name the file of the alignment you are saving.


Directories

The directory structure allows you to navigate to the directory to which you will be saving the alignment.


List Files of Type

The List Files of Type drop-down list, shows all the files in the current directory based on a particular file type. The default file type is *.aln. This means that only those files with the alignment extension (*.aln) will be shown in the list.


Drives

The Drives drop-down list allows you to define which hard drive, or floppy drive the alignment is saved to.


Alignment Name

The Alignment Name box displays the Alignment ID of the alignment you are saving.

If an alignment ID is not entered, PC-DMIS will automatically duplicate the file name for external saving purposes. The alignment ID can be saved to any directory. However, to display the alignment on screen it must be saved in the same directory as the part program.

Use this option only if the alignment is going to be recalled into a different part program. All alignments are automatically saved when used within a part program.


Utilities - Save Alignment - Units

Units

The Inches or Millimeters options in the Units area allow you to determine which unit of measurement the alignment will be saved as: inches or millimeters.


CAD Equals Parts

The Utilities | Cad Equals Parts menu option links CAD data to the measured data. This option is only available after a created alignment places the part origin/orientation at the same location as the CAD origin/orientation. PC-DMIS offers the CAD EQUALS PARTS option in two areas (also see CAD Equals Part within the Alignment option. Select this option and PC-DMIS will display the measured data on top of the CAD data. It will use the CAD data to help inspect the part.

Once the Cad Equals Parts option has been used on a part program, the CAD Equals Parts menu option will be selected.


Utilities - Equate Alignment

Equate Alignment

equate Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Equate Alignment dialog box

The Utilities | Equate Alignment option equates two alignments. This option provides the means to:

  • Re-align the part and save previously measured data if the part is accidentally bumped or moved during the inspection process.

  • Change the position or orientation of a part while retaining previous dimensional information

For example, to measure a dimension that references features on two sides of the part that are not accessible from a single part orientation:

  1. Measure the alignment features on the first side of the part.

  2. Create the original alignment.

  3. Measure all required features that can be reached from the first orientation of the part.

  4. Move the part to its new position.

  5. Measure the new alignment features. The origin must be the same and the axis must be in the same direction as the axis of the alignment you are equating to. It is easiest to understand this if you imagine that the original origin and axes' arrows were glued onto the part before moving it. The new alignment places the origin and axes' arrows in the same position with respect to the part.

  6. Select the alignments to be equated, and click the OK button.

If a part has been moved accidentally,

  1. Select the Utilities | Equate Alignment menu option.

  2. Enter the ID of the alignment to be re-measured as the first and second alignment ID.

  3. Re-measure the alignment features. When this is completed, all dimensional and feature information will be translated to the new position of the part.

If this command is used to equate the same alignment in a part program, PC-DMIS will not display the command line in the Edit window.

A command line will only be displayed in the Edit window if two different alignments are selected. An external alignment can be used if it is different from the equated alignment. The external alignment must be recalled using the RECALL/ALIGNMENT, EXTERNAL command before it will be displayed.

The Edit window command line for this option reads:
EQUATE/"name"TO ALIGNMENT,"alignment_name"

More:

Equate Alignment

With Alignment


Utilities - Equate Alignment - Equate Alignment

Equate Alignment

The Equate Alignment drop-down list allows you to select the alignment that you will be equating.


With Alignment

The With Alignment drop-down list allows you to select the alignment to which you are equating.


Leapfrog

Leapfrog Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Leapfrog dialog box

The Utilities | Leapfrog menu option brings up the Leapfrog dialog box. This dialog box allows you to move your portable CMM in order to measure parts that are too large for your CMM. You should be aware of machine accuracy limitations before using this method.

The basis for leapfrog is to measure a series of features and then after moving the machine re-measure the same features in the same order. This creates a transformation and makes the machine behave as if it were the same coordinate system before the move.

The transformation is independent of all part programs and affects the way the CMM reports to PC-DMIS. To remove a previously used leapfrog transformation you must reset the Leapfrog by using the Reset button on the dialog box.

A Leapfrog command is entered into the Edit window when the Accept button is clicked.

The command line in the Edit window would read:
LEAPFROG/TOG1, NUM, TOG2

TOG1:This first parameter in the Leapfrog command is a toggle field that relates to the three types available in the Measure 3 area of the dialog box. These types include:

  1. SPHERES

  2. Point Sets (shown as PSETS in the command)

  3. POINTS

There is also an OFF value for this parameter, in which case the other two parameters will not be displayed. The OFF value will turn off leapfrog translation.

NUM:This second parameter in the Leapfrog command is the number of hits you want to take. This corresponds to the Hits box in the Leapfrog dialog box.

TOG2:This last parameter in the Leapfrog command is a toggle field allowing you to switch between either a FULL or PARTIAL leapfrog. This parameter corresponds to the Full and Partial options in the dialog box. When this command is executed you will be prompted to take your hits, and after all the hits are taken, a leapfrog translation will be in effect.

More:

Measure 3 Area

Hits

Measure

Accept

Reset

Results box


Measure 3 Area

The Measure 3 area of the dialog box allows you to select the features that PC-DMIS uses to perform the translation comparison.

More:

Spheres

Point Sets

Points


Spheres

The Spheres option tells PC-DMIS to use spheres as the features for translation comparison. This method uses the center of each measured sphere.


Point Sets

The Point Sets option tells PC-DMIS to use the centroid of a set of points. It is recommended that you use the bottom of an inverted cone with a hard probe. This method is slightly more accurate than the spheres method and much quicker for the operator.


Utilities - Measure 3 Area - Points

Points

The Points option tells PC-DMIS to use only three points and is the least accurate of the three methods.


Utilities - Leapfrog - Hits

Hits

The Hits box allows you to specify the number of hits you wish to use for each feature. Of course this will not be used in the point method.


Utilities - Leapfrog - Measure

Measure

The Measure button opens the Execution Mode Options dialog box. This dialog box will first prompt you to measure the first three features before prompting the operator to move the CMM. After moving the machine you will be prompted to re-measure the same three features in the same order.

The results box will display the 3D distance between the features taken before the move and after the move of the CMM. If you find the results unsatisfactory then you may re-measure the last three features again as the button will now read: Re-measure.

Note: If the re-measure process proves unsatisfactory, then you must reset the leapfrog and start again from the beginning. This is a problem with all leapfrog systems and should be remembered.


Accept

Once you have a completed leapfrog, you must click the Accept button before the leapfrog transformation will be used. Clicking on the accept will add the LEAPFROG command to the part program. If you don't click the Accept button before clicking the Close button, then the constructed leapfrog translation will be lost.


Utilities - Leapfrog - Reset

Reset

The Reset button removes any translation by adding a command to remove translation to the part program.


Results box

The Results box shows the deviations between the machine's first position and it's subsequent position(s).


Flow Control

The Utilities | Flow Control menu allows you to dictate the flow of the part program. Using PC-DMIS, you can repeat all or a portion of a part program using the LOOP command. Labels can also be created allowing you to use GOTO and IF statements.

More:

Control Pairs

Looping

End Loop

Label

Go To

If Goto

On Error

Subroutines


Control Pairs

The Utilities | Flow Control | Control Pairs menu offers various paired commands that work within the Edit window to govern or "control" the proper flow of the part program. To insert a control pair type command into your part program in the Edit window, simply choose from this menu.

More:

If / End If

Else If / End Else If

Else / End Else

While / End While

Do / Until

Select / End Select

Case / End Case

Default Case / End Default Case


If / End If

The Utilities | Flow Control | Control Pairs | If / End If menu option allows you to add a conditional block to the part program. The items between the IF and the END IF commands will only execute if the expression for the IF command evaluates to true (nonzero). Otherwise, flow of execution will jump to the first command after the END/IF command.

The Edit window command line for a IF / END IF statement reads:
IF/expression
END_IF/

To insert the If / End If commands:

  1. Place the cursor in the desired location of the Edit window.

  2. Select Utilities | Flow Control | Control Pairs | If / End If from the menu bar. The IF / END IF statement will appear in the Edit window.


Else If / End Else If

The Utilities | Flow Control | Control Pairs | Else If / End Else If menu option allows you to add a conditional block to the part program. The items between the ELSE IF and the END ELSE IF commands will only execute if the expression for the ELSE IF command evaluates to true (nonzero). The ELSE IF / END ELSE IF block must be positioned directly after an IF / END IF block or another ELSE IF / END ELSE IF block. If all IF / ELSE IF expressions above the current block have evaluated to false, then the expression will be evaluated. If the expression evaluates to false (zero), then execution will jump to the next command following the END ELSE IF command. If any of the if / else if expressions above the current block evaluate to true, all subsequent else if / end else if blocks in this sequence will be skipped.

The Edit window command line for a ELSE IF / END ELSE IF statement reads:
ELSE_IF/expression
END_ELSE_IF/

To insert the else if / end else if commands:

  1. Place the cursor in the desired location of the Edit window.

  2. Select Utilities | Flow Control | Control Pairs | Else If / End Else If from the menu bar. The ELSE IF / end else if statement will appear in the Edit window.

Note: This type of block is only valid when positioned after an IF / END IF or ELSE IF / END ELSE IF block. Invalidly positioned control pairs are shown in red text in the Edit window.


Else / End Else

The Utilities | Flow Control | Control Pairs | Else / End Else menu option allows you to add a conditional block to the part program. The items between the ELSE and the END ELSE commands will execute only if all other if / end if and else if / end else if blocks above the else block have failed (All evaluated to zero). ELSE / END ELSE blocks must be located at the end of a set of IF / END IF or ELSE IF / END ELSE IF blocks in order to be valid.

The Edit window command line for a WHILE / END WHILE statement reads:
ELSE/
END_ELSE/

To insert Else / End Else commands:

  1. Place the cursor in the desired location of the Edit window. Note that Else / END ELSE blocks must be positioned after a IF / END IF or ELSE IF / END ELSE IF blocks.

  2. Select Utilities | Flow Control | Control Pairs | Else / End Else from the menu bar. The ELSE / end else statement will appear in the Edit window.


While / End While

The Utilities | Flow Control | Control Pairs | While / End While menu option allows you to add a conditional loop to the part program. The items between the WHILE and the END WHILE command will continue to execute in a loop until the condition (or expression) keeping the loop activated is no longer met, meaning the expression for the while loop evaluates to FALSE (i.e. zero). The WHILE command can be added anywhere in the part program. The expression is tested at the start of each loop.

The Edit window command line for a WHILE / END WHILE statement reads:
WHILE/expression
END_WHILE/

To insert a While / End While option:

  1. Place the cursor in the desired location of the Edit window.

  2. Select Utilities | Flow Control | Control Pairs | While / End While from the menu bar. The while / end while statement will appear in the Edit window.


Do / Until

The Utilities | Flow Control | Control Pairs | Do / Until menu option allows you to add a conditional loop to the part program. The items between the DO and the UNTIL commands will continue to execute in a loop until the expression of the UNTIL command evaluates to TRUE (nonzero). The DO/ UNTIL commands can be added anywhere in the part program. The expression is tested at the end of each loop.

The Edit window command line for a DO / UNTIL statement reads:
DO/
UNTIL/ expression

To insert DO / UNTIL commands:

  1. Place the cursor in the desired location of the Edit window.

  2. Select Utilities | Flow Control | Control Pairs | Do / Until from the menu bar. The DO / until statements will appear in the Edit window.


Select / End Select

The Utilities | Flow Control | Control Pairs | Select / End Select menu option allow for the addition of a conditional block that is used in conjunction with the CASE / END CASE and Default Case / End Default Case pairs. The expression for the Select command provides data that is compared against the expression in the Case statements. If the two expressions evaluate to the same thing. Then the statements within the Case / End Case Block will execute. The SELECT / END SELECT block surrounds the sets of CASE / END CASE and DEFAULT CASE / END DEFAULT CASE blocks.

The Edit window command line for a SELECT / END SELECT statement reads:
SELECT/expression
END_SELECT/

To insert the Select / End Select commands:

  1. Place the cursor in the desired location of the Edit window.

  2. Select Utilities | Flow Control | Control Pairs | Select / End Select from the menu bar. The SELECT / end select statements will appear in the Edit window.


Case / End Case

The Utilities | Flow Control | Control Pairs | Case / End Case menu option allows you to add a conditional block to the part program. The items between the CASE and the END CASE commands will execute if the expression for the case statement evaluates to a value equal to the expression of the corresponding SELECT command. Otherwise, the block of statements will be skipped. The CASE / END CASE statement block must be located directly after a SELECT command or an END CASE command of a previous CASE / END CASE block.

The Edit window command line for a CASE / END CASE statement reads:
CASE/expression
END_CASE/

To insert the Case / End Case option:

  1. Place the cursor in the desired location of the Edit window. Note the positional requirements stated above.

  2. Select Utilities | Flow Control | Control Pairs | Case / End Case from the menu bar. The CASE / end case statements will appear in the Edit window.


Default Case / End Default Case

The Utilities | Flow Control | Control Pairs | Default Case / End Default Case menu option allows you to add a conditional block to the part program. The items between the DEFAULT CASE and the END DEFAULT CASE commands will execute if all other expressions in previous CASE / END CASE blocks within the corresponding SELECT / END SELECT block evaluated to false. Only one DEFAULT CASE / END DEFAULT CASE block is allowed within a SELECT/ END SELECT block. The DEFAULT CASE / END DEFAULT CASE block must be located after all CASE / END CASE blocks within the SELECT / END SELECT block.

The Edit window command line for a DEFAULT CASE / END DEFAULT CASE statement reads:
DEFAULT CASE/
END_DEFAULT_CASE/

To insert DEFAULT CASE/ END DEFAULT CASE commands:

  1. Place the cursor in the desired location of the Edit window noting positional limitations as stated above.

  2. Select Utilities | Flow Control | Control Pairs | Default Case / End Default Case from the menu bar. The DEFAULT CASE / end default case statements will appear in the Edit window.


Looping

Looping Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Looping Parameters dialog box

The Utilities | Flow Control | Looping menu option allows you to repeat the part program with or without any of the offsets. The LOOP command can be added anywhere in the part program, although this function is most useful at the beginning and end of the program.

More:

To Use Looping:

Uses for Looping

Variable ID

XYZ Axis

Angle

Number of Parts

Start Number

Skip Number

Loop Ids

End Loop


To Use Looping:

  1. Select Utilities | Flow Control | Looping from the menu bar. The Looping Parameters dialog box will appear.

  2. Make any necessary changes to the boxes.

  3. Select parameters as needed (i.e. Number of Parts, Start Number, Skip Number, offsets in XY or Z, Angle).

  4. Place the cursor in a location in the Edit window where you want to begin the loop.

  5. Select the OK button.

The Edit window command line for looping reads:
VARNAME = LOOP/START, ID = Y/N, NUMBER = 0, START = 1, SKIP = ,
OFFSET: XAXIS = 0, YAXIS = 0, ZAXIS = 0, ANGLE = 0

Note: To complete the looping procedure, you must have an End Loop command inside the Edit window. PC-DMIS will loop Edit window commands that the LOOP/START and LOOP/END commands encompass. See "End Loop" for more information.


Uses for Looping

There are three main uses for the looping option:

  1. You have a multiple part fixture that holds a grid of parts. The fixture should use consistent spacing between the rows. The translation / rotation offsets allow you to index from one part to the next in the grid of parts.

  2. You have a fixture that holds one part and you want to swap in a new part before each loop of the program. A COMMENT command is helpful to stop the CMM when the part is being replaced with a new one. The command can be at the beginning or end of the loop.

  3. You want to use the LOOP option to rotate the part program to measure a different portion of the same part. For example, you could create a part program to measure a complicated hole pattern that was duplicated 10 times on the part. Your part program would only need to measure one of the hole patterns. The LOOP option could be used to offset this part program to measure the other 9 occurrences of the pattern.


Variable ID

The Variable ID box allows you to define the variable name used to track the loop's current iteration (or current loop within the number of specified loops). During the part program's execution, this variable will be equal to the current iteration number of the loop.


XYZ Axis

These boxes sets up the x (y or z) offset between parts, or patterns on the same part. The first offset is based on the part's origin.


Angle

The Angle box sets up the angular offset between parts, or patterns on the same part. The first offset is based on the part's origin.


Number of Parts

The Number of Parts box tells PC-DMIS the number of parts that the fixture holds (or patterns on the part) in the x (y or z) direction. PC-DMIS will also ask for the starting part (pattern) number.

Example: You have 10 parts in the x (y or z) direction, and you want to start with position number 5. Enter 10 (ten) for the total number of parts and 5 (five) for the starting position.


Start Number

The Start Number box tells PC-DMIS the starting position number in a series of parts.

Example: You have 10 parts, and you want to start with position number 5, you would enter 10 for the total number of parts and 5 for the starting position.


Skip Number

The Skip Number box repeats a part program the indicated number of times, allowing you to skip a specified increment.

Example: You can set the parameter to skip every third increment of the loop. If the number three is indicated, PC-DMIS will measure the first and second part and then skip to the fourth part.


Loop Ids

If this option is selected, PC-DMIS increments the feature ID's (within the loop) to coincide with the loop increment.

Example: CIR1 will become CIR1[1] on the first loop, CIR1[2] on the second loop, and so on.


Utilities - Looping - End Loop

End Loop

The End Loop button completes the looping process. The command LOOP/START must be followed by the command LOOP/END in the Edit window.

The Edit window command line for ending a loop reads:
LOOP/END


Utilities - Flow Control - End Loop

End Loop

The Flow Control | End Loop menu option does the same thing as the End Loop command button in the Loop Parameters dialog box. It inserts a LOOP/END command in the Edit window, thus completing the looping process.


Utilities - Flow Control - Label

Label

The Label option opens the Edit Label Name dialog box which allows you to create a name identification that can be used with a GOTO or IF statement. PC-DMIS will allow you to create the ID using up to fifteen characters. The ID will be displayed using all capital letters.

The Edit window command line for the Label option reads:
ID = LABEL/

To create a label:

  1. Select the location in the Edit window.

  2. Select Utilities | Flow Control | Label from the menu bar.

  3. Type the ID for the label in the New Label Name box.

  4. Click the OK button.

  5. The label ID will appear in the next possible location in the Edit window.


Go To

goto Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 GoTo dialog box

The Utilities | Flow Control | Goto option will bring up the GoTo dialog box which allows you to create GOTO statements within your part program. When the program is executed and PC-DMIS encounters a GOTO statement, it will move to the location of the label identification.

The Edit window command line for GOTO reads:
GOTO/label_ID

To create a GOTO Statement in the Edit window:

  1. Select Utilities | Flow Control | Goto from the main menu.

  2. Select the label you want to use from the Current Labels box.

  3. Click the OK button.

The Goto dialog box also allows you to create new label ID's that can then be attached to a GOTO statement. To do this:

  1. Select Utilities | Flow Control | Goto from the main menu.

  2. Type the name of the label you will create in the Goto Label box. The GOTO/label command is entered in the Edit window.

Note: If a label is created within the GoTo dialog box, you must create the label identification using the Utilities | Flow Control | Label menu option prior to executing the part program.

More:

Goto Label

Current Labels


Utilities - Go To - Goto Label

Goto Label

The GoTo Label box allows you to type in an existing label that the part program will GOTO.


Current Labels

The Current Labels box contains a listing of existing labels which you can select with the mouse.


If Goto

Ifgoto Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 If Expression dialog box

The Utilities | Flow Control | If Goto option will allow you to create IF GOTO statements within your part program. When the part program is executed and PC-DMIS encounters an IF statement, it will GOTO the location of the label identification if the specified expression evaluates to a non-zero value. See "Expressions" for information on creating expressions.

The Edit window command line for an IF statement reads:
IF/expression. Label

More:

Expression

Label


Utilities - If Goto - Expression

Expression

The Expression button brings up the expression builder. With the expression builder you can create a variety of different expressions that you may need within your part program.


Utilities - If Goto - Label

Label

The Label box allows you to type in the Label that PC-DMIS will use for the GOTO command. The Label button brings up the Goto dialog box. From this dialog box you can choose the label to be used. The label will appear in the Label box.


On Error

onerror Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 On Error dialog box

The Utilities | On Error command can be used to tell PC-DMIS what action to take in the case that a CMM Error occurs.

PC-DMIS tracks two kinds of error conditions: Unexpected Probe Hit and Missed Probe Hit. For each of these error conditions, three possible actions can be taken:

  1. Jump to a label

  2. Set a variable's value to one

  3. Do nothing

By default, all part programs start with the action for both types of errors set to the third option (Do nothing). The action mode for each error type can be changed throughout the program.

Example: If during execution, PC-DMIS encounters an ON ERROR/ Unexpected Hit / Jump To Label command, any unexpected hits that occur after that point in the program will cause execution to jump to the specified label. The action to 'Set a Variable's value to one causes the variable to be set as soon as the specified error type occurs. This value of the variable can then be tested using an IF statement to cause execution to jump to a new point in the part program.

The Edit window command line for the ON ERROR option reads:
ONERROR/UNEXPECTED_HIT, mode ID
or,
ONERROR/PROBE_MISS, mode ID

To use the ON ERROR command:

  1. Select Utilities | On Error. The On Error dialog box will appear.

  2. Select either Unexpected Probe Hit or Missed Probe Hit from the Error Type drop-down list.

  3. Select one of the following Error Mode options to define what action should take place:
Off | Does nothing.
Goto Label | Jumps to a defined label.
Set Variable | Sets a variable's value to one.

  4. Click the OK button to apply the ON ERROR option. The Cancel button will close the On Error dialog box without applying any changes.

More:

Error Type

Off

Goto Label

Set Variable


Error Type

The Error Type drop-down window allows you to choose one of these Error Types:

  • Unexpected Hit

  • Missed Hit


Off

When the CMM has an error, choosing the Off option commands PC-DMIS to do nothing.


Utilities - On Error - Goto Label

Goto Label

When the CMM has an error, choosing the Goto Label option commands the part program to jump to a defined label


Set Variable

When the CMM has an error, choosing the Set Variable option commands the part program to set a variable's value to one.


Subroutines

subcreat Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Subroutine Creation dialog box

The Utilities | Flow Control | Subroutine option allows you to access part program commands from the current file (or external file) and use these commands repeatedly. PC-DMIS will allow you to pass arguments to and from the subroutine. The only limitation to the number of arguments and nested subroutines is the amount of available memory. The external subroutine does not have access to features, variables or alignments from the main part program. It simply allows you to pass the necessary data. However, the subroutine does have access to items within the part program.

The Edit window command line for a sample subroutine would read:
SUBROUTINE/name,
S1 = Arg1 : Description

name = the name of the subroutine.
S1 = the local variable name to be used in the subroutine.
Arg1 = the default value for the first argument.
Description = The description of the argument in the subroutine.

ENDSUB/ is used to end the subroutine definition.

The types of arguments that can be passed into a subroutine are numeric values, variables, text strings and feature names.

More:

Numeric

Variable

Text string

Feature names

Creating a New Subroutine

Editing an Existing Subroutine

Ending a Subroutine

Calling a Subroutine

To add a new argument using the Call Subroutine Dialog box:

To edit existing arguments using the Call Subroutine Dialog box:

Subroutine Name

Arguments List Box

Add Arg

Delete Argument from Subroutine

Argument Name

Value

Description

Name Box in Call Subroutine

File Box in Call Subroutine

Select Subroutine

Values Box

Delete Arg


Numeric

To pass numeric characters, simply type the number in the Value box of the Argument Edit dialog box. See Creating a New Subroutine for more details.


Utilities - Subroutines - Variable

Variable

Arguments that can pass data back are variables. Enter the variable in the Value box of the Argument Edit dialog box. See Creating a New Subroutine for more details.

When you use a variable as an argument to a subroutine, any changes that occur to the corresponding variable in the subroutine are passed back and become the value of the variable that was passed in.

Example: This example shows how a variable, used as an argument to a subroutine, value is passed back from a subroutine: The variable V1 is assigned the value 6: ASSIGN/ V1 = 6. A subroutine call passes V1 as the first argument: CALL/SUB; MySub, V1. The subroutine is defined as follows. SUBROUTINE/MySub,A1 = 0. A1 is the name for the first argument so when the call is made, A1 will have the same value that V1 did at the time of the call, 6. The subroutine contains one statement: ASSIGN/ A1 = A1 + 1. This increments the value of A1 to 7. The subroutine ends, END /SUBROUTINE. Flow of execution returns to the statement directly following the call sub command. As execution jumps back, any variables that were used as arguments, V1 in this case, are updated to the value of the corresponding variables in the subroutine, A1 in this case. So V1 now has a value of 7. The value was passed back from the subroutine.


Text string

To pass a text string, place the alphanumeric within the Value box of the Argument Edit dialog box. See Creating a New Subroutine for more details. Make sure the alphanumeric characters are placed within double quotations, for example; "Pass this text1."


Feature names

Feature names are passed within curly brackets, for example; {F1} would be placed within the Value box of the Argument Edit dialog box to call the feature designated as F1 into the Edit window.

Also, when passing the feature name, the subroutine has full access to that feature. The subroutine can change any theoretical value of the feature. For example: if feature F1 is passed in, to set the theo X values, use the command ASSIGN/F1.TX = 5 in the Edit window.


Creating a New Subroutine

To create a new subroutine:

  1. Select Utilities from the menu bar.

  2. Select Flow Control from the Submenu.

  3. Select Subroutine. This brings up the Subroutine Creation dialog box.

subcreat Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Subroutine Creation dialog box

  4. Type the name for the subroutine in the Name box.

  5. Click the Add Arg button. The Argument Edit dialog box appears.

argedit Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Argument Edit dialog box

  6. Type the name for the argument in the Name box.

  7. Click in the Value box

  8. Type the value for the argument in the Value box.

  9. Click in the Description box.

  10. Type a description of the argument in the Description box. This description will appear next to the argument in the Edit window.

The Cancel button will cancel any changes you made to an argument and return you to the Subroutine Creation dialog box.

Note: You can also delete arguments by using the Delete Arg button in the Subroutine Creation dialog box.


Editing an Existing Subroutine

To edit an existing subroutine:

  1. Place your cursor on the subroutine in the Edit window.

  2. Press F9. This brings up the Subroutine Creation dialog box.

subcreat Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Subroutine Creation dialog box

  3. Select the argument you wish to change in the Number of Arguments box. The Argument Edit dialog box opens.

  4. Make the necessary changes in the desired boxes.

  5. Click the OK button to close the Argument Edit dialog box and save your changes. Here you can choose other arguments to edit.

When you're finished editing your subroutine, click the OK button to save your changes and return to PC-DMIS main window.

The Cancel button will cancel any changes you made to an argument and return you to the Subroutine Creation dialog box.

Note: You can also delete arguments by using the Delete Arg button in the Subroutine Creation dialog box


Ending a Subroutine

The End Sub menu option ends a subroutine by placing an "ENDSUB/" command in the Edit window.

To place this command:

  1. Place your cursor in the desired spot of the Edit window.

  2. Select Utilities from the main menu bar.

  3. Select Flow Control.

  4. From the Flow Control submenu, select End Sub.

The "ENDSUB/" command will appear in the Edit window.


Calling a Subroutine

callsub Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Call Subroutine dialog box

The Utilities | Flow Control | Callsub menu command will call an already existing subroutine from the current part program into a different location, or from a different part program into the current part program.

To call a subroutine:

  1. Select Utilities from the main menu bar.

  2. Select the Flow Control submenu.

  3. Select the Call Sub option. The Call Subroutine dialog box opens.

  4. Click the Select Subroutine button. The Select Subroutine dialog box opens.

  5. Select either the User Directory check box or the Current Directory check box or both. If the part program the subroutine is from resides in the directory specified to be searched for subroutines, select the User Directory check box. If it is from the current directory, mark the Current Directory check box. PC-DMIS lists all the part programs available for selection.

  6. Select the part program which contains the subroutine you want. You will see all subroutines associated with the selected program appear in the Subroutine Name box.

  7. Select the subroutine you want to call.

  8. Click the OK button. The subroutine information you are going to call will appear in the Call Subroutine dialog box.

  9. Click the OK button again and the called subroutine will appear in the selected location of the Edit window.

The Edit window command line for a sample called subroutine reads:

CS2        =CALLSUB/name, file\prog:Arg1,…

CS2 = the label created for the Call Sub command.
name = the option name of the subroutine to be called.
file = the part program that contains the subroutine. (If this field is blank, PC-DMIS will look in the calling part program for the subroutine).
prog = the name of the part program from which the subroutine is called
Arg1 = the argument to be passed to the subroutine. (If this field is blank, the default value will be used.).

The Call Subroutine dialog box also allows you to add, edit, or delete arguments to the called subroutine.


To add a new argument using the Call Subroutine Dialog box:

  1. Click the Add Arg button. The Argument Edit dialog box will appear.

  2. Click in the Value box.

  3. Type the value for the argument in the Value box.

  4. Click in the Description box.

  5. Type a description of the argument in the Description box. This description will appear next to the argument in the Edit window.


To edit existing arguments using the Call Subroutine Dialog box:

  1. Double click on the value of the argument you want to change. A value box will appear which shows the default value for the called subroutine.

  2. Type a new value.

  3. Click the OK button.

See Creating a New Subroutine and Editing an Existing Subroutine for additional information on how to edit or create new arguments for a subroutine.

Note: You can also delete arguments by using the Delete Arg button in the Subroutine Creation dialog box.


Subroutine Name

In the Name box, type in the name of the subroutine you are creating.


Arguments List Box

The Number of Arguments list shows the arguments for the subroutine you are creating. To edit the argument simply double click on the argument you want to change. The Argument Edit dialog box will open.


Add Arg

The Add Arg button allows you to add new arguments to your subroutine. Simply click on this button and the Add Argument dialog box appears:

argedit Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Argument Edit dialog box


Delete Argument from Subroutine

The Delete Arg button allows you to delete arguments from your subroutine. Simply, select the argument from the list, and click the Delete Arg button.


Argument Name

In the Name box you enter the name for the argument you are creating or editing.


Value

In the Value box you enter the value of the argument. Valid values are:

  • Numeric

  • Variable

  • Text String


Description

In the Description box you can enter a description of the argument. This description will appear next to the argument in the Edit window.


Name Box in Call Subroutine

The Name box contains the name of the subroutine you have selected after using the Select Subroutine button.


File Box in Call Subroutine

The File box contains the directory pathway to the subroutine file you have called.


Select Subroutine

The Select Subroutine button brings up the Select Subroutine dialog box.

The Select Subroutine dialog box allows you call previously created subroutines by searching in the user directory or the current directory.


Values Box

The Values box contains a list of the values of each argument associated with the subroutine. To change these values, simply double click on the value you wish to change and the Edit Argument dialog box will appear.


Delete Arg

This button will allow you to delete the arguments from the Values Box. Simply select the value displayed and click the Delete Arg button. The argument associated with that value is then deleted.


Scripting

The Basic Language Extension to PC-DMIS provides a powerful extension to the software's functionality. Basic language scripts or applications may be written from within PC-DMIS (or imported from elsewhere) and linked to a button on a user definable toolbar, allowing the simple execution of powerful macros. The version of Basic featured in PC-DMIS provides all of the features of a high level language, including custom dialogs (created using the built in dialog Edit window), ODBC support and OLE support. These options are only available as on added option to the basic PC-DMIS geometric software package.

The Edit window command line for a sample script reads:
SCRIPT/FILENAME = D:\PCDLRN\sample.sbl
FUNCTION/Main
ENDSCRIPT/

The PC-DMIS Basic Language Help File completely describes this add on package. If you did not receive a copy of the help file with your Basic Language package, please contact your PC-DMIS software support representative.

More:

Insert Basic Script

Basic Script Editor

Basic Script Editor Toolbar

Show Script Toolbar

Large Script Toolbar Icons

Customize Script Toolbar


Insert Basic Script

The Utilities | Scripting | Insert Basic Script menu option brings up the Insert Basic Script dialog box. This dialog box allows you to add a basic script object to the part program. Basic script objects contain the name of the basic script that should be executed when the basic script object is executed. Execution of the part program does not continue until the basic script has executed. If the basic script creates any objects while executing, those objects will be inserted into the part program and executed. Objects inserted by Basic Scripts are highlighted in a different color than other objects to indicate that the basic script created them. For more information on Basic Scripts, see the PC-DMIS BASIC online help .


Basic Script Editor

The Utilities | Scripting | Basic Script Editor menu option opens the Basic Script Editor. The Basic Script Editor can be used to create and edit basic scripts that can be used in Basic Script objects during execution or from the Basic Script Editor toolbar. The Basic Script Editor consists of the following menus:

  • File menu

  • Edit menu

  • Run menu

  • Help menu

More:

File Menu

Edit Menu

View

Run

Help


Utilities - Basic Script Editor - File Menu

File Menu

The Basic Script Editor's File menu gives you the following commands and options:

New

The File | New men option opens a new Basic Script Editor in which you can write a new script.

Open

The File | Open menu option allows you to navigate to and open an existing script. In order for files to appear in the Basic Script Editor, files must be of file type *.bas.

Save

The File | Save menu option allows you to save a script. With a new script, the first time this option is selected, the Save As dialog box will appear, allowing you to choose what to name your script and where you want to save it.

Save As

The File | Save As menu option allows you to save a new script, or an already existing script by a new file name. The Save As dialog box appears, allowing you to select the file name and the directory to which you will be saving the script.

Print

The File | Print menu option allows you to print the script in the Basic Script Editor from your system's printer.

Print Preview

The File | Print Preview menu option allows you to preview what will be sent to the printer when Print is selected from the Basic Script Editor's File menu.

Exit

The File | Exit menu option allows you to exit out of the Basic Script Editor without saving any changes you have made to any open scripts. Choosing File | Exit will return you the main user interface. The menu bar will return to normal PC-DMIS functions.


Utilities - Basic Script Editor - Edit Menu

Edit Menu

The Edit menu of the Basic Script Editor allows you to use basic Edit functions to manipulate the text displayed in the Basic Script Editor.

Undo

The Edit | Undo menu option allows you to undo the most recent action taken in the Basic Script Editor.

Cut

The Edit | Cut menu option allows you to cut selected text from the Basic Script Editor. Cut text is stored in the Windows clipboard to later be pasted elsewhere.

Copy

The Edit | Copy menu option allows you to copy selected text. Copied text is stored in the Windows clipboard to later be pasted elsewhere.

Paste

The Edit | Paste command allows you to paste text that is stored in the Windows clipboard.

Delete

The Edit | Delete command allows you to delete highlighted text.

Select All

The Edit | Select All menu option automatically selects all the text within the Basic Script Editor. You can then Cut, Copy, or Delete the selected text.

Find

The Edit | Find menu option brings up the Find dialog box.

This dialog box allows you to search for a specific word, or term within the Basic Script Editor.

  • If you choose the Match Whole Word Only check box the dialog will display only those words that match the entire word.

  • If you choose the Match Case check box, then the dialog will display only those terms that match the case (Uppercase or Lowercase) that you used in the Find what box.

Find Next

The Edit | Find Next will search in the Basic Script Editor for the next term that meets the qualifications specified in the Find dialog box (See Edit | Find above.)

Replace

The Edit | Replace menu option brings up the Replace dialog box.

The Replace dialog box is an extension of the Edit | Find command. It allows you to search for a specific term and then replace it with the term entered in the Replace with box.

The Find Next button searches through the Basic Script Editor and brings up the first instance that meets the qualifications entered in the dialog box.

The Replace button allows you to replace what has been found (using the Find Next button) with what is in the Replace with box.

The Replace All button allows you to replace all instances in the Basic Script Editor that meet the search qualifications with what is in the Replace with box.

The Cancel button closes the Replace dialog box.

Dialog Editor

The Edit | Dialog Editor option opens a window with a grid named Dialog One and also the MasQ Enable Dialog Designer toolbar. This toolbar and the Dialog One grid give you the necessary tools to design dialog boxes that can later be programmed for your scripts.

Clicking the "X" in the upper right-hand corner of the MasQ Enable Dialog Designer toolbar will close these tools.


Utilities - Basic Script Editor - View

View

The View menu allows you to choose if the Basic Script Editor toolbar and / or Status Bar is being displayed. Select View | Toolbar to display or hide the toolbar. Select View | Status Bar to display or hide the status bar.

Using this menu you can also determine where to set tab stops. This option allows you to indent program statements a set number of characters, thus improving program readability. Select View | Set Tab Stops and type a number. PC-DMIS will then indent by the indicated number of characters whenever you press the TAB key. For example, if you want a tab stop at every five characters, type "5" in the Set Tab Stops dialog box.


Run

The Run menu allows you to select the Compile or Start command. The compile command compiles the script—checking it for syntax errors—while the start command executes the script.


Utilities - Basic Script Editor - Help

Help

The Help menu allows you to access various options that aid you in using the Basic Script Editor.

Basic Help

The Help | Basic Help command brings up the on-line help file created for the add on Basic Module.

Syntax Help

The Help | Syntax Help turns on or off the option to use the syntax help when using the Basic Script Editor. If this option is selected, a pop up scroll box appears within the Basic Script Editor whenever you type in a command or term used in the Basic programming language. You can use arrow keys to select the appropriate term. Once selected, press the TAB key and that term will appear in the Basic Script Editor. Pressing the SPACEBAR displays the syntax needed for the command.

Syntax Help File

The Help | Syntax Help File allows you to select the syntax file used in the Help | Syntax Help command. The Load Syntax Help File dialog box will appear. Navigate to the directory that contains PC-DMIS for Windows and select the "Pcdmis.syn" file.


Basic Script Editor Toolbar

Bstoolbr Hotspot 12 Hotspot 12 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 Hotspot 1 The Basic Script Editor toolbar supports the following functions:

More:

New

Open

Save

Print

Print Preview

Find

Cut

Copy

Paste

Undo

Compile

Start


Utilities - Basic Script Editor Toolbar - New

New

This button allows you to create a new basic script in the editor.


Utilities - Basic Script Editor Toolbar - Open

Open

This button brings up an Open File dialog box allowing you to open an existing basic script into the editor.


Utilities - Basic Script Editor Toolbar - Save

Save

This button saves the current basic script. If you have not already named the current script, a Save As dialog box asking for the name of the script will appear.


Utilities - Basic Script Editor Toolbar - Print

Print

This button prints the current basic script.


Utilities - Basic Script Editor Toolbar - Print Preview

Print Preview

This button allows you to see the current basic script in the Print Preview window as it will appear when printed.


Utilities - Basic Script Editor Toolbar - Find

Find

This button allows you to search for text in the current basic script.


Utilities - Basic Script Editor Toolbar - Cut

Cut

This button cuts currently selected text and put text on the clipboard.


Utilities - Basic Script Editor Toolbar - Copy

Copy

This button copies currently selected text and put text on the clipboard.


Utilities - Basic Script Editor Toolbar - Paste

Paste

This button pastes text from the clipboard into the editor at the current insertion point.


Utilities - Basic Script Editor Toolbar - Undo

Undo

This button allows you to undo the last editing change.


Compile

The Compile icon compiles (makes the script understandable and ready to run on the computer system) the current BASIC script. You must compile a script before running it.


Start

This button compiles and runs the current basic script.

Note: Scripts ran from the editor using the PC-DMIS basic commands can insert objects into the current part program.


Show Script Toolbar

Selecting Utilities | Scripting | Show Script Toolbar displays the Script and Macro toolbar. This toolbar can be moved to any location on the screen.

To move the toolbar:

  1. Click on the space between the buttons or on the title bar of a floating toolbar.

  2. Hold down the left mouse button, and drag the toolbar to the desired location.


Large Script Toolbar Icons

The Utilities | Scripting | Large Script Toolbar Icons menu option causes the script toolbar icons to appear larger. Re-selecting this option changes the icons to their previous size.


Customize Script Toolbar

scripttb Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Script Toolbar Bindings dialog box

The Utilities | Scripting | Customize Script Toolbar menu option brings up the Script Toolbar Bindings dialog box. This dialog box allows you to add icons to the scripting toolbar. Items can be added that will run macros or run basic scripts.

More:

Toolbar Bindings box

Filename box

Browse

Select Bitmap

Function Call

Insert Function Call

Link to Macro File

New

Linking a Script to the Script and Macro Toolbar

Linking a Macro to the Script and Macro Toolbar

Inserting Function Calls into the Edit window


Toolbar Bindings box

The Toolbar Bindings box displays the file name or function that is "bound" to a particular icon. When the icon is selected from the Script and Macro toolbar, PC-DMIS will execute the function or macro associated with (or bound to) that icon.


Filename box

The Filename box allows you to type the pathway to a particular macro file or scripting file. This tells PC-DMIS what file to "bind" to the Script and Macro toolbar.


Utilities - Customize Script Toolbar - Browse

Browse

Instead of typing the pathway to a macro or scripting file, you can use the Browse button. This allows you to navigate to a directory of your choice and select the script or macro file. Once you select the file, PC-DMIS places the pathway to the file into the Toolbar Bindings box.


Select Bitmap

The Select Bitmap button opens up the Select Bitmap dialog box containing a list of pre-defined bitmap images that you can utilize with your script or macro. Select the bitmap you want, and click the OK button. The Select Bitmap dialog box closes. The selected icon will then be used on the Script and Macro toolbar.


Function Call

The Function Call box allows you to name your function. This is helpful when there are many scripts in the Toolbar Bindings box. The name remains associated with the function if you decide to insert the script into the Edit window.

See "Insert Function Call" for information on inserting functions into the Edit window.


Insert Function Call

Selecting the Insert Function Call check box tells PC-DMIS that you want to insert a command into the Edit window that will run the Basic Script at the appropriate location in the part program whenever the toolbar icon is clicked.

See Inserting Function Calls into the Edit window for steps on how to do this.


Link to Macro File

The Link to Macro File check box tells PC-DMIS that you want to link a macro file to the Script and Macro toolbar. When you select this check box, PC-DMIS only displays Macro files (with a ".mac" extension) when you click the Browse button. If this check box is not selected PC-DMIS looks for Basic Script files (with a ".bas" extension).


Utilities - Customize Script Toolbar - New

New

Selecting the New button begins the process of placing a new script or macro file on the Script and Macro toolbar.


Linking a Script to the Script and Macro Toolbar

To link a Basic Script to the Script and Macro toolbar, follow these steps.

  1. Create your Basic Script.

  2. Select Utilities | Scripting | Customize Script Toolbar. The Script Toolbar Bindings dialog box opens.

  3. Click the New button. A new filename appears in the Toolbar Bindings box.

  4. Click the Browse button and select your Basic Script from the Select Basic Script dialog box.

  5. In the Function Call box, name your script.

  6. Select a bitmap icon to link to this script. The icon appears in the Script and Macro toolbar.

  7. Click the OK button to save and close the Script Toolbar Bindings dialog box.


Linking a Macro to the Script and Macro Toolbar

To link a macro to the Script and Macro toolbar, follow these steps.

  1. Create your macro (see To Record a Macro:).

  2. Select Utilities | Scripting | Customize Script Toolbar. The Script Toolbar Bindings dialog box opens.

  3. Click the New button. A new filename appears in the Toolbar Bindings box.

  4. Select the Link to Macro check box.

  5. Click the Browse button and select your Basic Script from the Select Basic Script dialog box.

  6. Select a bitmap icon to link to this script. The icon appears in the Script and Macro toolbar.

  7. Click the OK button to save and close the Script Toolbar Bindings dialog box.


Inserting Function Calls into the Edit window

The easiest way to insert a script into the Edit window is to simply select Utilities | Scripting | Insert Script from the menu bar (see Insert Basic Script).

However, you may want to insert a script into the Edit window by clicking on an icon in the Script and Macro toolbar. To do this, follow the same steps as described in Linking a Script to the Script and Macro Toolbar except that before you click the OK button, be sure and select the Insert Function Call check box.


Insert Reporting Object

The Utilities | Insert Reporting Object menu option displays the Insert Hyper Report dialog box. This dialog allows you to select previously created Hyperview reporting objects and place them into your part program. The Hyperview report files that PC-DMIS looks for are designated with a .rpt extension. See "HyperView Reporting" for more information on creating Hyperview reports.)

The selected reporting object will be opened when the REPORT/FILENAME Edit window command is marked and executed (See the sample Edit window command line below for inserting a reporting object).

To input the Edit window command line that will load the report:

  1. Select the Utilities | Insert Reporting Object from the main menu.

  2. Navigate to where your system stores previously created reports.

  3. Select the report file you want to read during execution of the part program.

  4. Click the Open button.

The command used to open the report during execution (see sample below) is inserted at the cursor's current location within the Edit window.

A sample Edit window command line for this options reads:
CS1=REPORT/FILENAME= D:\V30\WINDEBUG\DEFAULT.RPT AUTOPRINT=NO

PARAM/=
ENDREPORT/
<filename> | This displays the pathway that PC-DMIS uses to find the directory and file name of the report.
<autoprint> | This option allows you to choose if the report will autoprint, opening the Print Preview window instead of displaying the report. Simply tab to this field in the Edit window and press F7 to cycle between YES and NO.

Once the Edit window command line containing the pathway to the file is marked, then the report will open during execution.


File I / O

The Utilities | File I / O menu option allows you to complete a variety of disk file operations at execution time. The File I / O (File Input / Output) menu options allow for opening files in read or write mode. Data can then be read from or written to these files. The File I / O commands allow data to be read in from external files that are to be used in a part program. Also, measurement and tolerancing information can be written back out to file using these commands.

More:

File Open

File Close

Reading Commands

Writing Commands

Position Commands

File Copy

File Move

File Delete

File Exists

File Dialog


File Open

The Utilities | File I / O | File Open menu option allows you to put a command in the Edit window that will open a disk file during execution of the part program. Files can be opened simply to view information or to add and save information.

The syntax of this command in the Edit window is:

<filepointername> =File/Open,<filename>,<openmode>
<filepointername> | This is the user chosen ID of the filepointer that is used to access the opened file. This ID is used to refer to the open file in other file I / O commands.
<filename> | This is the filename of the disk file to open.
<openmode> | This is the mode the file should be opened in. Files can be opened in the following modes: Read, Write, or Append.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Place your cursor on the File Open command.

  3. Press F9.


File Close

The Utilities | File I / O | File Close menu option allows you to insert a command in the Edit window that will close an opened file when the part program is executed. Closing files frees up resources used when files are open and commits any changes that have been made to the file to disk.

The syntax of this command in the Edit window is:

File/Close, <filepointername>
<filepointername> This is the ID used to identify the file and is created when the file is opened.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the File Close command.

  3. Press F9.


Reading Commands

The Utilities | File I / O | Reading Commands menu allows for the reading of data from a disk file. The reading commands will execute when the part program is executed. These commands allow for reading data in character by character, line by line, or block by block. Data is read in from each subsequent command in a sequential manner.

More:

Read Character

Read Line

Read Block

Read Up To


Read Character

The Utilities | File I / O | Reading Commands | Read Character menu option places a command in the Edit window which reads a single character from the file specified by the filepointername field (see syntax below) and assigns that character to the variable specified in the variable name field.

The syntax of this command in the Edit window is:

<varname> = File/ReadCharacter,<filepointername>
<filepointername> | This is the ID used to open the file.
<varname> | This is the name of the variable that will hold that character

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Read Character command.

  3. Press F9.


Read Line

The Utilities | File I / O | Reading Commands | Read Line menu option places a command in the Edit window that reads a line from the specified file during execution. This command sets the variable specified by the variable ID to 1 (true) or 0 (false) to indicate success (true) or failure (false) of the call. The expression required by this command can be used to delimit the line read in and to automatically fill up variables and references with data read in from the file. Information is read in from the input file up to the next carriage return character.

The syntax of this command in the Edit window is:

<varname> = File/ReadLine,<filepointername>,<expr>
<varname> | This is the name of the variable that will hold the result indicating success or failure of the ReadLine command.
<filepointername> | This is the name specified for the file pointer when the file was opened.
<expr> | This is the destination variable(s) for the input data. Input data can be delimited by text to allow for ease in parsing incoming lines of data. Variables and feature references should be surrounded by curly brackets.

Examples:
The command line:
Result = File/ReadLine,F1, "Part ID:" + {V1} would cause any text appearing in the read in line after the text "Part ID:" to be assigned to V1. The line would be read in from the file opened using F1 as the file pointer name. The result of the read (success or failure) would be stored in the variable Result.

The command line:
File/ReadLine,F1, "Location:"+{CIR1.X}+ ","+{CIR1.Y}+ ","+{CIR1.Z}+ ","+{CIR1.I}+ ","+{CIR1.J}+ ","+{CIR1.K} would read in comma delimited text after the string "Location:" and store the values in the X, Y, Z, and I, J, K values of CIR1.

The command line:
File/ReadLine,F1, "Value # " + loopvar + " : " + {var2} would cause var2 to be filled with the text appearing after the colon. The loopvar variable in this example is not surrounded by curly brackets and as a result contributes to the delimiting text.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Read Line command.

  3. Press F9.


Read Block

The Utilities | File I / O | Reading Commands | Read Block menu option places a command in the Edit window that will read in a block of characters from an open file at execution time. The amount of characters read in is indicated by the size parameter.

The syntax of this command in the Edit window is:

<varname>=File/Read_Block,<fptrname>,<size>
<varname> | This is a variable id for the variable that receives the value indicating success or failure of the read block operation.
<fptrname> | This is the name specified for the file pointer when the file was opened.
<size> | This is the number of characters to read

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Read Block command.

  3. Press F9.


Read Up To

The Utilities | File I / O | Reading Commands | Read Up To menu option places a command in the Edit window that reads all text 'up to' one of the given delimiters from the specified file during execution. Any text read by this command is placed in the specified destination variable. The command stops reading text when PC-DMIS encounters the following:

  • Defined delimiters

  • Carriage returns

  • Line feed characters

If the end of the file is reached, the destination variable will be set to "EOF" (End of File).

The syntax of this command in the Edit window is:

<varname> = FILE/READ_UPTO,<fptrname>,<delimiters>
<varname>
 This is the name of the destination variable.
<fptrname>
 This is the name specified for the file pointer when the file was opened.
<delimiters>
 This is a string which contains zero or more delimiter characters.

To access the dialog box associated with this File I / O command:

  1. Select File | Edit Window to open the Edit window.

  2. Place your cursor on the FILE/READ command.

  3. Press F9. The File I/O dialog box opens.

Once the dialog box appears:

  1. Type the variable name that will receive the read in information into the Variable ID box.

  2. Type the file pointer name into the File Pointer ID box.

  3. Type the delimiter into the Text box (be sure and use quotation marks around your chosen delimiter).

  4. Click OK.

Example: Suppose you have text file named "sample.txt" in your c:\temp directory which contains this information on the first line.

root:x:0:0:root:/root:/bin/bash

To use the Read Up To command on this file:

  1. Insert a FILE/OPEN command in the Edit window.

  2. Use a File Pointer Name of your choice to name your File Open command. This example uses "sample" as the file pointer name.

The File Open command should look something like this:

SAMPLE     =FILE/OPEN,C:\TEMP\SAMPLE.TXT,READ

Now, using PC-DMIS Read Up To commands, define some variables that call different segments of data. This example uses the following variables looking for a ":" (without the quotation marks) as the delimiter.

USERNAME   =FILE/READ_UPTO,SAMPLE,:
PASSWORD   =FILE/READ_UPTO,SAMPLE,:
USER       =FILE/READ_UPTO,SAMPLE,:

Thus, when PC-DMIS executes these lines, it sets

username = root
password = x
user = 0

To display this on screen during execution you can use an operator comment such as the one shown here:

COMMENT/OPER,The following text is read in from sample.txt
,Username:
,USERNAME
,Password:
,PASSWORD
,User:
,USER


Writing Commands

The Utilities | File I / O | Writing Commands menu allows you to write data to a disk file. The writing commands will execute when the part program is executed. These commands allow for writing of data character by character, line by line, or block by block. Data is written out from each subsequent command in a sequential manner.

More:

Write Character

Write Line

Write Block


Write Character

The Utilities | File I / O | Writing Commands | Write Character menu option to inserts a command into the Edit window that will cause a single character to be output to a disk file upon execution.

The syntax of this command in the Edit window is:

File/Write_Character,<fptrname>,<expr>
<fptrname> | This is the name of the file pointer specified when the file was opened.
<expr> | This is the character to be written to file. If the expression evaluates to more than one character, only the first character is written.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Write Character command.

  3. Press F9.


Write Line

The Utilities | File I / O | Writing Commands | Write Line menu option inserts a command into the Edit window that will cause a line of text to be output to a disk file upon execution. Use expression syntax to output variables and part program information to file. A carriage return is automatically appended to the text written out.

The syntax of this command in the Edit window is:

File/WriteLine,<fptrname>,<expr>
<fptrname> | This is the name of the file reference specified when the file was opened.
<expr> | This is the text to be written to file. Expressions can be used in this field

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Write Line command.

  3. Press F9.


Write Block

The Utilities | File I / O | Writing Commands | Write Block menu option inserts a command into the Edit window that will cause a block of text to be output to a disk file upon execution. Use expression syntax to output the variables and part program information to file. Unlike the write line command, write block does not append a carriage return at the end.

The syntax of this command in the Edit window is:

File/WriteLine,<fptrname>,<expr>
<fptrname> | This is the name of the file reference specified when the file was opened.
<expr> | This is the text to be written to file. Expressions can be used in this field.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Write Block command.

  3. Press F9.


Position Commands

The Utilities | File I / O | Position Commands menu allows you to save and recall the current position of the file pointer for an open file. Also, the File/Rewind command can be used to reposition the file pointer at the beginning of the file.

More:

Rewind to Start

Save File Position

Recall File Position


Rewind to Start

The Utilities | File I / O | Position Commands | Rewind To Start menu option inserts a command into the Edit window that will position the file pointer to the beginning of the file stream.

The syntax of this command in the Edit window is:

File/Rewind,<fptrname>
<fptrname> This is the name of the file pointer to reposition at the beginning of the file.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Rewind to Start command.

  3. Press F9.


Save File Position

The Utilities | File I / O | Position Commands | Save File Position menu option inserts a command into the Edit window that saves the current position of a file pointer within the file stream. The saved position can later be recalled using the recall file position command.

The syntax of this command in the Edit window is:

File/SavePosition,<fptrname>
<fptrname> This is the name of the file pointer whose file position is saved.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Save File Position command.

  3. Press F9.


Recall File Position

The Utilities | File I / O | Position Commands | Recall File Position inserts a command into the Edit window that will recall a previously save file position. Use the save file position command to save a position within an open file.

The syntax of this command in the Edit window is:

File/RecallPosition, <fptrname>
<fptrname> This is the name of the file pointer whose position is being recalled.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the Recall File Position command.

  3. Press F9.


File Copy

The Utilities | File I / O | File Copy menu option inserts a command into the Edit window which will cause a file copy operation to occur upon execution.

The syntax of this command in the Edit window is:

File/Copy,<srcfilename>,<destfilename>,<replacemode>
<srcfilename> | This is the name of the source file (file copied from)
<destfilename> | This is the name of the destination file (file copied to)
<replacemode> | This is the action to take if the destination file already exists. The two modes are overwrite and fail if destination exists.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the File Copy command.

  3. Press F9.


File Move

The Utilities | File I / O | File Move menu option to inserts a command into the Edit window which will cause a file move operation to occur upon execution.

The syntax of this command in the Edit window is:

File/Move,<oldfilename>,<newfilename>
<oldfilename> | This is the location and name of the file
<newfilename> | This is the new location and name of the file

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the File Move command.

  3. Press F9.


File Delete

The Utilities | File I / O | File Delete menu option inserts a command into the Edit window which will cause a file to be deleted when the command is executed.

The syntax of this command in the Edit window is:

File/Delete,<filename>
<filename> This is the name of the file to be deleted.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the File Delete command.

  3. Press F9.


File Exists

The Utilities | File I / O | File Exists menu option to inserts a command into the Edit window which will check for the existence of a file when executed and will set the supplied variable with the result.

The syntax of this command in the Edit window is:

<varname> = File/Exists,<filename>
<filename> | This is the name of the file being checked to see if it exists on disk
<varname> | This is the name of the variable that is set to the result of the check that is performed. The variable will be set to 1 if the file exists and 0 if the file does not exist.

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the File Exists command.

  3. Press F9.


File Dialog

The Utilities | File I / O | File Dialog menu option to inserts a command into the Edit window which will check bring up a file dialog box during execution. This file dialog can be used to allow the part program operator to choose a filename at run time. The name of the file chosen will be stored in the variable specified.

The syntax of this command in the Edit window is:

<varname> = File/Dialog,<expr>
<varname> | This is the name of the variable that will be set to the name of the file chosen by the user in the file dialog.
<expr> | This is the text that will appear on the title bar of the file dialog

To access the dialog box associated with this File I / O command:

  1. Open the Edit window.

  2. Placing your cursor on the File Dialog command.

  3. Press F9.


Comment

comment Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Comment Dialog box

The Utilities | Comment option allows you to add operator notes into the Edit window that will be displayed in a Comment Text box when the part program is executed or the inspection report is printed. There is no limit to the length of the comment; however, only 255 characters will fit per line. When the text reaches the right side of the Edit window, press the ENTER key. (This allows the entire text to be viewed in the Comment Text box.) To create a new line, place the cursor in the desired location of the Comment Text box and press the ENTER key.

To display the Comment dialog box, select Utilities | Comment.

More:

Operator

Report

Input

Document

Yes / No

Comment Text


Utilities - Comment - Operator

Operator

This option allows you to display text when executing the part program.

To use Operator option:

  1. Select Utilities | Comment from the menu bar.

  2. Select the Operator option.

  3. Type in the desired text in the Comment Text box.

  4. When the comments are completed, click the OK button (or press ENTER) to close the dialog box.

When PC-DMIS executes the part program, a message box will display the appropriate comments. (PC-DMIS will not allow you to edit this message.) Click on the OK button to remove the message box.

The Edit window command line for this option reads:
COMMENT/OPER,comment text


Utilities - Comment - Report

Report

This option allows you to send text to the inspection report.

To use the Report option:

  1. Select Utilities | Comment from the menu bar.

  2. Select the Report option.

  3. Enter in the desired text in the Comment Text box.

  4. When the comments are completed, click the OK button (or press the ENTER key) to close the dialog box.

When PC-DMIS executes the part program, these messages will not be viewed. PC-DMIS will, however, send these comments to the inspection report when it is printed.

The Edit window command line for this option reads:
COMMENT/REPT,comment text

Note: If dashes (or other characters) need to be incorporated underneath text in the inspection report, use a second comment line to create the additional line of characters.
For example:
COMMENT/REPT,Inspection Report Comment
COMMENT/REPT,-----------------------------------

This set of command lines will create an Inspection Report Comment line in the inspection report.


Utilities - Comment - Input

Input

The Input option is similar to the Operator option in that it allows you to display text when executing a part program. In addition to displaying a message box with the previously entered text, a comment box will appear. This allows you to enter numerical information that will be written to the inspection report.

This option is extremely helpful to users wishing to enter a part number or serial number while executing the part program. The message box will display the prompt to enter the necessary number (i.e., serial number) and then display this number in the inspection report.

To use the Input option:

  1. Place the cursor where you want this option to be inserted in the Edit window.

  2. Select Utilities | Comment from the menu bar.

  3. Select the Input option.

  4. Enter in the desired text in the Comment Text box.

  5. When the comments are completed, click the OK button (or press the ENTER key) to close the dialog box.

The input is also assigned to the variable specified on the left hand side of the command. The variable is coerced to be of type string. This variable can then be used anywhere an expression is allowed.

The Edit window command line for this option reads:
comment ID = COMMENT/INPUT, comment text


Utilities - Comment - Document

Document

This option provides you with the ability to add text to the internal program. It is not used for anything except documenting programmers' notes. It is not sent to the inspection report and will not display anything when executed. It simply allows you to have an option for documenting inside the Edit window.

To use the Document option:

  1. Place the cursor where you want the text to be inserted in the Edit window.

  2. Select Utilities | Comment from the menu bar.

  3. Select the Document option.

  4. Enter in the desired text in the Comment Text box.

  5. When the comments are completed, click the OK button (or press the ENTER key) to close the dialog box.

The Edit window command line for this option reads:
COMMENT/DOC,comment text


Utilities - Comment - Yes / No

Yes / No

The Yes / No option is similar to the Operator option in that it allows you to display text when executing a part program. In addition to displaying a message with the previously entered text, Yes and No buttons will appear for the user to select. This allows you to ask the user simple questions, the answers to which will appear in the part program and be accessible via the ID of the comment. For example, if the comment has an ID of C1 and the Yes button is clicked, the expression "C1.INPUT" will have the value 'YES'. If the No button is clicked, the expression "C1.INPUT" will have the value 'NO'. This option is useful to users wishing to branch or loop on a 'Yes' or 'No' response.

To use the Yes / No option:

  1. Place the cursor where you want the COMMENT/YESNO command to be inserted in the Edit window.

  2. Select Utilities | Comment from the menu bar.

  3. Select the Yes / No option.

  4. Type the desired text in the Comment Text box.

  5. When the comments are completed, click the OK button (or ENTER key) to close the dialog.

The Edit window command line for this option reads:
comment ID = COMMENT/YESNO, comment text


Comment Text

The Comment Text box contains the text you wish to display in conjunction with the Comment Type options as shown here:

  • Operator

  • Report

  • Document

  • Input

  • Yes / No


Trace Field

The Utilities | Trace Field menu option lets you establish trace fields in the Edit window. This information will be used in the STATS data base (see the XSTATS11.TMP file). With the trace field in the Edit window, the name of a trace field and the current value for that trace field can be changed.

To change the values associated with a Trace Field:

  1. Place your cursor in the box you want changed.

  2. Select the previous value.

  3. Type a new value.

(See "Executing a Part Program" for additional information on Trace Field.) This Trace Field dialog box will appear every time the part program is executed. If the Display option is selected, and will not appear during execution when the No Display option is selected.

To display the Trace Field dialog box, select Utilities | Trace Field from the main menu.

The Edit window command line for this option reads:
TRACEFIELD/ DISPLAYSTATE ; field name : value

DISPLAYSTATE = This toggle field controls whether or not the trace field dialog box is displayed during execution. This field switches between DISPLAY and NO DISPLAY.

field name = This string represents the name of the trace field. There is a 15 character limit.

value = This displays the current value of the trace field. There is a 15 character limit.

More:

Options


Utilities - Trace Field - Options

Options

The Options area control the options of the trace field:

  • No Display

  • Display

More:

No Display

Display


No Display

Selecting the No Display option indicates that a dialog box will not be displayed when the trace field is executed. This will allow trace fields to be controlled by variables without requiring input from the user.


Utilities - Options - Display

Display

Selecting the Display option indicates that a dialog box will be displayed when the trace field is executed. This requires the trace field to have input from the user during execution.

Note: Trace fields that are entered using the Logo.dat will not print when encountered by an execution. They are however, still sent to the stats file.


Assignment

Assign Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Assignment dialog box

The Utilities | Assignment menu option displays the Assignment dialog box. This dialog box allows you to assign a value to a variable or data element of a part program feature, dimension, or alignment. Use of the assignment command requires a basic understanding of PC-DMIS expressions. Expressions are discussed in the "Expressions" topic of the "Editing a Part Program" section.

More:

Assign To

Assign From

Insert


Assign To

The Assign To button allows you to designate what is receiving the value calculated in the Assign From box. Information chosen using the Assign To button is placed in the Assign To box. This value can be the name of a variable, or a reference to a data element of a feature, dimension, or alignment.


Assign From

The Assign From button allows you to place the value being assigned into the Assign From box. If this box contains an expression, the expression is evaluated at execution time and the result or value of the calculation is assigned to the object specified in the Assign To box.


Insert

The Insert button inserts an assignment command into the part program while keeping the Assignment dialog box open. This button allows you to insert a series of assignment commands without closing the dialog box.


External Object

Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Insert Object dialog box

The Utilities | External Object menu option allows you to enter various types of objects from other applications on your system into the Edit window. Types of objects that can be inserted depend on the applications installed on the computer system. Examples of objects that can be inserted include graphics, sound clips, movie clips, midi clips, documents, worksheets, database tables, etc. Use external objects to import an instructional video, audio instructions or written instructions into your part program.

More:

Create New

Create from File

Display as Icon

Object Type List

Marking External Objects for Execution


Create New

The Create New option allows you to create a new file of a particular object type at a specified location in the Edit window. The object types are chosen from the Object Type list. Objects can only be placed just after or just before a feature in the part program.

To create a new object and place it in the Edit window:

  1. Select the Create New option.

  2. Select the desired object type from the Object Type list. The object will appear in a box, bounded by small rectangular points within your Edit window. Using your mouse you can drag the box to another location or resize the box using the small rectangles.

  3. Double click within the object. You will see that the application that runs that particular object will open in the Edit window.

  4. Modify the object by using the tools specific to the inserted application.

  5. When you are done, click on the portion of the Edit window that is outside of the inserted object.

Example: If you want to include a new word document in the Edit window:

  1. Select the Create New option.

  2. Select a word document object from the Object Type list.

  3. Drag the object box with the mouse to a desired location within the Edit window.

  4. Resize the box to the desired size.

  5. Type the information within the word document object.

  6. Click outside of the object to return to normal PC-DMIS Edit window functions. The word document will remain in the Edit window.

Example of a word document created in the Edit window. Notice how the Edit window menus and toolbars are replaced with the menus and toolbars of the application that corresponds to the object you are creating.


Create from File

The Create from File option allows you to insert previously created file as an object into the Edit window.

To insert a previously created object:

  1. Select the Create from File option.

  2. Type the directory path that contains the file you want to place as an object. Or use the Browse button to navigate to the correct directory.

  3. Select the file to insert as an object.

  4. Click the OK button. The object will now appear in the Edit window. Using your mouse you can drag the box to another location or resize the box using the small rectangles.

Example: If you want to insert a previously written word document into the Edit window that includes a set of instructions about operating the CMM, select the Create from File option, navigate to the directory that contains the document, click the OK button. The document appears within the object box in the Edit window. Using the mouse, move the object box to where you want it in the Edit window and resize it.

More:

Link


Link

When you select the Create from File option you have the opportunity to "link" your object to the Edit window. When you link your object back to it's original file, any changes made to the original file will also be updated within the Edit window.


Display as Icon

The Display as Icon check box allows you to display the imbedded object as an icon, instead of displaying the information out right. Once you double-click on the icon within the Edit window, it will then activate.

Example: Suppose you place a word document in the Edit window and select the Display As Icon check box. The word document will appear as an icon. However, if you double-click on the icon, the imbedded application opens, displaying the information contained in the word document.


Object Type List

The Object Type list contains the object types available on your computer system. These will vary from computer to computer depending on what application programs you have installed on your hard drive.

To choose an object type:

  1. Use the scroll bar or UP ARROW and DOWN ARROW keys to find the object.

  2. Select the object.

  3. Click the OK button.


Marking External Objects for Execution

By default, external objects print and do not execute when executing a part program. However, with some objects, the desired action may be to execute and not print.

Example: When embedding a graphic, the desired action may be to print the graphic to the report; while when embedding a sound or movie clip, the desired action may be to execute the object to play the clip at execution time.

External objects have four modes of execution:

  1. Print – Don't execute

  2. Don't print – Don't execute

  3. Don't Print – Execute

  4. Print – Execute

To switch between the different modes, press F3 while the insertion point is on the same line as the external object in the Edit window.

Hash lines and hashed borders are used to indicate the objects current mode of execution. See the examples below.

No hash lines | When no hash lines appear over the object, the object will print to the report.
Hashed border | When a hashed border outlines the object, the object will execute.

Note: The execute action is always the same action that occurs when an external object is double clicked. For media clips, this default action is usually play. For most other objects, the default action is edit.
PlaySound clips will play sound. Movie clips will play their movie, etc.

EditObjects that have a default action of edit will usually not be objects that would need to be executed. However, some application objects also have the ability to run custom basic scripts upon being activated. A word document or excel spreadsheet are examples of this type of external object. With these types of objects and the PC-DMIS automation commands, it is possible to change the object using data from the part program. For example, an excel graph could be inserted inside a part program that has a basic script that, when activated, would pull data out of the part program using the PC-DMIS automation commands and adjust the graph accordingly before it was printed on the inspection report.


External Command

This The Utilities | External Command menu option allows you to insert an external executable or batch file into the part program. In order for this option to be available, the command must be marked in the Edit window. PC-DMIS will halt the movement of the probe when it encounters the EXTERNAL command. It will display a message asking for the path of the command to be executed. Enter the appropriate path for the file. Normal DOS commands can be executed if they are put into a batch file. A second message will display, alerting you that the execution process has paused. To continue executing the part program and external command simultaneously, click the OK button.


Statistics

stats Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Database Parameters dialog box

The Utilities | Statistics menu option allows you to manage statistical information that is received from measuring a part. This is done by inserting a STATS command in a part program before any desired dimension or trace field commands. This information can then be sent to a selected statistical software package.

More:

Stats Options

Database Options

Update Database Now


Stats Options

The Stats Options area is always available on the Stats Options dialog box. The Stats Options area allows you to use the following commands.

  • Turn stats off

  • Turn stats on

  • Transfer stats to another directory

  • Update the stats

More:

Stats Off

Stats On

Transfer

Update


Stats Off

Selecting the Off option stops statistical information from being sent from your part program. With stats off, Dimension or Trace Field commands will not send statistical information to the database unless you select the Stats On option.

To turn stats Off:

  1. Select the Off option.

  2. Click the OK button.


Stats On

Selecting the On option allows statistical information to go from your part program to the database. With stats on, you can send data to the stats file, transfer the information to a different directory, or store the information in a database application.

Any dimensions that follow a STATS/ON command and precede the next STATS/OFF command will be sent to the stats file or database upon execution of the next STATS/TRANSFER, STATS/UPDATE, or final command of the part program. With the STATS/ON command you can send the output information to multiple databases, even within the same part program.

Upon each execution of a part program that includes at least one STATS/ON command, PC-DMIS will ask whether or not to send the output information to any statistical database directories. This prompt can be bypassed by selecting the ALWAYS Update Database check box accessible the Options | Setup | Dimensions menu option .

Note: If you selected DataPage from Database Options, PC-DMIS automatically calls the DPUPDATE.exe executable to insert the data in the XSTATS11.tmp file into any selected DataPage directories.

Turning stats on inside a loop can result in slightly different output to the XSTATS11.tmp file for the dimension and feature IDs.

To turn stats on:

  1. Select the On option.

  2. Click the OK button.

The Edit window command line for STATS ON reads:
STATS/ON,database option;
directory or DSN,
user ID, read lock, write lock, memory pages, user mode, variable name

database option = This toggle field indicates the database type to which the stats will be sent. This field can be DATAPAGE, DES, or XACTMEASURE.

Directory or DSN = If the database option is DATAPAGE or DES, this string indicates the database directories to which the statistics will be sent. This must be a valid database directory. If the database option is XACTMEASURE, this string indicates the DSN name of the database. This DSN name can be created in the ODBC options of the computer's control panel. This DSN must be created to link to a valid XactMeasure database.

user ID = This nine digit string indicates the port lock serial number. This field is only used for the DataPage database option.

read lock = This field indicates the maximum number of seconds PC-DMIS will wait for database access when reading. The default setting is 10 seconds. This field is only used for the DataPage database option.

write lock = This field indicates the maximum number of seconds PC-DMIS will wait for database access when writing. The default setting is 20 seconds. This field is only used for the DataPage database option.

memory pages = This field indicates the number of 4K pages to reserve for database tables when opening database. This option will affect performance. The minimum number that can be entered is 4 (also default). This field is only used for the DataPage database option.

user mode = This field indicates the user mode setting. Single user mode will only allow a single user access to the database. The value 0 (zero) signifies that single user mode is set. A value of 1 (one) signifies that multi-user mode is on. Single user mode will improve performance. This field is only used for the DataPage database option.

variable name = This field indicates the variable name setting. The value 0 (zero) indicates that dimension names will be displayed. A value of 1 (one) indicates that feature ID's will be displayed. This field is only used for the DataPage database option.


Transfer

The Transfer option allows statistical information from a part program to be transferred to a specified directory upon execution of the STATS/TRANSFER command.

Note: This option may be especially useful with the Auto Update option of DataPage.

To transfer your stats to a different directory:

  1. Click the Transfer option.

  2. In the Transfer Directory box, enter the directory path of the directory to which you will transfer your stats file.


Update

The Update option creates a STATS/UPDATE command that tells PC-DMIS to update the statistical database every time the command is executed. The statistical software application must be installed and ON.

To have PC-DMIS update your database application in the middle of a part program:

  1. Click the Update option.

  2. Click the OK button.

Note: The Always Update Database check box from the Options | Setup | Dimension menu allows you to bypass the "Update Database Now?" message that PC-DMIS shows at the end of a part program execution that contains a STATS/ON command.


Database Options

The Database Options allow you specify one of the following statistical software packages to send the measurement information:

  • DataPage

  • DES

  • Xact - SPC

The Stats Options dialog will change when one of the Database Options is selected.

More:

DataPage Option

DES Option

Xact – SPC Option

View/Edit Database


DataPage Option

When you select the Datapage option, the Stats Option dialog box changes to add the following:

  • Database Directories list

  • Add Directory To List button

  • Delete Directory From List button

  • DataPage Variable Name area

  • Do Control Calculations area

  • Read Lock box

  • Write Lock box

  • Memory Pages box


DES Option

The DES option only functions with DEA's statistical database program, DES. When you select DES, the Stats Options dialog box changes so that it only includes the Stats Options area, the Database Options area, and the Update Database Now, OK, and Cancel command buttons.


Xact - SPC Option

Xact – SPC Option

The Xact – SPC option only functions with Brown and Sharpe's statistical database program, Xact - SPC. When you select the Xact - SPC option, the Stats Option dialog changes to include the following:

  • Data Source box

  • View/Edit Database


View/Edit Database

The View/Edit Database button can only be used once a valid Data Source has been selected from the Data Source box. Clicking this button allows the data in the XactMeasure database to be viewed and deleted from the XactMeasure Database dialog box:

The XactMeasure database can be viewed within PC-DMIS using the following tabs on the dialog box:

  • Parts

  • Transactions By Part

  • Transactions By Inspection Program

  • Features By Part

  • Features By Inspection Program

  • Part Feature Attribute

  • Measurements


Update Database Now

The Update Database Now button allows you to update your database application with statistical data gained from your current part program.

To update your database now:

  1. Click the Update Database Now button.

  2. Follow the instructions on screen.

Upon successful execution of a part program, selected Dimension and Trace Field information is stored within a file named XSTATS11.tmp located in the directory to which you installed PC-DMIS (usually the C:\PCDMISW directory). The information in this file can then be transferred to a different directory, printed out, or sent to a database application.

Note: If a database application is unavailable, PC-DMIS will display a message informing you that it couldn't find the update executable (for the DataPage application, this is DPUPDATE.exe) to load XSTATS11.tmp into the database.


Attach Part Program

The Utilities | Attach Part Program opens the Attach External Part Program dialog box. This dialog box contains the following options:

Option | Description
External part program file name | This box allows you to type the pathway for the part program you are going to attach. If you prefer, you can use the Browse button which will also place the filename pathway into the box.
Equate Program Alignments | This area allows you to share alignments between two part programs by selecting them from the available lists. See Equate Alignment for additional information.
Machine | This list allows you to select the machine PC-DMIS will use for the attached part program.
Execute attached part program when current program is executed | This check box will execute the attached program when the current part program encounters the ATTACH/ command.

The Attach Part Program menu option is especially useful when working in master/slave mode. With this option you can attach a part program from the "Slave" arm onto the part program of the "Master" arm. Attaching the part program allows the sharing of data so that both "Master" and "Slave" arms can run off the same alignment, pass feature data from one part program to another for calculations, and generally work in a cooperative manner. (See "Using Master / Slave Mode", for more information on master/slave mode.)


Toolbars

In an effort to decrease the time it takes to program your part, PC-DMIS 3.2 and above offers you a variety of toolbars composed of frequently used commands. These toolbars can be accessed in two ways.

  1. Select the Utilities | Toolbars submenu and select a toolbar from the menu provided.

  2. Right-click on PC-DMIS's Toolbar area and select a toolbar from the shortcut menu provided.

The toolbars provided include:

More:

PC-DMIS Modes Toolbar

Manual / DCC Mode

Settings Toolbar

Feature Buttons Toolbar

Dimension Toolbar

Construction Toolbar

Sheetmetal Toolbar

Measured Toolbar

Script Toolbar

Macro Play/Record Toolbar

Add-Ins Toolbar

Active Arms Toolbar

Readout Modes Toolbar

Guess Mode Toolbar

Active Rotary Table Toolbar


PC-DMIS Modes Toolbar

toolbar Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The PC-DMIS Modes toolbar allows you to easily alter the display of the part on the screen. It also allows you easy access to the available modes. This toolbar contains the following icons:

Icon |  | Description
 | View Setup | Alters the display of the part in the Graphics Display window. See View Setup.
 | Save Views | Saves a custom view of the part which can later be recalled. See Save View.
 | Scale to Fit | Enlarges or shrinks the views of the graphic in the Graphics Display window to fit your screen. See Scale to Fit.
 | Draw Surfaces | Turns on or off the display of solid CAD surfaces. See Draw Surfaces.
 | Curve and Surface mode | Uses available the curve or surface data. See Curve and Surface Mode.
 | Repaint the Screen | Refreshes and redraws all the views of the part. See Repaint the Screen.
 | Translate mode | Places PC-DMIS into translate mode. See Translate Mode.
 | 2D Rotate mode | Two dimensionally rotates the part for the selected view. See Rotate 2D Mode.
 | 3D Rotate mode | Three dimensionally rotates the part for the selected view. See Rotate 3D Mode.
 | Text Box mode | Accesses shortcut menu commands for Point Info and Dimension Info text boxes. See Text Box Mode.
 | Program mode | Uses the probe either offline or online to learn and edit your part program. See Program Mode.
 | Manual / DCC mode | Switches between either Manual or DCC mode. See Manual / DCC Mode.


Change Layout and Views

To change the screen layout and the orientation of the views:

  1. Click on the View icon.

  2. Select the desired screen style from the Layout area. For example, to split the screen into two different views of the part image, click on button two or three (in the first row). The window will be split horizontally or vertically, depending on the button that is chosen.

  3. Using the drop-down list box, select the desired view orientation for each window that will be displayed. For example, to view the part image from the Z+ direction, simply select Z+ from the drop-down list box. Or, to view the same image from the Y- axis, select Y-. All of the display options only affect how PC-DMIS displays the part image. They do not affect the measured data or inspection results.

  4. Select the Solid check box if you want to display your part in the selected view of your part as a solid. Leaving the check box blank will display the view of the part as a wireframe.

  5. Click either the Apply button or the Ok button.
    • If the Ok button is selected, PC-DMIS will close the View Setup dialog box and apply the changes to the Graphics Display window.

    • If the Apply button is selected without the proper view orientations, a message will appear asking that the necessary views be entered. After the desired screen layout is determined and the Apply button selected, PC-DMIS will re-draw the Graphics Display window to reflect the current settings.


Rulers

Select the Rulers check box to turn on rulers in all views. The origin of the rulers will always be located at the CAD origin (not local part alignments).


Show lines over surfaces

This check box applies to solid view only. Select this check box to cause points and lines that hide behind surfaces to show through. This option is useful for looking at measured features that are behind surfaces. For example, suppose a measured line in your part is slightly underneath the CAD surface. Selecting this check box will force the measured line to be visible.


Utilities - View Setup - 3D Grid

3D Grid

Select a 3D Grid check box to turn on the 3D grid for the selected view. Unlike the rulers, the origin of the 3D grid will always be located at the part's current alignment.

The 3D Grid Setup button brings up the 3D Grid Setup dialog box. From here you can modify the grid spacing.

3D Grid Setup dialog box

Modify the grid line spacing by typing a value in the X Axis, Y Axis, and Z Axis boxes or select the Auto check boxes to have PC-DMIS automatically compute reasonable spacing.

Grid line labels are placed around the outside of the window. These lines follow the current alignment defined in the Edit window. They can be inset by the value shown in the Label Inset box. This value determines the pixel buffer size that PC-DMIS places between the outer edge of the Graphics Display window and the 3D grid labels.

Click OK and PC-DMIS displays the 3D grid in the Graphic's Display window.

Example of a 3D—Grid with Label Inset of 10 in the X-Y Plane

There are three possible grids that can be drawn:

  1. X-Y

  2. Y-Z

  3. Z-X

PC-DMIS draws only one grid at a time. The grid drawn depends on the axis plane rotated closest to your screen (determined by the axis indicator). For example, the following axis indicator from the Graphics Display window shows the X-Y axis plane facing the user; PC-DMIS draws the X-Y axis grid.

Axis Indicator showing the X-Y plane.

Note: The color of the 3D grid can be modified from the Graphics | Screen Color menu option. See "Screen Color".


Levels

A CAD level consists of a group of related CAD geometries, which are identified by a level number. The level information in these files is imported into PC-DMIS when the files are 'imported'. You can then select which levels will be displayed in each Graphics Display 'view' using the View Setup dialog. Given the size and complexity of many CAD files, this option will greatly benefit your ability to restrict specific portions of the CAD model that will be visible as various PC-DMIS tasks are being performed. (See "Make 3D" for more information.)

Note: This option is only available if levels have been incorporated into the IGES drawing file.

To view a level in the Graphics Display window:

  1. Select the desired view (blue, red, yellow or green view).

  2. Select the appropriate level from the list.

  3. Click the Apply button.

PC-DMIS will re-draw the Graphics Display window to reflect the current setting. The OK button must be pressed to save these changes.

The Create check box allows you to access the Level dialog box.

The Level dialog box provides the following options simply by selecting the appropriate button.


Change Size of Views

PC-DMIS lets you redefine the sizes of the views in the Graphics Display window.

To change the size of a view window:

  1. Position the pointer on the line separating the windows. The single arrow cursor will change to a double arrow.

  2. Hold down the left mouse button.

  3. Drag the line to the desired location. The view size will change.

This procedure works in either the horizontal or vertical position. The drawing can then be re-scaled to fit within the new window by pressing the Scale To Fit icon. See Scale to Fit.

Note: PC-DMIS can be in any mode when changing the view size.


Repaint the Screen

This option will refresh the Graphics Display window whenever the Repaint the Screen icon is selected.


Shrinking the Part Image within the Graphics Display window

To shrink the entire image of the part:

  1. Move the mouse pointer to a point above the imaginary, horizontal centerline of the graphic part display.

  2. Click the right mouse button.

The farther away the cursor is from the centerline, the more the drawing will shrink.


Enlarging the Part Image within the Graphics Display window

To enlarge the entire image of the part:

  1. Move the mouse pointer to a point below the imaginary, horizontal centerline of the graphic part display.

  2. Click the right mouse button.

The farther away the cursor is from the centerline, the more the drawing will grow.


Enlarging a Portion of the Part Image within the Graphics Display window

To enlarge a specified section of the displayed part:

  1. Place the mouse pointer at a corner of the selection area.

  2. Hold both mouse buttons simultaneously.

  3. Move (drag) the arrow icon over the portion of the Graphics Display window to be selected. PC-DMIS will begin drawing a box.

  4. When the box contains the proper geometry, release both mouse buttons. PC-DMIS will zoom in on the selected area.

Note: Once you reach a certain point, the image doesn't enlarge any further.


Repositioning the Part Image within the Graphics Display window

To change the position of the part image within the Graphics Display window:

  1. Place the mouse pointer over the image of the part.

  2. Hold down the right mouse button and drag it to a new position.

  3. Release the mouse button.


Rotate 2D by Dragging

A drawing can be rotated in two dimensions by dragging the drawing around the imaginary center of the Graphics Display window.

To rotate by dragging:

  1. Position the mouse pointer in the Graphics Display window (in any area other than at the center).

  2. Hold down the right mouse button.

  3. Move the pointer clockwise about the imaginary center of the display window.

  4. Release the mouse button.

When the mouse button is released, PC-DMIS will re-draw the rotated image to reflect the amount the mouse was dragged around the imaginary center point.


Rotate 2D to an Element (Square up the Drawing)

To "square-up" the part to the screen, click on a feature with the right mouse button. (Do not hold down the button.) PC-DMIS will rotate the drawing so that the selected feature is parallel to the closest screen axis (vertical or horizontal).


Rotate 3D using Rotate Dialog Box

To rotate the drawing using the dialog box:

  1. Select the view to be altered (numbered as 1-4 option buttons).

  2. Determine the amount of rotation by selecting the Degree Increment (1, 5, 10, or 45) option.

  3. Click on the desired axis buttons to rotate the drawing.

  4. Select the Apply button to apply the changes to the CAD image in the graphical display area.

Clicking the Reset button will change the drawing in the dialog box back to the previous view. The Apply button must be clicked again to make these changes to the CAD image of the part.


Rotate 3D by Dragging

Part rotation can also be accomplished by dragging the mouse. To do this:

  1. Click and hold the right mouse button.

  2. Drag the mouse.

There are two modes of drag rotation depending on where the mouse is when you first click the right mouse button. Either the mouse is over the Graphics Display window background or it is over the part.

  • If the mouse is over the Graphics Display background, the part will be rotated about the approximate center of the part.

  • If the mouse is over the part, the part will be rotated about the point on the part directly below the mouse pointer.

Note: A quick way to 3D rotate, regardless of the mode you are in, is to hold down the CTRL key, right-click and then drag the part.


Rotate 3D to an Element (Square up the Drawing)

To "square-up" the part to the screen, click on a feature with the right mouse button. (Do not hold down the button.) PC-DMIS will rotate the drawing so the selected feature will be parallel to the closest screen axis (vertical, horizontal or perpendicular to the screen).


Utilities - Toolbars - Manual / DCC Mode

Manual / DCC Mode

The Manual Mode icon and the DCC Mode icon allow you to switch between Manual and DCC control. Manual mode is used on a manual CMM, or during the manual alignment portion of a program that will be run on an automatic CMM. This option remains active while changing parameters and allows you to change a feature (or features) from manual to DCC or vice versa.

To change modes:

  1. Position the mouse pointer (arrow icon) over the desired icon.

  2. Click the left mouse button.


Settings Toolbar

Settings Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The Settings toolbar contains a variety of lists that provide an easy way for you to switch between these settings:

  • Saved views

  • Predefined alignments

  • Predefined probe tips

  • Available work planes

  • Active part programs

  • Active CMM interfaces

To change a display:

  1. Open the desired drop-down list.

  2. Select a previously defined ID or feature.

More:

Views List

Alignments List

Probe Tips List

Working Plane List

Active Part Program List

Active CMM Interface List


Views List

The Views list stores views that were created and saved with the active part program.

See View Setup and Save View for additional information on how to create and save views.

To use a saved view:

  1. Place the mouse pointer over the down arrow on the Views list.

  2. Click the left mouse button.

  3. Move the mouse pointer to the ID that is desired.

  4. Click the left mouse button.

While PC-DMIS is recalling a view, all other functions are temporarily inaccessible.

Command line in the Edit window:
RECALL/VIEWSET, view_set_name

View_set_name = the name of the view set to recall.


Alignments List

The Alignments list stores previously saved alignments. These alignments can then be inserted into the Edit window when selected.

See "Alignment" and "Save Alignment" for additional information on how to create and save alignments.

To change the alignment:

  1. Place the mouse arrow over the down arrow of the Alignments list.

  2. Click the left mouse button. A drop-down list will appear allowing you to select a new alignment.


Probe Tips List

The Probe Tips list stores previously defined probe tip angles. See "Add Angles" for information on how to create tip angles.

To change a tip number:

  1. Scroll through the available tips by clicking on down arrow of the Probe Tips list.

  2. Select the desired tip using the left mouse button.


Working Plane List

The Working Plane drop-down list allows you to change the plane in which you are working.

Note: This will not change the view in the Graphics Display window, only the working plane.

The available working planes are:

A=TOP | Light gray | ZPLUS
B=RIGHT | Medium gray | XPLUS
C=BACK | Vertical lines | YPLUS
D=BOTTOM | Horizontal lines | ZMINUS
E=LEFT | Red | XMINUS
F=FRONT | Clear | YMINUS

For example, to change the current working plane to the back of the part image:

  1. Position the mouse pointer over the down arrow of the Working Plane list.

  2. Select YPLUS from the drop down list to get the new working plane.


Active Part Program List

The Active Part Program list stores all open part programs. You can immediately switch between these open part programs by selecting them from this list. Once selected, the part program's associated Edit window will also open.


Active CMM Interface List

The Active CMM Interface list allows you to select any active CMM's available in on-line mode. You can also select OFFLINE as your interface.


Feature Buttons Toolbar

With the Feature Buttons toolbar easily open or close the feature toolbar that corresponds to the selected icon. These include:

Icon | Description
 | Dimension toolbar
 | Construction toolbar
 | Sheetmetal toolbar
 | Measured toolbar


Dimension Toolbar

With the Dimension toolbar use icons to quickly access the options available from the Dimension menu.

Icon | Description
 | Location
 | True Position
 | Distance
 | Angle Between
 | Concentricity
 | Coaxiality
 | Roundness
 | Straightness
 | Flatness
 | Perpendicularity
 | Parallelism
 | Runout
 | Profile
 | Angularity
 | Keyin


Construction Toolbar

With the Construction toolbar use icons to quickly access the feature construction options available from the Construct menu.

Icon | Description
 | Point
 | Sphere
 | Line
 | Circle
 | Cone
 | Cylinder
 | Plane
 | Slot
 | Curve
 | Surface
 | Feature Set
 | Gauss Filter
 | Readpoint


Sheetmetal Toolbar

With the Sheetmetal toolbar you can easily access the same sheet metal features available on the various tabs of the Auto Features dialog box, or you can have PC-DMIS guess the feature type based in the hits taken.

When you click on a sheetmetal feature icon, the tab for that feature opens with the Auto Features dialog box.

With the Guess icon, you can speed up generation of the part program. You'll notice that no dialog box appears; instead, while this icon is selected, PC-DMIS guesses the feature type based on hits taken. For the Guess operation to work:

  • You must have CAD surface data.

  • You must select the Surface Mode icon.

Note: CAD wireframe data can be very useful, speeding up feature generation. For example, if you are only using surface data, PC-DMIS requires three hits to recognize a circle. However, if you're using wireframe data, PC-DMIS only requires one hit.

To create the sheetmetal feature, press the END key or the Create button on the Auto Feature dialog box. Before creating your feature, you can remove hits from the hit buffer by pressing the '-' or ALT + '-' keys.

The following defines the number of hits to take and where to take them for PC-DMIS to recognize the given feature type:

Icon | Feature Type | Number of Hits | Hit Location
 | Vector Point | One |
 | Surface Point | Two |
 | Edge Point | Wire & Surface: One | One hit near the edge.
 |  | Surface Only: Two | One hit on the top surface. One hit on the edge surface approximately 90 degrees from the top.
 | Angle Point | Two | One hit on one surface and one hit on the other surface, which are not 90 degrees apart.
 | Corner Point | Three | Once on each of the three surfaces.
 | High Point | One |
 | Circle | Wire & Surface: One | One hit on the top surface near the edge of the circle or arc.
 |  | Surface Only: Three | Three hits on the top surface near the edge of the circle or arc.
 | Cylinder | Wire & Surface: Two | One hit on the top surface near the edge of circle or arc and one hit on the side of the cylinder.
 |  | Surface Only: Four | Three hits on the top surface near edge of circle or arc and one hit on the side of the cylinder.
 | Sphere | Five | Five hits on the sphere surface.
 | Square Slot | Four | Four hits on the top surface near the edge of the slot.
 | Round Slot | Wire & Surface: Two | One hit on the top surface near the edge of arc and one hit near the opposite arc.
 |  | Surface Only: Six | Three hits on the top surface near edge of arc and three hits near the opposite arc.
 | Ellipse | Five | Five hits around the ellipse.
 | Notch | Five | Two hits on the side opposite the opening of the notch. One hit on one parallel side of the notch. One hit on the other side. One hit on the open edge.
 | Guess | Variable |

Tip : Right-click on the Sheetmetal toolbar to access a shortcut menu which allows you to hide the Auto Features dialog box and still create the selected sheet metal feature. See "Sheetmetal Toolbar Shortcut Menu" in the "User Interface" section for additional information.


Measured Toolbar

With the Measured toolbar you can have PC-DMIS automatically guess and display the feature type for which you are taking hits; or you can force PC-DMIS to accept a given feature type.

More:

Automatically Guessing a Feature Type

Forcing a Given Feature Type


Automatically Guessing a Feature Type

If you select the Guess Mode icon, PC-DMIS will display an icon depicting what the feature type would be after each hit that you take. This allows you to visually preview the feature type before it's actually created.

For example, when measuring a cylinder, you will take two sets of four hits, at two different levels along the height of the pin. When you take four hits at one level PC-DMIS displays a Circle icon on the Graphics Display window as the feature type. After taking the second level of hits, PC-DMIS displays a Cylinder icon.


Forcing a Given Feature Type

The feature type icons on this toolbar allow you to force PC-DMIS to accept the selected feature type.

Icon | Description
 | Forces PC-DMIS to accept the Point feature type
 | Forces PC-DMIS to accept the Line feature type
 | Forces PC-DMIS to accept the Plane feature type
 | Forces PC-DMIS to accept the Circle feature type
 | Forces PC-DMIS to accept the Cylinder feature type
 | Forces PC-DMIS to accept the Cone feature type
 | Forces PC-DMIS to accept the Sphere feature type

If you take hits while in Guess Mode (using the Guess Mode icon) and PC-DMIS displays the wrong feature type, click the correct feature icon to force PC-DMIS to accept that feature. The feature will not be added to the part program until it's created by pressing the END key You can remove hits by pressing the '-' or ALT + '-' keys.

For example, if you select the Circle icon, PC-DMIS forces PC-DMIS to accept the circle feature type as long as you take the minimum number of hits.


Script Toolbar

With the Script toolbar you can select custom scripts and/or macros that have been tied to the Script toolbar. See Customize Script Toolbar for information on customizing the Script toolbar.


Macro Play/Record Toolbar

The Macro Play/Record toolbar allows you to record, play, and stop macros with the click of an icon. You can easily record and play custom created macros to perform routine, repetitive tasks.

In PC-DMIS, a macro is simply a recording of keystrokes and mouse movements that can be played back to automate a task.

More:

To Record a Macro:

To Play a Pre-Recorded Macro:


To Record a Macro:

  1. Select the Record icon. PC-DMIS will display a Record to Macro File dialog box.

  2. Create a file name in the File Name box using the *.mac extension.

  3. Click the Open button. The Record To Macro File dialog box will close and the Record icon will begin to flash. This indicates that PC-DMIS is recording keyboard and/or mouse inputs.

  4. Create the desired macro by recording key strokes and/or mouse inputs.

  5. Click the Stop icon [image] when finished.


To Play a Pre-Recorded Macro:

  1. Select the Play icon [image]. PC-DMIS will display the Play Macro File dialog box.

  2. Navigate to the folder that contains the Macro File.

  3. Select the desired macro.

  4. Click the Open button.

The Play icon will begin to flash indicating that PC-DMIS is playing the requested macro. You will see PC-DMIS using mouse and keyboard options to run the selected macro.


Add-Ins Toolbar

PC-DMIS now gives you the ability to create your own custom add-ins and applications that can be launched directly from within the PC-DMIS environment.

The first three icons on this toolbar are initially bound to three sample wizards installed with PC-DMIS (see Wizards below). These can be associated with any executable file. In order to return the toolbar to its original default setting, click the Reset button.

More:

To Link an External Application to the Add-Ins toolbar:

To Remove an Icon from the Add-Ins toolbar:

Wizards


To Link an External Application to the Add-Ins toolbar:

With the Add-Ins toolbar you can to bind (or link) external applications to toolbar icons inside of PC-DMIS. To do this:

  1. Open the Add-Ins dialog box by choosing the Utilities | Toolbars | Customize menu option, or by moving your cursor into the toolbar area of PC-DMIS, clicking with the right mouse button, and selecting Customize from the shortcut menu.

    Custom Add-ins dialog box

  2. Select one of the Add-Ins from the list on the left and click the Add > button. This will make the icon visible on the toolbar.

  3. In the ToolTip box, type the text that you want to display when the mouse passes over this icon.

  4. In the Executable Path edit box, type the path of the executable file that you want to bind to this icon. If you do not type the complete path to the executable, the operating system searches for the file using the path specified by the Path variable in the Environment tab of your computer's System Properties dialog box. (Select Start | Settings | Control Panel | System | Environement tab to view the Path variable).

  5. Click OK button.


To Remove an Icon from the Add-Ins toolbar:

  1. Open the Add-Ins dialog box as described in step 1 of the procedure above.

  2. Select the button that you want to remove from the list on the right.

  3. Click the < Remove button.

  4. Click the OK button.

Note: When an icon is removed from the toolbar it does not remove the ToolTip and file path associated with the icon. You must do this manually.


Wizards

There are three wizards that are installed with this version of PC-DMIS. These wizards serve two purposes:

  1. To increase the usability for new users who are still learning how to use the application.

  2. To demonstrate the flexibility and customizability of PC-DMIS.

The three wizards are:

Icon | Description
 | 3-2-1 Alignment Wizard – This wizard walks you through two basic types of alignments: a 3-2-1 alignment and a two circle alignment
 | Probe Wizard – This wizard demonstrates how to define a probe and allows you to calibrate the newly defined probe
 | Iterative Alignment Wizard – This wizard walks you through the steps to create an iterative alignment and explains the rules behind the inputs to the alignment

Invoking the Wizards:

To invoke these wizards, go to the Add-Ins toolbar and click the appropriate icon or click one of the following buttons (PC-DMIS must be running):

3-2-1 Alignment Wizard

Probe Wizard
Iterative Alignment Since you cannot customize the icons on the toolbar, you will need to rely on the ToolTips associated with each button if you forget which wizard is associated with an icon. Simply hover your mouse cursor over the icon on the Add-Ins toolbar to view the ToolTip.

Wizard Source Code Available

These wizards were developed using Microsoft Visual Basic© and the automation capabilities of PC-DMIS. The source code and project files used to create them are included in the Wizards subdirectory of the directory containing your PC-DMIS installation. Should you desire to extend the capability of PC-DMIS or create your own custom application that interfaces with PC-DMIS, you may use the source code provided as a guide to assist you. You can also enhance the wizards to perform other functions not included with the original application.


Active Arms Toolbar

The Active Arms toolbar contains two toggle buttons depicting probes will be available. The Master Active Arm icon (toolbar button with the number 1) corresponds to the Master mode. The Slave Active Arm icon (toolbar button with the number 2) indicates Slave mode. Only one mode can be active at a time. The button that appears pressed is considered active. Pressing the shortcut keys CTRL + T will allow you to toggle between the two modes.

See "Master / Slave Mode".

See "Master / Slave Setup".

See "Calibrate Master / Slave Mode".

Currently, the Active Arms toolbar will only be available for selection if the Master / Slave Mode add-on package has been purchased for your system.

You can also display this toolbar by selecting the Options | Enter Master / Slave Mode menu option.


Readout Modes Toolbar

The Readout Modes toolbar is only available with LK systems. This toolbar will allow you to indicate if you are in hits mode or readout mode.


Guess Mode Toolbar

When a hard probe is loaded, PC-DMIS will no longer trigger the probe automatically when it comes in contact with the part. The Guess Mode icon allows you to toggle between the Round feature type and the Flat feature type options when using a fixed probe.

To change modes:

  1. Position the mouse pointer over the desired icon.

  2. Click the left mouse button.

The Guess Mode icon is only active when a hard probe is loaded and defined.


Active Rotary Table Toolbar

The Active Rotary Table toolbar allows you to select which of the two rotary tables is the active table. Selection for this toolbar remains unavailable until you set up the rotary tables using the Options | Rotary Table Setup menu option. See "Rotary Table Setup" in the "System Options" section for more information.


Construction Options: Introduction

The Construct menu is used when probing on a required element is not possible (for example, the intersection point of two edges). Construct allows you to create features (points, lines, circles, etc.) from existing features (ones already probed or constructed). The "User Interface" section describes the several ways to specify the input feature(s). See the "Graphics Display window" for a description of the several ways to specify the input feature(s).

Features can be constructed by selecting features in the dialog boxes or the Edit window. The specific rules for constructing a feature from other features are found in the appropriate sections, and apply to both methods of construction. The default method for constructing a feature is Auto. In this case, PC-DMIS automatically determines the best construction type based on the input feature(s). The order of selection is usually not important. It is only necessary that the correct feature type(s) be chosen. For example, to construct an intersect point between a line and a slot, simply select the necessary line and slot. PC-DMIS will create a point where the line intersects the slot.

Example of the command line showing a constructed point in the Edit window:
CONSTR/POINT, INTOF, line_id, slot_id
or, CONSTR/POINT, INTOF, slot_id, line_id.

The main topics discussed in this section include:

  • General Command Format

  • Point Construction

  • Circle Construction

  • Sphere Construction

  • Line Construction

  • Cone Construction

  • Cylinder Construction

  • Plane Construction

  • Slot Construction

  • Curve Construction

  • Surface Construction

  • Feature Set Construction

  • Read Point Construction

  • Gaussian Filter Set Construction

  • Override

More:

To construct a feature from the Edit window

To construct a feature using the construction dialog boxes:


To construct a feature from the Edit window

Press ALT + F then W or:

  1. Select File from the menu.

  2. Select Edit Window.

  3. Place the cursor where you want to construct the feature in the Edit window.

  4. Type the command CONSTR/... followed by the appropriate text. (See the example of the command line for a constructed point shown above.)


To construct a feature using the construction dialog boxes:

  1. Select Construct on the menu bar (or press ALT + C).

  2. Select the type of feature to be constructed. Available options are:
    • Point

    • Circle

    • Sphere

    • Line

    • Cone

    • Cylinder

    • Plane

    • Slot

    • Curve

    • Surface

    • Feature Set

    • Gauss Filter

Note: Once the selection of the input features is completed within the dialog box, select the Create button. PC-DMIS will construct the feature and display it on the screen. PC-DMIS will also display the feature's center point in the Edit window. PC-DMIS will construct the requested feature, leaving the dialog box open. PC-DMIS will then add that feature into the dialog. This allows you to construct multiple features based on newly constructed features.


Construction Options - General Command Format

General Command Format

In the Edit window all constructed features are displayed in the following format. There will be slight variations that are explained more thoroughly in the following sections.

For example:

Feature_name=FEAT/TYPE OF FEATURE,TOG1,.....
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,......
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,......
CONSTR/TOG2,TOG3,......

See "Conventions" for field rules.

feature_name: name of feature. This is a user editable field.

TYPE OF FEATURE: This field denotes the feature type. This feature type is the same as TOG2 but is non-editable and is not a toggle field.

...... : This indicates that what follows is unique to each feature. This is explained more thoroughly in the necessary areas of the help file.

TOG1: This field is present in all features and can be switched between RECT / POLR. If this feature is RECT, all points are represented in Cartesian system (x, y, z). If field is POLR, all points are displayed in polar system (x_radius, y_angle, z_height). Vectors do not change.

TOG2: This field is present in all features and can be switched between the different types of features taking the following values:

CIRCLE / CONE / CYLINDER / LINE / PLANE / POINT / SPHERE / CURVE / SURFACE / SET / ELLIPSE

POINT is the default feature type when the construct command line is opened for the first time in a part program. The default feature type then becomes the last constructed feature type.

TOG3: This field is also present in all features, but takes unique values according to the type of feature. (See specific feature type for additional information.)

More:

Accessing the Dialog Box

Conventions


Construction Options - General Command Format - Accessing the Dialog Box

Accessing the Dialog Box

To access the corresponding construction dialog box from which an Edit window's feature was created:

  1. Make sure the Edit window is open.

  2. In the Edit window, click the mouse on the feature's name.

  3. Press F9. A construction dialog box will appear.

Using this dialog box you can make any desired changes, and when you click the Create button the updated changes will be made to the Edit window.


Construction Options - General Command Format - Conventions

Conventions

Please note the following information regarding decimal place conventions for constructed features:

  • All vectors (i_vect, j_vect, k_vect) are represented by a maximum of 5 places to the right of the decimal.

  • All lengths and distances (x_cord, y_cord, z_cord, diam, height, length, etc.) are represented by a maximum of 5 places to the right of the decimal.

  • All angles are represented by a maximum of 5 places to the right of the decimal.

  • If the decimal place is zero, then the number is represented as an integer.

Note: Decimal places can be changed through the Dimension tab (F5) on the Setup dialog box. Setting the decimal place limit inserts a DISPLAYPRECISION command in the Edit window. All features following this command conform to the number of decimal places specified.


Point Construction

point Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Construct Point Mode dialog box

There are a number of ways to construct a point using PC-DMIS. The following table lists the various types of constructed points, along with their necessary inputs. Some features may require no inputs while others may require three inputs or more. In the table, the term 'Any' indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | FEAT #3: | COMMENTS
Cast Point | CAST | 1 | Any | - | - | Constructs point at centroid of input feature
Corner Point | CORNER | 3 | Plane | Plane | Plane | Constructs point at the intersection of 3 planes
Drop Point | DROP | 2 | Any | Cone, Cylinder, Line, Slot | - | First feature is dropped onto the second line feature
Intersect Point | INTOF | 2 | Circle, Cone, Cylinder, Line, Slot | Circle, Cone, Cylinder, Line, Slot | - | Constructs point at the intersection of the linear attribute of 2 features
Mid Point | MID | 2 | Any | Any | - | Constructs Mid Point between centroids of the inputs
Offset Point | OFFSET | 1 | Any | - | - | Requires 3 offsets corresponding to X,Y, & Z
Origin Point | ORIGIN | 0 | - | - | - | Constructs point at alignment origin
Pierce Point | PIERCE | 2 | Cone, Cylinder, Line, Slot, | Cone, Cylinder, Plane, Sphere | - | Constructs point where feat_1 pierces surface of feat_2. Order of selection is import.
Project Point | PROJ | 1 or 2 | Any | Plane | - | 1 input feature will project point to work plane

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the Status Bar.

To construct a point:

  1. Select Construct from the menu bar.

  2. Select Point. The Construct Point Mode dialog box will appear.

  3. Input the desired features.

  4. Select the method of construction. Available options include:
  • Cast Point

  • Corner Point

  • Drop Point

  • Intersect Point

  • Mid Point

  • Offset Point

  • Origin Point

  • Pierce Point

  • Project Point
  5. Click either the Create button.

The Edit window command line for a sample point construction would read:
feature_name=FEAT/POINT,TOG1
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
CONSTR/TOG2,TOG3,......\

Note: The actual Edit report will be displayed in all CAPS.

TOG1= POLR or RECT

TOG2 = POINT

TOG3 = CAST / CORNER / DROP / INTOF / MID / OFFSET / ORIG / PIERCE / PROJ

The first three lines displayed in the Edit window will be the same for all constructed points. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of points by placing the cursor on TOG3 and clicking the left mouse button. The keyboard can also be used to cycle through options for fields with more than one option. (See "Keyboard Functions" .)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

The following paragraphs describe the available options for constructing a point.

More:

Constructing a Cast Point

Constructing a Corner Point

Constructing a Drop Point

Constructing an Intersect Point

Constructing a Mid Point

Constructing an Offset Point

Constructing a Point at the Origin

Constructing a Pierce Point

Constructing a Projected Point

Auto Point Construction


Constructing a Cast Point

A point can be constructed by changing any given feature into the point. PC-DMIS will construct the point at the centroid of the input feature.

To construct a Cast Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Cast option from the list of options.

  3. Select any feature.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/POINT,CAST,feat_1

Constructing a Cast Point from a Circle


Constructing a Corner Point

A point can be constructed from three planes. PC-DMIS creates a point at their intersection.

To construct a Corner Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Corner Point option from the list of options.

  3. Select three different planes.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/POINT,CORNER,feat_1,feat_2,feat_3

Constructing a Corner Point from three Planes


Constructing a Drop Point

A point can be constructed from any feature and a line (cone, cylinder or slot). PC-DMIS will drop the centroid of the first feature onto the second feature. The "dropped" point will be dropped on a line that is perpendicular to the line, centerline, or plane. If two line features are selected, PC-DMIS will drop the centroid of the first line feature onto the second line feature.

To construct a Drop Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Drop Point option from the list of options.

  3. Select the first feature. It may be of any type.

  4. Select the second feature. It must be of cone, cylinder, line, or slot.

  5. Click the Create button.

The Edit window command line for this option would read:
CONSTR/POINT,DROP,feat_1,feat_2

Constructing a Drop Point from a Circle and a Line


Constructing an Intersect Point

A point can be constructed between a line (circle, cone, cylinder, or slot) and a line, (circle, cone, cylinder, or slot). The point is created where the lines (centerlines) of the two features intersect.

To Construct an Intersect Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Intersect option from the list of options.

  3. Select two features of this type (circle, cone, cylinder, line, slot).

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/POINT,INTOF,feat_1,feat_2

Constructing an Intersect Point from Two Lines

If the two features do not intersect, the point is constructed midway between the two features at the apparent intersection. In other words, the intersect point is the mid-point of the shortest line connecting the two input features.

Constructing an Intersect Point from Two Lines That Do Not Intersect


Constructing a Mid Point

A point can be constructed from any two features without direction. PC-DMIS creates a mid-point between the centroids of the two input features.

To construct a Mid Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Mid Point option from the list of options.

  3. Select any two features.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/POINT,MID,feat_1,feat_2

Constructing a Mid-Point from Two Circles


Constructing an Offset Point

A point can be constructed a specified distance from any input feature.

To construct an Offset Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Offset Point option from the list of options.

  3. Select a feature from which to create the offset point.

  4. Click the Create button.

To create an offset point from the origin, select the At Origin option. To create an offset point relative to a particular feature, select the desired feature and key in the X, Y and Z OFFSET.

More:

XYZ Offset


XYZ Offset

These fields allow you to enter in offset distances for the X, Y, and Z, axes. These options are only available if the Offset option is selected first.

The Edit window command line for this option would read:
CONSTR/POINT,OFFSET,feat_1,dx,dy,dz


Constructing a Point at the Origin

A point can be constructed at the current alignment origin.

To construct an Origin Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the At Origin option.

  3. Do not select any input features.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/POINT,ORIG

Constructing a Point at the Origin


Constructing a Pierce Point

A point can be constructed using a line (cone, slot, or cylinder) and a plane (cone cylinder, or sphere). PC-DMIS will create a point where feat_1 pierces the surface of feat_2.

Note: This is the only construction method in which feature types must be selected in the correct order.

  • If the pierced feature is a circle, PC-DMIS creates a cylindrical circumference about the circle centerline, and constructs the pierce point. If two similar features (two cylinders for example) are provided, PC-DMIS will pierce the second feature with the first feature.

  • If a line (centerline) and a sphere (circle or cylinder) are selected, the pierce point is constructed where the piercing input feature first intersects the surface of the pierced element. The first intersection point is determined by the direction of the line. It is important to know the direction in which the line was defined. If the wrong point is constructed, create a new, flipped line (see Changing the Direction of a Line), and use it to construct the point.

To construct a Pierce Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Pierce option from the list of options.

  3. Select the first feature. It must be either a cone, cylinder, line, or slot.

  4. Select the second feature. It must be either a cone, cylinder, plane, or sphere.

  5. Click the Create button.

The Edit window command line for this option would read: CONSTR/POINT,PIERCE,feat_1,feat_2

Constructing a Pierce Point from a Line and a Sphere


Constructing a Projected Point

A point can be constructed from any feature and a plane. PC-DMIS will project the point where the plane intersects the point. If there is only one input feature, the projection will be to the work plane.

To construct a Projected Point:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Projection option from the list of options.

  3. Select a feature from which to create the project point.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/POINT,PROJ,feat_1,(feat_2)

Constructing a Projected Point from a Point and a Plane


Auto Point Construction

The following table indicates the type of point that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Point from the menu bar. The Construct Point Mode dialog box will appear.

  2. Select the Auto option from the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.
Input Feature(s) | Constructs
Any 1 Feature = | Cast Point
Circle + Circle = | Mid Point
Circle + Cone = | Drop Point
Circle + Cylinder = | Drop Point
Circle + Line = | Drop Point
Circle + Plane = | Project Point
Circle + Set = | Mid Point
Circle + Slot = | Mid Point
Circle + Sphere = | Mid Point
Cone + Cone = | Intersect Point
Cone + Cylinder = | Intersect Point
Cone + Plane = | Pierce Point
Cone + Set = | Drop Point
Cone + Slot = | Intersect Point
Cylinder + Plane = | Pierce Point
Cylinder + Set = | Drop Point
Cylinder + Slot = | Intersect Point
Line + Cone = | Intersect Point
Line + Cylinder = | Intersect Point
Line + Line = | Intersect Point
Line + Plane = | Pierce Point
Line + Set = | Drop Point
Line + Slot = | Intersect Point
Line + Sphere = | Drop Point
Plane + Plane = | Project Point
Plane + Set = | Project Point
3 Points = | Corner Point
Point + Circle = | Mid Point
Point + Cone = | Drop Point
Point + Cylinder = | Drop Point
Point + Line = | Drop Point
Point + Plane = | Project Point
Point + Point = | Mid Point
Point + Set = | Mid Point
Point + Slot = | Mid Point
Point + Sphere = | Mid Point
Set + Set = | Mid Point
Slot + Plane = | Project Point
Slot + Set = | Mid Point
Slot + Slot = | Intersect Point
Sphere + Cone = | Drop Point
Sphere + Cylinder = | Drop Point
Sphere + Plane = | Project Point
Sphere + Set = | Mid Point
Sphere + Slot = | Mid Point
Sphere + Sphere = | Mid Point


Circle Construction

Circle Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Construct Circle Mode dialog box

There are several ways to construct a circle using PC-DMIS. The following table lists the various types of constructed circles, along with their necessary inputs. Some features may require no inputs while others may require three inputs or more. The term 'Any' in the following table indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | COMMENTS
Best fit Circle | BF | At least 3 inputs are needed. | - | - | Constructs best fit circle using given inputs
Best fit with Recompensate Circle | BFRE | At least 3 inputs are needed. (1 must be a point) | - | - | Constructs best fit circle using given inputs
Cast Circle | CAST | 1 | Any | - | Constructs circle at centroid of input feature
Cone Circle | CONE | 1 | Cone | - | Constructs circle at the specified diameter or height of the cone
Intersect Circle | INTOF | 2 | Circle, Cone, Cylinder, Sphere | Plane, Cone, Cylinder | Constructs circle at the intersection of a circular feat with a plane, cone, or cylinder
Project Circle | PROJ | 1 or 2 | Any | Plane | 1 input feature will project circle to work plane
Reverse Circle | REV | 1 | Circle | - | Constructs circle with a reversed vector

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a circle:

  1. Select Construct from the menu bar.

  2. Select the Circle option. The Construct Circle Mode dialog box will appear.

  3. Input the desired features.

  4. Select the In or Out option.

  5. Select the method of construction. Available options include:
  • Best Fit or Best Fit Recompensate Circle

  • Cast Circle

  • Circle from a Cone

  • Intersect Circle

  • Projected Circle

  • Reverse direction Circle

  • Auto Circle
  6. Click the Create button.

The Edit window command line for a sample Circle Construction would read:
feature_name=FEAT/CIRCLE,TOG1,TOG4,TOG5
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
CONSTR/TOG2,TOG3

Note: The actual Edit report will be displayed in all CAPS.

TOG1= POLR or RECT

TOG2 = CIRCLE

TOG3 = BF / BFRE / CAST / CONE / INTOF / PROJ / REV

TOG4 = IN / OUT

TOG5 = LEAST_SQR / MAX_INSC / MIN_CIRCSC / MIN_SEP / FIXED_RAD (only for measured, BF and BFRE circles)

The first three lines displayed in the Edit window will be the same for constructed circles. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of circles by placing the cursor on TOG3 and clicking the left mouse button. The keyboard can also be used to switch toggle fields. (See "Keyboard Functions".)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

The following paragraphs describe the available options for constructing a circle:

More:

In / Out Circle

Constructing a Best Fit or Best Fit Recompensate Circle

Constructing a Cast Circle

Constructing a Circle from a Cone

Constructing an Intersect Circle

Constructing a Projected Circle

Changing the Direction of a Circle

Auto Circle Construction


In / Out Circle

The In and Out options tell PC-DMIS whether to construct the circle as an internal or an external circle.

  • If you select In, PC-DMIS constructs the circle as an internal circle.

  • If you select Out, PC-DMIS constructs the circle as an external circle, or pin.


Constructing a Best Fit or Best Fit Recompensate Circle

A "best fit" circle can be constructed from three or more features. The circle's centerline is parallel to the current working plane. The best fit construction method takes the actual measured points, rather than the ball's center (as is the case of best fit recompensate).

To construct a Best Fit Circle or a Best Fit Recompensate Circle:

  1. Select Construct | Circle from the menu bar.

  2. Select either the Best Fit or Best Fit Recompensate option (shown as Best Fit and BF Recomp).

  3. Select at least 3 features.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/CIRCLE,BF,feat_1,feat_2,feat_3...
(Uses the actual measured points for construction.)
or
CONSTR/CIRCLE,BFRE,feat_1,feat_2,feat_3...
(Uses the center of probe for measurement.)


Constructing a Cast Circle

A circle can be constructed by changing any given feature into a circle. PC-DMIS will construct the circle at the centroid of the input feature. If a sheet metal point is used, the diameter will be the probe diameter. For some sheet metal features (such as slots and notches) the width will be used as the diameter. For features that do not have diameters (lines, points, etc.), a value that is four times the probe diameter will be used.

The diameter of the circle can be changed. PC-DMIS will use this diameter value for all calculations instead of using the default diameter value as described above.

To construct a Cast Circle:

  1. Select Construct | Circle from the menu bar.

  2. Select the Cast option.

  3. Select at least one features of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CIRCLE,CAST,feat_1


Constructing a Circle from a Cone

A circle can be constructed from a cone at a specified diameter of the cone, or it can be constructed at a given height from the current alignment plane.

To construct a Cone Circle:

  1. Select Construct | Circle from the menu bar.

  2. Select the Cone option.

  3. Select one feature. The type must be a cone.

  4. Select either DIAMETER or HEIGHT from the Type drop-down list.

  5. Type a value for the diameter or height into the Value box.

  6. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CIRCLE,CONE,DIAMETER,feat_1

Or

CONSTR/CIRCLE,CONE,HEIGHT,value,feat_1


Constructing an Intersect Circle

A circle can be constructed between a cone (circle, cylinder, sphere) and a plane. It can also be created between two concentric cones or a concentric cone/cylinder combination.

PC-DMIS creates a circle at the intersection of the circular feature and the plane or between the cone/cone or cone/cylinder combinations.

  • In the case of a circular feature and a plane intersection, PC-DMIS always makes a true circle (not an ellipse) even if the circular feature is not exactly perpendicular to the plane. The center point of the new circle is at the pierce point of the circular feature's centerline and the plane. The vector of the circle is the vector of the piercing circular feature.

  • In the case of a cone/cone or cone/cylinder combination, a true circle is created even if the intersecting features do not form a true circle.

To construct an Intersect Circle:

  1. Select Construct | Circle from the menu bar.

  2. Select the Intersect option.

  3. Select the first feature. It must be either a circle, cone, cylinder, or sphere.

  4. Select the second feature. It must be a plane.

  5. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CIRCLE,INTOF,feat_1,feat_2

Constructing a Circle from a Cone and a Plane


Constructing a Projected Circle

A circle can be constructed from any feature and a plane. PC-DMIS will project the centroid of the given feature onto the plane, creating a circle. If there is only one input feature, the projection will be to the current work plane. The diameter of the projected circle will be the diameter of the projected feature (if it is a circular feature), or the probe's diameter (for non-circular features).

To construct a Projected Circle:

  1. Select Construct | Circle from the menu bar.

  2. Select the Projection option.

  3. Select a feature of any type.

Note: A second feature can also be selected. It must be a plane.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CIRCLE,PROJ,feat_1,(feat_2)

Constructing a Circle from a Circle and a Plane


Changing the Direction of a Circle

A circle can be constructed with a reversed vector.

To change the direction of a circle:

  1. Select Construct | Circle from the menu bar. The Circle Construction dialog box will appear.

  2. Select the Reverse option.

  3. Select one feature. It must be a circle.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CIRCLE,REV,feat_1


Auto Circle Construction

The following table indicates the type of circle that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Circle from the menu bar. The Construct Circle Mode dialog box will appear.

  2. Select the Auto option from the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.
Input Feature(s) | Constructs
Any 1 Set = | Best Fit Circle
Any 1 Circle = | Reverse Circle
Any 1 Cone = (w/ Diameter) | Cone Circle
Any 1 Feature = (except Circle/Cone/Set) | Cast Circle
Cone + Cone = | Intersect Circle
Cone + Cylinder = | Intersect Circle
Cone + Plane = | Intersect Circle
Cone + Sphere = | Intersect Circle
Cylinder + Sphere = | Intersect Circle
Plane + Circle = | Project Circle
Plane + Line = | Project Circle
Plane + Plane = | Project Circle
Plane + Point = | Project Circle
Plane + Set = | Project Circle
Plane + Slot = | Project Circle
Plane + Sphere = | Intersect Circle


Sphere Construction

Sphere Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Construct Sphere Mode dialog box

There are several ways to construct a sphere using PC-DMIS. The following table lists the various types of constructed spheres, along with their necessary inputs. Some features may require no inputs while others may require five inputs or more. The term 'Any' indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | COMMENTS
Best Fit Sphere | BF | At least 5 inputs are needed. | - | - | Constructs best fit sphere using given inputs
Best Fit with Recomp Sphere | BFRE | At least 5 inputs are needed. (1 must be a point) | - | - | Constructs best fit sphere using given inputs
Cast Sphere | CAST | 1 | Any | - | Constructs sphere at centroid of input feature
Project Sphere | PROJ | 1 or 2 | Any | Plane | 1 input feature will project sphere to work plane
Reverse Sphere | REV | 1 | Sphere | - | Constructs sphere with a reversed vector

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a sphere:

  1. Select Construct from the menu bar.

  2. Select Sphere. The Construct Sphere Mode dialog box will appear.

  3. Input the desired features.

  4. Select the method of construction. Available options include:
  • Best Fit or Best Fit Recompensate Sphere

  • Cast Sphere

  • Projected Sphere

  • Reversed direction Sphere

  • Auto Sphere
  5. Click the Create button.

The Edit window command line for a sample Sphere Construction would read:
feature_name=FEAT/SPHERE,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
CONSTR/TOG2,TOG3

Note: The actual Edit report will be displayed in all CAPS.

TOG1= POLR or RECT

TOG2 = SPHERE

TOG3 = BF / BFRE / CAST / PROJ / REV

TOG4 = IN / OUT

The first three lines displayed in the Edit window will be the same for constructed spheres. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of spheres by placing the cursor on TOG3 and clicking the left mouse button. The keyboard can also be used to switch toggle fields. (See "Keyboard Functions".)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

The following paragraphs describe the available options for constructing a sphere.

More:

In / Out Sphere

Constructing a Best Fit or Best Fit Recompensate Sphere

Constructing a Cast Sphere

Constructing a Projected Sphere

Changing the Direction of a Sphere

Auto Sphere Construction


In / Out Sphere

The In and Out options tell PC-DMIS whether to construct the sphere as an internal or an external sphere.

  • If you select In, PC-DMIS constructs the sphere as an internal sphere.

  • If you select Out, PC-DMIS constructs the sphere as an external sphere.


Constructing a Best Fit or Best Fit Recompensate Sphere

A "best fit" sphere can be constructed using five or more features. The best fit construction method takes the actual measured points, rather than the ball's center (as is the case of best fit recompensate).

To construct a Best Fit or a Best Fit Recompensate Sphere:

  1. Select Construct | Sphere from the menu bar. The Construct Sphere Mode dialog box will appear.

  2. Select either the Best Fit or Best Fit Recompensate option (shown as Best Fit and BF Recomp).

  3. Select five or more features.

Note: On Best Fit Recompensate, one of the five features must be a point.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/SPHERE,BF,feat_1,feat_2,feat_3,feat_4,feat_5...
(Uses the actual measured points for construction.)
or
CONSTR/SPHERE,BFRE,feat_1,feat_2,feat_3,feat_4,feat_5...
(Uses the center of the probe for measurement.)

Constructing a Sphere from five or More Points


Constructing a Cast Sphere

A sphere can be constructed by changing any given feature into a sphere. PC-DMIS will construct the circle at the centroid of the input feature. If a sheet metal point is used, the diameter will be the probe diameter. For some sheet metal features (such as slots and notches) the width will be used as the diameter. For features that do not have diameters (lines, points, etc.), a value that is four times the probe diameter will be used.

The diameter of the sphere can be changed by moving to the diameter value in the Edit window and typing in a new value. PC-DMIS will use this diameter value for all calculations instead of using the default diameter value as described above.

To construct a Cast Sphere:

  1. Select Construct | Sphere from the menu bar. The Construct Sphere Mode dialog box will appear.

  2. Select the Cast option.

  3. Select one feature of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/SPHERE,CAST,feat_1


Constructing a Projected Sphere

A sphere can be constructed from any feature into the current working plane. PC-DMIS will project the point where the plane intersects the point. If there is only one input feature, the projection will be to the work plane. You should input the desired diameter when projecting a feature into the working plane, otherwise PC-DMIS will use the probes' diameter.

To construct a Projected Sphere:

  1. Select Construct | Sphere from the menu bar. The Construct Sphere Mode dialog box will appear.

  2. Select the Projection option.

  3. Select either one or two features. The first feature can be of any type. The second feature must be a plane.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/SPHERE,PROJ,feat_1,(feat_2)


Changing the Direction of a Sphere

A sphere can be constructed with a reversed vector.

To construct a Reverse Sphere:

  1. Select Construct | Sphere from the menu bar. The Construct Sphere Mode dialog box will appear.

  2. Select the Reverse option.

  3. Select one feature. It must be a sphere.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/SPHERE,REV,feat_1


Auto Sphere Construction

The following table indicates the type of sphere that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Sphere from the menu bar. The Construct Sphere Mode dialog box will appear.

  2. Select the Auto option from the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.
Input Feature(s) | Constructs
4 or more Features = | Best Fit Sphere
Any 1 Feature = (except Sphere/Set) | Cast Sphere
Any 1 Set = | Best Fit Sphere
Plane + Any Feature = | Project Sphere
Sphere = | Reverse Sphere


Line Construction

line Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Construct Line Mode dialog box

There are many methods to construct a line using PC-DMIS. The following table lists the various types of constructed lines, along with their necessary inputs. Some features may require no inputs while others may require three inputs or more. The term 'Any' in the table below indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | COMMENTS
Alignment Line | ALIGN | 0 | - | - | Constructs line through alignment origin
Best Fit Line | BF | At least 2 inputs are needed. | - | - | Constructs best fit line using inputs
Best Fit with Recomp Line | BFRE | At least 2 inputs are needed. (1 must be a point) | - | - | Constructs best fit line using inputs
Cast Line | CAST | 1 | Any | - | Constructs line at centroid of input feature
Intersect Line | INTOF | 2 | Plane | Plane | Constructs line at the intersection of 2 planes
Mid Line | MID | 2 | Line, Cone, Cylinder, Slot | Line, Cone, Cylinder, Slot | Constructs a mid line between the input features
Offset Line | OFFSET | At least 2 inputs are needed. | Any | Any | Builds line through first feature and offset from second feature by specified amount
Parallel Line | PLTO | 2 | Any | Any | Constructs line parallel to first feature and passing through second feature
Perpendicular Line | PRTO | 2 | Any | Any | Constructs line perpendicular to first feature and passing through second feature
Project Line | PROJ | 1 or 2 | Any | Plane | Using 1 input feature will project line to work plane
Reverse Line | REV | 1 | Line | - | Constructs line passing through input with reversed vector

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the Status Bar.

To construct a line:

  1. Select Construct from the menu bar.

  2. Select Line. The Construct Line Mode dialog box will appear.

  3. Input the desired features.

  4. Select the method of construction. Available options include:
  • Alignment Line

  • Best Fit or Best Fit Recompensate Line

  • Cast Line

  • Intersect Line

  • Mid Line

  • Offset Line

  • Parallel Line

  • Perpendicular Line

  • Projected Line

  • Reversed direction Line

  • Auto Line
  5. Click the Create button.

The Edit window command line for this option would read:
feature_name=FEAT/LINE,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length
CONSTR/TOG2,TOG3,...

Note: The actual Edit report will be displayed in all CAPS.

TOG1 = POLR or RECT

TOG2 = LINE

TOG3 = ALIGN / BF / BFRE / CAST / INTOF / MID / OFFSET / PLTO / PROJ / PRTO / REV

TOG4 = BND / UNBND

Length = This value represents the theoretical or actual length of the line.

The first three lines displayed in the Edit window will be the same for constructed lines. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of lines by placing the cursor on TOG3 and clicking the left mouse button. The keyboard can also be used to switch toggle fields. (See "Keyboard Functions".)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

More:

Variations

Constructing an Alignment Line

Constructing a Best Fit or Best Fit Recompensate Line

Constructing a Cast Line

Constructing an Intersect Line

Constructing a Mid Line

Constructing an Offset Line

Constructing a Parallel Line

Constructing a Perpendicular Line

Constructing a Projected Line

Changing the Direction of a Line

Auto Line Construction


Construction Options - Line Construction - Variations

Variations

The first example shown below is of the Edit window when the user switches TOG4 to BND. The first x, y, z indicates the first point on the line. The second x, y, z indicates the ending point on the same line. The last value represents the theoretical or actual length of the line.

The unbounded line format is displayed in the second example.

feature_name=FEAT/LINE,TOG1,BND
THEO/x_cord,y_cord,z_cord,x_cord,y_cord,z_cord,length
ACTL/x_cord,y_cord,z_cord,x_cord,y_cord,z_cord,length
CONSTR/TOG2,TOG3,...,length

feature_name=FEAT/LINE,TOG1,UNBND
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
CONSTR/TOG2,TOG3,...

The following paragraphs describe the available options for constructing a line:


Constructing an Alignment Line

A line can be constructed through the current origin, normal to the current work plane. (Input features do not need to be provided.)

To Construct an Alignment Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Alignment option.

  3. Do not enter any features.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/LINE,ALIGN,length

Constructing a Line Normal to the Work Plane


Constructing a Best Fit or Best Fit Recompensate Line

A 'best fit' 2 or 3-dimensional line can be constructed from two or more features. Use the MODE option to switch between 2D_LINE and 3D_LINE. The best fit construction method takes the actual measured points, rather than the ball's center (as is the case of best fit recompensate).

To construct a Best Fit or Best Fit Recompensate Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select either the Best Fit or BF Recomp option.

  3. Enter in at least two features.

  4. Select either the 2D line or 3D line option.

Note: For Best Fit Recompensate, one feature must be a point.

  5. Click the Create button.

The Edit window command line for this option would read:
CONSTR/LINE,BF,feat_1,feat_2
(Uses the actual measured points for construction.)
or
CONSTR/LINE,BFRE,feat_1,feat_2
(Uses the center of the probe for measurement, recompensating after measuring the features.)

Constructing a Line from Two or More Features


Constructing a Cast Line

A line can be constructed by changing any given feature into a line. PC-DMIS will construct the line at the centroid of the input feature.

The length of the line can be changed.

To change the length of a line:

  1. Open the Edit window.

  2. Click on the line feature.

  3. Press the TAB key until the length field is selected.

  4. Type in a new length.

  5. Press TAB. PC-DMIS will update the length.

PC-DMIS will use this length value for all calculations instead of using a default length.

To construct a Cast Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Cast option.

  3. Enter in one feature of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/LINE,CAST,feat_1,length

Constructing a Line from a Cylinder


Constructing an Intersect Line

A line can be constructed at the intersection of two planes.

To construct an Intersect Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Intersect option.

  3. Enter in the first feature. It must be a plane.

  4. Enter in the second feature. It must be a plane.

  5. Click the Create button.

The Edit window command line for this option would read: CONSTR/LINE,INTOF,feat_1,feat_2,length

Constructing a Line from Two Planes


Constructing a Mid Line

A mid line can be constructed between a line (cone, slot, or cylinder) and a line (cone, slot or cylinder). PC-DMIS creates a line (mid-line) that is equally spaced from the specified lines. This option can be used for lines that are parallel or lines that are at an angle to one another. The mid-line is constructed at a mid-plane between the two inputs and bisects the smaller included angle between the two inputs.

To construct a Mid-Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Mid option.

  3. Enter in the first feature. It must be either a line, cone, cylinder, or slot.

  4. Enter in the second feature. It must be either a line, cone, cylinder, or slot.

  5. Click the Create button.

The Edit window command line for this option would read:
CONSTR/LINE,MID,feat_1,feat_2,length

Constructing a Mid Line from 2 Lines


Constructing an Offset Line

A line can be constructed a specified distance from the input features.

To construct an Offset Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Offset option.

  3. Select at least two features from which to create the offset line. They can be of any type.

  4. Click the Offsets button. The Line Offsets dialog box will appear.

    Line Offsets dialog box

  5. Type the desired offset value.

  6. Click the OK button. The Line Offsets dialog box will close.

  7. Click the Create button.

PC-DMIS will iterate and construct a line such that the shortest distance from each input feature to the line is the corresponding offset amount. PC-DMIS will make all offsets in a direction perpendicular to the given surface normal direction. PC-DMIS will apply negative offsets in the same general direction that the points are measured. Positive offset values will be applied opposite the probing direction. If there is no probing direction (i.e., the input points were constructed), PC-DMIS uses the current work plane to determine the general direction for applying the offsets. Positive offsets will be applied in the plus direction of the third axis of the current work plane. Negative offsets will be applied in the minus direction of the third axis of the current work plane.

Note: The sign (positive or negative) of the offset value, control on which side of the input features the line is constructed. If you get the opposite line than was expected, cancel the feature and reconstruct it, reversing the sign of the keyed in offsets. For example, if the offsets are 1.0, 2.5, 3.5, change them to -1.0, -2.5, -3.5.

The Edit window command line for this option would read:
CONSTR/LINE,OFFSET
SURFACE NORMAL = i_vec, j_vec, k_vec, TOG1
ID = id1, id2, …
OFFSET = val1, val2, …

Note: TOG1 = changes between MULTI POINT and TWO POINT. The TWO POINT algorithm is only available for parts created using PC-DMIS version 2.1 or earlier.

More:

Changing Offsets

Calculate Noms

Calculate Offsets


Construction Options - Constructing an Offset Line - Changing Offsets

Changing Offsets

To enter new offset values:

  1. Open the Line Offsets dialog box by clicking the Offset button.

  2. In the Offset column, click on the "0.000000" value (or current value) to highlight it.

  3. Click again on the offset.

  4. Type a new value.

  5. Press the ENTER key.

  6. Click OK to save the offset.


Construction Options - Constructing an Offset Line - Calculate Noms

Calculate Noms

The Calculate Noms button calculates the X, Y, and Z nominal values from new offsets entered.

For example, suppose you construct an offset line between two circles (CIR1 and CIR2). After selecting the features and clicking the Offsets button, you have X, Y, and Z nominals of:

X = 4.5040

Y = 3

Z = 0.1582

If you change the offset values by two for each circle and click the Calculate Noms button, the X, Y, and Z are updated to:

X = 4.5040

Y = 5

Z = 0.1582

If you then click OK and construct the offset line, you'll notice that the newly constructed line lies 2 units higher in the Y axis.

Only the Y axis is offset for Line Offsets.


Construction Options - Constructing an Offset Line - Calculate Offsets

Calculate Offsets

The Calculate Offsets button calculates the offset values appearing in the Offset column when you change the nominal value.

For example, suppose you construct an offset line between two circles (CIR1 and CIR2). After selecting the features and clicking the Offsets button, you have X, Y, and Z nominals of:

X = 4.5040

Y = 3

Z = 0.1582

If you change the X, Y, and Z nominals to:

X = 4.5040

Y = 4.5

Z = 0.1582

and click the Calculate Offsets button, the offsets for the two circles are updated to:

1.500000CIR1

1.500000CIR2

If you then click OK and construct the offset line, you'll notice that the line is constructed at 1.5 units higher in the Y axis.


Constructing a Parallel Line

A line can be constructed parallel to any two features. PC-DMIS creates a line parallel to the first input feature and passing through the center of the second input feature.

To construct a Parallel Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Parallel option.

  3. Select two features of any type.

  4. Click the Create button.

  5. The Edit window command line for this option would read:
    CONSTR/LINE,PLTO,feat_1,feat_2,
    length

    Constructing a Parallel Line


Constructing a Perpendicular Line

A line can be constructed between any two features. PC-DMIS creates a line perpendicular to the first input feature and passing through the centroid of the second input feature.

To construct a Perpendicular Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Perpendicular option.

  3. Select two features of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/LINE,PRTO,feat_1,feat_2,length

Constructing a Perpendicular Line


Constructing a Projected Line

A line can be constructed from any feature and a plane. PC-DMIS will project the line where the plane intersects the line. If there is only one input feature, the projection will be to the work plane.

To construct a Projected Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Projection option.

  3. Select either one or two features. The first feature may be of any type. If two features are selected, the second feature must be a plane.

  4. Click the Create button.

Command line in the Edit window:
CONSTR/LINE,PROJ,feat_1,(feat_2),
length

Constructing a Line from a Line and a Plane


Changing the Direction of a Line

A line can be constructed with a reversed vector.

To construct a Reverse Line:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Reverse option.

  3. Select one feature. It must be a line.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/LINE,REV,feat_1,length


Auto Line Construction

The following table indicates the type of line that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Line from the menu bar. The Construct Line Mode dialog box will appear.

  2. Select the Auto option from the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.
Input Feature(s) | Constructs
3 or more Features = | Best Fit Line
Any 1 Feature (except line/set) = | Cast Line
Any 1 Set = | Best Fit Line
Any 2 Features + offset value = | Offset Line
Circle + Circle = | Best Fit Line
Circle + Set = | Best Fit Line
Circle + Slot = | Best Fit Line
Circle + Sphere = | Best Fit Line
Cone + Circle = | Parallel to Line
Cone + Cone = | Mid Line
Cone + Cylinder = | Mid Line
Cone + Point = | Parallel to Line
Cone + Set = | Parallel to Line
Cone + Sphere = | Parallel to Line
Cylinder + Circle = | Parallel to Line
Cylinder + Cylinder = | Mid Line
Cylinder + Point = | Parallel to Line
Cylinder + Set = | Parallel to Line
Cylinder + Sphere = | Parallel to Line
Line = | Reverse Line
Line + Circle = | Parallel to Line
Line + Cone = | Mid Line
Line + Cylinder = | Mid Line
Line + Line = | Mid Line
Line + Point = | Parallel to Line
Line + Set = | Parallel to Line
Line + Slot = | Mid Line
Line + Sphere = | Parallel to Line
Plane + Any Feature (except plane)= | Project Line
Plane + Plane = | Intersect Line
Slot + Cone = | Mid Line
Slot + Cylinder = | Mid Line
Slot + Slot = | Best Fit Line


Cone Construction

Cone Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Construct Cone Mode dialog box

PC-DMIS allows several methods for constructing a cone. The following table lists the various types of constructed cones, along with their necessary inputs. Some features may require no inputs while others may require six inputs or more. The term 'Any' in the table below indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | COMMENTS
Best Fit Cone | BF | At least 6 inputs are needed. | - | - | Constructs best fit cone using given inputs
Best Fit with Recomp Cone | BFRE | At least 6 inputs are needed. (1 must be a point) | - | - | Constructs best fit cone using given inputs
Cast Cone | CAST | 1 | Any | - | Constructs cone at centroid of input feature
Project Cone | PROJ | 1 or 2 | Any | Plane | Using 1 input feature will project cone to work plane
Reverse Cone | REV | 1 | Cone | - | Constructs cone with a reversed vector for the axis

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a cone:

  1. Select Construct from the menu bar.

  2. Select Cone. The Construct Cone Mode dialog box will appear.

  3. Input the desired features.

  4. Select the method of construction. Available options include:
  • Best Fit or Best Fit Recompensate Cone

  • Cast Cone

  • Projected Cone

  • Reversed direction Cone

  • Auto Cone
  5. Click either the Create button.

The Edit window command line for this option would read:
feature_name=FEAT/CONE,TOG1,TOG4,ANG
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,ang
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,ang
CONSTR/TOG2,TOG3,......

feature_name=FEAT/CONE,TOG1,TOG4,LENG
THEO/x_cord,y_cord,z_cor,i_vec,j_vec,k_vec,leng,diam_1,diam_2
ACTL/x_cord,y_cord,z_cor,i_vec,j_vec,k_vec,leng,diam_1,diam_2
CONSTR/TOG2,TOG3,......

Note: The actual Edit report will be displayed in all CAPS.

TOG1= POLR or RECT

TOG2 = CONE

TOG3 = BF / BFRE / CAST / PROJ / REV

TOG4 = IN / OUT

TOG5 = ANG / LENG

The first three lines displayed in the Edit window are similar for constructed cones. If the feature is bound or unbound, the theoretical and actual values that are displayed will vary. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of cones by placing the cursor on TOG and clicking the left mouse button. The keyboard can also be used to switch toggle fields. (See "Keyboard Functions".)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

More:

In / Out Cone

Variations

Constructing a Best Fit or Best Fit Recompensate Cone

Constructing a Cast Cone

Constructing a Projected Cone

Changing the Direction of a Cone

Auto Cone Construction


In / Out Cone

The In and Out options tell PC-DMIS whether to construct the cone as an internal or an external cone.

  • If you select In, PC-DMIS constructs the cone as an internal cone.

  • If you select Out, PC-DMIS constructs the cone as an external cone.


Construction Options - Cone Construction - Variations

Variations

The first example shown below is of the Edit window when the user changes TOG5 to ANG. The unbounded cone format is displayed in this first example. The second example shows the display when you change TOG5 to LENG. Diam_1 is defined as the diameter of the height of the first three hits. Diam_2 is the diameter of the furthest point away from the first diameter. Length is the distance between the two diameters.

The bounded cone format is shown in the second example.
feature_name=FEAT/CONE,TOG1,TOG4,ANG
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,ang
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,ang
CONSTR/TOG2,TOG3,......

feature_name=FEAT/CONE,TOG1,TOG4,LENG
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length,diam_1,diam_2
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length,diam_1,diam_2
CONSTR/TOG2,TOG3,......

The following paragraphs describe the available options for constructing a cone:


Constructing a Best Fit or Best Fit Recompensate Cone

A best fit cone can be constructed using six or more features. The first three inputs must be on an approximately planar cross section of the cone that is normal to its centerline. The remainder of the points should lie either above or below the plane defined by the first three points not on both sides of the plane. This method of measuring will yield the best results. The best fit construction method takes the actual measured points, rather than the ball's center (as in the case of best fit recompensate).

To Construct a Best Fit or Best Fit Recompensate Cone:

  1. Select Construct | Cone from the menu bar. The Cone Construction dialog box will appear.

  2. Select either the Best Fit or BF Recomp option.

  3. Enter in at least six features.

Note: If you choose Best Fit Recompensate at least one feature must be a point.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/CONE,BF,feat_1,feat_2,feat_3,feat_4,feat_5,feat_6
(Uses the actual measured points for construction.)
or
CONSTR/CONE,BFRE,feat_1,feat_2,feat_3,feat_4,feat_5,feat_6
(Uses the center of the probe for measurement.)

Constructing a Cone from 6 or More Points


Constructing a Cast Cone

A cone can be constructed by changing any given feature into a cone. PC-DMIS will construct the cone at the centroid of the input feature. If the input feature is not a cone, PC-DMIS will use a default value for the included angle. If the input feature is not a line element (line, cylinder, or slot), PC-DMIS will use a default length for the axis length.

The size of the cone can be changed. PC-DMIS will use the new attributes for all calculations (for example, if the half angle is changed) instead of the default values as described above.

To construct a Cast Cone:

  1. Select Construct | Cone from the menu bar. The Construct Cone Mode dialog box will appear.

  2. Select either the Cast option.

  3. Select one feature of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CONE,CAST,feat_1


Constructing a Projected Cone

A cone can be constructed by projecting any feature onto a plane. If the projected input feature is not a cone, PC-DMIS will use default values for the included angle and two axis lengths. The first length is the distance between the vertex and the first circle. The second length is the distance between the two circles. If there is only one input, the projection will be to the current work plane.

To construct a Projected Cone:

  1. Select Construct | Cone from the menu bar. The Cone Construction dialog box will appear.

  2. Select the Projection option.

  3. Select either one or two features. If one feature is selected, the feature can be of any type. If two features are selected, the first feature can be of any type. The second feature must be a plane.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CONE,PROJ,feat_1,(feat_2)


Changing the Direction of a Cone

A cone can be constructed with a reversed vector.

To construct a Reverse Cone:

  1. Select Construct | Cone from the menu bar. The Construct Cone Mode dialog box will appear.

  2. Select the Reverse option.

  3. Select one feature. It must be a cone.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CONE,REV,feat_1


Auto Cone Construction

The following table indicates the type of cone that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Cone from the menu bar. The Cone Construction dialog box will appear.

  2. Select the Auto option the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.
Input Feature(s) | Constructs
6 or more Features = | Best Fit Cone
Plane + Any Feature = | Project Cone
Cone = | Reverse Cone
Any 1 Feature = (other than Cone/Set) | Cast Cone
Any 1 Set = | Best Fit Cone


Cylinder Construction

Cylinder Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Cylinder Construction dialog box

PC-DMIS allows several methods for constructing a cylinder. The following table lists the various types of constructed cylinders, along with their necessary inputs. Some features may require no inputs while others may require six inputs or more. In the following table, the term 'Any' indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | COMMENTS
Best Fit Cylinder | BF | At least 6 inputs are needed. See Note below. | - | - | Constructs best fit cylinder using given inputs
Best Fit Recomp Cylinder | BFRE | At least 6 inputs are needed. (1 must be a point) See Note below. | - | - | Constructs best fit cylinder using given inputs
Cast Cylinder | CAST | 1 | Any | - | Constructs cylinder at centroid of input feature
Project Cylinder | PROJ | 1 or 2 | Any | Plane | 1 input feature will project cylinder to work plane
Reverse Cylinder | REV | 1 | Cylinder | - | Constructs a cylinder with a reversed vector

Note: Best Fit and Best Fit Recomp Cylinders can now be constructed from two circles. The input circles must be of type Constructed Best Fit (BF) / Best Fit Recompensate (BFRE) or Measured circles. The total amount of hits in each circle must be at least three.

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a cylinder:

  1. Select Construct from the menu bar.

  2. Select Cylinder. The Construct Cylinder Mode dialog box will appear.

  3. Input the desired features.

  4. Select the method of construction. Available options include:
  • Best Fit or Best Fit Recompensate Cylinder

  • Cast Cylinder

  • Projected Cylinder

  • Reversed direction Cylinder

  • Auto Cylinder
  5. Click the Create button.

The Edit window command line for a sample Cylinder Construction would read:
feature_name=FEAT/CYLINDER,TOG1,TOG4,TOG5
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length,diam
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length,diam
CONSTR/TOG2,TOG3,......

Note: The actual Edit report will be displayed in all CAPS.

The following text is the basic format for cylinders.

TOG1= POLR or RECT

TOG2 = CYLINDER

TOG3 = BF / BFRE / CAST / PROJ / REV

TOG4 = IN / OUT

TOG5 = LEAST_SQR / MAX_INSC / MIN_CIRCSC / MIN_SEP / FIXED_RAD (only for measured, BF and BFRE circles)

length = is measured between the first measured circle (first three hits) and the furthest point away from the first three hits.

The first three lines displayed in the Edit window will be the same for constructed cylinders. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of cylinders by placing the cursor on TOG3 and clicking the left mouse button. The keyboard can also be used to switch toggle fields. (See "Keyboard Functions".)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

The following paragraphs describe the available options for constructing a cylinder:

More:

In / Out Cylinder

Constructing a Best Fit or Best Fit Recompensate Cylinder

Constructing a Cast Cylinder

Constructing a Projected Cylinder

Changing the Direction of a Cylinder

Auto Cylinder Construction


In / Out Cylinder

The In and Out options tell PC-DMIS whether to construct the cylinder as an internal or an external cylinder.

  • If you select In, PC-DMIS constructs the cylinder as an internal cylinder.

  • If you select Out, PC-DMIS constructs the cylinder as an external cylinder.


Constructing a Best Fit or Best Fit Recompensate Cylinder

A best fit cylinder can be constructed from six or more points. The first three points must be on an approximately planar cross section of the cylinder that is normal to its centerline. The best fit construction method takes the actual measured points, rather than the ball's center (as in the case of best fit recompensate).

Note: Be aware that certain patterns of points (i.e. two rows of three equally spaced points or two rows of four equally spaced points) result in multiple ways to construct or measure a perfect cylinder, and PC-DMIS'S Best Fit algorithm may construct or measure the cylinder using an unexpected solution. For best results, measured or constructed cylinders should use a unique pattern of points.

To Construct a Best Fit or Best Fit Recompensate Cylinder:

  1. Select Construct | Cylinder from the menu bar. The Construct Cylinder Mode dialog box will appear.

  2. Select either the Best Fit or BF Recomp option.

  3. Enter in at least six features. If you chose Best Fit Recompensate at least one feature must be a point.

  4. Click the Create button.

Note: Best Fit and Best Fit Recomp Cylinders can now be constructed from two circles. The input circles must be of type Constructed Best Fit (BF) / Best Fit Recompensate (BFRE) or Measured circles. The total amount of hits in each circle must be at least three.

The Edit window command line for this option would read:
CONSTR/CYLINDER,BF,feat_1,feat_2,feat_3,feat_4,feat_5,feat_6
(Uses the actual measured points for construction.)
or
CONSTR/CYLINDER,BFRE,feat_1,feat_2,feat_3,feat_4,feat_5,...
(Uses the center of the probe for measurement.)

Constructing a Cylinder from 6 or More Points


Constructing a Cast Cylinder

A cylinder can be constructed by changing any given feature into a cylinder. PC-DMIS will construct the cylinder at the centroid of the input feature. If a sheet metal point is used, the diameter will be the probe diameter. For some sheet metal features (such as slots and notches) the width will be used as the diameter. For features that do not have diameters (lines, points, etc.), a value that is four times the probe diameter will be used.

The size of the cylinder can be changed. PC-DMIS will use the new attributes for all calculations (for example, if the diameter is changed) instead of the default values as described above.

To construct a Cast Cylinder:

  1. Select Construct | Cone from the menu bar. The Construct Cylinder Mode dialog box will appear.

  2. Select either the Cast option.

  3. Select one feature. The feature can be of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CYLINDER,CAST,feat_1


Constructing a Projected Cylinder

A cylinder can be constructed from any feature and a plane. The diameter of the projected cone will be the diameter of the first input feature (if circular) or twice the probe diameter if not a circular feature. You will need to input the length and diameter for bound measurements. If there is only one input feature, the projection will be to the work plane.

To construct a Projected Cylinder:

  1. Select Construct | Cylinder from the menu bar. The Construct Cylinder Mode dialog box will appear.

  2. Select the Projection option.

  3. Select either one or two features. If one feature is selected, the feature can be of any type. If two features are selected, the first feature can be of any type. The second feature must be a plane.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CYLINDER,PROJ,feat_1,(feat_2)


Changing the Direction of a Cylinder

A cylinder can be constructed with a reversed vector.

To construct a Reverse Cylinder:

  1. Select Construct | Cylinder from the menu bar. The Construct Cylinder Mode dialog box will appear.

  2. Select either the Reverse option.

  3. Select one feature. It must be a cylinder.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/CYLINDER,REV,feat_1


Auto Cylinder Construction

The following table indicates the type of cylinder that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

Input Feature(s) | Constructs
5 or more Features = | Best Fit Cylinder
Any 1 Feature = (other than Cylinder/Set) | Cast Cylinder
Any 1 Set = | Best Fit Cylinder
Cylinder = | Reverse Cylinder
Plane + Any Feature = | Project Cylinder

Note: Be aware that certain patterns of points (i.e. two rows of three equally spaced points or two rows of four equally spaced points) result in multiple ways to construct or measure a perfect cylinder, and PC-DMIS'S Best Fit algorithm may construct or measure the cylinder using an unexpected solution. For best results, measured or constructed cylinders should use a unique pattern of points.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Cylinder from the menu bar. The Construct Cylinder Mode dialog box will appear.

  2. Select the Auto option from the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.


Plane Construction

plane Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Plane Construction dialog box

There are several methods for constructing a plane using PC-DMIS. The following table lists the various types of constructed planes, along with their necessary inputs. Some features may require no inputs, while others may require three inputs or more. In the following table, the term 'Any' indicates that the construction can take any type of feature as input for construction. PC-DMIS allows the features to be selected in any order.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | FEAT #3: | COMMENTS
Alignment Plane | ALIGN | 0 | - | - | - | Constructs plane at alignment origin
Best Fit Plane | BF | At least 3 inputs are needed. | - | - | - | Constructs best fit plane using inputs
Best Fit with Recomp Plane | BFRE | At least 3 inputs are needed. (1 must be a point) | - | - | - | Constructs best fit plane using inputs
Cast Plane | CAST | 1 | Any | - | - | Constructs plane at centroid of input feature
High Point Plane | HIPNT | 1 set (using a minimum of 3 features) | Any |  |  | Constructs plane using the highest available points.
Mid Plane | MID | 2 | Any | Any | - | Constructs mid plane between centroids of the inputs
Offset Plane | OFFSET | At least 3 inputs are needed. | Any | Any | Any | Builds plane offset from each of the input features
Parallel Plane | PLTO | 2 | Any | Any | - | Constructs plane parallel to first feat and passing through second feature
Perpendicular Plane | PRTO | 2 | Any | Any | - | Constructs plane perpendicular to first feature and passing through second feature
Reverse Plane | REV | 1 | Plane | - | - | Constructs plane passing through input with reversed vector

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a plane:

  1. Select Construct from the menu bar.

  2. Select Plane. The Construct Plane Mode dialog box will appear.

  3. Input the desired features.

  4. Select the method of construction. Available options include:
  • Alignment Plane

  • Best Fit or Best Fit Recompensate Plane

  • Cast Plane

  • High Point Plane

  • Mid Plane

  • Offset Plane

  • Parallel Plane

  • Perpendicular Plane

  • Reversed direction Plane

  • Auto Plane
  5. Click the Create button.

The Edit window command line for a sample Plane Construction would read:
feature_name=FEAT/PLANE,TOG1
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
CONSTR/TOG2,TOG3,......

Note: The actual Edit report will be displayed in all CAPS.

TOG1= POLR or RECT

TOG2 = PLANE

TOG3 = ALIGN / BF / BFRE / CAST / HIPNT / MID / OFFSET / PLTO / PROJ / PRTO / REV

The first three lines displayed in the Edit window will be the same for constructed planes. The fourth line will be slightly different, according to the type of feature being constructed. You can switch between the different types of planes by placing the cursor on TOG3 and clicking the left mouse button. The keyboard can also be used to switch between the options available in toggle fields. (See "Keyboard Functions".)

When two or more features are involved, PC-DMIS automatically determines the necessary order of the input features. This improves the accuracy of the measurement process.

The following paragraphs describe the available options for constructing a plane:

More:

Constructing a Plane from an Alignment

Constructing a Best Fit or Best Fit Recompensate Plane

Constructing a Cast Plane

Constructing a High Point Plane

Constructing a Mid Plane

Constructing an Offset Plane

Constructing a Parallel Plane

Constructing a Perpendicular Plane

Changing the Direction of a Plane

Auto Plane Construction


Constructing a Plane from an Alignment

A plane can be constructed through the current origin and parallel to the current work plane. (Input features do not need to be provided.)

To construct an alignment plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Alignment option.

  3. Do not select any features.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/PLANE,ALIGN

Constructing a Plane from an Alignment


Constructing a Best Fit or Best Fit Recompensate Plane

A 'best fit' plane can be constructed through three or more features. The best fit construction method takes the actual measured points, rather than the ball's center (as in the case of best fit recompensate).

To Construct a Best Fit or a Best Fit Recompensate Plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select either the Best Fit or BF Recomp option.

  3. Select at least three features.

Note: If you choose Best Fit Recompensate at least one feature must be a point.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/PLANE,BF,feat_1,feat_2,feat_3...
(Uses the actual measured points for construction.)
or
CONSTR/PLANE,BFRE,feat_1,feat_2,feat_3...
(Uses the probe's center for measurement purposes.)

Constructing a Plane from 3 or More Points


Constructing a Cast Plane

A plane can be constructed by changing any feature into a plane. PC-DMIS will construct the plane at the centroid of the input feature.

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Cast option.

  3. Select one feature of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/PLANE,CAST,feat_1


Constructing a High Point Plane

A High Point plane can be constructed using existing features.

To construct a High Point Plane:

  1. Select Construct | Plane from the menu bar. The Plane Construction dialog box will appear.

  2. Select the High Point option.

  3. Select one set of at least three features of any type. See Feature Set Construction.

  4. Click the Create button.

First, PC-DMIS will construct a Best Fit plane from the input features. Next, PC-DMIS rotates to the Best Fit plane. It then finds the highest three points on this plane (from the selected features) and uses them to create the high point plane.

The centroid of the input features used to construct the high point plane defines the center of gravity. PC-DMIS automatically creates a second plane if the first high point plane doesn't include the center of gravity.

The Edit window command line for this option would read:
CONSTR/PLANE, HIPNT, set

Constructing a High Point Plane


Constructing a Mid Plane

A plane can be constructed from any two features. The resultant plane (mid plane) is equally spaced from the centroids of the two specified input features.

The vector of the plane depends on the kind of inputs passed. If two lines (cylinders, or cones) are passed, the vector of the mid plane is the cross product of the two input vectors. If the input features are planes, then the mid plane is located where it bisects the smaller included angle between the two input planes. For any other combination, the vector of the plane is from the centroid of first input feature to the centroid of the second input feature.

To construct a Mid Plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Midplane option.

  3. Select two features of any type.

  4. Click the Create button.

The Edit window command line for this option would read: CONSTR/PLANE,MID,feat_1,feat_2

Constructing a Plane from 2 Planes


Constructing an Offset Plane

A plane can be constructed a specified distance from the input features.

To construct an Offset Plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Offset option.

  3. Select at least three features of any type.

  4. Select the Offsets button. The Plane Offsets dialog box will appear.

  5. Enter the offset values for each of the features in the offset field.

  6. Click the OK button. The Plane Offsets dialog box will close.

  7. Click the Create button.

PC-DMIS will iterate and construct a plane such that the shortest distance from each input feature to the plane is the corresponding offset amount. PC-DMIS will apply negative offsets in the same general direction that the points are measured. Positive offset values will be applied opposite the probing direction. If there is no probing direction (i.e., the input points were constructed), PC-DMIS uses the current work plane to determine the general direction for applying the offsets. Positive offsets will be applied in the plus direction of the third axis of the current work plane. Negative offsets will be applied in the minus direction of the third axis of the current work plane.

Note: The sign (positive or negative) of the offset value, control on which side of the input features the plane is constructed. If you get the opposite plane than was expected, CANCEL the feature and reconstruct it, reversing the sign of the keyed in offsets. For example, if the offsets are 1.0, 2.5, 3.5, change them to -1.0, -2.5, -3.5.

The Edit window command line for this option would read:
CONSTR/PLANE,OFFSET
ID=id1, id2, id3, …
OFFSET=val1, val2, val3, …

More:

Changing Offsets

Calculate Noms

Calculate Offsets


Construction Options - Constructing an Offset Plane - Changing Offsets

Changing Offsets

To enter new offset values:

  1. Open the Plane Offsets dialog box.

  2. In the Offset column, click on the "0.000000" value (or current value) to select it.

  3. Click again on the offset.

  4. Type a new value.

  5. Press the ENTER key.

  6. Click OK to save the offset.


Construction Options - Constructing an Offset Plane - Calculate Noms

Calculate Noms

The Calculate Noms button calculates the X, Y, and Z nominal values from new offsets entered.

For example, suppose you construct an offset plane between three circles (CIR1, CIR2, and CIR3). After selecting the features and clicking the Offsets button, you have X, Y, and Z nominals of:

X = 6

Y = 2

Z = 0.95

If you change the offset values by 3.0 for each circle and click the Calculate Noms button, the X, Y, and Z are updated to:

X = 6

Y = 2

Z = 3.95

If you then click OK and construct the offset line, you'll notice that the newly constructed line lies 3.0 units higher in the Z axis.

Plane offsets only apply the offset in the Z axis.


Construction Options - Constructing an Offset Plane - Calculate Offsets

Calculate Offsets

The Calculate Offsets button calculates the offset values appearing in the Offset column when you change the nominal value.

For example, suppose you construct an offset plane between three circles (CIR1, CIR2, and CIR3). After selecting the features and clicking the Offsets button, you have X, Y, and Z nominals of:

X = 6

Y = 2

Z = 0.95

If you change the X, Y, and Z nominals to:

X = 6

Y = 2

Z = 3.95

and click the Calculate Offsets button, the offsets for the three circles are updated to:

3.000000CIR1

3.000000CIR2

3.000000CIR3

If you then click OK and construct the offset line, you'll notice that the plane is constructed at 3.0 units higher in the Z axis.


Constructing a Parallel Plane

A plane can be constructed parallel to any two features. PC-DMIS creates a plane parallel to the first input feature and passing through the centroid of the second input feature.

To construct a Parallel Plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Parallel option.

  3. Select two features of any type.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/PLANE,PLTO,feat_1,feat_2,

Constructing a Parallel Plane Using Two Planes

Constructing a Parallel Plane Using Two Lines


Constructing a Perpendicular Plane

A plane can be constructed between any two features. PC-DMIS creates a plane perpendicular to the first input feature and passing through the centroid of the second input feature.

To construct a Perpendicular Plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Perpendicular option.

  3. Select two features of any type.

  4. Click the Create button.

The Edit window command line for this option reads:
CONSTR/PLANE,PRTO,feat_1,feat_2

Constructing a Perpendicular Plane


Changing the Direction of a Plane

A plane can be constructed with a reversed vector.

To construct a Reverse Plane:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Reverse option.

  3. Select one feature. It must be a plane.

  4. Click the Create button.

The Edit window command line for this option would read:
CONSTR/PLANE,REV,feat_1


Auto Plane Construction

The following table indicates the type of plane that will be constructed when the specified inputs are selected and the AUTO option is chosen. The order of the selected features is not important. If an incorrect input feature(s) is selected, PC-DMIS will display an error message and will not automatically construct the indicated feature type.

To allow PC-DMIS to automatically determine the best method of construction:

  1. Select Construct | Plane from the menu bar. The Construct Plane Mode dialog box will appear.

  2. Select the Auto option from the list of options.

  3. Select the desired feature(s) based on the table below.

  4. Click the Create button.
Input Feature(s) | Constructs
3 or more Features = | Best Fit Plane
1 plane = | Reverse Plane
Any 1 Feature = except Pane/Set) | Cast Plane
Any 1 Set = | Best Fit Plane


Slot Construction

slot Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Slot Construction dialog box

There is only one way to construct a slot in PC-DMIS. A slot is defined by two circles. The table below shows the inputs for the slot and the editor definitions.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT FEATS | FEAT #1: | FEAT #2: | COMMENTS
Slot | ROUND SLOT | 2 | Circle | Circle | Constructs a slot in the plane of the first circle from center to center.

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

The round slot constructed from two circles is defined mostly by the first circle selected. The slot is constructed in the same plane as the first circle. The width of the slot is also determined by the diameter of the first circle. The second circle is only used to determine the length of the slot. The length is the distance from the center of the first circle to center of the second plus the diameter of the first circle.

If the two input circles are not coplanar, the center of the second circle is projected perpendicularly onto the plane of the first circle. The distance is then calculated from the center of the first circle to the projected center of the second.

To construct a Slot:

  1. Select Construct | Slot from the menu bar. The Construct Slot Mode dialog box will appear.

  2. Select the two features. They must be a Circle feature type.

  3. Click the Create button.

The Edit window command line for the Round Slot would read:
CONSTR/SLOT,ROUND_SLOT,feat_1,feat_2

Note: Round Slot is the only available method of construction.

The Edit window command line for a sample Slot Construction would read:
feature_name=FEAT/SLOT,TOG1,TOG2
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,width,length
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,width,length
CONSTR/TOG3,ROUND_SLOT,

Note: The actual report will be displayed in all CAPS.

TOG1=POLR or RECT

TOG2=OUT or IN

TOG3=SLOT


Curve Construction

curve Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Curve Construction dialog box

There are two types of constructed curves (Independent Curves and Dependent Curves) available in PC-DMIS. The following table displays the two curves, along with their necessary inputs. All curves require a set as input. The set can be a measured set, constructed set, or a scan. The input set must contain a least four features (or input points in the case of a scan).

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT SETS | INPUT #1: | COMMENTS
Dependent Curve | DEPENDENT | 1 | Set containing at least 4 inputs | Curve will update as input feature changes Note: Editing a curve will change dependent curve to independent curve .
Independent Curve | INDEPENDENT | 1 | Set containing as least 4 inputs | Uses input feature for construction only. User can manually edit control points of curve.

The Edit window command line for a sample Curve Construction would read:
feature_name=FEAT/CURVE,TOG1
CONSTR/CURVE, INPUT TYPE, input id, NUM FEATS IN
SET, thinning tolerance

Note: The actual Edit report will be displayed in all CAPS

TOG1=Dependent or Independent

More:

Constructing a Dependent / Independent Curve


Constructing a Dependent / Independent Curve

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a curve:

  1. Select Construct from the menu bar.

  2. Select Curve. The Construct Curve Mode dialog box will appear.

  3. Input the desired set.

  4. Set the value in the Thinning Tolerance box.

  5. Edit the Control points if necessary.

  6. Click the Create button.

All constructed curves start out as DEPENDENT curves and must be created from a single input, a set. The set can be one of three types:

  1. A measured set

  2. A constructed set

  3. A scan containing a single row of points. (See Feature Set Construction.)

The input set must contain at least four features or points (in the case of a scan).

Note: The resulting curve depends on the order that the features are added to the set (first to last).

The following paragraphs describe the available options for constructing a curve.

More:

Thinning Tolerance

Edit Control Point

Control Point List


Thinning Tolerance

A thinning tolerance is used to control the tightness (or exactness) of the curve fit.

  • Small tolerance: If the thinning tolerance is small, the algorithm will attempt to fit the curve through all of the centroids of the members of the input set. This will force the curve closer to the centroids of the features included in the input set.

  • Large tolerance: If the thinning tolerance is large, the curve will not necessarily pass through all of the members of the input set. A larger tolerance will make the curve smoother (at the expense of not lying near the input set's features). The best way to see this is to construct a curve and then change the input tolerance and see how the shape of the curve changes.

Valid thinning tolerances range from 0.01 to 5.0 with the default being 0.01.

To make a DEPENDENT curve an INDEPENDENT curve (so that it is no longer associated with the input set:

  1. Open the Edit window

  2. Select the curve feature you constructed.

  3. Navigate to the DEPENDENT field of that feature.

  4. Press F7. It will change from DEPENDENT to INDEPENDENT.

The shape of the curve can be changed by editing its control points.


Edit Control Point

If a preexisting curve is selected, the dialog box will also contain a list of control points within the Control Point list. Select one of the control points and PC-DMIS will place the corresponding values in the X, Y, and Z boxes so that they can be edited.

To edit these control points:

  1. Make sure a curve feature already exists.

  2. Open the Edit window.

  3. Select the curve in the Edit window.

  4. Press F9 to activate the Curve dialog box.

  5. Select the control point to be changed in the Control Point list.

  6. Edit the individual X, Y, Z components of the point.

  7. Click the OK button.

The curve will then be updated to reflect the changes.

Note: If the control points on a dependent curve are edited, it automatically becomes an independent curve because it is no longer based on the input set.


Control Point List

The Control Point list is only visible when there is an existing curve associated with the dialog box. If a curve exists and you want to edit the control points of that curve, the Control Point list will display all of the control points for that curve.


Surface Construction

surface Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Construct Surface Mode dialog box

There are two types of constructed surfaces (Independent Surface and Dependent Surface) available in PC-DMIS. The following table shows the two surfaces, along with their necessary inputs. The only input that the surface will take is a patch scan. The scan must contain at least two rows of four points per row.

Note: A future release will allow for clouds of points when constructing a surface.

CONSTRUCT FEATURE TYPE | SYMBOL IN EDIT WINDOW | # OF INPUT SETS | INPUT #1: | COMMENTS
Dependent Surface | DEPENDENT | 1 | Patch scan containing at least 2 rows with 4 points per row | Surface will update as input feature changes
Independent Surface | INDEPENDENT | 1 | Patch scan containing at least 2 rows with 4 points per row. | Uses input feature for construction only

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a Surface:

  1. Select Construct from the menu bar.

  2. Select Surface. The Construct Surface Mode dialog box will appear.

  3. Input the desired patch scan.

  4. Select the various construction options.

  5. Click the Create button.

The Edit window command line for a sample Surface Construction would read:
feature_name=FEAT/SURFACE,TOG1,CONTROL POINTS U,
CONTROL POINTS V, NUM POINTS FIT,
THINNING TOLERANCE U, THINNING TOLERANCE V
CONSTR/SURFACE, INPUT TYPE, INPUT ID

Note: The actual Edit report will be displayed in all CAPS.

TOG1=Dependent or Independent.

The following paragraphs describe the available options for constructing a surface:

More:

Constructing a Dependent/Independent Surface


Constructing a Dependent/Independent Surface

All constructed surfaces start out as dependent surfaces and must be created from a single input -- a patch scan. The patch scan must contain at least two rows with four points per row. Thinning tolerances are used to control the tightness of the surface fit.

  • Small tolerances: If the thinning tolerances are small, the algorithm will attempt to fit the surface through all of the points in the scan.

  • Large tolerances: If the thinning tolerances are large, the surface will be more of an approximation to the scan. The best way to see this is to construct a surface and then change the thinning tolerances and see how the shape of the surface changes.

Note: The smaller the thinning tolerance the longer it will take to create the surface. Be aware that the small tolerances (.01 - .05) may take a considerable amount of time (one hour) to create the surface if the input scan is large or not well behaved. Valid thinning tolerances range from 0.01 to 5.0 with the default being 0.5.

The appearance of the surface can be controlled by the surface grid density values. The surface will be displayed as a NxM mesh of polylines with the default being a 5x5 mesh and the lowest value being a 2x2 mesh. To make a dependent surface independent so that it is no longer associated with the input scan, change the DEPENDENT field in the Edit window.

Note: The shape of the surface cannot be changed currently. Editing capabilities will be included in a future release.

To construct a Dependent / Independent Surface:

  1. Select Construct | Surface from the menu bar. The Construct Surface Mode dialog box will appear.

  2. Set the value for the Thinning Tol U: box

  3. Set the value for the Thinning Tol V: box. This applies a tolerance value to the V axis.

  4. Set the values for the surface grid density.

  5. Checkmark the desired constructions options. These include:
  • Optimize Surface

  • Apply Tension Factor

  • Create Corners

  • Smooth Bad Data
  6. Select a patch scan feature set containing at least 2 rows with 4 points per row.

  7. Click the Create button.

More:

Thinning Tol U

Thinning Tol V

Surface Grid Density

Optimize Surface

Apply Tension Factor

Create Corners

Smooth Bad Data

Edit Control Points


Thinning Tol U

This box allows you to set a tolerance value applying to the U axis of the surface.


Thinning Tol V

This box allows you to set a tolerance value applying to the V axis of the surface.


Surface Grid Density

This box allows you to set the density of a surface scan. The higher the values, the more splines there will be.


Optimize Surface

This check box will attempt to optimize the knots and control points of the initial splines from which the surface will be constructed.


Apply Tension Factor

Surfaces created using the Apply Tension Factor check box will tend to be tauter (tighter) and shorter, but may fit the data slightly less closely.


Create Corners

This check box allows for corners to be added to the surface at areas where the data appears to make an abrupt change in direction.


Smooth Bad Data

This check box attempts to throw out bad data. Bad data is evaluated as data that has an abrupt change in direction. This option is almost the opposite of the Create Corners.


Edit Control Points

Documentation will follow when this function becomes available.


Feature Set Construction

feature Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Feature Set dialog box

The Construct | Feature Set menu command allows you to construct a set of features. This is done by selecting (or keying in) all the features to be used in the set. When you click the Create button, PC-DMIS will average all the input centroids, and display a set marker along with the new ID for the set.

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a Feature Set:

  1. Select Construct from the menu bar.

  2. Select Feature Set. The Feature Set dialog box will appear.

  3. Select the features you want in your feature set.

  4. Click the Create button. The new feature set is given a feature ID and is placed in the Graphics Display window.

The Edit window command line for a sample Surface Construction would read:
feature_name=FEAT/SET,TOG1,
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,
CONSTR/TOG2,feat_1, feat_2, feat_3...

TOG1= POLR or RECT

TOG2 = SET

The first three lines displayed in the Edit window will be the same for constructed sets. The fourth line will be slightly different, according to the number of features used in the set.

There are currently two uses for sets in PC-DMIS for Windows:

More:

Profile Error from a Set

Average Values from a Set


Profile Error from a Set

If CAD data is being used, a set can be constructed from measured points on a surface. When you ask for the PROFILE of the feature set, PC-DMIS will report the zone between the minimum normal to surface error and the maximum normal to surface error. (See "Profile" for more information.)


Average Values from a Set

When a set is made from input features, PC-DMIS averages the X, Y, and Z values of the input features. For example, the set can be used to get the average Z value of a series of measured points.


Read Point Construction

The Construct | ReadPoint menu option tells PC-DMIS to read the probe's current position and to insert a point in the Edit window at the read in position. The following syntax illustrates what's inserted into the Edit window.
F_ID= FEAT/ POINT, TOG1THEO/ x, y, z, i, j, kACTL/ x, y, z, i, j, kREADPOINT

F_ID - This is the Feature ID.

TOG1 - This toggle field that allows you to switch between the POLR and RECT coordinate systems.

X,Y,Z - This is the X, Y, Z location for the constructed point.

I,J,K - This is the I, J, K approach vector of the probe.

READPOINT - Identifies this feature as a constructed ReadPoint.

Below is an example of a ReadPoint constructed feature:
F7 =FEAT/POINT,RECT
THEO/7.4982,2.0111,0.95,0,0,1
ACTL/7.4982,2.0111,0.95,0,0,1
READPOINT/


Gaussian Filter Set Construction

filter Hotspot 12 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 1 Gaussian Filter Set dialog box

This command allows you to construct a Gaussian filter set from a scan. This is done by selecting (or keying in) the scan feature to be used in the set. When you click the Create button, PC-DMIS will apply Gaussian smoothing routines to the scan data and display a set marker along with the new ID for the set.

This command is typically used to smooth ball center data from a scan. PC-DMIS applies Gaussian filtering techniques and makes the data smoother.

Note: If you select inappropriate feature types, PC-DMIS displays "Cannot construct [feature]. Combination of input features not accepted." on the status bar.

To construct a Gaussian Filter Set:

  1. Select Construct from the menu bar.

  2. Select Gauss Filter. The Gaussian Filter dialog box will appear.

  3. Select a scan feature to be used in the set.

  4. Select either the Linear or Polar option.

  5. Type the tolerance value in the Tolerance box.

  6. Click the Create button.

The Edit window command line for this option would read:
CONSTR/SET/TOG6,feat_1

TOG6 = Polar Filter / Linear Filter

More:

Linear

Polar

Tolerance


Linear

The Linear option allows you to filter the data in a scan that is not a Circular Scan.


Polar

The Polar option allows you to apply the Gaussian Filter to data in a circular scan.


Construction Options - Gaussian Filter Set Construction - Tolerance

Tolerance

The tolerance value represents a smoothing parameter for a Polar Gaussian Filter. It represents the number of neighboring data points used for averaging at each point. A reasonable value for this is 3. This value is applied only to a Polar Filter operation.


Override

The Construct | Override menu command allows you to change the type of feature last measured. For example, if a circle was the last feature measured and PC-DMIS guessed that it was a plane, this option can be used to convert the feature to the proper type. This option must be used before any other features are measured or constructed.

To use the Override feature:

  1. Select File | Edit Window (or press ALT + F then W) from the menu bar to bring up the Edit window.

  2. Place your cursor on the incorrect feature type in the Edit window.

  3. Select Construct | Override (or press ALT + C then O) to begin the Override process.

  4. From the Override sub-menu select the correct feature type.

You will see that the feature changes will be made in the Edit window.


Dimension Options: Introduction

Once a feature(s) has been measured or constructed, the inspection report can be generated. The first step in preparing a report is to calculate dimensions according to specific requirements. Dimensions can be calculated immediately after a measurement has been made or later in the program. PC-DMIS displays the result of each dimensioning operation in the Edit window.

PC-DMIS also allows you to specify nominal values, modify the output format and/or print out the results of the calculations.

  1. To change the nominal or tolerance values displayed in the Edit window, click on the value to be changed and type in a new one.

  2. To show or hide nominals or tolerance fields in the Edit window, change the dimension output FORMAT. (See Options | Parameters | Dimension Output Format.)

  3. To change the measured values of a feature (for example, to get the radius of a circle to print out) see Options | Setup | Dimension.

To dimension a feature, select Dimension from the menu bar or press ALT + D. Select the desired options.

The main topics in this section include:

  • General Command Format

  • Printing Dimensions to Inspection Report

  • Common Dimension Dialog Options

  • Location

  • True Position

  • Distance

  • Angle Between

  • Concentricity

  • Coaxiality

  • Roundness

  • Straightness

  • Flatness

  • Perpendicularity

  • Parallelism

  • Runout

  • Profile

  • Angularity

  • Keyin


Dimension Options - General Command Format

General Command Format

All dimensioned features are displayed in the following format. There will be slight variations that are explained more thoroughly in the following sections.

For example, the Edit window displays dimensions as:
dimension_name = TYPE OF DIMENSION,feat_1 UNITS=IN ,$
GRAPH=OFF TEXT=OFF MULT=1.00 OUTPUT=BOTH

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
x | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

END OF DIMENSION dimension_name (for LOCATION only)

See Conventions for field rules.

TYPE OF DIMENSION: denotes the dimension type. This field cannot be changed except by changing the name of the feature.

feat_1: name of feature to be dimensioned. This is a user editable field.

All nominal and tolerance values in a dimension are editable. To edit the nominal and tolerance values:

  1. Move to the desired cell by pressing the TAB key, or double-click on the field using the left mouse button.

  2. Type in the desired value.

  3. Press the TAB key again or click outside of the dimension.

Pressing the ENTER key will add a line. (See Location.)

More:

Adding Lines

Deleting Lines

Editing Lines

Accessing the Dialog Box

Conventions


Dimension Options - General Command Format - Adding Lines

Adding Lines

In order to create an additional line within the location dimension:

  1. Place the cursor in the desired location.

  2. Press the ENTER key.

  3. Type in the desired axis (X, Y, Z, D, R, A, V, T, L, S, H, M, PR, PA, PD).

  4. Press the TAB or ENTER key.

PC-DMIS will then display the values for the added axis. PC-DMIS adds the new line depending on where the cursor is located. If the cursor is in the middle of a command, a new line is created below the current line. If the cursor is placed at the beginning of a command line, PC-DMIS will create the new line above the current cursor position.


Dimension Options - General Command Format - Deleting Lines

Deleting Lines

To delete a single axis within a location dimension, highlight the desired axis and then press the BACKSPACE or DELETE key. (See "Keyboard Functions".)


Editing Lines

When the tolerances of a dimension are edited in the Edit window, a dialog box appears asking if you want to carry the changed tolerances forward to any of the same dimension types. If the response is Yes, PC-DMIS will search from that point forward in the part program to copy the tolerances into any dimensions that were of the same type and had the same original tolerances.

When the nominals of a dimension are edited in the Edit window, a dialog box appears asking if you also want to carry the changed nominals back to the dimension's feature. If the response is Yes, PC-DMIS will change the feature nominals to the new nominal values.


Dimension Options - General Command Format - Accessing the Dialog Box

Accessing the Dialog Box

To access the corresponding dimension dialog box from which an Edit window's dimension was created:

  1. Make sure the Edit window is open.

  2. In the Edit window, click the mouse on the dimension.

  3. Press F9. A dimension dialog box will appear.

Using this dialog box, you can make any desired changes to the existing dimension. When you click the Create button, changes will also be applied to the dimension's text in the Edit window.


Dimension Options - General Command Format - Conventions

Conventions

The Options | Setup menu option, displays the Setup dialog box. The Dimension tab allows you to define parameters for the displayed dimensions.

  • All angles can be represented 1-5 places to the right of the decimal. The actual number displayed is determined by the parameters set in the Options | Setup | Dimension option.

  • All lengths, distances (x_cord, y_cord, z_cord, diam, height, length, etc.), and vectors (i_vec, j_vec, k_vec) in the dimensions are represented 1-5 places to the right of the decimal. The actual nominal that will be displayed is determined by the parameters set in the Options | Setup | Dimension option.


Printing Dimensions to Inspection Report

To have PC-DMIS automatically create dimensions in the Edit window:

  1. Open the Edit window by selecting File | Edit Window.

  2. Place the cursor where you want the dimension information to appear.

  3. Type in the appropriate keyword.

    OR

  4. Select Options | Setup from the menu bar (or press F5). The Setup Options dialog box will appear.

  5. Choose the Dimension tab from the dialog box.

  6. Select the Auto Create Dimension option.

  7. Select any other options.

  8. Click the OK button.

Dimensions created using the Auto Create Dimensions option are temporary, and will be deleted with the creation of the next feature unless they are made permanent.

To make temporary dimensions permanent:

  1. Select Utilities from the main menu.

  2. Select Keep Dimension (CTRL + K).

Note: If the Auto Save Dimensions option is Selected along with the Auto Create Dimensions option, then dimensions using the Auto Create Dimensions option are permanent.

In many cases, the nominals, tolerances or output format must be modified before printing the results.

To change the nominals or tolerances from the Edit window:

  1. Click on the dimension in the Edit window.

  2. Press TAB to move to the value you want to change

  3. Enter a new value.

To edit the nominals or tolerances using the dimension's dialog box:

  1. Click on the dimension in the Edit window.

  2. Press F9 to access its dialog box.

  3. Change the necessary values.

  4. Click the Create button.

To change the contents of the dimension report, select the Options | Parameter | Dimension Output Format option.

Note: The Analysis Settings section of each dimension's dialog box allows you to display the dimension printout in a format suitable for close examination.


Common Dimension Dialog Options

There are several options available to many of the Dimension dialog boxes.

More:

Material Conditions

Display Dimension Info

Edit Default Dimension Info

Units

Analysis Settings

Output To


Material Conditions

The Material Conditions area contains the following tolerancing methods:

Option button | Stands For | Description
M | MMC | Maximum material condition applied to either the feature or a datum.
R | RFS | Regardless of feature size applied to either the feature or a datum.
L | LMC | Least material condition applied to either the feature or a datum.

Currently you can select Material Condition modifiers for True Position and Parallelism dimensions.


Display Dimension Info

The Display check box will create a DIMINFO command in the Edit window after the dimension. This command will show all dimension information in the Graphics Display window next to the feature selected in the Feature List box. This DIMINFO command will also display the same dimension axes that are available in the Edit window for that particular dimension.

To use the Display option:

  1. Select the Display check box.

  2. Select the feature to dimension.

  3. Click the Create button.

Dimension information will then appear in the Graphics Display window.


Edit Default Dimension Info

The Edit button will bring up the Default Dimension Info Setup dialog box.

These check boxes allow you to select the type of information displayed in the Graphics Display window for each dimension. The available check boxes are:

Auto | The Auto check box automatically displays the following information: Measured, Nominal, Tolerances, Deviation, MaxMin, OutTol.
Measured | This check box displays the actual measured dimensions.
Nominal | This check box displays the theoretical values for the dimension.
Tolerances | This check box displays the acceptable tolerance levels either greater than or less than the nominal.
Deviation | This check box displays the deviation of the measured value from the nominal.
MaxMin | This check box displays the maximum and minimum values for the dimension
OutTol | This check box displays how far out of tolerance the measured value is from the nominal and tolerance values.
Mean | This check box displays the average of all the deviations for the dimension.
StdDev | This check box displays the standard deviation of all the deviations for the dimension
Number of Points | This check box displays the number of points used to measure the feature of the dimension.

For more in depth information on editing dimensions see "Edit Dimension Info". The following five buttons: OK, Cancel, Default, Recall, and Reset all deal with the Dimension Info Setup dialog box.

More:

Reset Button


Dimension Options - Edit Default Dimension Info - Reset Button

Reset Button

The Reset button clears any selected check boxes in the Default Dimension Info Setup dialog box and selects the Auto check box.


Dimension Options - Common Dimension Dialog Options - Units

Units

The Units area allow you to choose between the following two options:

  • Inch = Inches

  • MM = Millimeters

The unit of measurement selected will be used for dimensioning while the current dialog box is still open. The default selection is the current unit of measurement of the current part program


Analysis Settings

The Analysis area allows you to set the following dimensional output analysis:

More:

Textual

Graphical

Multiplier


Dimension Options - Analysis Settings - Textual

Textual

When you select the Textual check box, PC-DMIS will print out not only the standard dimensional information, but also the deviation of each individual hit used in the dimension. To view the textual analysis, the Edit window must be in report mode.

The textual analysis of all hits within a dimension can be switched to display in polar coordinates. To do this:

  1. Place the cursor on the dimension header or individual hit.

  2. Press SHIFT + F5. The letter 'P' will be placed in the textual analysis lines to indicate which hits are displayed in polar coordinates.

If an individual hit is displayed in polar coordinates in the textual analysis, the columns will display the radius, angle, and z values in the x, y, and z columns.


Dimension Options - Analysis Settings - Graphical

Graphical

The Graphical check box lets you output the dimensional printout in a format suitable for close examination.

When this check box is selected, PC-DMIS will graphically display the deviation of each individual hit for the dimensions used. The program displays the error in the form of individual arrows for each hit. These arrows indicate the relative size of the error, as well as its direction.

Command line in the Edit window:
...GRAPH=ON TEXT=OFF MULT=1.00


Dimension Options - Analysis Settings - Multiplier

Multiplier

The Multiplier box is a scaling factor that magnifies the deviation arrows and tolerance zone for the graphical analysis mode. If you type a 2.0 value, PC-DMIS will scale the arrows two times the calculated deviation for each feature hit.

The Multiplier box is used for viewing purposes only, and is not reflected in the text printout.


Output To

Dimension output can be printed to either the inspection report or to statistical files used by statistics software, or both. This is controlled through the Output To area of the dialog box. Select the desired option. Upon execution of the dimension, the output will go to the inspection report, the stats file or both (depending upon the selection). If either the STATS option or the BOTH option is selected, a preceding STATS command must exist and be turned ON for this dimension to be sent to the stats file.


Location

location Hotspot 27 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 16 Hotspot 12 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Feature Location dialog box

The Dimension | Location menu option calculates the distance from the feature to the X, Y, Z origin, parallel to its respective axis. The feature's diameter, angle and vector are also part of the calculation. This section relates only to 'position' dimensions. (True Position dimensions are discussed later.)

Location can be calculated using Cartesian or Polar coordinates, True Position or box tolerancing.

  • To switch between Cartesian and Polar coordinates, select Pang or Prad in the Feature Location dialog box.

  • To switch between TRUE POSITION and RECT tolerancing methods see the True Position dimension option.

More:

To Dimension a Feature Using the LOCATION Option:

Default Axes

Sheet Metal Axes

Location Options

Tolerances

ISO Limits and Fits


To Dimension a Feature Using the LOCATION Option:

  1. Select Dimension from the menu bar.

  2. Select Location. The Feature Location dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Select the desired axes. The Auto check box is marked as the default.

If the Auto check box is marked, PC-DMIS will automatically determine the default axes to display in the dimension. The default axes are based on the feature type, as shown in the table below.

The default output format for the following features is:

CIRCLE | X, Y, D (based on the work plane).
CONE | X, Y, Z, A
CYLINDER | X, Y, Z, D, L (based on the work plane).
LINE | Based on the axis that is perpendicular to the axis closest to (and the axis related to) the work plane the line is measured in.
PLANE | Based on the axis most closely related to the plane.
POINT | X, Y, Z, T
SLOT | X, Y, D, R, L (based on the work plane).
SPHERE | X, Y, Z, D

  5. Select the axes from the Axes drop-down list to which you want to apply Plus and Minus tolerances.

  6. Type the Plus tolerance value in the Plus box.

  7. Type the Minus tolerance value in the Minus box.

  8. Type a value for the Nominal size in the Nominal Size box.

  9. Select a Tolerance Class from the Tolerance Class drop-down list.

  10. Select a Tolerance Grade from the Tolerance Grade drop-down list.

  11. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  12. Select either the Inch or MM option from the Units area of the dialog box.

  13. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  14. Select the desired Analysis options by selecting the Textual check box or the Graphical check box. If the Graphical check box was selected, type the Multiplier value in the Multiplier box.

  15. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = TYPE OF DIMENSION,feat_1 UNITS=IN ,$
GRAPH=OFF  TEXT=OFF  MULT=1.00  OUTPUT=BOTH

 | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
x | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

END OF DIMENSION dimension_name (for LOCATION only)

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Location - Default Axes

Default Axes

The Default check box allows you to alter the format of the default output. When the Auto check box is checked, the axes displayed in the dimension are selected according to the default axes of the feature type. However, in some circumstances it may be necessary to override the default setting. To alter the default output:

  1. Select the appropriate options.

    X = prints X axis value.
    Y = prints Y axis value.
    Z = prints Z axis value.
    Prad = prints the Polar Radius.
    Pang = prints the Polar Angle.
    D = prints Diameter value.
    R = prints Radius (half of Diameter) value.
    A = prints Angle (for cones) value.
    L = prints Length (used for cylinder and slots.)
    H = prints the Height (usually height on slots, but also length on cones, cylinders, and ellipses).
    V = prints the Vector location.

  2. Select the Default check box.

Once the output values have been changed to something other than the default, PC-DMIS will use the new setting for all subsequent dimensions. If you want to PC-DMIS to then use the original default axes, you must reset the format to the default settings.

To reset the format to the default settings:

  1. Select the Auto check box.

  2. Select the Default check box.

  3. Click the Create button.

PC-DMIS will automatically reset the dimension to print the default axes according to feature type.


Sheet Metal Axes

The Sheet Metal Axes area contains check boxes only available when sheet metal features are being dimensioned.

T = prints error along approach vector (for points on curved surfaces).
S = prints the deviation along the surface vector.
RT =prints the deviation along the report vector.
RS = prints the deviation along the surface report.
PD = prints the diameter of a circle (perpendicular to the pin vector).

If a T, RT, S or RS axis is used, none of the other location dimensions are used for the analysis (graphical or textual).

The default output format for sheet metal features is:

VECTOR POINT: RT
SURFACE: RT
EDGE: RT, S, RS
CIRCLE: PD


Location Options

PC-DMIS also allows you to print two specialty axes:

  • Retrolinear Only

  • Gap Only

Either option can be selected in the Locations Options area of the Feature Location dialog box. All future locations of vector, surface and edge points within the part program will be printed using the appropriate specialty axes until the option is turned OFF.

More:

Retrolinear Only

Gap Only


Retrolinear Only

This check box is available when dimensioning vector and surface points. When the retrolinear only option has been selected for valid points, the location axes are calculated by:

  • Finding the largest component of the theoretical surface normal vector (largest in x, y, or z direction).

  • Projecting the measured point to this largest component vector in a manner that the projection is perpendicular to the original theoretical surface normal vector.

The location axes are then calculated from this new projected point.


Gap Only

The Gap Only check box is available when dimensioning edge points. When you select the Gap Only check box, and an edge point is measured, the location axes are calculated by:

  • Projecting the measured point (1) to the theoretical surface.

  • Projecting this new point on to the theoretical approach vector.

Any location axes are then calculated from this new point.


Dimension Options - Location - Tolerances

Tolerances

loctol Hotspot 3 Hotspot 2 Hotspot 1 The Tolerances area allows you to type plus and minus tolerances for each of the following axes found in the Axes drop-down list.

To Enter in plus and minus tolerances:

  1. Select the axis for which you will enter the tolerance from the Axes drop-down list.

  2. In the Plus box type the plus tolerance value for this axis.

  3. In the Minus box type the Minus tolerance value for this axis.

PC-DMIS allows positive-lower tolerances (or a positive tolerance in the negative range). This is done by entering in a minus sign before the value in the Minus box.

PC-DMIS also allows a negative-upper tolerance (or a minus tolerance in the positive range). This is done by entering in a minus sign before the value in the Plus box.

Example: If 1.000 is entered for the nominal, .003 is entered for the plus tolerance and .001 is entered for the minus tolerance it would be interpreted as 1.000 + .003 / –.001. To get the lower tolerance to be +.001 (sign change) simply type in 1.000 (nominal), .003 (plus tol) and –.001 (minus tol) thereby achieving a tolerance range of 1.000 + .003 / + .001.

Note: Negative lower tolerances may be displayed with a minus sign if the Minus Tols Show Negative option has been selected. See "Minus Tols Show Negative" in "System Options".

More:

Axes Drop Down list

Plus Tolerances

Minus Tolerances


Axes Drop Down list

The Axes drop-down list provides you with a list of available axes, to which you can apply Plus and / or Minus tolerances. The list contains the following:

ALL | All the axes and options displayed in the drop down list
X | X axis value
Y | Y axis value.
Z | Z axis value.
D | Diameter
R | Radius (half of Diameter)
A | Angle (for cones)
L | Length (used for cylinders and slots)
H | Height
PR | Polar Radius
PA | Polar Angle
T | Error along the approach vector (for points on curved surfaces)
RT | Deviation along the report vector
S | Deviation along the surface vector
RS | Deviation along the surface report
PD | Diameter of a circle (perpendicular to the pin vector)


Plus Tolerances

In the Plus box you can type the plus values for tolerances of the axis or axes selected from the Axes drop-down list.


Minus Tolerances

In the Minus box you can enter the minus values for tolerances of the axis or axes selected from the Axes drop-down list.


ISO Limits and Fits

The ISO Limits and Fits area of the dialog box allows you to apply ISO standardized tolerances to the diameter of circular features. When a tolerance class and grade have been selected, PC-DMIS will look up the appropriate tolerances for the diameter of a cylinder or circle from the International Organization for Standardization's tables of Limits and Fits. These tables define the tolerances for various design classes and grades of diameters. Although PC-DMIS allows the calculation of ISO tolerances in English (Inch) and metric (mm) units, they are only defined by ISO to be applied with metric (mm) units. Also, because these tables use various classes and grades of diameters, cylinders and circles are the only appropriate features for this option. If no nominal diameter is entered, PC-DMIS uses the feature's nominal diameter for the tolerance calculations.

More:

Nominal Size

Tolerance Class

Tolerance Grade


Nominal Size

The Nominal Size box allows you to enter the nominal diameter of the feature selected.


Tolerance Class

The Tolerance Class drop-down list allows you to select from the following ISO Tolerance classes:


Tolerance Grade

The Tolerance Grade drop-down list allows you to select from the following ISO Tolerance grades:


True Position

Truepos Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 True Position dialog box

The Dimension | True Position menu option calculates the true position from the feature to the X, Y or Z origin parallel to its respective axis. The feature's diameter, angle and vector are also part of the calculation. If Datums are used, the XYZ values are output using the alignment of the Datums. This section relates only to 'true position' dimensions. 'Position' dimensioning is discussed in the Location section.

More:

To Dimension a Feature Using the TRUE POSITION Option:

To Apply True Position on a Group of Circles or Cylinders

Default Axes

Axial Features

Tolerances


To Dimension a Feature Using the TRUE POSITION Option:

  1. Select Dimension from the main menu.

  2. Select True Position. The True Position dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. If a datum is desired, select the Use Datums checkbox.

  5. Select any desired datum features from the Feature List box.

  6. Set the Material Conditions for the feature(s) and datum(s) by selecting the appropriate options in the Material Conditions area.

  7. Select the desired axes. The Auto check box is selected as the default.

  8. Select the axes to which you want to apply plus and minus tolerances.

  9. Type the plus tolerance value in the Plus box.

  10. Enter the minus tolerance value in the Minus box.

  11. Select the appropriate material condition modifiers from the drop-down list.

  12. Select either the Inch or MM option in the Units area.

  13. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  14. Select the desired analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, enter the Multiplier value in the Multiplier box.

  15. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = TRUE POSITION OF FEAT_ID, GRAPH=ON/OFF
TEXT=ON/OFF, MULT=n

AX | NOM | MEAS | +TOL | -TOL | BON | DEV | DEVANG | OUTTOL
X | 0.7500 | .07500 | 0.0000 |  |  | 0.0000 |  |
Y | 3.0000 | 3.0000 | 0.0000 |  |  | 0.0000 |  |
DF | 1.0000 | 1.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000 |  | 0.0000
D1 D2 D3 TP | 1.0000 1.0000 MMC | 1.0000 1.0000 1.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 | 0.0000 0.0000 0.0000 | PLANE CIRCLE CIRCLE 0.0000 | P1 AT RFS C1 AT MMC C2 AT MMC 0.000 | 0.0000

END OF dimension_name

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


To Apply True Position on a Group of Circles or Cylinders

  1. Create a feature set of the holes from the Construct | Feature Set menu option (see "Feature Set Construction" in the"Construction Options" section for instructions on creating feature sets.).

  2. Select Dimension | True Position.

  3. From the True Position dialog box, select the created feature set as the input feature and select any other options used for the dimension.

  4. Select the Textual check box from the Analysis area.

  5. On the Edit window toolbar, select the Report Mode icon. You are now able to see the deviation of each feature and the translation and rotation required to bring the features into tolerance. Results are always shown using Regardless of Feature Size (RFS) on Datum to see the maximum deviation.


Dimension Options - True Position - Default Axes

Default Axes

The Default check box allows you to alter the format of the default output. When the Auto check box is checked, the axes displayed in the dimension are selected according to the default axes of the feature type. However, in some circumstances it may be necessary to override the default setting. To alter the default output simply mark the desired boxes:

X = prints X axis value.
Y = prints Y axis value.
Z = prints Z axis value.
PA = prints polar angle value.
PR = prints polar radius value.
D1 = prints diameter/width value of the first datum.
D2 = prints diameter/width value of the second datum.
D3 = prints diameter/width value of the third datum.
DF = prints diameter of the feature.
LF = prints length of the feature if the feature is a slot.
WF = prints width of the feature if the feature is a slot.
LD = prints length of the datum if the datum is a slot.
WD = prints width of the datum if the datum is a slot.
TP = prints the true position tolerance and its associated deviation.

Once the output values have been changed to something other than the default, PC-DMIS will use the new setting for all subsequent dimensions. If you want to PC-DMIS to then use the original default axes, you must reset the format to the default settings.

To reset the format to the default settings:

  1. Select the Auto check box.

  2. Select the Default check box.

  3. Click the Create button.

PC-DMIS will automatically reset the dimension to print the default axes according to feature type.

Note: If the Auto check box is marked, PC-DMIS will automatically determine the default axes to print. The default output format is based on the feature type. PC-DMIS will automatically determine the true position of the selected feature using the documented (see box above) axis format.


Axial Features

axial Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Axial features, such as cylinders, have these additional options when dimensioning the true position:

  • From Axis Average

  • From Start Point of Axis

  • From End Point of Axis

  • From Worst End of Axis

  • From Both Ends of Axis

To use these additional options

  1. Select the desired radio button.

  2. Type the reference length

  3. Click the Create button.

More:

Reference Length

From Axis Average

From Start Point of Axis

From End Point of Axis

From Worst End of Axis

From Both Ends of Axis


Reference Length

A reference length can be used with these radio buttons:

  • From Axis Average

  • From Start Point of Axis

  • From End Point of Axis

  • From Worst End of Axis

  • From Both Ends of Axis

To use the reference length:

  1. Type the desired value in the Reference Length box.

  2. Select the desired option.

  3. Click the Create button.


From Axis Average

The From Axis Average option will dimension axial features, such as cylinders, from the centroid or average of the axis.


From Start Point of Axis

The From Start Point of Axis option will dimension axial features, such as cylinders, from the Start Point of the axis selected.


From End Point of Axis

The From End Point of Axis option will dimension axial features, such as cylinders, from the End Point of the axis selected.


From Worst End of Axis

The From Worst End of Axis option will dimension axial features, such as cylinders, from the start or end point that gives the worst-case scenario for the dimension.

Example: If your part contains a skewed cylinder, the start or end point along the cylinder's axis that deviates farthest from the nominal is the point that gives the worst-case scenario.


From Both Ends of Axis

The From Both Ends of Axis option will dimension axial features, such as cylinders, from both the start and end point of the axis selected.


Dimension Options - True Position - Tolerances

Tolerances

tptol Hotspot 3 Hotspot 2 Hotspot 1 The Tolerances area allows you to key in plus and minus tolerances for each of the axes found in the Axes drop-down list as well as define certain material condition modifiers.

To enter in axes tolerances:

  1. Select the axis for which you will enter the tolerance.

  2. In the Plus box enter in the plus tolerance value for this axis.

  3. In the Minus box enter in the minus tolerance value for this axis.

  4. Select the materials condition modifiers from the Materials Condition Modifiers drop-down list.

More:

Axes

Plus

Minus


Axes

The Axes drop-down list provides you with a list of available axes, to which you can apply plus and / or minus tolerances. The list contains the following:

ALL | All the axes and options displayed in the drop down list
D1 | Diameter/Width of the first datum
D2 | Diameter/Width of the second datum
D3 | Diameter/Width of the third datum
DF | Diameter/Width of the feature
LF | Length of the feature if the feature is a slot
WF | Width of the feature if the feature is a slot
LD | Length of the datum if the datum is a slot
WD | Width of the datum if the datum is a slot
TP | True position tolerance and its associated deviation


Plus

In the Plus box you can enter the plus values for tolerances of the axis or axes selected from the Axes drop-down list.


Minus

In the Minus box you can enter the minus values for tolerances of the axis or axes selected from the Axes drop-down list.


Dimension Options - Distance

Distance

Distance Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Distance dialog box

The Dimension | Distance menu option calculates the distance between two features. You can select a third feature or an axis for the direction to use in the calculation.

Calculating distance is a bit more difficult to visualize than most of the other dimension calculations. Distance that is calculated between two features uses either the default or straight line method. Two-dimensional distances using a straight line will be parallel to the work plane. Three-dimensional distances using a straight line will be from centroid to centroid.

More:

To Dimension a Distance Using the DISTANCE option:

Plus Tolerance

Minus Tolerance

General Rules for 2D and 3D Distance Dimensions

Relationship

Orientation

Circle Options


To Dimension a Distance Using the DISTANCE option:

  1. Select Dimension from the menu bar.

  2. Select Distance. The Distance dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Enter the plus tolerance value in the Plus box.

  5. Enter the minus tolerance value in the Minus box.

  6. Select either the 2 Dimensional or 3 Dimensional option in order to specify the distance type.

  7. Select either Inch or MM in the Units area.

  8. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  9. Select either the To Feature, To X Axis, To Y Axis or To Z Axis option to determine the relationship that defines the distance.

  10. Select either the Perpen To or the Parallel To radio button.

  11. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  12. Select the desired analysis options by selecting the Textual check box or the Graphical check box. If the Graphical check box was selected, type the multiplier value in the Multiplier box.

  13. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = 2D_DISTANCE,FROMfeat_1,TOfeat_2,TOG1,workplane,TOG2
or
dimension_name = 3D_DISTANCE,FROMfeat_1,TOfeat_2,TOG1,workplane,TOG2

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

TOG1= PARALLELto / PERPENDto

work plane = this field can be changed to any feature. The default is the current workplane.

TOG2= NO_RADIUS / ADD_RADIUS / SUB_RADIUS

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Distance - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any distance that measures more than your nominal or theoretical distance can still be a valid distance as long as it falls within the tolerance range specified.


Dimension Options - Distance - Minus Tolerance

Minus Tolerance

This Minus box allows you to enter a tolerance value along the minus direction. This means that any distance that measures less than your nominal or theoretical distance can still be a valid distance as long as it falls within the tolerance range specified.


General Rules for 2D and 3D Distance Dimensions

2D and 3D distance dimensions apply the following rules according to the related features:

Treatment of Features

  • Spheres, Points, and Sets are treated as Points.

  • Slots, Cylinders, Cones, Lines, and Circles are treated as Lines.

  • Planes are treated normally, as Planes.

Other Rules

  • If both elements are points (as defined above), PC-DMIS gives the shortest distance from point to point.

  • If one element is a line (as defined above) and the other is a point, PC-DMIS gives the shortest distance between the line (or centerline) and the point.

  • If both elements are lines, PC-DMIS gives the shortest distance between the centroid of the second line to the first line.

  • If one element is a plane and the other is a line, PC-DMIS gives the shortest distance between the centroid of the line and the plane

  • If one element is a plane and the other is a point, PC-DMIS gives the shortest distance between the point and the plane.

  • If both elements are planes, PC-DMIS gives the shortest distance between the centroid of the second plane to the first plane.

More:

2D Distance

3D Distance


2D Distance

The 2 Dimensional option calculates the two-dimensional distance between features. All features used to calculate the 2D distance are first projected into the current work plane before the distance is computed. PC-DMIS computes the maximum, minimum and average distances between the two features. If the distance is between two lines or planes, the maximum, minimum and average are computed using the measurement point data. (Verify that the distance type is set to 2 Dimensional.)

2D distances that are calculated using three features will be either parallel or perpendicular to a datum feature. The datum feature can be any previously measured or constructed feature.

To calculate the distance using three features:

  1. Select the two features that will be used to calculate the distance.

  2. Select the third (datum) feature. (Using a line for the third feature will provide the best results.)

  3. Verify that the correct orientation is marked.

  4. Select the To Feature check box.

  5. Click the Create button.

PC-DMIS will calculate the distance between the first two features parallel or perpendicular to the third (datum) feature or axis.

Note: When the Close button is clicked, PC-DMIS will close the Distance dialog box without creating another dimension.


3D Distance

The 3 Dimensional option calculates the three-dimensional distance between two features.

  • If one of the input features is a line, centerline, or plane, PC-DMIS computes the 3D distance normal to that feature.

  • If both features are lines, centerlines, or planes the second feature is used for the datum.

  • If neither input feature is a line, centerline, or plane, PC-DMIS computes the shortest distance between the two features. (Verify that the mode is set to 3 Dimensional.)


Dimension Options - Distance - Relationship

Relationship

relate Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The check boxes in the Relationship area of the dialog box allow you to specify whether the distance measured between two features will be perpendicular to or parallel to a specific axis, or perpendicular to or parallel to the second selected feature:

More:

To Feature check box

To X Axis check box

To Y Axis check box

To Z Axis check box


To Feature check box

If two features are marked to calculate the distance, and the To Feature check box is selected, the second feature will be the datum feature. You can also select the Perpendicular To, or Parallel To options. These options tell PC-DMIS to measure the distance between the first selected feature parallel to, or perpendicular to the second selected feature. This option is helpful if a circle and line are the selected features.


To X Axis check box

Select the To X Axis check box if you are measuring the distance from the first selected feature to the second selected feature, perpendicular to or parallel to the X axis.


To Y Axis check box

Select the To Y Axis check box if you are measuring the distance from the first selected feature to the second selected feature, perpendicular to or parallel to the Y axis.


To Z Axis check box

Select the To Z Axis check box if you are measuring the distance from the first selected feature to the second selected feature, perpendicular to or parallel to the Z axis.


Dimension Options - Distance - Orientation

Orientation

orient Hotspot 2 Hotspot 1 When measuring the distance between two features you have the option of determining how the distance is to be measured by using these orientation options.

  • Measure the distance between the first selected feature parallel or perpendicular to the second selected feature.

  • Measure the distance between the first selected feature and the second selected feature parallel to or perpendicular to a specific axis.

The Perpendicular To and the Parallel To options allow you to determine the orientation of the features.

More:

Perpendicular To

Parallel To


Perpendicular To

Select the Perpendicular To option if the distance between the two features is perpendicular to either the second feature, or perpendicular to a specified axis.


Parallel To

Select the Parallel To option if the distance between the two features is parallel to either the second feature, or parallel to a specified axis.


Circle Options

With the Circle Options area you can use the Add Radius and Subtract Radius options to tell PC-DMIS to either add or subtract the radius of the measured feature to the total distance that is measured. The amount that is added or subtracted will always be along the same vector that calculates the distance. Only one option is available at a time.

Using the No Radius option does not apply the radius of the feature to the distance measured.


Angle Between

anglebet Hotspot 23 Hotspot 22 Hotspot 19 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Angle Between dialog box

The Dimension | Angle Between menu option calculates the angle between two selected features. (Verify that the option To Feature is selected.) If only one feature is specified, the angle is calculated between the major axis of the current working plane (the default axis is X) and the selected feature. If the angle reported by PC-DMIS is not in the correct quadrant (you want 0.0, not 180.0), just type the correct nominal angle in the Edit window. PC-DMIS will automatically convert the quadrant to match the nominal angle.

The direction of the lines determines the angle that is measured.

More:

To Dimension the Angle Between Two Features:

Plus Tolerance

Minus Tolerance

2 Dimensional Angle Type

3 Dimensional Angle Type

Relationship


To Dimension the Angle Between Two Features:

  1. Select Dimension from the menu bar.

  2. Select Angle Between. The Angle Between dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Type the minus tolerance value in the Minus box.

  6. Select either the 2 Dimensional or 3 Dimensional option in order to specify the angle type.

  7. Select either Inch or MM in the Units section.

  8. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  9. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  10. Select either the To Feature, To X Axis, To Y Axis or To Z Axis option to determine the relationship that defines the angle.

  11. Select the desired analysis options by selecting the Textual check box or the Graphical check box. If the Graphical check box was selected, type the multiplier value in the Multiplier box.

  12. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = 2D_ANGLETOG1,FROMfeat_1,TOfeat_2,TOG2,workplane
or
dimension_name = 3D_ANGLETOG1,FROMfeat_1,TOfeat_2,TOG2,workplane

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
A | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

TOG1= TRUE / COMPLEMENT. This field can be used to verify or change whether or not the Angle Between dimension calculates the true angle or the complement of the true angle between two features.

TOG2= PARALLELto / PERPENDto

work plane = this field can be changed to any feature. The default is the current workplane.

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Angle Between - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any angle that measures more than your nominal or theoretical angle can still be a valid angle as long as it falls within the tolerance range specified.


Dimension Options - Angle Between - Minus Tolerance

Minus Tolerance

This Minus box allows you to enter a tolerance value along the minus direction. This means that any angle that measures less than your nominal or theoretical angle can still be a valid angle as long as it falls within the tolerance range specified.


2 Dimensional Angle Type

The 2 Dimensional option calculates the two-dimensional angle between features.


3 Dimensional Angle Type

The 3 Dimensional option calculates the three-dimensional angle between features. If only one feature is selected, the angle is calculated between the current working plane and the selected feature. See Angle Between for instructions on converting the quadrant of the reported angle.


Dimension Options - Angle Between - Relationship

Relationship

relate2 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The check boxes in the Relationship area of the dialog box allow you to specify whether the distance measured between two features will be perpendicular to or parallel to a specific axis, or perpendicular to or parallel to the second selected feature:

More:

To Feature

To X Axis

To Y Axis

To Z Axis


To Feature

Select the To Feature check box if you are measuring the angle between two features.

The second feature will be the datum feature.


To X Axis

Select the To X Axis check box if you are measuring the angle between a feature and the X axis.


To Y Axis

Select the To Y Axis check box if you are measuring the angle between a feature and the Y axis.


To Z Axis

Select the To Z Axis check box if you are measuring the angle between a feature and the Z axis.


Concentricity

concent Hotspot 13 Hotspot 12 Hotspot 13 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Concentricity dialog box

The Dimension | Concentricity menu option calculates the concentricity of two circles or cylinders, cones or spheres. The second feature that is entered is always the datum feature. If only one feature is selected, the current working plane becomes the datum feature. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the CONCENTRICITY Option:

Plus Tolerance


To Dimension a Feature Using the CONCENTRICITY Option:

  1. Select Dimension from the menu bar.

  2. Select Concentricity. The Concentricity dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Select either Inch or MM in the Units section.

  6. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  7. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  8. Select the desired analysis options by selecting the Textual check box or the Graphical check box. If the Graphical check box was marked, type the multiplier value in the Multiplier box.

  9. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = CONCENTRICITY,FROMfeat_1,TOfeat_2

or

dimension_name = CONCENTRICITY,FROMfeat_1,TO THE ORIGIN

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Concentricity - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any concentricity that differs from your nominal or theoretical concentricity can still be a valid measurement as long as it falls within the tolerance range specified.


Coaxiality

coaxial Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Coaxiality dialog box

The Dimension | Coaxiality menu option calculates the coaxiality of a cylinder, cone, or line with a datum feature. The second feature that is entered is always the datum feature, and may be a cylinder, cone, line, or circle. If only one feature is selected, the current working plane becomes the datum feature. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the COAXIALITY Option:

Plus Tolerance

Projected Distance


To Dimension a Feature Using the COAXIALITY Option:

  1. Select Dimension from the menu bar.

  2. Select Coaxiality. The Coaxiality dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Select either Inch or MM in the Units area.

  6. Select where to output the dimension information. Select the Statistics, Report, or Both options.

  7. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  8. Select the desired Analysis options by selecting one or both of the check boxes. If the Graphical check box was selected, enter the Multiplier value in the Multiplier box.

  9. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = COAXIALITY,FROMfeat_1,TOfeat_2
or
dimension_name = COAXIALITY,FROMfeat_1,TO THE ORIGIN

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, use your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Coaxiality - Plus Tolerance

Plus Tolerance

This Plus box allows you to enter a tolerance value along the plus direction. This means that any concentricity that differs from your nominal or theoretical concentricity can still be a valid measurement as long as it falls within the tolerance range specified.


Dimension Options - Coaxiality - Projected Distance

Projected Distance

PC-DMIS allows you to type a reference distance. This option is useful when you want to specify the points along the feature axis to be used in the coaxiality calculations. When this distance is zero, the two points used will be the endpoints of the axis. When this distance is nonzero, the two points used will be the starting point of the axis, and along the axis vector the distance from the starting point.


Roundness

roundnes Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Roundness dialog box

The Dimension | Roundness menu option determines the roundness of a circle, cylindricity of a cylinder, sphericity of a sphere and the conicity of a cone. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the ROUNDNESS Option:

Plus Tolerance


To Dimension a Feature Using the ROUNDNESS Option:

  1. Select Dimension from the menu bar.

  2. Select Roundness. The Roundness dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Select either Inch or MM in the Units section.

  6. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  7. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  8. Select the desired Analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, enter the Multiplier value in the Multiplier box.

  9. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = ROUNDNESS,OFfeat_1

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Roundness - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any roundness that differs from your nominal or theoretical roundness can still be a valid measurement as long as it falls within the tolerance range specified.

The roundness of a feature is determined with a specified level of confidence. This level of confidence is also known as the 95 % Confidence Factor.


Straightness

straight Hotspot 13 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Straightness dialog box

The Straightness option calculates the straightness of a line. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the STRAIGHTNESS Option:

Plus Tolerance


To Dimension a Feature Using the STRAIGHTNESS Option:

  1. Select Dimension from the main men.

  2. Select Straightness.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Select either Inch or MM in the Units section.

  6. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  7. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  8. Select the desired Analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, enter the Multiplier value in the Multiplier box.

  9. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = STRAIGHTNESS,OFfeat_1

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Straightness - Plus Tolerance

Plus Tolerance

This Plus box allows you to enter a tolerance value along the plus direction. This means that any straightness that differs from your nominal or theoretical straightness can still be a valid measurement as long as it falls within the tolerance range specified.

The straightness of a feature is determined with a specified level of confidence. This level of confidence is also known as the 95% Confidence Factor.


Flatness

flatness Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Flatness dialog box

The Dimension | Flatness menu option determines the flatness of a plane. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the FLATNESS Option:

Plus Tolerance


To Dimension a Feature Using the FLATNESS Option:

  1. Select Dimension from the menu bar.

  2. Select Flatness. The Flatness dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Select either Inch or MM in the Units section.

  6. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  7. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  8. Select the desired Analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, enter the multiplier value in the Multiplier box.

  9. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = FLATNESS,OFfeat_1

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Flatness - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any flatness that differs from your nominal or theoretical flatness can still be a valid measurement as long as it falls within the tolerance range specified.

The flatness of a feature is determined with a specified level of confidence. This level of confidence is also known as the 95% Confidence Factor.


Perpendicularity

perpend Hotspot 16 Hotspot 15 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Perpendicularity dialog box

The Dimension | Perpendicularity menu option measures the perpendicularity between two features. The second feature is always the datum feature. When only one feature is selected, the current working plane becomes the datum feature. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the PERPENDICULARITY Option:

Plus Tolerance

Projected Distance


To Dimension a Feature Using the PERPENDICULARITY Option:

  1. Select Dimension from the menu bar.

  2. Select Perpendicularity. The Perpendicularity dialog box will appear.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Enter the projected distance in the Distance box.

  6. Select either Inch or MM in the Units section.

  7. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  8. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  9. Select the desired Analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, type the Multiplier value in the Multiplier box.

  10. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = PERPENDICULARITY,OFfeat_1,TOfeat_2

or

dimension_name = PERPENDICULARITY,OFfeat_1,TOworkplane

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Perpendicularity - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any perpendicularity that differs from your nominal or theoretical perpendicularity can still be a valid measurement as long as it falls within the tolerance range specified.


Dimension Options - Perpendicularity - Projected Distance

Projected Distance

PC-DMIS allows you to type a reference distance in the Distance box. This option is useful when the feature not only needs to be perpendicular to the datum feature, but needs to be calculated a certain distance away from the datum as well.


Parallelism

Parallel Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parallelism dialog box

The Dimension | Parallelism menu option measures the parallelism between two features. The second feature is always the datum feature. When only one feature is selected, the current working plane becomes the datum feature. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Perform a Dimension Using PARALLELISM:

Plus Tolerance

Projected Distance


To Perform a Dimension Using PARALLELISM:

  1. Select Dimension from the menu bar.

  2. Select Parallelism

  3. Select the feature(s) to dimension from the Feature List box.

  4. If a datum feature is desired, select the Use Datums checkbox.

  5. If a datum feature is desired, select another feature in the Feature List box.

  6. Select the appropriate Material Condition options for the feature(s) and datum.

  7. Type the plus tolerance value in the Plus box.

  8. Type the projection distance in the Distance box.

  9. Select either the Inch or MM option in the Units area.

  10. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  11. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  12. Select the desired analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, enter the Multiplier value in the Multiplier box.

  13. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = PARALLELISM,OFfeat_1,TOG1,TOfeat_2,TOG1
or
dimension_name = PARALLELISM,OFfeat_1,TOG1,TOworkplane
AX | NOM | +TOL | -TOL | BON | MEAS | MAX | DEV | OUT-TOL
DF D1 M | 1.0000 0.0000 0.0000 | 0.0100 0.0100 0.0100 | 0.0100 0.0100 0.0100 | 0.0000 0.0000 0.0000 | 1.0000 0.0000 0.0000 | 0.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 0.0000

TOG1= MMC / RFS / LMC

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Parallelism - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any parallelism that differs from your nominal or theoretical parallelism can still be a valid measurement as long as it falls within the tolerance range specified.


Dimension Options - Parallelism - Projected Distance

Projected Distance

PC-DMIS allows you to type a reference distance in the Distance box. This option is useful when the feature not only needs to be parallel to the datum feature, but needs to be calculated a certain distance away from the datum as well.


Runout

runout Hotspot 15 Hotspot 14 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Runout dialog box

The Dimension | Runout menu option determines the runout of the first feature with respect to the second feature (i.e., the second feature becomes the datum feature). If only one feature is selected, the normal of the work plane becomes the datum feature. This option works for circles, cones, cylinders, spheres, and planes. This dimension type is considered one sided, meaning a single positive value tolerance is applied.

More:

To Dimension a Feature Using the RUNOUT Option:

Plus Tolerance


To Dimension a Feature Using the RUNOUT Option:

  1. Select Dimension from the menu bar.

  2. Select the Runout option.

  3. Select the feature(s) to dimension from the Feature List box.

  4. Type the plus tolerance value in the Plus box.

  5. Select either Inch or MM in the Units area.

  6. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  7. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  8. Select the desired analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, enter the Multiplier value in the Multiplier box.

  9. Click the Create button.

The dimension will appear in the Edit window with this information:
dimension_name = RUNOUT,OFfeat_1,TOfeat_2

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Runout - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any runout that differs from your nominal or theoretical runout can still be a valid measurement as long as it falls within the tolerance range specified.


Profile

profile1 Hotspot 21 Hotspot 20 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 9 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Profile dialog box

The Dimension | Profile menu option computes the profile error of a feature.

Note: The Profile dimension has changed from PC-DMIS 3.0 and earlier versions. You can now use any type of feature for a profile scan.

More:

To Dimension a Feature Using the PROFILE Option:

Tolerances

Projected Distance

Form Only

Form and Location


To Dimension a Feature Using the PROFILE Option:

  1. Select Dimension from the menu bar.

  2. Select Profile.

  3. Select the feature(s) to dimension from the Feature List box. If a datum feature is selected, it must be a plane.

  4. Type the plus tolerance value in the Plus box.

  5. Type the minus tolerance value in the Minus box.

  6. Type the projection distance in the Distance box.

  7. Select either Inch or MM in the Units area.

  8. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  9. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  10. Select either Form Only or Form and Location in the Control Options area of the dialog.

  11. Select the desired analysis options by marking the Textual check box or the Graphical check box. If the Graphical check box was marked, type the multiplier value in the Multiplier box.

  12. Click the Create button.

The dimension will appear in the Edit window with this information:

dimension_name = PROFILE,OFfeat_1

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Dimension Options - Profile - Tolerances

Tolerances

This dimension type is considered either one sided, meaning a single positive value tolerance is applied, or two sided, meaning upper and lower tolerance values are applied.

  • If the Form Only option has been selected, only a plus tolerance can be applied.

  • If the Form and Location has been selected, the profile dimension can be one sided or two sided.

More:

Plus Tolerance

Minus Tolerance


Dimension Options - Tolerances - Plus Tolerance

Plus Tolerance

The Plus box allows you to enter a tolerance value along the plus direction. This means that any profile that measures more than your nominal or theoretical profile can still be a valid measurement as long as it falls within the tolerance range specified.

PC-DMIS also allows a negative-upper tolerance (or a minus tolerance in the positive range). This is done by entering in a minus sign before the value in the Plus box.


Dimension Options - Tolerances - Minus Tolerance

Minus Tolerance

The Minus box allows you to enter a tolerance value along the minus direction. This means that any profile that measures less than your nominal or theoretical profile can still be a valid measurement as long as it falls within the tolerance range specified.

PC-DMIS allows positive-lower tolerances (or a positive tolerance in the negative range). This is done by typing a minus sign before the value in the Minus box.


Dimension Options - Profile - Projected Distance

Projected Distance

The Distance box allows you to enter in a reference distance. If a reference distance is entered, the profile of the curve or surface must lie within a tolerance band the specified distance from the datum. If a datum is not specified, the profile still has a tolerance band, but the tolerance band can lie anywhere and the part still is acceptable (as long as the entire surface is within the tolerance band). If the location of the surface is also important, measure a datum feature and create the profile dimension at a specified reference distance from that datum.


Form Only

When dimensioning a profile, selecting the Form Only option, you can tell PC-DMIS to only determine if a particular profile matches the same form as its nominal. This option ignores whether the location of the profile is outside of acceptable tolerances.


Form and Location

When dimensioning a profile, using the Form and Location option, you can determine if a particular profile matches the same form and the same location as its nominal. This differs from the Form Only option, because the location of the profile must also be within acceptable tolerances.


Angularity

angular Hotspot 17 Hotspot 16 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Angularity dialog box

The Dimension | Angularity menu option computes the angularity error of a plane or line to a datum plane or line. (If only one feature is selected or keyed in, PC-DMIS uses the current working plane as the datum.)

More:

To Compute the Angularity Error by Using the ANGULARITY Option:

Reference Angle

Plus Tolerance

Projected Distance


To Compute the Angularity Error by Using the ANGULARITY Option:

  1. Select Dimension from the menu bar.

  2. Select Angularity. The Angularity dialog box will appear.

  3. Type the nominal angle from the datum in the Angle box.

  4. Select or type the plane/line, feature and datum.

  5. Type the plus tolerance value in the Plus box.

  6. Type the projection distance in the Distance box.

  7. Select either Inch or MM in the Units area.

  8. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  9. Select the optional Display check box if you want to view dimension information in the Graphics Display window.

  10. Select either Form Only or Form and Location in the Control Options area of the dialog box.

  11. Select the desired analysis options by selecting the Textual check box or the Graphical check box. If the Graphical check box was selected, type the multiplier value in the Multiplier box.

  12. Click the Create button.

The dimension will appear in the Edit window with this information:
dimension_name = ANGULARITY,OFfeat_1,TOfeat_2,distance

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

feat_2: LINE or PLANE.

PC-DMIS then computes the angularity error and displays it in the current dimension window.

Note: After the dimension is created, the dialog box will remain open. If desired, click your Edit button at this time to edit aspects of your dimension's information. See Edit Default Dimension Info.


Reference Angle

The Angle box allows you to type the nominal angle from the datum feature.


Dimension Options - Angularity - Plus Tolerance

Plus Tolerance

The Plus box allows you to type a tolerance value along the plus direction. This means that any angularity error that differs from your nominal or theoretical angularity error can still be a valid measurement as long as it falls within the tolerance range specified.


Dimension Options - Angularity - Projected Distance

Projected Distance

PC-DMIS allows you to project a reference distance. This option is useful when the feature not only needs to be a specific angle from the datum feature, but needs to be calculated a certain distance from the datum as well.


Keyin

keyin Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Dimensional Keyin dialog box

The Dimension | Keyin menu option allows you to capture and "key in" data not measured with the CMM (for instance, adding a dimension that is measured with calipers). This option allows you to print out all inspection results on the inspection report (not just features measured with the CMM). It is also useful when collecting data for statistical analysis.

More:

To Add Dimensions Using the KEY IN Option:

Nominal

Actual

Plus Tolerance

Minus Tolerance


To Add Dimensions Using the KEY IN Option:

  1. Select Dimension from the menu bar.

  2. Select Keyin. The Dimensional Keyin dialog box will appear.

  3. Type the ID number for the dimension in the ID = box.

  4. Type the nominal value in the Nominal box.

  5. Type the actual value in the Actual box.

  6. Select where to output the dimension information. Select either the Statistics, Report, or Both option.

  7. Click the Create button. The dimension will then appear in the Edit window with this information:
dimension_name = KEYIN,feat_1
AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Dimension Options - Keyin - Nominal

Nominal

The Nominal box allows you to enter in the nominal (or theoretically perfect) measurement for a feature.


Actual

The Actual box allows you to enter in the actual measurement for a feature.


Dimension Options - Keyin - Plus Tolerance

Plus Tolerance

The Plus Tol box allows you to enter a tolerance value along the plus direction. This means that any measurement that measures more than your nominal or theoretical measurement can still be a valid measurement as long as it falls within the tolerance range specified.


Dimension Options - Keyin - Minus Tolerance

Minus Tolerance

The Minus Tol box allows you to enter a tolerance value along the minus direction. This means that any measurement that measures less than your nominal or theoretical measurement can still be a valid measurement as long as it falls within the tolerance range specified.


Auto Utility: Introduction

The Auto Util menu allows you to access the Direct Computer Control (DCC) functions if an automatic CMM (Coordinate Measuring Machine) is being used. The Auto Feature menu option allows you to create any type of DCC feature.

The main topics in this section include:

  • Sheet Metal Measurements

  • Common Functions of Sheet Metal Dialog Boxes

  • Vector Point

  • Surface Point

  • Edge Point

  • Angle Point

  • Corner Point

  • High Point

  • Circle

  • Cylinder

  • Sphere

  • Square Slot

  • Round Slot

  • Ellipse

  • Notch

  • Relative Measure Setup

  • Execute Feature

  • Move To

  • Insert Move

  • Rotate Table to Active

  • Insert Exclusion Zone


Auto Utility - Sheet Metal Measurements

Sheet Metal Measurements

PC-DMIS provides a library of functions to facilitate the measurement of sheet metal parts. These options are accessible as an added option to the basic PC-DMIS geometric software package. These options can be accessed by selecting the Auto Util menu from the menu bar.

The Auto Util menu provides you with access to various measurement routines designed specifically for sheet metal / thin walled material. The various options include:

  • Vector Point

  • Surface Point

  • Edge Point

  • Angle Point

  • Corner Point

  • High Point

  • Circle

  • Cylinder

  • Sphere

  • Square Slot

  • Round Slot

  • Ellipse

  • Notch


Common Functions of Sheet Metal Dialog Boxes

The probe is considered 'live' while in any of the Sheet Metal dialog boxes (Auto Util | Auto Features from the menu bar). This means that PC-DMIS is able to determine when the probe is being deflected. When PC-DMIS detects a probe deflection, it assumes that the currently defined feature in the dialog box is being measured. The message box will display the appropriate prompts to measure the remaining hits (if any) to complete the defined feature. Similarly, if the user clicks on the CAD data while the Sheet Metal dialog box is open, PC-DMIS will assume that the currently defined feature is being learned.

The following functions are available in many of the sheet metal point measurements:

More:

Find

Read Position

Flip Vector

Thickness

Auto PH9

Auto Clear Plane

Auto Move

Mode

ID

Rmeas

Measure

Polar / Rect Coordinates

Create button for Auto Features

Box Select for Sheet Metal Features ID's

Extended Sheet Metal Options


Auto Utility - Common Functions of Sheet Metal Dialog Boxes - Find

Find

The find option allows you to find the nearest CAD element on the CAD drawing based on the XYZ Point boxes. PC-DMIS allows you to either type or surface select the pertinent information.

Once you click the Find command button, PC-DMIS moves along the selected axis until it encounters the nearest CAD element. PC-DMIS then places the value of the axis where it intersected with the CAD element in the respective point box. PC-DMIS does this by piercing each surface in the CAD data and keeping the point closest to the input XYZ. The point XYZ and the surface normal vector IJK will then be displayed in the dialog box.

More:

Key In Method

Surface Select Method


Auto Utility - Find - Key In Method

Key In Method

The Key in method allows you to key in two axes and select the check box of the axis along which PC-DMIS will search for the nearest CAD element.

To do this:

  1. Type the values for all three axes.

  2. Select the check box of the axis along which you will find the nearest CAD element.

  3. Click the Find button.

It is important to type a value close to the CAD element you are trying to find.


Surface Select Method

The Surface Select method option allows you to use the mouse to select a CAD surface. This surface then provides the necessary values for the XYZ Point boxes.

To do this:

  1. Select the CAD surface with the left mouse button. PC-DMIS automatically places the XYZ values into the dialog box.

  2. Modify the XYZ values if needed.

  3. Select the check box for the axis to be found.

  4. Click the Find button.

The dialog box will then display the point and vector values if the input data pierces the surface.


Read Position

The Read Pos button immediately reads the probe position and fills its location into the XYZ of the feature.


Auto Utility - Common Functions of Sheet Metal Dialog Boxes - Flip Vector

Flip Vector

The Flip Vector button allows you to reverse the direction of the surface vectors. Click on Flip Vector to reverse the displayed values.


Auto Utility - Common Functions of Sheet Metal Dialog Boxes - Thickness

Thickness

The Thickness area allows you to input the part thickness. This amount is primarily used for thin parts (plastic or sheet metal) where the CAD data only describes one side. Often with thin parts, the CAD engineer will only draw one side of the part, and then specify the material thickness. PC-DMIS will apply this material thickness automatically when using the CAD surface data.

To change the current thickness:

  1. Select on the existing value.

  2. Type a new value.

Positive or negative values can be used. This thickness will be applied automatically along the surface normal vector each time CAD data is selected. If the feature has more than one normal vector (i.e. angle points and corner points), the thickness will be applied along the first normal vector.

The Edit window command line for this option would read:

THEO_THICKNESS = n

or

ACTL_THICKNESS = n

n: a numerical value indicating the thickness of the part.

Select the Theo option when the theoretical values need to be adjusted by a thickness because measurements are being done on opposite side of material.

Select the Actl option when measurements are being adjusted by the thickness back to the theoretical locations.


Auto PH9

The PH9 check box in the Auto area displays the current setting of the AUTO PH9. If this option is not selected, PC-DMIS will use the current PH9 position for all hits made. If the PH9 option is selected, PC-DMIS will choose a position that most closely approximates the best approach direction.

Auto PH9 can also be turned on globally by selecting Options | Setup | General.

  • For edge and angle point features, the best approach direction is the average of the two surface vectors.

  • For corner point features, the best approach direction is the average of the three surface vectors.

  • For all other sheet metal types, the best approach direction is the feature surface vector.


Auto Clear Plane

The Clear Plane check box in the Auto area, displays the current setting of the clearance plane. If you select this check box, PC-DMIS will insert a CLEARP MOVE (relative to the current coordinate system and part origin) before the first automatic sheet metal hit. After the last hit on the feature is measured, the probe will stay at probe depth until called to the next feature. Using clearance planes reduces programming time because the need to define intermediate moves is reduced. (See Options | Parameters | Clearpln for additional information on Clearance Planes.)

If the Clear Plane check box is selected, PC-DMIS will insert a MOVE/CLEARPLANE command before the feature.

The Edit window command line for this option would read:
MOVE/CLEARPLANE

Note: Clearance planes are not used when taking sample hits. It is therefore important when measuring studs to set the spacer value to a distance that will allow the probe to move around the stud.


Auto Move

The Move check box in the Auto area displays the current setting of the AUTO MOVE. If you select this checked box, PC-DMIS will generate an automatic move from the center point before the sample hits are taken and after the feature measurement is completed. This enables you to position the probe along the vector before and after taking hits without specifying a clearance plane. If it is off (unchecked box), PC-DMIS will take the hits without positioning the probe.

The Edit window command line for this option would read:

AUTO MOVE = TOG, DISTANCE = n

TOG: This toggle field switches between YES (on) and NO (off).

n: a numerical value indicating the Auto Move Distance.

More:

Distance


Auto Utility - Auto Move - Distance

Distance

The Dist. box allows you to input the distance the probe will move before sample hits are taken and after the feature's hits are taken. The probe will move along the theoretical vector. This option is only available if the Move check box is selected.


Mode

mode Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The Mode list in the Misc area determines how the nominals will be computed for a given point. PC-DMIS allows you to choose between FIND NOMS, MASTER, and NOMINALS.

If MODE = NOMINALS is active, PC-DMIS will compare the measured feature with the theoretical data in the dialog box, using the measured data for calculations.

If MODE = MASTER is active, then PC-DMIS will use the measured feature as the nominal, but will not update the X, Y, Z and diameter data in the dialog box.

Note: If a nominal value is not known, simply select FIND NOMS from the list. While this option is active, every time a value is selected to be changed, PC-DMIS will prompt you to take the appropriate measurements on the part to obtain the values needed.

More:

Find Noms

Master

Nominals


Find Noms

When you select FIND NOMS from the Mode list, PC-DMIS will pierce the CAD model to find the closest location on a CAD edge (or surface) to the measured point, and set the nominals to that location on the CAD element.

To find the nominals using CAD data:

  1. Verify that PC-DMIS is set to Curve mode or Surface mode (available from the toolbar), as is appropriate for the particular part program. (The hot key combination CTRL + F5 will switch between the available options.)

  2. Click on the desired CAD element in the Graphics Display window. PC-DMIS will pierce the CAD element to obtain the location, but will not create a feature. Once the desired elements have been selected, PC-DMIS will automatically fill in the X, Y, Z and I, J, K values.

  3. If the values are satisfactory, select the Create command button.

CAUTION: If you select the Measure box, PC-DMIS will measure the part.

If a hit is taken on the part while in FIND NOMS mode, PC-DMIS will search through the CAD elements and find the nominal CAD information that is closest to the measured point. If necessary, PC-DMIS will prompt you to take any additional hits on the part.

The next time the part is measured, PC-DMIS will set the nominal data to the nearest CAD element it can find. The mode switch will then be reset to NOMINALS.


Master

If a point is created when the Mode list is set to MASTER, then the next time the part is measured, PC-DMIS will set the nominal data equal to the measured data. The Mode list will then be reset to NOMINALS.


Nominals

The NOMINALS option also requires you to have nominal data before the measurement process begins. PC-DMIS will compare the measured feature with the theoretical data in the dialog box, using the measured feature for any necessary calculations.


Auto Utility - Common Functions of Sheet Metal Dialog Boxes - ID

ID

The ID box shows the current ID for the auto feature being created.

To change the ID for a particular feature:

  1. Select the previous ID in the ID box.

  2. Type a new ID.


Rmeas

The Rmeas (Relative Measure) button keeps the relative position and orientation between a given feature and the sheet metal feature. The Rmeas button will display a list of features for selection. The Edit box displays the selected feature. This option supports the DMIS V3.0 RMEAS formats 1, 3 and 6.

Note: Do not confuse this option with Re-Measure [image] check box.


Auto Utility - Common Functions of Sheet Metal Dialog Boxes - Measure

Measure

The Measure check box allows you to begin the measurement process. Select this check box and PC-DMIS will measure the part based on the values specified in the dialog box after you click the Create button.


Polar / Rect Coordinates

Clicking this toggle button switches between Polar and Rect. These choices allows you to select the coordinate system that will be used to display the point or center values for the DCC feature. In Rect mode, the values are displayed in XYZ. In Polar mode, the values are displayed as radius, angle and height (shown as R, A, and H in the dialog box). The height depends on the workplane currently being used. If the current workplane is ZPLUS, the height is the Z value.


Create button for Auto Features

The Create button will create a feature from the nominal data displayed in the dialog box.

If the Measure check box is selected and the system is in DCC mode, PC-DMIS will automatically measure the requested feature. If the system is in MANUAL mode, PC-DMIS will request you to take the required hits.


Box Select for Sheet Metal Features ID's

PC-DMIS'S ability to 'box select' feature identifications now allows an intersection of sheet metal features between two box selected groups of features. This functionality makes the selection of multiple 3-dimensional objects much easier. Additionally, if any CAD objects are box selected and then a CAD object is chosen without box select, those objects that were box selected become permanent selections in addition to the single selection.

To 'box select' a group of features:

  1. Open up the Auto Feature dialog box, by selecting Auto Util | Auto Features (CTRL + F).

  2. While the Auto Feature dialog box is open, place the mouse cursor at one corner of where the box is to be drawn (where the features are that you want to select).

  3. Hold down the left mouse button.

  4. Drag the mouse cursor across the Graphics Display window until the 'box' contains the features you want. PC-DMIS will draw the box outline on the screen as the mouse is dragged.

  5. When the 'box' is satisfactory, release the left mouse button. PC-DMIS will highlight all the elements in the box and list them in a feature list box.

  6. Repeat the process to select another group of features.

Example: If the first 'box select' process picks four circles and the next 'box select' picks the last two of the original four circles, then the first two circles are automatically un-selected leaving the last two circles (the intersection of the two groups) selected.


Extended Sheet Metal Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options check box is selected. (See Options | Setup | General.) These functions are common among many of the sheet metal point measurements.

More:

Reset

Set Nom Ax


Auto Utility - Extended Sheet Metal Options - Reset

Reset

The Reset button allows you to reset the support vectors so that they equal the Norm Vec IJK values. The support vectors include measure, report, update, stud and punch.


Set Nom Ax

The SET NOM AX option will allow you to update (or "set") the nominal point location and the nominal approach direction before each execution. If you select an axis check box from the Location area, the CAD surfaces will be pierced along that axis. Otherwise, the update vector will be used.

The axis (or vector) selected tells PC-DMIS along which axis (or vector) the CAD surface will be pierced to find a new theo and target.

To select the SET NOM AX option:

  1. Make sure the Show Extended Sheet Metal Option box is selected. (See Options | Setup | General.)

  2. If desired, select one of the axis check boxes from the Location area.

  3. Click SET NOM AX from the Mode list in the dialog box.

  4. When you are done defining the rest of the auto feature, click the Create button. The FIND NOM AXIS will then be set to either the axis or the vector selected.

The Edit window for this reads: FIND NOM AXIS = TOG

TOG represents the axis or vector to which FIND NOM AXIS is set. Available options for TOG include:
XAXIS
YAXIS
ZAXIS
VEC
NONE

If you don't select any axis, then the result reads: FIND NOM AXIS = VEC by default.

Note: This option is only available for Vector Point and Surface Point auto features.


Vector Point

vector Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Vector Point tab — Auto Features dialog box

The Vector Point measurement option allows you to define a nominal point location as well as the nominal approach direction that the CMM will use to measure the point defined.

To access the Vector Point option,

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Vector Point tab.

The Edit window command line for a sample Vector Point would read:
F_ID=AUTO/VECTOR POINT, SHOWHITS = NO, SHOWALLPARAMS = Y/N
THEO/ X,Y,Z,I,J,K,
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG, SNAP = Y/N
AUTO MOVE = Y/N, DISTANCE = n

More:

Vector Point Field Definitions

Measuring a Vector Point

XYZ Point for a Vector Point

IJK Normal Vec for a Vector Point

Find Vector for a Vector Point

Snap Point

Extended Vector Point Options


Vector Point Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, SNAP, AUTO MOVE, and DISTANCE fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

SNAP = This YES/NO toggle field allows you to choose whether or not PC-DMIS "snaps to" the theoretical approach vector in order to eliminate CMM position error.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Vector Point

PC-DMIS allows several methods for measuring a vector point using the sheet metal option. They are listed in the following paragraphs as:

  • Using Keyed in Data for a Vector Point

  • Using Surface Data with the CMM for a Vector Point

  • Using Surface Data on the Screen for a Vector Point

  • Using Wire frame Data with the CMM for a Vector Point

  • Using Wire frame Data on the Screen for a Vector Point

  • Without Using CAD Data for a Vector Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Vector Point

Using Surface Data with the CMM for a Vector Point

Using Surface Data on the Screen for a Vector Point

Using Wire frame Data with the CMM for a Vector Point

Using Wire frame Data on the Screen for a Vector Point

Without using CAD Data for a Vector Point


Using Keyed in Data for a Vector Point

This method allows you to key in the desired X, Y, Z, I, J, K values for the vector point. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Vector Point

To generate a vector point using surface data with the CMM, touch on the desired surface of the part using the probe. PC-DMIS will pierce the CAD surface closest to the probe contact point.

  • If the touch point is actually near the surface data, the Measure check box is not selected, and the Done button on the jog box is pressed, the point feature will be created and added to the Edit window immediately.If the touch point is near the surface data, but the Measure box is selected, the surface data will still be used, but the feature will not be created until the Create button is clicked.

  • If the touch point is not near the surface data, PC-DMIS will treat the touch as an actual hit, displaying the hit location and approach vector.

  • If a second hit is taken prior to selecting the Create button, the location data of the second hit will be used.

  • If a third hit is taken, the three hits will be used to determine an approach vector, and the last hit will be used for the location.

  • If more than three hits are taken, all but the last hit will be used to determine the approach vector. The last hit will always be used to determine the location.


Using Surface Data on the Screen for a Vector Point

To generate a vector point using surface data:

  1. Position the cursor in the Graphics Display window to indicate the desired location of the point (on the surface)

  2. Click on the surface. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected.

PC-DMIS pierces the highlighted surface and displays the location and vector of the selected point. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector option lets you change the direction of the approach.

If additional mouse clicks are detected before you select the Create button, PC-DMIS will overwrite the previously displayed information with the new data.


Using Wire frame Data with the CMM for a Vector Point

To generate a vector point using wire frame data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS will also display the I, J, K vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits. A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector will also be updated to reflect an average of all previous hits (does not include the most recent hit) for the vector point.

The displayed data can be accepted at any time after the first, second or third hit is taken. Even if the third hit was not accepted, PC-DMIS internally resets the system, causing the next hit (hit #4) to become the first hit in the series.


Using Wire frame Data on the Screen for a Vector Point

To use wire frame CAD data to generate a vector point:

  1. Select two edges (wires) of the surface where the target point will be by clicking on the desired wires with the left mouse button. (These wires should be on the same surface.) PC-DMIS will highlight the selected wires.

  2. Verify that the correct wires have been selected. A message will appear.

  3. Select the target point on the created surface. This final selection will be projected into the plane that is formed by the two wire vectors and the first wire's height.


Without using CAD Data for a Vector Point

If the vector point is to be generated without the use of CAD data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS also will display the I, J, K approach vector of that hit. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits.

  • A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector also will be updated to reflect an average of all previous hits (does not include the most recent hit) for the vector point.


XYZ Point for a Vector Point

These boxes display the X, Y and Z nominal for the vector point.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates where it will be taking the hit on the part.


IJK Normal Vec for a Vector Point

The IJK Normal Vec boxes display the surface normal vector for the point. This vector is used for probe compensation. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value. After the new value is created, PC-DMIS will normalize the vector, making its length one unit.


Find Vector for a Vector Point

The Find Vector button will pierce all surfaces along the XYZ point and IJK vector looking for the closest point. The surface normal vector will be displayed as the IJK NOM VEC but the XYZ values will not change.


Auto Utility - Vector Point - Snap Point

Snap Point

When a vector point is measured the user has the option to have the measured values "snap to" the theoretical vector. Using the Snap Point check box, all the deviation will be along the vector of the point. This is useful for focusing on a deviation along one particular vector.

Example: If you are measuring a flat tabletop, which lies in the X Y plane and you take three hits, from the Z axis. Even if the X and Y values of the measured points are off, their deviations are irrelevant because the table is flat. However, any offset or deviation along the Z axis is what will be considered important. With Snap Point, the values for X and Y will be viewed as accurate hits and errors will be ignored. Snap Point will only display the table's deviation along the Z axis.


Extended Vector Point Options

extvect Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Vector Point tab — Extended Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options check box. (See Options | Setup | General.)

The Edit window command line for this option would read:
F_ID=AUTO/VECTOR POINT, SHOWHITS = NO, SHOWALLPARAMS = Y/N
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG, SNAP = Y/N
AUTO MOVE = Y/N, DISTANCE = n
FIND NOM AXIS = x, UPDATE VEC = I,J,K
MEASURE VEC = I,J,K, REPORT VEC = I,J,K

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Extended Vector Point Field Definitions

IJK Report Vec for a Vector Point

IJK Meas Vec for a Vector Point

IJK Update Vec for a Vector Point


Extended Vector Point Field Definitions

FIND NOM AXIS = This is a toggle field. The X,Y,Z axis, or VEC can be found. If it is OFF, the field will display NONE.

UPDATE VEC = This field indicates the update vector that will be used to pierce the CAD surface if the SET NOM AX mode is active. The values are editable.

MEAS VEC = This field indicates the approach direction for the hit that is taken. The values are editable.

REPORT VEC = This field indicates the vector used for reporting deviation. The values are editable.

See Vector Point Field Definitions for the standard vector point field definitions.


IJK Report Vec for a Vector Point

The IJK Report Vec boxes display the vector used for reporting deviation. This is a user supplied I, J, K vector. The Location Dimension option RT will display the deviation calculated along this vector.

To change the vector:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Meas Vec for a Vector Point

The IJK Meas Vec boxes display the approach direction for the hit that is taken. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value.

After the new value is created and you exit the dialog box, PC-DMIS will normalize the vector, making its length one unit.


IJK Update Vec for a Vector Point

The IJK Update Vec boxes display the update vector to be used to pierce the CAD surface, if the option is active by setting the SET NOM AX mode. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface.

To change the approach vector:

  1. Select the existing value

  2. Type a new value.

After the new value is created, PC-DMIS will normalize the vector, making its length one unit.


Surface Point

surf1 Hotspot 32 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Surface Point tab Auto Features dialog box

The Surface Point measurement option allows you to define a nominal point location as well as a nominal approach direction that the CMM will use to measure the point defined. PC-DMIS allows you to define the number of points that will be used to measure a plane around the nominal point location, as well as the size of the plane. Once the plane is measured, PC-DMIS will use the calculated surface normal vector of the plane to approach the nominal point location for measurement.

Note: The allowable number of sample hits needed to measure a surface point is zero or three.

To access the Surface Point option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Surface Point tab.

The Edit window command line for a sample Surface Point would read:
F_ID=AUTO/SURFACE POINT, SHOWHITS= NO, SHOWALLPARAMS = Y/N
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG, SNAP = Y/N
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
INIT = n, PERM = n, RADIUS = .n

More:

Surface Point Field Definitions

Measuring a Surface Point

XYZ Point for a Surface Point

IJK Normal Vec for a Surface Point

Find Vector for a Surface Point

Init / Perm Sample Hits for a Surface Point

Spacer for a Surface Point

Snap Point

Extended Surface Point Options


Surface Point Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, SNAP, AUTO MOVE, DISTANCE, RMEAS,$ INIT, PERM, and RADIUS fields.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

SNAP = This YES/NO toggle field allows you to choose whether or not PC-DMIS "snaps to" the theoretical approach vector in order to eliminate CMM position error.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

INIT / PERM = These toggle fields can be edited or changed. The valid choices are zero and three.

RADIUS = This value is an editable, non-negative distance.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Surface Point

PC-DMIS allows several methods for measuring a surface point using the sheet metal option. They are listed in the following paragraphs as:

  • Using Keyed in Data for a Surface Point

  • Using Surface Data with the CMM for a Surface Point

  • Using Surface Data on the Screen for a Surface Point

  • Using Wire frame Data with the CMM for a Surface Point

  • Using Wire frame Data on the Screen for a Surface Point

  • Without using CAD Data for a Surface Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Surface Point

Using Surface Data with the CMM for a Surface Point

Using Surface Data on the Screen for a Surface Point

Using Wire frame Data with the CMM for a Surface Point

Using Wire frame Data on the Screen for a Surface Point

Without using CAD Data for a Surface Point


Using Keyed in Data for a Surface Point

This method allows you to key in the desired X, Y, Z, I, J, K values for the surface point. See the Mode for additional information on nominals.


Using Surface Data with the CMM for a Surface Point

To generate a surface point using surface data with the CMM, touch on the desired surface of the part using the probe. PC-DMIS will pierce the CAD surface closest to where the probe touched.

  • If the touch point is actually near the surface data, and the measured check box is not selected, the point feature will be created and added to the Edit window immediately

  • If the touch point is near the surface data, but the measure box is checked, the surface data will still be used, but the feature will not be created until the Create button is clicked.

  • If the touch point is not near the surface data, PC-DMIS will treat the touch as an actual hit, displaying the hit location and approach vector.

  • If a second hit is taken prior to clicking the Create button, the location data of the second hit will be used.

  • If a third hit is taken, the three hits will be used to determine an approach vector, and the last hit will be used for the location.

  • If more than three hits are taken, all but the last hit will be used to determine the approach vector. The last hit will always be used to determine the location.

Note: The Find Noms mode option should be selected for this measurement method. See Mode for more information about Find Noms.


Using Surface Data on the Screen for a Surface Point

To generate a surface point using surface data:

  1. Click on the Surface Mode icon [image].

  2. Position the cursor in the Graphics Display window to indicate the desired location of the point (on the surface).

  3. Click the left mouse button. PC-DMIS will highlight the selected surface.

  4. Verify that the correct surface has been selected.

PC-DMIS pierces the highlighted surface, displaying the location and vector of the selected point. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector option (lets you change the direction of the approach.

If additional mouse clicks are detected before you select the Create button, PC-DMIS will overwrite the previously displayed information with the new data.


Using Wire frame Data with the CMM for a Surface Point

If the surface point is to be generated using wire frame CAD data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS will also display the I, J, K vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits.A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector also will be updated to reflect an average of all previous hits (excluding the most recent hit) for the surface point.

The displayed data can be accepted at any time after the first, second or third hit is taken. Even if the third hit was not accepted, PC-DMIS internally resets the system, causing the next hit (hit #4) to become the first hit in the series.


Using Wire frame Data on the Screen for a Surface Point

To use a wire frame CAD data to generate a surface point:

  1. Select two edges (wires) of the surface where the target point will be by clicking on the desired wires with the left mouse button. (These wires should be on the same surface.) PC-DMIS will highlight the selected wires.

  2. Verify that the correct wires have been selected. A message box will appear

  3. Select the target point on the created surface. This final selection will be projected into the plane that is formed by the two wire vectors and the first wire's height.


Without using CAD Data for a Surface Point

If the surface point is to be generated without the use of CAD data:

  • The first hit that is taken will indicate the X, Y, Z nominal. PC-DMIS will also display the I, J, K vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). This data can be accepted, or you can follow the messages displayed in the message box requesting additional hits.

  • A second hit will update the hit location and approach vector using the most recent hit.

  • The third hit on the surface will change the displayed X, Y, Z nominal to the current hit location. PC-DMIS will make a plane out of the three hits to find the I, J, K approach vector.

  • Any additional hits will update the location of the hit using the most current hit information. The approach vector also will be updated to reflect an average of all previous hits (does not include the most recent hit) for the surface point.


XYZ Point for a Surface Point

The XYZ Point boxes display the X, Y and Z nominal for the surface point.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates where it will be taking the hit on the part.


IJK Normal Vec for a Surface Point

The IJK Normal Vec boxes display the approach direction for the surface hit. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface.

To change the approach vector

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


Find Vector for a Surface Point

The Find Vector button will pierce all surfaces along the XYZ point and IJK vector looking for the closest point. The surface normal vector will be displayed as the IJK NOM VEC but the XYZ values will not change.


Init / Perm Sample Hits for a Surface Point

The Initial box allows you to define a number of sample hits to be used to measure a plane around the nominal point location the first time the feature is measured. zero and three are the only numbers accepted in this field.

  1. If the number is set to 0, PC-DMIS will measure the point at the nominal approach vector specified.

  2. If the number is set to 3, PC-DMIS will measure a plane around the nominal point location and use the surface normal vector from the three hits measured to approach the nominal point location.

The Perm (Permanent) box allows you to define a number of sample hits to be used to measure a plane around the nominal point location the second and subsequent times the feature is measured. Zero and three are the only numbers accepted in this field.

  1. If the number is set to 0, PC-DMIS will measure the point at the nominal approach vector specified.

  2. If the number is set to 3, PC-DMIS will measure a plane around the nominal point location and use the surface normal vector from the three hits measured to approach the nominal point location.


Spacer for a Surface Point

The Spacer box defines the distance from the nominal point location that PC-DMIS will use to measure a plane if sample hits are specified. It is the radius of the circle on which the three points lie.

To change this value:

  1. Select the value.

  2. Type a new value.


Auto Utility - Surface Point - Snap Point

Snap Point

When a surface point is measured the user has the option to have the measured values "snap to" the theoretical vector. Using the Snap Point check box, all the deviation will be along the vector of the point. This is useful for focusing on a deviation along one particular vector.

Example: If you are measuring a flat table top, which lies in the X Y, plane and you take three hits, from the Z axis. Even if the X and Y values of the measured points are off, their deviations are irrelevant because the table is flat. However, any offset or deviation along the Z axis is what will be considered important. With Snap Point, the values for X and Y will be viewed as accurate hits and errors will be ignored. Snap Point will only display the table's deviation along the Z axis.


Extended Surface Point Options

extsurf Hotspot 34 Hotspot 34 Hotspot 33 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Surface Point tab — Extended Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options check box is selected. (See Options | Setup | General.)

The Edit window command line for Surface Point extended options would read:
F_ID=AUTO/SURFACE POINT, THEO_THICKNESS = n, TOG, SNAP = Y/N
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
INIT = n, PERM = n, RADIUS = .n
REPORT VEC = I,J,K, FIND NOM AXIS = x,

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Extended Surface Point Field Definitions

IJK Report Vec for a Surface Point


Extended Surface Point Field Definitions

REPORT VEC = This field indicates the vector used for reporting deviation. The values are editable.

FIND NOM AXIS = This is a toggle field. The X,Y,Z axis, or VEC can be found. If it is OFF, the field will display NONE.

See Surface Point Field Definitions for the standard surface point field definitions.


IJK Report Vec for a Surface Point

The Report Vec boxes display the vector used for reporting deviation. This is a user supplied I, J, K vector. The Location Dimension option RT will display the deviation calculated along this vector.

To change the vector

  1. Select the existing value.

  2. Type a new value.

After the new value is created and you exit the dialog box, PC-DMIS will normalize the vector, making its length one unit.


Edge Point

edgepnt Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edge Point tab — Auto Features dialog box

The Edge Point measurement option allows you to define a point measurement that is to be taken on the part's edge. This measurement type is particularly useful when the part's material is thin enough that a precisely controlled CMM measurement hit is required. five sample hits are needed to accurately measure an edge point.

To access the Edge Point option:

  1. Select Auto Util | Auto Features from the main menu bar or CTRL + F.

  2. Select the Edge Point tab.

The Edit window command line for a sample Edge Point would read:
F_ID=AUTO/EDGE POINT, THEO_THICKNESS = n, TOG, EDGE THEO_THICKNESS = n
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X.Y.Z.I,J,K
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none, MEASURE ORDER = S/E/B,
SURFACE NORMAL = I,J,K
INIT = n, PERM = n, SPACER = .n, INDENT = n, DEPTH = .n

More:

Edge Point Field Definitions

Measuring an Edge Point

XYZ Point for an Edge Point

IJK Edge Vec for an Edge Point

IJK Surf Vec for an Edge Point

Find Vector for an Edge Point

Initial / Perm Sample Hits for an Edge Point

Spacer for an Edge Point

Indent for an Edge Point

Depth for an Edge Point

Measure Order for an Edge Point

Extended Edge Point Options for an Edge Point


Edge Point Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, EDGE THEO_THICKNESS, AUTO MOVE, DISTANCE, RMEAS, MEASURE ORDER, SURFACE NORMAL, INIT, PERM, SPACER, INDENT, and DEPTH fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the surface. Positive or negative values can be used.

TOG = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

EDGE THEO_THICKNESS = This value indicates the keyed in thickness of the edge. Positive or negative values can be used.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

MEASURE ORDER = This is a toggle field. This option displays the order of measuring the sample hits. The available choices are SURFACE, EDGE or BOTH.

SURFACE NORMAL = This field indicates the surface normal vector that the edge point will be projected into once it has been measured. The values are editable.

INIT / PERM = These toggle fields can be edited or changed. The valid choices are zero, one, three and five.

SPACER / INDENT / DEPTH = These values are editable distances.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring an Edge Point

PC-DMIS allows several methods for measuring an edge point using the sheet metal option. They are listed in the following paragraphs as:

  • Using Keyed in Data for an Edge Point

  • Using Surface Data with a CMM for an Edge Point

  • Using Surface Data on the Screen for an Edge Point

  • Using Wire frame Data with the CMM for an Edge Point

  • Using Wire frame Data on the Screen for an Edge Point

  • Without using CAD data for an Edge Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

Note: PC-DMIS assumes that the normal surface and the measurement surface are perpendicular.

More:

Using Keyed in Data for an Edge Point

Using Surface Data with the CMM for an Edge Point

Using Surface Data on the Screen for an Edge Point

Using Wire frame Data with the CMM for an Edge Point

Using Wire frame Data on the Screen for an Edge Point

Without using CAD Data for an Edge Point


Using Keyed in Data for an Edge Point

This method allows you to key in the desired X, Y, Z, I, J, K values for the edge point. See Mode for additional information on nominals.


Using Surface Data with the CMM for an Edge Point

To generate an edge point using surface data with the CMM:

  1. Touch near the desired edge of the part using the probe.

  2. Try to make the shank as normal to the surface as possible.

PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD edge to the hit, not the actual hit. The I, J, K reflects the surface normal vector.

If a CAD edge is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

If a second touch is taken on the opposite surface prior to clicking the Create button, PC-DMIS will alter the location values as appropriate. The displayed vectors, however, will remain constant.


Using Surface Data on the Screen for an Edge Point

To generate an edge point using surface data:

  1. Click on the Surface Mode icon [image].

  2. Position the cursor in the Graphics Display window to indicate the desired location of the point on the surface of the part (near the edge).

  3. Click the left mouse button. PC-DMIS will highlight the selected surface.

  4. Verify that the correct surface has been selected.

The dialog box will display the value of the selected edge point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector option (lets you change the direction of the approach.

If additional mouse clicks are detected before you click the Create button, PC-DMIS will overwrite the previously displayed information with the new data.


Using Wire frame Data with the CMM for an Edge Point

To generate an edge point using wire frame data with the CMM:

  1. Touch near the desired edge of the part using the probe.

  2. Try to make the shank as normal to the surface as possible.

PC-DMIS will pierce the CAD wire closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD edge to the hit, not the actual hit. The I, J, K reflects the surface normal vector. If a CAD edge is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

If a second touch is taken on the opposite surface prior to clicking the Create button, PC-DMIS will alter the location values as appropriate. The displayed vectors, however, will remain constant.


Using Wire frame Data on the Screen for an Edge Point

Wire frame CAD data also can be used to generate an edge point.

To generate an edge point:

  1. Click near the desired wire on the edge side (not within the boundary of the top surface). PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The probe approach is always perpendicular to the line, as well as perpendicular to the current probe centerline vector. The probe will approach from the side of the edge that was clicked on. The dialog box will display the value of the selected edge point and the vector once the wire has been indicated.

If an additional touch is necessary, click on the opposite wire of the (normal) surface.


Without using CAD Data for an Edge Point

If the edge point is to be generated without the use of CAD data:

  • The first three hits that are taken will indicate the surface vector nominal.

  • The next two hits will find and display the other vector. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface).

  • The last hit (sixth hit) will indicate the actual edge point location.


XYZ Point for an Edge Point

The XYZ Point boxes display the X, Y, and Z nominal for the location of the edge point.

To change the nominal:

  1. Select the existing value.

  2. Type a new one.

After the new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates where it will be taking the hits on the part.


IJK Edge Vec for an Edge Point

The IJK Edge Vec boxes display the approach direction for the edge hit. This is a user supplied I, J, K measured vector. The I, J, K should always point away from the edge and be perpendicular to the edge that is being measured.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf Vec for an Edge Point

The IJK Surface Vec boxes display the surface normal vector that the edge point will be projected into once it has been measured. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface, and be perpendicular to the edge that is being measured.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.

If this option is selected, PC-DMIS will take three hits on the surface, two hits on the edge, followed by one additional hit on the edge.


Find Vector for an Edge Point

The Find Vectors button will pierce all surfaces along the XYZ point and IJK vector looking for the closest point. The surface normal vector will be displayed as the IJK NOM VEC but the XYZ values will not change.


Initial / Perm Sample Hits for an Edge Point

The Initial and Perm boxes allow you to define the number of sample hits to be used to measure the edge around the nominal point location. Any value from zero to five can be used. PC-DMIS will measure the point depending on the entered value.

The number of initial hits can be no smaller than the number of permanent sample hits. At the same time, the number of permanent sample hits can be no greater than the number of initial sample hits.

If the number is set to:

  • 0, then PC-DMIS will measure the point at the nominal approach and normal vectors specified.

  • 1, then PC-DMIS will measure a point on the normal surface. The edge measurement will then be projected into the nominal surface through this point. Any Depth for an Edge Point = values will be offset from the point.

  • 2, then PC-DMIS will take two sample hits on the edge along the nominal approach direction specified. PC-DMIS will then use these hits to calculate a new approach vector for the actual point measurement along the edge.

  • 3, then PC-DMIS will measure the point with the combined methods of using one and two sample hits respectively. This measurement method is commonly known as a "Flush and Gap" measurement point.

  • 4, then PC-DMIS will measure the three sample hits on the normal surface and adjust the surface normal vector. The edge measurement will then be projected into this new nominal surface. Any Depth for an Edge Point = values will be offset from the point. Finally, the point will be measured along the approach vector.

  • 5, then PC-DMIS will measure the point by taking three hits on the normal surface and two hits on the edge along the nominal approach direction specified. This method of measurement is considered the most accurate.

Various Initial and Permanent Sample Hits for Edge Points


Spacer for an Edge Point

The Spacer box defines the distance from the nominal point location that PC-DMIS will use to measure a plane if a number of sample hits is specified. The distance of the sample hits is the radius of the three points it is to measure.

To change this value:

  1. Select the existing value.

  2. Type a new value.

Distance of Sample Hits Defined by Spacer Field


Indent for an Edge Point

The Indent box displays the minimum offset distance from the point location to the first hit on each side of the bend (or edge).

To change this distance:

  1. Select the existing value

  2. Type a new value.

Offset Distance from Edge


Depth for an Edge Point

The Depth box defines the distance from the surface that PC-DMIS will measure the sample edge hits and the final measurement. If one, two or three sample hits are indicated (see Initial / Perm Sample Hits for an Edge Point), then the depth value will be applied from the measured surface value.

To change this value:

  1. Select the existing value.

  2. Type a new value.

Depth for Edge Point


Measure Order for an Edge Point

The Measure Order list allows the user the choice in the order that the sample points will be taken before the final hit is taken. The choices are: SURFACE, EDGE, or BOTH.

More:

Surface

Edge

Both


Surface

SURFACE measures the three hits, first on the surface, then on the edge.


Edge

EDGE measures the two hits, first on the edge then the surface.


Both

BOTH measures the surface, then the edge, and then the surface again.


Extended Edge Point Options for an Edge Point

extedge Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edge Point tab — Extended Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options check box is selected. (See Options | Setup | General.)

The Edit window command line for Edge Point extended options
F_ID=AUTO/EDGE POINT, SHOWHITS = NO, SHOWALLPARAMS = Y/N
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG,
EDGE THEO_THICKNESS = n
AUTO MOVE =Y/N, DISTANCE =n, RMEAS = none,
MEASURE ORDER =S/E/B, SURF NORM = I,J,K
EDGE_REPT = I,J,K, SUR REPT = I,J,K
INIT = n, PERM = n, SPACER = .n, INDENT = n, DEPTH = .n

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Extended Edge Point Field Definitions

IJK Edge Report for an Edge Point

IJK Surface Report for an Edge Point


Extended Edge Point Field Definitions

EDGE REPORT = This field indicates the vector used for reporting deviation. The values are editable.

SURFACE REPORT = This field indicates the vector used for reporting deviation. The values are editable.

See Edge Point Field Definitions for the standard edge point field definitions.


IJK Edge Report for an Edge Point

The IJK Edge Report boxes display the vector used for reporting deviation. This is a user supplied I, J, K vector. The Dimension | Location option's RT check box will display the deviation calculated along this vector.

To change the vector:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surface Report for an Edge Point

The IJK Surf Report boxes display the vector used for reporting deviation. This is a user supplied I, J, K vector. The Dimension | Location option, ST check box displays the deviation calculated along this vector.

To change the vector:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will normalize the vector, making its length one unit.


Angle Point

anglept Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Angle Point tab — Auto Features dialog box

The Angle Point measurement option allows you to define a point measurement that is the intersection of two measured lines. This measurement type allows you to measure the intersection of two lines without measuring the lines separately and constructing an intersection point. Six hits are needed to accurately measure an angle point.

To access the Angle Point option:

  1. Select Auto Util | Auto Features from the menu bar.

  2. Select the Angle Point tab.

The Edit window command line for a sample Angle Point would read:
F_ID=AUTO/ANGLE POINT, SHOWHITS = NO, SHOWALLPARAMS = Y/N
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
VECTOR1 = I,J,K, VECTOR2 = I,J,K
NUMHITS = n, SPACER = .n, INDENT1= .n, INDENT2 = n, TOG2

More:

Angle Point Field Definitions

Measuring an Angle Point

XYZ Point for an Angle Point

IJK Line Vec for an Angle Point

IJK Surf 1 Vec for an Angle Point

IJK Surf 2 Vec for an Angle Point

Perm Hits for an Angle Point

Spacer for an Angle Point

Indent for an Angle Point

Exterior / Interior for an Angle Point


Angle Point Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, AUTO MOVE, DISTANCE, RMEAS, VECTOR1, VECTOR2, NUMHITS, SPACER, INDENT1, INDENT2, and INTERIOR fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG 1= This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

VECTOR1 = The three numbers (IJK values) are an editable vector and will be forced to be perpendicular to the vector on the first surface.

VECTOR2 = The three numbers (IJK values) are an editable vector and will be forced to be perpendicular to the vector on the second surface.

NUMHITS = This toggle value can be edited or changed between the valid choices of one and three.

SPACER = This number shows the offset distance between the points on each side of the bend.

INDENT1 = This editable number is the offset distance from the point location to the sample hits on the first surface of the bend.

INDENT2 = This editable number is the offset distance from the point location to the sample hits on the second surface of the bend.

TOG2 = This toggle field can be switched between INTERIOR and EXTERIOR. It describes the type of angle point that is measured.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring an Angle Point

PC-DMIS allows several methods for measuring an angle point using the sheet metal option. They are listed in the following paragraphs as:

  • Using Keyed in Data for an Angle Point

  • Using Surface Data with the CMM for an Angle Point

  • Using Surface Data on the Screen for an Angle Point

  • Using Wire frame Data with the CMM for an Angle Point

  • Using Wire frame Data on the Screen for an Angle Point

  • Without using CAD data for an Angle Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for an Angle Point

Using Surface Data with the CMM for an Angle Point

Using Surface Data on the Screen for an Angle Point

Using Wire frame Data with the CMM for an Angle Point

Using Wire frame Data on the Screen for an Angle Point

Without using CAD Data for an Angle Point


Using Keyed in Data for an Angle Point

This method allows you to key in the desired X, Y, Z, I, J, K values for the angle point. See Mode for additional information on nominals.


Using Surface Data with the CMM for an Angle Point

To generate an angle point using surface data with the CMM, touch once on each side of the angle edge. If the CAD angle point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.


Using Surface Data on the Screen for an Angle Point

To generate an angle point using surface data:

  1. Click the Surface Mode icon [image].

  2. Using the animated probe, touch once near (but not on) the angled edge. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected.

The dialog box will display the value of the selected angle point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector option (lets you change the direction of the approach.

If additional mouse clicks are detected before you click the Create button, PC-DMIS will overwrite the previously displayed information with the new data.

Note: If an additional touch is necessary, click on the opposite surface of the angled edge.


Using Wire frame Data with the CMM for an Angle Point

To generate an angle point using wire frame data with the CMM, touch once on each side of the angle edge. If the CAD angle point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.


Using Wire frame Data on the Screen for an Angle Point

Wire frame CAD data also can be used to generate an angle point.

To generate the point:

  1. Using the animated probe, touch once near (but not on) the angled edge. PC-DMIS will highlight the selected surface.

  2. Verify that the correct surface has been selected.

The dialog box will display the value of the selected angle point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector option (lets you change the direction of the approach.

  • Any additional mouse clicks, prior to clicking the Create button, will overwrite the previously displayed information with the new data.

  • If an additional touch is necessary, click on the opposite surface of the angled edge.


Without using CAD Data for an Angle Point

If the angle point is to be generated without the use of CAD data, touch three times on each surface to find the two planes. The displayed angle point is at the first hit location.


XYZ Point for an Angle Point

The XYZ Point boxes display the X, Y, and Z nominal for the location of the angle point.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates where it will be taking the hit on the part.


IJK Line Vec for an Angle Point

The IJK Line Vec boxes display the vector of the line on which the angle point lies. This is a user supplied I, J, K normal vector.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf 1 Vec for an Angle Point

The IJK Surf 1 Vec boxes display the surface normal vector of the first surface that will be measured. The I, J, K vector is expected to point away from the surface that is being measured.

To change a value:

  1. Select a box to change.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf 2 Vec for an Angle Point

The IJK Surf 2 Vec boxes display the surface normal vector of the second surface that will be measured. The I, J, K vector is expected to point away from the surface that is being measured.

To change a value:

  1. Select the box to change.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


Perm Hits for an Angle Point

The Perm box displays the number of hits that will be used on each surface. The legal values for this option are two or three.

  • If two hits are selected, they will be taken in a line perpendicular to the edge vector.

  • If three hits are selected, they will form a plane on each surface as indicated in the drawing.

Two and three Perm Hits in an Angle Point


Spacer for an Angle Point

The Spacer box displays the offset distance between the points on each side of the bend.

To change this distance:

  1. Select the existing value.

  2. Type a new value.

Spacer in an Angle Point


Indent for an Angle Point

PC-DMIS allows you to use two indent boxes, Indent 1 and Indent 2, in order to set the offset distances from the point location to the sample hits on each of the two surfaces of the bend in an angle point.

Indent in an Angle Point

More:

Indent 1 for an Angle Point

Indent 2 for an Angle Point


Indent 1 for an Angle Point

The Indent 1 box allows you to set the offset distance from the point location to the sample hits on the first surface of the bend.

To change this distance:

  1. Select the existing value.

  2. Type a new value.


Indent 2 for an Angle Point

The Indent 2 box allows you to set the offset distance from the point location for the sample hits on the second surface of the bend.

To change this distance:

  1. Select the existing value.

  2. Type a new value.


Exterior / Interior for an Angle Point

The Exterior check box defines the angle as either interior (not checked) or exterior (checked). Interior angles have the solid angle of the part less than 180°, while exterior angles are greater than 180°. If the box is selected, PC-DMIS will measure the angle as exterior. It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Corner Point

corner Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Corner Point tab — Auto Features dialog box

The Corner Point measurement option allows you to define a point measurement that is the intersection of three measured planes. This measurement type allows you to measure the intersection of three planes without measuring the planes separately and constructing an intersection point. Nine hits (three hits on each of the three planes) must be used to measure a corner point.

To access the Corner Point option:

  1. Select Auto Util | Auto Features from the menu bar or press CTRL + F.

  2. Select the Corner Point tab.

The Edit window command line for a sample Corner Point would read:
F_ID=AUTO/CORNER POINT, SHOWHITS = NO, SHOWALLPARAMS = Y/N
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG, IN
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
VECTOR2 = I,J,K, VECTOR3 = I,J,K
SPACER = .n, INDENT1 = .n, INDENT2 = .n, INDENT3 = n

More:

Corner Point Field Definitions

Measuring a Corner Point

XYZ Point for a Corner Point

IJK Surf 1 Vec for a Corner Point

IJK Surf 2 Vec for a Corner Point

IJK Surf 3 Vec for a Corner Point

Spacer for a Corner Point

Indent for a Corner Point


Corner Point Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, AUTO MOVE, DISTANCE, RMEAS, VECTOR2, VECTOR3, INDENT1, INDENT2, and INDENT3 fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

IN = This toggle field can be changed between INTERIOR and EXTERIOR. It describes the type of angle point that is measured.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

VECTOR2 = These values are user editable.

VECTOR3 = These values are also user editable.

SPACER = This value is an editable distance.

INDENT1 = This editable number is the offset distance from the point location to the sample hits on the first of the three planes.

INDENT2 = This editable number is the offset distance from the point location to the sample hits on the second of the three planes.

INDENT3 = This editable number is the offset distance from the point location to the sample hits on the third of the three planes.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Corner Point

PC-DMIS allows several methods for measuring a corner point using the sheet metal option. They are listed in the following paragraphs as:

  • Using Keyed in Data for a Corner Point

  • Using Surface Data with the CMM for a Corner Point

  • Using Surface Data on the Screen for a Corner Point

  • Using Wire frame Data with the CMM for a Corner Point

  • Using Wire frame Data on the Screen for a Corner Point

  • Without using CAD data for a Corner Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Corner Point

Using Surface Data with the CMM for a Corner Point

Using Surface Data on the Screen for a Corner Point

Using Wire frame Data with the CMM for a Corner Point

Using Wire frame Data on the Screen for a Corner Point

Without using CAD Data for a Corner Point


Using Keyed in Data for a Corner Point

This method allows you to key in the desired X, Y, Z values for the corner point. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Corner Point

To generate a corner point using surface data with the CMM:

  1. Touch once on each of the three surfaces that converge on the corner.

  2. Click the Create button.

If the CAD corner point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

Note: PC-DMIS assumes that the surfaces are mutually perpendicular.


Using Surface Data on the Screen for a Corner Point

To generate a corner point using surface data:

  1. Click on the Surface Mode icon [image].

  2. Using the animated probe, touch once on each of the three required surfaces . You`ll notice PC-DMIS automatically re-positions the animated probe on the corner point where the selected surfaces converge.

  3. Verify that the correct corner point is selected. The dialog box will display the value of the selected corner point and vector once the point has been indicated.

  4. Click the Create button.


Using Wire frame Data with the CMM for a Corner Point

To generate a corner point using wire frame data with the CMM:

  1. Touch twice on the first surface

  2. Touch once near the edges that converge on the corner.

If the CAD corner point is not found, PC-DMIS will display the closest point and ask that additional hits be taken.

Note: PC-DMIS assumes that the surfaces are mutually perpendicular.


Using Wire frame Data on the Screen for a Corner Point

Wire frame CAD data can also be used to generate a corner point.

To generate the point:

  1. Using the animated probe, touch once near (but not on) the corner. PC-DMIS will highlight the selected surface.

  2. Verify that the correct surface has been selected.

The dialog box will display the value of the selected corner point and vector once the point has been indicated. (If necessary, touch on a different edge, leading into the corner.)


Without using CAD Data for a Corner Point

To generate a corner point without the use of CAD data:

  1. Touch three times on the first surface.

  2. Touch two times on the second surface.

  3. Touch once on the third surface.


XYZ Point for a Corner Point

The XYZ Point boxes display the X, Y, and Z nominal for the location of the corner point.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates where the point is going to be drawn.


IJK Surf 1 Vec for a Corner Point

The IJK Surf 1 Vec boxes display the surface normal vector of the first plane that will be measured. The I, J, K vector is expected to point away from the plane that is being measured.

To change this value:

  1. Select the box to be changed.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf 2 Vec for a Corner Point

The IJK Surf 2 Vec boxes display the surface normal vector of the second plane that will be measured. The I, J, K vector is expected to point away from the plane that is being measured.

To change this vector:

  1. Select the value to be changed.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf 3 Vec for a Corner Point

The IJK Surf 3 Vec boxes display the surface normal vector of the third plane that will be measured. The I, J, K vector is expected to point away from the plane that is being measured.

To change this value:

  1. Select the Surf 3 Vec boxes to be changed

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


Spacer for a Corner Point

The Spacer box displays the distance from the radius of the first hit to the other hits.

To change this value:

  1. Select the existing value.

  2. Type a new value.

Spacer for a Corner Point


Indent for a Corner Point

PC-DMIS allows you to use three indent boxes, Indent 1 and Indent 2, and Indent 3 in order to set the offset distances from the point location to the sample hits on each of the three surfaces of the bend in a corner point.

Indent for a Corner Point

More:

Indent 1 for Corner Point

Indent 2 for Corner Point

Indent 3 for Corner Point


Indent 1 for Corner Point

The Indent 1 box allows you to set the offset distance from the point location to the sample hits on the first of the three planes.

To change this distance:

  1. Select the existing value.

  2. Type a new value.


Indent 2 for Corner Point

The Indent 2 box allows you to set the offset distance from the point location to the sample hits on the second of the three planes.

To change this distance:

  1. Select the existing value.

  2. Type in a new value.


Indent 3 for Corner Point

The Indent 3 box allows you to set the offset distance from the point location to the sample hits on the third of the three planes.

To change this distance:

  1. Select the existing value.

  2. Type a new value.


High Point

highpnt Hotspot 29 Hotspot 28 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 High Point dialog box

The High Point sheet metal option allows you to search a user defined region to locate the highest point in the current work plane. The result of the search is a single point defined by its X, Y, Z coordinates and approach vector.

To access the High Point option:

  1. Select Auto Util | Auto Features from the menu bar, or press CTRL + F.

  2. Select the High Point tab.

The Edit window command line for a sample High Point would read:
F_ID=AUTO/HIGH POINT, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K,
ACTL/ X,Y,Z,I,J,K,
TARG/ X,Y,Z,I,J,K
THICKNESS = n, TOG
AUTO MOVE = Y/N, DISTANCE = n
INCREMENT, TOL, SEARCH MODE = BOX/CIRCULAR
WIDTH/OUTER RADIUS, LENGTH/INNER RADIUS

More:

High Point Field Definitions

Defining a High Point

Finding the High Point

XYZ Point for a High Point

IJK Normal Vec for a High Point

XYZ Center Point for a High Point


High Point Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, AUTO MOVE, DISTANCE, RMEAS, INCREMENT, TOL, BOX, WIDTH, LENGTH, and CENTER fields in the Edit window.

THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

INCREMENT = These values are editable distances.

TOL = This value is an editable distance.

SEARCH MODE = This value is a toggle field. The options are BOX and CIRCULAR.

LENGTH / IN RADIUS = These values are editable distances. When the LENGTH is displayed, it represents the distance along the major axis of the current work plane used for the search area. When the IN RADIUS is displayed it represents the value of the inner radius of the search area. PC-DMIS will supply valid suggestions.

WIDTH / OUT RADIUS = These values are editable distances. When the WIDTH is displayed, it represents the distance along the minor axis of the current work plane used for the search area. When the OUT RADIUS is displayed, it represents the valued of the outer radius of the search area. PC-DMIS will supply valid suggestions.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Defining a High Point

This feature is directly dependent on the current workplane. The high point is defined by the workplane that is currently displayed in the Working Plane list.

Verify that the correct workplane is displayed in the Working Plane list.

In order to find a high point, certain parameters must be provided. The high point is found by first defining a search region. The Search button (located in the Properties area of the dialog) switches between Box Mode and Circular Mode.

More:

Box Mode for a High Point

Circular Mode for a High Point

Using Keyed in Data for a High Point

Using Surface Data with the CMM for a High Point

Using Surface Data on the Screen for a High Point

Without using CAD Data for a High Point


Box Mode for a High Point

If the Box Mode is selected, the width and length of the box must be supplied. If the length or width (but not both) parameters are 0, the search region becomes a line and the highest point along the line will be reported. The Width value corresponds to the length along the major axis and the Length value corresponds to the length along the minor axis of the current work plane.

Box is the default mode.


Circular Mode for a High Point

If the Circ. Mode is selected by clicking the Box Mode button, the inner and outer radii must be supplied. This will create a circular search band. If a complete circular region is desired, set the inner radius to 0. If a circular search line is desired, set the inner and outer radii to the same value. The highest point along the circumference will be reported.

Note: The start point should lie within the search region defined by the width and length parameters for the Box Mode or the inner and outer radii for the Circular Mode. For the special cases of line searching, the start point will automatically be adjusted to be on the line.

The Search Increment defines the initial distance to search around the start point. If another point is found that is higher in the current work plane, the new point becomes the current search point. This continues until no other point within the given increment value is found. The increment value is then automatically decreased to find any points that may be closer than the initial increment supplied. This increment value is decreased until it is less than or equal to the Tolerance value supplied, indicating that the highest point in the current work plane has been located.

If you have doubt about the values that should be supplied for the Increment, Tolerance, Width/Length, or Inner/Outer Radii, PC-DMIS will automatically supply valid suggestions for these values after the start point and search center point are defined.

After determining the mode and supplying the search values, the initial start point and search center must be defined. PC-DMIS allows several methods for defining the search area for the high point using the sheet metal option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a High Point

  • Using Surface Data with the CMM for a High Point

  • Using Surface Data on the Screen for a High Point

  • Using Wire frame Data with the CMM for a High Point

  • Using Wire frame Data on the Screen for a High Point

  • Without using CAD data for a High Point

Note: The mouse cannot be used in the Graphics Display window if CAD data with surface information is unavailable.


Using Keyed in Data for a High Point

This method allows you to key in the center of the search region (i.e. the middle of the box or center of the circle(s)) by supplying the X, Y, and Z values. It also allows for the definition of the start point and associated approach vector by typing in the X, Y, Z, I, J, and K values.


Using Surface Data with the CMM for a High Point

To define the search region for the high point with the CMM:

  1. Touch the desired surface of the part using the probe. This will define both the center of the search area and the start point as being the same.

  2. If a different search center is desired, touch the desired surface with the probe once more. This will define a new center for the search region.

If another point is sampled with the probe, it will change the location of the start point and approach vector. Each consecutive sample taken will alternate between the search center and the start point. Each time that the probe samples the surface of the part, PC-DMIS will pierce the CAD surface closest to where the probe touched. This information gathered from the surface model will be used to define the start point and search center.


Using Surface Data on the Screen for a High Point

To define the high point search area using surface data:

  1. Position the cursor in the Graphics Display window to indicate the desired location of the start point (on the surface).

  2. Click the left mouse button. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected.

PC-DMIS pierces the highlighted surface, displaying the location and vector of the selected point. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector option (lets you change the direction of the approach.

The first click on the surface will define the center of the search region as the same as the start point. If a different search center is required, position the cursor in the Graphics Display window to indicate the desired location of the search center and click once more with the left mouse button. Each consecutive click with the left mouse button will alternate between the start point and the search center.


Without using CAD Data for a High Point

If the search region for the high point is to be generated without the use of CAD data, the first hit that is taken will indicate the X, Y, Z nominal for the start point and the search center. PC-DMIS also will display the I, J, K approach vector of that hit. This value indicates the opposite direction of the CMM approach vector (pointing away from the surface). To define a new starting point, sample the surface using the probe at the desired center point location. Consecutive samples will alternate between the start point and the search center.


Finding the High Point

After all of the search parameters have been defined the high point can be located by executing the feature.

  • If the Measure box is not selected at the time that the Create button is clicked, the high point feature is created and the information displayed in the Edit window will represent the initial search parameters. These values will remain until the feature is executed.

  • If the Measure box is selected at the time that the Create button is clicked, PC-DMIS will execute the search procedure to locate the high point. At the completion of the search, the actual high point will be displayed in the Edit window.


XYZ Point for a High Point

The XYZ Point boxes display the X, Y and Z nominal for the start point.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates the beginning position of the search. After the execution is complete, the XYZ point will contain the high point in the current workplane. Subsequent executions however will use the original start point for the search.


IJK Normal Vec for a High Point

The IJK Normal Vec fields display the approach direction for the hit that was taken. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value.

After the new value is created, PC-DMIS will normalize the vector, making its length one unit. After execution, the IJK Normal Vector will display the approach vector for the high point in the current work plane


XYZ Center Point for a High Point

The XYZ Center Point box display the X,Y,Z location of the center of the search region.


Auto Utility - Circle

Circle

circle2 Hotspot 45 Hotspot 44 Hotspot 43 Hotspot 42 Hotspot 41 Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Circle tab — Auto Features dialog box

The Circle sheet metal option allows you to define a circle measurement. This measurement type is particularly useful when the circle is positioned in a specific plane that is not parallel with any of the working planes, or if equally spaced hits are required for partial circles. At least three hits are necessary to measure a circle. The default number of hits needed to measure a circle is based on the default in SETUP mode.

To access the Circle option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F

  2. Select the Circle tab.

The Edit window command line for a sample circle reads:
F_ID=AUTO/CIRCLE, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, DNOM =.n,
ACTL/ X,Y,Z,I,J,K, DNOM =.n,
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1, TOG2,TOG3, TOG4
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N, NUM HITS = n, INIT = .n, PERM = n
SPACER = n, START ANG = n, END ANG = n, DEPTH = .n
ANGLE VEC = I,J,K

More:

Circle Field Definitions

Measuring a Circle

XYZ Center for a Sheet Metal Circle

IJK Normal Vec for a Sheet Metal Circle

IJK Angle Vec for a Sheet Metal Circle

Read POS for a Sheet Metal Circle

Init / Perm Sample Hits for a Sheet Metal Circle

Spacer for a Sheet Metal Circle

Num Hits for a Sheet Metal Circle

Depth for a Sheet Metal Circle

Diameter for a Sheet Metal Circle

Start Angle for a Sheet Metal Circle

End Angle for a Sheet Metal Circle

Pitch for a Sheet Metal Circle

Stud Diameter for a Sheet Metal Circle

Type = Hole / Stud for a Sheet Metal Circle

Height for a Sheet Metal Circle

Circ Move for a Sheet Metal Circle

Find Hole for a Sheet Metal Circle

Calculation Mode for a Sheet Metal Circle

Re-Measure for a Sheet Metal Circle

Extended Circle Options


Circle Field Definitions

SHOWHITS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the hits used to create the circle in the Edit window.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, LEAST_SQR, AUTO MOVE, DISTANCE, RMEAS, READPOS, FIND HOLE, REMEASURE, NUMHITS, INIT, PERM, SPACER, PITCH, START ANG, END ANG, DEPTH, and ANGLE VEC fields in the Edit window.

THICKNESS = This editable value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TOG2 = This toggle field switches between IN and OUT. PC-DMIS will determine the type of circle measured based on the location of the probe when taking the hit. (Inside a circle = IN, outside a stud = OUT.)

TOG3 = This toggle field switches between CIRCULAR and STRAIGHT. It indicates the type of move that PC-DMIS will use while executing this feature.

TOG4 = This toggle field switches between LEAST_SQR, MAX_INSC, MIN_CIRCSC, MIN_SEP, and FIXED RAD.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

READ POS = This is a toggle field. A YES indicates that this option is ON.

FIND HOLE = This YES/NO toggle field moves the probe to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

REMEASURE = This YES/NO toggle field automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

NUM HITS = This editable value must be an integer that is greater than two.

INIT / PERM = These values are editable fields.

SPACER / DEPTH = These values are editable distances.

START / END ANGLE = These values denote the part of the arc to be measured.

ANGLE VEC = This field indicates the zero degree position about the normal vector. It is an editable value.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Circle

PC-DMIS allows several methods for measuring a sheet metal circle. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Sheet Metal Circle

  • Using Surface Data with the CMM for a Sheet Metal Circle

  • Using Surface Data on the Screen for a Sheet Metal Circle

  • Using Wire frame Data with the CMM for a Sheet Metal Circle

  • Using Wire frame Data on the Screen for a Sheet Metal Circle

  • Without using CAD data for a Sheet Metal Circle

In all methods, it is important that the proper feature type, HOLE or STUD, is selected (See Type = Hole / Stud for a Sheet Metal Circle for more information). Verify that the correct option is selected.

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Sheet Metal Circle

Using Surface Data with the CMM for a Sheet Metal Circle

Using Surface Data on the Screen for a Sheet Metal Circle

Using Wire frame Data on the Screen for a SheetMetal Circle

Without using CAD Data for a Sheet Metal Circle


Using Keyed in Data for a Sheet Metal Circle

This method allows you to key in the desired X, Y, Z, I, J, K values for the circle. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Sheet Metal Circle

To generate a circle using surface data with the CMM, take a minimum of three hits in the hole or on the stud. PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD circle, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD circle is not found, PC-DMIS will display the closest point and ask that additional hits be taken.


Using Surface Data on the Screen for a Sheet Metal Circle

To generate a circle using surface data:

  1. Click on the Surface Mode icon [image].

  2. Position the cursor either outside or inside the desired circle.

  3. Click on three locations around the circle.At least three clicks are needed for PC-DMIS to compute the necessary X, Y, Z and I, J, K data.

The dialog box will display the center point and diameter from the CAD data of the selected sheet metal circle once the third point has been indicated.

If additional mouse clicks are detected, prior to selecting the Create button, PC-DMIS will find the best circle near all of the hits.


Using Wire frame Data on the Screen for a SheetMetal Circle

Wire frame CAD data also can be used to generate a sheet metal circle.

To generate the circle:

  1. Click near the desired wire on the circle. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected. The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector.

The dialog box will display the value of the selected circle's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a circle or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations of the circle.


Without using CAD Data for a Sheet Metal Circle

To generate the circle without the use of CAD data:

  1. Take three hits on the surface to find the plane that the circle is lying in.

  2. Take three additional hits in the hole (or on the stud). PC-DMIS calculates the sheet metal circle using all three hits.

Additional hits can be taken. PC-DMIS will use the data from all of the measured hits until the Create button is clicked. The X, Y, Z that is displayed is the calculated center of the circle (or stud).


XYZ Center for a Sheet Metal Circle

The XYZ Center boxes display the X, Y, Z nominal for the circle location.

To change the nominal:

  1. Select the existing value.

  2. Type a new value

After the value is created, PC-DMIS will draw the animated probe at the new location. This location indicates the center of the circle.


IJK Normal Vec for a Sheet Metal Circle

The IJK Normal Vec boxes define the circle centerline. This is a user supplied I, J, K normal vector. The I, J, K should always point away from the surface.

To change the I, J, K normal vector:

  1. Select the desired fields.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Angle Vec for a Sheet Metal Circle

The Angle Vec boxes define the 0° position about the normal vector. The start and end angles are calculated from this vector. If the vectors are not perpendicular, the angle vector is adjusted to the normal vector.

To change the Angle Vector:

  1. Select the boxes you to update.

  2. Type a new value.


Read POS for a Sheet Metal Circle

The Read Pos check box is used right before measuring a feature. PC-DMIS will stop above the surface and will display a message asking if you want to read a new probe position.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will require you to place the probe in a cylindrical zone above the circle.

    Placing the Probe in the Cylindrical Zone: It is only required that the user places the probe in the center of the imaginary 3D cylinder of the hole. The depth and orientation of the measurement will be determined by one of the following:

  • RMEAS feature: If you provide an RMEAS feature, PC-DMIS assumes you want to measure the hole with respect to that feature. Therefore, this feature will be used to define the surface normal and depth of measurement, while the Read Pos will be used to determine the other two axis of translation.

  • Find Hole: If Find Hole is used and the surface around the hole is touched at least one time then PC-DMIS will adjust all three axes. Two of the axes are based on the location of the probe once it has found the hole and the third axis, along the surface normal, is based on the last surface touched. Find Hole will not override a RMEAS feature.

  • Sample Hits: If sample hits are used they are always the top priority on determining both the orientation and depth of measurement of the hole.

  • None of the above: If none of the above options are used, PC-DMIS will probe the hole based on the provided target and depth values, adjusted by the probe placement within the cylindrical zone.

Note: Read Pos is only available in DCC Mode.


Init / Perm Sample Hits for a Sheet Metal Circle

The Initial and Perm boxes allow you to define a number of sample hits that will be used to measure the surface normal to the circle. The number of hits specified will be equally spaced between the starting and ending angle indicated.

To change the value:

  1. Select the value you want changed.

  2. Type a new number.

How PC-DMIS measures the surface depends on the entered value. For example:

  • If Type = HOLE, and the number is set to zero, PC-DMIS will not take any sample hits.

  • If Type = STUD, and the number is set to zero, PC-DMIS will not take any sample hits.

  • If Type = HOLE, and the number is set to one, PC-DMIS will take the hit on the outside of the circle.

  • If TYPE = STUD, and the number is set to one, PC-DMIS will measure the point on the top of the stud.

Note: If a value is keyed in to the Height box, PC-DMIS assumes that a stud is being measured and will require that a hit be taken on top of the stud.

In the figure above, STRTA = Start Angle. ENDA = End Angle.

  • If the number is set to 3, PC-DMIS will measure the surface at three equally spaced hits starting from the starting angle. The circle hits will be relative to the measured plane, and any values will be offset from these points.

    In the figure above, STRTA = Start Angle. ENDA = End Angle

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.


Spacer for a Sheet Metal Circle

The Spacer box defines the distance from the circumference of the circle to the sample hits.

To change this value:

  1. Select the spacer value.

  2. Type a new value.

Note: Clearance planes are not used when taking sample hits. When measuring studs, it is important to set the spacer value to a distance that will allow the probe to move around the stud.

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.


Num Hits for a Sheet Metal Circle

The # Hits box defines the number of hits that will be used to measure the circle. The number of hits specified will be equally spaced between the starting and ending angle indicated.

To change this value:

  1. Select the existing value.

  2. Type a new value.

If the start and end angles are the same, or differ by a multiple of 360°, then only one hit will be taken at the mutual starting and ending point.

Location of Hits


Depth for a Sheet Metal Circle

The Depth box defines the distance below the surface that PC-DMIS will measure the circle. This is applied as a positive value along the centerline vector from the center point of the circle.

To change this value:

  1. Select the value.

  2. Type a new value.

The TYPE = HOLE / PIN option affects how this value will be applied. A positive depth value while in the HOLE option will move the probe deeper into the hole. A positive depth value while in the PIN option will move the probe up the stud. (See Type = Hole / Stud for a Sheet Metal Circle for additional information.)

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth to a negative value.


Diameter for a Sheet Metal Circle

The Diameter box defines the diameter of the circle.

To change the circle diameter:

  1. Select the existing value.

  2. Type a new value.


Start Angle for a Sheet Metal Circle

The Start Ang. box displays the starting angle on the circle. This is a user supplied angle in decimal degrees.

To change the starting angle:

  1. Select the existing value.

  2. Type a new value.

Note: The major axis of the current working plane is 0°. The starting angle looks down the centerline and moves in a counter clockwise direction.


End Angle for a Sheet Metal Circle

The End Ang. box displays the ending angle on the circle. This is a user supplied angle in decimal degrees.

To change the ending angle:

  1. Select the existing value.

  2. Type a new value.

Note: It is important to remember when entering starting and ending angles that the I, J, K vector always looks down the centerline, and that PC-DMIS measures DCC circles in a counter clockwise direction.


Pitch for a Sheet Metal Circle

The Pitch box allows more accurate measurements of threaded holes and studs.

If the Pitch box has a value other than zero, PC-DMIS staggers the feature's hits along the THEO axis, spacing them around the feature using the Start and Ending Angles.

Example: If measuring a circle with four hits equally spaced around the circle, the first hit will be at the starting angle at the input depth. The second hit will be at a 90 degree rotation to the first and a depth of (depth - ((hitnum-1)/tothits * pitch). The third hit would be 180 degree rotation from the first hit with a depth of (depth - ((hitnum-1)/tothits * pitch). The remaining hits follow this same pattern.


Stud Diameter for a Sheet Metal Circle

The Diameter box displays the nominal value of the stud. This value is user supplied.

To change the value of the stud diameter:

  1. Select the existing value

  2. Type a new value


Type = Hole / Stud for a Sheet Metal Circle

The Hole and Stud options define the circle to be measured as either internal (as a Hole) or external (as a Stud). When selected, this option will switch between HOLE and STUD. It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Height for a Sheet Metal Circle

The Height box is used only in TYPE = STUD. It allows for an extra hit on the top (and in the center) of the stud. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It will then compute the height of the stud.


Circ Move for a Sheet Metal Circle

By selecting the Circ Move check box the probe will move along an arc as opposed to usually moving in a straight line when moving from one hit to the next. This option is particularly helpful when working with ring grooves.

See Insert Move Circular for information on inserting circular moves into the Edit window.


Find Hole for a Sheet Metal Circle

When the Find Hole box is selected, PC-DMIS moves to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance (See "Check Distance") is reached (indicating that the hole is present).

  • If the hole is found: PC-DMIS will move to the depth and proceed to take three hits equally spaced around the hole to determine the general location of the hole. Following this general adjustment Pc-Dmis will then measure the hole using the parameters defined by the user in the Auto Circle dialog. This includes Sample hits etc.

  • If the hole is not found: PC-DMIS will back away from the surface and start a circular search pattern that is (feature radius – probe radius) out from the theoretical feature center. The search will try(2 * PI * feature radius/(feature radius – probe radius)locations around the search circle. If the hole is still not found the search radius will be increased by (feature radius – probe radius) and will continue until the search radius is equal to the prehit distance. If the prehit is smaller than (feature radius – probe radius) only one search pattern will be completed.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a "Read Position". (See Read POS for a Sheet Metal Circle.)

  • Adjustments along the surface normal: As PC-DMIS searches and finds a surface instead of the hole it will continually update the search height based on the found surfaces. Once the hole is found, it will update the depth of measurement of the hole based on the last surface found. If the surface is found the first time, no adjustments are made.

  • Adjustments with RMEAS : If you supply an RMEAS feature PC-DMIS assumes you desire to use this feature as the reference for both the search height and the depth of the hole measurement. Therefore, there will be no adjustment along the surface normal other than the RMEAS adjustment.

Note: If Find Hole fails, you can set PC-DMIS to automatically continue executing the part program. See "Auto Continue Execution if FindHole Fails" "System Options".


Calculation Mode for a Sheet Metal Circle

The Misc list allows the user to specify how they would like the hole calculated from the measured hits. The available options are: LEAST_SQR, MIN_SEP, MAX_INSC, MIN_CIRCSC, and FIXED_RAD.

More:

LEAST_SQR

MIN_SEP

MAX_INSC

MIN_CIRCSC

FIXED_RAD


Auto Utility - Calculation Mode for a Sheet Metal Circle - LEAST_SQR

LEAST_SQR

Least Squares – All points input to the circle contribute equally to the result of the circle.


Auto Utility - Calculation Mode for a Sheet Metal Circle - MIN_SEP

MIN_SEP

Minimum Separation – This method minimizes the distance from the input points to the circumference of the resulting circle.


Auto Utility - Calculation Mode for a Sheet Metal Circle - MAX_INSC

MAX_INSC

Maximum Inscribed – The resulting circle represents the largest circle that would fit inside all of the hits input to the circle. This option could be used when measuring a circle that requires a mating stud. The result would be the largest stud diameter that would fit through the hole just measured.


Auto Utility - Calculation Mode for a Sheet Metal Circle - MIN_CIRCSC

MIN_CIRCSC

Minimum Circumscribed – The resulting circle represents the smallest circle that would enclose all of the points input to the circle. This option could be used when measuring a stud or stud that would fit through a mating circle. The result would be the smallest circle that would fit over that stud.


Auto Utility - Calculation Mode for a Sheet Metal Circle - FIXED_RAD

FIXED_RAD

Fixed Radius – This method locates the X,Y,Z position of the circle with the theo radius specified so that the distance from any of the inputs to the circumference of the circle is a minimum. It is similar to the Min Sep circle but the radius is not allowed to vary.


Re-Measure for a Sheet Metal Circle

By selecting the Re-Measure box, PC-DMIS allows you to automatically re-measure a hole against the measured values obtained the first time the hole is measured.


Extended Circle Options

extcirc Hotspot 48 Hotspot 47 Hotspot 46 Hotspot 45 Hotspot 44 Hotspot 43 Hotspot 42 Hotspot 41 Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Circle tab — Extended Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options check box is selected. (See Options | Setup Options | General tab Set up Options.)

The Edit window command line for this option reads:
F_ID=AUTO/CIRCLE, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, DNOM =.n, LENGTH =.n
ACTL/ X,Y,Z,I,J,K, DNOM =.n, LENGTH =.n
TARG/ X,Y,Z,I,J,K, DNOM = n
THICKNESS = n, TOG1, TOG2, TOG3, TOG4, TOG5
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N
NUM HITS = n, INIT = .n, PERM = n, SPACER = n
START ANG = n, END ANG = n, DEPTH =.n
ANGLE VEC = I,J,K
PUNCH = I,J,K, PIN = I,J,K

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Extended Circle Field Definitions

IJK Punch Vec for a Sheet Metal Circle

IJK Pin Vec for a Sheet Metal Circle

Use Pin for a Sheet Metal Circle


Extended Circle Field Definitions

PUNCH = This field indicates the direction of the punch through the sheet metal. It is an editable value.

PIN = This field indicates the direction of the point through the hole formed by the punch.

See Circle Field Definitions for the standard circle field definitions.


IJK Punch Vec for a Sheet Metal Circle

The IJK Punch Vec boxes define the direction or vector of the punch through the sheet metal. This vector is positioned at the XYZ center, plus half the thickness along the surface normal vector. The diameter of the circle is also along this vector.

To change the I, J, K Punch vector:

  1. Select the value to change.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Pin Vec for a Sheet Metal Circle

The IJK Pin Vec boxes define the direction of the stud through the hole formed by the punch.

To change the I, J, K Pin vector:

  1. Select the value to change.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


Use Pin for a Sheet Metal Circle

The Use Pin check box turns ON / OFF the use of the punch and stud vectors. If you want this option ON, select the Use Pin check box.


Auto Utility - Cylinder

Cylinder

cylind2 Hotspot 46 Hotspot 45 Hotspot 44 Hotspot 43 Hotspot 42 Hotspot 41 Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Cylinder tab — Auto Features dialog box

The Cylinder measurement option allows you to define a cylinder measurement. This measurement type is particularly useful when equal spacing of the hits is necessary for partial cylinders. The minimum number of hits needed to measure a sheet metal cylinder is six.

To access the Cylinder option

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F

  2. Select the Cylinder tab.

The Edit window command line for a sample Cylinder reads::
F_ID=AUTO/CYLINDER, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, DNOM =.n, LENGTH = .n
ACTL/ X,Y,Z,I,J,K, DNOM =.n, LENGTH = .n
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1, TOG2,TOG3, TOG4
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N, NUM HITS =n, NUM ROWS =n, INIT =n PERM =n, SPACER =n,
START ANG = n, END ANG = n, DEPTH = .n
ANGLE VEC = I,J,K

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Cylinder Field Definitions

Measuring a Cylinder

XYZ Center for a Cylinder

IJK Normal Vec for a Cylinder

IJK Angle Vec for a Cylinder

Read POS for a Cylinder

Init / Perm Sample Hits for a Cylinder

Spacer for a Cylinder

Num Hits for a Cylinder

Depth for a Cylinder

Num Rows for a Cylinder

Diameter for a Cylinder

Start Angle for a Cylinder

End Angle for a Cylinder

Pitch for a Cylinder

Type = Hole / Stud for a Cylinder

Height for a Cylinder

Circ Move for a Cylinder

Use Theo

Find Hole for a Cylinder

Re-Measure for a Cylinder

Calculation Mode for a Cylinder


Cylinder Field Definitions

SHOWHITS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the hits used to create the cylinder in the Edit window.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, IN/OUT, STRAIGHT, LEAST_SQR, AUTO MOVE, DISTANCE, RMEAS, READ POS, FIND HOLE, REMEASURE, USE THEO, NUMHITS, NUMROWS, INIT, PERM, SPACER, PITCH, START ANG, END ANG, DEPTH, and ANGLE VEC fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TOG2 = This field switches between IN and OUT. PC-DMIS will determine the type of cylinder measured based on the location of the probe when taking the hit. (Inside a cylinder = IN, outside a stud = OUT.)

TOG3 = This field switches between either CIRCULAR or STRAIGHT.

TOG4 = This field switches between LEAST_SQR, MAX_INSC, MIN_CIRCSC, MIN_SEP, and FIXED RAD.

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

READ POS = This is a toggle field. A YES indicates that this option is ON.

FIND HOLE = This is a YES/NO toggle field that moves the probe to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

REMEASURE = This YES/NO toggle field automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

NUM HITS = This editable value must be an integer that is greater than five.

NUM ROWS = This editable value is an integer greater than one.

INIT / PERM = These values are editable fields.

SPACER / DEPTH = These values are editable distances.

START / END ANGLE = These values denote the part of the arc to be measured.

ANGLE VEC = This field indicates the zero degree position about the normal vector. It is an editable value.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Cylinder

PC-DMIS allows several methods for measuring a cylinder. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Cylinder

  • Using Surface Data with the CMM for a Cylinder

  • Using Surface Data on the Screen for a Cylinder

  • Using Wire frame Data with the CMM for a Cylinder

  • Using Wire frame Data on the Screen for a Cylinder

  • Without using CAD data for a Cylinder

In all methods, it is important that the proper feature type, HOLE or STUD, is selected. See Type = Hole / Stud for a Cylinder. Verify that the correct option is selected.

Note: Be aware that certain patterns of points (i.e. two rows of three equally spaced points or two rows of four equally spaced points) result in multiple ways to measure a perfect cylinder, and PC-DMIS'S Best Fit algorithm may measure the cylinder using an unexpected solution. For best results, measured cylinders should use a unique pattern of points.

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Cylinder

Using Surface Data with the CMM for a Cylinder

Using Surface Data on the Screen for a Cylinder

Using Wire frame Data on the Screen for a Cylinder

Without using CAD Data for a Cylinder


Using Keyed in Data for a Cylinder

This method allows you to key in the desired X, Y, Z, I, J, K values for the cylinder. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Cylinder

To generate a cylinder using surface data with the CMM:

  1. Take three hits in the hole or on the stud.

  2. Move the probe to another depth

  3. Take three additional hits. PC-DMIS will pierce the CAD surface closest to where the probe touched.

The displayed X, Y, Z values reflect the closest CAD cylinder, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD cylinder is not found, PC-DMIS will display the closest point and ask that additional hits be taken.


Using Surface Data on the Screen for a Cylinder

To generate a cylinder using surface data:

  1. Click on the Surface Mode icon [image].

  2. Position the cursor (outside or inside the desired cylinder).

  3. Click on three locations around the cylinder. PC-DMIS will highlight the selected cylinder.

  4. Set the probe at another depth and take three additional hits.

At least six clicks are needed for PC-DMIS to compute the necessary X, Y, Z and I, J, K data. The dialog box will display the center point and diameter from the CAD data of the selected sheet metal cylinder once the sixth point has been indicated.

If additional mouse clicks are detected before you click the Create button, PC-DMIS will average all of the hits.


Using Wire frame Data on the Screen for a Cylinder

Wire frame CAD data can also be used to generate a cylinder.

To generate the cylinder using wire frame data:

  1. Click near the desired wire on the cylinder. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the selected cylinder's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a cylinder, circle or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations on the cylinder.


Without using CAD Data for a Cylinder

To generate the cylinder without the use of CAD data:

  1. Take three hits on the surface to find the plane that the cylinder is lying in.

  2. Take three hits in the hole (or on the stud).

  3. Take three additional hits on another level.

PC-DMIS calculates the sheet metal cylinder using all six hits. It is sometimes helpful to take a hit in between the two levels if PC-DMIS has difficulty in identifying the feature type. PC-DMIS will use the data from all of the measured hits until the Create button is selected. The X, Y, Z that is displayed is the calculated center of the cylinder (or stud).


XYZ Center for a Cylinder

The XYZ Center boxes display the X, Y, and Z nominal for the cylinder location.

To change the nominal:

  1. Select the existing value.

  2. Type in a new value.

After the value is created, PC-DMIS will draw the animated probe at the new location. This indicates the center of the cylinder.

Note: It is important to remember that if the cylinder is defined as a hole, the center point must be defined at the top of the cylinder. If the cylinder is defined as a stud then the center point must be defined at the bottom of the cylinder.


IJK Normal Vec for a Cylinder

The IJK Normal Vec boxes define the cylinder centerline.

To change the center line vector:

  1. Select the existing value.

  2. Type in a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Angle Vec for a Cylinder

The IJK Angle Vec boxes define the 0° position about the normal vector. The start and end angles are calculated from this vector. If the vectors are not perpendicular, the angle vector is adjusted to the normal vector.


Read POS for a Cylinder

The Read Pos check box is used right before measuring a feature. PC-DMIS will stop above the surface and will display a message, asking if you want to use the current data.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will measure the feature but will use the current probe data.

Note: Read Pos is only available in DCC Mode.


Init / Perm Sample Hits for a Cylinder

The Initial and Perm boxes allow you to define a number of sample hits that will be used to measure the surface normal to the cylinder. The number of hits specified will be equally spaced between the starting and ending angle indicated.

To change this value:

  1. Select the value you want to change.

  2. Type a new value.

How PC-DMIS measures the surface depends on the entered value. For example:

  • If Type = HOLE, and the number is set to zero, PC-DMIS will not take any sample hits.

  • If Type = STUD, and the number is set to zero, PC-DMIS will not take any sample hits.

  • If Type = HOLE, and the number is set to one, PC-DMIS will take the hit on the outside of the cylinder.

  • If TYPE = STUD, and the number is set to one, PC-DMIS will measure the point on the top of the stud.

Init/Perm Hits for Cylinder

  • If the number is set to 3, PC-DMIS will measure the surface at three equally spaced hits starting from starting angle and moving to the end angle. The cylinder hits will be relative to the measured plane, and any values will be offset from these points.

Init/Perm Hits for Cylinder Using Different Start and End Angles

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.


Spacer for a Cylinder

The Spacer box defines the distance from the circumference of the cylinder to the sample hits.

To change this value:

  1. Select the Spacer box you want changed.

  2. Type a new value.

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.

Spacer for a Cylinder

Note: Clearance planes are not used when taking sample hits. When measuring studs, it is important to set the spacer value to a distance that will allow the probe to move around the stud.


Num Hits for a Cylinder

The # Hits box defines the number of hits (per row) that will be used to measure the cylinder. The number of hits specified will be equally spaced between the starting and ending angle indicated.

To change this value:

  1. Select the # Hits box.

  2. Type in a new value.

Note: At least six hits are necessary to measure a cylinder (three hits at each of two levels).


Depth for a Cylinder

The Depth box defines the distance below the surface that PC-DMIS will measure the cylinder. This is applied as a positive value along the centerline vector from the center point of the cylinder, and will be applied once for each layer of hits.

To change this value:

  1. Select the existing value.

  2. Enter a new value.

The TYPE = HOLE / STUD option affects how this value will be applied. A positive depth value while in the HOLE option will move the probe deeper into the hole. A positive value while in the STUD option will move the probe up the stud. (See Type = Hole / Stud for a Cylinder for additional information.)

Note: PC-DMIS expects the X, Y, Z nominal of the stud to be at the base. If the center point is at the top of the stud, set the depth and spacer to a negative value.


Num Rows for a Cylinder

The # Rows box defines the number of rows that will be used to measure the cylinder. Any integer greater than one can be used. The rows will be equally spaced between the depth and length of the cylinder.


Diameter for a Cylinder

The Diameter box defines the diameter of the cylinder.

To change the diameter of the cylinder:

  1. Select existing value.

  2. Type a new value.

Once the feature is created, the Graphics Display window will update the cylinder size.


Start Angle for a Cylinder

The Start Ang. box displays the starting angle on the cylinder. This is a user supplied angle in decimal degrees.

To change the starting angle:

  1. Select the existing value.

  2. Type a new value.

Note: The major axis of the current working plane is 0°. The starting angle looks down the centerline and moves in a counter clockwise direction.


End Angle for a Cylinder

The End Angle box displays the ending angle on the cylinder. This is a user supplied angle in decimal degrees.

To change the ending angle:

  1. Select the existing value.

  2. Type a new value.

Note: It is important to remember when entering starting and ending angles that the I, J, K vector always looks down the centerline, and that PC-DMIS measures DCC cylinders in a counter clockwise direction.


Pitch for a Cylinder

The Pitch box allows more accurate measurements of threaded holes and studs.

If the Pitch box has a value other than zero, PC-DMIS staggers the feature's hits along the THEO axis, spacing them around the feature using the Start and Ending Angles.

Example: If measuring a cylinder with two levels of four hits equally spaced around the cylinder, the first hit in each level will be at the starting angle at the input depth. The second hit will be at a 90 degree rotation to the first and a depth of (depth - ((hitnum-1)/tothits * pitch). The third hit would be 180 degree rotation from the first hit with a depth of (depth - ((hitnum-1)/tothits * pitch). The remaining hits follow this same pattern.


Type = Hole / Stud for a Cylinder

The Hole and Stud options define the cylinder to be measured as either internal (a Hole) or external (a Stud). It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Height for a Cylinder

When Type = HOLE, the Height box defines the nominal length of the cylinder. If you enter a Height value but do not define a depth, PC-DMIS equally divides the Height value by the number of rows indicated in the # Rows box. The probe then works its way down the cylinder in increments until it reaches the indicated height value.

If a depth value is defined, the actual measured cylinder becomes the height minus the depth value.

To change this value:

  1. Select the Height box.

  2. Type a new value.

When Type = STUD, this option will allow for an extra hit on the top of the stud in the center. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It then will compute the height of the stud.


Circ Move for a Cylinder

Selecting the Circ Move check box the probe will move along an arc as opposed to usually moving in a straight line when moving from one hit to the next. This option is particularly helpful when working with ring grooves.


Use Theo

The Use Theo check box tells PC-DMIS to use the theoretical information displayed in the dialog box when calculating the actual feature information from the measured data collected. This is useful when measuring cylinders with eight points (four high and four low). This can produce three valid measured cylinders at 90 degrees to one another. By using the theoretical information, it is possible to determine which of the three solutions is correct.

The check box becomes available after constructing a valid alignment.


Find Hole for a Cylinder

When the Find Hole box is selected, PC-DMIS moves to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

  • If the hole is found: PC-DMIS will move to the depth and proceed to take three hits equally spaced around the hole to determine the general location of the hole. Following this general adjustment Pc-Dmis will then measure the hole using the parameters defined by the user in the Auto Cylinder dialog. This includes Sample hits etc.

  • If the hole is not found: PC-DMIS will back away from the surface and start a circular search pattern that is (feature radius – probe radius) out from the theoretical feature center. The search will try (2 * PI * feature radius/(feature radius – probe radius) locations around the search circle. If the hole is still not found the search radius will be increased by (feature radius – probe radius) and will continue until the search radius is equal to the prehit distance. If the prehit is smaller than (feature radius – probe radius) only one search pattern will be completed.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a "Read Position". (See Read POS for a Cylinder.)

  • Adjustments along the surface normal: As PC-DMIS searches and finds a surface instead of the hole, it will continually update the search height based on the found surfaces. Once the hole is found, it will update the depth of measurement of the hole based on the last surface found. If the surface is found the first time, no adjustments are made.

  • Adjustments with RMEAS : If you supply an RMEAS feature PC-DMIS assumes you desire to use this feature as the reference for both the search height and the depth of the hole measurement. Therefore, there will be no adjustment along the surface normal other than the RMEAS adjustment.

Note: If Find Hole fails, you can set PC-DMIS to automatically continue executing the part program. See "Auto Continue Execution if FindHole Fails" "System Options".


Re-Measure for a Cylinder

By selecting the Re-Measure check box, PC-DMIS allows you to automatically re-measure a hole against the measured values obtained the first time the hole is measured.


Calculation Mode for a Cylinder

The Misc list allows the user to specify how they would like the cylinder calculated from the measured hits. The available options are: LEAST_SQR, MIN_SEP, MAX_INSC, MIN_CIRCSC, and FIXED_RAD.

More:

LEAST_SQR

MIN_SEP

MAX_INSC

MIN_CIRCSC

FIXED_RAD


Auto Utility - Calculation Mode for a Cylinder - LEAST_SQR

LEAST_SQR

Least Squares – All points input to the cylinder contribute equally to the result of the cylinder.


Auto Utility - Calculation Mode for a Cylinder - MIN_SEP

MIN_SEP

Minimum Separation – This method minimizes the distance from the input points to the circumference of the resulting cylinder.


Auto Utility - Calculation Mode for a Cylinder - MAX_INSC

MAX_INSC

Maximum Inscribed – The resulting cylinder represents the largest cylinder that would fit inside all of the hits input to the cylinder. This option could be used when measuring a cylinder that requires a mating stud. The result would be the largest stud diameter that would fit through the hole just measured.


Auto Utility - Calculation Mode for a Cylinder - MIN_CIRCSC

MIN_CIRCSC

Minimum Circumscribed – The resulting cylinder represents the smallest cylinder that would enclose all of the points input to the cylinder. This option could be used when measuring a stud or stud that would fit through a mating cylinder. The result would be the smallest cylinder that would fit over that stud.


Auto Utility - Calculation Mode for a Cylinder - FIXED_RAD

FIXED_RAD

Fixed Radius – This method locates the X,Y,Z position of the cylinder with the theo radius specified so that the distance from any of the inputs to the circumference of the cylinder is a minimum. It is similar to the Min Sep cylinder but the radius is not allowed to vary.


Auto Utility - Sphere

Sphere

sphere2 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Sphere tab — Auto Features dialog box

The Sphere sheet metal option allows you to define a sphere measurement. This measurement type is particularly useful when the sphere lies in a specific plane that is not parallel with any of the working planes. The minimum number of hits needed to measure a sheet metal sphere is four.

To access the Sphere option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Sphere tab.

The Edit window command line for a sample Sphere would read:
F_ID=AUTO/SPHERE, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K. DNOM =.n
ACTL/ X,Y,Z,I,J,K, DNOM =.n
TARG/ X,Y,Z,I,J,K
THICKNESS = n, TOG1, TOG2
AUTO MOVE = Y/N, DISTANCE = n
NUM HITS =n, NUM ROWS =n, INIT =n, PERM =n, SPACER =n
START ANG1 = n, END ANG1 = n
START ANG2 = n, END ANG2 = n
ANGLE VEC = I,J,K

More:

Sphere Field Definitions

Measuring a Sphere

XYZ Center for a Sphere

IJK Normal Vector for a Sphere

IJK Angle Vec for a Sphere

Num Hits for a Sphere

Num Rows for a Sphere

Init / Perm Sample Hits for a Sphere

Spacer for a Sphere

Diameter for a Sphere

Start Angle 1 for a Sphere

Ending Angle 1 for a Sphere

Start Angle 2 for a Sphere

Ending Angle 2 for a Sphere

Internal / External for a Sphere


Sphere Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, AUTO MOVE, DISTANCE, NUMHITS, NUMROWS, INIT, PERM, SPACER, START ANGLE1, START ANGLE2, END ANGLE1, END ANGLE2, and ANGLE VEC fields in the Edit window.

THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TOG2 = This field switches between IN and OUT. PC-DMIS will determine the type of sphere measured based on the location of the probe when taking the hit.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move when using the AUTO MOVE option.

NUM HITS = This editable value must be an integer that is greater than three.

NUM ROWS = This editable value is an integer greater than one.

INIT / PERM = These values are editable fields.

SPACER = This value is an editable distance.

START /END ANG1 = These editable values denote the starting and ending angles of the sphere.

START / END ANG2 = These editable values denote the part of the arc to be measured.

ANGLE VEC = This field indicates the zero degree position about the normal vector. It is an editable value.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Sphere

PC-DMIS allows several methods for measuring a sphere using the sheet metal option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Sphere

  • Using Surface Data with the CMM for a Sphere

  • Using Surface Data on the Screen for a Sphere

  • Using Wire frame Data on the Screen for a Sphere

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Sphere

Using Surface Data with the CMM for a Sphere

Using Surface Data on the Screen for a Sphere

Using Wire frame Data on the Screen for a Sphere


Using Keyed in Data for a Sphere

This method allows you to key in the desired X, Y, Z, I, J, K values for the sphere. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Sphere

To generate a sphere using surface data with the CMM, touch the sphere in four locations using the probe.

If additional mouse clicks are detected before you select the Create button, PC-DMIS will find the best sphere near the measured points.


Using Surface Data on the Screen for a Sphere

To generate a sphere using surface data:

  1. Click on the Surface Mode icon [image].

  2. Position the cursor in the Graphics Display window to indicate the desired sphere.

  3. Click the left mouse button.

  4. Take at least two additional hits on the sphere.

The dialog box will display the value of the selected sphere and vector once the points have been indicated.


Using Wire frame Data on the Screen for a Sphere

To generate a sphere using Wire frame CAD data:

  1. Select the sphere to be measured. PC-DMIS will highlight the selected sphere, if it is available. (If another feature is selected, try taking two additional hits.)

  2. Verify that the correct feature has been selected.

The dialog box will display the value of the selected DCC sphere and the vector once the sphere has been indicated.


XYZ Center for a Sphere

The XYZ Center boxes display the X, Y, Z nominal for the sphere location.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After the value is created, PC-DMIS will draw the animated probe at the new location. This indicates the center of the sphere.


IJK Normal Vector for a Sphere

The IJK Normal Vec box defines the sphere centerline.

To change the centerline vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Angle Vec for a Sphere

The IJK Angle Vec box define the 0° position about the normal vector. The start and end angles are calculated from this vector. If the vectors are not perpendicular, the angle vector is adjusted to the normal vector.


Num Hits for a Sphere

The # Hits box defines the number of hits that will be used to measure the sphere. The number of hits specified will be equally spaced between the starting and ending angle indicated. The minimum number of hits needed to measure a sphere is four.

To change this value:

  1. Select the # Hits box.

  2. Type a new value.


Num Rows for a Sphere

The # Rows box defines the number of rows that will be used to measure the sphere. Any integer greater than one can be used. The rows will be equally spaced between the Starting Angle 2 and Ending Angle 2.


Init / Perm Sample Hits for a Sphere

Only one sample hit is allowed for both Init and Perm. When one sample hit is indicated, PC-DMIS follows this procedure once you execute the part program:

  1. Automatic measurement stops prior to measuring the sphere.

  2. PC-DMIS requests that you take one hit normal to the direction the sphere should be measured.

  3. After you take the sample hit, click the Continue button

  4. PC-DMIS then takes three more hits on the sphere in a area determined by the spacer.

PC-DMIS takes these four hits and uses the calculated sphere location to measure the sphere with the given number of hits, rows, and angles.


Spacer for a Sphere

The Spacer box defines the distance from the center axis along the top of the sphere to the sample hit(s). When sample hits are taken, PC-DMIS uses a best fit location routine to define where the center should be. This location routine helps find the general location of the sphere before PC-DMIS measures it.

To change the Spacer box value:

  1. Select the existing value.

  2. Type a new value.


Diameter for a Sphere

The Diameter box defines the diameter of the sphere.

To change the diameter of the sphere:

  1. Select the diameter value.

  2. Type a new value.


Start Angle 1 for a Sphere

The Start Ang 1 box displays the starting angle on the sphere. This is a user supplied angle in decimal degrees. The field will take any value between 0° and 180° (and -0° to -180°).

To change the starting angle:

  1. Select the existing angle.

  2. Type a new value.

The major axis of the current working plane is 0°. This can be visualized as the pole pointed to by the vectors. 180° is the direction the vectors point away from, and 90° is parallel to the plane formed from the given point and the given vectors as the normal vector.

Note: The major axis of the current working plane is 0°. The starting angle looks down the centerline and moves in a counter clockwise direction.


Ending Angle 1 for a Sphere

The Eng Ang 1 box displays the ending angle on the Sphere. This is a user supplied angle in decimal degrees. The field will take any value between 0° and 180°.

To change the ending angle:

  1. Select the value in the End Ang 1 box.

  2. Type a new value.

Note: It is important to remember when entering starting and ending angles that the I, J, K vector always looks down the centerline, and that PC-DMIS measures DCC spheres in a counter clockwise direction.


Start Angle 2 for a Sphere

The Start Ang 2 box displays the starting angle on the sphere. This is a user supplied angle in decimal degrees. This field will accept values between 0° and 90°. If the starting angle is 0°, the first row will be a single hit at the top of the sphere.

To change the starting angle:

  1. Select the existing value.

  2. Type a new value.


Ending Angle 2 for a Sphere

The End Ang 2 box displays the ending angle on the sphere. This is a user supplied angle in decimal degrees. This field will accept values between 0° and 90°. If the ending angle is 0°, the last row will be a single hit at the top of the sphere.

To change the ending angle:

  1. Select the existing value.

  2. Type a new value.

Note: It is important that the ending angle is not at more than 90°. The risk of the probe shank hitting the part is increased when a greater angle is used.

Note: When entering starting and ending angles, remember that the I, J, K vector always looks down the centerline, and that PC-DMIS measures DCC spheres in a counter clockwise direction.


Internal / External for a Sphere

The In option and the Out option define the sphere to be measured as either internal (In) or external (Out). It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Square Slot

sqare Hotspot 41 Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Square Slot Feature dialog box

The Square Slot option allows you to define a square slot measurement. This measurement type is particularly useful when you do not want to measure a series of lines and construct intersection and midpoints from them. Square slots must be measured with five hits.

Square Slot Measured with five Hits

To access the Square Slot option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Square Slot tab.

The Edit window command line for a sample Square Slot would read:
F_ID=AUTO/SQUARE SLOT, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, WIDTH, LENGTH, x
ACTL/ X,Y,Z,I,J,K, WIDTH, LENGTH, x
TARG/ X,Y,Z,I,J,K. WIDTH, LENGTH, x
THEO_THICKNESS = n, TOG1, TOG2
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none, READPOS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N
INIT = n, PERM = n, SPACER = .n, DEPTH = .n
WIDTH MINMAX = NORM, RADIUS – n

More:

Square Slot Field Definitions

Measuring a Square Slot

XYZ Center for a Square Slot

IJK Normal Vec for a Square Slot

IJK Angle Vec for a Square Slot

Read POS for a Square Slot

Init / Perm Sample Hits for a Square Slot

Spacer for a Square Slot

Depth for a Square Slot

Width Meas for a Square Slot

Width for a Square Slot

Length for a Square Slot

Radius for a Square Slot

Type = Hole / Stud for a Square Slot

Height for a Square Slot

Find Hole for a Square Slot

Re-Measure for a Square Slot

Extended Square Slot Options


Square Slot Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, IN/OUT, AUTO MOVE, DISTANCE, RMEAS, READ POS, FIND HOLE, REMEASURE, INIT, PERM, SPACER, DEPTH, WIDTH MINMAX, and RADIUS fields in the Edit window.

THEO_THICKNESS = This editable value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TOG2 = This field switches between IN and OUT. PC-DMIS will determine the type of slot measured based on the location of the probe when taking the hit.

TOG3 = This field switches between NORM and STUD. It indicates the type of slot that PC-DMIS is measuring.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move when using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

READ POS = This is a toggle field. A YES indicates that this option is ON.

FIND HOLE = This is a YES/NO toggle field moves the probe to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

REMEASURE = This YES/NO toggle field automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

INIT / PERM = These values can be edited or switched. The valid choices are zero, one and three.

SPACER / DEPTH = These values are editable distances.

WIDTH MINMAX = This field switches between MAXMIN and NORM. It indicates how PC-DMIS will measure the slot.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Square Slot

PC-DMIS allows several methods for measuring a square slot using the sheet metal option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Square Slot

  • Using Surface Data with the CMM for a Square Slot

  • Using Surface Data on the Screen for a Square Slot

  • Using Wire Frame Data with the CMM for a Square Slot

  • Using Wire frame Data on the Screen for a Square Slot

  • Without Using CAD Data for a Square Slot

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Square Slot

Using Surface Data with the CMM for a Square Slot

Using Surface Data on the Screen for a Square Slot

Using Wire Frame Data with the CMM for a Square Slot

Using Wire Frame Data on the Screen for a Square Slot

Without using CAD Data for a Square Slot


Using Keyed in Data for a Square Slot

This method allows you to key in the desired X, Y, Z, I, J, K values for the square slot. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Square Slot

To generate a square slot measurement using surface data with the CMM:

  1. Touch twice on the long side of the slot using the probe.

  2. Touch the part on the short side of the slot.

  3. Continue around the slot and touch the next long side.

  4. Touch the last short side.

Note: The order of touches should be in a circular pattern (clockwise or counter-clockwise).


Using Surface Data on the Screen for a Square Slot

To generate a square slot using surface data:

  1. Click on the Surface Mode icon [image].

  2. Using the animated probe, take two hits on the long side of the slot. PC-DMIS will highlight the selected line.

  3. Verify that the correct side has been selected.

  4. Touch the image on one of the short sides of the slot.

  5. Continue around the slot and touch the next long side.

  6. Touch the last short side.

Note: The order of touches should be in a circular pattern (clockwise or counter-clockwise).


Using Wire Frame Data with the CMM for a Square Slot

To generate a square slot measurement using wire frame data with the CMM:

  1. Touch twice on the long side of the slot using the probe.

  2. Touch the part on the short side of the slot.

  3. Continue around the slot and touch the next long side.

  4. Touch the last short side.

Note: The order of touches should be in a circular pattern (clockwise or counter-clockwise).


Using Wire Frame Data on the Screen for a Square Slot

To generate a square slot using Wire frame CAD data:

  1. Click twice near the desired wire on the long side of the slot. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

  3. Touch the image on the short side of the slot.

  4. Continue around the slot and touch on the next long side.

  5. Touch the last short side.

Note: The order of touches should be in a circular pattern (clockwise or counter-clockwise).


Without using CAD Data for a Square Slot

To generate the square slot without the use of CAD data:

  1. Find the top surface using three hits.

  2. Take two hits on one of the long sides of the slot.

  3. Take one hit on each of the three remaining sides of the slot in a clockwise direction. (There should be a total of eight hits.)

Note: The order of hits should be in a circular pattern (clockwise or counter-clockwise).


XYZ Center for a Square Slot

The XYZ Center boxes display the X, Y, and Z nominals for the slot location.

To change a nominal:

  1. Click on the desired field.

  2. Type in a new value.

After the value is created, PC-DMIS will draw the animated probe at the new location. This location indicates the center of the slot.


IJK Normal Vec for a Square Slot

The IJK Normal Vec boxes define the surfacenormal vector of the plane that the slot lies in. (This is the plane that the slot is parallel to.)

To change the slot normal vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making it a length of 1.


IJK Angle Vec for a Square Slot

The IJK Angle Vec boxes define the slot centerline. This is a user supplied I, J, K normal vector. The slot centerline and slot normal vector must be perpendicular to each other.

To change the centerline vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making it a length of 1.


Read POS for a Square Slot

The Read Pos check box is used right before measuring a feature. PC-DMIS will stop above the surface and will display a message, asking if you want to use current data.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will measure the feature but will use the current probe data.

Note: Read Pos is only available in DCC Mode.


Init / Perm Sample Hits for a Square Slot

The Initial and Perm boxes allow you to define a number of sample hits to be used to measure a plane around the edge of the slot. The only values that will be accepted are zero, one and three. The measured plane will be used as the centerline vector for projection and measurement depth purposes.

To change this value:

  1. Select the existing value.

  2. Type a new value.

PC-DMIS will measure the slot depending on the entered value. For example, if the number is set to:

  • 0, PC-DMIS will measure the indicated slot. No sample hits will be taken.

Note: To take the hit on the opposite side of the slot, reverse the centerline vector.

  • 1, PC-DMIS will measure the surface at the center of the slot. The slot hit will be to the right of the vector.

  • 3, PC-DMIS will measure the surface at three equally spaced hits starting from SLOT A. The slot hits will be relative to the measured plane, and any values will be offset from these points.

Init/Perm of three hits on a Square Slot

Note: To take the hits on the opposite side of the slot, reverse the centerline vector.


Spacer for a Square Slot

The Spacer box defines the distance from the outer edge of the slot to the sample hits.

To change the spacer's value:

  1. Select the existing value.

  2. Type a new value.

Spacer for Square Slot


Depth for a Square Slot

The Depth box defines the distance below the surface that PC-DMIS will measure the slot.

To change the depth:

  1. Select the existing value.

  2. Type a new value.


Width Meas for a Square Slot

When the Width Meas check box is selected, and the Create button is selected, the PC-DMIS will:

  • Measure two hits on the side of the slot.

  • Adjust the angle vector.

  • Measure two hits on the opposite side to calculate the width.

  • Adjust the position of the last two hits at each end for the width.


Width for a Square Slot

The Width box displays the width of the slot.

To change this value:

  1. Select the existing value.

  2. Type a new value.


Length for a Square Slot

The Length box displays the length of the slot.

To change the length:

  1. Select the Length box.

  2. Type a new value.


Radius for a Square Slot

Square slots aren't always exactly square. They often have radii instead of corners. The Radius box holds a value the size of that radius. It is used to determine the location of each hit during the measurement of the slot to avoid hitting on the radii.


Type = Hole / Stud for a Square Slot

The Hole option and the Stud option define the square slot to be measured as either internal (Hole) or external (Stud). When selected, this option will switch between HOLE and STUD. It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Height for a Square Slot

The Height box is used only in TYPE = STUD. It allows for an extra hit on the top (and in the center) of the stud. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It will then compute the height of the stud.


Find Hole for a Square Slot

When the Find Hole check box is selected, PC-DMIS moves to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance (see "Check Distance") is reached (indicating that the hole is present).

  • If the hole is found: PC-DMIS will move to the depth and measure one hit on each of four the sides of the slot. It will adjust for the center of the four hits and measure two hits on one of the long sides to adjust for the slot rotation. After a general location and orientation of the slot is calculated the Slot will be measured using the parameters defined in the Auto Square Slot dialog.

  • If the hole is not found: PC-DMIS will back away from the surface and start a circular search pattern that is (feature radius – probe radius) out from the theoretical feature center. The search will try (2 * PI * feature radius/(feature radius – probe radius) locations around the search circle. If the hole is still not found the search radius will be increased by (feature radius – probe radius) and will continue until the search radius is equal to the prehit distance. If the prehit is smaller than (feature radius – probe radius) only one search pattern will be completed.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a "Read Position". (See Read POS for a Square Slot.)

  • Adjustments along the surface normal: As PC-DMIS searches and finds a surface instead of the hole it will continually update the search height based on the found surfaces. Once the hole is found, it will update the depth of measurement of the hole based on the last surface found. If the surface is found the first time, no adjustments are made.

  • Adjustments with RMEAS : If you supply an RMEAS feature PC-DMIS assumes you desire to use this feature as the reference for both the search height and the depth of the hole measurement. Therefore, there will be no adjustment along the surface normal other than the RMEAS adjustment.

Note: If Find Hole fails, you can set PC-DMIS to automatically continue executing the part program. See "Auto Continue Execution if FindHole Fails" "System Options".


Re-Measure for a Square Slot

By selecting the Re-Measure check box, PC-DMIS allows you to automatically re-measure a hole against the measured values obtained the first time the hole is measured.


Extended Square Slot Options

extsqua Hotspot 45 Hotspot 44 Hotspot 43 Hotspot 42 Hotspot 41 Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Square Slot Feature tab — Extended Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options check box is selected. (See Options | Setup Options | General.)

The Edit window command line for this option would read:
F_ID=AUTO/SQUARE SLOT, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, DNOM =.n, LENGTH =.n
ACTL/ X,Y,Z,I,J,K, DNOM =.n, LENGTH =.n
TARG/ X,Y,Z,I,J,K, DNOM = n
THEO_THICKNESS=n,TOG1,TOG2,TOG3
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N
INIT = n, PERM = n, SPACER = n, DEPTH =.n
WIDTH MINMAX = NORM, RADIUS = n
PUNCH = I,J,K, PIN = I,J,K

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Extended Square Slot Field Definitions

IJK Punch Vec for a Square Slot

IJK Pin Vec for a Square Slot

Use Pin for a Square Slot


Extended Square Slot Field Definitions

PUNCH = This field indicates the direction of the punch through the sheet metal. It is an editable value.

PIN = This field indicates the direction of the point through the hole formed by the punch.

See Square Slot Field Definitions for the standard square slot field definitions.


IJK Punch Vec for a Square Slot

The IJK Punch Vec boxes define the direction of the punch through the sheet metal. This vector is positioned at the XYZ center, plus half the thickness along the surface normal vector.


IJK Pin Vec for a Square Slot

The IJK Pin Vec boxes define the direction of the stud through the hole formed by the punch.


Use Pin for a Square Slot

By selecting the Use Pin check box the Punch Vec and Pin Vec boxes become available for editing. When the Use Pin check box is cleared, the Punch Vec and Pin Vec boxes are unavailable for editing.


Round Slot

round Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Round Slot tab — Auto Features dialog box

The Round Slot option allows you to define a round slot measurement. This measurement type is particularly useful when you do not want to measure a series of lines and circles, or construct intersections and midpoints from them. The minimum number of hits needed to measure a round slot is six.

Round Slot with 6 Minimum Hits

To access the Round Slot option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Round Slot tab.

The Edit window command line for a sample Round Slot would read:
F_ID=AUTO/ROUND SLOT, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, LENGTH, WIDTH, x
ACTL/ X,Y,Z,I,J,K, LENGTH, WIDTH, x
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1, TOG2
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N
INIT = n, PERM = n, SPACER = .n
DEPTH = .n, HITS = n

More:

Round Slot Field Definitions

Measuring a Round Slot

XYZ Center for a Round Slot

IJK Normal Vec for a Round Slot

IJK Angle Vec for a Round Slot

Read POS for a Round Slot

Num Hits for a Round Slot

Init / Perm Sample Hits for a Round Slot

Spacer for a Round Slot

Depth for a Round Slot

Width for a Round Slot

Length for a Round Slot

Type = Hole / Stud for a Round Slot

Height for a Round Slot

Find Hole for a Round Slot

Re-Measure for a Round Slot

Extended Round Slot Options


Round Slot Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, IN/OUT, AUTO MOVE, DISTANCE, RMEAS, READ POS, FIND HOLE, REMEASURE, INIT, PERM, SPACER, DEPTH, and HITS fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TOG2 = This field switches between IN and OUT. PC-DMIS will determine the type of slot measured based on the location of the probe when taking the hit.

TOG3 = This field switches between NORM and STUD. It indicates the type of slot that PC-DMIS is measuring.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move when using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

READ POS = This is a toggle field. A YES indicates that this option is ON.

FIND HOLE = This YES/NO toggle field moves the probe to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

REMEASURE = This YES/NO toggle field automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

INIT / PERM = These values can be edited or switched. The valid choices are zero, one and three.

SPACER / DEPTH = These value are editable distances.

WIDTH MINMAX = This field switches between MAXMIN and NORM. It indicates how PC-DMIS will measure the slot.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Round Slot

PC-DMIS allows several methods for measuring a round slot using the sheet metal option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Round Slot

  • Using Surface Data with CMM for a Round Slot

  • Using Surface Data on the Screen for a Round Slot

  • Using Wire frame Data with the CMM for a Round Slot

  • Using Wire frame Data on the Screen for a Round Slot

  • Without using CAD Data for a Round Slot

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Round Slot

Using Surface Data with the CMM for a Round Slot

Using Surface Data on the Screen for a Round Slot

Using Wire frame Data with the CMM for a Round Slot

Using Wire frame Data on the Screen for a Round Slot

Without using CAD Data for a Round Slot


Using Keyed in Data for a Round Slot

This method allows you to key in the desired X, Y, Z, I, J, K values for the round slot. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Round Slot

To generate a round slot measurement using surface data with the CMM, simply touch three times on each arc.


Using Surface Data on the Screen for a Round Slot

To generate a round slot measurement using surface data:

  1. Click the Surface Mode icon [image].

  2. Using the animated probe, simply touch three times on each arc displayed in the Graphics Display window.


Using Wire frame Data with the CMM for a Round Slot

To generate a round slot measurement using wire frame data with the CMM, simply touch three times on each arc.

Note: If the CAD data defining the ends of the slot is specifically a CIRCLE or ARC type (i.e., an IGES entity 100), PC-DMIS will automatically take two additional hits on the arc. If both ends are of this type, then one touch on each arc is sufficient to measure this feature type.


Using Wire frame Data on the Screen for a Round Slot

Wire frame CAD data can also be used to generate a round slot. Using the animated probe, simply touch three times on each arc displayed in the Graphics Display window.

Note: If the CAD data defining the ends of the slot is specifically a CIRCLE or ARC type (i.e., an IGES entity 100), PC-DMIS will automatically take two additional hits on the arc. If both ends are of this type, then one touch on each arc is sufficient to measure this feature type.


Without using CAD Data for a Round Slot

If the round slot is to be generated without the use of CAD data, touch three times on each arc (for a total of six hits).


XYZ Center for a Round Slot

The XYZ Center boxes display the X, Y, and Z nominals for the slot location.

To change a nominal:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates the center of the slot.


IJK Normal Vec for a Round Slot

The IJK Normal Vec boxes define the surfacenormal vector of the plane that the slot lies in. (This is the plane that the slot is parallel to.)

To change the slot normal vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making it a length of one.


IJK Angle Vec for a Round Slot

The IJK Angle Vec boxes define the slot centerline. This is a user supplied I, J, K normal vector. The slot centerline and slot normal vector must be perpendicular to each other.

To change the centerline vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making it a length of one.


Read POS for a Round Slot

The Read Pos check box is used right before measuring a feature. PC-DMIS will stop above the surface and will display a message asking if you want to use current data.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will measure the feature but will use the current probe data.

Note: Read Pos is only available in DCC Mode.


Num Hits for a Round Slot

The # Hits box allows you to define the number of hits to be used to measure the slot.

To change the # Hits value:

  1. Select the existing value.

  2. Type a new value.

If an odd number of hits is entered, PC-DMIS will automatically add one to the value. This allows for an even number of hits in the measurement of the slot. Half of the hits will be taken on the semi-circle at each end of the slot. A minimum of six hits is required.


Init / Perm Sample Hits for a Round Slot

The Initial and Perm boxes allow you to define a number of sample hits to be used to measure a plane around the edge of the slot. The only values that will be accepted are zero, one and three. The measured plane will be used as the centerline vector for projection and measurement depth purposes.

To change this value:

  1. Select the existing value.

  2. Type a new value.

PC-DMIS will measure the slot depending on the entered value. For example, if the number is set to:

  • 0, PC-DMIS will measure the indicated slot. No sample hits will be taken.

Note: To take the hit on the opposite side of the slot, reverse the centerline vector.

  • 1, PC-DMIS will measure the surface at the center of the slot. The slot hit will be to the right of the vector.

  • 3, PC-DMIS will measure the surface at three equally spaced hits starting from SLOT A. The slot hits will be relative to the measured plane, and any values will be offset from these points.

Round Slot with three Sample Hits

Note: To take the hits on the opposite side of the slot, reverse the centerline vector.


Spacer for a Round Slot

The Spacer box allows you to define the distance from the outer edge of the slot to the sample hit(s).

To change the spacer value:

  1. Select the existing value.

  2. Type a new value.

Spacer for a Round Slot


Depth for a Round Slot

The Depth box defines the distance below the surface that PC-DMIS will measure the slot.

To change the depth:

  1. Select the existing value.

  2. Type a new value.


Width for a Round Slot

The Width box displays the width of the slot.

To change this value:

  1. Select the existing value.

  2. Type a new value.


Length for a Round Slot

The Length box displays the total length of the slot.

To change this value:

  1. Select the existing value.

  2. Type in a new number.


Type = Hole / Stud for a Round Slot

The Hole option and the Stud option define the round slot to be measured as either internal (Hole) or external (Stud). It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Height for a Round Slot

The Height box is used only in TYPE = STUD. It allows for an extra hit on the top (and in the center) of the stud. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It will then compute the height of the stud.


Find Hole for a Round Slot

When the Find Hole check box is selected, PC-DMIS moves to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance (see "Check Distance") is reached (indicating that the hole is present).

  • If the hole is found: PC-DMIS will move to the depth and measure one hit on each of four the sides of the slot. It will adjust for the center of the four hits and measure two hits on one of the long sides to adjust for the slot rotation. After a general location and orientation of the slot is calculated, the Slot will be measured using the parameters defined in the Auto Round Slot dialog.

  • If the hole is not found: PC-DMIS will back away from the surface and start a circular search pattern that is (feature radius – probe radius) out from the theoretical feature center. The search will try (2 * PI * feature radius/(feature radius – probe radius) locations around the search circle. If the hole is still not found the search radius will be increased by (feature radius – probe radius) and will continue until the search radius is equal to the prehit distance. If the prehit is smaller than (feature radius – probe radius) only one search pattern will be completed.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a "Read Position". (See Read POS for a Round Slot.)

  • Adjustments along the surface normal: As PC-DMIS searches and finds a surface instead of the hole it will continually update the search height based on the found surfaces. Once the hole is found, it will update the depth of measurement of the hole based on the last surface found. If the surface is found the first time, no adjustments are made.

  • Adjustments with RMEAS : If you supply an RMEAS feature PC-DMIS assumes you desire to use this feature as the reference for both the search height and the depth of the hole measurement. Therefore, there will be no adjustment along the surface normal other than the RMEAS adjustment.

Note: If Find Hole fails, you can set PC-DMIS to automatically continue executing the part program. See "Auto Continue Execution if FindHole Fails" "System Options".


Re-Measure for a Round Slot

By selecting the Re-Measure check box, PC-DMIS allows you to automatically re-measure a hole against the measured values obtained the first time the hole is measured.


Extended Round Slot Options

extroun Hotspot 44 Hotspot 43 Hotspot 42 Hotspot 41 Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Round Slot tab—Extended Options

PC-DMIS will display the following options if the Show Extended Sheet Metal Options is selected. (See Options | Setup Options | General.)

The Edit window command line for this option would read:
F_ID=AUTO/ROUND SLOT, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, DNOM =.n, LENGTH =.n
ACTL/ X,Y,Z,I,J,K, DNOM =.n, LENGTH =.n
TARG/ X,Y,Z,I,J,K, DNOM = n
THEO_THICKNESS = n, TOG1, TOG2,TOG3
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE = Y/N
INIT = n, PERM = n, SPACER = n,
DEPTH =.n, PUNCH = I,J,K, PIN = I,J,K

Note: THEO/ represents the target hit. ACTL/ represents the measured hit

More:

Extended Round Slot Field Definitions

IJK Punch Vec for a Round Slot

IJK Pin Vec for a Round Slot

Use Pin for a Round Slot


Extended Round Slot Field Definitions

PUNCH = This field indicates the direction of the punch through the sheet metal. It is an editable value.

PIN = This field indicates the direction of the point through the hole formed by the punch.

See Round Slot Field Definitions for the starndard round slot field definitions.


IJK Punch Vec for a Round Slot

The IJK Punch Vec boxes define the direction of the punch through the sheet metal. This vector is positioned at the XYZ center, plus half the thickness along the surface normal vector.


IJK Pin Vec for a Round Slot

The IJK Pin Vec boxes define the direction of the stud through the hole formed by the punch.


Use Pin for a Round Slot

By selecting the Use Pin check box the Punch Vec and Pin Vec boxes become available for editing. When the Use Pin check box is cleared, the Punch Vec and Pin Vec boxes are unavailable for editing.


Ellipse

ellipse Hotspot 40 Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Ellipse dialog box

The Ellipse auto feature option allows you to define an ellipse. The ellipse feature type works much like the sheet metal circle feature. It is particularly useful when the ellipse is positioned in a specific plane that is not parallel with any of the working planes. It is also useful if equally spaced hits are required for partial ellipses. The minimum number of hits required to measure an ellipse is five.

To access the Ellipse option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Ellipse tab.

The Edit window command line for a sample ellipse would read:
F_ID=AUTO/ELLIPSE, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, MAJOR DIAM, MINOR DIAM, I2,J2,K2
ACTL/ X,Y,Z,I,J,K, MAJOR DIAM, MINOR DIAM, I2,J2,K2
TARG/X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1, TOG2
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
NUMHITS =n, INIT = n, PERM = n, SPACER = .n,
START ANG =n, END ANG =n, DEPTH = .n

More:

Ellipse Field Definitions

Measuring an Ellipse

XYZ Center for an Ellipse

IJK Normal Vec for an Ellipse

IJK Angle Vec for an Ellipse

Read POS for an Ellipse

Num Hits for an Ellipse

Init / Perm Sample Hits for an Ellipse

Spacer for an Ellipse

Depth for an Ellipse

Major Diam for an Ellipse

Minor Diam for an Ellipse

Start Ang for an Ellipse

End Ang for an Ellipse

Type = Hole / Stud for an Ellipse

Height for an Ellipse


Ellipse Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, AUTO MOVE, DISTANCE, RMEAS, READ POS, NUMHITS, INIT, PERM, SPACER, START ANG, END ANG, and DEPTH fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TOG2 = This field switches between IN and OUT. PC-DMIS will determine the type of ellipse measured based on the location of the probe when taking the hit. (Inside a ellipse = IN, outside a stud = OUT.)

MAJOR DIAM = This value indicates the total length of the ellipse.

MINOR DIAM = This value indicates the total width of the ellipse.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

NUM HITS = This editable value is an integer that is greater than four.

INIT / PERM = These values can be edited or switched. The only values that will be accepted are zero, one and three.

SPACER / DEPTH = These values are editable distances.

START / END ANGLE = These values denote the part of the arc to be measured.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring an Ellipse

PC-DMIS allows several methods for measuring an ellipse using the sheet metal option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for an Ellipse

  • Using Surface Data with the CMM for an Ellipse

  • Using Surface Data on the Screen for an Ellipse

  • Without using CAD Data for an Ellipse

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for an Ellipse

Using Surface Data with the CMM for an Ellipse

Using Surface Data on the Screen for an Ellipse

Without using CAD Data for an Ellipse


Using Keyed in Data for an Ellipse

This method allows you to key in the desired X, Y, Z, I, J, K values for the ellipse. In addition, the major and minor diameters of the ellipse as well as the angle vector I2, J2, K2 may also be keyed in. See Mode for additional information on nominals.


Using Surface Data with the CMM for an Ellipse

To generate an ellipse measurement using surface data with the CMM, take a minimum of five hits on the ellipse. PC-DMIS will pierce the CAD surface closest to where the probe touched. The displayed X, Y, Z values reflect the closest CAD ellipse, not the actual hits. The I, J, K reflects the surface normal vector. If a CAD ellipse is not found, PC-DMIS will display the closest point and ask that additional points be taken.


Using Surface Data on the Screen for an Ellipse

To generate an ellipse measurement using surface data:

  1. Click the Surface Mode icon [image].

  2. Using the animated probe, touch on five locations around the ellipse displayed in the Graphics Display window.

At least five hits are needed for PC-DMIS to compute the necessary X, Y, Z and I, J, K data.


Without using CAD Data for an Ellipse

If the ellipse is to be generated without the use of CAD data:

  1. Take three hits on the surface to find the plane that the circle is lying in.

  2. Take five additional hits in the hole (or on the stud).

PC-DMIS will use the data to calculate the sheet metal ellipse. Additional hits can be taken until the Create button is clicked. The X, Y, Z that is displayed is the calculated center of the ellipse. Also shown are the calculated major and minor diameters, along with the orientation vector.


XYZ Center for an Ellipse

The XYZ Center boxes display the X, Y, Z nominals for the ellipse location.

To change the X, Y, Z nominal:

  1. Select the existing value.

  2. Type a new value.

After the value is created, PC-DMIS will draw the animated probe at the new location. This location indicates the center of the ellipse.


IJK Normal Vec for an Ellipse

The IJK Normal Vec boxes define the surface normal vector of the plane that the ellipse lies in. The ellipse is parallel to this plane.

To change the ellipse's normal vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making it a length of 1.


IJK Angle Vec for an Ellipse

The IJK Angle Vec boxes define the ellipse's centerline. This is a user supplied I, J, K normal vector. The ellipse's centerline and normal vector must be perpendicular to each other.

To change the centerline vector:

  1. Select on the value you want to change.

  2. Type in a new value.

After a new value is created, PC-DMIS will normalize the vector, making it a length of 1.


Read POS for an Ellipse

The Read Pos check box is used right before measuring a feature. PC-DMIS will stop above the surface and will display a message asking if you want to use current data.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will measure the feature but will use the current probe data.

Note: Read POS is only available in DCC Mode.


Num Hits for an Ellipse

The # Hits box defines the number of hits that will be used to measure the ellipse. The number of hits specified will be equally spaced between the starting and ending angle indicated.

To change this value:

  1. Select the existing value in the # Hits box.

  2. Type a new value.

If the starting and end angles are the same, or differ by a multiple of 360°, then only one hit will be taken at the mutual starting and ending point. This feature requires at least five hits.


Init / Perm Sample Hits for an Ellipse

The Initial box and the Perm box allow you to define a number of sample hits to be used to measure a plane around the ellipse. The only values that will be accepted are zero, one and three. The measured plane will be used as the centerline vector for projection and measurement depth purposes.

To change this value:

  1. Select the existing value.

  2. Type a new value.

PC-DMIS will measure the ellipse depending on the entered value. For example, if the number is set to:

  • 0, PC-DMIS will measure the indicated ellipse. No sample hits will be taken.

Note: To take the hit on the opposite side of the ellipse, reverse the centerline vector.

  • 1, PC-DMIS will take a single sample hit at the location where the ANGLE VEC points to (i.e. 0° + SPACER), not at the center of the ellipse (being particularly difficult should the ellipse be a hole).

  • 3, PC-DMIS will measure the surface at points outside (or inside) the ellipse an indicated distance from the outer edge (Spacer value). The first hit will be at the indicated start angle. Hit number two will be halfway between the start angle and end angle. The last hit will be at the end angle. The hits will be relative to the measured plane, and any values will be offset from these points.


Spacer for an Ellipse

The Spacer box defines the distance from the outer edge of the ellipse to the sample hit(s).

To change this value:

  1. Select the existing value.

  2. Type a new value.


Depth for an Ellipse

The Depth box defines the distance below the surface that PC-DMIS will measure the ellipse.

To change the depth:

  1. Select the existing value.

  2. Type a new value.


Major Diam for an Ellipse

The Major Dia box displays the total length of the ellipse.

To change this value:

  1. Select the existing value.

  2. Type a new value.


Minor Diam for an Ellipse

The Minor Dia box displays the width of the ellipse.

To change this value:

  1. Select the existing value.

  2. Type a new value.


Start Ang for an Ellipse

The Start Ang box displays the starting angle on the ellipse. This is a user supplied angle in decimal degrees.

To change the starting angle:

  1. Select the existing value.

  2. Type a new value.

Note: The major axis of the current working plane is 0°. The starting angle looks down the center line and moves in a counter clockwise direction.


End Ang for an Ellipse

The Eng Ang box displays the ending angle on the ellipse. This is a user supplied angle in decimal degrees.

To change the ending angle:

  1. Select the existing value.

  2. Type a new value.

Note: It is important to remember when entering starting and ending angles that the I, J, K vector always looks down the center line and moves in a counter clockwise direction.


Type = Hole / Stud for an Ellipse

The Hole and Stud options in the Type area of the dialog box define the ellipse to be measured as either internal (Hole) or external (Stud). These options allow you to switch between HOLE and STUD values in the Edit window. It is very important to make sure this option is set correctly because of the differences in measurement sequence for each type.


Height for an Ellipse

The Height box is used only in TYPE = STUD. It allows for an extra hit on the top (and in the center) of the stud. If this value is anything but zero, PC-DMIS will take an extra hit in the center of the stud. It will then compute the height of the stud.


Notch

notch Hotspot 39 Hotspot 38 Hotspot 37 Hotspot 36 Hotspot 35 Hotspot 34 Hotspot 33 Hotspot 32 Hotspot 31 Hotspot 30 Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Notch tab — Auto Features dialog box

The Notch measurement option allows you to define a notch measurement. A notch is a three sided square slot. This measurement type is particularly useful when you do want to measure a series of lines and construct intersection and midpoints from them. Notches must be measured with four hits.

To access the Notch option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Notch tab.

The Edit window command line for a sample Notch would read:
F_ID=AUTO/NOTCH, SHOWHITS = NO, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K, LENGTH, WIDTH, I, J, K
ACTL/ X,Y,Z,I,J,K, LENGTH, WIDTH, I, J, K
TARG/X,Y,Z,I,J,K,I,J,K
THEO_THICKNESS = n, TOG1
AUTO MOVE = Y/N, DISTANCE = n, RMEAS = none
READ POS = Y/N, FIND HOLE = Y/N, REMEASURE =Y/N
INIT = n, PERM = n, SPACER = .n,
INDENT = .n, DEPTH = .n, RADIUS = .n

More:

Notch Field Definitions

Measuring a Notch

XYZ Center for a Notch

IJK Normal Vec for a Notch

IJK Angle Vec for a Notch

Read POS for a Notch

Init / Perm Sample Hits for a Notch

Spacer for a Notch

Indent for a Notch

Depth for a Notch

Radius for a Notch

Width for a Notch

Length for a Notch

Find Hole for a Notch

Re-Measure for a Notch


Notch Field Definitions

SHOWHITS = Documentation will be included when functionality becomes available.

SHOWALLPARAMS = This YES/NO toggle field allows you to choose whether or not PC-DMIS displays the THEO_THICKNESS, RECT/POLAR, AUTO MOVE, DISTANCE, RMEAS, READ POS, FIND HOLE, REMEASURE, INIT, PERM, SPACER, INDENT, DEPTH, and RADIUS fields in the Edit window.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

RMEAS = This value indicates the relative position and orientation between a given feature and the sheet metal feature.

READ POS = This is a toggle field. A YES indicates that this option is ON.

FIND HOLE = This is a YES/NO toggle field moves the probe to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance is reached (indicating that the hole is present).

REMEASURE = This YES/NO toggle field automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

INIT / PERM = These values can be edited or switched. The only values that will be accepted are zero, one and three.

INDENT = This value is an editable distance.

DEPTH = These values are editable distances.

RADIUS = This value is an editable, non-negative distance.

See Common Functions of Sheet Metal Dialog Boxes for general guidelines on measuring all sheet metal feature types.


Measuring a Notch

PC-DMIS allows several methods for measuring an notch using the sheet metal option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Notch

  • Using Surface Data with the CMM for a Notch

  • Using Surface Data on the Screen for a Notch

  • Using Wire Frame Data with the CMM for a Notch

  • Using Wire Frame Data on the Screen for a Notch

  • Without using CAD Data for a Notch

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Notch

Using Surface Data with the CMM for a Notch

Using Surface Data on the Screen for a Notch

Using Wire Frame Data with the CMM for a Notch

Using Wire Frame Data on the Screen for a Notch

Without using CAD Data for a Notch


Using Keyed in Data for a Notch

This method allows you to key in the desired X, Y, Z, I, J, K values for the notch. See Mode for additional information on nominals.


Using Surface Data with the CMM for a Notch

To generate a notch measurement using surface data with the CMM:

  1. Touch two times on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  2. Touch the part once on one parallel side of the notch and once on the other. This defines the length. The point is along the edge line, midway between the parallel sides.

  3. Take one hit on the open edge. This defines the width of the notch.


Using Surface Data on the Screen for a Notch

To generate a notch measurement using surface data:

  1. Click the Surface Mode icon [image].

  2. Using the animated probe, take five hits on the CAD surface in the same order as if using a CMM (see Using Surface Data with the CMM for a Notch ).


Using Wire Frame Data with the CMM for a Notch

To generate a notch measurement using wire frame data with the CMM:

  1. Touch twice on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  2. Touch the part on one parallel side of the notch and then on the other side. This defines the length. The point is along the edge line, mid way between the parallel sides.

  3. Take a single touch on the open edge. This defines the width of the notch.


Using Wire Frame Data on the Screen for a Notch

Wire frame CAD data can also be used to generate a notch.

Using the animated probe:

  1. Touch twice on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  2. Touch the part on one parallel side of the notch and then on the other side. This defines the length. The point is along the edge line, mid way between the parallel sides.

  3. Take a single touch on the open edge. This defines the width of the notch.


Without using CAD Data for a Notch

To generate a notch without the use of CAD data:

  1. Find the top surface using three hits.

  2. Touch twice on the side opposite the opening of the notch using the probe. This will define a line along the edge.

  3. Touch the part on one parallel side of the notch and then on the other side. This defines the length. The point is along the edge line, mid way between the parallel sides.

  4. Take a single touch on the open edge. This defines the width of the notch.


XYZ Center for a Notch

The XYZ Center boxes display the X, Y, and Z nominals for the notch location.

To change a nominal:

  1. Select the existing value.

  2. Type a new value.

After the value is entered, PC-DMIS will draw the animated probe at the new location. This location indicates midpoint of the notch along the non-parallel side.


IJK Normal Vec for a Notch

The IJK Normal Vec boxes define the surface normal vector of the plane that the notch lies in. (This is the plane that the notch is parallel to.)

To change the notch normal vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Angle Vec for a Notch

The IJK Angle Vec boxes define the notch orientation vector for the side opposite the opening of the notch. This is a user supplied I, J, K normal vector. The notch angle vector and notch normal vector must be perpendicular to each other.

To change the angle vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


Read POS for a Notch

This option is used right before measuring a feature. PC-DMIS will stop above the surface and will display a message asking you if you want to use current data.

  • If you respond by clicking the No button, PC-DMIS will require you to move the probe to the desired location before the measurement process can continue.

  • If you respond by clicking the Yes button, PC-DMIS will measure the feature but will use the current probe data.

Note: Read Pos is only available in DCC Mode.


Init / Perm Sample Hits for a Notch

The Initial and Perm boxes allow you to define a number of sample hits to be used to measure a plane around the edge of the notch and define the edge for the angle vector and width. The only values that will be accepted are zero through five. The measured plane will be used as the centerline vector for projection and measurement depth purposes.

To change the number of sample hits for the Initial or Perm box:

  1. Select the value for the desired box.

  2. Type a new value.

PC-DMIS will measure the notch depending on the entered value. For example, if the number is set to:

  • 0, PC-DMIS will measure the indicated notch. No sample hits will be taken.

  • 1, PC-DMIS will measure the surface at the edge of the notch.

  • 2, PC-DMIS will measure the edge along the open side of the notch. This will define the angle vector and will be used to find the width of the notch.

  • 3, PC-DMIS will measure the surface at one end of the notch with two hits and one hit at the other end of the notch. The notch hits will be relative to the measured plane, any values will be offset from these points.

  • 4, PC-DMIS will measure the surface the same as three sample hits. A fourth hit will be taken on the edge along the open side to be used in finding the width of the notch.

  • 5, PC-DMIS will measure the surface the same as three sample hits. It will also measure the edge along the open side in the same manner as two sample hits.


Spacer for a Notch

The Spacer box defines the distance from the outer edge of the notch to the sample hits.

To change this value of the Spacer box,

  1. Select the existing value.

  2. Type a new value.

Spacer for a Notch


Indent for a Notch

The Indent box defines the distance in from the edge of the open end of the notch where the parallel side hits will be taken.

To change the indent:

  1. Select the existing value.

  2. Type a new value.


Depth for a Notch

The Depth box defines the distance below the surface that PC-DMIS will measure the notch.

To change the depth:

  1. Select the existing value.

  2. Type a new value.


Radius for a Notch

The Radius box displays the radius of the notch in the two corners. Hits along the edge opposite the open side will be adjusted off the radius.

To change the radius:

  1. Select the existing value.

  2. Type a new value.


Width for a Notch

The Width box displays the width of the notch.

To change the width:

  1. Select the existing value.

  2. Type a new value.


Length for a Notch

The Length box displays the length of the notch.

To change the length:

  1. Select the existing value.

  2. Type a new value.


Find Hole for a Notch

When the Find Hole check box is selected, PC-DMIS moves to a position of a prehit distance above the theoretical center of the feature, then drives normal to the feature surface vector searching for the hole at touch speed. The search will continue until either the surface is touched (indicating that the hole is not there) or until the check distance (see "Check Distance") is reached (indicating that the hole is present).

  • If the hole is found: PC-DMIS will move to the depth to measure the hole's depth, and then to measure the hole.

  • If the hole is not found: PC-DMIS will back away from the surface and start a search pattern. The pattern is circular and is adjusted out ½ width from the theoretical feature center (which for notches, is the center of the inside edge.). The search will try eight locations around that location. If the hole is found, the probe will move to the depth to measure the hole's depth, and then to measure the hole.

  • If the hole is never found: PC-DMIS will move the probe to a position of a prehit above the theoretical center of the feature and prompt the user to do a "Read Position". (See Read POS for a Notch.)

Note: If Find Hole fails, you can set PC-DMIS to automatically continue executing the part program. See "Auto Continue Execution if FindHole Fails" "System Options".


Re-Measure for a Notch

By selecting the Re-Measure check box, PC-DMIS allows you to automatically re-measure a hole against the measured values obtained the first time the hole is measured.


Relative Measure Setup

The Relative Measure Setup menu option allows you to set up the Rmeas option in one of the following modes:

  1. Absolute Mode

  2. Normal Mode

For more information on Relative Measure, see Rmeas.

More:

Absolute

Normal


Absolute

When an Auto Feature has a relative measure feature associated with it (see Rmeas), PC-DMIS measures the Auto Feature in a location that maintains the relative offsets between the Auto Feature and its respective relative feature.

Example: This resembles an Edge Point measurement with only one sample hit. As PC-DMIS measures the sample hit for the Edge Point, it may find that the surface is lower than it should be. If this is the case, the target for the edge hit is also lowered.

The Edit window command for this option reads:

RMEAS/ABSOLUTE


Auto Utility - Relative Measure Setup - Normal

Normal

The Normal mode option functions like the Absolute mode option except that Normal mode takes into account the orientation of the reference feature.

To understand this, examine an Auto Circle with three sample hits. PC-DMIS first takes three hits on the surface around the circle and then measures the circle based on the plane's location and the surface normal vector's orientation. Therefore, if the plane is at a 45 degree angle, PC-DMIS also measures the Auto Circle at a 45 degree angle.

Similarly, if the relative measure feature is rotated from its original orientation, then the associated feature will also be measured with the same rotational offset.

Normal mode is also slightly smarter than Absolute mode because when it looks at the reference feature it only offsets the main feature by valid axes for the reference feature type. For example, for a plane it doesn't make much sense to shift in all directions, but only by the plane's normal vector.

The Edit window command line for this option reads:

RMEAS/NORMAL


Execute Feature

The Execute Feature command allows you to execute the last feature that was measured. If PC-DMIS is set to manual mode (mode = MANUAL), it will prompt you to take the necessary hits. If PC-DMIS is set to DCC mode (mode = DCC), it will automatically move the probe based on the parameters set in the dialog box. To access this option, select Auto Util | Execute Feature from the menu bar or press CTRL + E.

The Execution Mode Options dialog box can be enlarged or shrunk.

To change the size of the dialog box:

  1. Place the mouse cursor on the outer edge of the dialog box. The general arrow icon will be replaced by a double arrow icon.

  2. While holding down the left mouse button, drag the cursor to the desired location.

This capability is useful when the execution data needs to be read from a distance.


Move To

Automove Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The Move To command allows you to define a nominal location as a stored move point.

To access the Move To option:

  1. Select Auto Util from the menu bar

  2. Select the Move To option.

Note: The Move To option can also be accessed while the system is in Program Mode, by placing the cursor on the status bar over the readouts and clicking the left mouse button. The Edit window command line for a sample Auto Move Point would read:
MOVE/POINT,x,y,z

More:

XYZ Move

Store Move

OK to Move

Increment Move

Read Pos for Auto Move Point


XYZ Move

The XYZ Move boxes display the X, Y, and Z nominal for the position of the move point.

To change the X, Y, or Z values:

  1. Select the field you want to change.

  2. Type a new value.

After a new value is entered, PC-DMIS will draw the animated probe at the new location. This indicates the location of the stored move. When the OK button is clicked, PC-DMIS will position the CMM to the location specified.


Store Move

If the Store Move check box is selected, a move point for the given X, Y, Z values will be inserted into the program.


OK to Move

If the OK to Move check box is selected, PC-DMIS will move the probe to the X, Y, Z position. This allows you to position the CMM without storing the move. This option fills in the X, Y, Z values with the current position of the probe.


Increment Move

If the Increment Move check box is selected, PC-DMIS will insert an increment move, moving the probe the indicated XYZ distances instead of moving to the XYZ location (as in an XYZ move)

The Store Move check-box must also be selected.

The Edit window command line for an Increment Move would read:
MOVE/ INCREMENT, x, y, z


Read Pos for Auto Move Point

The Read Pos button reads the current position of the probe and places the X, Y, and Z values into the Auto Move Point dialog box. These can then be placed in the Edit window by selecting the Store Move check box and clicking the OK button.


Insert Move

The Insert Move menu allows you to insert various move commands into the Edit window. The following are the commands available on the submenu.

More:

Insert Move Point

Insert Move Clear Plane

Insert Move Circular

Insert Move Sync

Insert Move Sweep


Insert Move Point

The Insert Move Point command allows you to insert a move point into the part program.

To use this option, press CTRL + M, or:

  1. Select Auto Util from the menu bar.

  2. Point to Insert Move.

  3. Select Insert Move Point from the submenu.

Once selected, PC-DMIS will insert a move point at the current probe location.

To change the displayed values:

  1. Select the desired value.

  2. Type a new value.

Note: If this option is selected during probe path animation with the CMM, PC-DMIS will always ask whether the move is to be inserted before or after the current position. The current position will be listed in the status bar.

Note: Pressing the PRINT button on the jog box (on Sharpe32 systems) while in Learn mode will automatically insert a move into the part program. The Print_Store_Move entry of the .INI file must be set to one (1) for this function to be available.


Insert Move Clear Plane

The Insert Move Clearplane command allows you to insert the MOVE/CLEARPLANE command between blocks and within features. PC-DMIS will search for the clearance plane definition. For this command to work, the parameters must have already been set.

To set the parameters for a Clearplane command:

  1. Select Options from the menu bar.

  2. Select Parameters. The Parameters Mode dialog box appears.

  3. Select the Clear Plane tab.

  4. Type the distance for the Value box in the Active Plane area.

  5. Type the distance for the clearance plane in the Value box of the Pass Through area.

  6. Select the Clearance Planes Active check box.

  7. Click the OK button.

If the parameters have not been set, PC-DMIS will display an error message.

To insert the MOVE/CLEARPLANE command into the Edit window:

  1. Select Auto Util from the menu bar.

  2. Point to Insert Move.

  3. Select Insert Move Clearplane from the submenu.

The Edit window command line for a sample Move Clearplane would read:
MOVE/CLEARPLANE


Insert Move Circular

The Insert Move Circular option allows you to insert a MOVE/ CIRCULAR command at the cursor's location in the Edit window. When PC-DMIS encounters this command, the probe follows a circular path when taking the next hit.

By taking a circular path, the probe may avoid colliding with certain features that would otherwise be in the way of the standard straight line path. For example, if you're measuring a hole that has a square pin inside, that pin may block your probe path unless Move Circular is used.

Overall, this command has very specific uses, although using it to measure a pin speeds up measurement somewhat since PC-DMIS doesn't have to move as far away from its last hit.

To insert this command:

  1. Click where you want to insert the command in the Edit window.

  2. Select the Auto Util menu.

  3. Point to the Insert Move submenu.

  4. Select the Insert Move Circular command.


Insert Move Sync

Master / Slave part program have commands that control the Master arm and commands that control the Slave arm. Each machine executes these commands separately, keeping both arms moving.

The Insert Move Sync menu option allows you to insert a MOVE/SYNC command into the Edit window. Using this command on daul-arm machines allow you to synchronize the motion of the arms. Whichever arm reaches the MOVE/SYNC command in the part program first will stop and wait until the other arm also arrives before they proceed together with the rest of the part program.


Insert Move Sweep

The Insert Move Sweep menu item inserts the following sweep block into the Edit window.

SWEEPSTART/
SWEEPEND/

Movement commands inserted between Sweepstart and Sweepend will cause the probe to move in all five axes simultaneously (three of these axes are the X, Y, and Z axes, used when moving the machine itself. The other two axes refer to the probe's AB angle movement) if using a PHS wrist for a Sharpe32Z controller.

Movement in these five axes takes place simultaneously. This differs from a PH9 wrist, which must first move the machine in the X, Y, and Z axes. Then, when the machine stops, the probe orientation (AB angles) moves.

Example: Suppose your current CMM's position is 10, 10, 10 (in the X, Y, and Z axes), and your wrist's orientation (AB position) is 0, 0. If you wanted to move the CMM to 20, 20, 20 and the probe's orientation to 0, 180, a PHS wrist using Move Sweep commands, could accomplish both movements simultaneously. A PH9 wrist, however, would first move the CMM and then the wrist orientation.

For comparison:

  • A PH9 wrist is able to move between 0º to 110º in the A axis and +180º to -180º in the B axis.

  • A PHS wrist is able to move between -180º and +180º in both the A and B axes at .1 degree increments.

Advantages of using Move Sweep commands include:

  • A much more fluid movement available, making it easier to measure hard to reach features.

  • Time saved since you no longer have to wait for the CMM's ram and arm to move to the X, Y, and Z location before changing the Probe's orientation.


Rotate Table to Active

The Auto Util | Rotate Table to Active menu item allows you to rotate the table to a position determined by whichever MOVE/ROTAB command is active at the cursor's location in the part program.

Example: Consider a part program that has multiple different MOVE/ROTAB commands. If you click on a particular portion of the part program and select the Rotate Table to Active menu option, PC-DMIS rotates the table to the position determined by whichever MOVE/ROTAB command is active at that point in the part program.

This menu option is only available if your portlock is configured for rotary tables.


Insert Exclusion Zone

The Auto Util | Insert Exclusion Zone menu option allows you to insert an exclusion zone so that the two arms on a dual arm system don't collide with each other. If one probe is in this area then the other probe cannot enter the defined area until the first leaves. This area has to be setup on both the master and the slave arm, or in both programs of an attached pair of programs.

Selecting this option opens the Exclusive Move Zone dialog box.

More:

Defining the Exclusion Zone


Defining the Exclusion Zone

The following steps describe how to define the exclusion zone.

More:

Step 1 Turn on Exclusive Move

Step 2 Enter Corner Point Values

Step 3 Click OK


Step 1 Turn on Exclusive Move

Select the Turn exclusive move on check box. This allows you to edit the X, Y, and Z values under the Corner Point 1 and Corner Point 2 options.

Alternately, if you click on an already inserted MOVE/EXCLUSIVE_ZONE command in the Edit window and press the F9 key, the Exclusive Move Zone dialog box opens, and you are able to select or deselect this check box.

  • If this box is selected when you click the OK button, PC-DMIS will display the following command in the Edit window:
    MOVE/EXCLUSIVE_ZONE=ON, CORNER1=x,y,z,CORNER2=x,y,z

  • If this box is not selected when you click the OK button, PC-DMIS will display the following command in the Edit window:
    MOVE/EXCLUSIVE_ZONE=OFF


Step 2 Enter Corner Point Values

Type the X, Y, and Z values for Corner 1 and Corner 2. You can read in the probe's current into the selected corner point by clicking the Read Position button.

Defining two corners sets up the exclusion zone; Be sure to select the corner points that will correctly define the exclusion zone. The two points (corner 1 and corner 2) represent two corners that are diagonal from each other.

A rectangular zone can be created in 3D space from two points if you use the current coordinate system to create the sides. A combination of different parts of the two points can construct the eight points needed to form the rectangular area.

Example:

First corner = X1, Y1, Z1
Second corner = X2, Y2, Z2
Third corner = X1, Y1, Z2
Forth corner = X1, Y2, Z1
Fifth corner = X1, Y2, Z2
Sixth corner = X2, Y1, Z1
Seventh corner = X2, Y1, Z2
Eight corner = X2, Y2, Z1


Step 3 Click OK

Finish defining the Exclusion Zone by clicking the OK button. PC-DMIS then places the defined information into the Edit window which reads:
MOVE/EXCLUSIVE_ZONE=TOG1,CORNER1=X,Y,Z,CORNER2=X,Y,Z

TOG1 | This defines whether the exclusion zone is in effect or not. This toggle field switches between ON and OFF.
X,Y,Z | These coordinates define the corner points used to form the exclusion zone.

Clicking the Cancel button closes the dialog box without making any changes to your part program.


Scanning Options: Introduction

PC-DMIS allows a point measurement to be defined by scanning the surface of the part at specified increments. This measurement feature is particularly useful when precisely controlled CMM measurement hits are required. Currently, PC-DMIS supports DCC (Direct Computer Control) scans with touch trigger and analog probes and manual scans with touch trigger or hard probes. Both manual and DCC scans offer different methods of doing scans which are detailed in this section.

The DCC stitch-type using the touch trigger probe scan is driven by PC-DMIS and the CMM (Coordinate Measuring Machine) controller. The DCC scanning procedure uses an intelligent, self-adapting algorithm that can calculate surface normal vectors for accurate probe compensation. PC-DMIS utilizes a TTP (Touch Trigger probe), making it useful for automatic point-to-point digitizing of profiles on surfaces. Simply specify the necessary parameters for the DCC scan, select the Measure button and the scanning algorithm in PC-DMIS will take control of the measurement process.

PC-DMIS scans can also be used with an analog probe head to do a continuous contact scan. First, PC-DMIS sends the scanning parameters to the controller. The controller then scans the part and informs PC-DMIS of the scan points.

Scans in PC-DMIS are comprised of BasicScans. For example, a PATCH scan (See Patch) could have rows of data each row being a BasicScan. The BasicScans act as building blocks for the higher level scans like PATCH scans. (See Basic Scans.)

The main topics in this section include:

  • Common Functions of Scan Dialog Boxes

  • Linear Open

  • Linear Close

  • Patch

  • Section

  • Perimeter

  • Manual Scan

  • Manual Scanning Rules

  • Basic Scans

  • Common Functions of the BasicScan Dialog Box

  • Circle

  • Cylinder

  • Axis

  • Center

  • Line


Common Functions of Scan Dialog Boxes

Many of the functions described below are common to both DCC and Manual scans. Options that relate specifically to one scan mode are appropriately indicated.

More:

Boundary Points

Hit Type

Initial Vectors

Options

Select CAD Element

To Points

Get Nominals

Generate

Undo

Interrupts

Settings


Scanning Options - Common Functions of Scan Dialog Boxes - Boundary Points

Boundary Points

To define the boundary of a scan, PC-DMIS will allow points to be keyed in, measured, or CAD data to be used.

boundary Hotspot 3 Hotspot 2 Hotspot 1 This function is only available for DCC scans.

Note: The Boundary button shown in this section of the dialog is only available in DCC mode for Linear Open, Linear Close, Patch, and Section scans. It is not available for Perimeter scans

More:

Key In Method

Measured Point Method

CAD Data Method

Boundary button

Add / Delete Buttons

Edit Boundary Points


Scanning Options - Boundary Points - Key In Method

Key In Method

To set the boundary of a scan using the key in method:

  1. Double click the desired boundary point in the '#' column. This will display the Edit Scan Item dialog box.

  2. Manually edit the X, Y or Z value.

  3. Click the OK button to apply the changes.

The Cancel button disregards any changes that have been made and will close the dialog box.

The Next button accepts the changes and then brings up the next boundary point for editing.


Scanning Options - Boundary Points - Measured Point Method

Measured Point Method

To set the boundary of the scan using measured points, touch the probe on the part. This will automatically update the value of the Boundary point that is currently selected in the Boundary list. The focus will then move to the next boundary point (if there are any in the list). In the case of a PATCH scan, an extra boundary point will be added automatically if the current point is the last point in the list. The PATCH scan will display the last point (this is the same as the previous point). PC-DMIS will delete this last point when the OK button is selected in the dialog box.


CAD Data Method

PC-DMIS allows the selection of boundary points using both wire frame and surface data. When using CAD surface data:

  1. Make sure that the Draw Surfaces icon [image] is selected.

  2. Select a boundary point by clicking on the desired location in the Graphics Display window.

The selected surface will be highlighted. PC-DMIS will then automatically update the value of the Boundary point that is currently selected in the boundary list. The focus will then move to the next boundary point (if any are available). In the case of a PATCH scan, an extra boundary point will be added automatically if the current point is the last point in the list.

When using CAD wire frame data, there are two modes of selecting Curve elements:

Mode 1
Depth Curve

A Depth Curve is used by PC-DMIS during FindNoms operations to form a plane using two curves. Ideally, the Depth Curve is normal to the other Curves selected so that PC-DMIS can cross the two vectors (vector of the Depth Curve and vector of any other selected curve) and form a plane from which it can find the nominals.

To indicate a Depth curve, check the Depth check box and then select a curve. Only one Depth curve is to be selected and this should be done after other curves have been selected.

  1. Make sure that the Curve mode icon [image] is selected.

  2. Select the Select check box.

  3. Select the Depth check box.

  4. Select a curve.

  5. Indicate the two CAD edges that are normal to each other.

  6. Clear the check box.

  7. Click on the part.

If a Depth curve is provided, PC-DMIS will form a plane by crossing the vector of each edge with the vector of the depth curve and piercing that plane to create a point.

Mode 2
No Depth Curve

  1. Check mark the Select check box.

  2. Indicate the two CAD edges that are normal to each other.

  3. Deselect the check box.

  4. Click on the part.

If a depth curve is not selected PC-DMIS simply drops the selected point onto the curve.

Note: Only LINEAROPEN, LINEARCLOSE and PATCH scans can use wire frame data.


Boundary button

The Boundary button brings up the Boundary Condition dialog box. The Boundary conditions are used to stop the scan at the end point. With the Boundary Condition dialog box you are able to select the following Boundary types from the Boundary Type drop down list:

  • Plane

  • Sphere

  • Cylinder

  • Cone

  • OldStyle

The OldStyle condition is being retained for backward compatibility with previous versions of PC-DMIS.

Each of the above Boundary conditions (except for OldStyle) has a Number of Boundary Crossings box that is used to stop the scan. For example, if you specify that the number of crossings is two, the scan will stop once the probe BallCenter crosses the given condition's surface (planar, spherical, cylindrical, conical etc.) two times. Simply type the desired value for the amount of Boundary Crossings you want.

The boundary condition is used at the End Point and has an associated location along with the Number of Boundary Crossings value All boundary crossings are calculated when the Ball Center crosses the surface.

Plane

  • Number of boundary crossings: The scan will stop after the probe crosses the plane the given number of times.

  • PlaneVec: This vector defines the plane normal vector at the end point.

  • EndVec: The approach vector at the end point

The Edit Window command line for the plane boundary type reads:
BOUNDARY/PLANE, x,y,z,PlaneVec=i,j,k, EndVec=i,j,k,Crossings

Sphere

  • Number of boundary crossings: The scan will stop after the probe crosses (breaks) the sphere the given number of times.

  • Radius: The radius of the sphere.

  • EndVec The approach vector at the end point

The sphere is located at the End Point but offset from the surface by a probe radius along the approach vector so that the center of ball will pass through the sphere.

The Edit Window command line for the sphere boundary type reads:
BOUNDARY/SPHERE, x,y,z,EndVec=i,j,k,Radius,Crossings

Cylinder

  • Number of boundary crossings: The scan will stop after the probe crosses (breaks) the cylinder the given number of times. The cylinder is unbounded (i.e. is considered infinite in length).

  • Radius: The radius of the cylinder.

  • AxisVec: This vector defines the axis of the cylinder at the end point.

  • EndVec: The approach vector at the end point

The cylinder is located at the End Point but offset from the surface by a probe radius along the approach vector so that the center of ball will pass through the cylinder.

The Edit Window command line for the cylinder boundary type reads:
BOUNDARY/CYLINDER, x,y,z, Axis=i,j,k, EndVec=i,j,k,Radius,Crossings

Cone

  • Number of boundary crossings: The scan would stop after the probe crosses(breaks) the cone the given number of times. The cone is unbounded(i.e. is considered infinite in length)

  • Angle: The Half Angle of the cone.

  • AxisVec: This vector defines the axis of the cone at the vertex.

  • EndVec: The approach vector at the end point

The cone Vertex is at the end point of the scan.

The Edit Window command line for the cone boundary type reads:
BOUNDARY/CONE, x,y,z, Axis=i,j,k, EndVec=i,j,k,HalfAngle,Crossings

OldStyle

This boundary condition is being retained for backward compatibility. Previous versions of PC-DMIS used a combination of Number Of Boundary Crossings and scan increments to stop the scan. OldStyle is not actually an option that you choose. It is an internal setting for scans that were created in earlier versions of PC-DMIS.

When scans from PC-DMIS version 2.3 are read into version 3.0 and higher, they are converted and their respective boundary conditions are tagged as OldType.

  • PlaneVec: This vector defines the plane normal vector at the end point.

  • EndVec: The approach vector at the end point

The Edit Window command line for the oldstyle boundary type reads:
BOUNDARY/OLDSTYLE, x,y,z,PlaneVec=i,j,k, EndVec=i,j,k

Note: The Boundary Condition can be changed at anytime for a scan. If a new Boundary Condition is chosen for a DCC scan , the new Condition is applied to all BasicScans that make up the DCC scan. If however, you chose to change only a certain value in a Boundary Condition, for example, the Radius of the Spherical Boundary Condition, that change is NOT propagated to the BasicScans. You would have to change that value in each BasicScan yourself.


Add / Delete Buttons

The Add and Del buttons allow you to add or delete boundary points to the list of boundary points. There are some restrictions regarding each type of scan. For example, a LINEARCLOSE scan will take only a Start and Direction point. It will not allow you to add more points or delete these two points. Please refer to each scan for specific restrictions.


Edit Boundary Points

Boundary points can be edited by double clicking the number of the desired point in the '#' column.

This will display the Edit Scan Item dialog box allowing you to edit the X, Y, Z values.

The column widths of the Boundary Point list can be varied by changing the width of the list display column header. This is done by selecting the right or left edge of a column header with the left mouse button and pulling the edge to the desired size. The width of each list display is individually set and determined by the user. This information is saved in the INI file to be used each time the fields are changed.


Scanning Options - Common Functions of Scan Dialog Boxes - Hit Type

Hit Type

The Hit Type list allows you to select the type of hit that will be taken. If vector hits are desired, select Vector from the Hit Type list. Similarly, select the required option for surface or edge hits. Extra parameters such as sample hits, permanent hits, spacer, depth and indent must have values entered if surface or edge hits are used. Not all scans support all four hit types. For example, Patch scans only support vector and surface hits. Please refer to each scan for specific details.


Scanning Options - Common Functions of Scan Dialog Boxes - Initial Vectors

Initial Vectors

The Initial Vectors area displays a list of vectors that will be used to start and stop a scan. Some of the vectors listed below may not be found in the list for a specific scan, indicating that they are not used for that scan. Please refer to each scan for more details. You can edit each of these vectors by double clicking on the vector to edit in the vector column.

This will display the Edit Scan Item dialog box:

Using the different fields, you can edit the I, J, K values.

  1. Clicking the OK button on the Edit Scan Item dialog box will apply any changes that have been made.

  2. Clicking the Cancel button will close the Edit Scan Item dialog box without applying any changes.

  3. Pressing the Next button cycles through the available vectors in the Initial Vectors list. Some of the initial vectors can be flipped. If so, then the Flip button becomes available on the Edit Scan Item dialog box.

  4. Pressing the Flip button allows you to reverse the direction of the selected vector.

More:

Initial Touch Vector (InitVec)

Cut Plane Vector (CutVec)

End Touch Vector (EndVec)

Boundary Plane Vector (PlaneVec)

Top Surface Vector (SurfVec)

Initial Direction Vector (DirVec)

Vector1 Row

Vector2 Row


Initial Touch Vector (InitVec)

The values that are displayed in the Initial Touch Vector row indicate the vector PC-DMIS will use to take the first touch in the scanning process.

To edit the I, J, K Initial Touch vector:

  1. Double click on InitVect in the vector column. The Edit Scan Item dialog box will appear.

  2. Change the values.

  3. Click the OK button. The dialog box will close.


Cut Plane Vector (CutVec)

A cut plane is used internally for DCC scanning calculations. This cut plane is derived from the Initial Touch vector , and the vector between the first and last points for the Linear Open DCC scan. Please refer to the individual scans for details on how the Cut Plane vector is derived.


End Touch Vector (EndVec)

The End Touch vector is the approach vector of the scan at the end of the row. This is used only to stop the scan or to move to the next row (in the case of a Patch scan).


Boundary Plane Vector (PlaneVec)

The Boundary Plane vector and the End Touch vector are used with the given Boundary Condition to stop the scan. The Boundary Plane Vector has different uses when applied to different Boundary Conditions:

Plane

When used with a Plane Boundary Condition it represents the normal vector of the Plane.

Sphere

It is not used with the Sphere Boundary Condition.

Cylinder

When used with a Cylinder Boundary Condition it represents the Axis of the Cylinder.

Cone

When used with a Cone Boundary Condition it represents the Axis of the Cone.


Top Surface Vector (SurfVec)

The Top Surface vector is utilized only by scans using Edge hits. It is the vector of the initial top surface of the edge and is used to start the scan.


Initial Direction Vector (DirVec)

The Initial Direction vector is used by Manual scans only. It represents the direction in which the scan will begin and is used with the Initial Touch vector to derive the Cut Plane vector.


Vector1 Row

This row is the surface normal vector of the first surface selected for angle hits. It is used by Linear Open and Linear Closed scan with the Angle Hits hit type. This corresponds to the Surf 1 Vec values in the Angle Points tab when creating Auto Features. See "Angle Point" in the "Auto Utility" section.


Vector2 Row

This row is the surface normal vector of the second surface selected for angle hits. It is used by Linear Open and Linear Closed scan with Angle Hits hit type. This corresponds to the Surf 2 Vec values in the Angle Points tab when creating Auto Features. See "Angle Point" in the "Auto Utility" section.


Scanning Options - Common Functions of Scan Dialog Boxes - Options

Options

options Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The following functions can all be found within the Options area of the dialog box. Options area that relate specifically to one scan mode are appropriately indicated.

More:

Nominals Mode

Execute Mode

Thickness

ID

Clear Plane

Single Point Mode

Show Hits

Show All

Measure


Nominals Mode

The Nominals list option lets you determine how PC-DMIS will gather nominals for the measured data. This option can also be accessed from the Edit window. Simply navigate to command line and switch to the desired mode before executing a scan. The Nominals Mode can be used with Relearn Mode described under the Execute mode section.

Master Scan

When MASTER is selected from the Nominals list, PC-DMIS will consider the measured data obtained the first time the scan is being learned as nominal data. Subsequent executions of this scan will be compared with this measured data. When MASTER is used with a DCC scan and Normal Mode is selected from the Execute list, PC-DMIS will execute a Stitch-type scan using the measured data.

Find Noms

When the FIND NOMS option is selected, PC-DMIS will pierce the CAD model to find the closest location on a CAD surface to the measured point. It will then set the nominals to the location found on the CAD surface.

Note: With the Circle, Cylinder, and Axis types of Basic Scans, there is no need to have CAD data to find the nominals. To execute the Basic Scan, PC-DMIS obtains the nominals from the nominal data you supply. See Basic Scans for more details.

If proper nominals are not found PC-DMIS first asks you to provide a new Find Nominal tolerance.

See Find Noms Tol.

You can type a new tolerance and apply it to only for the current scan or for the whole part program.

  • If the response is Yes, the new tolerance will be used to find nominals.

  • If the response is No, PC-DMIS will do the following:

If proper nominals cannot be found for any hit even after providing a new tolerance , PC-DMIS will ask if the hits can be deleted.

  • If the response is Yes, the hits will be deleted.

  • If the response is No, the hits will remain in the scan.


Execute Mode

The Execute list lets you determine how PC-DMIS will execute a scan after the scan has been learned. The Execute Mode can also be accessed from the Edit window.

To access this option from the Edit window:

  1. Place your cursor over the scan command line.

  2. Press the TAB key to move to the Execute command line.

  3. Press the F7 key to toggle between the available modes.

Normal Mode

When NORMAL is selected, PC-DMIS will execute the scan in its 'normal' manner.

Example: If a DCC scan is executed, PC-DMIS will take hits at each of the learned locations in stitch scanning mode, storing the newly measured data. The displayed nominals will be the same as when the scan was learned and cannot be re-calculated using a different Nominals mode.

Re-learn Mode

When RE-LEARN option is selected, PC-DMIS will execute the scan as though it is learning it. All learned measured data will replace the new measured data. The nominal will be re-calculated depending on the Nominals Mode.

Example: If a DCC scan is being re-learned, PC-DMIS will relearn the scan from the beginning, instead of taking hits at the learned locations (as it would do in the case of the NORMAL mode).

Defined Mode

The DEFINED option is available only when using analog probe heads that can do continuous contact scanning. When DEFINED is selected, PC-DMIS allows the controller to 'define' a scan. PC-DMIS gathers all hit locations from the editor and passes them onto the controller for scanning. The controller will then adjust the path allowing the probe to pass through all the points. The data is then reduced according to the increment provided and the new data will replace any old measured data.

When this option is used after Generating the scan Offline, the nominal locations obtained from CAD will be used every time to drive the CMM.


Scanning Options - Options - Thickness

Thickness

The Thickness box allows you to input the part thickness. This amount is primarily used for thin parts (plastic or sheet metal) where the CAD data only describes one side. Often with thin parts, the CAD engineer will only draw one side of the part, and then specify the material thickness. PC-DMIS will apply this material thickness automatically when using the CAD surface data.

To change the current thickness:

  1. Select the existing value.

  2. Type a new one. Positive or negative values can be used.

This thickness will be applied along the surface normal vector when FINDNOMS mode is selected and PC-DMIS pierces the CAD surfaces to get the nominals, even when using Edge hits.


Scanning Options - Options - ID

ID

The ID : box displays the ID of the scan to be created.


Clear Plane

The ClearPlane check box inserts a CLEARP MOVE a predetermined distance relative to the current coordinate system and part origin before taking the first hit. After the last point in the scan is measured, the probe will stay at probe depth until called to the next feature. Using clearance planes reduces programming time because the need to define intermediate moves is reduced. (See Options | Parameters | Clearplane for additional information on clearance planes.)


Single Point Mode

The Single Point check box considers each hit as a single measured point. If this option is check marked, PC-DMIS will make each hit a measured point and insert it into the part program. This sequence will happen after the manual scan has been reduced. If the scan is in DCC mode, it will take place after the scan has been learned.


Show Hits

PC-DMIS displays each scan in the Edit window as a set of the measured hits surrounded by a scan object and an end measured object. If this option is chosen, all of the hits will be displayed in the Edit window. If this option is not selected, the hits will not be shown.


Show All

If this option is selected, PC-DMIS will display in the Edit window all of the scan parameters, such as:

  • Cut planes

  • Boundary points

  • Direction vector I

  • Initial approach vector

If this option is not selected, only these data types that will be displayed in the Edit window:

  • Increments

  • Techniques

  • Hit types


Scanning Options - Options - Measure

Measure

If the Measure checkbox is selected and the Create button clicked, PC-DMIS will start measuring the scan immediately. If the Measure checkbox is not selected when the Create button is clicked, PC-DMIS will insert a scan object into the Edit window that can be measured later. This allows you to set up a series of scans that can be inserted into the Edit window and measured at a later time.

Note: This checkbox is available only when PC-DMIS is ONLINE.


Select CAD Element

selcad Hotspot 3 Hotspot 2 Hotspot 1 The Select CAD Element area allows you to specify the CAD surface/wire frame elements that will be used to find nominals. In some cases, a scan might start over a certain surface and travel over many other surfaces before completion. In such cases, PC-DMIS does not know which CAD elements are to be used to find nominals. It must therefore search through every surface in the CAD model. If the CAD model has many surfaces it might take a long time before FIND NOMS is successful.

To avoid this delay:

  1. Select the Select check box.

  2. Click on the appropriate surfaces. Once a CAD surface is selected, it will be highlighted in the Graphics Display window. The Status bar will display the number of surfaces that have been selected.

If a wrong surface is chosen, click on that surface a second time. This will deselect the surface. Clicking the Deselect button will deselect all highlighted surfaces.

If the Select check box is not selected, PC-DMIS will assume any clicks on the surface to be Boundary Points.

When CAD wire frame data is being used, PC-DMIS will look for the wire frame data in pairs.

Example: Two edges that are normal to each other must be selected for every surface the scan is going to travel over. If the scan is going over three surfaces, six edges (representing the three surfaces) must be selected in the proper order. The first two edges will indicate surface one. The third and fourth edges will indicate surface two. Edges' five and six will make up the third surface, and so on.

More:

Select

Depth

Deselect

Vector1 Check Box

Vector2 Check Box

Find Noms Tol


Scanning Options - Select CAD Element - Select

Select

The Select check box allows you to select CAD surface and wire frame elements that will be used to find the nominal.


Depth

The Depth check box is used only when selecting Curve elements. You can indicate a particular CAD curve element as a Depth element.

To use the Depth check box:

  1. Select all other CAD elements first.

  2. Select the Depth check box.

  3. Select a CAD element.

The Depth curve is used during FindNoms operations. Whenever PC-DMIS has to find nominals from curve elements, it will take the vector of the Depth CAD element, cross it with the vector from the other CAD elements to get a plane. It will then pierce the plane to get the proper nominal. If many CAD elements are selected, the closest pierce point is used as the nominal point.


Scanning Options - Select CAD Element - Deselect

Deselect

The Deselect button removes all the selected CAD elements that are created using the Select check box.


Vector1 Check Box

The vector1 check box only appears if you select Angle from the Hit Type list and you are using Surface Data. It allows you to select CAD surfaces that PC-DMIS will use to find the nominal. You can indicate the group of surfaces that PC-DMIS uses to find the angle hit Surf 1 Vec by selecting this box this box and then selecting CAD surfaces from the Graphics Display window.


Vector2 Check Box

The vector2 check box only appears if you select Angle from the Hit Type list and you are using Surface Data. It allows you to select CAD surfaces that PC-DMIS will use to find the nominal. You can indicate the group of surfaces that PC-DMIS uses to find the angle hit Surf 2 Vec by selecting this box this box and then selecting CAD surfaces from the Graphics Display window.


Find Noms Tol

The Find Noms Tol box allows you to set a new Find Nominal tolerance if the proper nominals are not found when using the Find Noms option from the Nominals drop down list. See Nominals Mode.


To Points

The To Points button runs a process whereby the individual points that make up a scanned set can be converted into single points after execution. The scanned set is then deleted.

For example:

  1. Place your cursor on a scan using hit data in the Edit window.

  2. Press the F9 key to display the Scan dialog box.

  3. Select the To Points button.

PC-DMIS will convert all hit data into single points and delete the scan from the Edit window.

Note: This process can also be done by selecting the Single Point check box, clicking the OK button and executing the scan from the Edit window. PC-DMIS will execute the scan and then convert the hit data into single points.


Get Nominals

The Get Nominals button lets you find the nominal after a scan has been learned or executed. This option can also be turned on inside the Edit window's scan command line, by pressing the F9 key.

PC-DMIS will find the nominals for the scan from the CAD data that is available.


Generate

The Generate button is available only for DCC scans using CAD data. The Generate button replaces the previous functionality of off-line scanning when the scan animates the probe on screen.

After the boundary for a scan has been defined, press the Generate button. PC-DMIS will hide the dialog box, allowing you to view the scan as it is generated on screen. After the scan is completed, PC-DMIS will re-display the dialog box. If the Create button is then pressed, a scan with nominal hit data will be inserted into the part program..

PC-DMIS always uses the Find Nominal Tolerance value indicated in the Setup Options dialog box, General tab when generating nominal data for the scans and when finding the nominals for the learned scan.


Scanning Options - Common Functions of Scan Dialog Boxes - Undo

Undo

The Undo button is available only for DCC scans using Surface data. It allows you to remove the hits that have been generated using the Generate button as outlined in the Generate section.


Interrupts

The Interrupts button allows you to add interrupt points to your scan. Interrupt points interrupt the normal scan functions and allow you to define specific locations on the scan which alter the scan speed, point density or both. Good scans often require different scan speeds and/or point densities for different parts of the scan.

The ability to add interrupt points has been added to these types of scans:

  • LinearOpen

  • LinearClose

  • Patch

  • Section

  • Line (Basic Scan)

Note: Interrupt Points only work on machines that use an analog probe head that allows continuous contact scanning.

More:

Types of Interrupt Points

Adding and Using Interrupt Points

Scanning after Adding Interrupt Points

NullFilter


Types of Interrupt Points

There are four types of interrupt points (each of these types is very similar to the stop boundary points of the same type):

  1. Plane
    PLANE, X, Y, Z, I, J, K, Num Crossings, Scan Speed, Point Density

  2. Sphere
    SPHERE, X, Y, Z, I, J, K, Num Crossings, Scan Speed, Point Density, Diameter

  3. Cone
    CONE, X, Y, Z, I, J, K, Num Crossings, Scan Speed, Point Density, Angle

  4. Cylinder
    CYLINDER, X, Y, Z, I, J, K, Num Crossings, Scan Speed, Point Density, Diameter

Num Crossings: Number of times the probe must cross the interrupt boundary before adjusting the specified parameters.

Example: For a Sphere, one crossings would change the parameters as the surface of the sphere was crossed moving into the sphere. Two crossings would change the parameters as the surface of the sphere was crossed moving out of the sphere.

Scan Speed: The speed of the machine while it traverses the part surface performing scans.

Point Density: The density of the points that are read into the scan data during a continuous contact scan. This is listed as number of points per mm.

Diameter: Diameter of the Sphere or Cylinder that represents the Interrupt Point.

Angle: The angle that represents the area of the Cone Interrupt point.


Adding and Using Interrupt Points

  1. Open the Scan dialog box by selecting Auto Util | Scan or Auto Util | Basic Scan | Line.

  2. Define your scan. Based on your type of scan, the minimum number of boundary points for the following scan types are automatically defined:

    Plane
    Sphere
    Cone
    Cylinder

    The Interrupts button becomes available for selection.

  3. Click the Interrupts button. The Interrupt Points dialog box appears. Until you add an interrupt point using one of the methods in the next step, options within this dialog box are unavailable for selection.

  4. Add interrupt point locations by one of three available methods:
  • Method 1: Key-in point locations. Click the Add button and then type the required values for each.

  • Method 2: Use the machine to touch the locations on the part where you want to have the control points. PC-DMIS adds the information to the Interrupt Points dialog box.

  • Method 3: Use the CAD on-screen to specify the locations. In the Graphics Display window, left mouse click on the locations where you want to have the interrupt points. PC-DMIS adds the information to the Interrupt Points dialog box.

For methods two and three, PC-DMIS automatically snaps the chosen points to the cut plane of the scan for all scan types except Patch scans.

  5. Continue using the methods in step 4 to define all desired interrupt points.

  6. Once your interrupt points are defined, click the OK button. The Interrupt Points dialog box will close; the previous Scan dialog box will then re-appear.

  7. If you want to edit, delete or add additional interrupt points simply click the Interrupts button at any time to re-open the Interrupt Points dialog box.


Scanning after Adding Interrupt Points

Once you've defined all the interrupt points you are now ready to create the scan.

Simply, click the Create button to continue.

  1. The scan will begin with the globally set Scan Speed and Point Density.

  2. As it scans along the path and passes within the parameters defined by the interrupt points, the scan behavior changes as directed by the interrupt points.

  3. Once the scan is completed, the Scan Speed and Point Density will again be the globally set values.


NullFilter

The NullFilter scan technique does not filter data at all. Whatever data PC-DMIS receives from the machine controller is the data given you. Although Probe Compensation and FindNoms are still applied there is no data reduction.

Note: The NullFilter scan technique only appears as an option if you have an analog probe defined (i.e. SP600).


Settings

The Settings button is available only for scans with an analog probe head. When this button is pressed, it brings up the Parameters dialog box—Motion tab or the Opt Probe tab .

Using these tabs you can change certain scan parameters, such as the Scan Point density, without having to leave the scan dialog. If you give a scan increment smaller than the Point Density allowed in the INI file setting, PC-DMIS will display a warning explaining that the minimum increment is smaller than Point Density for scans. You will then be asked to verify increment settings in the dialog box.

You can then press the Settings button and change the Scan Point density value to a suitable number.

When scanning using the DEFINED mode of execution (see Execute Mode), ScanSpeed plays an important role in getting back data at increments specified by you. When you specify a very high Scan Speed, the CMM may execute the scan at the speed you requested, but the data from the CMM may not be spaced at the increments you specify.

Example: Assume the CMM gathers data at the rate of one Hit per 20 milliseconds in the DEFINED mode .If you specify an increment (minimum distance between hits) of 0.5 mm and a ScanSpeed of 75 mm/sec, the CMM would give back points at every 1.5 mm. To avoid this you could reduce the ScanSpeed to 15 mm/sec or 20 mm/sec which, at the rate of 1hit/20ms, would satisfy your requirements.

PC-DMIS will warn you about this case by displaying a message informing you that the supplied increment couldn't be measured at the specified scan speed. You will then be required to reduce your scan speed or increase the increment.

You can then select the ScanSpeed Setting and change to a suitable scan speed.


Linear Open

Lineopen Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Scan dialog box — LinearOpen tab

The Auto Util | Scan | Linear Open method will scan the surface along a line. This procedure uses the starting and ending point for the line, and also includes a direction point for the calculation of the cut plane. The probe will always remain within the cut plane while doing the scan.

There are three different types of LINEAROPEN direction techniques as explained below.

More:

Direction 1 Technique

Boundary Points

Hit Type

Initial Vectors


Scanning Options - Linear Open - Direction 1 Technique

Direction 1 Technique

The Direction 1 Tech list offers the three scanning techniques of LINEAROPEN. Select the desired technique and PC-DMIS will automatically display the appropriate fields.

More:

Line Method for LinearOpen

Body Axis Method for LinearOpen

Variable Method for LinearOpen

Max / Min Fields for LinearOpen


Line Method for LinearOpen

PC-DMIS determines each hit based on the set increment and the last two measured hits. The approach of the probe is perpendicular to the line between the last two measured hits. The probe will stay on the cut plane. PC-DMIS will start at the first boundary point and continue taking hits at the set increment, stopping when it reaches the end boundary point.


Body Axis Method for LinearOpen

PC-DMIS will take hits at the set increment along the current part's coordinate system. The approach of the probe is perpendicular to the indicated axis. The probe will stay on the cut plane. The approach vector will be normal to the selected axis and on the cut plane. The BODY AXIS technique uses the same approach for taking each hit (unlike the technique LINE, which adjusts the approach to be perpendicular to the line between the previous two hits).


Variable Method for LinearOpen

The VARIABLE technique allows you to set specific maximum and minimum angle and increment values that will be used in determining where PC-DMIS will take a hit. The probe's approach is perpendicular to the line between the last two measured hits.

Enter the maximum and minimum values that will be used to determine the increments between hits. You also must enter the desired values for the MAX and MIN angles. PC-DMIS will take three hits using the minimum increment. It will then measure the angle between hit's 1-2 and 2-3.

  • If the measured angle is between the maximum and minimum values defined, PC-DMIS will continue to take hits at the current increment.

  • If the angle is greater than the maximum value, PC-DMIS will erase the last hit and measure it again using one quarter of the current increment value.

  • If the angle is less than the minimum increment, PC-DMIS will take the hit at the minimum increment value.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to erase the last hit and drop the increment value to one quarter of the increment until the measured angle is within the range defined, or the minimum value of the increment is reached.

If the measured angle is less than the minimum angle, PC-DMIS will double the increment for the next hit. (If this is greater than the maximum increment value it will take the hit at the maximum increment.) PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to double the increment value until the measured angle is within the range defined, or the maximum increment is reached.

If ANGLE > MAX ANG then INC = INC / 4 until MIN INC
If ANGLE < MIN ANG then INC = INC · 2 until MAX INC


Max / Min Fields for LinearOpen

The Max / Min increment and angle fields described below are available when using the Variable scanning technique described earlier. Only the Max Incr box is available for all the scanning techniques.

Max Increment

The Max Incr box allows you to set the maximum increment distance. Even though increments may increase while using the Variable option, the increments will never be greater than this distance.

Min Increment

The Min Incr box allows you to set the minimum increment. Even though increments may decrease using the Variable option, the increments will never be smaller than this distance.

Max Angle

The Max Ang box allows you to set the maximum angle. Even though angles measured may increase while using the Variable option, the angles will never be greater than this value.

Min Angle

The Min Ang box allows you to set the minimum angle. Even though angles measured may decrease while using the Variable option, the angles will never be less than this value.


Scanning Options - Linear Open - Boundary Points

Boundary Points

LINEAROPEN scans can also be measured without an End point. Delete the End point and PC-DMIS will keep measuring the scan until you manually stop the scan. The starting point and the direction point can not be deleted.

See Boundary Points for more information


Scanning Options - Linear Open - Hit Type

Hit Type

Available Hit Types include:

  • VECTOR

  • SURFACE

  • EDGE

  • ANGLE

The scan will always do a stitch scan regardless of the probe head type. When an edge hit is used and CAD data is available, PC-DMIS will allow you to enter a flush thickness for the nominals. This thickness is applied normal to the edge approach vector when finding the nominals for the scan. (This is contrary to the regular thickness that is applied along the surface normal.)

More:

Initial for LinearOpen

Perm for LinearOpen

Spacer for LinearOpen

Depth for LinearOpen

Indent for LinearOpen

Indent1 for LinearOpen

Indent2 for LinearOpen

Flush for LinearOpen


Initial for LinearOpen

The Initial box allows you to set how many sample hits are taken before each actual point is measured. These sample hits are taken only the first time a scan is run. This option is only available if SURFACE or EDGE is selected from the Hit Type list.


Perm for LinearOpen

The Perm box allows you to set how many sample hits are taken before each actual point is measured. These sample hits are taken each time the scan is run. This option is only available if SURFACE, EDGE, or ANGLE is selected from the Hit Type list.


Spacer for LinearOpen

The Spacer box allows you to set the distance between sample hits. This field is available only if SURFACE, EDGE, or Angle is selected from the Hit Type list.


Depth for LinearOpen

The Depth box allows you to set the depth from the edge where the sample hits will be taken. This option is only available if EDGE is selected from the Hit Type list.


Indent for LinearOpen

The Indent box allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if EDGE is selected from the Hit Type list.


Indent1 for LinearOpen

The Indent1 box allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if ANGLE is selected from the Hit Type list.


Indent2 for LinearOpen

The Indent2 box allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if ANGLE is selected from the Hit Type list.


Flush for LinearOpen

The Flush box allows you to enter a flush thickness for the nominals if an edge hit is used and CAD data is available. This thickness is applied normal to the edge approach vector when finding the nominals for the scan. (This differs from the regular thickness which is applied along the surface normal.)


Scanning Options - Linear Open - Initial Vectors

Initial Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • Boundary Plane (PlaneVec)

  • End Touch (EndVec)

See Initial Vectors under "Common Functions of Scan Dialog Boxes" for additional information.

If the hit type used is Edge, the Cut Plane Vector is replaced by the Top Surface Vector (SurfVec).

Note: The Cut Plane vector (CutVec) is the cross product of the Initial Touch vector (InitVec) and the line between the start and end point. If there is no end point the line between the start point and direction point is used.


Linear Close

Lineclos Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Scan dialog box — LinearClose tab

The Auto Util | Scan | Linear Close method will scan the surface beginning at the designated STARTING point, completing the scan at the same point. This procedure requires that the starting point location and direction point be defined. The incremental value for taking hits is user supplied.

PC-DMIS will scan the surface as defined below.

More:

Direction 1 Technique

Boundary Points

Hit Type

Initial Vectors


Scanning Options - Linear Close - Direction 1 Technique

Direction 1 Technique

This drop down list box offers the two scanning techniques of LINEARCLOSED:

  • LINE

  • VARIABLE

Select the desired technique. PC-DMIS will automatically display the appropriate boxes.

More:

Line Method for LinearClose Scan

Variable Method for LinearClose Scan

Max / Min Fields for LinearClose


Line Method for LinearClose Scan

PC-DMIS determines each hit by the last two hits measured. The approach of the probe is perpendicular to the line between the last two measured hits. The probe will stay on the cut plane. PC-DMIS will not ask for the ending point when using this scanning technique. The scanning process terminates when the probe returns to the starting point.


Variable Method for LinearClose Scan

The VARIABLE technique allows you to set specific maximum and minimum angle and increment values that will be used in determining where PC-DMIS will take a hit. The probe's approach is perpendicular to the line between the last two measured hits.

Enter the maximum and minimum values that will be used to determine the increments between hits. You also must enter the desired values for the MAX and MIN angles. PC-DMIS will take three hits using the minimum increment. It will then measure the angle between hit's 1-2 and 2-3.

  • If the measured angle is between the maximum and minimum values defined, PC-DMIS will continue to take hits at the current increment.

  • If the angle is greater than the maximum value, PC-DMIS will erase the last hit and measure it again using one quarter of the current increment value.

  • If the measured angle is less than the minimum increment, PC-DMIS will take the hit at the minimum increment value.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to erase the last hit and drop the increment value to one quarter of the increment until the measured angle is within the range defined, or the minimum value of the increment is reached.

  • If the measured angle is less than the minimum angle, PC-DMIS will double the increment for the next hit.

  • If the measured angle is greater than the maximum increment value it will take the hit at the maximum increment.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to double the increment value until the measured angle is within the range defined, or the maximum increment is reached.

If ANGLE > MAX ANG then INC = INC / 4 until MIN INC
If ANGLE < MIN ANG then INC = INC · 2 until MAX INC


Max / Min Fields for LinearClose

The Max / Min increment and angle fields described below are available when using the Variable scanning technique described earlier. Only the Max Incr box is available for all the scanning techniques.

Max Increment

The Max Incr box allows you to set the maximum increment distance. Even though increments may increase while using the Variable option, the increments will never be greater than this distance.

Min Increment

The Min Incr box allows you to set the minimum increment. Even though increments may decrease using the Variable option, the increments will never be smaller than this distance.

Max Angle

The Min Ang box allows you to set the maximum angle. Even though angles measured may increase while using the Variable option, the angles will never be greater than this value.

Min Angle

The Min Ang box allows you to set the minimum angle. Even though angles measured may decrease while using the Variable option, the angles will never be less than this value.


Scanning Options - Linear Close - Boundary Points

Boundary Points

LINEARCLOSE scans need to have the start and direction points. They can not be deleted, nor can an extra boundary point be added.

See Boundary Points for more information.


Scanning Options - Linear Close - Hit Type

Hit Type

Available Hit Types include:

  • VECTOR

  • SURFACE

  • EDGE

  • ANGLE

The scan will always do a stitch scan regardless of the probe head type. When an Edge hit is used and CAD data is available, PC-DMIS will allow you to enter a flush thickness for the nominals. This thickness is applied normal to the edge approach vector when finding the nominals for the scan. (This is contrary to the regular thickness that is applied along the surface normal.)

More:

Initial for LinearClose

Perm for LinearClose

Spacer for LinearClose

Depth for LinearClose

Indent for LinearClose

Indent1 for LinearClose

Indent2 for LinearClose

Flush for LinearClose


Initial for LinearClose

The Initial box allows you to set how many sample hits are taken before each actual point is measured. These sample hits are taken only the first time a scan is run. This field is available only if Surface or Edge is selected from the Hit Type list.


Perm for LinearClose

The Perm box allows you to set how many sample hits are taken before each actual point is measured. These sample hits are taken each time the scan is run. This field is available only if SURFACE, EDGE, or ANGLE is selected from the Hit Type list.


Spacer for LinearClose

The Spacer box allows you to set the distance between sample hits. This field is available only if SURFACE, EDGE, or ANGLE is selected from the Hit Type list.


Depth for LinearClose

The Depth box allows you to set the depth from the edge where the sample hits will be taken. This option is only available if EDGE is selected from the Hit Type list.


Indent for LinearClose

The Indent box allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if EDGE is selected from the Hit Type list.


Indent1 for LinearClose

The Indent1 box allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if ANGLE is selected from the Hit Type list.


Indent2 for LinearClose

The Indent2 box allows you to set the indent on the top surface from the edge where the sample hits will be taken. This option is only available if ANGLE is selected from the Hit Type list.


Flush for LinearClose

The Flush box allows you to enter a flush thickness for the nominals if an edge hit is used and CAD data is available. This thickness is applied normal to the edge approach vector when finding the nominals for the scan. (This differs from the regular thickness which is applied along the surface normal.)


Scanning Options - Linear Close - Initial Vectors

Initial Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • Boundary Plane (PlaneVec)

  • End Touch (EndVec)

If the hit type being used is Edge, the Cut Plane Vector is replaced by the Top Surface Vector (SurfVec). If there is no end point, then the line between the start point and direction point is used.

Note: The Cut Plane vector (CutVec) is the cross product of the Initial Touch vector (InitVec) and the line between the start and end point.


Patch

Patch Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Scan dialog box — Patch tab

The Auto Util | Scan | Patch method will scan the surface depending on the selected techniques for Direction 1 Tech area and Direction 2 Tech. The probe will always remain within the cut plane while doing the scan. The Direction 1 technique indicates the direction between the first and second boundary points. The Direction 2 technique indicates the direction between the second and third boundary points. PC-DMIS will scan the part on the surface indicated by the Direction 1 Tech area. When it encounters the second boundary point, PC-DMIS will automatically move to the next row as indicated by the Direction 2 Tech area.

Note: If the technique 'BODY' is selected for the first direction, it must also be selected for the second direction.

More:

Direction 1 Tech

Direction 2 Tech

Boundary Points

Hit Type

Initial Vectors


Direction 1 Tech

The Direction 1 Tech list offers the three scanning methods for PATCH in the first direction:

  1. LINE

  2. BODY AXIS

  3. VARIABLE

The displayed values describe how the hits will be taken within the individual rows. The direction of the row is determined by the indicated boundary points. PC-DMIS will scan along the cut plane at the specified increments defined in the first INCR. The scanning row will end when the scan line intersects a boundary line. Select the desired technique and PC-DMIS will automatically display the appropriate edit boxes.

More:

Line Method for Direction 1 of Patch Scan

Body Axis Method for Direction 1 of Patch Scan

Variable Method for Direction 1 of Patch Scan

Max / Min Fields for Patch Scan


Line Method for Direction 1 of Patch Scan

PC-DMIS determines each hit based on the set increment and the last two measured hits. The approach of the probe is perpendicular to the line between the last two measured hits. The probe will stay on the cut plane. PC-DMIS will start at the first boundary point and continue taking hits at the set increment, stopping when it reaches the end boundary point.


Body Axis Method for Direction 1 of Patch Scan

PC-DMIS will take hits at the set increment along the current part's coordinate system. The approach of the probe is perpendicular to the indicated axis. The probe will stay on the cut plane. The approach vector will be normal to the selected axis and on the cut plane. The BODY AXIS technique uses the same approach for taking each hit (unlike the technique LINE, which adjusts the approach to be perpendicular to the line between the previous two hits).


Variable Method for Direction 1 of Patch Scan

The VARIABLE technique allows you to set specific maximum and minimum angle and increment values that will be used in determining where PC-DMIS will take a hit. The probe's approach is perpendicular to the line between the last two measured hits.

Enter the maximum and minimum values that will be used to determine the increments between hits. You must also enter the desired values for the MAX and MIN angles. PC-DMIS will take three hits using the minimum increment. It will then measure the angle between hit's 1-2 and 2-3.

  • If the measured angle is between the maximum and minimum values defined, PC-DMIS will continue to take hits at the current increment.

  • If the angle is greater than the maximum value, PC-DMIS will erase the last hit and measure it again using one quarter of the current increment value.

  • If the angle is less than the minimum increment, PC-DMIS will take the hit at the minimum increment value.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to erase the last hit and drop the increment value to one quarter of the increment until the measured angle is within the range defined, or the minimum value of the increment is reached.

  • If the measured angle is less than the minimum angle, PC-DMIS will double the increment for the next hit.

  • If this is greater than the maximum increment value it will take the hit at the maximum increment.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to double the increment value until the measured angle is within the range defined, or the maximum increment is reached.

If ANGLE > MAX ANG than INC = INC / 4 until MIN INC
If ANGLE < MIN ANG than INC = INC · 2 until MAX INC


Max / Min Fields for Patch Scan

The Max / Min increment and angle fields described below are available when using the Variable scanning technique described earlier. Only the Max Incr box is available for all the scanning techniques.

Max Increment

The Max Incr allows you to set the maximum increment distance. Even though increments may increase while using the Variable option, the increments will never be greater than this distance.

Min Increment

The Min Incr allows you to set the minimum increment. Even though increments may decrease using the Variable option, the increments will never be smaller than this distance.

Max Angle

The Max Ang allows you to set the maximum angle. Even though angles measured may increase while using the Variable option, the angles will never be greater than this value.

Min Angle

The Min Ang allows you to set the minimum angle. Even though angles measured may decrease while using the Variable option, the angles will never be less than this value.


Direction 2 Tech

The Direction 2 Tech list offers the two scanning methods for PATCH in the second direction. The displayed values describe the incremental technique that will be applied between rows. PC-DMIS takes the cut parallel to the previous row. The increment of the cut is determined by the value defined in the second INCR. The scanning process will be completed when a new row cannot be started within the boundary lines. Select the desired technique and PC-DMIS will automatically display the appropriate edit boxes.

More:

Line Method for Direction 2 of Patch Scan

Body Axis Method for Direction 2 of Patch Scan

Increment


Line Method for Direction 2 of Patch Scan

PC-DMIS determines each hit based on the set increment and the last two measured hits. The approach of the probe is perpendicular to the line between the last two measured hits. The probe will stay on the cut plane. PC-DMIS will start at the first boundary point and continue taking hits at the set increment, stopping when it reaches the end boundary point.


Body Axis Method for Direction 2 of Patch Scan

PC-DMIS will take hits at the set increment along the current part's coordinate system. The approach of the probe is perpendicular to the indicated axis. The probe will stay on the cut plane. The approach vector will be normal to the selected axis and on the cut plane. The BODY technique uses the same approach for taking each hit (unlike the technique LINE, which adjusts the approach to be perpendicular to the line between the previous two hits).

Note: If the Body Axis technique is used for the first direction, it must also be selected for the second direction.


Scanning Options - Direction 2 Tech - Increment

Increment

This field allows you to set the incremental distance between rows on a scan. For example, if you enter .5 then the scan will set the rows at increments of .5.


Scanning Options - Patch - Boundary Points

Boundary Points

PATCH scans need to have at least three boundary points to create a triangular patch to work with. Extra points can be added or deleted by using the Add and Delete buttons in the Boundary Point area. See Boundary Points for more information.

More:

Closed Scan


Closed Scan

The Closed Scan check box is used to indicate that you would like to scan a closed feature like a cylinder, cone, slot etc. When this is check marked PC-DMIS reduces the number of boundary points needed to define the scan boundary. You would need to enter only the Start and Direction points and an End point. The End point is used to indicate how far down/up the feature the scan needs to execute. The Start and Direction points together with the Initial Vector define the Cut Plane vector. Usually the Cut Plane vector will be parallel to the axis of the feature being measured.

Note: It is advised to use the Plane Boundary Condition with the Number of Crossings value set to 2 for this scan.


Scanning Options - Patch - Hit Type

Hit Type

Available Hit Types:

  • VECTOR

  • SURFACE

More:

Initial for Patch Scan

Perm for Patch Scan

Spacer for Patch Scan


Initial for Patch Scan

The Initial box allows you to set how many sample hits are initially taken before each actual point is measured. These sample hits are taken only the first time a scan is run. This field is available only if Surface is selected from the Hit Type list.


Perm for Patch Scan

The Perm box allows you to set how many sample hits are permanently taken before each actual point is measured. These sample hits are taken each time the scan is run. This field is available only if Surface is selected from the Hit Type list.


Spacer for Patch Scan

The Spacer box allows you to set the distance between sample hits. This field is available only if Surface is selected from the Hit Type drop down list.


Scanning Options - Patch - Initial Vectors

Initial Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • Boundary Plane (PlaneVec)

  • End Touch (EndVec)

The cut plane vector is derived by crossing the Initial Touch vector (InitVect) and the line between the first and second point. The cut plane vector is then set to the correct direction by using the line between the second and third points. The End Touch vector (EndVec) is the vector used to take the second boundary points and is used to jump to the second row after completing the first row.


Section

Section Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Scan dialog box — Section tab

The Auto Util | Scan | Section scan is very similar to LINEAROPEN scans. It will scan the surface along a line on the part. This type of scan is available only when CAD surface data is available. This procedure uses the starting and ending point for the line, and also includes a direction point. The probe will always remain within the cut plane while doing the scan.

Section scans have the ability to detect holes and then skip them while scanning along a part. This type of scan allows you to select 'section lines' drawn on the screen by the CAD engineer and then continue the scan.

One advantages to using a section scan is the ability to do multiple scans along a fixed axis.

Example: You want to scan a part at a certain distance along the X axis.
X = 5.0
X = 5.5
X = 6.0
Set up the section scan with the X axis as the section axis and 0.5 as the section increment. Additional parameters should also be set (see Linear Open). After the scan is measured, PC-DMIS will re-display the Scan dialog box with all of the boundary points shifted to the next section.

If you have CAD Surface data, PC-DMIS will detect a Start Point and End Point at the section.

There are three types of section scan direction techniques.

More:

Direction 1 Technique

Section Location

Boundary Points

Hit Type

Initial Vectors


Scanning Options - Section - Direction 1 Technique

Direction 1 Technique

The Direction 1 Tech list offers the two scanning techniques of section scans:

  1. LINE

  2. VARIABLE

Select the desired technique and PC-DMIS will automatically display any additional boxes applicable to your selection.

More:

Line Method for Section Scan

Variable Method for Section Scan

Max / Min Fields for Section Scan


Line Method for Section Scan

PC-DMIS determines each hit based on the set increment and the last two measured hits. The approach of the probe is perpendicular to the line between the last two measured hits. The probe will stay on the cut plane. PC-DMIS will start at the first boundary point and continue taking hits at the set increment, stopping when it reaches the end boundary point.


Variable Method for Section Scan

The VARIABLE technique allows you to set specific maximum and minimum angle and increment values that will be used in determining where PC-DMIS will take a hit. The probe's approach is perpendicular to the line between the last two measured hits.

Type the maximum and minimum values that will be used to determine the increments between hits. You must also type the desired values for the MAX and MIN angles. PC-DMIS will take three hits using the minimum increment. It will then measure the angle between hit's 1 -2 and 2 -3.

  • If the measured angle is between the maximum and minimum values defined, PC-DMIS will continue to take hits at the current increment.

  • If the angle is greater than the maximum value, PC-DMIS will erase the last hit and measure it again using one quarter of the current increment value.

  • If the angle is less than the minimum increment, PC-DMIS will take the hit at the minimum increment value.)

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to erase the last hit and drop the increment value to one quarter of the increment until the measured angle is within the range defined, or the minimum value of the increment is reached.

  • If the measured angle is less than the minimum angle, PC-DMIS will double the increment for the next hit.

  • If the angle is greater than the maximum increment value it will take the hit at the maximum increment.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to double the increment value until the measured angle is within the range defined, or the maximum increment is reached.

If ANGLE > MAX ANG then INC = INC / 4 until MIN INC
If ANGLE < MIN ANG then INC = INC · 2 until MAX INC


Max / Min Fields for Section Scan

The Max Incr and Min Incr boxes described below are available when using the VARIABLE scanning technique described earlier. Only the Max Incr box is available for all the scanning techniques.

Max Increment

The Max Incr box allows you to set the maximum increment distance. Even though increments may increase while using the Variable option, the increments will never be greater than this distance.

Min Increment

The Min Incr box allows you to set the minimum increment. Even though increments may decrease using the Variable option, the increments will never be smaller than this distance.

Max Angle

The Max Ang box allows you to set the maximum angle. Even though angles measured may increase while using the Variable option, the angles will never be greater than this value.

Min Angle

The Min Ang box allows you to set the minimum angle. Even though angles measured may decrease while using the Variable option, the angles will never be less than this value.


Section Location

The box in the Section Location area specifies the initial section at which you would want the scan to start. For example, if you want multiple sections at X = 5, X=5.5, X = 6, etc. you must first specify 5.0 as the initial section. After each scan PC-DMIS will automatically jump to the next section at 5.5 and so on. This value can be edited directly, or it can be set using the first boundary point. The first boundary points' coordinate value corresponding to the cut axis is the section location. When the first boundary point is defined by either taking a hit, selecting from CAD data or keying in a value, the coordinate value for the cut axis is used.

Example: If the first boundary point is set to 45, 37, 100 and the cut axis is Y, the section location is at 37. If the cut axis is X, the section location is 45.

More:

Axis

Increment

Tolerance


Scanning Options - Section Location - Axis

Axis

The Axis list allows you to select the axis (X, Y or Z) where you want multiple sections. The option 'None' is also available. It allows you to select a 'section line' on screen. Scans do not usually allow users to work with curve data. However, if 'None' is chosen, a section scan will let you select a graphically displayed section line that will then be used to define the cut plane and scanning path.


Scanning Options - Section Location - Increment

Increment

The Increment box specifies the jump distance along the section axis after each scan is done.


Scanning Options - Section Location - Tolerance

Tolerance

The tolerance value that is entered in the Tolerance box is used to determine the hole locations for detecting holes from CAD data.

  • If the distance between any two surface boundary points is less than the tolerance distance, PC-DMIS will consider this a continuous surface and scan into the hole.

  • If the distance is greater than the tolerance, PC-DMIS will assume that there is a hole between the surfaces, and during the learning process it will skip the hole.


Scanning Options - Section - Boundary Points

Boundary Points

The Boundary Points area of the dialog box allows you to set the boundary points for the SECTION scan. It also allows you to find holes defined in the CAD data, and toggle between displaying data for holes or for boundary points. (See Boundary Points for more information.)

More:

Cut CAD

Show Cut


Cut CAD

After a boundary is defined, click the Cut CAD button. The purpose of this button is solely to find any holes defined in the CAD data. The boundary points can be selected in the same manner as for LINEAROPEN scans.

PC-DMIS will automatically search through the CAD data for any holes along the scan's path. Any hole edges along the scans path will be indicated with a integer for the point followed by a "H" (i.e. 2H , 3H etc.). The hole edge points will be set at a default distance of 0.0787 inches from the theoretical hole edge.

Sections scans can be made to cut CAD with specific, user-selected surfaces.

To do this:

  1. Select the boundary points.

  2. Select the Select box.

  3. Select the desired surfaces.

  4. Click the Cut CAD button without clearing the Select box.

PC-DMIS will then cut only the selected surfaces to find the hole(s).

The Cut CAD button does not need to be pressed if there are no holes defined in CAD. If this button is not pressed, PC-DMIS will scan the part using the given Start and End Boundary points.

When cutting surfaces, PC-DMIS uses only the surfaces that are displayed in the first View (the Blue View—Please see "The View Buttons" for setting up Views ) of the Graphics Window. When you have a complex CAD drawing with multiple surfaces you can arrange groups of surfaces into CAD levels. (See "Levels"). Doing this helps you restrict Section CAD Cut operations to specific portions of the CAD model.


Show Cut

The Show Cut button allows you to switch between displaying boundary or hole data. After a boundary is defined and the Cut CAD button has been selected, click the Show Cut button to switch to the appropriate display.


Scanning Options - Section - Hit Type

Hit Type

Available Hit Types:

  • VECTOR

  • SURFACE

More:

Initial for Section Scan

Perm for Section Scan

Spacer for Section Scan


Initial for Section Scan

The Initial box allows you to set how many sample hits are taken before each actual point is measured. These sample hits are taken only the first time a scan is run. This field is available only if SURFACE is selected from the Hit Type list.


Perm for Section Scan

The Perm box allows you to set how many sample hits are taken before each actual point is measured. These sample hits are taken each time the scan is run. This field is available only if SURFACE is selected from the Hit Type list.


Spacer for Section Scan

The Spacer box allows you to set the distance between sample hits. This box is available only if SURFACE is selected from the Hit Type list.


Scanning Options - Section - Initial Vectors

Initial Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • Boundary Plane (PlaneVec)

The Cut Plane and Initial Touch vectors are used to measure the scan. The Cut Plane vector is the cross product of the Initial Touch vector and the line between the starting and end point. If there is no end point, then the line between start and direction point is used.


Perimeter

Perim Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Scan dialog box — Perimeter tab

Perimeter scans differ from other linear scans in that they are created entirely from CAD data before execution. This type of scan is available only when there is CAD surface data available. It allows PC-DMIS to know exactly where it is going before beginning (with a small amount of error).

There are two different types of perimeter scans available, exterior & interior.

  1. An exterior scan follows the outside of surface boundary/boundaries which you select. An exterior scan has the ability to traverse across multiple surface boundaries to create a single scan.

  2. An interior scan follows a boundary curve inside a given surface. These types of curves usually define features such as holes, slots, or studs. Unlike the exterior scan, an interior scan is limited to the interior of a single surface.

The procedure for creating an exterior or interior scan is the same and is outlined below:

More:

Procedure for Creating and Executing a Perimeter Scan

Scan Construction

Theoretical Scan Points

Theoretical Vector

Hit Type


Procedure for Creating and Executing a Perimeter Scan

To create and execute a Perimeter scan:

  1. For interior Perimeter Scans, select the Inner Bound check box in the Perimeter tab.

  2. Select the surface(s) that will be used to create the boundary. If multiple surfaces are selected, the surfaces should be selected in the same order that they are to be traversed by the scan. To select the necessary surface(s):
  • Verify that the Select check box is selected. Each surface will be highlighted as it is selected.

  • After the desired surfaces are selected, clear the Select check box.
  3. Click on the surface near the boundary where the scan is to begin. This is the Start Point.

  4. Click on the same surface a second time in the direction that the scan will be executed. This is the Direction Point.

  5. Click on the point where the scan is to end. This point is optional. If an End Point is not provided, the scan will end at its Start point.

Note: PC-DMIS automatically provides an End Point. If this End Point is not be used, delete it by highlighting the number (the default is 2) in the Boundary Points list and clicking the Delete button.

  6. Type the appropriate values into the Scan Construction area. These include the following boxes:
    · Increment box
    ·     CAD Tol box
    ·     Offset box
    ·     Offset Tol (+/-) box.

  7. Select the Calculate Boundary button. This will calculate the boundary from which the scan will be created. The red dots on the boundary indicate where the hits are taken on the perimeter scan.

Note: The boundary calculation should be a relatively quick process.

If the boundary does not look correct, click the Delete button. This will delete the boundary and allow another to be created.

If the boundary appears incorrect, it usually means that the CAD tolerance needs to be increased.

After changing the CAD tolerance, click the Calculate Boundary button to recalculate the boundary.

Verify that the boundary is correct before calculating a perimeter scan because it takes much longer to calculate the scan path than it does to recalculate the boundary.

  8. Verify that the Offset value is correct.

  9. Click the Generate button. PC-DMIS will then calculate the theoretical values that will be used to execute the scan. This process involves a very time intensive algorithm. Depending on the complexity of the selected surfaces and the amount of points that are being calculated, it may take a while to compute the scan path. (A five minute wait is not uncommon.) If the scan does not appear correct, the Undo button can be used to delete the proposed scan path. If needed, the Offset Tolerance can be altered and the scan recalculated.

  10. Click the Create button to store the perimeter scan in the Edit window. It will be executed like any other scan.

Scan 1

Scan 2

The above figures (Scan 1 and Scan 2) illustrate both types of perimeter scans. In Scan 1, four surfaces have been selected. Each surface borders another, but the outside of each surface makes up the composite boundary (indicated by the solid red outer line). The offset distance is the amount that the scan will be offset from the composite boundary (indicated by the broken red line). In the Scan 2, the boundary of a hole is used to create the path for an interior perimeter scan.


Scan Construction

scancons Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The Scan Construction area of the dialog box allows various options for constructing a Perimeter Scan. These include:

  • Increment

  • CAD Tol

  • Offset

  • Offset Tol (+/-)

  • Calculate Boundary

  • Delete

More:

Increment

CAD Tol

Offset

Offset + / -

Calculate Boundary

Delete


Scanning Options - Scan Construction - Increment

Increment

The Increment box indicates the distance between each of the hit points on the scan.


CAD Tol

The CAD Tol box is useful in detecting neighboring surfaces. The larger the tolerance, the farther apart the CAD surfaces can be and still be recognized as a neighboring surface.


Offset

The Offset box indicates the distance in from the perimeter where the scan will be created and executed.


Offset + / -

The Offset Tol (+/-) box indicates the amount of allowable deviation from the offset value. It is a user supplied value.


Calculate Boundary

The Calculate Boundary button determines the composite boundary of the input surfaces. The Calculated boundary appears as red dots in the Graphics Display window.


Scanning Options - Scan Construction - Delete

Delete

The Delete button deletes the previously created boundary.


Theoretical Scan Points

The Theoretical Scan Points area provides a list of points that has been calculated from the CAD data. It will be used by the CMM to execute the scan. These points are user editable.

To edit the value of the points:

  1. Double click the appropriate point number in the '#' column. The Edit Scan Item dialog box will appear.

  2. Change the values in the desired X, Y, and Z boxes.

  3. Click OK. The change will be updated in the Theoretical Scan Points list.

Clicking the Next button in the Edit Scan Item dialog box will cycle through the points listed in the Theoretical Scan Points list, allowing you to edit them one by one.


Theoretical Vector

The Theoretical Vector area allows you to edit the vectors of the points listed in the Theoretical Scan Points list. The vector displayed is associated with the point selected in the Theoretical Scan Point list.

More:

Flip Vector

Point #


Scanning Options - Theoretical Vector - Flip Vector

Flip Vector

The Flip Vector button will flip the approach vectors of the theoretical scan point selected from the Theoretical Scan Points list. Individual vectors can be flipped, or all of the vectors can be flipped.

When a point is selected from the list of points, and the Flip Vector button is pressed, PC-DMIS will ask if all of the vectors following that point should be flipped.

  • If you select Yes, then the direction of all the vectors, including and following the indicated point, will be reversed.

  • If you select No, then only the indicated vector will be reversed.


Point #

These IJK boxes display the I, J, K vectors of the selected theoretical scan point listed in the Theoretical Scan Points list.

To change the I, J, K vectors for a particular theoretical scan point:

  1. Select the desired point from the Theoretical Scan Points list. You will notice that the number of the point will appear next to the "Point #" title.

  2. Highlight the previous I, J, or K value you want to change.

  3. Enter in a new value.

The PC-DMIS will calculate a new approach vector based off the value you entered.


Scanning Options - Perimeter - Hit Type

Hit Type

The Hit Type list displays the available Hit Types:

  • VECTOR


Manual Scan

Manual Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Scan dialog box—Manual TTP Scan tab

This method of scanning allows you to define a point measurement by manually scanning the surface of a part. This is particularly useful when user controlled CMM measurement hits are desired.

Manual scans should be done along the machine axis (the X, Y, or Z axis).

For example, your part requires a scan along the surface of a sphere. To do this scan:

  1. Lock the Y axis. This is done by using a lock switch on your CMM. This switch can be set to ON/OFF to prevent/allow movement in a particular axis.

  2. Begin scanning in the +X direction.

  3. Move to the next row along +Y or -Y.

  4. Scan back in the reverse direction.

When multiple rows of manual scans are being done, we recommend that every other scan line be reversed.

For example (continuing the scan of the sphere as outlined above):

  1. Begin the scan along the surface in the +X direction.

  2. Move to the next row and scan along the -X axis.

  3. Continue to switch the direction of the scan as needed. The internal algorithms depend on this kind of regularity and could give poor results if the scheme is not followed.

More:

Initial Touch Vector

Initial Direction Vector

Hard Probe Methods

Touch Trigger Probe

Additional Manual Scan Info


Initial Touch Vector

Manual scans need an Initial Touch Vector in machine coordinates for internal calculations.


Initial Direction Vector

Manual scans need an Initial Direction Vector in machine coordinates for internal calculations.

Example: For a +X scan, lock the Y and Z machine axes and enter a 0, 0, 1 value for the Initial Direction Vector. If the scan will be along the -X axis, type in a 0, 0, -1.


Hard Probe Methods

Manual scanning provides four different measurement methods that can be used with a hard probe. PC-DMIS collects the measured points as fast as they are read by the controller during the scanning process. Once the scan is complete, PC-DMIS will offer you an opportunity to reduce the collected data based on the scanning method selected.

The four measurement methods with a hard probe are described below:

Note: When a touch trigger probe is used, PC-DMIS will require individual hits be at each location. It will not offer the different measurement methods as described for a hard probe scan.

More:

Fixed Delta

Variable Delta

Time Delta

Body Axis


Fixed Delta

The FIXED DELTA method of scanning allows you to reduce the measured data by setting an increment. PC-DMIS will start from the first hit and reduce the scan by deleting hits that are closer than the Delta (increment) specified. The reduction of hits happens as data comes from the machine. PC-DMIS only keeps the points that are set apart by more than the specified increments.

Example: If you have specified an increment of 0.5, PC-DMIS will only keep hits that are at least 0.5 units apart from each other. The rest of the hits from the controller are discarded.


Variable Delta

The VARIABLE DELTA method of scanning defines the distance between hits based on the part. PC-DMIS allows you to specify the speed at which it will read hits, and the drop point distance. (See below "Drop Point Distance" and "Delays Between Read".) After the scanning process is complete, PC-DMIS will calculate the total number of hits that were measured and the total number that were kept after completing the drop point distance calculations. The reduced data is then converted to hits.

Drop Point Distance

This option lets you specify the distance which PC-DMIS will use in determining whether or not to exclude a point. If the computed drop point distance is greater than the displayed drop point distance, PC-DMIS will keep the hit. If it is less, PC-DMIS will throw out that point and compute the drop point distance at the next hit.

Delays Between Read

This option lets you specify the time difference between the hits. PC-DMIS will first reduce the scan using the time difference parameter and then use the drop point distance criterion to further reduce the data.


Time Delta

The TIME DELTA method of scanning allows you to reduce the scan data by setting a time increment. PC-DMIS will start from the first hit and reduce the scan by deleting hits that are read in faster than the time delta specified.

Example: If you specify a time increment 0.05 seconds, then PC-DMIS will only keep hits from the controller that are measured at least 0.05 seconds apart. The other hits are excluded from the scan.

Time Delay Between Reads

The Time Delay Between Reads box allows you to set the time increment in seconds that determines which hits are read in faster than the time delta specified.


Scanning Options - Hard Probe Methods - Body Axis

Body Axis

This method of scanning allows you to scan a part by specifying a cut plane on a certain part axis and dragging the probe across the cut plane. As you scan the part, you should scan so that the probe crisscrosses the defined Cut Plane as many times as desired. PC-DMIS then follows this procedure:

  1. PC-DMIS gets data from the controller and finds the two data hits that are closest to the Cut Plane on either side as you crisscross.

  2. PC-DMIS then forms a line between the two hits which will pierce the Cut Plane.

  3. The pierced point then becomes a hit on the Cut Plane.

This operation happens every time you cross the Cut Plane and you will finally have many hits that are on the Cut Plane.

You can use this method to inspect multiple rows (PATCH) of scans by specifying an increment for the cut plane location. After scanning the first row, PC-DMIS will move the cut plane to the next location by adding the current location to the increment. You can then continue scanning the next row at the new Cut Plane location.

Axis

The Axis list allows you to select the axis from which the cut plane is specified. The available axes are X, Y, and Z.

Location

The Location box allows you to enter in the cut plane location.

Increment

The Increment box allows you to specify the distance between multiple rows of scans.


Touch Trigger Probe

Manual scans can also be done using a touch trigger probe.

To do this:

  1. Define the necessary parameters.

  2. Press the Create button. PC-DMIS will display the Execution Mode Options dialog box and request that a hit be taken.

At the end of the scan, press the Scan Done button in the Execution Mode Options dialog box and PC-DMIS will stop the scan.

Note: Some scanning methods are not available when using a Touch Trigger Probe.


Additional Manual Scan Info

PC-DMIS offers several additional options while doing manual scans.

More:

New Row

Scan Done


New Row

The New Row command button allows you to start a new row for the scan. This button is only available when a manual scan is being learned. It is located in the Execute Mode Options dialog box.

To use the New Row command button:

  1. Press Stop to pause the scan.

  2. Select the New Row button. This will indicate that a new row is about to be scanned.

or

  1. Select the New Row button first. PC-DMIS will automatically pause the scan.

  2. Move the probe to the next row.

  3. Press the Continue button.

PC-DMIS will begin scanning the new row.


Scan Done

The Scan Done command button alerts PC-DMIS that the scan is complete. This button is only available when a manual scan is being executed (learned). It is located in the Execute Mode Options dialog box. As you execute the scan, data is gathered by PC-DMIS from the CMM. Simultaneously, PC-DMIS filters (reduces) the data according to the method (Time Delta, Fixed Delta, Variable Delta etc.) you provide. Data that does not satisfy the criteria (such as Time Delta or Distance increments) are excluded and data that satisfy the criteria are kept.

In earlier versions, a Reduce button was available but in this version that is not used. When you press the Scan Done command button, PC-DMIS stops collecting data and processes the data for finding Nominals, Vector compensation etc.


Manual Scanning Rules

The following topics contain rules governing manual scanning for standard Horizontal and Bridge CMM's and Arm CMMs.

More:

Standard Horizontal and Bridge CMMs

Arm CMMs (Gage 2000A, Faro, Romer)


Standard Horizontal and Bridge CMMs

The following description contains rules you should follow to have manual scanning compensate correctly and with greater speed on standard Horizontal and Bridge type CMMs.

More:

Fixed Delta, Time Delta and Variable Delta

Body Axis


Fixed Delta, Time Delta and Variable Delta

  1. You must lock one axis of the CMM during the scan; PC-DMIS will take the scan in a plane perpendicular the locked axis.

  2. On each of these three types of scans you must type the InitVec and DirVec in the Machine Coordinate System. This is required because you are locking one of the machine axes.


Scanning Options - Standard Horizontal and Bridge CMMs - Body Axis

Body Axis

  1. You should not lock any axis during the scan. PC-DMIS will take the scan by crossing the probe over a keyed in Body Axis location. Each time the probe crosses this given plane, the CMM takes a reading and passes it to PC-DMIS.

  2. On this type of scan you need to type the InitVec and the DirVec values in the Part Coordinate System. This is required so that the probe can traverse the Body Axis location indicated.

  3. Make sure you type the Body Axis in the Part Coordinate System.


Arm CMMs (Gage 2000A, Faro, Romer)

The following description lists the rules that you need to follow to have manual scanning compensate correctly and with greater speed on Arm CMMs.

More:

All Types of Scans


All Types of Scans

  1. You should not lock any axis during the scan. PC-DMIS takes the scan by crossing the probe over a keyed in Body Axis location. Each time the probe crosses this given plane the CMM takes a reading and passes it to PC-DMIS.

  2. On this type of scan you must type the InitVec and the DirVec values in the Part Coordinate System. This is required to work together with the Body Axis location.

  3. Make sure you type the Body Axis in the Part Coordinate System.


Basic Scans

PC-DMIS now offers support for scans that are available in a CMM with an Analog Probe Head. These new scans are classified under a new type called BASIC SCAN. These new scans are feature based scans (i.e. you could define a feature such as a Circle or Cylinder to be measured along with appropriate parameters and PC-DMIS would execute a scan that uses the appropriate controller scanning capability).

Note: The Basic Scan menu options will be unavailable for selection until you select an Analog Probe Head and place PC-DMIS in DCC Mode.


Common Functions of the BasicScan Dialog Box

Many of the functions described below are common to Basic Scans. Some of these options are the same as the options in the regular scans described previously. (See Common Functions of Scan Dialog Boxes for additional information). Options that relate specifically to one scan mode are appropriately indicated.

More:

Filter Tab

Hit Type Tab

Boundary Tab

Execute Tab

Nominals Mode Tab

General Tab


Filter Tab

Available options for the Filter tab are the following:

  • Distance Filter – See Line Method for LinearOpen.

  • Variable Filter – See Variable Method for LinearOpen.

  • Body Axis – See Body Axis Method for LinearOpen.


Hit Type Tab

Available options for the Hit Type tab are the following:

  • VECTOR

  • SURFACE

The Hit Type corresponds to the Hit Type in scans defined previously. See Hit Type.


Boundary Tab

Some of the Basic Scans like Circle, Cylinder, Axis, and Null do not need a Boundary condition since they are executed by the controller. Available options for the Boundary are the following:

  • Plane

  • Sphere

  • Cylinder

  • Cone

See Boundary button for more information.


Execute Tab

The execute modes available in the Execute tab are the following (See Execute Mode for more information):

  • NORMAL – corresponds to Normal mode described in the "Execute Mode" section.

  • RE-LEARN – corresponds to Re-Learn described in the "Execute Mode" section.

  • DEFINED – corresponds to Defined mode described in the "Execute Mode" section.

  • FEATURE – This execute mode is available only for Analog Probe Heads. When this is selected , PC-DMIS uses the built-in High Speed scanning capability of the controller to execute a scan.

    Example: If you selected a Circle scan, PC-DMIS will use a corresponding Circle scanning command in the controller and pass on the parameters to the controller to execute. In this case, PC-DMIS does not control execution of the scans.


Nominals Mode Tab

The Nominal modes available are the following (See Nominals Mode for more information):

  • MASTER – corresponds to Master mode described in the "Nominals Mode" section.

  • FINDNOMS – corresponds to FindNoms mode described in the "Nominals Mode" section. You can type in a FindNoms Tolerance that can be applied when finding nominals for a Basic Scan.

Note: With the Circle, Cylinder, and Axis types of Basic Scans, there is no need to have CAD data to find the nominals. To execute the Basic Scan, PC-DMIS obtains the nominals from the nominal data you supply.

For example, if you typed in nominal data, such as center and diameter, to execute the circle, that data would be used to find the nominals for the Circle scan.


General Tab

The options in this dialog box have been described in Common Functions of Scan Dialog Boxes.

Surface Thick: This box allows you to input part thickness. PC-DMIS will apply this material thickness automatically when using CAD surface data. This thickness will be applied along the surface normal vector when FINDNOMS mode is selected and PC-DMIS pierces the CAD surfaces to get the nominals.


Scanning Options - Circle

Circle

The Auto Util | Basic Scan | Circle menu option allows you to scan a circle feature. It takes parameters such as the center of the circle, diameter of the circle etc., and allows the CMM to execute the scan. The Circle Method allows only the Distance Filter to be used. It allows only the Vector Hit Type and does not need a Boundary Condition. The following parameters control the scan execution:

Centroid: This point (found in the first list, under the # column) is the center of the circle. The center of the circle can be typed directly or can be obtained from Machine or from CAD.

The Edit window command line for a Circle Basic Scan reads:
ID=BASICSCAN/CIRCLE,ShowHits=YES,ShowAllParams=YES
centerx,centery,centerz,CutVec=i,j,k,Type
InitVec=i,j,k, diameter,angle,depth,thickness

More:

Key In Method

Measured Point Method

Using Surface Data on the Screen

Using Wire frame Data on the Screen

Circle: CAD Data Method


Scanning Options - Circle - Key In Method

Key In Method

  1. Select the desired centroid point in the list.

  2. Double click on the Centroid column. This will display an Edit Scan Item dialog box for the centroid.

  3. Manually edit the X, Y, or Z boxes.

  4. Click the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also edit the CutVec and the InitVec of the circle using this same process.


Scanning Options - Circle - Measured Point Method

Measured Point Method

To generate the circle without the use of CAD data:

  1. Take three hits on the surface to find the plane that the circle is lying in.

  2. Take three additional hits in the hole (or on the stud). PC-DMIS calculates the circle using all three hits.

Additional hits can be taken. PC-DMIS will use the data from all of the measured hits. The Centroid that is displayed is the calculated center of the hole (or stud). The CutVec is the circle axis and the InitVec of the circle is calculated based on the first of the latter three hits that are used calculate the circle. The angle is calculated as the angle of the arc from the first hit to the last hit.


Scanning Options - Circle - Using Surface Data on the Screen

Using Surface Data on the Screen

To generate a circle using surface data:

  1. Click the Surface mode [image] icon.

  2. Position the cursor either outside or inside the desired circle.

  3. Click on three locations around the circle. At least three clicks are needed for PC-DMIS to compute the necessary X, Y, Z and I, J, K data.

The dialog box will display the center point and diameter from the CAD data of the selected sheet metal circle once the third point has been indicated.

If additional mouse clicks are detected PC-DMIS will find the best circle near all of the hits. The CutVec is the circle axis and the InitVec of the circle is calculated based on the first click. The angle is calculated as the angle of the arc from the first click to the last click.


Scanning Options - Circle - Using Wire frame Data on the Screen

Using Wire frame Data on the Screen

Wire frame CAD data can also be used to generate a circular scan.

To generate the circle:

  1. Click near the desired wire on the circle. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The dialog box will display the value of the selected circle's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a circle or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations of the circle.

  • CutVec: This vector is the axis of the circle and is the plane in which the scanning will be done.

  • InitVec: This vector describes direction in which the probe will take it's first hit to start the scan. This vector is calculated according to the mode of Data Entry. This vector and the CutVec are normal to each other.


Circle: CAD Data Method

The InitVec of the circle is calculated based on the first click that is used to calculate the circle with this method.

More:

Type:

Angle:

Diameter:

Depth:


Scanning Options - Circle: CAD Data Method - Type:

Type:

The following types of circles are allowed:

  1. IN : A Hole

  2. OUT: A Stud

  3. PLANE: A Plane circle executed on the plane the circle is lying on.


Scanning Options - Circle: CAD Data Method - Angle:

Angle:

This is the angle (in degrees to scan ) from the Start Point. Both positive angles and negative angles can be used. Positive angles are considered counterclockwise and negative angles are considered clockwise. The CutVec is considered the axis about which the angle rotates.


Scanning Options - Circle: CAD Data Method - Diameter:

Diameter:

This is the diameter of the circle.


Scanning Options - Circle: CAD Data Method - Depth:

Depth:

This is the Depth applied against the CutVec direction. Both positive and negative values can be used.

Example: If the circle has a center of 1,1,3,a CutVec of 0,0,1 and a depth of 0.5, the circle center will be set to 1, 1, 2.5 during execution. If a Depth of –0.5 is used for the same circle , the centroid would be shifted to 1,1,3.5 during execution.


Scanning Options - Cylinder

Cylinder

The Auto Util | Basic Scan | Cylinder menu option allows you to scan a cylinder feature. It takes parameters such as the cylinder's diameter and pitch etc., and allows the controller to execute the scan. The Cylinder Method allows the Distance in the Filter tab and the Vector Hit Type and does not need a Boundary Condition. The following parameters control the scan execution:

Centroid: This point is the cylinder center from which execution will start. The center of the cylinder can be keyed in directly or can be obtained from Machine or from CAD.

The Edit window command line for a Cylinder Basic Scan reads:
ID=BASICSCAN/CYLINDER,ShowHits=YES,ShowAllParams=YES
centerx,centery,centerz,CutVec=i,j,k,Type
InitVec=i,j,k, diameter,angle,pitch,depth,thickness

More:

Key In Method

Measured Point Method

Using Surface Data on the Screen

Using Wire frame Data on the Screen

Cylinder: CAD Data Method


Scanning Options - Cylinder - Key In Method

Key In Method

  1. Double click the centroid point in the List Box in the '#' column. This will display the Edit Scan Item dialog box:

  2. Manually edit the X, Y, or Z value.

  3. Click the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also key-in the CutVec and the InitVec of the cylinder using this same process.


Scanning Options - Cylinder - Measured Point Method

Measured Point Method

To generate the cylinder without the use of CAD data:

  1. Take three hits on the surface to find the axis vector of the cylinder.

  2. Take three additional hits in the hole (or on the stud). PC-DMIS calculates the diameter of the cylinder using all three hits.

Additional hits can be taken. PC-DMIS will use the data from all of the measured hits. The Centroid that is displayed is the calculated center of the hole (or stud). The CutVec is the cylinder axis and the InitVec of the cylinder is calculated based on the first of the last three hits that are used to calculate the diameter of the cylinder. The angle is calculated as the angle of the arc from the first hit used to calculate the diameter of the cylinder to the last click.


Scanning Options - Cylinder - Using Surface Data on the Screen

Using Surface Data on the Screen

To generate a cylinder using surface data:

  1. Click on the Surface mode icon [image].

  2. Position the cursor either outside or inside the desired cylinder.

  3. Click on three locations around the cylinder. At least three clicks are needed for PC-DMIS to compute the necessary X, Y, Z and I, J, K data.

The dialog box will display the center point and diameter from the CAD data of the selected sheet metal cylinder once the third point has been indicated.

If additional mouse clicks are detected PC-DMIS will find the best cylinder near all of the hits. The CutVec is the cylinder axis and the InitVec of the cylinder is calculated based on the first click. The angle is calculated as the angle of the arc from the first click to the last click.


Scanning Options - Cylinder - Using Wire frame Data on the Screen

Using Wire frame Data on the Screen

Wire frame CAD data also can be used to generate a cylindrical scan.

To generate the cylinder:

  1. Click near the desired wire on the cylinder. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The dialog box will display the value of the selected cylinder's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a cylinder or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations of the cylinder.

  • CutVec: This vector is the axis of the cylinder and is the plane in which the scanning will be done.

  • InitVec: This vector describes direction in which the probe will take it's first hit to start the scan. This vector is calculated according to the mode of Data Entry. This vector and the CutVec are normal to each other.


Cylinder: CAD Data Method

The InitVec of the cylinder is calculated based on the first click that is used to calculate the cylinder with this method.

More:

Type:

Angle:

Diameter:

Depth:

Pitch:


Scanning Options - Cylinder: CAD Data Method - Type:

Type:

The Type drop down list of allows the following:

  1. IN: A Hole

  2. OUT: A Stud


Scanning Options - Cylinder: CAD Data Method - Angle:

Angle:

The Angle box displays the angle (in degrees to scan ) from the Start Point. Both positive angles and negative angles can be used. Positive angles are considered counterclockwise and negative angles are considered clockwise. The CutVec is considered the axis about which the angle rotates. The angle can be over 360 degrees and the scan will continue for more than one revolution.

Example: If you have given an angle of 720 degrees the scan would execute two revolutions.


Scanning Options - Cylinder: CAD Data Method - Diameter:

Diameter:

The Diameter box displays the diameter of the cylinder.


Scanning Options - Cylinder: CAD Data Method - Depth:

Depth:

The Depth box displays the depth value that is applied against the CutVec direction.

Example: If the cylinder has a center of 1,1,3, a CutVec of 0,0,1, and a depth of 0.5, the cylinder's center is set to 2.5 during execution.


Pitch:

The Pitch box shows the distance along the CutVec between the Start and End of the scan when it does one complete revolution of 360 degrees. The cylinder's pitch can have a positive or a negative value and when combined with the CutVec and the angle controls the direction of the scan up/down the cylinder axis.

Example: If the cylinder has a CutVec of 0,0,1, a Pitch value of 1.0 and a positive angle of 720 , the scan would execute two revolutions and would move up the axis of the cylinder one unit from the start point. If, for the same cylinder, a negative pitch is entered, the scan would execute down the axis of the cylinder one unit


Scanning Options - Axis

Axis

The Auto Util | Basic Scan | Axis menu option allows you to scan a Straight Line feature. It takes the Start Point and End Point of the line and allows you to execute the scan.

The Axis Method:

  • Allows only the Distance option to be selected from the Filter tab.

  • Allows the Vector hit type to be selected from the Hit Type tab.

  • Does not need a Boundary Condition.

The two parameters that control the scan execution are:

  • Start Point: This point is the start point from which execution will start.

  • End Point: This point is the end point at which execution will end.

The points can be keyed in directly or can be obtained from Machine or from CAD.

The Edit window command line for an Axis Basic Scan reads:
ID=BASICSCAN/AXIS,ShowHits=YES,ShowAllParams=YES
startx, starty, startz,endx,endy,endz
CutVec=i,j,k,thickness

More:

Key In Method

Measured Point Method

Using Surface Data on the Screen

Using Wire frame Data on the Screen


Scanning Options - Axis - Key In Method

Key In Method

  1. Click on the desired point in the List Box in the '#' column. This will display an Edit Scan Item dialog box:

  2. Manually edit the X, Y, or Z value.

  3. Click the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also type the CutVec and the InitVec values of the axis using this same process.


Scanning Options - Axis - Measured Point Method

Measured Point Method

To generate the Line without the use of CAD data:

  1. Select the desired point in the list.

  2. Take a hit on the part. This will fill up the values for that point.

The CutVec is the normal vector of the plane in which the straight line lies.


Scanning Options - Axis - Using Surface Data on the Screen

Using Surface Data on the Screen

To generate a line using surface data:

  1. Click the Surface mode icon [image].

  2. Select the desired point in the list.

  3. Click on a location in the Graphics Display window. PC-DMIS will fill up the necessary values in the List Box.


Scanning Options - Axis - Using Wire frame Data on the Screen

Using Wire frame Data on the Screen

Wire frame CAD data also can be used to generate points for a line. Click near the desired wire on the axis. PC-DMIS will highlight the selected wire. It will also fill up the two points from the Start and End points of the curve.

CutVec: This vector is the normal vector of the Plane in which the Straight Line lies.


Center

The Auto Util | Basic Scan | Center menu option allows you to find a Low/High point in an area It takes a Start Point of the scan and an End Point and allows the controller to execute the scan. The output from this scan is a Single point only.

The Center Method:

  • Allows only the Distance option to be used from the Filter tab.

  • Allows only the Vector option to be used from the Hit Type tab.

  • Does not need a Boundary Condition.

These two parameters control the scan execution:

  • Start Point: This point is the Start Point from which execution will start.

  • End Point: This point is the End Point at which execution will end.

The points can be typed directly or can be obtained from Machine or from CAD.

The Edit window command line for a Center Basic Scan reads:
ID=BASICSCAN/CENTER,ShowHits=YES,ShowAllParams=YES

startx,starty,startz,endx,endy,endz,CutVec=i,j,k,Type
InitVec=i,j,k,direction,thickness

More:

Key In Method

Measured Point Method

Using Surface Data on the Screen

Using Wire frame Data on the Screen


Scanning Options - Center - Key In Method

Key In Method

  1. Double click the desired point in the List in the '#' column. This will display an Edit Scan Item dialog box:

  2. Manually edit the X, Y, or Z value.

  3. Press the OK button to apply the changes.

The Cancel button will disregard any changes that have been made and will close the dialog box.

You should also key in the CutVec and the InitVec of the center using this same process.


Scanning Options - Center - Measured Point Method

Measured Point Method

To generate the Center scan without the use of CAD data:

  1. Select the desired point in the list.

  2. Take a hit on the part. This will fill up the values for that point.

The CutVec is the normal vector of the plane in which the probe remains free while centering is done by the controller. The Init Vec is the initial approach vector at the Start Point.


Scanning Options - Center - Using Surface Data on the Screen

Using Surface Data on the Screen

To generate a Centering scan using surface data:

  1. Click on the Surface mode icon [image].

  2. Select the desired point in the list.

  3. Click on a location in the Graphics screen. PC-DMIS will fill up the necessary values in the list.


Scanning Options - Center - Using Wire frame Data on the Screen

Using Wire frame Data on the Screen

Wire frame CAD data also can be used to generate points.

Click near the desired wire on the center. PC-DMIS will highlight the selected wire. It will find the closest point in the wire to the clicked location and fill up values in the list.

  • CutVec: This vector is the normal vector of the Plane in which the Probe remains free as centering happens.

  • InitVec: This vector is the approach vector of the Probe at the Start Point.

More:

Type:

Direction:


Scanning Options - Using Wire frame Data on the Screen - Type:

Type:

The following types of centering methods are allowed:

  1. Axis: The Start Point (S) is projected on the defined Axis (A). The resulting point is (SP). The InitVec is projected in the plane defined by the Projected point (SP) and the axial direction (A). The direction (N) thus defined is vertical to the axial direction. Thereafter , as centering is performed , the probe's center point remains in the plane defined by the axial direction and (SP). Centering takes with / against the direction (N) as an input, and the probe tip is free in the direction defined by the axial direction (A) crossing the direction (N).

    S = Start Point
    A = Defined Axis / Axial direction
    SP = Projected Start Point
    N = The direction vertical to the axial direction.

  2. Plane: After probing the point defined by the Start Point, the CMM centers with/against the probe direction while remaining free in the plane defined by the CutVec.


Direction:

One of the following types is allowed:

  1. With: The probe centering happens with the direction of the Probe.

  2. Against: The probe centering happens against the direction of the Probe.


Scanning Options - Line

Line

The Auto Util | Basic Scan | Line menu option will scan the surface along a line. This procedure uses the starting and ending point for the line, and also includes a direction point for the calculation of the cut plane. The probe will always remain within the cut plane while doing the scan.

There are three different Types of Filters (found in the Filter tab) allowed as explained below.

More:

Distance

Body Axis

Variable

Max Increment

Points

Vectors

Hit Type

Boundary


Scanning Options - Line - Distance

Distance

PC-DMIS determines each hit based on the set increment and the last two measured hits. The approach of the probe is perpendicular to the line between the last two measured hits. The probe will stay on the cut plane. PC-DMIS will start at the first boundary point and continue taking hits at the set increment, stopping when it reaches the end boundary point.


Scanning Options - Line - Body Axis

Body Axis

PC-DMIS will take hits at the set increment along the current part's coordinate system. The approach of the probe is perpendicular to the indicated axis. The probe will stay on the cut plane. The approach vector will be normal to the selected axis and on the cut plane. The BODY AXIS technique uses the same approach for taking each hit (unlike the technique LINE, which adjusts the approach to be perpendicular to the line between the previous two hits).


Scanning Options - Line - Variable

Variable

The VARIABLE technique allows you to set specific maximum and minimum angle and increment values that will be used in determining where PC-DMIS will take a hit. The probe's approach is perpendicular to the line between the last two measured hits.

Enter the maximum and minimum values that will be used to determine the increments between hits. You also must enter the desired values for the MAX and MIN angles. PC-DMIS will take three hits using the minimum increment. It will then measure the angle between hit's 1-2 and 2-3.

  • If the measured angle is between the maximum and minimum values defined, PC-DMIS will continue to take hits at the current increment.

  • If the angle is greater than the maximum value, PC-DMIS will erase the last hit and measure it again using one quarter of the current increment value.

  • If the angle is less than the minimum increment, PC-DMIS will take the hit at the minimum increment value.

PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to erase the last hit and drop the increment value to one quarter of the increment until the measured angle is within the range defined, or the minimum value of the increment is reached.

If the measured angle is less than the minimum angle, PC-DMIS will double the increment for the next hit. (If this is greater than the maximum increment value it will take the hit at the maximum increment.) PC-DMIS will again measure the angle between the newest hit and the two previous hits. It will continue to double the increment value until the measured angle is within the range defined, or the maximum increment is reached.

If ANGLE > MAX ANG then INC = INC / 4 until MIN INC
If ANGLE < MIN ANG then INC = INC · 2 until MAX INC


Max Increment

The Max Increment box in the Filter tab allows you to set the incremental distance between hits on a scan. For example, if .5 is entered then the scan will touch the part at increments of .5.


Scanning Options - Line - Points

Points

The LINE scan needs a Start Point, a Direction Point, and an End Point.

  • Start Point: The Start Point of the scan.

  • D: The Direction Point used to start the scan.

  • End Point: The end Point to finish the scan.


Vectors

LINE scan use the following vectors for execution.

  • Cut Vec: The Cut Vector is the cross product of the InitialVector and the line between Start and End Point. The probe will remain in this plane while scanning.

  • Initial Vec: The Initial Vector is the initial touch vector used to start the scan.

  • End Vec: The End Vector is used as the approach vector at the End point of the scan.

  • Dir Vec: The Direction Vector is used to start scanning and is the vector from the StartPoint to the Direction Point.

The cut vector is the cross product of the initial touch vector and the line between the start and end point.


Scanning Options - Line - Hit Type

Hit Type

LINE scans can be done using Vector or Surface hits. See Hit Type for more information.


Boundary

LINE scans can be executed with one of the following Boundary Conditions:

  • Plane

  • Sphere

  • Cylinder

  • Cone

  • Oldstyle

See Boundary button for more information.

The Edit window command line for a Line Basic Scan reads:
ID=BASICSCAN/LINE,ShowHits=YES,ShowAllParams= YES
startx,starty,startz,endx,endy,endz,CutVec=i,j,k, DirVec=i,j,k
InitVec=i,j,k, EndVec=i,j,k, thickness


System Options: Introduction

The Options menu allows you to tailor the form and function of PC-DMIS to individual specifications. From this menu, the screen colors, output format, screen graphics and machine parameters can be controlled.

You can access the Options menu at any time by pressing ALT + O. The following paragraphs describe the various system options and their functions.

The main topics in this section include:

  • Set up Options

  • Parameters Mode

  • Probe Readout Window

  • Readout Window Setup

  • Analysis

  • Send Current Stats to File

  • Master/Slave Setup

  • Master/Slave Mode

  • Calibrate Master/Slave Mode

  • Rotary Table Setup

  • Probe Changer Setup Probe Changer Setup

  • Load Active Probe Load Active Probe

  • CMM Interface Setup

  • Activate Next Window

  • Temperature Compensation Setup

  • Set Search Path

  • OpenGL


System Options - Set up Options

Set up Options

The Options | Setup menu option accesses the SetUp Options dialog box. This dialog box allows you to alter the form and function of PC-DMIS.

To access the tabs associated with the SetUp Options dialog box, select Options | Setup from the menu bar, (or press the F5 key) and click on the desired tab.

More:

General

Check Box Options

Part/CMM

Dimension

ID Setup

Views

CV-100 Setup


General

general Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 SetUp Options dialog box —General tab

The General tab can be accessed by clicking on the General tab within the Setup menu option. This option will allow you to change various functions controlling the measurement process.

More:

Auto Circle Hits

Auto Line Hits

Hits in U

Hits in V


System Options - General - Auto Circle Hits

Auto Circle Hits

The Auto Circle Hits box allows you to set the default number of hits PC-DMIS will take while learning circles using CAD data. The minimum number of hits that may be entered is three. It only changes the number of hits for circles about to be programmed, not for circles that have already been programmed.

The PCDLRN.INI file for this option reads: AutoCirHits=[number of hits]


System Options - General - Auto Line Hits

Auto Line Hits

The Auto Line Hits box allows you to set the default number of hits PC-DMIS will take while learning lines using CAD data. The minimum number of hits that may be entered is two. It only changes the number of hits for lines about to be programmed, not for lines that have already been programmed.

The PCDLRN.INI file for this option reads: AutoLineHits=[number of hits]


Hits in U

The Hits in U box indicates the minimum number of rows that must be taken when scanning.

Note: This scanning option is only active when used with the Curves and Surfaces options.


Hits in V

The Hits in V box indicates the minimum number of hits per row that must be taken when scanning.

Note: This scanning option is only active when used with the Curves and Surfaces options.


Check Box Options

The check box options listed in this section of the dialog box allow you to turn on or off a variety of different options. This is useful because you can customize the way much of PC-DMIS operates in order to fit your specific needs.

More:

Press End Key

Automatic File Save

Find Nominals

Point Only Mode

Ignore Motion Error

Automatically Adjust Probe Head Wrist

Ignore CAD to Part

Move Feature to Reference Plane

Show Extended Sheet Metal Options

Fixed Dialog Positions

Lock Marked Sets

Automatically Scale to Fit

Show Hit Deviations

Use Circular Moves on Round Features

Thickness for Point Only Mode Points

Allow fine tuning of Alignment

Use CAD Provided ID's for Features

Find Nominals During Execution

Auto Continue Execution if FindHole Fails

Show Startup Dialog

Automatic Label Positioning

Animate Probe during Program Mode

Show Icon in Text Boxes

Pierce CAD on 3D Rotate

Scale Factor

Minutes to Save

Find Nominals Tolerance

Show Deviations Tolerance

Deviation Arrow Multiplier

Thickness

Execution FindNoms

Warnings

Default Part Directory

Browse


System Options - Check Box Options - Press End Key

Press End Key

The Press End Key check box controls whether or not the probe will automatically move to the next location after the last hit is taken on a manual feature. (It is functional only in the manual mode.) It is considered ON if the box is check marked. PC-DMIS will then require that the END key be pressed before going on to the next location.

Note: This option is useful as it allows a hit to be deleted after the last hit on the feature has been taken. If this option is turned OFF, you will not have the chance to back up hits


Automatic File Save

The Automatic File Save check box allows you to automatically save the part program at predetermined time intervals. If this check box is selected, the default setting will save the program every minute. This amount of time can be changed simply by entering another value in the Minutes to Save box.

PC-DMIS stores the autosaved file under the title of "Autosave Copy of" plus the original file name. This autosaved copy can be opened in the same manner as a regular part program in case of some catastrophic failure of the original file. The PCDLRN.INI file for this option reads: AutoSave=[0 or 1]


Find Nominals

The Find Nominals check box controls how PC-DMIS treats hits. When selected, PC-DMIS will then automatically consider each probe touch, finding the closest CAD nominal for that touch. It will continue to accumulate hits until the END key is pressed. The feature type will then be calculated and the CAD nominals applied.


Point Only Mode

The Point Only Mode check box controls how PC-DMIS responds to each probe hit. When selected, PC-DMIS automatically considers each probe hit to be a single point measurement and automatically creates an Auto Vector Point. If the check box is not selected, PC-DMIS will accumulate probe hits until the END key is pressed. Only then will it determine the type of feature just measured.

When you select this check box, the Thickness for Point only Mode Points check box becomes available. See Thickness for Point Only Mode Points.


Ignore Motion Error

Selecting the Ignore Motion Errors check box tells PC-DMIS to ignore collision errors. Selecting this check box and clicking OK inserts an IGNOREMOTIONERRORS/ON command into the Edit window. When PC-DMIS encounters this command and the probe collides with an obstruction, the probe will not automatically stop. This option is helpful when measuring materials such as clay or plastic, where some flexibility is necessary.

Setting this command to OFF within the Edit window will once more display collision errors.


Automatically Adjust Probe Head Wrist

If you select the Automatically Adjust Probe Head Wrist check box, PC-DMIS will select a position that most closely approximates the best approach direction automatically for each hit throughout the part program. This option can also be turned on for individual hits. (See "Auto Utility".)

The PCDLRN.INI file for this option reads: AutoAdjustPh9=[0 or 1]

Note: Be aware that if you use the Mark Used button on the Probe Utilities dialog box, PC-DMIS may not select all the probe tips for calibration (see the "Mark Used" topic in the Utilities section).


Ignore CAD to Part

If you select the Ignore CAD to Part check box when saving an external alignment, then PC-DMIS only saves the machine to part alignment and does not save the CAD to Part. There's a relationship between the CAD coordinate system and PART coordinate system that has to do with alignments. This causes them to be ignored.


Move Feature to Reference Plane

If you select the Move Feature to Reference Plane check box, PC-DMIS will automatically project the measured feature to the work plane. It is only available when measuring circles, ellipsi, lines and points.


Show Extended Sheet Metal Options

If you select the Show Extended Sheet Metal Options check box, PC-DMIS will display all of the available Sheet Metal options in the Auto Features dialog box. (See "Auto Utility".)

The PCDLRN.INI file for this option reads: ShowExtendedSheetMetal= [0 or 1]


Fixed Dialog Positions

If you select the Fixed Dialog Positions check box, PC-DMIS will display dialog boxes in their default position. If this option is not check marked, PC-DMIS will display each dialog box wherever it was last positioned. This option becomes extremely helpful when using macros.

The PCDLRN.INI file for this option reads:
DialogFixedPosition=[0 or 1]


Lock Marked Sets

If you select the Lock Marked Sets check box, PC-DMIS will prevent users from accidentally deleting or otherwise modifying the current mark set configurations. PC-DMIS will only allow you to execute and activate marked sets. You must clear this check box to add or delete features from a marked set.


Automatically Scale to Fit

If you select the Automatically Scale to Fit check box, PC-DMIS will automatically scale the screen every time a feature is measured.

The PCDLRN.INI file for this option reads: AutoScaleToFit=[0 or 1]


Show Hit Deviations

If you select the Show Hit Deviations check box, PC-DMIS will draw an arrow whenever a hit is taken to show the measured value minus the nominal deviation.


Use Circular Moves on Round Features

If you select the Use Circular Moves on Round Features check box, and if you are "learning" a part program by taking hits on the part, PC-DMIS will automatically place circular move commands into the inside circular features as well as into the outside of circular features. This includes Circles, Cylinders, Cones, and Spheres. This state, however, is only relevant during learn mode. Once the circular/move commands are present inside features they remain there unless directly removed by the user.

The PCDLRN.INI file for this option reads: UseCircularMoves=[0 or 1]


Thickness for Point Only Mode Points

When you select this check box, you can apply thickness to points created with Point Only Mode. Selecting this check box makes the Thickness box in this same dialog box available for editing. You can then type a thickness and apply that thickness to points created using Point Only Mode.

For additional information, see Point Only Mode and Thickness.


Allow fine tuning of Alignment

If you select the Allow fine tuning of Alignment check box when an alignment is changed, PC-DMIS will ask if it should update the commands below with the changed alignment.

If you click the NO button, PC-DMIS will regenerate the program and adjust the dimensions by the offset. This allows you to manipulate your datums and re-calculate your inspection report without re-measuring all the features. Without this new option checked, the report will not be the same as before you adjusted your datums.


Use CAD Provided ID's for Features

The Use CAD Provided ID's for Features check box allows you to import feature ID's from a CAD file. When you select this check box, PC-DMIS automatically inputs the given CAD ID into the Auto Feature dialog box when the CAD feature is selected with a left mouse click. If you decide to keep this value, then the feature created will have the given ID.


Find Nominals During Execution

If you select the Find Nominals during Execution check box, new nominals are found for both Surface and Vector points during part program execution. See Execution FindNoms to define the tolerance values PC-DMIS will use. Also, see Find Nominals Tolerance.


Auto Continue Execution if FindHole Fails

If you select the Auto Continue Execution if FindHole Fails check box, PC-DMIS allows you to automatically continue executing a part if the "FindHole" option found on the Auto Feature dialog box fails to find a hole.

In the past, when the "FindHole" option failed, PC-DMIS prompted you to place the probe in the center of the hole to continue running the part program. However, with the Auto Continue Execution if FindHole Fails check box selected, PC-DMIS automatically prints an error message to the report and continues running the remaining part program.

For more specific information on Find Hole, see these topics found in the "Auto Utilities" section:

  • "Find Hole for a Sheet Metal Circle"

  • "Find Hole for a Cylinder"

  • "Find Hole for a Square Slot"

  • "Find Hole for a Round Slot"

  • "Find Hole for a Notch"


Show Startup Dialog

The Show Startup Dialog check box allows you to determine whether or not PC-DMIS shows the Open File dialog box each time you start PC-DMIS. This dialog box shows a listing of available part programs to open.

When you clear the check box, PC-DMIS will disable this startup dialog.

See File | Open for additional information on the Open File dialog box.


Automatic Label Positioning

The Automatic label positioning check box tells PC-DMIS to automatically position feature labels around the part.


Animate Probe during Program Mode

The Animate probe during Program Mode check box activates probe animation during Program mode. When you select this check box, the probe will animate the taking of hits in the Graphics Display window as the hits are generated from CAD.


Show Icon in Text Boxes

The Show icon in text boxes check box allows you to determine if icons depicting the feature or dimension type should appear in text boxes and inside feature ID labels. The text boxes include feature ID, dimension info, and point info text boxes.

For information on text boxes see "Text Box Mode" in the "Utilities" section.


Pierce CAD on 3D Rotate

The Pierce CAD on 3D rotate check box allows you to determine the exact point about which PC-DMIS rotates when performing a 3D rotate by simply right-clicking in the Graphics Display window.

  • If you select this check box and perform a 3D rotate by right-clicking in the Graphics Display window, PC-DMIS uses the point where you clicked as the point used about which to rotate.

  • If you clear this check box and then right-click to 3D rotate, then PC-DMIS doesn't peirce the CAD.

Note: As always, however, if PC-DMIS detects a wireframe entity or surface edge close to the mouse cursor, then the point on the entity or edge closest to the mouse pointer will be used as the rotation point.

See "3D Rotate Mode" in the "Utilities" section for information on 3D rotating.


Scale Factor

The Scale Factor box scales the measured data by what ever factor is entered. For example, if a circle is measured and has a diameter of 1.0 inches and the scale factor is 0.95 then the measured value will be reported as 0.95 inches.


Minutes to Save

The Minutes to Save box allows you to enter the amount of minutes that PC-DMIS will wait before auto saving your part program. The least amount of minutes you can enter is one. The Minutes to Save box becomes available when you select the Automatic File Save check box.


Find Nominals Tolerance

The Find Nominals Tolerance box allows you to type the amount of tolerance that PC-DMIS uses when finding the nominals. This box becomes available when you first select the Find Nominals check box.


Show Deviations Tolerance

The Show Deviations Tolerance box allows you to type the amount of tolerance that PC-DMIS uses when PC-DMIS is showing hit deviations. This option is only available when you first select the Show Hit Deviation check box.


Deviation Arrow Multiplier

The Deviation Arrow Multiplier box is only available when you first select the Show Hit Deviation check box. An arrow appears in the Graphical Display area marking each hit taken, showing the deviation. The larger the value entered in this field, the greater the size of the arrow.


System Options - Check Box Options - Thickness

Thickness

The Thickness box works with the Thickness for Point Only Mode Points check box. If you select the Thickness for Point Only Mode Points check box, the thickness in this box will be applied to each point created by Point Only Mode.

See Point Only Mode and Thickness for Point Only Mode Points for additional information.


Execution FindNoms

The Execution FindNoms box allows you to type the amount of tolerance that PC-DMIS uses when finding the nominals during part program execution. This box becomes available when you first select the Find Nominals during Execution check box.

See Find Nominals During Execution.


Warnings

The Warnings button displays the Warnings Display Options dialog box.

Warnings Display Options dialog box

This dialog box allows you to specify which warnings will be displayed by PC-DMIS during normal use. It also allows you to change default actions that PC-DMIS will take for different warning messages.

To change the default action for a warning message:

  1. Select Options | Setup from the main menu. The SetUp Options dialog box will appear.

  2. Select the General tab.

  3. Click the Warnings button. The Warnings Display Options dialog box will open.

  4. Double click on the warning message whose default action you want to change. A small box will appear allowing you to select the new default action.

  5. Select the new default action. The list will now be updated.

  6. Click the OK button to save your choice.

Example: The first message in the list says, "OK to update Dimension Nominals?". The Default value under the Default column is "YES". This means when this warning message appears, that the YES action will be the default action for this warning.


Default Part Directory

The Default Part Directory box, allows you to write in the directory pathway to where you want PC-DMIS to look for stored parts. You can change to a new directory by typing in a new pathway, or by using the Browse button.


System Options - Check Box Options - Browse

Browse

The Browse button allows you to navigate through your directory structure in order to define a Default Part Directory. Clicking on the Browse button will bring up a window that will allow you to "browse" and select the directory you want.

To select the directory:

  1. Navigate to the folder where you want PC-DMIS to store your parts. You can do this by using the plus (+) and minus (-) keys to expand and collapse your directory structure as needed.

  2. Select the folder you want to use as your default directory.

  3. Click the OK button.


Part/CMM

partcmm Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Setup Options dialog box—Part/CMM tab

The Part/CMM tab lets you define the part setup on the CMM by changing the CAD axes relationship to the machine axes. This option can be accessed by clicking on the Part/CMM tab within the SetUp Option dialog box.

This capability is needed when a program is being created using PC-DMIS, and the CAD coordinate system differs from the CMM part setup.

Example: A part is set up on the machine with its X+ CAD axis pointing in the same direction as the CMM's Z+ axis. The Z+ CAD axis is pointing in the same direction as the CMM's X- axis. This function can be used to create the proper relationships.

To equate the CAD setup to the part's, simply select the appropriate axes from the drop-down lists. Once this relationship is established, it will be easier to program the part because PC-DMIS will properly display the probe in relation to the part.

More:

Probe Head Orientation

Fly Mode

Wrist Warning Delta

Manual Hit Retract

Display Absolute Speed

Top Speed (mm/sec)

CAD X+ Axis=

CAD Y+ Axis=

CAD Z+ Axis=

X Offset

Y Offset

Z Offset

Apply

Auto Position

Table Avoidance

Default


Probe Head Orientation

The Probe Head Orientation button allows you to configure the probe head wrist AB angles for both Master and Slave arms.

To configure the AB wrist angles for both Master and Slave arms:

  1. Select Options | Setup from the main menu. The SetUp Options dialog box will appear.

  2. Select the Part/CMM tab.

  3. Click the Probe Head Orientation button. The Probe Head Wrist Angle Configuration dialog box will appear.

  4. Select the appropriate axes for the AB angles for both Master and Slave arms (if applicable).

  5. Click the OK button.


Fly Mode

The Fly Mode area provides a way to move the probe around the part in a smooth, non-stopping motion. A move point must be inserted into the part program before using this option. To insert a Move Point, open the Edit window and press CTRL + M. (See "Insert Move Point" for more information.) The Fly command can only be inserted before or after any feature in the part program.

To use the Fly Mode:

  1. Scroll to the location in the Edit window where you want the Fly command.

  2. Select the Active check box.

  3. Type a radius value.

  4. Click the Create button.

The Fly Mode will automatically be placed in the current part program at the designated location.

If you have selected an illegal position, a message appears informing you that PC-DMIS cannot insert at the current line. The message then asks if it should insert the command at the next legal position.

  • If you click the Yes button, PC-DMIS will move the Fly command down to the end of the current feature in the Edit window.

  • If you click the No button, PC-DMIS will cancel the Fly command and return you to the Part/CMM tab.

When the part program is executed, PC-DMIS will move the probe a predetermined distance from the move point without any hesitation. The distance moved is the value entered in the Radius box.


Wrist Warning Delta

This is a numerical value defining the minimum change in the wrist angle required before PC-DMIS requires you to change the current wrist position. This only affects users with a DCC CMM with a PH9 articulated wrist.


System Options - Part/CMM - Manual Hit Retract

Manual Hit Retract

The Manual Hit Retract box allows you to type the retract distance the CMM will automatically travel after a manual hit is taken.

If the Manual Hit Retract value is changed from either the default or from the last used value, then PC-DMIS places a retract command (shown as "MANRETRACT/" and then the value) in the current part program's Edit window at the cursor's location. As manual hits are taken, the CMM will retract by the new value stated on this command.

For example, if you change the Manual Hit Retract value from the .1 default to .003 then the command "MANRETRACT/0.003" appears in the Edit window.


Display Absolute Speed

If the Display Absolute Speed check box is selected, PC-DMIS will display the Move Speed as an absolute value instead of a percentage. This value corresponds to the set unit type of the part program (inches or millimeters).


Top Speed (mm/sec)

The Top Speed (mm/sec) box allows you to reset the top speed that the machine can travel. The value that is specified cannot exceed the machine's designated top speed. The value that is set works in conjunction with the Move Speed option.


CAD X+ Axis=

The CAD X+ Axis= drop-down list allows you to set the relationship between the CAD X+ axis and the machine axis.

This capability is needed when a program is being created using PC-DMIS, and the CAD coordinate system differs from the CMM part setup.


CAD Y+ Axis=

The CAD Y+ Axis= drop-down list allows you to set the relationship between the CAD Y+ axis and the machine axis.

This capability is needed when a program is being created using PC-DMIS, and the CAD coordinate system differs from the CMM part setup.


CAD Z+ Axis=

'This drop down list allows you to set the relationship between the CAD Z+ axis and the machine axis.

This capability is needed when a program is being created using PC-DMIS, and the CAD coordinate system differs from the CMM part setup.


X Offset

The X Offset box allows you enter the distance that PC-DMIS will offset the CAD drawing along the X axis. PC-DMIS will shift the CAD drawing along the X axis the specified distance. For example, if you enter in .5 in this field, the entire CAD display in the Graphics Display window will shift the distance of .5 in the X direction.

Note: All features created in the part program will not shift along the axis with the CAD drawing.


Y Offset

The Y Offset box allows you enter the distance that PC-DMIS will offset the CAD drawing along the Y axis. PC-DMIS will shift the CAD drawing along the Y axis the specified distance. For example, if you enter in .5 in this field, the entire CAD display in the Graphics Display window will shift the distance of .5 in the Y direction.

Note: All features created in the part program will not shift along the axis with the CAD drawing.


Z Offset

The Z Offset box allows you enter the distance that PC-DMIS will offset the CAD drawing along the Z axis. PC-DMIS will shift the CAD drawing along the Z axis the specified distance. For example, if you enter in .5 in this field, the entire CAD display in the Graphics Display window will shift the distance of .5 in the Z direction.

Note: All features created in the part program will not shift along the axis with the CAD drawing.


System Options - Part/CMM - Apply

Apply

The Apply button immediately applies any changes made in the X, Y, or Z Offset fields and shifts the drawing along the appropriate axis (axes) while keeping the dialog box open.


Auto Position

The Auto Position button automatically positions the part onto the graphical representation of the machine. Auto position best guesses where to position the part on the graphical representation. You can either let PC-DMIS determine where to put the part in relation to the CMM by using this function, or you can key in your own positioning using the XYZ offset fields. (See "Machine" for more information on setting up the graphical representation of the CMM.)


Table Avoidance

The Table Avoidance area of the Part/CMM tab allows PC-DMIS to ascertain if the probe will come in contact with the table (or set plane) while in DCC mode.

Press the Measure button and PC-DMIS will ask you to take a hit where the table surface is to be defined. This location defines the threshold for the Z axis. The tolerance field defines a location in the positive Z direction for positive values and in the negative Z direction for negative values, relative to the set plane.

  • If a move goes beyond the indicated tolerance, PC-DMIS will display an error message indicating the potential danger.

  • If a wrist rotation is requested that will pass through the defined zone, PC-DMIS will display a message alerting you to the error.

Select either Cancel or Continue to terminate or finish the operation.

Example: A tolerance field of .25 will alert PC-DMIS to avoid the indicated threshold plus the tolerance value. If the threshold is on the table surface, PC-DMIS will alert you if the probe tip comes within one quarter inch (or millimeter depending on the set unit type) of the table.

Note: The Table Avoidance option is available with certain interface types only while in DCC mode.


System Options - Part/CMM - Default

Default

The Default button allows you to update the default settings to several of the Part/CMM Setup parameters. When a new part program is created, it will reflect any changes made to the accessible parameters, only if the Default button is pressed. If the OK button is selected (without the Default button being pressed) the defined parameters will only apply to the active part program and will not affect the PCDLRN.INI file. The default values are stored in the PCDLRN.INI file. These parameters can be updated in the PCDLRN.INI file or appropriate dialog box.

If any of the parameters are changed and the Default button is pressed, PC-DMIS will update the PCDLRN.INI file, redefining the default to the current setting


System Options - Set up Options - Dimension

Dimension

dimen Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Setup Options dialog box—Dimension tab

The Dimension tab lets you access the dimensional printout parameters.

To access the Dimension tab

  1. Select Setup | Options from the main menu.

  2. Click the Dimension tab.

More:

Auto Roundness

Auto Create Dimensions

Auto Save Dimensions

Auto Textual Analysis

Auto Graphical Analysis

Auto Dimension Info

Multiply

Always Save Stats to File

Always Update Database

Features Use Dimension Colors

Minus Tols Show Negative

Number of Decimal Places

Positive Reporting

Default Tolerances: Set Defaults

Default Tolerances: 0-5 Places

CAD Nominal Places =

Display Angle Degrees

Angle Degrees

Default button for Dimension tab


System Options - Dimension - Auto Roundness

Auto Roundness

The Auto Roundness check box tells PC-DMIS to automatically create a new roundness dimension whenever a new circle, cylinder, cone, or sphere is created. The new dimension will be displayed in the Edit window immediately following the feature. The dimension will be automatically deleted when the next feature is measured unless the Auto Save Dimensions check box is marked, Utilities | Keep Dimension (or press CTRL + K) is selected, or the dimension is edited in the Edit window.


Auto Create Dimensions

The Auto Create Dimensions check box tells PC-DMIS to automatically create a new dimension whenever a new feature is created. This new dimension will be displayed in the Edit window following the feature. The dimension will be either a location or true position dimension, depending on which dimension type was last created through the usual method of selecting features in a dimension dialog box. The dimension will be automatically deleted when the next feature is measured unless the Auto Save Dimensions check box is selected, Utilities | Keep Dimension (or press CTRL + K) is selected, or the dimension is edited in the Edit window.


Auto Save Dimensions

The Auto Save Dimensions check box saves the created dimension that is displayed in the Edit window, allowing you to print it when the part program is executed. (The dimension must be marked.) This option is only available if either the Auto Create Dimensions check box or the Auto Roundness check box is marked. Pressing CTRL + K will also save the current dimension.


Auto Textual Analysis

The Auto Textual Analysis check box controls whether or not PC-DMIS will automatically create textual analysis of the dimension. It is considered ON if the box is marked.


Auto Graphical Analysis

The Auto Graphical Analysis check box controls whether or not PC-DMIS will automatically create a graphical analysis of any dimension that is created with Auto Create Dimensions or Auto Roundness. See "Analysis Settings"and Analysis.


Auto Dimension Info

The Auto Dimension Info check box controls whether or not PC-DMIS will automatically create a Dimension Information check box for any dimension created with the Auto Create Dimensions check box or the Auto Roundness check box. See "Edit Dimension Info" for information on how to set the default formats for this Dimension Info boxes.


Multiply

The Multiply value is a scaling factor that magnifies the arrow and tolerance zone for the graphical analysis mode. If a value of 2.0 is entered, PC-DMIS will scale the arrow two times the graphical image.

The Multiply box is used for viewing purposes only, and is not reflected in the text printout.


Always Save Stats to File

The Always Save Stats to File check box allows you to bypass the prompt asking you to save stats data that appears whenever execution of a part program starts with a valid STATS/ON command. The statistical data will automatically be saved to the XSTATS11.tmp file if this option is check marked and a STATS/ON command exists in the part program when it is executed. (See "Statistics".)


Always Update Database

The Always Update Database check box allows PC-DMIS to update your statistical database software with the information in the XSTATS11.tmp file without the prompt asking to update the database now every time the part program is executed and statistical data is collected and saved. If this option is not check marked, PC-DMIS will continue displaying this prompt before updating the database software. (See "Statistics").


Features Use Dimension Colors

The Features Use Dimension Colors check box tells PC-DMIS to color features that have an associated dimension. Features are drawn in the Graphics Display window with the same colors that the dimension uses to indicate deviation from the theoretical values.


Minus Tols Show Negative

The Minus Tols Show Negative check box controls whether or not the minus tolerances of the dimensions will be displayed with a minus sign. For example, if the dimension is specified as 5.0000 +0.3 (upper tolerance), -0.2 (lower tolerance), the dimension line may be displayed as follows if this check box is selected:

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
Y | 5.0000 | 0.3000 | -0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

If this check box is cleared, the same example may be displayed as follows:

AX | NOM | +TOL | -TOL | MEAS | MAX | MIN | DEV | OUT-TOL
Y | 5.0000 | 0.3000 | 0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

This check box does not affect how the values are stored or used in calculations. It only controls how the values are displayed according to user preference. This check box is not selected by default.


Number of Decimal Places

The Number of Decimal Places area controls the number of decimal places printed on the inspection report by PC-DMIS while in inch mode. The available options are one through five. Choose the desired option to determine the number of decimal places that will be printed.

If the unit type is mm, PC-DMIS will display the available options of zero through four.

Each time this is changed in a program PC-DMIS places a command: DISPLAYPRECISION/ # into the part program. This specifies the precision to be displayed at this section of the program. If this command is not used then the default value is automatically used. If this command is used the precision will stay as specified unless changed by another instance of the command.


System Options - Dimension - Positive Reporting

Positive Reporting

The check boxes related to the Positive Reporting area control the reporting of features to the negative side of the origin that would normally have negative values to always be printed with positive values. When these check boxes are selected, a POSITIVEREPORTING command is inserted into the part program at the current cursor position. This command has the following format in the Edit window:

POSITIVEREPORTING/ a, b, c

Where:

a = X when the X check box is selected, or blank if the X check box is cleared.

b = Y when the Y check box is selected, or blank if the Y check box is cleared.

c = Z when the Z check box is selected, or blank if the Z check box is cleared.

The X, Y, and Z direction may each have positive reporting turned on in any combination of the three. Multiple POSITIVEREPORTING commands may be used within the same part program, and any dimensions that are in the part program are displayed using the POSITIVEREPORTING command that precedes the dimensions. If no POSITIVEREPORTING command exists in the part program, all dimensions are reported with the options turned OFF in the X, Y, and Z directions.


Default Tolerances: Set Defaults

The Set Defaults check box sets the default tolerances during the Learn mode based upon the precision of the nominal values. When necessary, these values can be overridden by entering the tolerances individually in the print preview box. This option only affects the tolerances when a nominal of a dimension is edited.


Default Tolerances: 0-5 Places

The Default Tolerances area contains boxes that allow you to set the tolerances that PC-DMIS will apply to the nominal values. (The displayed number will be from zero to five digits to the right of the decimal point.) For example, if you are entering a nominal value of 6.250, PC-DMIS will set the + and - tolerance to the third place DEFAULT TOLERANCE value. If 6.25 was entered, PC-DMIS would set the + and - tolerance to the second place DEFAULT TOLERANCE value.


CAD Nominal Places =

The CAD Nominal Places = box allows you to enter a numerical value that defines how many decimal places PC-DMIS will use before rounding when it uses CAD data. For example, if a CAD circle has a diameter of 3.9995, and the value is set to 3, PC-DMIS will round its value to 4.000. This option only affects the way PC-DMIS interprets CAD data in the SHEET METAL MEASUREMENT mode. If the value is set to 0, PC-DMIS will not round off any values.


Display Angle Degrees

The Display Angle Degrees area allows you to display angle dimensions using decimal degrees or by degree/minute/second. Simply select the desired option. Any PA Location axes and Angle dimensions will change to display the selected option.


Angle Degrees

The Angle Degrees area will also allow you to display the angle dimension from 0° -360° or 0° to +/- 180°. Any PA Location axes and Angle dimensions will change to lie within the selected angle degree range.


Default button for Dimension tab

The Default button allows you to apply changes made in the SetUp Options dialog box to all new part programs created later on.

The Default button allows you to update the default settings to several of the Dimension Setup parameters. When a new part program is created, it will reflect any changes made to the accessible parameters, only if the Default button is clicked.

The default values are stored in the PCDLRN.INI file. These parameters can be updated in the PCDLRN.INI file or appropriate dialog box. If the OK button is selected (without the Default button being pressed) the defined parameters will only apply to the active part program and will not affect the PCDLRN.INI file.

If any of the parameters are changed and the Default button is pressed, PC-DMIS will update the PCDLRN.INI file, redefining the default to the current setting:


ID Setup

idsetup Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Setup Options dialog box—ID Setup tab

The ID Setup tab allows you to alter the format used to identify alignments, dimensions, features, comments, labels and variables.

To access this option:

  1. Select Options | Setup from the main menu. The Setup Options dialog box appears.

  2. Select the ID setup tab.

The default ID Setup option is Generic. As each feature is created, PC-DMIS will assign it an ID beginning with the letter F, followed by a number (incrementally set from the starting number of one). You may choose to override this setting by selecting the following options:

More:

Labels For

Labeling Method

Starting Letters

Starting Number

Label Length

Display Brackets for Feature Arrays

Apply

Default Settings


Labels For

The Labels For drop-down list allows you to select the identification that will be used for alignments, dimensions and features. (See Labeling Method.)

Alignments ID

Generic is the only method available for identifying alignments.

Comments ID

Generic is the only method available for identifying comments.

Dimensions ID

Dimensions can be identified using either the Generic or By Type method. If the By Type method is used, identifications can be similar to each dimension type, or different based on individual need.

Features ID

Features can be identified using either the Generic or By Type method.

If the By Type method is selected, the color used to display the feature ID can also be altered.

If the Color option is selected (marked) all features created after the Apply button is pressed will be effected. (Features created prior to the color change will not be replaced.)

Labels ID

Generic is the only method available for identifying labels.

Variables ID

Generic is the only method available for identifying variables.

Call Subs ID

Generic is the only method available for identifying Called Subroutines.


Labeling Method

This drop down window allows you to select between By Type and Generic identification methods.

By Type

By Type lets you set the identification for each element type (circle, cone, cylinder, line, plane, point and sphere).

Generic

Generic will apply the same identification system regardless of feature (dimension) type.

PC-DMIS has no inherent limit on the number of letters used for identifications. However, the Graphic Display area and Edit window have limits on the ID length. Even if the Edit window does not show the complete ID, PC-DMIS will internally keep track of the complete identification.


Starting Letters

The Starting Letters box determines the first letter(s) that will be used in the identification process. PC-DMIS will always display the ID using capital letters. Up to 15 characters can be typed in.

Note: In various dialog boxes where the ID is displayed, changing the text portion of the ID the default text of the ID may also be set.


Starting Number

The Starting Number box determines the first number that will be used in the identification process. Any number between 1 and 9999 can be entered.

Note: In various dialog boxes where the ID is displayed, changing only the number portion of an ID the counter may be reset to a desired count


Label Length

The Label Length check box determines the length of the identification. Up to 15 digits may be entered. The check box must be selected in order for this option to be active. If this length is set, PC-DMIS will append zeros to the ID letters to make up the necessary length.

For example:
ID Length = 10, ID Letters = CIRCLE.
PC-DMIS will generate an ID = CIRCLE0001, etc. This is done only if the Length is set.


Display Brackets for Feature Arrays

The Display Brackets for Feature Arrays check box determines whether array brackets are displayed with id's for commands executed more than once.

When selected, the inspection report displays which instance of the command's execution is being referenced.

For example:
F1[3]=POINT MEASURED FROM 1 HIT

Shows that the feature, F1, is measured here for the third (designated by the number three in brackets) time.

The format of the bracketed expression can be controlled using the array_indices object. See Array Indices Object in the section: "Editing a Part Program".


System Options - ID Setup - Apply

Apply

The Apply button applies the changes described in Labeling Method) to any feature identifications. These changes only apply to feature ID's.

If the Apply button is not pressed, PC-DMIS will continue to assign feature identifications using the previous method listed.

Note: If duplicate IDs are assigned, PC-DMIS will notify you that you must have a unique ID for any feature, dimension etc.


Default Settings

The Default button allows you to update the default settings to all of the ID Setup parameters. When a new part program is created, it will reflect any changes made to the parameters, only if the Default button is clicked.

The default values are stored in the PCDLRN.INI file. These parameters can be updated in the PCDLRN.INI file or appropriate dialog box.

  • If the OK button is selected (without the Default button being pressed) the defined parameters will only apply to the active part program and will not affect the PCDLRN.INI file. The default values are stored in the PCDLRN.INI file.

  • If any of the parameters are changed and the Default button is pressed, PC-DMIS will update the PCDLRN.INI file, redefining the default to the current setting.

Note: Always press the Apply button after a change is made (before pressing the OK or Default buttons).


Views

views Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 SetUp Options dialog box—Views tab

With the Views tab, you are able to tell PC-DMIS to store and recall the position and size of both the Edit window and the Graphics Display window for each individual part program. For new part programs, PC-DMIS also stores the default location and size for each window type in the .INI file.

Various boxes and buttons are supplied which allow you to enter or change information. These are explained here:

More:

X Loc

Y Loc

Width

Height

Normal

Maximized

Minimized

Get Current

Default

Keying in the Location and Size

Dragging the Window for the Location and Size


X Loc

The X Loc box displays the location of the desired window X direction along the X direction of the computer screen.


Y Loc

The Y Loc box displays the location of the desired window along the Y direction of the computer screen.


System Options - Views - Width

Width

The Width box shows the desired window's current width.


Height

The Height box shows the desired window's current height.


System Options - Views - Normal

Normal

The Normal option tells PC-DMIS to store the window in its normal state, neither maximized, or minimized.


Maximized

The Maximized option tells PC-DMIS to store the window in its maximized (or full screen) state.


Minimized

The Minimized option tells PC-DMIS to store the window in its minimized (or where only the title bar is showing) state.


Get Current

Clicking the Get Current button will place the X and Y location values and the height and width of the window into their corresponding fields. The Normal, Maximized, and Minimized options also show the current state of the window.


System Options - Views - Default

Default

The Default button writes size and location changes of the Edit window or Graphics Display window to the .INI file. Any new part programs created will start with these new size and location defaults.

PC-DMIS allows you to store the windows' sizes and locations by either keying in the values or through dragging the windows to the desired location.


Keying in the Location and Size

To store a window size and location for your part programs by keying in the values:

  1. Select Options from the menu bar.

  2. Select Setup. The SetUp Options dialog box appears.

  3. Click the Views tab.

  4. Type in the X, and Y values of the window's position in the X Loc. box and in the Y Loc. box.

  5. Type the width and height in Width box and Height box.

  6. Choose the Normal, Maximized or Minimized option in the dialog box.

  7. Click the OK button.


Dragging the Window for the Location and Size

To store a window size and location for your part programs by dragging the window:

  1. Select Options from the main menu bar.

  2. Select Setup. The SetUp Options dialog box will appear.

  3. Click the Views tab.

  4. Click on either the Edit window or the Graphics Display window.

  5. Change the location and size of the window to fit your needs.

  6. Click the OK button.

Note: New defaults will only be applied to newly created part programs. PC-DMIS stores the Size, Location, and State of both windows when the PC-DMIS is closed. When these programs are re-opened they will be restored to the size and location they were in when the program was closed. The only exception is if one part program is currently opened and maximized and a second program is open and it's last saved graphics state was not maximized it will be automatically maximized.


CV-100 Setup

cv100 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 SetUp Options dialog box—CV-100 tab

The CV-100 tab allows you to use a CV-100 video probe. Once the Use CV-100 Video Probe check box is selected, the TCPIP Address, Port Number, and Computer Name boxes become available. Use these boxes to set up communication settings with the CV-100 computer system. These values are stored in the PCDLRN.INI file and recalled each time you start PC-DMIS. See "CMT Video Probe" in the section about the PCDLRN.INI file.

For information on using the CV-100 Video Probe to create Auto Features, see the section titled "Measuring Auto Features with the CV-100 Video Probe".

Note: The CV-100 tab only appears in PC-DMIS if your portlock is programmed to accept CMT functionality.

More:

Use CV-100 Video Probe

TCPIP Address

Port Number

Computer Name


Use CV-100 Video Probe

The Use CV-100 Video Probe check box determines if PC-DMIS is using the CV-100 video probe. If you select this check box, PC-DMIS assumes that the CV-100 is active.


TCPIP Address

Use the TCPIP Address box to enter the address information for the CV-100 computer system. This value is required for the communication between the PC-DMIS computer system and the CV-100 computer system.


Port Number

Use the Port Number box to enter the port number of the CV-100 computer system. This value is required for the communication between the PC-DMIS computer system and the CV-100 computer system.


Computer Name

Use the Computer Name box to type the name of the CV-100 computer system. This value is required for the communication between the PC-DMIS computer system and the CV-100 computer system.


Parameters Mode

The Options | Parameters menu option allows you to modify the content, form and method of calculation used in any report. Additionally, it allows you to modify the machine motion parameters of a DCC CMM.

To access the Parameters mode dialog box:

  1. Select Options

  2. Select Parameters (or press the F10 key). The Parameters mode dialog box appears.

More:

Dimension

ClearPlane

Probing

Motion

Rotate Table

Optional Motion

Optional Probe

Autotrigger

CV-100 Parameters

I/O Channels


System Options - Parameters Mode - Dimension

Dimension

dimen2 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—Dimension tab

The Dimension tab allows you to vary the format of the dimension output. It also provides a means for altering the printed report.

To access the Dimension tab:

  1. Select Options | Parameters from the main menu. The Parameters mode dialog box will appear.

  2. Click the Dimension tab.

More:

Dimension Output Format

Dimension Text

Dimension Options

Dimension Headings

Deviation Symbols

Standard Deviation

132 Column Printout


Dimension Output Format

This command controls the PC-DMIS dimension output format. To change the format, select the desired Format check box(es).

PC-DMIS offers the same print formats for box tolerancing and true positioning tolerancing, although their columns will look slightly different due to additional columns for true position dimensions.

Example: When tolerancing the distance between two lines with the Max/Min check box selected, PC-DMIS will calculate the distance between the two points that were furthest apart or the two points that were closest together. It would then choose the worst case (most out of tolerance) of the two. If the Max/Min check box is not selected, PC-DMIS will calculate the dimension without displaying the Max/Min value.

PC-DMIS will indicate the order of the output selection by displaying a number to the right of the check box. This allows you to alter the order of the format to meet individual needs. A check box can be cleared simply by selecting it a second time.

The Edit window command line for this option reads:

FORMAT/TEXT,OPTIONS,HEADINGS,SYMBOLS, SD; "DIMENSION OUTPUT"

DIMENSION OUTPUT = The format of the output will be based on the order of selection. The default output will display the entire selection, in the order indicated.


Dimension Text

The Dimension Text check box controls whether or not the dimension text will be displayed in the Edit window for any dimensions that follow the command.

The Edit window command line for this option reads:

FORMAT/TEXT, , , , ;NOM,TOL,MEAS,MAXMIN,DEV,OUTTOL


System Options - Dimension - Dimension Options

Dimension Options

The Dimension Options check box controls whether or not the dimension options will be displayed in the Edit window for any dimensions that follow the command.

These options include:

  • Units (see Units)

  • Graphical analysis (see Graphical Analysis)

  • Textual analysis (see Textual analysis)

  • Arrow multiplier (see Arrow multiplier)

  • Output options (see Output options)

The Edit window command line for this check box reads:

FORMAT/OPTIONS, , , , ;NOM,TOL,MEAS,MAXMIN,DEV,OUTTOL


Dimension Headings

The Dimension Headings check box controls the column headings on the inspection report. If this check box is not selected, then PC-DMIS will not print any column headings.


Deviation Symbols

The Deviation Symbols check box shows the deviation within the set range. If the out of tolerance range is high, PC-DMIS will indicate the deviation using the "greater than" symbol (>) on the right side of the line. If the out of tolerance range is low, PC-DMIS will indicate the deviation using the "less than" symbol (<).

For example:
Nominal = 0.00
Measured = 0.02
Positive Tolerance = 0.10
Negative Tolerance = 0.20
Total Tolerance Range = (.10 - (-.20)) = .30
Percentage = 100*(.02 - (-.20))/.3 = 73.3 %
- - - - - - # - - looks at the % and shifts based on the %.

DIM D1= LOCATION OF CIR F5 GRAPH=OFF TEXT=OFF MULT=1.00

AX | NOM | +TOL | -TOL | MEAS | DEV | OUT-TOL |
x | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | ----#----
y | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | ----#----
z | -0.2500 | 0.0100 | 0.0100 | -0.2500 | 0.0000 | 0.0000 | ----#----
d | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 |
v | i | j | k |  |  |

END OF DIMENSION D1


Standard Deviation

The Standard Deviation check box displays the standard deviation of features.


132 Column Printout

The 132 Column Printout check box controls the printing format of feature locations in the inspection report. If it is check marked PC-DMIS will print all feature locations in a 132 column format.

The following describes the columns in the 132 column printout format:

Column 1 to 10:X nominal
Column 11 to 20:X measured
Column 21 to 28:X deviation
Column 31 to 40:Y nominal
Column 41 to 50:Y measured
Column 51 to 58:Y deviation
Column 61 to 70:Z nominal
Column 71 to 80:Z measured
Column 81 to 88:Z deviation
Column 91 to 100T error (normal to surface error)
Column 101 to 101Out of Tol flag "*"
Column 104 to 105Feature type
Column 108 to 117Feature ID
Column 118 to 127Measured Diameter if any

Note: The 132 format applies only to the LOCATION type dimensions. All other dimensions (i.e. DISTANCE, ANGLE BETWEEN, etc.) will print out in the regular format.


ClearPlane

clrpln Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—ClearPlane tab

The ClearPlane tab provides a check box that controls the use of clearance planes. When using this option, programming time is reduced because the need to define intermediate moves is minimized. Clearance planes, in essence, create an envelope around a part where the probe will always travel when moving from one feature to another. PC-DMIS will move the probe out from the part a predetermined distance, relative to the coordinate system in which it was defined. After the last hit on the feature is measured, the probe will stay at probe depth until called to the next feature.

To enter a CLEARP command:

  1. Select Options | Parameters from the menu bar

  2. Click on the Clear Plane tab.

  3. Choose the axis for the Active Plane from the Axis drop-down list.

  4. Type the distance away from the part in the Value box.

  5. Choose the axis for the Pass Through Plane from the Axis drop-down list.

  6. Type the distance of the Pass Through Plane in the Value box

  7. Select the Clearance Plane Active (ON) check box.

  8. Click the Apply button.

  9. Click the OK button.

The Edit window command line for this option reads:
CLEARP/ACTIVE_PLANE, .n, PASS_THROUGH_PLANE, .n

More:

Active Plane

Pass Through

Clearance Plane Active

Notes on Clearance Planes


System Options - ClearPlane - Active Plane

Active Plane

This area of the dialog box lets you indicate which plane the feature is in when it is measured. The Active Plane is also indicated in the Display drop-down list located on the toolbar.

PC-DMIS allows you to define a numerical value for the active main plane (X Plus, X Minus, Y Plus, Y Minus, Z Plus, and Z Minus). The Edit window will display the selected active window in a X, Y, Z PLUS or X, Y, Z MINUS direction. To define a clearance plane, first click on the drop-down list in the Active Plane area and select the desired plane to be changed. Then, enter a new value in the Value box.


Pass Through

This area of the dialog box lets you indicate the plane that the probe will pass through to get to the next feature plane.

PC-DMIS allows you to define numerical values for any of the six clearance planes:

  1. X Plus

  2. X Minus

  3. Y Plus

  4. Y Minus

  5. Z Plus

  6. Z Minus

The Edit window will display the selected active window in a X, Y, Z PLUS or X, Y, Z MINUS direction.

To define a clearance plane:

  1. Select the drop-down list on the Pass Through Plane area.

  2. Select the desired plane to be changed.

  3. Type the appropriate value in the Value box.

  4. Click the Apply button.

  5. Click the OK button.


Clearance Plane Active

The Clearance Plane Active (ON) check box activates the defined clearance plane.


Notes on Clearance Planes

It is important to be aware of the sign of a clearance plane when entering its value. The sign must correspond to the positive or negative end of the normal axis defining the plane. For example, to define a top clearance plane, enter a positive value, and to define a bottom clearance plane, enter a negative value.

Clearance Plane Example

A clearance plane is defined relative to the current coordinate system and part origin. Therefore, you must be careful when defining a clearance plane to ensure adequate clearance around the part.

Example: Suppose part is ten inches long, and it is lined up close to the machine axes with the X origin at the bottom left-hand corner. You can set a one inch clearance from the right side of the part by setting the right clearance plane to eleven inches.

Always define clearance planes relative to the current coordinate system. When you create a new coordinate system, the clearance planes still relate to the first alignment. If you wish to associate the clearance planes with the new coordinate system, they must be redefined.

Clearance planes are not used when taking sample hits. It is therefore important when measuring pins to set the spacer value to a distance that will allow the probe to move around the pin.


Probing

probing Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—Probing tab

The Probing tab displays the current probe file, active tip (and probe slot, if being used). It also allows you to select the Probe Compensation Active (On) check box and select the Polar Vector Compensation from the drop-down list.

To access the Probing tab:

  1. Select the Options menu.

  2. Select Parameters. The Parameters mode dialog box will appear.

  3. Click the Probing tab from the available tabs.

More:

Active Probe

Active Tip

Probe Compensation

Polar Vector Compensation

Probe in Slot #


Active Probe

This line in the Probing tab displays the current probe file. See "Probe File Name" for more information on selecting a different probe file, or creating a new probe file name.


System Options - Probing - Active Tip

Active Tip

This line in the Probing tab displays the current active tip. See "Active Tip List" for more information on the displayed values and selecting, creating and deleting tips.

The Edit window command line for this option reads:
TIP/active_tip_name


Probe Compensation

The Probe Compensation Active (On) check box allows PC-DMIS to compensate for the probe radius. If this option is on, PC-DMIS will compensate for the probe radius on each feature it measures.

Command line in the Edit window:
PROBECOM/ ON


Polar Vector Compensation

The Polar Vector Compensation drop-down list allows the measurement of Vector and Surface points to always be compensated along a Polar vector. The following options are available:

  • OFF - Vector and Surface points behave normally.

  • XYPL - Vector compensations for each Vector and Surface point will be 2D in the XY plane along a vector from the point to the current origin.

  • YZPL - Vector compensations for each Vector and Surface point will be 2D in the YZ plane along a vector from the point to the current origin.

  • ZXPL - Vector compensations for each Vector and Surface point will be 2D in the ZX plane along a vector from the point to the current origin.

  • 3D - Causes a polar vector compensation along a 3D vector from the point to the current origin.

The Edit window command lines for these options read:
POLARVECTORCOMP/ OFF
POLARVECTORCOMP/ XYPL
POLARVECTORCOMP/ YZPL
POLARVECTORCOMP/ ZXPL
POLARVECTORCOMP/ 3D


Probe in Slot #

This option indicates the slot number on the probe changer of the probe or stylus currently being used. This option is only available if a probe changer has been setup.

If you aren't using a probe changer or if your current probe isn't in a probe changer then PC-DMIS displays text informing you that your current probe or stylus isn't in the probe changer or that a probe changer isn't being used.

See Slots under the Probe Changer Setup topic for information on adding probes or stylii to a probe changer.


Motion

motion Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—Motion tab

The Motion tab allows you to change the distances that the probe will be allowed to travel when taking a hit. It will also allow you to set the speed that PC-DMIS will use to take a hit and move from point to point.

To edit information in the Motion tab:

  1. Select Options | Parameters from the main menu. The Parameters mode dialog box will appear.

  2. Click on the Motion tab. You'll see a variety of boxes.

  3. Highlight the value you want to change.

  4. Type a new value.

  5. Click Apply or OK.

To reset the motion values to the original factory setting, press the Recall button. The Recall button will return the displayed motion values to the values stored in the PCDLRN.INI file. If the Defaults button is selected, the displayed values will be saved to the PCDLRN.INI file.

More:

Prehit Distance

Retract Distance

Check Distance

Move Speed %

Touch Speed %

Clamping Value

Scan Speed %


System Options - Motion - Prehit Distance

Prehit Distance

The Prehit Distance box lets you enter the value for the machine prehit distance. This is the distance away from the surface where PC-DMIS starts searching for the part. If necessary, it can be automatically changed by PC-DMIS when taking hits within an arc or circle.

The Edit window command line for this option reads:
PREHIT/ nnn.nnnn


System Options - Motion - Retract Distance

Retract Distance

The Retract Distance box lets you enter the distance the probe retracts from the surface after taking a hit. If necessary, it can be automatically changed by PC-DMIS when taking hits on an arc or circle.

The Edit window command line for this option reads:
RETRACT/ nnn.nnnn


System Options - Motion - Check Distance

Check Distance

The Check Distance box lets you enter the distance in either inches or millimeters (depending on the measurement system used for the part) past the theoretical hit location that the machine will continue to search for the surface of the part until it determines the surface is not there.

The Edit window command line for this option reads:
CHECK/ distance,percentage

Percentage Movement During Find Hole Operations

When defining the check distance for a Find Hole operation, you can tell PC-DMIS to move by a percentage of the check distance.

To do this:

  1. Open the Edit window by selecting File | Edit window.

  2. Click the CHECK command in the Edit window.

  3. Press the TAB key to move to the second number.

  4. Type a new percentage value. The default value is 1 which means 100% of the check distance. Thus .1=10%, .2=20%, .3=30% etc.

For example, in the following code:
CHECK/20,.3, the .3 value represents 30% of the total check distance of twenty units.

For additional information on Find Hole, see the following topics in the "Auto Utilities" section:

  • "Find Hole for a Sheet Metal Circle"

  • "Find Hole for a Cylinder"

  • "Find Hole for a Square Slot"

  • "Find Hole for a Round Slot"

  • "Find Hole for a Notch"


Move Speed %

The Move Speed box lets you change the point to point positioning speed of the CMM. The value that is entered is a percentage of the maximum machine speed. It can be set to any value between 1 and 100% of full machine speed. (See Utilities | Probe | Measure button for information regarding the move speed option and probe calibration.)

The Edit window command line for this option reads:
MOVESPEED/ nnn.nnnn


Touch Speed %

The Touch Speed box lets you change the speed at which the CMM takes hits. The value that is entered is a percentage of the maximum machine speed, and cannot exceed twenty percent.

The Edit window command line for this option reads:
TOUCHSPEED/ nnn.nnnn

To understand the effects of changing either PREHIT or RETRACT distances and MOVE or TOUCH SPEED, it's important to understand how the options interact during DCC feature measurement. The order of events is that the machine will move toward the feature at MOVE SPEED. When it reaches PREHIT distance, it will approach the feature at TOUCH SPEED to take the hit. After it takes the hit, it will back away at TOUCH SPEED until it reaches the RETRACT DISTANCE. At this point, it will go to the next location at MOVE SPEED.


Clamping Value

The Camping Value only works with the leitz controller and the leitz brand TTP. This value tells the controller how firmly to hold the probe on a Leitz CMM.

Depending on the weight of the probe tips, you may need to increase or decrease the clamping value.

  • For a large tip weight, you may need to increase the clamping value.

  • For a small tip weight, you may need to decrease the clamping value.


Scan Speed %

The Scan Speed box lets you change the speed at which the CMM will scan the part. The value that is entered is a percentage of the maximum machine speed.

The Edit window command line for this option reads:
SCANSPEED/ nnn.nnnn


Rotate Table

rotable Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—RoTable tab

The RoTable tab allows you to rotate the table's angle and direction.

To rotate the table's angle and direction from the RoTable tab:

  1. Select Options | Parameters from the main menu.

  2. Select the RoTable tab.

  3. Key in the desired table angle in the Rotary Table Angle box.

  4. Select the direction of the rotation from the Rotation Direction drop-down list.

  5. Select the Rotate the Table check box.

  6. Click the Apply button.

The Edit window command line for this option reads:
MOVE/ ROTAB, angle, DIRECTION

The RoTable tab becomes available when you select Single Rotary Table or Dual Rotary Tables from the Rotary Table Setup dialog box. See Rotary Table Setup.

Additionally, the Rotary Table Setup menu option is only available if your port lock is programmed for rotary tables.

More:

Rotate Table Angle

Rotation Direction

Rotate the Table


Rotate Table Angle

In the Rotary Table Angle box you can type the angle of the table's rotation.


Rotation Direction

In the Rotation Direction drop down list you can select the direction you want the table to rotate. Available options are:

Clockwise: | Rotates the table in a clockwise direction until it reaches the angle entered in the Rotate Table Angle box.
Counterclockwise: | Rotates the table in a counterclockwise direction until it reaches the angle entered in the Rotate Table Angle box.
Shortest: | Rotates taking the shortest route (either Clockwise or Counterclockwise) until it reaches the angle entered in the Rotate Table Angle box.


Rotate the Table

The Rotate the Table check box allows the table rotation to be activated once either the Apply or the OK button is pressed


Optional Motion

optmot Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—Opt. Motion tab

The Opt. Motion tab displays additional editing capabilities for both CMM and Table motion.

To access the Opt. Motion tab:

  1. Select Options | Parameters from the main menu.

  2. Select the Opt. Motion tab.

More:

CMM Acceleration


CMM Acceleration

The CMM Acceleration area of the Opt. Motion tab allows you to change what the maximum acceleration would be along the X, Y, or Z axis of the CMM. Available options are:

Maximum X Axis Acceleration: | The number in this box represents the maximum acceleration that the CMM will take when traveling along the X axis.
Maximum Y Axis Acceleration: | The number in this box represents the maximum acceleration that the CMM will take when traveling along the Y axis.
Maximum Z Axis Acceleration: | The number in this box represents the maximum acceleration that the CMM will take when traveling along the Z axis.


Optional Probe

optprobe Hotspot 29 Hotspot 28 Hotspot 27 Hotspot 26 Hotspot 25 Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—Opt. Probe tab

The Opt. Probe tab gives you additional capabilities for controlling analog probes. These capabilities include the following probing related values:

  • Max Force

  • Low Force

  • Upper Force

  • Trigger Force

  • # Return Data

  • Return Speed

  • Positioning Accuracy

  • Probing Accuracy

  • Probing Mode

  • Manual Fine Probing

It also includes the following Scan related values and general purpose buttons:

  • Point Density

  • Offset Force

  • Acceleration

  • Default button

  • Recall button

  • Clear button

Each of these is described below in greater detail.

More:

Max Force

Low Force

Upper Force

Trigger Force

# Return Data

Return Speed

Positioning Accuracy

Probing Accuracy

Probing Mode

Manual Fine Probing

Point Density

Offset Force

Acceleration


Max Force

The Max Force box allows you to enter the maximum force that a probe will take before an error will occur thus stopping measurement.

During an analog probing cycle, when the probe first touches the part it continues to move into the part until it reaches this Max Force value. It then reverses direction and moves away from the part. This movement into the part, after touching the part, is sometimes referred to as the contact force. The value is specified in newtons. In a normal deflection mode (DFL) probing cycle, the controller collects data as the probe moves away from the part.


Low Force

The Low Force box allows you to enter the minimum force required to determine when the machine is in contact with the object being measured.

For a normal deflection mode (DFL) probing cycle, this is the force at which the controller stops collecting data. The value is specified in newtons.


Upper Force

The Upper Force box is the upper limit for a measurement. When this force is reached the machine moves back, away from the object being measured.

For a normal deflection mode (DFL) probing cycle, this is the force at which the controller starts collecting data. The value is specified in newtons.


Trigger Force

The Trigger Force box allows you to enter the force at which a measurement reading is taken.

For a normal deflection mode (DFL) probing cycle, this is the force at which the Actual Point (APT) will be calculated and returned to PC-DMIS. The value is specified in newtons. Not all analog probes/controllers use this input.


# Return Data

The # Return Data box allows you to enter the number of readings taken when the machine is moving away from the object being measured.

This value defines the minimum number of data to be collected within the probing window defined by the Upper Force and Lower Force values.


Return Speed

The Return Speed box allows you to set the value, which determines the speed at which the probe comes off the object being measured. This is specified in mm/sec.


Positioning Accuracy

The Positioning Accuracy box is a parameter specific to the Leitz interface. The value submitted tells the CMM how carefully it should remain on the approach vector as the probe is moved into the part for a measurement.

With smaller values the difficulty for the machine to acquire the desired location increases. However, using a smaller value provides a more accurate measurement. This value is always in millimeters.

This should normally be left at the default value.


Probing Accuracy

The Probing Accuracy box allows you to determine the accuracy required to take a measurement. If this value is not met then no measurement is taken and an error is given. It is specified in mm and should normally be left at the default value.


Probing Mode

This specifies the type of probing cycle used. The most common cycle is deflection mode (DFL). Other cycles, such as soft probing (SFT), may also be supported by some analog probes/controllers. In some cases the probe/controller may not have multiple modes and this value is ignored.


Manual Fine Probing

If the Manual Fine Probing check box is selected, then when a manual probing point is taken, the controller automatically switches to DCC mode while moving away from the part in order to use the normal deflection probing cycle. This may result in slower manual probing but improves accuracy. Not all analog probes/controllers have multiple modes for manual probing. In those cases this value is ignored.


Point Density

The Point Density box allows you to set the number of readings to take per millimeter of measurement during a scan.


Offset Force

This allows you to specify what level of force to maintain during a scan. The value is specified in newtons.


Acceleration

This allows you to specify what acceleration to use during a scan. The value is specified in mm/sec/sec.


Autotrigger

autotrig Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters Mode dialog box—Autotrigger tab

The Autotrigger tab allows you to select options related to autotrigger and place an AUTOTRIGGER/ command into the Edit window.

The AUTOTRIGGER/ command tells PC-DMIS to automatically take a hit when the probe enters a tolerance zone at a specified distance from the original hit location. For example, if the tolerance zone is set to 2mm, a hit is taken when the probe is within 2mm of the hit location.

You can use this option with manual machines; instead of pressing a button to take a hit, you can place AUTOTRIGGER/ commands at predetermined locations in the Edit window.

This option only works in online mode.

More:

Autotrigger On

Beeping On

Insert Command

Autotrigger Radius


Autotrigger On

Selecting the Autotrigger On check box activates the autotrigger command. Commands in the window that follow the inserted AUTOTRIGGER/ command and require you to take a hit will then have the hit automatically taken when the probe enters the defined tolerance zone.

If you do not select this check box and you click the Insert Command button, PC-DMIS inserts the command line into the Edit window but doesn't activate the command.


Beeping On

Selecting the Beeping On check box will turn on the beeping associated with autotrigger. The closer you get to the target, the more frequent the beeps.


Insert Command

Clicking the Insert Command button inserts the autotrigger command into the Edit window for the current part program.

AUTOTRIGGER/ TOG1, TOG2, RAD

TOG1This toggle field corresponds to the Autotrigger On check box. It displays either ON or OFF.

TOG2This toggle field corresponds to the Beeping On check box. It displays either ON or OFF.

RADThe radius field contains the value for the tolerance zone. This value is the distance from the actual point that PC-DMIS takes the hit.


Autotrigger Radius

The Radius box allows you to type a tolerance zone value. When the probe moves into this tolerance zone, it automatically takes a hit.


CV-100 Parameters

Hotspot 24 Hotspot 23 Hotspot 22 Hotspot 21 Hotspot 20 Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters mode dialog box—CV-100 Parameters tab

The CV-100 Paramters tab allows you to change the parameters for the CV-100 Video Probe. These parameters are used to control the lighting, sizing etc. of the CV-100 vision area. If the values in the CV-100 tab are changed, then PC-DMIS inserts a new VIDEOSETUP command into the part program, and displays the cursor position in the Edit window. The Edit window command line for the VIDEOSETUP command reads:

VIDEOSETUP/GAIN = n, OFFSET = n, TOP = n, BOTTOM = n, WIDTH = n,YORIGIN = n,
YEND = n, LSEG = n, XSEG = n, YSEG = n

To edit information in the CV-100 Parameters tab:

  1. Select Options | Parameters from the main menu. The Parameters mode dialog box appears.

  2. Click on the CV-100 Parameters tab.

  3. Select the value you want to change.

  4. Type a new value.

  5. Click Apply or OK.

The boxes contained in the CV-100 Parameters tab allow you to specify information that corresponds to settings on the CV-100 computer system See documentation from your CV-100 computer system for more detailed information on these settings.

More:

Gain

Offset Value

ROI Top

ROI Bottom

ROI Width

Y Origin

Y End

Long Segment

X Segment

Y Segment

Video Setup


Gain

The Gain value corresponds to the Gain value on the CV-100 computer system and is a vision sensor setting.


Offset Value

The Offset value corresponds to the Offset value on the CV-100 computer system and is a light sensor setting. See documentation from your CV-100 computer system for additional information.


ROI Top

The ROI Top value corresponds to the ROI Top value on the CV-100 computer system and is the top position of the ROI.


ROI Bottom

The ROI Bottom value corresponds to the ROI Bottom value on the CV-100 computer system and is the bottom position of the ROI.


ROI Width

The ROI Width value corresponds to the ROI Width value on the CV-100 computer system and is the horizontal dimension of the ROI.


Y Origin

The Y Origin value corresponds to the Y Origin value on the CV-100 computer system.


Y End

The Y End value corresponds to the Y End value on the CV-100 computer system.


Long Segment

The Long Segment value corresponds to the Long Segment value on the CV-100 computer system.


X Segment

The X Segment value corresponds to the X Segment value on the CV-100 computer system.


Y Segment

The Y Segment value corresponds to the Y Segment value on the CV-100 computer system.


System Options - CV-100 Parameters - Video Setup

Video Setup

The Video Setup button button allows you to open the Video Setup Parameters on the CV-100 Video System. Clicking this button opens and closes this option.

Communication settings between the PC-DMIS computer system and the CV-100 computer system have to be configured before this option functions properly. See "CV-100 Setup" on the SetUp Options dialog box for this information.


I/O Channels

iochan Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Parameters Mode dialog box—I/O Channels tab

With the I/O Channels tab you can select options related to the use of controller I/O channels and place an IOCHANNEL/ command into the Edit window that will define the state of the controller.

Some machine controllers are equipped with I/O channels that can be SET to an ON state (a value of 1) or RESET to an OFF state (a value of 0). The IOCHANNEL/ command tells PC-DMIS to set the state as specified.

More:

Channel

Set and Reset Options


Channel

This specifies the channel number that you will SET or RESET.


Set and Reset Options

Option | Description
Set | This option inserts an IOCHANNEL/SET command into the part program. When PC-DMIS executes this command the state of the specified channel number will be set to 1.
Reset | This option inserts an IOCHANNEL/RESET command into the part program. When PC-DMIS executes this command the state of the specified channel number will be set to 0.


System Options - Probe Readout Window

Probe Readout Window

The Options | Probe Readout Window menu option allows you to access a readout of the current CMM position. When this option is selected, PC-DMIS will display the Probe Readout window. You can alter the size of this window simply by 'dragging' the border of the window until the desired size is reached. Clicking on the maximize window icon [image] in the upper right portion of the window will expand the box to the full display of the screen. (Click on the icon a second time to return it to its previous size.) This allows you to view the selected Readout window when the CMM is located across the room from the monitor. To close the Probe Readout window you must click the X in the upper right hand corner.

Note: Each time the location or size of the Probe Readout window is altered, PC-DMIS will update the .INI file. The next time the option is accessed, the window will be displayed precisely as it was in the previous viewing.

On machines with an external DRO, an on screen readout is not available and this option is not available.


Readout Window Setup

readset Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Readout Window Setup dialog box

The Probe Readout Window Setup dialog box allows you to select the desired format of the Probe Readout window. Select the check boxes that meet your probe readout needs. When you next select the Probe Readout Window menu option it will reflect the chosen format.

More:

Probe Position

Last Hit

Show Current Probe Position on Screen

Distance to Target

Distance to Target with Auto Zoom

Display Error of Last Measured Feature

Use Polar Coordinates


Probe Position

When you select the Probe Position check box, PC-DMIS displays the current position of the probe. The Probe Readout window will display the probe's position in the active coordinate system.


Last Hit

When you select the Last Hit check box, PC-DMIS will display the location of the last hit taken with the probe. If this option is not selected, PC-DMIS displays the current position of the probe.


Show Current Probe Position on Screen

The Show Current Probe Position on Screen check box differs from the Probe Position check box in that it shows a graphical representation of the probe on screen, relative to the machine. This is helpful when working on-line. When you move the probe by using the jog box, a graphical representation of the probe also moves within PC-DMIS'S screen.


Distance to Target

When you select the Distance to Target check box, PC-DMIS displays the distance of the probe to the target point. The probe's position is displayed in the active coordinate system. Manually drive the probe to the keyed in location. When the target point is reached, the Probe Readout window will display 0,0,0.


Distance to Target with Auto Zoom

When you select both the Distance to Target check box and the With Auto Zoom check box, PC-DMIS also displays the distance of the probe to the target point. The probe's position is displayed in the active coordinate system. As the probe is manually driven to the keyed in location PC-DMIS will automatically zoom in on the corresponding graphical image of the display area.


Display Error of Last Measured Feature

When you select the Display Error of Last Measured Feature check box, PC-DMIS displays any deviations along the XYZ coordinates (and D for circular features) for the last measured feature in the Probe Readout window. Even if the deviation is 0 then only 0 is displayed.


Use Polar Coordinates

When you select the Use Polar Coordinates check box, PC-DMIS switches between rectangular and polar coordinates. When polar coordinates are used, the normal direction of the workplane is also displayed.


System Options - Analysis

Analysis

analysis Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Analysis dialog box

The Options | Analysis menu option brings up the Analysis dialog box which allows you to output the dimensional printout in a format suitable for close examination. By default the check boxes in the Analysis area are not selected. When you select either the Textual or Graphical check box, PC-DMIS will draw the selected dimensions in a textual or graphical image. It will not display any CAD data.

It is helpful to have either the Graphical or Textual Analysis option on when having a problem with a feature whose cause needs to be determined.

To select Graphical or Textual analysis from within a Dimension dialog box:

  1. Select Dimension from the menu bar.

  2. Select the dimension option you will be using from the menu. A dimension dialog box will appear.

  3. Select either the Graphical or Textual check boxes.

  4. Finish the dimensioning process.

Example: Suppose you are inspecting a plane for flatness, and you find it is out of tolerance. Using the Graphical Analysis option will allow you to examine the plane and determine if a specific area is bad or if the entire surface is irregular.

If the Analysis dialog box is open, you can press the CTRL + Left Mouse Button to select a feature in the Graphics Display window. Any dimensions using that selected feature will be highlighted in the Dimension List box.

More:

Analysis

Show All Arrows

View Window

File Menu

View Menu

Show Menu

Options Menu


System Options - Analysis - Analysis

Analysis

The Analysis area of this dialog box allows you to choose to view the dimension(s) selected from the Dimension List box in either a graphical or a textual readout.

More:

Graphical

Textual

Multiplier


System Options - Analysis - Graphical

Graphical

If the Graphical check box is selected, PC-DMIS stores the dimension information in a format to be viewed graphically.


System Options - Analysis - Textual

Textual

If the Textual check box is selected, PC-DMIS stores the dimension information in a format to be viewed textually.


System Options - Analysis - Multiplier

Multiplier

The value in the Multiplier box is a scaling factor that magnifies the arrow and tolerance zone for the graphical analysis mode. For example, if a value of 2.0 is entered, PC-DMIS will scale the arrow two times the graphical image.

This option is used for viewing purposes only, and is not reflected in the text printout.


Show All Arrows

The Show All Arrows button shows the graphical analysis arrows used to mark deviation. These graphical analysis arrows can be hidden arrow by arrow. To do this press CTRL + SHIFT, and click the arrows to hide. Clicking the Show All Arrows button re-displays the arrows. The graphical analysis arrows will then be reset for display purposes.


View Window

The View Window button displays the Analysis window. This window allows the dimensions to be displayed in the most suitable view.

To effectively use the View window:

  1. Select the dimension that needs to be examined in the Analysis window.

  2. Enter a value for the Multiplier box (see Multiplier).

  3. Press the View window button. PC-DMIS brings up the Analysis window.

Using the menu bar provided with the Analysis window you can alter the graphical image, capture the current graphics screen, or edit the selected dimension colors.

analwin Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Analysis Window

In order to determine the initial view of the graphical analysis in the Analysis Window, PC-DMIS uses either the scan cut vector for profile dimensions of scans or the current workplane for other dimensions. This view can be altered later.


System Options - Analysis - File Menu

File Menu

The Analysis window's File menu allows you to send the contents of the Graphics Analysis window directly to the printer for printing purposes.


View Menu

The Analysis window's View menu allows you to temporarily alter the graphics displayed for the selected dimension. By rotating, scaling or changing the view you can easily access the necessary dimensions.

Note: This option is especially useful when viewing the profile error of a set of points.

More:

Change

Scale to Fit

Rotate


System Options - View Menu - Change

Change

The View | Change menu option lets you create new views from a CAD file. This function is useful when a 2D IGES file is used that contains several views of a part in one plane and the views need to be associated with their correct orientation in the Graphics Display window. See "View" and "The View Buttons" for more information on manipulating views.


System Options - View Menu - Scale to Fit

Scale to Fit

The View | Scale To Fit menu option re-draws the part image to fit entirely within the Graphics Display window. This function is useful whenever the image becomes too large or small.


System Options - View Menu - Rotate

Rotate

The View | Rotate menu option displays the Rotate Dialog box allowing you to rotate the part image in three dimensions.

The topics "Rotate 2D State" and "Rotate 3D State" describe rotating in further detail


Show Menu

show Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Show Options dialog box

The Analysis window's Show | Show Options menu command displays the Show Options dialog box. This dialog box allows you to choose what things you want displayed in the Analysis window.

The Analysis window's Show | Show Dimensions Stats brings up the Edit Dimension Info dialog box. This Dialog box allows you to edit in depth the dimension highlighted. See "Common Dimension Dialog Options" and "Edit Dimension Info" in for more information.

More:

Show Statistics

Show Histogram

Show Max/Min Deviations


Show Statistics

The Show Statistics check box on the Show Options dialog box displays various statistics in the Analysis window. If the Show Statistics check box is not selected, dimensional information text will not be displayed (for any dimensions). See the Graphics | Edit Dimension Info to change the format of the statistics displayed in the Analysis window.


Show Histogram

The Show Histogram check box on the Show Options dialog box displays a histogram of the deviations for each point. Histograms can be moved to new locations within the Analysis window.

To move to a new location within the Analysis window:

  1. Click on the desired histogram.

  2. Drag the cursor to the desired location.

  3. Release the mouse button.


System Options - Show Menu - Show Max/Min Deviations

Show Max/Min Deviations

The Show Max/Min Deviations check box on the Show Options dialog box allows the maximum and minimum deviations to be indicated with a '*+' or '*-' symbol.


Options Menu

The Analysis window's Options menu allows you to capture the current graphics screen for later use. It also provides access to the Edit Color dialog box and sizing of the Analysis window.

More:

Save Graphics to Report

Create Analysis View Command

Edit Dimension Colors

Dimension Options

Size Options


Save Graphics to Report

The Analysis window's Options | Save Graphics To Report menu option captures the active Graphics Display window and copies it to a DISPLAY/METAFILE command which can then be displayed in the Edit window in report mode. It can then be used in the inspection report. PC-DMIS does not have the ability to edit or format the captured image. The graphics will be displayed at the cursor's location. This DISPLAY/METAFILE command differs from the DISPLAY/METAFILE command generated from the main menu in that it takes the screen capture only when creating the command, not when executing the command. (See Create Analysis View Command for creating a screen capture that automatically updates itself upon execution.)


Create Analysis View Command

The Analysis window's Options | Create Analysis View Command menu option displays the ANALYSISVIEW command in the Edit window. When this command is marked and executed, PC-DMIS will display the list of dimensions in its own analysis level window, with the number of view and rotations selected previously. It will automatically take a screen capture of the Analysis Level window with the listed dimensions. These screen captures are then available to be displayed and printed in the inspection report.

The Edit window command line for this option reads:
ANALYSISVIEW/D1,D2,D3,,

D1,D2,D3 = list of dimensions to be displayed.

There is no limit to the number of dimension parameters that can be used.

Typing "ANALYSISVIEW" in the Edit window also creates an ANALYSISVIEW command. Any dimensions selected for analysis will become parameters for this command.


Edit Dimension Colors

The Analysis window's Options | Edit Dimension Colors menu option allows you to set the color for a specified tolerance range. Selecting this option will display the Edit Dimension Color dialog box. This dialog box is also available under the Graphics menu option.

To change a color for a particular tolerance:

  1. From the Dimension Colors area, select the tolerance color you want to change from the drop-down list.

  2. Click the Edit Color button. A Color dialog box appears. See "Edit Color" in the "Graphics Options" section.

  3. Select the new color.

  4. Click the OK button in the Color dialog box. The Color dialog box closes. If you press the Cancel button, PC-DMIS closes the Color dialog box without changing any colors. If you press the Define Custom Colors button, PC-DMIS allows you to make your own color. Newly created colors will be stored in the Custom Colors area of the Color dialog box.

  5. Click OK in the Edit Dimension Color dialog box.

The Default button updates the stored default values with what is currently displayed in the Edit Dimension Color dialog box.

The Recall button places the stored default color values into the Edit Dimension Color dialog box.

Note: The Recall button will re-establish stored defaults. However, if you have already used the Default button to update the stored defaults, then you will get the updated values, not the stored defaults that originally came with PC-DMIS.


System Options - Options Menu - Dimension Options

Dimension Options

This Dimension Analysis Options dialog box allows you to determine the information that gets displayed in the Analysis window.

To access this option

  1. Select Options | Analysis from the main menu. The Analysis dialog box will appear.

  2. Select the dimension from the list box.

  3. Click the View Window button. The Analysis window will appear.

  4. Select Options | Dimension Options from the Analysis window. The Dimension Analysis Options dialog box opens. Most options are unavailable until you select any dimension in the Analysis dialog box. Relevant options become available for selection.

The following options are available on this dialog box:

Show Arrow Heads | The Show Arrow Heads check box turns the arrow heads on or off of the deviation lines.
Show Lines Between Meas. Hits | The Show Lines Between Measured Hits check box toggles on or off lines between the measured hits.
Show Lines Between Nominals | The Show Lines Between Nominals check box toggles lines drawn between the nominal values.
Show Tolerance Lines | The Show Tolerance Lines check box toggles the display of the acceptable tolerances for the dimension.
Show Diameters | The Show Diameters check box allows you to show the diameters of available True Position dimensions.
Show Best Fit , Max Inscribed, and Min Circumscribed Diameters | This check box allows you to turn on or off the various diameters that may also be drawn with the Roundness dimension. These diameters are those that represent the average, maximum, and minimum deviations for a round feature.
Show Contour Plot | The Show Contour Plot option only works for patch scans and becomes available for Profile dimensions. The contour plot uses the patch scan points to create a mesh and then shades the mesh with the colors related to the profile deviations from each hit.
Show Color Inter. Between Hits | The Show Color Interpolation Between Hits option allows you to insert colors between hits. This option is available for Profile dimensions.
Show Arrows | The Show Arrows option allows the arrows for deviation lines to be toggled on or off. This option is available for Profile dimensions.


Size Options

The Analysis Size Options dialog box allows you to determine how the Analysis window will be displayed. These options also allow you to set your ANALYSISVIEW command so that PC-DMIS takes the screen capture in one of these selected modes during execution. (See Create Analysis View Command.)

You can select the following options:

Portrait | This option sizes the Analysis window so that it matches the standard Portrait page size.
Landscape | This option sizes the Analysis window so that it matches the standard Landscape page size.
Scale to Fit Whole Page | This check box scales the window so it would fit an entire printed page.


Send Current Stats to File

The Options | Send Current Stats To File menu option will send all of the dimensions and trace fields that follow a STATS/ON command to the XSTATS11.tmp file without having to execute the part program. (See "Statistics".)


Master/Slave Setup

mssetup Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Master Slave Setup dialog box

The Options | Master/Slave Setup menu option is an add-on package which allows you to set master and slave modes for dual arm CMM's. A dual arm must be enabled for this option to be available. This menu option displays the Master Slave Setup dialog box. The following options are made available. See Using Master / Slave Mode for additional information regarding setup procedures.

More:

Computer Connected to the Slave Arm

Computer Connected to the Master Arm

Computer Connected to both Master and Slave Arms

Computer is not used in Master Slave Mode

Delay for TCPIP Connection


System Options - Master/Slave Setup - Computer Connected to the Slave Arm

Computer Connected to the Slave Arm

The 'This computer is connected to the Slave Arm' option allows the computer to be used only with the Slave Arm. You can choose to connect using either a TCPIP Port or a Serial Port.

  1. Select either the TCPIP Port number to Read or the Serial Port number to Read option.

  2. Type a value in the Port number to Read box.

  3. Click the OK button.

See "Using Master / Slave Mode" for additional information regarding setup procedures.


System Options - Master/Slave Setup - Computer Connected to the Master Arm

Computer Connected to the Master Arm

The 'This Computer is connected to the Master Arm' option allows the computer to be used only with the Master Arm. You can choose to connect using either the slave's PC IP address or a serial port.

  1. Select either the Slave PC'S IP option or the Serial Port number to communicate to Slave option.

  2. Type IP address if you connected using the Slave PC's IP Address option.

  3. Type the port number in the Port Number box.

  4. Click the OK button.

See "Using Master / Slave Mode" for additional information regarding setup procedures.


System Options - Master/Slave Setup - Computer Connected to both Master and Slave Arms

Computer Connected to both Master and Slave Arms

The 'This computer is connected to both Master and Slave Arms' option allows the computer to be connected to both Master and Slave arms. You must select if the CMM Arm 1 is either Master or Slave.

See "Using Master / Slave Mode" for additional information regarding setup procedures.


System Options - Master/Slave Setup - Computer is not used in Master Slave Mode

Computer is not used in Master Slave Mode

If the computer is not used in a Master/Slave mode relationship, select the 'This computer is not used in Master Slave Mode' option.

See "Using Master / Slave Mode" for additional information regarding setup procedures.


System Options - Master/Slave Setup - Delay for TCPIP Connection

Delay for TCPIP Connection

The Delay for TCPIP connection in milliseconds box allows you to type the number of milliseconds that PC-DMIS will delay before attempting a TCPIP connection with the Master or Slave arm setup for use with the current computer.

See "Using Master / Slave Mode" for additional information regarding setup procedures.


Master/Slave Mode

This add on package will allow you to set master and slave modes for dual arm CMM's. A dual arm must be enabled for this option to be available.

To run Master / Slave mode, both systems must have PC-DMIS installed and running. The master system will actually run the part program, communicating to the slave system as needed. The Master mode will be indicated in the Edit window using boldface text.

See "Using Master / Slave Mode" for additional information regarding Master / Slave Mode.


Calibrate Master/Slave Mode

The Options | Calibrate Master/Slave Mode menu option brings up the Master / Slave Calibration dialog box.

This dialog that has three different options that allow you to calibrate the master / slave mode.

  1. Both arms measure tool.

  2. Master arm holds tool and slave arm measures.

  3. Slave arm holds tool and master arm measures.

To calibrate the master / slave mode, follow this procedure:

More:

Calibration Procedure


Calibration Procedure

The calibration procedure consists of two parts that document calibration of the master / slave mode using two computer systems. For information on calibrating the master / slave mode using just one computer system, see "Using Master / Slave Mode".

More:

Part 1 of Calibration Procedure

Part 2 of Calibration Procedure


Part 1 of Calibration Procedure

  1. Make sure the correct probe files and tips are selected from the drop-down lists in the Master / Slave Calibration dialog box. The tips should be the ones pointing at the table.

  2. Make sure the tool listed is the one you will be using to perform the calibration.

  3. Click OK. PC-DMIS will ask you to measure the tool chosen with both the master and slave arms.

  4. Take one hit. PC-DMIS will measure the rest.

  5. Measure the sphere with both arms.

  6. Move the sphere on the table.

  7. Measure the sphere in its new location with both arms.

  8. Repeat steps 6 and 7 to obtain a third measurement.

Note: Make sure the three positions of the sphere are not co-linear. That is, they should not be in a line. You should spread them out as far as possible (encompassing as much of the CMM as possible) with one of them being raised up in the Z direction.

Measuring the spheres creates an alignment between the master and the slave arm, by leveling, rotating, and setting the origin.


Part 2 of Calibration Procedure

Once you have completed the calibration described in Part 1, you need to calibrate both probe files on the same tool. This resets the origin relationship between the two tips. It doesn't change the level or the rotate of the alignment, only the origin. If you are using a PHS wrist, you need to do a wrist calibration with both arms on the common tool. Follow this procedure:

  1. Click the Arm 1 button.

  2. Go into UTILITIES | PROBE. If PC-DMIS asks you if you want to load a new probe file, click No. The Probe Utilities dialog box opens.

  3. Calibrate the master probe (or do a wrist calibration if you are using a PHS). PC-DMIS will ask if the tool has been moved.

  4. Click Yes.

  5. When you complete the calibration, then exit the probe dialog.

  6. Click the Arm 2 button.

  7. Select Utilities | Probe to calibrate the slave probe (or do a wrist calibration if you are using a PHS).

  8. This time when PC-DMIS asks you if the tool has been moved, click No.

Once you have calibrated both probe files in master / slave mode, you are done with the calibration of master / slave. PC-DMIS will copy the slave probe file, the tool data, and the arm-to-arm transformation data to the slave computer. This allows you to run the slave arm on it's own as if it were an extension of the master coordinate system or you can always run them together in master/slave mode.

See "Using Master / Slave Mode" for additional information regarding setup procedures.


Rotary Table Setup

The Options | Rotary Table Setup menu option allows you to define the rotary table. You can only accept one option per category.

  1. Select the type of table being used. If a Dual Rotary Table is set up, indicate if Table 1 or 2 is active. Selecting Dual Rotary Tables also displays the Active Rotary Table toolbar once you click the OK button. This toolbar contains two icons that allow you to select which rotary table is active.

    Note on Index Type Rotary Tables:
    Index type rotary tables have a finite number of specific angles to which they can be positioned. Generally, they have a fixed increment (in degrees of rotation) from a given position to the next available position. The incremental amount will vary, based on your specific table. Please consult your Rotary table documentation if necessary. Infinite type rotary tables will accept any position (in degrees).

  2. Determine if the rotary table is Manual or DCC and select the appropriate option.

  3. If known, key in the XYZ, IJK values

  4. Click Calibrate to begin the calibration process.

Note: The Rotary Table Setup menu option is unavailable until your portlock is configured to accept rotary tables.

More:

Calibrate Rotary Table


Calibrate Rotary Table

Depending on the options selected in the Rotary Table Setup dialog box (see Rotary Table Setup) one of two dialog boxes will open when you click the Calibrate button.

  1. Selecting the Table is Infinite Type option and the Calibrate button opens the Calibrate Infinite Rotary Table dialog box.

  2. Selecting the Table is Index Type option and the Calibrate button opens the Calibrate Indexable Rotary Table dialog box.

More:

Calibrate Indexable Rotary Table

Calibrate Infinite Rotary Table


Calibrate Indexable Rotary Table

Using the Calibrate Indexable Rotary Table dialog box you can select the options that will be used to calibrate the selected table. Once the options within the dialog box are satisfactory, click the Calibrate button to start the rotary table calibration process.

Usage Note: The indexable rotary table calibration must include the 0 position. Additionally, all the angles that will actually be used in a part program must also be calibrated. This calibration procedure calculates and stores a transformation for all other angles relative to 0 position.

Calibration Note: The indexable rotary table calibration procedure requires a valid XYZ, IJK for the table in order to run properly. This can be accomplished in two ways.

1.) If the values are known, they can be manually typed into the Rotary Table Setup dialog box. This will usually not be the case.

2) Initially select the Table is Infinite Type option and complete an infinite rotary table calibration, which will calculate and save the XYZ, IJK. Then select the Table is Indexable Type and perform the indexable rotary table calibration. This is normally only an issue during the initial software installation/setup or if the rotary table has been moved or if something has happened to significantly alter the origin of the machine coordinate system. Once the XYZ, IJK is determined closely enough that the indexable rotary table calibration procedure can run successfully it is not necessary to go back and re-run the infinite rotary table calibration in order to re-run the indexable rotary table calibration.

Add Rotab Angles

The Add Rotab Angles area allows you to define the list of table angles that will be included in the calibration. You can define one angle at a time, or you can define an incremented range of angles. Defined angles are then placed in the Angles to Calibrate list. When you click Calibrate PC-DMIS will then calibrate the rotary table using the defined angles.

Example: If you want to calibrate all the angles between 5 and 95 degrees with a 10 degree increment between each angle, you would fill in the Start Angle, End Angle, and Increment boxes with 5, 95, and 10 respectively, and then click the Equally Space button.

Angles to Calibrate list

This list contains all the table angles for the calibration. You can add angles to this list from the Add Rotab Angles area. The Angles to Calibrate list must use the zero angle.

Other Dialog box Parameters

This dialog box also contains many of the same options described in the "Utilities" section.

  • For information on Number of Hits, Prehit / Retract, Move Speed, Touch Speed, Manul / DCC, List of Available Tools, Add Tool, and Delete Tool, see the "Measure" topic in the "Utilities" section.

  • For information on Active Probe File and Active Tip, see the "Probe" topic in the "Utilities" section.


Calibrate Infinite Rotary Table

The Calibrate Infinite Rotary Table dialog box differs from the Calibrate Indexable Rotary Table dialog box in these areas:

  • Instead of the Angles to Calibrate list, the dialog displays the Table Angles list.

  • You don't have to use the 0.0 angle in the Table Angles list.

  • Instead of three calibration tools, the dialog box only displays one calibration tool.

See Calibrate Indexable Rotary Table for information on the specific options contained in this dialog box


Probe Changer Setup

The Options | Probe Changer menu option displays the Probe Changer dialog box. This dialog box allows you to setup various options that can be used on a probe changer. These tabs are available on the dialog box:

Type | This allows you to select the probe changer type.
Calibrate | This allows you to choose which active tips to calibrate.
Mount Point | This allows you to change AB wrist values and also provide a safe location that the CMM can move to after each cycle.
Slots | This allows you to define probe or stylus configuration for existing slots in the probe changer rack.
Comm | This allows you to work with your computer's serial port connection to the probe changer.

These options are described below in greater detail.

More:

Type

Comm

Calibrate

Mount Point

Slots


System Options - Probe Changer Setup - Type

Type

type Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Changer dialog box—Type tab

Before calibration can take place, the probe changer type must be chosen. Select the type of probe changer from the Probe Changer drop-down list. After a change of probe changer type, PC-DMIS must be restarted.

The docking speed can be altered to fine tune the operation of the change cycle. Simply type a new percentage value to set the docking speed.

More:

Active Probe Changer

Number of Probe Changers

Probe Changer Type

Docking Speed


System Options - Type - Active Probe Changer

Active Probe Changer

Depending on the value in the Number of Probe Changers box, the Active Probe Changer list contains numbered items (Probe Changer1, Probe Changer2, Probe Changer3 etc.) to which you can assign a probe changer and its associated values.

Initially PC-DMIS displays only one item in this list, usually "Probe Changer1". You can add additional items to the list by increasing the value in the Number of Probe Changers box.

PC-DMIS stores the probe changer type you selected and any other values for the numbered item in the Active Probe Changer list.


Number of Probe Changers

With the Number of Probe Changers box you can determine how many probe changers to use. The number you type in this box becomes the number of available probe changers in the Active Probe Changer list.


Probe Changer Type

The Probe Changer Type drop-down list contains a list of the various probe changer types.


Docking Speed

The Docking Speed box allows you to determine the docking speed of the change cycle.


Comm

commprt Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Changer Dialog box—Comm tab

For some types of probe changers there is a serial connection to the computer. This dialog will allow you to choose your communications port (COM port) and modify your COM port settings.

If your probe changer does not have a serial connection this dialog will not appear.


System Options - Probe Changer Setup - Calibrate

Calibrate

calibrat Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Changer dialog box—Calibrate tab

Before probe configurations can be loaded into the rack, consider the following:

  • The probe or stylus must be chosen from the Type tab and calibrated.

  • The rack should be squared to one of the CMM's axes.

  • The PS35R stylus that was supplied by Renishaw must be used to calibrate the probe changer.

  • Verify that the stylus has been calibrated before starting this process. (See Utilities | Probe for information on calibrating probes.)

CAUTION: The optoelectronic infrared detection system is always active. If it is accidentally tripped, the PI200 (probe controller) will deactivate the TP200.

More:

Active Probe Changer

Active Probe File

Active Tip

Full Calibration

Partial Calibration

Single Port Calibration

Calibrate


System Options - Calibrate - Active Probe Changer

Active Probe Changer

From the Active Probe Changer list you can select what probe changer to calibrate.

See Active Probe Changer under the Type tab for information on this list.


Active Probe File

The Active Probe File drop-down list allows you to select a probe to use for the calibration process.


System Options - Calibrate - Active Tip

Active Tip

The Active Tip drop-down list allows you to choose a tip configuration for the probe selected.


Full Calibration

If you select the Full Calibration option, PC-DMIS will measure the entire probe changer. This is the most often used method of calibration and for some the only method available. It is recommended that the operator use the full calibration method.


Partial Calibration

The Partial Calibration option will only calibrate a portion of the probe changer. For the ACR1 it will only measure the datum sphere on the probe changer.


Single Port Calibration

Some probe changers will allow you to measure only a single slot after a successful full calibration.

The Single Slot Calibration option only appears for the ACR2 and Zeiss probe changers.


System Options - Calibrate - Calibrate

Calibrate

The Calibrate button allows you to begin the calibration process by opening the Probe Changer dialog box. The following steps detail the process of calibrating the probe changer.

To calibrate the SCR200 probe changer:

  1. Verify that the SCR200 is set to B mode.

  2. Load the calibrated PS35R stylus.

  3. Take a hit on the front face of the probe changer.

  4. Take a hit on top of the probe changer.

  5. Raise the slot #1 top. While it is in the upright position slide the top to the center until it locks in an open position. PC-DMIS will then ask you to take one hit on each side of the slot.

  6. Take each hit on the lower shelf of the rack's slot. (Refer to graphics.) It does not matter which side of the slot is measured first. Be sure to press the Done button after each hit.

  7. Close the top of slot #1.

  8. Repeat the process for the last slot in the rack (sequences 4-6). Verify that the top to slot #1 is closed before opening the top of the last slot. The PI200 will deactivate the TP200 if more than one top is opened at a time.

Once the above process has been completed, press the OK button in the Probe Changer dialog box.


Mount Point

mntpnt Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Changer dialog box—Mount Point tab

The Mount Point tab allows you to change the values for the AB wrist angle as well as define a safe position that the CMM can move to before each change cycle.

You can do this for as many probe changers as defined using the Type tab. Select the probe changer from the Active Probe Changer list and type the desired AB angles and CMM position.

More:

Active Probe Changer

Probe Head Wrist Angle

CMM Position


System Options - Mount Point - Active Probe Changer

Active Probe Changer

From the Active Probe Changer list you can select the probe changer for which you want to define AB wrist angles and a CMM position.

See Active Probe Changer under the Type tab for information on this list.


Probe Head Wrist Angle

The A Angle and B Angle boxes indicate the position of the PH9 arm while sliding the probe configurations in place. In most cases the angle should indicate a straight down position.

To change the AB angles from the straight down position:

  1. Place the cursor in the A Angle box or the B Angle box.

  2. Type the desired angle.


CMM Position

The CMM Position area of this dialog box allows you to indicate a safe location to which the CMM can move prior to each change cycle. Usually, this safe location is approximately two inches above and in front of the probe changer rack. However, you may find it necessary to move to some other location depending on the type of probe changer.

To change the values for the CMM Position:

  1. Select the previous value of the X, Y, or Z box you want to change.

  2. Type the correct value for the appropriate boxes or use the Read CMM button to insert the current location of the CMM.


Slots

slots Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Probe Changer dialog box—Slots tab

The probe changer is a rack that provides slots for different probe configurations. The Slots tab allows you to define the probe configuration for each slot that will be used. The default for each slot is "no probe". You can define the probe configuration for each slot of the selected probe changer.

More:

To Define the Probe Configuration for Each Slot

To Change a Defined Probe Back to the "no probe" Default

To Add or Remove Slots from the Dialog Box


To Define the Probe Configuration for Each Slot

  1. Select the appropriate probe changer from the Active Probe Changer list.

  2. Click the plus sign (+) to the left of the slot number. You'll notice that PC-DMIS displays a "no probe" item as the default.

  3. Double click or right click on the "no probe" item. A list will appear.

  4. Assign the appropriate probe file to each slot. Each probe configuration must be loaded into the rack using the CMM Arm and Load Active Probe option. (Do not insert the probe into the rack by hand.)


To Change a Defined Probe Back to the "no probe" Default

  1. Select the appropriate probe changer from the Active Probe Changer list.

  2. Double click on the slot to change. A list appears.

  3. Select "no probe" from the available list.


To Add or Remove Slots from the Dialog Box

With some types of probe changers you can define the number of slots.

  1. Select the appropriate probe changer from the Active Probe Changer list.

  2. Change the value in the Number of Slots box.

  3. Click the Apply button to immediately see the changes.

If your probe changer does not allow for a changing amount of slots then the Number of Slots box will be disabled.


Load Active Probe

The Options | Load Active Probe menu option loads the active probe required by the part program. While in Learn mode, use the Probe Utility dialog box to change the loaded probe file(s). The Probe Changer Setup dialog box allows you to define the appropriate probe configurations for each slot that will be used. The Load Active Probe option can then be used to tell the machine to exchange the necessary probe configuration(s).


CMM Interface Setup

The Options | Cmm Interface menu option invokes the setup dialog box for the specific machine interface being used. This option is only available when working on-line. The content of the interface setup dialogs vary greatly from one interface to the next. How to install/setup the various interfaces is covered in your installation documentation (APPG.DOC).


Activate Next Window

The Options | Activate Next Window menu option allows you to move between open windows. Simply select this option (or press CTRL + TAB) and the next available window will be activated.


Temperature Compensation Setup

Tempcomp Hotspot 19 Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Temperature Compensation Setup dialog box

The Options | Temperature Compensation Setup menu option opens the Temperature Compensation Setup dialog box. This dialog box allows you to compensate for room and part temperature, thus increasing accuracy of the inspection process.

More:

Available Input Parameters

TEMP COMP Command in the Edit Window

Controller Support


Available Input Parameters

The following explain the available input parameters on the Temperature Compensation Setup dialog box.

More:

Sensor Numbers boxes

Material Coefficient boxes

Current Temp boxes

Prev Temp boxes

Ref Temp boxes

High Threshld boxes

Low Threshld boxes

Origin boxes

Show Temperatures in Celsius

Temperature Compensation Enabled

Compensation Method

Time Remaining

Delay Before Reading Part

Reset to Defaults

Get Current Temps


Sensor Numbers boxes

The Sensor Numbers boxes contain a list of one or more sensor numbers to be used for the given axis or part. These values are very important when reading temperatures from the controller because they must correspond to how the sensors are actually configured.

  • Each sensor is a number in the range of 1 to 32.

  • Items in the list can be either a single number or a range from first to last.

  • Items are separated by either commas or left blank.

  • The input allows up to 32 values for any axis or the part.

For "manual" mode these numbers are relatively meaningless but at least one sensor number must be assigned for each axis and the part.


Material Coefficient boxes

The Material Coefficient boxes contain numbers reflecting the material property, and are the fractional change in length per unit change in temperature.

  • Values vary depending on what type of material was used to make the scales on the machine axes and on what the part is made of.

  • Units are per degree C or per degree F, depending on the selection of the checkbox for displaying in Celsius or not.

  • This can be thought of as meters/meter/degree C or inches/inch/degree F but since the length in both the numerator and denominator are in the same units they divide out.

Example: A scale with a coefficient of 11.5 microns/meter/degree C becomes 0.0000115 meters/meter/degree C or just 0.0000115/degree C.

Qual Tool

This box allows you to specify the material coefficient for the probe qualification tool separately from the part.


Current Temp boxes

The Current Temp boxes contain the current temperatures in the appropriate units. You can either type these or read them in from the controller depending on the type of machine available and the selected options.


Prev Temp boxes

The Previous Temp boxes always contain the previously read temperatures. If no temperatures were previously read in, these values are either zero or left blank.


Ref Temp boxes

The Ref Temp boxes contain the reference temperature from which temperature compensation adjustments need to be applied.

  • The amount of correction to be applied is based on multiplying the material coefficient by the difference between the current and reference temperatures.
    Amount of Correction = Material Coefficient x (Current Temp – Reference Temp)

  • If the current temperature is the same as the reference temperature the net effect is that no thermal compensation adjustment is applied.

  • The value in these boxes is almost always 20 degrees C, or the Fahrenheit equivalent.


High Threshld boxes

The High Threshld boxes contain an upper limit (in the appropriate units) on the current temperature above which no further thermal compensation will be applied. PC-DMIS doesn't produce any warning or error message.

Example: With a reference temp of 20 degrees C, a current temp of 35 degrees C and a high threshold of 30 degrees C the amount of correction actually applied would be based on a difference of (30 – 20) instead of (35 – 20) because the current temperature exceeded the upper limit.


Low Threshld boxes

The Low Threshld boxes is conceptually like the high threshold except it provides a lower limit on the current temperature below which no further thermal compensation will be applied.


Origin boxes

The Origin boxes are used to determine the length of the item to which thermal compensation is being applied.

Length = Current Position Value – Origin Value

  • The X, Y, and Z values of the Origin boxes will be zero most of the time. However, some types of machines do not use zero for the origin of their scales.

  • The Part value will typically also be zero unless there is some special type of fixturing constraint.


Show Temperatures in Celsius

The Show Temperatures in Celsius check box affects both the temperatures and the material coefficient.

  • If you select this check box, the display will use degrees Celsius.

  • If you clear this check box, PC-DMIS will use degrees Fahrenheit.


Temperature Compensation Enabled

The Temperature Compensation Enabled check box tells PC-DMIS to use temperature compensation.

  • If not selected, PC-DMIS does not perform any temperature compensation, and the TEMPCOMP command (if present in the part program) will have no effect.

  • If selected, PC-DMIS behaves according to the input parameters.


Compensation Method

The following are the available compensation methods and their respective processes in PC-DMIS.

Method Process
Manual
  • Compensation is manual (controlled by your input) with no involvement from the machine controller.
    • PC-DMIS performs all compensation calculations.

    • During part program execution the Temperature Compensation Setup dialog box opens and you can edit the current settings before proceeding with the rest of the program.
Read Temperatures from Controller
  • When using a machine that supports this option, PC-DMIS reads the current temperatures from the controller automatically rather than you supplying the data.
    • PC-DMIS performs all compensation calculations. The controller only provides the current temperatures.

    • During part program execution the Temperature Compensation Setup dialog box does not open.

    • The part program does not pause for your confirmation.
Controller Compensates Axes Only
  • The controller performs compensation of the machine axes itself.

  • The inputs for the axes will not be used.

  • Part input parameters apply since PC-DMIS still performs compensation for the part.

  • During part program execution the Temperature Compensation Setup dialog box does not open.

  • The program does not pause for your confirmation.
Controller Comps Axes and Part
  • The controller performs compensation of both the machine axes and the part.

  • The inputs for the axes are not used.

  • PC-DMIS does not perform any compensation calculations.

  • The input for the part for the material coefficient, reference temperature and origin must still be supplied because PC-DMIS must pass that information down to the controller.

  • During part program execution the Temperature Compensation Setup dialog box does not open.

  • The program does not pause for your confirmation.


Time Remaining

The Time Remaining display shows the time remaining before the temperature reading takes place. This only displays if you set up a delay period for execution. See Delay Before Reading Part.


Delay Before Reading Part

The Delay Before Reading Part box allows you to specify a period that PC-DMIS will wait during part program execution before reading the Sensors to obtain the current temperatures. If zero is entered then there is no pause.


Reset to Defaults

The Resets to Defaults button updates any previously modified values with the previously saved values. If this is on a DEA machine and a serv1.stp is available then PC-DMIS will read that file.


Get Current Temps

If you select the Read Temps from Controller method from the Compensation Method list, and if you use a machine that supports this option, the Get Current Temps button causes PC-DMIS to read the current temperatures from the controller and display them in the Temperature Compensation Setup dialog box.


TEMP COMP Command in the Edit Window

When you accept the inputs in the Temperature Compensation Setup dialog box by clicking the OK button PC-DMIS inserts a TEMPCOMP command into the part program.

Normally a part program will only use one TEMPCOMP command The TEMPCOMP command should be placed near the top of the program prior to any measurements. When you execute the part program, it behaves according to the various input parameters.


Controller Support

Not all comp methods are supported by all controllers. The following are the supported controllers for the different compensation methods. See Compensation Method.

Compensation Methods | Supported Controllers
Manual | All, there is no controller involvement with this method
Read Temps from Controller | DEA (only with DEAC family controllers), Sharpe32z using Leitz protocol
Controller Comps Axes Only | Sharpe32z using Leitz protocol
Controller Comps Axes and Part | Sharpe32z using Leitz protocol


Set Search Path

searchp Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Search Path dialog box

The Set Search Path menu option allows you to specify which external file PC-DMIS uses for the commands:

  • Loadprobe

  • Recall Alignment

  • Call Subroutine

To modify the directory being searched:

  1. Select Options from the menu bar

  2. Select Set Search Path. The Search Path dialog box opens.

  3. Choose LOADPROBE, RECALL, or SUBROUTINE from the Search For drop-down list.

  4. Select or clear the Search Current Directory check box.

  5. Select or clear the Search Specified Directory check box.

  6. Type the directory pathway in the box (or use the Browse button to select a directory).

  7. Click the Ok button. The changes will be made and the dialog box will close.

Clicking the Apply button will allow you to save the changes you make, but the Search Path dialog box will remain open.

The Search Path dialog box contains the following options:

More:

Search For

Search Current Directory

Search Current Directory First

Search Specified Directory

Browse Button


Search For

The Search for drop-down list lets you select one of these three options:

  1. LOADPROBE

  2. RECALL

  3. SUBROUTINE

For each of these you can then set up a directory that PC-DMIS will search in when the command for the selected option is encountered in the Edit window.


Search Current Directory

The Search Current Directory check box enables or disables searching within the current directory.


Search Current Directory First

When selected, (and if both the Search Current Directory and the Search Specified Directory check boxes are selected) this check box allows you search in both the current directory and the user specified directory. The order of the search depends on if this check box is selected:

  • If selected PC-DMIS will first access the current directory and then the user specified directory.

  • If cleared, the search order will be reversed, accessing first the user specified directory and then the current directory.


Search Specified Directory

The Search Specified Directory check box enables or disables searching in a directory you specify. The pathway for the directory you specify will be entered in the box just below the check box.


Browse Button

The Browse button allows you to browse for a user specified directory. When clicked, your system's directory structure will appear:

The directory window contains the folders and levels of folders available to you. Simply, highlight the directory you want PC-DMIS to search in and click the OK button. PC-DMIS returns you to the Search Path dialog box. Notice that the directory pathway now appears in the Search Specified Directory box.


OpenGL

opengl Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 OpenGL Options dialog box

The Options | OpenGL menu option brings up the OpenGL Options dialog box. This dialog box allows you to change the OpenGL options that affect display of the model in solid view mode. To change the part to solid view, see "View Setup" in the "Utilities" section.

More:

Desktop Settings

Options

Tessellation


Desktop Settings

There can be different OpenGL options for each desktop display setting. The Desktop Settings area shows what the current desktop settings are.


System Options - OpenGL - Options

Options

The Options area controls the display characteristics of the model in solid view mode. Some combinations of these options may not be available because of limitations of your graphics card. Also, depending on how your graphics card supports hardware acceleration, some combinations of options may result in lowered graphics performance. If the current option settings will result in lowered performance, a warning message will appear at the bottom of the dialog box.

More:

Double Buffering

Z-Buffer Depth

Color Depth


System Options - Options - Double Buffering

Double Buffering

When you select the Double Buffering check box, there are actually two display buffers: a front and a back buffer. The front buffer is what you see on the screen. When the screen has to be redrawn, such as when the model is rotated, the image has to be erased from the screen and the image redrawn in its new state. The erasing and drawing is done on the back buffer. You cannot see the actual erasing and drawing of the graphics. Once the graphics are drawn to the back buffer, the back buffer is swapped with the front buffer. This happens quickly so that any transition between the two buffers is virtually undetectable.

When the Double Buffering check box is cleared, or in other words, when there is only one display buffer, you can actually see the screen being erased and redrawn (albeit very quickly). The erasing and redrawing of the screen causes a flickering.

In summary, double buffering produces a more visually pleasing graphical display than single buffering.


Z-Buffer Depth

The Z-Buffer Depth list controls how much graphics memory is used for the z-buffer. The z-buffer determines which parts of a 3D model lie in front of other parts of the model. If you use insufficient bits for the z-buffer, visual artifacts may appear on the model in solid view mode. These artifacts are areas on the model that are drawn in front of other parts of the model when they should actually be hidden. These artifacts do not affect the accuracy of PC-DMIS but are simply inaccuracies in the visual display of the model.


System Options - Options - Color Depth

Color Depth

The Color Depth list controls how much graphics memory your system uses for the color information of each pixel. This number is usually dependent on the color depth of the Desktop Settings.


Tessellation

The Tessellation area controls the drawn image by setting a tessellation multiplier in the Multiplier Value box. PC-DMIS multiplies the Multiplier Value by the tessellation value for the given CAD system. These values are then used in the generation of the shaded image.


Graphics Options: Introduction

The Graphics menu lets you edit the contents of the window(s) in the Graphics Display window. To access this menu option:

  1. Select Graphics from the menu bar (or press ALT + G).

  2. Select the desired option.

The main topics in this section include:

  • Delete CAD

  • Delete Features

  • Mirror CAD

  • Screen Capture Clipboard

  • Screen Capture to Report

  • Edit CAD

  • Edit Feature

  • Edit Dimension Info

  • Edit Point Info

  • Edit Dimension Color

  • Rotate

  • Make CAD 3D

  • Screen Color

  • CAD Information

  • Scale Drawing


Graphic Options - Delete CAD

Delete CAD

deletcad Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Delete Cad dialog box

The Graphics | Delete Cad menu option displays the Delete CAD dialog box. This dialog lets you permanently remove the nominal images of features from the Graphics Display window. This function is useful in simplifying an imported CAD file before building an inspection program. For example, a CAD file may contain text or other descriptive information that has no impact on the inspection of the part. The Delete Cad function allows you to delete this extraneous data.

Note: In order to use this option, you have to first create CAD levels. To create different CAD levels, see "View Setup" for more information.

More:

Feature Types

Number of Selected Features

Number of Deleted Features

Delete CAD

Undo Deleted CAD

Deselect


Graphic Options - Delete CAD - Feature Types

Feature Types

The Feature Types area of the dialog contains various check boxes telling PC-DMIS what type of feature(s) to delete. The available selection consists of the following:

  • Points

  • Lines

  • Circles

  • Arcs

  • Curves

  • Surfaces


Graphic Options - Delete CAD - Number of Selected Features

Number of Selected Features

The Number Selected boxes display the number of features to be deleted. The numbers in these fields change depending on the features selected in the Feature Types area of the dialog.


Number of Deleted Features

The Number Deleted boxes display the number of features that have been deleted. The numbers in these fields change depending on the features selected in the Feature Types area of the dialog.


Graphic Options - Delete CAD - Delete CAD

Delete CAD

The Delete command button tells PC-DMIS to delete any nominal features that have been selected.


Undo Deleted CAD

The Undo command button tells PC-DMIS to restore any nominal features that have just been deleted.


Graphic Options - Delete CAD - Deselect

Deselect

The Deselect command button tells PC-DMIS to un-mark any features that were previously highlighted.


Graphic Options - Delete Features

Delete Features

delfeat Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Delete Features dialog box

The Graphics | Delete Features menu option brings up the Delete Features dialog box. This dialog lets you permanently remove the measured or constructed features from the part program. This option should be used when a number of unnecessary features need to be removed.

The Delete Features dialog box allows you to key in the ID #, click on the feature, or select the last feature created by specifying a number. PC-DMIS also offers the ability to restore any feature that has just been deleted. When the OK command button is pressed, the indicated features will be deleted.

Note: When measured features are removed from the Graphics Display window, PC-DMIS will automatically remove any dimensions or datums associated with them from the part program.

More:

Delete Features

Undo Deleted Features

Clear List


Graphic Options - Delete Features - Delete Features

Delete Features

The Delete command button deletes any features that were marked for deletion. This deletion is not permanent until the OK button is pressed.


Undo Deleted Features

The Undo command button allows you to restore all the deleted features that were deleted using the Delete button. This button will not restore deleted features once the OK button is pressed.


Clear List

The Clear List command button clears the list box of any marked features to be deleted.


Mirror CAD

The Graphics | Mirror Cad menu option allows you to mirror the CAD view of a part. This is particularly useful when measuring automotive parts that have identical left and right-hand pieces. If CAD information is available for the right side of a part, you can mirror the appropriate axis and create a CAD view of the left side of the part.

You can access this option by selecting Mirror Cad from the Graphics menu. Select the desired axis that is to be mirrored. Once the OK button is selected, PC-DMIS will mirror the CAD drawing in the specified axis and display the image in the Graphics Display window.

The Mirror Cad option does not create a new part program in the mirrored image. If a mirrored part program is desired, see File | Operations | Mirror and follow the instructions available.


Screen Capture Clipboard

The Graphics | Screen Capture Clipboard menu option will capture the Graphics Display window and copy the screen capture to the clipboard. This function is very similar to the Copy function discussed "Editing a Part Program".

To view an image captured to the clipboard, "paste" it into any Windows application where the Paste option is available (i.e., Word for Windows).

To automatically view the captured image in the Edit window, simply select the Graphics | Screen Capture To Report menu option. PC-DMIS does not by itself have the ability to edit or format the captured figure. A DISPLAY/METAFILE command will be displayed wherever the cursor is located. See Screen Capture to Report for more information.

Note: If you must edit or format the screen capture, you can use the Utilities | External Object command and insert an object into the Edit window (such as a bitmap file). Then, inside the paint or drawing program associated with that bitmap file, paste the screen capture you just took. You should be able to use the drawing or painting options that come with the external object's program to do your editing.


Screen Capture to Report

The Graphics | Screen Capture To Report menu option allows you to display screen captures in the Edit window. This menu option places a DISPLAY/METAFILE command in the Edit window. When this command is marked and executed, PC-DMIS automatically refreshes the screen capture and displays it when the Edit window is in report mode. This command is similar to the ANALYSISVIEW command and the DISPLAY/METAFILE command that are created in the Analysis Window. For more information on the Analysis Window, see "Analysis".

Note: Using True Type Font for text in the Graphics Display window will create the best results when capturing the image.


Edit CAD

editcad Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edit CAD dialog box

The Graphics | Edit Cad menu option brings up the Edit CAD dialog box. This dialog allows you to alter the color of the imported CAD file. Select the desired features to be changed. You can do this by moving the mouse pointer over the desired feature and clicking the left mouse button. PC-DMIS will draw a box around the selected CAD elements. When the mouse button is released, PC-DMIS will highlight the current elements that were selected and indicate the number of features in the Number Selected box. Additional elements may be chosen in the same manner, or the Deselect button will clear the screen of any highlighted elements. Once the desired elements are selected, click on the Color button and select the appropriate color. The Apply button must be pressed to view the color change in the Graphics Display window.

Note: In order for this option to work, you must create CAD levels. See "View Setup" for more information.

More:

Feature Types

Number of Selected Features

Edit Color

Change Color

Set as Priority

Name

Save Surfaces

Deselect


Graphic Options - Edit CAD - Feature Types

Feature Types

This option tells PC-DMIS what type of feature(s) to alter. Available types include:

  • Points

  • Lines

  • Circles

  • Arcs

  • Curves

  • Surfaces


Graphic Options - Edit CAD - Number of Selected Features

Number of Selected Features

This option displays the number of features that PC-DMIS will alter.


Edit Color

The Color command button allows you to set the color for a specified CAD element. To do this:

  1. Select the Color command button. PC-DMIS displays the Color dialog box.

  2. Select the desired color.

  3. Click the OK button. PC-DMIS updates the Edit CAD dialog box, displaying the selected color.


Change Color

The Change Color check box draws the selected CAD data in the color shown in the Color box at the bottom of the dialog box. The Apply button must be selected for this process to take place. To change the current color, select the Color button.


Set as Priority

You can store a set of CAD surfaces and by selecting the Set as Priority check box. Whenever you open the Edit CAD dialog box and select the Set as Priority check box, PC-DMIS will automatically select the previously stored set of surfaces.

More:

To store a new set of surfaces:


To store a new set of surfaces:

  1. Open the Edit CAD dialog box.

  2. Select the Set as Priority check box. If you've previously defined a set of surfaces, PC-DMIS will select them in the Graphics Display window.

  3. With the Set as Priority check box selected, click the Deselectbutton and then click the Apply button. This essentially tells PC-DMIS to clear any stored surfaces.

  4. Deselect the Set as Priority check box.

  5. Select the new set of surfaces to store.

  6. Select the Set as Priority check box.

  7. Click the Apply button.

  8. Click OK.


Name

The Name check box allows you to cycle between these two options by continuing to click on the Name check box:

Show Name: | Allows you to display the feature names (if provided by the CAD designer) or feature types of specified features. This option will individually display a feature name (click on the desired feature in the CAD display and select the Name check box until Show Name is displayed.) or a group of features (use the box select method to select the desired features and then select the Name check box until Show Name appears).
Erase Name: | Allows you to erase feature names. Simply select the desired feature name(s) and switch the Name check box to Erase Name.

Note: PC-DMIS doesn't actually erase the feature name, but simply re-draws the Graphics Display window without including it.


Save Surfaces

The Save Surfaces check box allows you to select surfaces for Find Nom processing. This option will speed up the calculation of nominal values as it allows PC-DMIS to determine which surfaces to check first. There is not a limit to the number of surfaces that can be selected. The order that the surfaces are selected in will determine the order of the search.


Graphic Options - Edit CAD - Deselect

Deselect

The Deselect command button tells PC-DMIS to clear any changes that were made with the Apply button before the OK button was clicked.


Edit Feature

editfeat Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 3 Hotspot 2 Hotspot 1 Edit Feature Identity dialog box

The Graphics | Edit Feature menu option brings up the Edit Feature dialog box. This dialog allows you to alter feature identifications within a part program. Using this option, you can change identifications and/or the colors associated with the feature ID. It will also allow you to move an ID to a new location. This is helpful if the identification is prohibiting you from viewing other data. If the screen becomes crowded with feature ID's, this option will also allow you to turn off the ID display capability.

A previously assigned feature name can be edited simply by double clicking on the desired feature in the list box. An Edit ID dialog box will appear allowing you to key in a new identification.

Feature ID's can also be changed in the Edit window. Simply highlight the desired ID and type in a new identification.

In the Edit window PC-DMIS does not track feature identifications and therefore will not warn you if duplicate ID's are assigned. It is advised that caution be used when making changes if identical ID's are not desired.

More:

Feature Color

Feature Display

Label Display


Feature Color

The Feature Color option allows you to set the color for a specified feature's identification. This option works in the same manner as the Edit Color option (see the Edit CAD dialog box found in Edit CAD).

More:

To Change the Color of a Feature:


To Change the Color of a Feature:

To change the color of a feature:

  1. Select the feature ID to be altered.

  2. Select the Feature Color option. PC-DMIS will automatically display the Color dialog box.

  3. Click on the desired color, or define a new one using the Custom Color box.

  4. Click the OK button. PC-DMIS returns to the Edit Feature Identity Color dialog box. The new color will be displayed in the Feature Color box.

  5. Click the Apply button and PC-DMIS will automatically change the color of the feature(s) in the Graphics Display window.


Feature Display

These ON/OFF options control the display of features in the Graphics Display window. This option is useful when you want to focus on only a portion of geometrical features the part contains at a time.

More:

To Determine the Display of a Part's Features:


To Determine the Display of a Part's Features:

To determine the display of a part's features:

  1. Select the feature(s) you want to turn on or off.

  2. Select either the ON or the OFF option located under the Feature Display area of the dialog box.

  3. Click the Apply button. PC-DMIS will display or conceal the features.

  4. If the changes made are to your satisfaction, click the OK button. PC-DMIS will close the dialog box and save the changes.


Label Display

These ON/OFF options control the display of feature IDs in the Graphics Display window. This option is useful when a portion of the part drawing becomes "busy." Specific IDs can be turned off, allowing other IDs to be more easily viewed.

More:

To Turn On or Off the Display of Feature ID's:


To Turn On or Off the Display of Feature ID's:

  1. Select the feature label(s) that you want to turn on or off.

  2. Select either the ON or the OFF option located under the Label Display area of the dialog box.

  3. Click the Apply button. PC-DMIS will display (or conceal) the feature labels.

  4. If the changes made are to your satisfaction, click the OK button. PC-DMIS will close the dialog box and save the changes.


Edit Dimension Info

editdim Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edit Dimension Info dialog box

The Graphics | Edit Dimension Info menu option brings up the Edit Dimension Info dialog box. This dialog allows you to create a DIMINFO command that displays selected dimensional information in the Graphics Display window. See DIMINFO Command for information on editing a DIMINFO command in the Edit Window.

The Auto check box (under the Dimension Info Format area of this dialog) automatically determines the appropriate dimension output format to display, based on the type of dimension that was selected. To override this option, select the desired Dimension Info format check box(es). PC-DMIS will indicate the order of the output selections by displaying a number to the left of the check box. This allows the order of the format to be altered to meet individual needs. You can clear a check box by simply selecting it a second time.

If this option is displayed, you can press the CTRL key and while keeping it held, click the left mouse button to select a feature in the Graphics Display window. Any dimensions using that selected feature will be highlighted in the Dimension List box.

This Edit Dimension Info dialog box allows you to edit the dimension information being displayed. The following paragraphs describe the commands and options available to this dialog box.

More:

Display Options

Graph Options

Dimension Info Format

Location Axes

True Position Axes

Delete Infos

DIMINFO Command


Display Options

The Display Options area allow different display possibilities for each dimension within the Graphics Display window. The following options available are:

Show Dimension ID | This check box toggles the ability to display the ID for the dimension within the Graphics Display window.
Show Feature ID | This check box toggles the ability to display the ID for the feature whose dimensions are being measured.
Show Headings | This check box toggles the display of row and column headings in the Dimension Info box.


Graph Options

The Graph Options area allows for graphical display of the dimension percentage in the Dimension Info box.

More:

No Graph

Graph Worst Axis

Graph Each Axis


No Graph

Select this option if you do not want to display a graph in the Dimension Info box.


Graph Worst Axis

Select this option to display a graph at the top of the Dimension Info box. Only the worst dimension percentage will be used for the graph.


Graph Each Axis

Select this option to display a dimension percentage graph for every axis in the Dimension Info box.

Dimension Info box


Dimension Info Format

diminfo Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 The check boxes in the Dimension Info Format area allow you to select the type of information displayed in the Graphics Display window for each dimension. When the Display check box is selected from within a dimension's dialog box, PC-DMIS displays the information in the Graphics Display window.

The available check boxes in the Dimension Info area of the dialog box are:

More:

Auto

Measured

Nominal

Tolerances

Deviation

MaxMin

OutTol

Mean

StdDev

Number of Points

Reset Button


Graphic Options - Dimension Info Format - Auto

Auto

 The Auto check box automatically displays the following information: Measured, Nominal, Tolerances, Deviation, MaxMin, OutTol.


Graphic Options - Dimension Info Format - Measured

Measured

 This check box displays the actual measured dimensions.


Graphic Options - Dimension Info Format - Nominal

Nominal

 This check box displays the theoretical values for the dimension.


Graphic Options - Dimension Info Format - Tolerances

Tolerances

 This check box displays the acceptable tolerance levels either greater than or less than the nominal.


Graphic Options - Dimension Info Format - Deviation

Deviation

 This check box displays the deviation of the measured value from the nominal.


MaxMin

 This check box displays the maximum and minimum values for the dimension


OutTol

 This check box displays how far out of tolerance the measured value is from the nominal and tolerance values.


Mean

 This check box displays the average of all the deviations for the dimension.


StdDev

 This check box displays the standard deviation of all the deviations for the dimension


Number of Points

 This check box displays the number of points used to measure the feature of the dimension.


Graphic Options - Dimension Info Format - Reset Button

Reset Button

The Reset button clears out any check marked boxes in this section and selects the Auto check box.


Location Axes

locaxes Hotspot 18 Hotspot 17 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 This table describes the available Location Axes and their functions that you can choose from while editing dimension information.

More:

Worst

Use Dim Axes

X

Y

Z

Prad

Pang

D

R

A

L

H

V

T

RT

S

RS

PD


Graphic Options - Location Axes - Worst

Worst

 This option uses the axis that gives the worst out of tolerance condition. PC-DMIS searches through the available axes and selects the one that gives the worst case scenario for the dimension.


Graphic Options - Location Axes - Use Dim Axes

Use Dim Axes

 This option simply uses the axes that were previously defined in the dimension's dialog box.


Graphic Options - Location Axes - X

X

 Displays the X axis value


Graphic Options - Location Axes - Y

Y

 Displays the Y axis value.


Graphic Options - Location Axes - Z

Z

 Displays the Z axis value.


Graphic Options - Location Axes - Prad

Prad

 Prad stands for Polar Radius. This option selects Polar coordinates.


Graphic Options - Location Axes - Pang

Pang

 Pang stands for Polar Angle. This option selects Cartesian coordinates.


D

 Displays Diameter value.


R

 Displays the Radius (half of Diameter) value.


A

 Displays the Angle (for cones) value.


L

 Displays the Length (used for cylinders and slots).


H

 Displays the height.


V

 Displays the vector location.


T

 Displays error along approach vector (for points on curved surfaces).


RT

 Displays the deviation along the report vector.


S

 Displays the deviation along the surface vector.


RS

 Displays the deviation along the surface report.


PD

 Displays the diameter of a circle (perpendicular to the pin vector).


True Position Axes

Tpaxes Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 This table describes the available True Position Axes and their functions that you can choose from while editing dimension information.

More:

Worst

Use Dim Axes

X

Y

Z

Prad

Pang

PA

PR

DF

TP

D1

D2

D3


Graphic Options - True Position Axes - Worst

Worst

 This check box uses the axis that gives the worst out of tolerance condition. PC-DMIS searches through the available axes and selects the one that gives the worst case scenario for the dimension.


Graphic Options - True Position Axes - Use Dim Axes

Use Dim Axes

 This check box simply uses the axes that were previously defined in the dimension's dialog box.


Graphic Options - True Position Axes - X

X

 This check box displays X axis value.


Graphic Options - True Position Axes - Y

Y

 This check box displays Y axis value.


Graphic Options - True Position Axes - Z

Z

 This check box displays Z axis value.


Graphic Options - True Position Axes - Prad

Prad

 Prad stands for Polar Radius. This option selects Polar coordinates.


Graphic Options - True Position Axes - Pang

Pang

 Pang stands for Polar Angle. This check box selects Cartesian coordinates.


PA

 This check box displays polar angle value.


PR

 This check box displays polar radius value.


DF

 This check box displays diameter of the feature.


TP

 This check box displays the true position tolerance and its associated deviation.


D1

 This check box displays the diameter/width value of the first datum.


D2

This check box displays the diameter/width value of the second datum.


D3

This check box displays the diameter/width value of the third datum.


Graphic Options - Edit Dimension Info - Delete Infos

Delete Infos

The Delete Infos button removes all DIMINFO commands from the part program.


DIMINFO Command

The DIMINFO command is created by the Edit Dimension Info dialog box. When a DIMINFO command has been inserted in the part program, the dimension data is displayed in the Graphics Display window. The DIMINFO command can be modified in the Edit window. The command line for the DIMINFO command reads:

DIMINFO/Dim ID;DIMID,FEATID; HEADINGS, "GRAPH OPTION";"DIMENSION OUTPUT",  ,$
    "AXES OUTPUT"

Dim ID = The ID of the dimension selected to be displayed.

DIMID = A toggle string that shows a blank when it is OFF, and "DIMID" when it is ON. When it is ON, the DIMINFO will display the dimension ID with the dimensional information.

FEATID = A toggle string that shows a blank when it is OFF, and "FEATID" when it is ON. When it is ON, the DIMINFO will display the ID of the dimension's first feature with the dimensional information.

HEADINGS = A toggle string that shows a blank when it is OFF and "HEADINGS" when it is ON. When it is ON, the column and row headers will be displayed in the Dimension Info box.

GRAPH OPTION = The graph option for graphical display of the dimension percentage in the Dimension Info box. Possible toggle values are GRAPH WORST and GRAPH AXIS. When the toggle string shows a blank, no graph will be show in the box.

DIMENSION OUTPUT = The format of the dimension information that will be displayed based on the order of selection. Available output options are MEAS, NOM, TOL, DEV, MAXMIN, OUTTOL, MEAN, STDDEV, and NUMPTS. Options cannot be duplicated.

AXES OUTPUT = The format of the dimension axes that will be displayed based on the order of selection. Available axes depend upon the dimension type and include all location and true position axes. If USEDIM is toggled in the first axis position, the DIMINFO will display the axes that have been specified in the dimension. If WORST is toggled in any axis position, the axis that produced the largest out-of-tolerance value is displayed. This output is not available for dimensions that are not location or true position dimensions. Axes cannot be duplicated.


Edit Point Info

editpnt Hotspot 10 Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edit Point Info dialog box

The Graphics | Edit Point Info menu option brings up the Edit Point Info dialog box. This dialog creates a POINTINFO command that can be used to display individual point information in the Graphics Display window in a Point Info box. See POINTINFO Command for information on editing a POINTINFO command in the Edit Window.

To display individual point information in the Graphics Display window using the Edit Point Info dialog box:

  1. Open the Edit Point Info dialog box by selecting Graphics | Edit Point Info from the main menu.

  2. You will see that the features appear in the Feature List box and that dimensions appear in the Dimension List box.

  3. Select at least one feature or dimension. The individual points associated with that feature appear in the Hits List box.

  4. Select the point(s) from the Hits List box that you want displayed. If more than one dimension or feature is selected, all points from the dimension or feature will be displayed in the point info.

  5. Make sure the Show Point Info check box is selected.

  6. Click the apply button. Information about the selected hit(s) will appear in a Point Info box in the Graphics Display window.

Each Point Info box may display the hit number, the XYZ position, the IJK vector, and the deviation related to a particular hit.

The formats may be changed, saved, and moved in a similar manner to how the Dimension Info box formats are set and moved.

More:

Point Info Format

Hit List

Feature List Area

Dimension List Area

Delete Infos

POINTINFO Command

Filters


Point Info Format

This portion of the dialog box allows you to determine the type of information displayed in the Graphic's Display area next to a feature or dimension. The check boxes in this section must be used in conjunction with the Create (Apply when editing) or the OK button to either select or remove information to display.

More:

Auto

Hits Number

Point

Vector

Deviation

Show ID

Show Type

Show Headings

Show Graph


Graphic Options - Point Info Format - Auto

Auto

The Auto check box sets up PC-DMIS to automatically display the Hits Number, the Point, the Vector, and the Deviation for the individual points once the Show Point Info check box is selected.


Hits Number

The Hits Number check box displays the hit sequence of a point on a feature.

Example: If a circle generally takes four hits, and one of the hits used to measure that circle was selected, this option displays a number (one through four) indicating when that hit was taken in the sequence: 1st, 2nd, 3rd, or 4th.


Graphic Options - Point Info Format - Point

Point

The Point check box displays the X, Y, and Z point location of the hit selected.


Graphic Options - Point Info Format - Vector

Vector

The Vector check box displays the IJK vector of the hit selected.


Graphic Options - Point Info Format - Deviation

Deviation

The Deviation check box displays the deviation of the point from the nominal.

  • For features, the point deviation is the distance between the measured hits and the actual hits.

  • For dimensions the point deviation is related to the dimension type and is the same as the deviation displayed for the individual points in the textual analysis of the dimension.


Show ID

The Show ID check box allows you to display the ID of a particular feature or dimension.


Show Type

The Show Type check box allows you to display the type of feature or dimension displayed.


Show Headings

The Show Headings check box allows you to display the row headers in the Point Info box.


Show Graph

The Show Graph check box allows you to display the dimension percentage graph in the Point Info box.


Hit List

This section of the dialog box allows you to select a feature's or a dimension's individual hits to be displayed.

More:

List Box


List Box

The Hit List box contains a list of all the hits associated with a particular feature or dimension. Simply select the hits whose information you would like to view.


Feature List Area

This section of the dialog box allows you select an individual feature. The hits associated with that feature will be displayed in the Hit List box.

More:

List box


Graphic Options - Feature List Area - List box

List box

The Feature List box contains a list of all the features associated with a particular part program. Simply select the feature whose hit information you would like to view.


Dimension List Area

The Dimension List allows you to select an individual dimension. The hits associated with that dimension will be displayed in the Hit List box.

More:

List box


Graphic Options - Dimension List Area - List box

List box

The Dimension List box contains a list of all the dimensions associated with a particular part program. Simply select the dimension whose hit information you would like to view.


Graphic Options - Edit Point Info - Delete Infos

Delete Infos

The Delete Infos button removes all POINTINFO commands from the part program.


POINTINFO Command

The POINTINFO command is created by the Edit Point Info dialog box. When a POINTINFO command has been inserted in the part program, a Point Info box is displayed in the Graphics Display window. The POINTINFO command can be modified in the Edit window. The command line for the POINTINFO command reads:

POINTINFO/Dim ID or Feat ID; FILTER FILTER_TYPE FILTER_NUM;ID,TYPE; HEADINGS, GRAPH; "OUTPUT FORMAT" ,$
                      "HIT NUMBERS"

Dim ID or Feat ID = The ID of the dimension or feature to be displayed.

FILTER_TYPE = A toggle string that shows the filter option of NONE, INTERVAL, WORST, DEVIATION, or OUTTOL.

FILTER_NUM = A number field available when the filter option is INTERVAL, WORST, or DEVIATION.

ID = A toggle string that shows a blank when it is OFF, and "ID" when it is ON. When it is ON, the POINTINFO will display the dimension or feature ID with the point information.

TYPE = A toggle string that shows a blank when it is OFF, and "TYPE" when it is ON. When it is ON, the POINTINFO will display feature or dimension type (i.e. CIRCLE, POINT, ROUNDNESS, LOCATION), with the point information.

HEADINGS = A toggle string that shows a blank when it is OFF and "HEADINGS" when it is ON. When it is ON, the row headers will be displayed in the Point Info box.

GRAPH = A toggle string that shows a blank when it is OFF and "GRAPH" when it is ON. When it is ON, the dimension percentage will be graphically displayed in the Point Info box.

OUTPUT FORMAT = The format of the point information that will be displayed based on the order of selection. Available output options are HIT, PT, V, and DEV. Options cannot be duplicated.

HIT NUMBERS = The hit numbers are the specific numbered hits that are controlled by this particular POINTINFO command. Multiple hits can be displayed using the same POINTINFO command. Each field in the hit numbers is a toggle string. When a hit is ON, the string in the number position is the hit number (1,2,3, etc.). When a hit is OFF, the toggle string displays a blank.


Filters

The Filters area allows you to set filter options to be used when displaying individual point information.

More:

Filter: None Used

Filter: Hit Interval

Filter: Worst

Filter: Deviation Above

Filter: Out of Tolerance


Filter: None Used

The None Used option tells PC-DMIS not to use any filtering for the POINTINFO command. All hits selected will be displayed with the POINTINFO command.


Filter: Hit Interval

The Hit Interval option checks the integer value in the box to its right, and only displays the particular hit interval chosen with the POINTINFO command. For example, if 2 was chosen, then every 2nd hit would be displayed, if 3, then every 3rd hit, if 4 then every 4th hit, etc.


Filter: Worst

The Worst option checks the integer value in the box to its right, and only displays the hits that give the worst deviations for the dimension. For example, if you type 3 in the box, the POINTINFO command only displays the three worst deviations.


Filter: Deviation Above

The Deviation Above option checks the number value in the box to its right, and only displays the hits that have deviations larger than this value. For example, if you type 0.01 in the box, the deviations of 0.013 and -0.015 will be displayed, while deviations of 0.003 and –0.005 will not be displayed.


Filter: Out of Tolerance

The Out of Tolerance option only displays the hits that have deviations that are out of tolerance.

For hits related to features (not related to dimensions), only those hits with deviations larger than the Show Deviations Tolerance on the Setup Options dialog box's General tab are displayed. (See "Show Deviations Tolerance" in the "System Options" section.)


Edit Dimension Color

The Graphics | Edit Dimension Colors menu option brings up the Edit Dimension Color dialog box. This dialog allows you to set the number of tolerance zones and their respective colors. To do this:

  1. Make sure the dialog box is open.

  2. Type the number of tolerance zones desired.

  3. Select a tolerance zone from the Dimension Colors drop-down list of zones.

  4. Press the Edit Color button to change the color of the tolerance zone that is currently selected.

You can also set the colors like this:

  1. Select a start color and an end color with the left mouse button directly on the dialog box's color wheel.

  2. Click the Apply Colors button.

These two colors will be set as the colors for the first and last tolerance zones. The remaining tolerance zones will have colors spaced evenly between the start and end colors. The direction of the spacing depends upon the option selected:

  • The Clockwise option will set the end color to have the same brightness as the start color, and will space the colors in a clockwise direction.

  • The Counter Clockwise option also will set the end color to have the same brightness as the start color, but will space the colors in the counter clockwise direction.

  • The Straight Line option will space the colors from the start color to the end color, regardless of the brightness, in a straight line direction.

These changes can override the previous default tolerance colors simply by pressing the Default button. Selecting the Recall button will return the colors to the original default setting. (See also "Edit Dimension Colors" in the "Analysis Window" section.)


Graphic Options - Rotate

Rotate

The Graphics | Rotate menu option brings up the Rotate dialog box. This dialog allows you to rotate a part drawing in three dimensions. Each view of the part can be rotated up to 45 degrees per rotation. You can also activate this option by selecting the 3D Rotate mode icon (or press CTRL + R).

To rotate the drawing using the dialog box:

  1. Select the view to be altered (1-4).

  2. Determine the amount of rotation by selecting the degree increment (1, 5, 10, or 45).

  3. Click on the desired axis button to rotate the drawing in the indicated direction.

Pressing the Reset button will change the drawing in the Rotate dialog box and in the Graphics Display window back to its previous view.

If you select the Animate check box, PC-DMIS dynamically re-draws the part in the Graphics Display window as it is rotated.

Note: The "Utilities" section discusses other ways to rotate a drawing three dimensionally. See the "Rotate 3D Mode" topic for additional information.


Make CAD 3D

The Graphics | Make Cad 3d menu option allows you to manipulate a 2D CAD drawing three-dimensionally. This option can also be accessed during the File | Import phase of loading a CAD drawing

See the "Import" section for complete information on using CAD 3D.

Note: Any changes made to the drawing are temporary. When the main PC-DMIS for Windows screen is reactivated, the alterations will no longer be valid.


Graphic Options - Screen Color

Screen Color

scrcolor Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Screen Color dialog box

The Screen Color dialog box allows you to alter the colors that will be viewed in the Graphics Display window.

More:

To Change a Color:

Background

Highlight

3D Grid

Text


To Change a Color:

To change the colors:

  1. Click on the Edit button for Background, Highlight, Text, or 3D Grid. The Color dialog box will appear.

  2. Choose a new color for the option you selected.

  3. Click OK. The Color dialog box will close returning you to the Screen Color dialog box.

  4. Click the Apply button to save the changes you have made and continue working in the Screen Color dialog box.

  5. When finished, click the OK button.


Background

The Background area allows you to change the background screen color. Follow the directions discussed in "To Change a Color".


Highlight

The Highlight area allows you to change the color used for highlighting within the Graphics Display window of PC-DMIS. Follow the directions discussed in "To Change a Color".


Graphic Options - Screen Color - 3D Grid

3D Grid

The 3D Grid area allows you to change the color used for the 3D grid in the Graphics Display window. Follow the directions discussed in "To Change a Color".

For more information on the 3D Grid, see "3D Grid" in the "Utilities" section.


Text

The Text area allows you to change the color of the text used within the Graphics Display window of PC-DMIS. Follow the directions discussed in "To Change a Color".

More:

Same As Geometry

Font


Same As Geometry

If the Same as Geometry box is checked, PC-DMIS will automatically display the screen text in the same color defined for the geometry.


Font

The Font button allows you to change the font type, style, and/or size.


CAD Information

The Graphics | Cad Information menu option allows you to obtain CAD information simply by highlighting the desired CAD feature in the Graphics Display window. Once the CAD feature is selected, PC-DMIS will display any available CAD information. Clicking the View button will confirm the selection of a feature by flashing the highlighted graphical image within the Graphics Display window.

See "CAD Info" in the "File Options" section for additional information.


Scale Drawing

The Scale Drawing option is not available from the menu bar. The Scale Drawing option lets you alter the part's image in the Graphics Display window. This option does not alter the CAD data in any way.

To use this option:

  1. Press the SHIFT key and while holding it down, click the right mouse button. The Scale Drawing dialog box will appear.

  2. Indicate the X, Y, Z part coordinates that are to be displayed in the center of the screen.

  3. Type the desired scaling factor.

Example: To reduce the size of the drawing elements by 50%, type 0.5. To double the size of the drawing elements, type 2.0. A scaling factor of 1.0 will not affect the size of the drawing.

You can also scale the graphical image within the Graphics Display window simply by right mouse clicking above or below an imaginary horizontal line that splits the Graphical Display area.


Editing a Part Program: Introduction

One of the principal tools for editing a part program is the Edit window. The Edit window allows the part programmer to perform editing operations such as cut, copy, and paste as well as add and execute measurement commands, perform debugging, and configure and view inspection results. Those familiar with previous versions of PC-DMIS will notice that the appearance of the Edit window has changed. The Edit window menus have been reorganized. A toolbar, providing quick access to many of the frequently accessed Edit window functions, has also been added. These enhancements provide a set of tools for manipulating Edit window content in a way that is easy and intuitive to use.

The following topics describe the Edit window in the following order:

  • Menu bar options, including their organization and use.

  • Edit window toolbar

  • Edit window status bar

edwindow Hotspot 3 Hotspot 2 Hotspot 1 Additional topics in this section related to the Edit window, describe the following:

  • Edit window Header and Footer Formats

  • Working in Summary Mode

  • Creating and Editing Expressions

  • Using the Edit window

  • Edit window commands for constructed features, dimensions, alignments, measurements, and probes

  • Displaying comments and trace fields in the Edit window

  • Displaying the graphics display in the Edit window

  • Global commands in the Edit window


Edit Window Menu Options

There are four menu options available from the Edit window menus

These are:

  1. Report

  2. Edit

  3. Execute

  4. Path

Each of these menus contains options that allow the programmer to configure various aspects of the part program including cut, copy, paste, addition, execution, and deletion of features, debugging program execution, and configuration of the inspection report. The following sections provide the details on these options.

More:

Report Menu

Edit Menu

Execute Menu

Path Menu

Marked Sets


Report Menu

Options in the Report menu allow the programmer to configure, view, print and otherwise customize the appearance of the Edit window.

More:

Load Inspection

Hyper-Reporting

Print Setup

Print Preview

Print (F4)

Insert Form Feed

Fonts (F6)

Colors (Shift F6)

To change the colors used:

Customize

Command

Report

Hyper-Report

Summary View

Close Window


Load Inspection

The Report | Load Inspection Edit window menu option allows you to select the desired text file to be displayed on the screen.

To open an inspection report:

  1. Choose Report from the Edit window menu bar. An Open File dialog box will appear.

  2. Select Load Inspection.

  3. Select the desired text file to be displayed on the screen.

The inspection report is opened in a word pad window. The menus in this window allow you to:

  • Cut, copy, and paste sections of a report

  • Open an existing report

  • Save a new report

  • Print a report

  • Close the open report


Hyper-Reporting

The Edit window's Report | Hyper-Reporting submenu allows you to use the following options to create or edit Hyper-Reports:

NEW | This command opens up a blank Hyper-Report screen. You can then begin creation of a new Hyper-Report.
EDIT | This command opens up an existing Hyper-Report for editing purposes.

See "Hyperview Reporting" for more information.


Editing a Part Program - Report Menu - Print Setup

Print Setup

To send Edit window output to another source (either a file or printer):

  1. Choose Report | Print Setup. The Print Options dialog box opens.

  2. Select either the File check box, the Printer check box, the DMIS Output check box, or any combination of the three. These check boxes allow you to send the report to a file, to a printer, or save it as a DMIS Output file.

  3. Next to each check box certain options will become available depending on what you selected in the previous step.

  4. Click the OK button (or press ENTER).

More:

Output to a File:

Output to the Printer:

Output as a DMIS Output file:


Editing a Part Program - Report Menu - Print Preview

Print Preview

The Report | Print Preview option allows you to preview the Edit report before it is printed. Print Preview allows you to use the following options to help preview your Edit report.

  • You can view one or two pages at a time.

  • Using the Next Page and Prev Page buttons you can cycle through your report.

  • You can enlarge your report by selecting the Zoom In button. To return to previewing the entire page, click the Zoom Out button.


Print (F4)

In PC-DMIS, there are two ways to send Edit window report data to other destinations. This can be done by:

  1. Inserting a PRINT/REPORT command. See Inserting a Print Command

  2. By configuring the Print Options dialog box. See Print Setup.

To print the current Edit report by inserting a Print/Report command in to the Edit window:

  1. Open the Edit window.

  2. Click the Command Mode icon from the Edit window toolbar, placing PC-DMIS into Command Mode.

  3. Select Print Command from the Report menu (or type PRINT at the desired location and press TAB). PC-DMIS displays the PRINT/REPORT command as well as the various options you can configure.

To print the current Edit report by configuring the Print Options dialog box:

  1. Make sure an output option is indicated by choosing Report | Print Setup from the Edit window menu bar.

  2. Choose Report from the Edit window menu bar.

  3. Choose Print from the Report menu. The Edit window output will be sent to the printer and/or pre-selected file. (See Print Setup.)

An error message will be displayed if Print is chosen without an output option being indicated.


Insert Form Feed

This option creates a command in the Edit window that causes the printed page of a report to be ejected from the printer when the Insert Form Feed command in the file has been reached during printing. The form feed command has no effect when printing to a file.


Fonts (F6)

The Report | Fonts menu option brings up the Font dialog box. This dialog allows you to change the font attributes used in the Edit window. Any font available on the computer system may be used. Using the Font dialog box you can do the following:

  • View different font samples

  • Change fonts

  • Change font styles

  • Change font sizes

To change font attributes in the Edit window:

  1. Select Report | Fonts from the Edit window menu bar. The Font dialog box will appear

  2. Make the desired changes

  3. Select the OK button.

The changes will be applied the to text in the Edit window

Note: Some fonts that do not have a uniform spacing can make the Edit window more difficult to read.


Colors (Shift F6)

The Report | Colors option allows configuration of the colors used to differentiate text displayed by the Edit window. There are four principal colors that can be configured.

  1. Standard

  2. Out-of-Tolerance

  3. Marked

  4. Debug
Standard Color: | Standard Color is the default color. If no other condition is present then the default color is used.
Out-of-Tolerance: | Out-of-Tolerance color shows measurements that are outside of their tolerance limits. Out-of-Tolerance color is also used to indicate if some feature in the Edit window is not fully defined. For example, if a tip is recalled but is not defined in the probe database, this tip text will be colored with the Out-of-Tolerance color.
Marked Color: | Marked Color represents any feature that is marked for execution. Some features such as alignments are always executed and therefore always show up in the Marked color.
Debug Color: | Debug Color highlights the line upon which execution will occur next when executing a part program using breakpoints.
Background Color: | Background Color of the Edit window can also be modified from within this dialog.


To change the colors used:

  1. Select Report | Colors from the Edit window menu bar. The Colors dialog box opens.

  2. Simply click the Edit button. A color selection box will appear

  3. Select the new color or customize a color by selecting the Define Custom Colors button.

  4. Click the OK button. The color selection box will close.

  5. Click the Apply button to see the changes without closing the Colors dialog box.

  6. Click the OK button to apply the changes and close the Colors dialog box.

The color changes will immediately be made.


Customize

The Report | Customize Edit Window menu option brings up the tabbed Report Display Options dialog box. The dialog box contains the following tabs:

  • Command

  • Report

  • Hyper-Report

These tabs let you specify the features (or dimensions) that will be displayed in the Edit window, printed in the Edit report, and options for the Hyper-Report are also available from this dialog box.


Command

The Command tab allows you to chose which of the following display options available for command mode.

Show Features | This option displays the features measured by the part program.
Show Alignments | This option shows alignment changes as they occur during the part program. It will display all alignment changes that occur in the dimension or feature lists.
Show Moves | This option shows any moves that have been added to the part program.
Show Comments | This option shows any comments that have been added to the part program. (See Comments for additional information.)
Show Dimensions | This option displays the specified dimension for the features inspected by PC-DMIS. It will be displayed in the selected format using the Dimension Format command.
Show Hits | This option displays each hit.
Show Header / Footer | This option displays the header / footer from the LOGO.DAT, HEADER.DAT and ELOGO.DAT files. (See Header and Footer Formats for information on altering these files.)
Show Tips | This option displays the tip file names used to inspect the part.


Editing a Part Program - Report Menu - Report

Report

The Report tab shows the display options available for Report mode. Many of the listed commands will only be visible in Report mode if they are marked for execution.

Show Features | This option is available in both formats. It is documented in the Command tab.
Show Alignments | This option is available in both formats. It is documented in the Command tab.
Show Moves | This option is available in both formats. It is documented in the Command tab
.Show Comments | This option is available in both formats. It is documented in the Command tab.
Show Dimensions | This option is available in both formats. It is documented in the Command tab.
Use Old Style Dimension Reporting | This option is available only in Report mode. It determines whether PC-DMIS uses formatted text (selected) or uses a graphics table (not selected) for displaying the dimensions.
Show Hits | This option is available in both formats. It is documented in the Command tab.
Show OutTol Only | If this option is marked, PC-DMIS will only show the out of tolerance dimensions. ("Show Dimensions" must be ON.) This option is only available when Show Inspection Report is selected.
Show Header / Footer | This option is available in both formats. It is documented in the Command tab.
Show Screen Captures | This option displays any graphics related to DISPLAY/METAFILE and ANALYSISVIEW commands in the report.


Hyper-Report

The Hyper-Report tab displays a dialog used to configure the default *.RPT file and whether or not the Hyper-Report is automatically loaded after execution. Below are the options available on the Hyper-Report tab:

Option | Description
Auto Load Hyper-Report | Selecting this check box tells PC-DMIS to automatically load a pre-existing Hyper-Report once the part program finishes execution.
Print on load | Selecting this check box tells PC-DMIS to print the Hyper-Report as soon as it is loaded. This only works on auto loaded reports, not on every hyper-report you open. If you deselect this check box you can first preview how the Hyper-Report would appear.
Use Standard Report | This check box tells PC-DMIS to load the standard report. You can define a standard report by using the Browse button, selecting the desired Hyper-Report, and then clicking the Set As Standard Report button. Deselecting this check box tells PC-DMIS to use the report in the Hyper-Report File box.
Hyper-Report File | This box contains the name of the Hyper-Report to load.
Set As Standard Report | This button sets the report in the Hyper-Report File box as the standard report to use when auto loading a report.

For more information on this dialog see "Hyper Report".


Summary View

The Summary View tab contains the Default to Summary View check box. This check box determines whether or not the Edit window defaults to the Summary View (also known as "Summary Mode") for new part programs and part programs from previous versions of PC-DMIS that have not been opened in the current version. Otherwise, PC-DMIS will default to the last view that the part program was in when closed.


Close Window

The Report | Close Window command hides the Edit window. To retrieve the Edit window after it has been hidden, select File | Edit Window from the menu bar.


Editing a Part Program - Edit Window Menu Options - Edit Menu

Edit Menu

The Edit menu displays tools that are used to edit part program text, define patterns, search, set bookmarks and breakpoints, and manipulate expressions. The following commands are available. These powerful editing tools give you the capability to edit your part programs with greater ease and flexibility.

The following options are available.

More:

Cut (Ctrl X)

Copy (Ctrl C)

Paste (Ctrl V)

Paste w/Pattern

Delete (DEL)

Select All (Ctrl A)

Pattern

Find (Alt-F3)

Replace

Go To (Shift F10)

Bookmarks

Breakpoints

Expression

Text Anal Toggle Cart/Pol (Shift F5)

Toggle master/slave arm

Object


Cut (Ctrl X)

The Edit | Cut menu option allows you to "cut" or move text from one area to another using the clipboard.

To cut text:

  1. Highlight the item(s) to be moved to another area.

  2. Click on Edit | Cut (or press CTRL + X). The text will be removed from the Edit window and stored on the clipboard.

  3. Use the Edit | Paste (or press CTRL + V) command to restore the cut text. (See "Paste".)

Note: When selecting the Cut (CTRL + X) command any previous clipboard contents will be replaced with the cut selection.


Copy (Ctrl C)

The Edit | Copy menu option also allows you to copy and move text from one area to another using the clipboard. The only difference between this option and the Cut option is that the text will not be removed from the Edit window when it is copied.

To copy text:

  1. Highlight the desired text.

  2. Click on Edit | Copy. The text will remain in its current location and will be stored on the clipboard as well.

  3. Use the Edit | Paste command to restore the cut text. (See "Paste".)

Note: When selecting the Copy command any previous clipboard contents will be replaced with the copied selection.


Paste (Ctrl V)

The Paste option takes the information that is stored on the clipboard and pastes it to the Edit window at the current cursor location.

To paste text:

  1. Place the cursor in the desired location.

  2. Select Edit | Paste from the Edit window menu bar.

The Paste option will store the current information on the clipboard until new text is cut or copied.


Paste w/Pattern

The Edit | Paste With Pattern option takes any feature (or group of features) stored on the clipboard and pastes it to the Edit window at the current cursor location. When you do this, new features are created based on those copied to the clipboard. However, the newly created features will have the previously defined pattern offsets applied to them. See Pattern for more information.

To paste features using a pattern:

  1. Make sure the proper offsets have been defined using the Edit | Pattern menu option.

  2. Make sure the feature (or set of features) you want to offset has been highlighted and copied to the clipboard.

  3. Position the cursor at the location in the part program where the new features are to be inserted.

  4. Select the Edit | Paste With Pattern menu command.

PC-DMIS will paste the contents of the clipboard as many times as indicated by the value in the Number of Times to Offset of the Pattern Offset dialog box. Each time the clipboard contents are pasted, the newly created feature(s) will be offset with respect to the previously inserted feature(s) by the defined pattern offsets. The identifications for the new features will be incremented from the original feature ID. PC-DMIS will also draw the newly created features in the Graphics Display window.


Delete (DEL)

The Edit | Delete menu option deletes the currently highlighted selection from the Edit window. The contents of the deleted selection are not placed on the clipboard.


Select All (Ctrl A)

The Edit | Select All menu option allows you to select the entire report for editing purposes. To select all, click on Edit | Select All. The entire report will then be highlighted in the current highlight color, indicating that the entire report has been selected.


Pattern

The Edit | Pattern menu option brings up the Pattern Offsets dialog box. This dialog allows you to define the offsets that will be used when selecting the Edit | Paste With Pattern option.

To create a pattern:

  1. Select Edit | Pattern from the Edit window menu bar. PC-DMIS will display the Pattern Offset dialog box

  2. Type any desired offset values.

  3. Select any desired mirror option.

  4. Type the number of times to offset in the Number of Times to Offset box.

  5. Press the OK command button.

  6. Optionally, press the Cancel button to close the dialog without making changes to the current settings.

X, Y, Z Offset

These fields allow you to set the X, Y, or Z Offset between pattern occurrences.

To change the X, Y or Z Offset values:

  1. Select the desired X, Y, or Z Offset box.

  2. Type the desired change.

PC-DMIS will offset the nominal X, Y, and Z data of the pasted feature (or set of features) by these offset values.

Angle Offset

The Angle Offset box allows you to set the angular offset between pattern occurrences.

An angular offset might be useful when measuring the true position location of a number of holes in a bolt hole pattern, where the datum was a hole in the center of the pattern. PC-DMIS will rotate the offset around the origin.

Angular offsets can be used in conjunction with X, Y, and Z offsets and flips. The order of applying these offsets is flips, rotations, and lastly, translations.

To change the angle offset:

  1. Select the Angle Offset box in the dialog box.

  2. Type the desired value.

Number of Times to Offset

This option lets you set up the number of times PC-DMIS will offset a pattern. To change the current value, select this option and type a new value. The default value is one.

Flip X, Y, Z

The Flip X, Flip Y, or Flip Z options mirror the pattern around the X, Y or Z axis, respectively. The original pattern is flipped about the X, Y or Z axis before any translation or rotation.


Find (Alt-F3)

The Edit | Find menu option opens the Find dialog box which allows you to find a specified keyword within the Edit window.

This option also allows you to find text matching a variety of different search criteria. Consider the following table:

Text To Find Wildcard to Use Some Examples
Any one character
.
 D.M matches "DIM" or "D4M".
Character set
[ ]
 D[MI]S finds "DIS" and "DMS" but not "DMIS" or "DUS".
Any one character in a range
[-]
 LINE[2-6] finds "LINE2" and "LINE3" but not "LINE1" or "LINE7". Ranges must be in ascending order.
Any one character except character(s) inside brackets
[^]
 POINT[^32] finds "POINT1", "POINT5", and "POINT12", but not "POINT3", "POINT2", "POINT21", or "POINT30".
Any one character except range of characters inside brackets
[^x-z]
 LINE[^2-5] finds "LINE6" and "LINEH", but not "LINE3"
Character sets that include the "-" character should have the "-" as the first or last character of the range. If the range excludes the "-" then the "-" should be the second character.
[-]
 LINE[0-9-] matches "LINE4" and "LINE-". LINE[^-0-9] matches "LINEH" but not "LINE-".
Exactly n instances of the previous character or expression
\{n\}
 l[ok]o\{1\}p finds "lkop" or "loop" but not "lop" or "lokop".
At least n instances of the previous character or expression
\{n,\}
 lo\{1,\}p finds "lop", "loop" and "loooop", but not "lp".
From n to m instances of the previous character or expression
\{n,m\}
 20\{1,3\} finds "20," "200," and "2000."
0 or more instances of the preceding character, unless the following:

"*" starts a string

"*" follows a "^" that starts a string

"*" starts a parenthesized sub-expression

*
 lo*p matches "lp" and "looooop".

^* matches a "*" if it starts a line.
Marked String. This finds text which matches the exact sequence of x. Use this with Back references, described below.

Usage Notes:

  • These can be nested inside each other.

  • There can be no more than nine marked strings per search.

  • The number of the marked string is determined by the order of the \( symbols in the search text.

  • The marked string which starts with the first \( symbol is \1, while the marked string which starts with the ninth \( symbol is \9. See "Back reference" below.

\(x\)
 D\(MI\)S finds "DMIS" but not "DIMS".
Line beginning with a specified phrase or character. The "^" is special only at the beginning of a string.
^
 ^CIRCLE finds all lines that begin with the word "CIRCLE". Note that indented lines in PC-DMIS's Edit window begin with spaces.
Line ending with a specified phrase or character. The "$" is special only at the end of a string.
$
 ENDMEAS/$ finds lines ending in "ENDMEAS/" but not "MEAS/"
Words beginning with the specified sequence of characters
[[:<:]]
 [[:<:]]PLANE finds "PLANE1" and "PLANE2", but not "WORKPLANE".
Words ending with a specified phrase or character
[[:>:]]
 PLANE[[:>:]] finds "WORKPLANE" and "PLANE" but not "PLANE1" or "PLANE2".
Back reference. Up to nine substring matches can be enclosed in \( \). The nth substring can be referenced with \n. The exact text is matched, not the pattern.
\n
 Example 1:
\([A-Z]*\)_\1 matches "BNS_BNS" and "LINE_LINE" but not "LINE_SPHERE".

The \1 refers back to the characters matched by the string "[A-Z]*".

Example 2: \(LINE\)\(5\)\2 matches "LINE55" but not "LINE5".

Example 3:
\([A-Z]_\([0-9]\)\)\2\1 matches "L_77L_7"

The first marked string matches "L_7", while the second marked string matches "7".
Any one of the special characters: ^.[$*\
\*
 D\*M matches exactly "D*M". D\**M matches "DM", "D*M", and "D********M". D\(\**\)\1M matches "D**M", but not "D***M".

You can also search the text by using these special predefined character sets:

Character set Characters in set
[[:alnum:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789
[[:alpha:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
[[:blank:]]
 (The space character and the tab character)
[[:digit:]]
 0123456789
[[:graph:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:lower:]]
 Abcdefghijklmnopqrstuvwxyz
[[:print:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:punct:]]
 !"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:upper:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZ
[[:xdigit:]]
 0123456789ABCDEFabcdef

Example: To search for a string which consists of a letter, followed by some letters or numbers, followed by that same first letter, you would use a back reference, as shown here: \([[:alpha:]]\)[[:alnum:]]\{1,\}\1.

To search for a specific word or phrase:

  1. Select Edit | Find from the Edit window menu bar.

  2. Type in a keyword or phrase to search.

  3. Indicate the search path (up or down).

  4. Select the Match whole word only check box if you want PC-DMIS to match the entire word. For example, if you type "CIR", PC-DMIS will find "CIR" but not "CIRCLE".

  5. Select the Match Case check box if you want PC-DMIS to search based on upper or lower case.

  6. Press the Find button (or press ENTER).


Replace

The Edit | Replace option works much the same way as the Edit | Find option. Once the text is found, however, you can replace that text by using the Replace dialog box.

Find what

This box allows you to enter the text for which PC-DMIS will search. You can use any of the various wild cards and search patterns discussed in the "Find" section. See Find (Alt-F3).

Replace with

This box allows you to indicate what text will replace the found text.

Match whole word only

If you select this check box, PC-DMIS will only look for an entire word containing that text. For example, if you entered type in "CIR" in the Find what box, and select this check box, PC-DMIS finds only "CIR". It will not find "CIRCLE" or "CIRCULAR".

Match case

This check box tells PC-DMIS to search for text matching the case (upper or lower) used in the Find what box. For example, if you typed "Point" in the Find what box and selected the Match case check box, PC-DMIS would find "Point" and "Points", but not "POINT".

Find Next

The Find Next button tells PC-DMIS to find the next instance of the text for which you're searching.

Replace

The Replace button replaces the found text with the text string in the Replace with box. This allows you to replace instances of found text one at a time.

Replace All

The Replace all button tells PC-DMIS to instantly find all occurrences of text in the Find what box and replaces them with the text in the Replace with box.


Go To (Shift F10)

The Edit | Goto menu option will jump to a specified line within the Edit window.

To move the cursor to a specific line number:

  1. Select Edit | Go To from the Edit window menu bar. The Jump To dialog box will appear. The current line marked by the cursor will be indicated in the Jump to Line Number box of the dialog box.

  2. Type the desired line number.

  3. Press the OK button (or press ENTER).


Bookmarks

Bookmarks can be set when the Edit window is in Command Mode (see Command Mode). Bookmarks mark frequently accessed lines in a part program. Once a bookmark is set, you can use menu or keyboard commands to move to it. You can remove a bookmark when you no longer need it. Bookmarks are saved between editing sessions and are therefore available the next time the part program is opened.

Toggle Bookmark (Ctrl-F2)

The Edit | Bookmarks | Toggle Bookmarks menu option allows you to set or remove a bookmark. The bookmark will be set at or removed from the line in the Edit window where the cursor is positioned. A small blue icon will appear in the left margin to indicate that a bookmark has been set.

Next Bookmark

The Edit | Bookmarks | Next Bookmark menu option allows you to move to the next bookmark in the Edit window. If no bookmark is found below the current cursor position, searching will resume at the top of the Edit window.

Clear All Bookmarks

The Edit | Bookmarks | Clear All Bookmarks menu option allows you to remove all bookmarks from the Edit window.


Breakpoints

The Edit | Breakpoints menu option is a useful debugging tool to be used when creating, testing, and running a part program. Generally, part programs are executed sequentially, line by line. By placing a breakpoint at a particular line in the part program, program execution will pause when it reaches that point. If the part program makes use of variable expressions and flow control, you can examine these variables to ensure that the program is functioning as desired.

Once PC-DMIS has paused for the breakpoint, you may want to use the Step Next button This button continues with the measurement process but does so one step at a time, pausing the CMM after executing each step of any command creating movement of the CMM. While in Step Mode, hits can be inserted into features and new features can be inserted between existing features or commands. Step Mode can also be simulated off-line.

When you are ready to continue with normal program execution, simply press Continue on the Execution dialog. Several menu and keyboard commands are available for manipulating the placement and removal of breakpoints. Breakpoints are saved with the part program and are therefore available the next time the part program is opened.

Insert/Remove Breakpoint (CTRL + B)

The Edit | Breakpoints | Insert/Remove Breakpoint menu option allows you to set or remove a breakpoint. The breakpoint will be set at or removed from the line in the Edit window where the cursor is currently positioned. A small circular red icon will appear in the left margin of the Edit window to indicate that a breakpoint has been set.

Insert Defaults

The Edit | Breakpoints | Insert Defaults menu option allows you to set breakpoints throughout the part program at default locations. Default locations are defined as lines in the Edit window that contain commands which generate motion of the CMM or cause branching to occur as a result of a flow control command (such as IF THEN statements).

Remove Defaults

The Edit | Breakpoints | Remove Defaults menu option allow you to remove breakpoints throughout the part program from default locations. Only those breakpoints that are set on default locations (See "Insert Defaults" above) will be removed. Any breakpoints that are set in non-default locations will remain in place.

Remove All

The Edit | Breakpoints | Remove All menu option allows you to remove all breakpoints from a part program.


Editing a Part Program - Edit Menu - Expression

Expression

exprsbld Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Expression Builder dialog box

The Edit | Expression menu option allows you to insert an expression into an editable field. Pressing the F2 key while the cursor is on a field that allows expressions will bring up the Expression Builder dialog box. The Expressions Builder dialog lists all of the types of operators and functions available for expressions.

See Entering Expressions for complete documentation of this option.


Text Anal Toggle Cart/Pol (Shift F5)

The Edit | Text Anal Toggle Cart/Pol menu option (press SHIFT + F5) allows you to toggle the appearance of a dimension's textual analysis so that the position of one or more hits of the textual analysis are displayed in either cartesian or polar coordinates. A 'P' character is displayed next to the numerical data to indicate polar display mode. A dimension's entire textual analysis will be toggled if the cursor is located over the dimension in Command mode or if the cursor is located over the dimension header in Report mode. An individual textual analysis line of a dimension will be toggled if the cursor is located over the specific textual analysis line when this menu item is selected.


Toggle master/slave arm

The Edit | Toggle Master/Slave Arm menu option allows you to toggle the execution state of the object under the cursor or the execution state of the currently highlighted features to be executed by the master or slave arm. Features that are to be executed by the slave arm are so indicated in the Edit window using boldface characters. The Toggle Master/Slave arm menu item is only available on systems that have entered into master/slave mode.

See the following for more information:

  • Master / Slave Setup.

  • Master / Slave Mode.

  • Calibrate / Master Slave Mode.


Object

The Edit | Object menu option will change names and functionality depending on the currently selected external object. Generally speaking, it is used to gain access to external objects that have been inserted in the Edit window.

Example: If an external bitmap object has been inserted in the Edit window and the bitmap image is currently selected, this menu item will read 'Bitmap Image Object'

When selecting this menu item, an additional popup menu will appear providing additional options, such as editing, etc., depending on the type of external object that is selected.

For more information, see Utilities | External Objects.


Execute Menu

The Execute menu provides access to general execution commands for a part program including the marking of features for execution and marked sets.

More:

Execute Program (Ctrl Q)

Execute From (Ctrl-Y)

Execute From Cursor

Execute Block

Mark

Mark All

Clear Marked

New Marked Set

Show Marked Sets

New Alignment Mode


Editing a Part Program - Execute Menu - Execute Program (Ctrl Q)

Execute Program (Ctrl Q)

To execute the current part program, select the Execute | Execute Program menu command (or press CTRL + Q).

See "Executing a Part Program" for the complete process of executing a part program.


Execute From (Ctrl-Y)

To execute from a specific location within the current part program, select the Execute | Execute From menu command (or press CTRL + Y). The program will then continue execution from the location where it was stopped.


Execute From Cursor

To execute the part program beginning at the cursor's current location, select the Execute | Execute From Cursor menu command. The program will execute the part program beginning at the cursor's current location.


Execute Block

To execute a block of commands, select the commands you want to execute, then with the commands still selected, choose the Execute | Execute Block menu command. PC-DMIS will execute only the selected block of commands.


Editing a Part Program - Execute Menu - Mark

Mark

The Execute | Mark menu option allows you to mark a specified feature for execution. PC-DMIS automatically marks features that are always executed, such as the alignment, tip commands, etc.

There are several ways to mark features. PC-DMIS will indicate a marked feature using the current Marked Text Color (See "Colors") within the Edit window. It will also display an asterisk (*) next to the feature ID in the Graphics Display window.

  1. Mark the desired feature in the Edit window. Position the cursor over the feature to be marked and select F3. PC-DMIS will highlight that feature when Execute | Mark (F3) is selected.

  2. Mark the desired feature in the Graphics Display window using the mouse icon and SHIFT key. Click on the desired feature (or feature ID) with the left mouse button while simultaneously holding down the SHIFT key

  3. Multiple features can be marked in the Graphics Display window using a technique similar to the one described above. Hold down the SHIFT key while box selecting the desired features using the click and drag method.

If a constructed feature is selected, PC-DMIS will also highlight any related features used in the construction process. If a dimension is selected, PC-DMIS will also selected the features used to create the dimension.

Note: Features can be unmarked by repeating one of the above procedures.

Once a feature is marked, specific lines within that feature can be unmarked.

To unmark specific lines within a feature:

  1. Move the cursor to the desired line within the marked feature.

  2. Re-select Execute | Mark (F3) to un-mark the indicated line.

Only hits (or moves) within a feature can be un-marked. If a line other than a hit is selected, PC-DMIS will un-mark the entire feature when this option is chosen for the second time.

If dimensions are marked, PC-DMIS will send the results to the printer with the proper output configuration in place, after the program is executed. (See Dimensions and "Output To".)


Editing a Part Program - Execute Menu - Mark All

Mark All

The Execute | Mark All menu option marks all of the features in the Edit window for executing purposes. PC-DMIS will mark the selected features in the Edit window, displaying the marked features in a green colored text. PC-DMIS also displays an asterisk (*) next to each feature ID in the Graphics Display window that are marked for execution.

When you select Mark All, PC-DMIS will ask if you also want to mark manual alignment features.

  • If you select the Yes button, then PC-DMIS will mark the entire part program for execution, including the alignment features.

  • If you select the No button, PC-DMIS will mark the entire program for execution, but will not mark the alignment features.


Editing a Part Program - Execute Menu - Clear Marked

Clear Marked

The Execute | Clear Marked menu option clears (or un-marks) the features in the Edit window that were earlier marked for execution.


Editing a Part Program - Execute Menu - New Marked Set

New Marked Set

The Execute | New Marked Set menu option allows you to organize marked features into groups called "sets". You can then choose to execute only a particular marked set. See Marked Sets for more information.


Show Marked Sets

The Execute | Show Marked Sets menu command displays the Marked Sets window. The Marked Sets window keeps an icon representation of each marked set created. By clicking on an icon in this window, the features defined by the marked set will be immediately measured. See Marked Sets for more information.

When this option is selected, the Marked set window is displayed and a check mark appears next to the menu option. Close the window by selecting this option a second time. This action will hide the Marked set window and remove the check mark from the pull down menu.

Note: When the Marked Sets window is hidden, all marked sets are disabled and the standard mode for executing a part program is followed.


Editing a Part Program - Execute Menu - New Alignment Mode

New Alignment Mode

The Execute | New Alignment Mode (indicated with a checkmark next to the menu option) marks corresponding alignment data every time a feature/dimension is marked for execution.


Path Menu

PC-DMIS provides a powerful tool for probe path editing of part programs. This Edit window menu is called Path. The Path menu allows you to access commands that can provide you with a graphical representation of the part program that has been created. To access this menu select Path (ALT + P) from the Edit window menu bar. PC-DMIS provides several menu options to facilitate the editing process. (See "Executing a Part Program" for additional information on the Edit Path option.)

More:

Show Path Lines

Animate Path

Regenerate Path

Collision Detection


Editing a Part Program - Path Menu - Show Path Lines

Show Path Lines

The Path | Show Path Lines menu option draws the current path of the probe in the Graphics Display window. The starting point will be at the last manual hit.

To use the Show Path Lines:

  1. Mark the features that will be used for the probe path editing. (If none of the features have been marked, a path cannot be displayed.)

  2. Select Path | Show Path Lines from the Edit window menu bar.

You will notice that the path lines of the probe (generated via simulated execution of the part program) are displayed in the Graphics Display window. The path lines indicate the route the probe will take while measuring the marked features.

After the path lines have been drawn, PC-DMIS provides several additional options to facilitate the editing process. (See Animate Path and Regenerate Path.)


Editing a Part Program - Path Menu - Animate Path

Animate Path

The Path | Animate Path menu option animates the path of the probe on the part, simulating the movement of the probe.

To make Animate Path accessible:

  1. Mark the desired features.

  2. Select the Path | Show Path Lines menu command. The Animate Path option will then be available for selection.

  3. Select the Path | Animate Path menu command. PC-DMIS will display the Execution Mode Options window and automatically begin animating the path with a simulated probe tip.

Animation can be stopped at any time by pressing the ESC key on the keyboard or the Stop command button within the Execution Mode window. (If the Stop command button is selected, pressing the ENTER key will also halt animation.)

To step through the part program, simply press the Continue button.

To stop the animation, press the Stop button.

Pressing the Cancel button will close the Execution Mode Options window without completing the execution of the part program.

Clicking on the path line using the arrow icon and left mouse button will move the cursor to the corresponding command line in the Edit window. The next available feature in the path line will be indicated.


Editing a Part Program - Path Menu - Regenerate Path

Regenerate Path

The Path | Regenerate Path menu option re-draws the part program path lines. To access this option, simply select Path | Regenerate Path from Edit window menu bar. Once selected, PC-DMIS will erase the current path lines from the screen and re-draw them. This option is particularly useful when changes have been made to a part program and confirmation is needed that the path lines truly represent the current state of the part program.

Note: The Regenerate Path option is only accessible after features have been marked in the Edit window and the Show Path Lines option has been selected.


Collision Detection

The Path | Collision Detection menu option (CD) is designed to detect collisions between the probe and CAD surfaces. All CAD curves, lines and points are ignored. As a result, only CAD files that fully describe the part using surfaces are suitable for collision detection. (The CD algorithm doesn't use the actual surface definitions, but rather the surface tessellations (or graphical approximations), which are also used for rendering solid views using the OpenGL graphics language.)

Note: The CD module in PC-DMIS will not work unless there is an OPENGL (shaded) view on the screen.

Collision detection is started by selecting the Collision Detection option (located within the Edit Path menu option in the Edit window). CD requires an OPENGL view. See "View Setup" in the "Utilities" section.

To Configure a View to be in Opengl Mode:

To configure a view to be in OpenGL mode:

  1. Click the View Setup icon to bring up the Screen Format dialog box.

  2. Select the Solids check box.

  3. Press the Apply button.

  4. Press the OK button.

The Show Path Lines option must also be selected.

To select Show Path Lines:

  1. Open the Edit window by selecting File | Edit Window (or press ALT + F then W).

  2. Select the Path menu.

  3. Select Show Path Lines. PC-DMIS will draw the path lines that the probe will follow while measuring the part.

Collisions are shown in the Collision Detection dialog box.

Dialog box Options

  • You can select the 'Stop On Collision' check box so that probe animation /collision detection will stop if a collision occurs.

  • The other options in the dialog function like those in the Execute Mode Options dialog box. (See Execute Mode)

When PC-DMIS has finished running Collision Detection, the path lines will be redrawn in the Graphics Display window. PC-DMIS will indicate where collisions have occurred in red.

The Probe Display Area

The probe will be displayed in the Probe Display Area using a green color. If a collision occurs, the portion of the probe that collides will be shown in red. The same color scheme is used to draw the probe on the screen, as well as in the Collision Detection dialog box.

  • You can enlarge or shrink the drawing of the probe just as you would the part on the Graphics Display window by clicking the right mouse button above or below an imaginary horizontal line.

  • You can 3D rotate the drawing of the probe by holding down CTRL and dragging the mouse using the right mouse button.

The Scale to Fit button shrinks or enlarges the drawing of the probe so that it fits back into the Collision Detection dialog box's Probe Display Area.


Editing a Part Program - Edit Window Menu Options - Marked Sets

Marked Sets

The Marked Sets option will group select features for execution within a part program. There can be up to thirty (30) marked sets defined for a part program. There are no restrictions as to the number of features that can be associated with each marked set. When executed, only features grouped within the active marked set will be executed. Every marked set that is created within a part program will be displayed as an icon in the Marked Set window. Each icon graphically indicates all of the features that have been associated with the marked set that it represents.

To add features to a marked set, first ensure that the appropriate marked set is active. This can be done by selecting an existing marked set using the TAB key. (If the marked set is newly created, it is active by default.). Mark the features in the Edit window that are to be associated with the marked set. (See "Executing a Part Program" for more information on marking features.) When a feature is added to the marked set, a graphical representation of the feature will appear in the marked set icon located in the Marked Set window.

Marked sets can have user defined bitmap images, if desired, in place of the default graphics. To apply a user bitmap, create a color bitmap using 'Paint' or some other bitmap editor program of your choice. The bitmap should be no larger than 48 x 48 pixels in size. Place the bitmap file in the same directory as the part program. The bitmap filenames must use the following naming convention in order to be recognized by PC-DMIS:

MARKST00.BMPfor the first marked set

MARKST01.BMPfor the second marked set

MARKST02.BMPfor the third marked set

…

MARKST30.BMPfor the thirtieth marked set

Example: If the bitmap file MARKST00.BMP is placed in the part program directory when the first marked set is created, the bitmap image contained in MARKST00.BMP will be displayed. If a marked set does not have a bitmap file the default graphics will be used. Also, it is not necessary to use consecutive bitmaps. In other words, you can use a bitmap for marked set 1 and marked set 5, but use the default graphics for marked sets 2, 3 and 4.

Marked sets can be repositioned. While holding down the SHIFT key, select the desired marked set with the left mouse button. Drag the marked set to the new location, release the SHIFT key and left mouse button and PC-DMIS will update the Marked Set window with the change.

Features can be deleted from marked sets by activating the marked set and clearing the feature in the Edit window. When a feature is deleted from a marked set, the marked set icon graphics are updated to reflect the changes.

More:

Mouse Inputs

Keyboard Inputs

New Set


Editing a Part Program - Marked Sets - Mouse Inputs

Mouse Inputs

The user can create or execute a marked set using the mouse.

Note: These functions are only available within the Marked Set window and only when the window is active.

Create

To create a new marked set using the mouse, double-click the left mouse button in the background of the Marked Set window. A dialog box will appear prompting you for the name of the new marked set. After entering the name of the new marked set, an empty icon will appear in the Marked Set window ready for use. A dark border will surround the icon indicating that this marked set is now the active marked set.

Execute

To execute an existing marked set, select the Marked set icon using the left mouse button. The marked set icon border will darken indicating that this is now the active marked set and every feature associated within the marked set will be executed in the order in which they appear in the part program.


Keyboard Inputs

The user can activate or delete a marked set using the keyboard.

Note: These functions are only available within the Marked set window and only when the window is active.

Activate

To activate a marked set, select the Marked set icon using the TAB key. A dark border will surround the icon indicating that this marked set is now the active marked set. If the marked set is already active when it is selected with the TAB key, this action will deactivate the marked set and no marked set will be active. In this state, the standard mode for executing the part program is followed.

Delete

To delete a marked set, select the icon of the marked set to be deleted and press the DELETE key. A dialog box will appear confirming the deletion of the marked set. Click the Yes button only if you want to delete the selected marked set. No action will be taken if the No button is clicked.


Editing a Part Program - Marked Sets - New Set

New Set

The Execute | New Marked Set menu option is used for creating marked sets. When this option is selected, the New Mark Set dialog box appears requesting a name for the new marked set. Any string can be used to identify the marked set and there is no limit to the number of standard ASCII characters used for the name. However, it is recommended that short descriptive keywords be used for ease of readability.

Locking Marked sets

Once a marked set has been defined for a part program, a lock can be established to prevent anyone from accidentally deleting or otherwise modifying the current configuration. For more information on this option see Options | Setup | General.


Edit Window Toolbar

ewtoolbr Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Edit window toolbar

The Edit window toolbar provides quick access to many frequently accessed Edit window functions. The toolbar allows you to manipulating Edit window content in a way that is easy and intuitive to use The toolbar provides ready access to these commands important Edit window commands.

  • Execute

  • Mark current feature

  • Mark all

  • Clear Marked

  • Insert/Remove Breakpoint

  • Clear all Breakpoints

  • Insert Bookmark

  • Next Bookmark

  • Clear All Bookmarks

  • Summary Mode

  • Command Mode

  • Report Mode

  • Cut

  • Copy

  • Paste

  • Paste with Pattern

More:

Paste with Pattern


Paste with Pattern

The Paste with Pattern toolbar icon will paste patterned features with their offsets into the part program at your cursor's current location. See Paste w/Pattern for more information.


Edit Window Status Bar

The status bar, located at the bottom of the Edit window, displays the information pertaining to the Edit window and the part program:

  • Message box: The left-most box displays brief messages describing Edit window menu options.

  • INS/OVR: This box indicates the current editing function of the Edit report. It will display INS (inserts text at the cursor) or OVR (overwrites any text encountered by the cursor).

  • Line: This box displays a number that indicates the current line where the cursor is located in the Edit report.

  • Col: This box displays a number that indicates the current column where the cursor is located in the Edit report.


Header and Footer Formats

There are three files that are used to format the header / footer text in the Edit window. These files are LOGO.DAT, HEADER.DAT and ELOGO.DAT.

LOGO.DAT is used to format a document header (first page only).

HEADER.DAT is used to format page headers for all pages (other than the first page).

ELOGO.DAT is used to format document footer (located on the last page only).

More:

Keywords


Keywords

The following is a list of the available formatting keywords and their functions.

Note: The keywords are case sensitive.

#DATE | Inserts the current date.
#TIME | Inserts the current time.
#PAGE | Inserts the current page number. This is ideal for use in the HEADER.DAT file.
#TRn | Inserts the value of trace field n, when n is the trace field number.
PARTN | Inserts the part program name.
#DRWN | Inserts the revision number.
#SERIALN | Inserts the serial number.
#SEQUENCE | Inserts the sequence number.
#SHRINK | Inserts the scale factor.
#NMEAS | Inserts the total number of dimensions.
#NOUT | Inserts the total number of dimensions that are out of tolerance.
#ELAPSTIM | Inserts the time elapsed between start and end of execution. This is ideal for use in the FOOTER.DAT file.
#BMP=bitmappath | Inserts a bitmap with the specified name in the bit map path variable. You must specify the full path the bit map file (i.e., D:\Files\Bmp\Pcdhead.bmp).


Working in Summary Mode

The summary mode allows you to view the overall layout of the part program, as well as part program commands in different levels of detail. Through the intuitive interface you can also easily re-order and edit commands.

More:

Layout

Editing a Part Program from Summary Mode

Summary Mode Keyboard Functions


Layout

PC-DMIS's summary mode layout is in the form of an expandable and collapsible pieces of data. At the top level, PC-DMIS displays command objects. You can expand these objects to view their groups and data items by pressing the plus sign (+) to the left of the command. Collapse them by pressing the minus sign (-).

More:

Commands

Groups

Data Items


Commands

PC-DMIS displays most part program commands at the top level. Some commands, such as basic hits, location dimensions, and certain alignment commands appear under their parent object. Also:

  • Each command has a unique icon associated with it to help you quickly identify needed commands.

  • If the command has an ID, PC-DMIS displays the ID displayed before the command description.

  • Commands marked to execute are displayed in green text.

  • Commands not set to execute are displayed in blue text.


Groups

Groups are displayed with a folder icon and are composed of a command's similar data items. For example, the measured circle object has a theoreticals group, an actuals group, and a settings group.

  • The theoreticals group contains the theoretical values for the measured circle including the theoretical x, y, z, i, j, k and diameter.

  • The measured group contains the corresponding measured values of the circle.

  • The settings group contains information about the measured circle such as the ID, coordinate type, whether the circle is an inner/outer, the number of hits, etc.


Data Items

Data items are the parameters or settings of the command object. Some data items can be edited and some are for information purposes only and cannot be changed. Data items are displayed with a blue sphere icon.


Editing a Part Program from Summary Mode

PC-DMIS gives you the ability to edit the part program while in Summary Mode. Using the Summary Mode interface you can select, add, remove, copy, cut, paste, mark, unmark, commands as well as edit a command's data items.

More:

Selecting Commands

Adding Commands

Removing Commands

Copying, Cutting, and Pasting Commands

Marking / Unmarking Commands for Execution

Editing Data Items of a Command


Selecting Commands

Select commands by either left-clicking with the mouse or by navigating to them using the UP and DOWN ARROW keys.

  • To select multiple commands, hold down the CTRL key while left-clicking.

  • To select a group of items at once, select the first item in the block of objects, hold down the SHIFT key and selecting the last item in the block.

PC-DMIS hightlights all selected items.


Adding Commands

When in summary mode, you can add commands to the part program by using PC-DMIS's standard menu options or by using a special shortcut menu.

To access the shortcut menu, right-click on a command item. See "Summary Mode Command Shortcut Menu" in the "User Interface" section for more information on the items available.

Note: PC-DMIS generally inserts the new command after the currently selected item in the expandable/collapsible list.


Removing Commands

You can easily remove commands from the part program by selecting an object and pressing the DELETE key. If the command contains any sub-commands, those commands are also deleted.


Copying, Cutting, and Pasting Commands

To copy or cut a command:

  1. Select the desired command in the expandable/collapsible view

  2. Chose the copy or cut commands from any of these locations:
    • The Edit window's Edit menu

    • The Keyboard (CTRL + C for copy, CTRL + X for cut)

    • The short-cut menu's Cut or Copy option that appears from right clicking on the command

Note: If the command contains any sub-commands, those commands are also cut or copied.

To paste a command that has been cut or copied:

  1. Select the command in the expandable/collapsible view that precedes the command to be pasted.

  2. Choose the paste command from any of these locations:
    • The Edit window's Edit menu.

    • The keyboard (CTRL + V)

    • The short-cut menu's Paste option that appears from right clicking on the command.


Marking / Unmarking Commands for Execution

To mark or unmark a command for execution:

  1. Select the command in the edit window.

  2. Press F3 (or right click on the desired command and choose Mark from the short-cut menu).


Editing Data Items of a Command

To edit the data item of a command do one of the following:

  • Select the data item and press the ENTER key. Edit the information and press ENTER.

  • Double click on the data item with the left mouse button. Edit the information and press ENTER.

  • Right click on the data item and choose Edit | Value / Expression Text. Edit the information and press ENTER.

If the data item is a toggle field, a list of possible values appears from which you can choose the desired item. Press ENTER after selecting the desired choice or double click on the desired choice.

If the data item can be edited and it is not a toggle field, a small edit field will pop-up with the current value which can then be edited via the keyboard. To cancel the editing of an item, press ESC.

To edit a command via the dialog box specific to that command:

  1. Select the command in the expandable/collapsible view.

  2. Press F9 (or right click on the command and choose Edit from the pop-up menu).

The appropriate dialog box for the command appears.


Summary Mode Keyboard Functions

The following table lists the various keyboard functions available when PC-DMIS is in summary mode.

Key(s) | Function
SHIFT + TAB | Moves cursor backward to next item in the summary view
CTRL | Click on desired feature using left mouse button. PC-DMIS will move the cursor to the corresponding command item in the summary view.
CTRL + A | Selects all of the commands of the part program.
CTRL + C | Copies text or objects to the clipboard.
CTRL + END | Moves the cursor to the end of the part program.
CTRL + HOME | Moves the cursor to the beginning of the part program.
CTRL + Q | Displays the Execute dialog box and allows you to execute the part program.
CTRL + V | Pastes text if in an edit control. If object has been cut or copied, pastes object after currently selected object.
CTRL + X | Cuts selected object or text if in an edit control.
CTRL + Y | Displays the Execute dialog box and allows you to execute the part program at a specified location.
DELETE | Deletes any highlighted characters when editing a value in an edit control. If nothing is highlighted, then both keystrokes function as in a normal editor.
Double Click | Double clicking on a command item or group item will expand that item. Double clicking on a data item that can edited will bring up the edit control for the data item.
DOWN ARROW | Moves the cursor down one line.
F2 | Brings up the expression builder if the currently selected data item can have expressions.
F3 | Marks a single feature for execution.
F9 | Calls up dialog box for the currently selected command.
PAGE DOWN | Moves the cursor down one page.
PAGE UP | Moves the cursor up one page.
SHIFT | Used in conjunction with the left mouse button after selecting an initial object in order to facilitate selecting a block of objects.
TAB | Moves cursor forward to the next item in the summary view.
UP ARROW | Moves the cursor up one line.


Expressions

The PC-DMIS Edit window allows expressions in most of its editable fields. Editable fields are usually those fields highlighted in yellow when you press TAB inside the Edit window. Fields that change the type of the feature do not allow expressions.

Example: The box of an auto feature which specifies the type of the auto feature; i.e. Surface point, Auto Circle, Auto Round Slot, etc.; does not allow expressions.

More:

Expression Values

Keeping Expression Values Only

Expressions and Branching

Expression Components

Literals

References

Variables

Pointers

Arrays

Functions

Operand Coercion

Operators and Functions

Entering Expressions

ID Expressions

Precedence

Add Generic Feature


Expression Values

To see the value of an expression, position the mouse cursor over the expression and leave it in position for at least one second. The expression will be evaluated and a small yellow pop up window displaying the expression and its current value will appear just below the mouse cursor.


Keeping Expression Values Only

To immediately solve an expression in the Edit window, thus keeping only the value:

  1. Select the expression text in the Edit window.

  2. Precede the expression text with a ` (tilde) character.

Example: Suppose you type the expression " `1/7 " in a numeric field. The expression will be immediately solved and only the value (0.143) will be placed in the field.


Expressions and Branching

The flow control commands use expressions to determine flow of program execution. Please refer to the section of flow control objects for information on when branching may or may not occur.


Expression Components

Expressions have seven types of operands:

  1. Integers

  2. Real Numbers

  3. Strings

  4. Points

  5. Feature Pointers

  6. Arrays

  7. Functions

These are discusssed in detail below.

More:

Operand Types


Operand Types

The operands may exist in the form of:

  • Literals (See "Literals")

  • References (See "References")

  • Variables (See "Variables")

  • Pointers (See "Pointers")


Literals

*Integers: 1, -6, 209

Reals: 1, -6, 2.4, -0.1, 345.6789

Strings: "Hello World", "47", "CIRCLE 1"

Points: A literal representation is not available for points. However, points can be made from other literals using the MPOINT function: MPOINT(0,0,1), MPOINT(2.2, 3.1, 4.0).

Pointer: The name of a feature enclosed in French brackets: {CIR1}, {LIN2}, {F3}

Arrays: A literal representation is not available for arrays. However, arrays can be created from other literals using the ARRAY function: ex. ARRAY(3, 5, 6), ARRAY("Hello", 2.3, 9). These functions create 3 element arrays with the integer elements 3, 5, and 6 in the first example and the string element "Hello", double element 2.3, and integer element 9 in the second example.

Functions: A literal representation is not available for functions. Functions are defined using the FUNCTION keyword and accessed via variable ids. For example, ASSIGN/Add2 = FUNCTION((X), X+2) defines a function that takes one argument and adds 2 to it. The variable Add2 is assigned the function. The function can be called using the variable Add2 as follows. ASSIGN/Result = Add2(5). Result is assigned the value 7.

Note: Numeric Literals are interpreted as real numbers unless the operator or function implies the use of integers. For example, the expression 10 / 8 evaluates to 2.5 instead of 2. Note also that discrete division is also possible via the operand coercion operators. The expression INT(10) / INT(8) does evaluate to 2.


References

References refer to data members of other objects in a part program. References use the ID of an object in the part program followed by a dot and an extension that refers to the data member of the object.

Example: If CIRCLE1 were the name of a measured circle in the part program, CIRCLE1.X would refer to the measured value of the X component of CIRCLE1. All references are evaluated in part coordinates relative to the current alignment.

More:

References of Type Double

References of Type Point

References of Type String


References of Type Double

The following reference expressions are available:

Valid Extensions for Feature References of Type Double by Example

Format: <Feature Id>.<Extension> -> CIRCLE1.X

CIRCLE1.X Measured X Value of CIRCLE1
CIRCLE1.Y Measured Y Value of CIRCLE1
CIRCLE1.Z Measured Z Value of CIRCLE1

CIRCLE1.TX Theoretical (Nominal) X Value of CIRCLE1
CIRCLE1.TY Theoretical (Nominal) Y Value of CIRCLE1
CIRCLE1.TZ Theoretical (Nominal) Z Value of CIRCLE1

LINE1.SX Measured X Value of the Startpoint of LINE1
LINE1.SY
LINE1.SZ

LINE1.TSX Theoretical X Value of the Startpoint of LINE1
LINE1.TSY
LINE1.TSZ

LINE1.EX Measured X Value of the Endpoint of LINE1
LINE1.EY
LINE1.EZ

LINE1.TEX Theoretical X Value of the Endpoint of LINE1
LINE1.TEY
LINE1.TEZ

POINT.I Measured I Component of Vector for POINT
POINT.J
POINT.K

POINT.TI Theoretical I Component of Vector for POINT
POINT.TJ
POINT.TK

FEAT1.TYP The type of the feature (i.e. circle, slot, cone). This can be used to change the type of a generic feature (Assign/ Gen1.TYP = Feat1.TYP).

FEAT1.ALL Refers to all elements of the feature. This is valuable for copying information to a generic feature. (Assign/ Gen1.ALL = Feat1.ALL)

Surface Vector

EDGE.SURFI

EDGE.SURFJ

EDGE.SURFK

EDGE.TSURFI

EDGE.TSURFJ

EDGE.TSURFK

Angle Vector

CIR.ANGI

CIR.ANGJ

CIR.ANGK

CIR.TANGI

CIR.TANGJ

CIR.TANGK

Radius

CIRCLE1.R

CIRCLE1.TR

CIRCLE1.RAD

CIRCLE1.TRAD

CIRCLE1.RADIUS

CIRCLE1.TRADIUS (Only the First Characters are significant)

Diameter

CIRCLE1.D

CIRCLE1.TD

CIRCLE1.DIAM

CIRCLE1.TDIAM

CIRCLE1.DIAMETER

CIRCLE1.TDIAMETER (Only the first characters are significant)

Angle

CONE.A

CONE.TA

CONE.ANG

CONE.TANG

CONE.ANGLE

CONE.TANGLE (Only the First Characters are significant)

Length

LINE.L

LINE.TL

LINE.LEN

LINE.TLEN

LINE.LENGTH

LINE.TLENGTH (Only the First Characters are significant)

Valid Extensions for Dimension Reference of Type Double by Example

Format: <Dimension ID>.<AXIS>.<Dimension Element> -> DIM1.X.NOM

DIM1.X.NOM
 The Nominal Value for X Axis Location of DIM1
DIM1.X.MEAS
 The Measured Value for the X Axis Location of DIM1
DIM1.X.MAX
The Max Deviation for X Axis Location of DIM1
DIM1.X.MIN
The Min Deviation for X Axis Location of DIM1
DIM1.X.PTOL
The Plus Tolerance Value for the X Axis Location of DIM1
DIM1.X.MTOL
The Minus Tolerance Value for the X Axis Location of DIM1
DIM1.X.DEV
The Deviation on the X Axis Location of DIM1
DIM1.X.OUTTOL
The Out of Tolerance value on the X Axis Location of DIM1
DIM1.Y.NOM
The Nominal Value for the Y Axis Location of DIM1
DIM1.Z.DEV
The Deviation on the Z Axis Location of DIM1
DIM3.PA.MEAS
The Measured Value for the Polar Angle Location of DIM3
DIM4.M.PTOL
The Plus Tolerance Value for the M Axis of DIM4
*DIM4.PTOL
The Plus Tolerance Value for the M Axis of DIM4 (See Note under "Valid Axes" below).

Valid Axes:

X, Y, Z, D, R, A, T, V, L, PR, PA, M, PD, RS, RT, S, H, DD, DF, TP

Note: * Dimensions that have only one axis by definition (i.e. roundness, concentricity, etc.) can omit the axis qualifier. If the axis qualifier is used, note that all of these types of dimensions (that have only one axis) use the M Axis qualifier with the exception of 2D and 3D angle dimensions, which use the A Axis qualifier.

Valid Extensions for Alignment References of Type Double by Example:

Format: <Alignment ID>.<Alignment Axis or Origin>.<Alignment Axis or Origin Component> -> A1.ORIGIN.X

A1.ORIGIN.X
 X Component of alignment A1's measured origin
A2.ORIGIN.Y
 Y Component of alignment A2's measured origin
A1.ORIGIN.Z
 Z Component of alignment A1's measured origin
A1.XAXIS.I
I Component of alignment A1's measured X axis
A1.YAXIS.J
J Component of alignment A1's measured Y axis
A1.ZAXIS.K
 K Component of alignment A1's measured Z axis
A1.CORIGIN.X
 X Component of alignment A1's origin based on theoretical (C is for CAD) data
A1.CXAXIS.J
J Component of alignment A1's X axis based on theoretical (C is for CAD) data


References of Type Point

The following reference expressions are available:

Valid Extensions for Feature References of Type Point by Example

Format: <Feature ID>.<Extension> -> CIRCLE1.XYZ

CIRCLE1.XYZ
Measured centroid of CIRCLE1
CIRCLE1.TXYZ
 Theoretical centroid of CIRCLE1
LINE1.SXYZ
Measured start point of LINE1
LINE1.TSXYZ
Theoretical start point of LINE1
LINE1.EXYZ
 Measured end point of LINE1
LINE1.TEXYZ
Theoretical end point of LINE1
CIRCLE1.IJK
 Measured Vector of CIRCLE1
CIRCLE1.TIJK
Theoretical Vector of CIRCLE1
EDGE.SURFIJK
Measured Surface Vector of EDGE
EDGE.TSURFIJK
Theoretical Surface Vector of EDGE
AUTOCIR1.ANGIJK
Measured Angle Vector of AUTOCIR1
AUTOCIR1.TANGIJK
Theoretical Angle Vector of AUTOCIR1

Valid Extensions for Alignment Reference of Type Point by Example

Format: <Alignment ID>.<Alignment Axis or Origin> -> A1.XAXIS

A1.ORIGIN
Measured origin of alignment A1
A1.XAXIS
Measured X axis of alignment A1
A1.YAXIS
Measured Y axis of alignment A1
A1.ZAXIS
Measured Z axis of alignment A1
A1.CORIGIN
Theoretical origin of alignment A1
A1.CXAXIS
Theoretical X axis of alignment A1
A1.CYAXIS
Theoretical Y axis of alignment A1
A1.CZAXIS
Theoretical Z axis of alignment A1


References of Type String

References to comments are the only object types that are of type string. Only INPUT comments or YES/NO comments can be referred to via references. These comment types have an ID which can be used to identify the comment.

Format: <Comment ID>.INPUT -> C1.INPUT

C1.INPUT - The input value (from the operator) for comment C1

YES/NO comment types set the input to the appropriate yes or no string based on the current language of PC-DMIS. In the English version of PC-DMIS if the operator presses the yes button, the string is set to "YES", if the operator presses the no button, the string is set to "NO". When comparing strings to test for "YES" or "NO", the comparison is case sensitive. Thus, comparing against "yes" or "no" will always fail even if the YES/NO comment input is set to "YES" or "NO".


Variables

Variables can be of any of the seven operand types: integer, real, string, point, feature pointer, array, or function. Variables come into existence and receive their value and type via the ASSIGN Statement. The variable ID can be any alphanumeric string that does not begin with a numeric character. Underscores can also be used in the variable id provided that the underscore is not the first character.

Variable values are saved between execution runs. This means if program execution stops and re-starts, the values the variables have when execution stops will be the same values when execution starts again.

Note: If the Edit window is active, PC-DMIS will indicate the current value of the variable whenever the cursor is placed in the field. During execution, variable values will change based on flow of execution. Position the mouse pointer over the desired variable to find out its current value.

ASSIGN/ V1 = 2.2+2
 Variable V1 is a real number with the value of 4.2
ASSIGN/ VAR1 = CIRCLE1.X
 Variable VAR1 is a real number with a value equal to the measured value of CIRCLE1.X at the time of assignment.
ASSIGN/ MYVAR = LINE1.XYZ
 Variable MYVAR is a point with the same value of the measured centroid of LINE1 at the time of assignment.
ASSIGN/ SVAR  = "Hello World"
 Variable SVAR is a string with the value "Hello World"

In these examples, variables are being assigned values. Once a variable has been assigned a value, the variable can be used as an operand in any expression field.

Example of V1 being used in a numeric field:
ASSIGN/V1 = 1/3
PREHIT / V1

Here, V1 is used as the prehit value of the prehit command.

Note: Since expressions can be used in most editable fields, the following expression is also legal and has the same effect: PREHIT / 1/3.

The components of variables of type point can be referred to individually using the dot extension notation used for references.

ASSIGN/ V1 = MPOINT(3, 4, 5)
 V1 is of type point with value of 3, 4, 5
ASSIGN/ XVAR = V1.X
 XVAR is of type double with the value of 3
ASSIGN/ YVAR = V1.Y
 YVAR is of type double with the value of 4
ASSIGN/ IVAR = V1.I
 IVAR is of type double with the value of 3
ASSIGN/ REDUNVAR = V1.XYZ
 REDUNVAR is of type point with the value of 3, 4, 5

The following extensions are equivalent to each other. Both are provided to clarify the meaning of an expression in a part program.

Given that V1 is of type point.

V1.X is the same as V1.I
V1.Y is the same as V1.J
V1.Z is the same as V1.K

V1.XYZ is the same as V1.IJK and V1 without any extension.

If a variable of type string has a string value equal to the name of the id of a feature, dimension, or alignment, the variable can be used as a reference object.

Example:
ASSIGN/ V1 = "CIRCLE1"

The following operands are possible and valid provided a feature with the name CIRCLE1 exists.

V1.X - The measured X value of CIRCLE1
V1.TX - The theoretical X value of CIRCLE1
V1.Diameter - The measured diameter of CIRCLE1
V1.Radius - The measured radius of CIRCLE1

This type of indirection available on string variables is only available to one level of indirection. The following will not work.

ASSIGN/ V1 = "CIRCLE1"
ASSIGN/ V2 = "V1"
V2.X - This will evaluate to 0 instead of the current measured value of CIRCLE1.X.

Note: The reference V2.X will not be flagged as an error with red text even though an expression above it sets its type to a string. The reason it cannot be flagged as an error is because the flow of execution of the part program is not known until execute time.

Consider the following example:

    ASSIGN/ V1 = "CIRCLE1"
    ASSIGN/ V2 = "V1"
    IF / CIRCLE1.X > CIRCLE1.TX, GOTO, L2
L1 = LABEL /
    ASSIGN/ V3 = V2.X
    GOTO / LABEL, L3
L2 = LABEL /
    ASSIGN/ V2 = MPOINT( 2, 5, 7)
    GOTO / LABEL, L1
L3 = LABEL /

If during program execution the value of CIRCLE1.X is greater than the value of CIRCLE1.TX, then the expression V2.X will be valid and will evaluate to 2. Otherwise, the expression V2.X will evaluate to 0 since the value of V2 at the time of the ASSIGN for V3 is the string "V1". It is the responsibility of the part programmer to ensure that expressions will do as expected in these cases.

Additional note on the Assign Statement: Almost all of the feature references can be used on the left-hand side of the assignment statement to put a value into a measured or theoretical data member of a feature. The only exception is the single I, J, K components of vectors. To assign to vectors, the complete vector must be assigned at once using an expression that evaluates to a point. Vector data is normalized as it is input into the feature's vector data members.

Example:
ASSIGN/ CIRCLE1.I = 2 - illegal
ASSIGN/ CIRCLE1.IJK = MPOINT(2, 0, 0)-legal (vector is normalized to 1, 0, 0)


Pointers

Pointers provide a simple way to reference a feature via a variable or to pass objects using the call sub command. Pointers are similar to indirection via string names. However, the advantage of using pointers is with subroutines. Pointers, unlike strings, when passed in as arguments of a subroutine, allow for direct modification of the object pointed to by the subroutine. Pointers are not used in complex expressions. If it is used in a complex expression the pointer will evaluate to zero.

Consider the following examples:

Pointer Use Example:

ASSIGN/ V1 = {CIR1} | V1 is now a pointer that points to CIR1.
ASSIGN/ DIST = DOUBLE(V1.XYZ) | Dist = distance of CIR1 from origin.

Subroutine Example:
In the calling program:

CS1 = CALLSUB/SUB.PRG,CHANGEX, {CIR1}

In the subroutine program

GEN1 = GENERIC/FEATURE
SUBROUTINE/CHANGEX, ARG1 = {GEN1}

(When CIR1 is passed in it takes the place of GEN1)

ARG1.X = 5

(Sets the measured X value of CIR1 to 5)

END/SUBROUTINE

Complex Expression Example:

ASSIGN/ V1 = {CIR1} + 2
{CIR1} evaluates to zero and so entire expression evaluates to 2.


Arrays

Three types of arrays are available: Feature arrays, hit arrays, and variable Arrays.

More:

Feature Arrays:

Array Indices Object:

Hit Arrays:

Variable Arrays:


Feature Arrays:

When a feature is measured more than once during program execution, a feature array is automatically created. The number of elements in the feature array is equal to the number of times the feature has been executed.

Example: If a measured circle object were located in a while loop that executed five times, then an array of five measured circles would exist. If the id of the measured circle were "Circle1", then an array expression could be used to access individual instances of the measured circle object. Square brackets are used to indicate the instance desired.

Assign/V1 = Circle1[3].x
 V1 is assigned the measured x value of the third instance of Circle1.

Note: When a feature array exists for a given feature but array notation is not used in a reference to that feature. The most recent instance is used. From the above example, the reference Circle1.x would be the same as Circle1[5].x since the fifth instance would be the most recent instance of the object.

Expressions can be used within the square brackets of an array expression. Circle1[3].x and Circle1[2+1].x would therefore be equivalent. The following example uses a loop to print out the measured centroid of the five circles from the examples above.

Example:
Assign/V1 = 1
While/V1 < 6
Comment/Rept, "Centroid of instance #" + V1 + " of Circle1: " + Circle1[V1].XYZ
Assign/V1 = V1 + 1
End/While

Possible output from the above example:

Centroid of instance #1 of Circle1: 3.4, 2.6, 1.43

Centroid of instance #2 of Circle1: 4.4, 3.6, 2.43

Centroid of instance #3 of Circle1: 5.4, 4.6, 3.43

Centroid of instance #4 of Circle1: 6.4, 5.6, 4.43

Centroid of instance #5 of Circle1: 7.5, 6.6, 5.43

Arrays also exist on dimensions and alignments that have been executed multiple times in a given execution run. Thus, Dim1[2].Nom and Align1[4].Origin would be available given that the Dimension "Dim1" has executed at least twice and the alignment "Align1" has executed at least four times.

If a feature array reference is out of bounds (i.e., the user asks for Circle1[2.5] or > Circle1["Hello, World"]) the upper or lower bound item is returned. If Circle1 had 3 instances, than Circle1[4] and above would return Circle1[3] and Circle[0] and below would return Circle1[1]. All expressions between square brackets are coerced to integer, thus 2.5 would become 2 and "Hello World" would become 0.


Array Indices Object:

By default, feature arrays are always one-dimensional arrays. If it is more convenient to treat a feature array as a multi-dimensional array, this can be done by using the array indices object.

The array indices object allows you to specify upper and lower bounds for multiple array dimensions.

  • By setting the upper and lower bounds of the first dimension a two dimensional array is created where the first dimension is bound and the second dimension is unbound.

  • By setting the upper and lower bounds of the first two dimensions of an array, a three dimensional array is created. The last dimension is always unbound.

Example:

Feature F1 is located inside a nested WHILE loop. The inner WHILE loop executes five times and the outer WHILE loop executes three times. At completion of execution, F1 has been executed 15 times and so 15 instances of F1 exist.

Consider the following example part program segment:

ARRAY_INDICES/1..5,..
ASSIGN/V1 = 1
WHILE/V1<=3
ASSIGN/V2 = 1
WHILE/V2<=5
F1=FEAT/POINT,RECT
THEO/V2,V1,0,0,0,1
ACTL/1,1,0,0,0,1
MEAS/POINT,1
HIT/BASIC,V2,V1,0,0,0,1,1,1,0
ENDMEAS/
ASSIGN/V2 = V2+1
COMMENT/REPT,"Location of F1[" + V2 + "," + V1 + "] :" + F1[V2,V1].XYZ
END_WHILE/
ASSIGN/V1 = V1+1
END_WHILE/

This code segment creates a 3 X 5 grid of 15 measured points.

The array indices command has limited the first dimension of the feature array to be between 1 and 5 inclusively. Thus on the inspection report, instead of appearing as F1[1] – F1[15], the objects will appear as F1[1, 1] – F1[5, 3], more consistent with the layout of the features. Notice that the comment also refers to the feature array using two dimensional array syntax.

To insert an array_indices object in a part program:

  1. Using the keyboard, type "Array" on an empty line in the Edit window.

  2. Press the TAB key.

Note: If the Display Brackets for Feature Arrays check box has been cleared, the feature will not appear with the bracketed name. See Display Brackets for Feature Arrays in the System Options section.


Hit Arrays:

The hits of a given feature are available as an array and can be accessed via expressions using array syntax of the form <FeatID>.Hit[<Array Expression>].<Extension> or the form <FeatID>.RawHit[<Array Expression>].<Extension>. Hit returns probe compensated data when probe compensation is on. RawHit always return uncompensated data. Valid extensions are X, Y, Z, I, J, K, TX, TY, TZ, TI, TJ, TK, XYZ, TXYZ, IJK, and TIJK

Circle1.Hit[1].XYZ
 The measured centroid (probe compensated) of hit 1 of "Circle1".
Circle1.Hit[2].IJK
 The measured vector of hit 2 of "Circle1"

Hit data is available for all objects that have hits, whether the actual hits are displayed in the edit window or not. Thus, hits can be obtained for scans and auto features.


Variable Arrays:

Variable arrays do not need to be declared. Variable arrays come into existence via the assign statement when the expression on the right hand side of the assign statement evaluates to an array or when the left hand side of the assign statement refers to an element in a variable array.

Assign/V1 = Array(3, 4, 5, 6, 7)
 Create 5 element array and assigns it to V1
Assign/V2 = V1[3]
 Assigns V2 the value of the third element in array V1: 5
Assign/V1[4] = 23
 Assigns 4th element of array V1 to 23

Arrays are created and allocated dynamically. Thus an array can be created by using an array reference on the left hand side of an assign statement.

Assign/V3[5] = 8
 Dynamically creates array with 5th element set equal to 8

When referencing an array element that has never received a value, the array expression will evaluate to 0.

Assign/V3[5] = 8

Assign/V4 = V3[5]
 V4 is set equal to the value 8
Assign/V5 = V3[6]
 If the sixth element of V3 has never been set, V5 is set equal to 0.

Like other array types, expressions can be used within the square brackets.

Assign/V3[5] = 8

Assign/V4 = V3[2+3]
 V4 is set equal to the value 8

Variable arrays can have multiple dimensions.

Assign/V6 = Array( Array(4, 7, 2), Array(9, 2, 6))
 V6 is set to a 2 by 3 dimensional array where V6[1, 1] equals 4, V6[1, 2] equals 7, V6[1, 3] equals 2, V6[2, 1] equals 9, V6[2,2] equals 2, and V6[2,3] equals 6.
Assign/V7 = V6[2,1]
 V7 is set to the value 9

Variable arrays can have negative indexes:

Assign/V8[-3] = 5
 The –3rd index of array V8 is set to 5.

Array assignment will overwrite previous values:

Assign/V8 = "Hello"
 The variable V8 is equal to the string "Hello"
Assign/V8[2] = 5
 V8 is no longer of type string, but of type array, the second element of which has a value of 5.
Assign/V8 = 9
 V8 is no longer an array, but an integer of value 9.

Arrays can be made up of multiple types:

Assign/V9 = Array("Hello", 3, 2.9, {FEAT1})
 Creates array V9 with 4 elements. The first element is a string, the second element is an integer, the third element is a real number, and the fourth element is a pointer to FEAT1.


Functions

Functions are user defined expressions that take parameters. The parameters are substituted into the expression before the expression is evaluated.

The following list gives additional information on functions:

  • The FUNCTION keyword is used to create functions.

  • The first item when using the FUNCTION keyword is the parameter list.

  • This list consists of parameter names separated by commas.

  • The parameter list is also surrounded by parenthesis.

  • The second item is the expression.

  • The expression will contain the parameter names where the parameters should be substituted when the function is called.

Below are some examples of functions.

More:

Generic Function Example

Function with Multiple Parameters Example

Functions Passed as Variables Example

Functions Defined Recursively Example

Functions Creating Other Functions Example

Functions As Members of an Array Example


Generic Function Example

Assign/MYFUNC = FUNCTION((X), X*3)
 Creates a function and assigns it to the variable MYFUNC. The function takes one parameter and multiplies it by 3.
Assign/V1 = MYFUNC(7)
 Assigns V1 the value 21 by evaluating the function MYFUNC(7). 7 is the parameter and is substituted where X occurs in the expression portion of the function definition. Thus, X*3 becomes 7*3.


Function with Multiple Parameters Example

Functions can have multiple parameters:

Assign/ADDANDDOUBLE = FUNCTION((A,B), 2*(A+B))
 Creates a function and assigns it to the variable ADDAND DOUBLE. The function takes two parameters, adds them together and then multiplies the result by 2.
Assign/V2 = ADDANDDOUBLE(4, 5)
 Assigns V2 the value 18. The parameters 4 and 5 are substituted into the expression portion of the function, thus becoming 2*(4+5).


Functions Passed as Variables Example

Functions can be passed as variables:

Assign/NEWFUNC = MYFUNC
 Sets the variable NEWFUNC to have the same function that MYFUNC has.
Assign/V3 = NEWFUNC(12)
 Assigns V3 to have the value 36.


Functions Defined Recursively Example

Functions can be defined recursively (ie. they can be defined to call themselves).

Assign/FACTORIAL = FUNCTION((X), IF(X<=1, 1, X*FACTORIAL(X-1))
 Creates a function called factorial that takes one parameter. If the parameter is less than or equal to 1 it evaluates to 1, otherwise it evaluates to X multiplied by the FACTORIAL of X-1.
Assign/V4 = FACTORIAL(5)
 Assigns V4 the value of 120 (5*4*3*2*1).


Functions Creating Other Functions Example

Functions can create other functions.

Assign/COMPOSE = FUNCTION((F, G), FUNCTION((X), G(F(X)) ))
 Assigns COMPOSE to be a function that takes two functions as parameters and creates a new function using the two functions.
Assign/ADD2 = FUNCTION((X), X+2)
 Assigns ADD2 to be a function that adds two to the parameter passed in.
Assign/ADD3 = FUNCTION((X), X+3)
 Assigns ADD3 to be a function that adds three to the parameter passed in.
Assign/ADD5 = COMPOSE(ADD2, ADD3)
 Assigns ADD5 to be a function composed of the functions ADD2 and ADD3.
Assign/V5 = ADD5(3)
 Assigns V5 to have the value V8.


Functions As Members of an Array Example

Functions can be members of an array.

Assign/ANARRAY = ARRAY(3, FACTORIAL, "Hello World", ADD5)
 Assigns ANARRAY to be an array of 4 elements: a number (3), a function (FACTORIAL), a string, ("Hello World"), and a function (Add5).
Assign/V6 = ANARRAY[2](4)
 The second element of ANARRAY is the function FACTORIAL. The parameter 4 is passed in to this function and the result of 24 is assigned to V6.
Assign/V7 = ANARRAY[2](ANARRAY[4]
(ANARRAY[1]))
 From the inside out: The first element of ANARRAY (3) is passed to the function of the fourth array element (Add5). The result, 8, is passed to the function of the second array element (FACTORIAL) and assigned to V7. V7 receives a value of 40320.


Operand Coercion

Operands can be coerced to other types using any of the coercion operators:

More:

Integer Coercion

Double Coercion

String Coercion

Point Coercion

Operand Coercion and Mixed Type Expressions


Integer Coercion

INT(<Expression>) - Coerces value of expression to type integer

INT(4)
Evaluates to 4
INT(4.5)
Evaluates to 4
INT("Hello World")
Evaluates to 0
INT("2")
Evaluates to 2
INT("2.2")
Evaluates 2
INT("3 Blind Mice")
Evaluates to 3
INT("The 3 Blind Mice")
Evaluates to 0
INT("3, 4,  5")
Evaluates to 3
INT(MPOINT(0, 0, 1))
Evaluates to the distance of the point from the origin, in this case 1
INT(MPOINT(3, 4, 5))
Distance evaluates to 7.0711, this expression evaluates to 7


Double Coercion

DOUBLE(<Expression>) - Coerces value of expression to type double

DOUBLE(4)
Evaluates to 4.0
DOUBLE(4.5)
Evaluates to 4.5
DOUBLE("A String")
 Evaluates to 0.0
DOUBLE("3.5")
 Evaluates to 3.5
DOUBLE("3.5 inches")
Evaluates to 3.5
DOUBLE("The circle measures 3.5 inches in diameter")
 Evaluates to 0.0
DOUBLE(MPOINT(0,0,1))
 Evaluates to 1.0
DOUBLE(MPOINT(3,4,5))
 Evaluates to 7.0711


String Coercion

STR(<Expression>) - Coerces value of expression to type string

STR(4)
Evaluates to "4"
STR(4.5)
Evaluates to "4.5"
STR("Hello World")
Evaluates to "Hello World"
STR(MPOINT(3,4,5))
Evaluates to "3, 4, 5"


Point Coercion

MPOINT(<Expression1>, <Expression2>, <Expression3>) - Coerces values of expressions to type point after coercing each expression to type double.

MPOINT( 1, 1, 1)
Evaluates to point 1.0,1.0,1.0
MPOINT( 1.1, 1.1, 1.1)
Evaluates to point 1.1, 1.1, 1.1
MPOINT("1", "1", "1")
Evaluates to point 1.0,1.0,1.0
MPOINT( 3, 4.5, "5.6")
Evaluates to point 3.0, 4.5, 5.6
MPOINT( MPOINT(1, 0, 0), MPOINT(0,1,0), MPOINT(3,4,5) )
Evaluates to 1.0, 1.0, 7.0711


Operand Coercion and Mixed Type Expressions

The expression evaluator automatically coerces variables in mixed type expressions. If the result of an expression is not what is expected because of automatic coercion, use of the coercion operators in some cases will yield the desired result. The following are examples of automatic coercions in mixed type expressions.

"CIR" + 1
 Evaluates to "CIR1"
"2" + 2
Evaluates to 4
"The Value of 2+2 is " + 2 + 2
Evaluates to "The Value of 2+2 is 22" (Since expressions are evaluated left to right)
"The Value of  2+2 is " + (2 + 2)
Evaluates to "The Value of 2+2 is 4"
LINE1.XYZ > 2
Evaluates to 1 if the distance of the centroid of LINE1 from the origin is greater than 2
LINE1.XYZ > LINE2.XYZ
Evaluates to 1 if the centroid of LINE1 is further from the origin than the centroid of LINE2
LINE1.XYZ = LINE2.XYZ
Evaluates to 1 if the centroids of LINE1 and LINE2 are the same (no coercion occurs in this case)
DOUBLE(LINE1.XYZ) = DOUBLE(LINE2.XYZ)
Evaluates to 1 if the centroids are the same distance from the origin
11% 3.1
Evaluates to 2 (% is the modulo operator designed to work with integers. It returns the remainder from discrete division. 11%3 = 2. )
CIRCLE1.HIT[3.2].X
Evaluates to measured X value of third hit of Circle1. The argument 3.2 is automatically coerced to an integer with a value of 3.


Operators and Functions

The following operations and functions are available:

More:

Basic Operators

Mathematical Functions

String Functions

Point Functions

Pointer Functions

Array Functions

Function Functions

Miscellaneous Functions


Basic Operators

+ Addition: < Expression > + <Expression>
Adds the two expressions together. In the case of strings, strings are concatenated.

- Subtraction: <Expression> - <Expression>
Subtracts the first expression from the second expression.

* Multiplication: <Expression> * <Expression>
Multiplies the two expressions.

/ Division: <Expression> / <Expression>
Divides first expression by the second expression.

^ Exponentiation: <Expression> ^ <Expression>
Raises the first expression to the power of the second expression.

% Modulo: <Expression> % <Expression>
Returns the remainder of one expression divided by the other.

- Additive Inverse -<Expression>
Returns the additive inverse of the expression.

! Logical Not: !<Expression>
Returns the logical not of the expression.

== Equal To: <Expression> == <Expression>
Evaluates to 1 if expressions are equal. Otherwise, it evaluates to 0. ( Two equal signs are used to distinguish from the assignment operator = in the assignment statement).

<> Not Equal To: <Expression> <> <Expression>
Evaluates to 1 if expression are not equal. Otherwise, it evaluates to 0.

> Greater Than: <Expression> > <Expression>
Evaluates to 1 if first expression is greater than second expression. Otherwise, it evaluates to 0.

>= Greater Than or Equal To: <Expression> >= <Expression>
Evaluates to 1 if the first expression is greater than or equal to the second expression. Otherwise, it evaluates to 0.

< Less Than: <Expression> < <Expression>
Evaluates to 1 if first expression is less than the second expression. Otherwise, it evaluates to 0.

<= Less Than or Equal To: <Expression> <= <Expression>
Evaluates to 1 if the first expression is less than or equal to the second expression. Otherwise, it evaluates to 0.

AND Logical And: <Expression> AND <Expression>
Evaluates to 1 if both expressions does not evaluate to 0. Otherwise, it evaluates to 0.

OR Logical Or: <Expression> OR <Expression> Evaluates to 1 if either expressions does not evaluate to 0. Otherwise, it evaluates to 0.

() Parenthesis: ( <Expression> )
Gives evaluation to precedence to expression inside of parenthesis.


Mathematical Functions

ABS Absolute Value: ABS(<Double>)
Returns absolute value of input.

ACOS ArcCosine: ACOS(<Double>)
Returns the arc cosine of the expression. For example, ACOS(5.0) returns 0. In general, ACOS(<expression>) returns the arc cosine of the value of the expression.

ASIN ArcSine: ASIN(<Double>)
Returns the arc sine of the input.

ATAN ArcTangent: ATAN(<Double>)
Returns the arc tangent of the input.

COS Cosine: COS(<Double>)
Returns the cosine of the input.

DEG2RAD Degrees to Radians: DEG2RAD(<Double>)
Returns the input divided by 360 and multiplied by 2π. Converts from degrees to radians.

EXP Exponential: EXP(<Double>)
Returns the exponential of the expression.

LN Natural Log: LN(<Double>)
Returns the natural logarithm of the expression.

LOG Log Base 10: LOG(<Double>)
Returns the log base 10 of the expression.

RAD2DEG Radians to Degrees: RAD2DEG(<Double>)
Returns the input multiplied by 360 and divided by 2π. Converts from radians to degrees.

ROUND Rounding: ROUND(<Double>)
Returns the input rounded to the nearest integer.

SIN Sine: SIN(<Double> )
Returns the sine of the input.

SQRT Square Root: SQRT(<Double>)
Returns the square root of the input.

Note: Functions where the input is out of range (i.e., for ACOS, ASIN, LOG, LN, SQRT etc. that would cause the computer to crash) return 0.


String Functions

CHR Character Conversion: CHR(<Integer>)
Returns a string, which consists of the character corresponding to the ASCII decimal value.

ELEMENT Delimited substring location: ELEMENT(<Integer>, <String1>, <String2>)

Returns the nth substring (element) from string2 using string1 as the delimiting text that divides the elements in string2. For example, if string2 is "6, 12, 8, 4, 5" and string1 is ","; then the 5 elements that can be individually retrieved with the element command are "6", "12", "8", "4", and "5".

EQUAL Case-insensitive string comparison: EQUAL(<String>, <String>)

Compares two strings (ignoring case) to determine if they are identical. Returns and integer set to 1 if the strings are the same, and 0 if they are not.

GETTEXT Returns the current text from the specified data field: GETTEXT(<String or Integer>, <Integer>, <Pointer>)

This function has three fields.

First Field—Data Field Number or Description

The first field can be either a string (which is the description of the data field) or the data field number.

To obtain these values:

  1. Change the popup display type to Data Type Information. Right click anywhere in the Edit window (PC-DMIS must be in Command Mode).

  2. Choose Popup Display Type from the shortcut menu.

  3. Position the mouse over a data field in the Edit window. The type description, type number and the type index for that data item are displayed.

Note: Since the type description may be different for different languages, use the type number if you're using the part program under a language other than the current one.

Second Field—Type Index

The second field is the type index. This field is usually zero. The correct value for this field can be obtained in the same manner as described for the first field.

Third Field—Command Pointer

The third field is a command pointer. It points to the command containing the field from which the text is being obtained. This field can be specified either by using command pointer notation (ie. {F15}) or by using the GetCommand expression as shown in this example.

Example:
ASSIGN/V1 = GETTEXT("Best Fit Math Type", 0, {F15})
This command assigns V1 the current value of the best fit math type toggle of feature F15.
ASSIGN/V2 = GETCOMMAND("Comment", "TOP", 1)
ASSIGN/V3 = GETTEXT("Comment Type", 1, V2)
V2 is assigned a pointer to the first comment from the top of the part program.
V3 is assigned the value of the Comment Type toggle field. If the first comment in the part program is a comment to be displayed to the operator, the value of V3 will be the string "OPER".

INDEX Substring Location: INDEX(<String>, <String>)
Returns the location of the second string within the first string. The first letter of string is 1. A return value of zero indicates that the sub string is not found in the string.

LEFT Left n characters of string: LEFT(<String>, <String>)
Returns a string consisting of the n leftmost characters specified by the second expression from the string specified in the first expression. First expression coerced to type string, second expression coerced to type integer.

LEN Length of string: LEN(<String>)
Returns the number of characters of the string.

LOWERCASE Create lowercase string: LOWERCASE(<String>)

Returns a string that is the lowercase equivalent of string.

MID Middle n characters of a string: MID(<String>, <Integer>, <Optional Integer>)
Returns a substring consisting of the characters of the string specified in the first parameter starting at the position specified by the second parameter for a length of n characters as specified by the third parameter. If the third parameter is not supplied, the rest of the string is returned.

ORD Ordinal Conversion: ORD(<String>)
Returns the integer ASCII value of first letter of the string. (0-255).

RIGHT Right n characters of string: RIGHT(<String>, <Integer>)
Returns a string consisting of the n rightmost characters specified by integer from the string.

SYSTEMDATE System Date: SYSTEMDATE(<Date Format String>)

Returns the date formatted string with the current date details filled in. For example, the command SYSTEMDATE("MM'/'dd'/'yy") will return the string "03/15/99" if the current date is March 15, 1999.

Use the following string elements to create the date string. Elements must be in the same case as shown below (MM instead of mm). Non-date characters (such as spaces) appearing between date format string elements will appear in the output string in the same location as the input string. Characters in the input string delimited by single quotes will appear in the same location in the output string without the single quotes.

d - Day of the month as digits. No leading-zero for single-digit dates.

dd – Day of the month as digits. Leading zero used for single-digit dates.

ddd – Three letter abbreviation for the day of the week.

dddd – Full name for the current day of the week.

M – Month as digits with no leading zeros for single-digit months.

MM – Month as digits with leading zero for single-digit months.

MMM – Month as three-letter abbreviation.

MMMM – Full name of Month.

y – Year as digits with no leading zeros for single-digit years.

yy – Year as digits with leading zero for single-digit years.

yyyy – Year represented by four digits.

SYSTEMTIME Formatted System Time: SYSTEMTIME(<Time Format String>)

Returns the time formatted string with the current time details filled in. For example, the command SYSTEMTIME("hh':'mm':'ss tt") will return the string "11:29:40 PM" if that is the current time.

Use the following string elements to create the time string. Elements must be in the same case as shown below (tt instead of TT). Non-time characters (such as spaces) appearing between time format string elements will appear in the output string in the same location as the input string. Characters in the input string delimited by single quotes will appear in the same location in the output string without the single quotes.

h - Hours with no leading zero for single-digit hours; 12-hour clock

hh – Hours with leading zero for single-digit hours; 12-hour clock

H – Hours with no leading zero for single-digit hours; 24-hour clock

HH – Hours with loading zero for single-digit hours; 24-hour clock

m – Minutes with no leading zero for single-digit minutes

mm – Minutes with leading zero for single-digit minutes

s – Seconds with no leading zero for single-digit seconds

ss – Seconds with leading zero for single-digit seconds

t – One character time marker string, such as A or P

tt – Multi-character time marker string, such as AM or PM

SYSTIME System Time: SYSTIME()
Returns a string with the current system time.
Example: "Fri May 02 13:50:21 1997"

Note: The returned string, showing current system time, is adjusted to local time zone settings.

UPPERCASE Creates uppercase string: UPPERCASE(<String>)

Returns a string that is the uppercase equivalent of string.


Point Functions

ANGLEBETWEEN Angle Between: ANGLEBETWEEN( <Point>, <Point>)
Returns the angle between the two vectors in degrees.

CROSS Cross Product: CROSS(<Point>, <Point>)
Return value is of type point and is the cross product of first and second expressions.

DELTA Vector Offset: DELTA(<Point>, <Point>, <Double>)
The function takes the first expression (point) and calculates a new point in the direction of the second expression (vector) at an offset of the third expression. For example, DELTA(MPOINT(0,0,0), MPOINT(1,0,0), 10) returns the point 10,0,0.

DOT Dot Product: DOT(<Point>, <Point>)
Returns the dot product of the two points (vectors).

UNIT: Unit Vector: UNIT(<Point>)
Returns the point divided by its length. For example, UNIT(MPOINT(0,0,0)) returns the point 0,0,1.


Pointer Functions

DIST2D: 2d Distance: DIST2D(<FEAT1>, <FEAT2>, <FEAT3>)
Calculates the 2d distance between Feat1 and Feat2 after projecting them onto Feat3.

DIST3D: 3D Distance: DIST3D(<FEAT1>, <FEAT2>)
Calculates the 3D distance between Feat1 and Feat2.

GETCOMMAND: Obtains a pointer to the command specified by the parameters: GETCOMMAND(<Integer or String>, <String>, <Integer>

First Parameter—Command Info Field

The first parameter is the command info field. It specifies the command type for which to search. The following can be passed in:

  • A command description string

  • A command type number

  • The unique number identifier

If the unique id of the command is passed in, no other arguments are necessary.

To obtain the command description string, the command type number, and the command's unique number identifier:

  1. Right click in the Edit window

  2. Choose Change Pop-up Display | Command Information (PC-DMIS must be in Command Mode).

  3. Position the mouse over the desired command. The command description, type number, and unique number identifier for that command will be displayed in the pop-up.

Second Parameter—Search Direction

The second parameter is the search direction. Legal values include:

Value Description
UP
 This value signifies the search should start at the current command and precede upwards
DOWN
 This value signifies the search should start at the current command and proceed downwards.
TOP
 This value signifies that the search should begin at the beginning of the part program in a downwards direction
BOTTOM
 This value signigies that the search should begin with the last object in the part program in an upwards direction

Third Parameter – Which Instance to Find

The third parameter indicates which instance of the command should be found.

Example: If the part program has four instances of a Set/Active tip and you would like to obtain a pointer to the second instance from the top, "2" would be passed in as the third parameter and "TOP" would be passed in as the second paramater as shown here.

ASSIGN/V1 = GETCOMMAND("Set Active Tip", "TOP", 2)

The GETCOMMAND function can be used to supply the third parameter to the GETTEXT string function.


Array Functions

ARRAY: Create Array: ARRAY(<EXPRESSION1>, <EXPRESSION2>, <EXPRESSION3>, …)
Creates an array object with array elements indicated by expression parameters. The array elements are numbered with a base index of 1.

EQUAL: Element by Element Array Comparison: EQUAL(<ARRAY>, <ARRAY>)
Compares the two arrays element by element to determine if the arrays hold the same elements. If the two arrays are not the same size or if any of the elements in one array do not match the corresponding element in the other array, the function returns 0. Otherwise, the function returns 1.

LEN: Array element count: LEN(<ARRAY>)
Returns the number of elements in the array.

MAX: Largest array element: MAX(<ARRAY>)
Returns the largest element in the array. Items in the array are compared numerically or alphabetically.

MIN: Smallest array element: MIN(<ARRAY>)
Returns the smallest element in the array. Items in the array are compared numerically or alphabetically.


Function Functions

FUNCTION: Creates a function: FUNCTION((<PARAM1>, <PARAM2>…), < EXPRESSION >)
Creates a function that takes the number of parameters indicated by the parameter list and substitutes those parameters into the expression. (See the examples under Functions ).


Miscellaneous Functions

IF: Conditional expression evaluation: IF(<EXPRESSION1>, <EXPRESSION2>, <EXPRESSION3>)

If expression1 evaluates to true (non-zero) then this function returns the value of expression2; otherwise, this function returns the value of expression3.

PROBEDATA: Returns data about the current or specified probe: PROBEDATA(<OPTPROBEDATATYPE>, <OPTTIPID>, <OPTPROBEFILENAME>)

OPTPROBEDATATYPE: Optional parameter which specifies what probe data the expression should return. If this parameter is not supplied, the current tip ID is returned. This parameter is of type string. Any expression that evaluates to a valid string expression can be put in the first expression slot. Valid string expressions (not case sensitive) for the first parameter include the following:

"Offset" – Measured tip X,Y,Z offset. Returns type point.

"Vector" – Tip Vector. Returns type point.

"A" - Tip A Angle. Returns type double.

"B" – Tip B Angle. Returns type double.

"Diam(eter)" – Measured tip diameter. The first four letters are required "Diam", but could include more letters up to the full name. Returns type double.

"Thick(ness)" – Measured tip thickness. The first five letters are required "Thick", but could include more letters up to the full name. Returns type double.

"Date" – Date the tip was last qualified. Returns type string.

"Time" – Time the tip was last qualified. Returns type string.

"ID" – Tip ID. Default parameter. Returns type string.

Note: Adding a "T" in front of "Offset", "Diameter", or "Thickness" will returned the theoretical information (i.e. TOFFSET, TDIAMETER, and TTHICKNESS).

OPTTIPID: This optional parameter specifies the tip to be used when obtaining the probe data specified in the first expression. If not supplied, the current tip is used. This parameter should be type string.

OPTPROBEFILENAME: This optional parameter specifies the probe filename to be used in obtaining the probe data. If not supplied, the current probe file is used.

Note: If an invalid probe data type, tip id, or probe file name is supplied, the expression will evaluate to 0.

Examples:

ASSIGN/V1 = PROBEDATA()
V1 is set to current tip id (i.e. "T1A0B0")
ASSIGN/V2 = PROBEDATA("TOFFSET", "T1A45B0")
 V2 is set to the theoretical probe offset for the tip T1A45B0
ASSIGN/V3 = PROBEDATA("Date", "T1A90B90", "MYPROB")

V3 is set to a string representing the date tip T1A90B90of the probe file MYPROB was last qualified.


Entering Expressions

exprsbld Hotspot 9 Hotspot 8 Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Expression Builder dialog box

PC-DMIS allows you to enter expressions into the Edit window by simply typing them in, or by using the more friendly interface of the Expression Builder dialog box.

More:

Enter an Expression by Typing

Enter an Expression using the Expression Builder

Check the Expression for Correctness

Expression Element Type

ID

Extension

Second Extension

Add Button

Edit box

Description Area


Enter an Expression by Typing

To enter an expression by typing it directly to the Edit window:

  1. Open the Edit window.

  2. Press TAB to move your cursor to an editable field where you want to insert the expression. Fields with a yellow highlight are considered "editable".

  3. Type the expression.


Enter an Expression using the Expression Builder

To enter an expression by using the Expression Builder dialog box:

  1. Open the Edit window.

  2. Move the cursor to an editable field where you want to insert the expression.

  3. Press the F2 key while the cursor is on a field that allows expressions. The Expression Builder dialog box will appear. The Expression Builder dialog box lists all of the types of operators, operands, and functions. The following can be referenced through this dialog box:
  • Available expression types

  • Variables

  • Features

  • Dimensions

  • Alignments

  • Comments
  4. Select the expression element type from the first drop-down list. Depending on your selection, other combo boxes will appear.

  5. Select the desired ID from the ID drop-down list.

  6. Select an extension from the Extension drop-down list.

  7. Select another extension from the Second Extension drop-down list. If the expression is usable, the Add button becomes available.

  8. Click the Add button. The expression appears in an edit box.

  9. Click the OK button. The expression now appears where your cursor is in the Edit window.

Note: You can also open the expression dialog box from the menu bar by selecting Utilities | Flow Control | If Goto and then clicking the Expression button from the If Goto dialog box that appears.

Once the expression is created, PC-DMIS automatically inserts the expression at the next legal position in the Edit window.


Check the Expression for Correctness

When your cursor leaves the field where you added the expression, PC-DMIS attempts to check the expression for correctness. If there is a problem with the expression, an error message indicating an invalid number may appear, or the expression text may turn red. Also, expressions that refer to non-existent objects will show up in red text.

Since the test of expression correctness occurs at the time you leave a field, a field that turned red due to a reference of a nonexistent object, (ex. CIRCLE1.X), will remain red even if the new object, (ex. CIRCLE1), is added. The field remains red until the expression is re-tested for correctness.

To re-test the expression for correctness:

  1. Move your cursor to the field of the expression.

  2. Press the F2 key. The Expression Builder dialog box opens again. Any changes to your expression appear in the edit box.

  3. Press the ENTER key to close the dialog box.


Expression Element Type

The Expression Element Type drop-down list in the Expression Builder dialog box lists the various expression element types available to be placed into expressions. These include:

  • Functions

  • Operators

  • Alignments

  • Comments

  • Dimensions

  • Features

  • Variables


Editing a Part Program - Entering Expressions - ID

ID

The ID drop-down list of the Expression Builder dialog box lists the set of items available based on the expression element type selected in the Expression Element Type drop-down list.

For Example:

  • When Functions & Operators is chosen from the Expression Element Type drop-down list the ID drop-down list will contain a list of the available functions and operators.

  • When Features is chosen in the Expression Element Type drop-down list, the ID drop-down list displays the ID's of the features in the part program.


Extension

The Extension drop-down list becomes available when the item chosen in ID drop-down list requires the addition of an extension in order to form a useable expression element. The Extension drop-down list displays available extensions based on the item selected in the ID drop-down list.

Example: Suppose you select a feature from the ID drop-down list. The list of possible extensions that can be used to reference data of that feature (such as "X", "Y", "Z", "Diam", "Length", etc.) are then listed in the Extension drop-down list.


Second Extension

The Second Extension drop-down list becomes available only if the item chosen in the Extension drop-down list requires the addition of a second extension in order to form a useable expression element.

Example: Suppose you are referencing the nominal value of the X location axis of a dimension named "D1".

You would:
Choose D1 from the ID drop-down list.
Select X from the Extension drop-down list
 Select Nom from the Second Extension drop-down list.


Add Button

Whenever you select a useable or complete expression element using the drop-down lists, the Add button becomes available. When clicked this button displays the text to be added to the expression.

For example, if the following were chosen:

  • Dimensions from the Expression Element Type list

  • D1 from the ID list

  • X from the Extension list

  • Nom from the Second Extension list

Then the Add button would become enabled and would have the following text: Add D1.X.NOM.

Upon clicking the Add button, the text then appears in the edit box at the bottom of the dialog box.

Note: When you click the OK button, the text from the edit box is added to the Edit window, to the expression field where your cursor is. If you select an item from the Edit window's expression field, and the text to be added contains parenthesis, then the selected item would be placed inside of the parenthesis of the added text.


Edit box

At the bottom of the Expression Builder dialog box is an edit box showing the current expression. The expression can be typed directly to this box, or you can use the Add button.


Description Area

The Expression Builder dialog box also contains a Description area which gives information about items selected from the drop-down lists. A field next to the Add button also shows the current value of the expression.

Note: Invalid expressions have a value of 0.


ID Expressions

Many of the PC-DMIS commands use feature IDs as parameters. For example, constructed features use IDs to indicate which features are to be used as inputs for the constructed feature. ID expressions allow the user to refer to a specific instance of a feature, a group of similarly named features, an instance of a feature inside a call to a subroutine, or a feature in an external part program.

More:

Feature Array ID

ID Wild Cards

ID's for features within subroutines, basic scripts, or external programs

ID Expression Combinations


Feature Array ID

Use a feature array id to refer to a specific instance of a feature or to a range of feature instances. For example, if the feature "Circle1" were located in a while loop that looped five times, then five instances of the circle would exist upon exiting the loop. To refer to an individual instance of the five instances of "Circle1", use feature array syntax as described under Feature Arrays: where "Circle1[1]" would refer to the first instance, "Circle1[2]" would refer to the second instance, etc.

To refer to a range of instances use the .. notation. "Circle1[1..3]" refers to the 1st through 3rd instances of Circle1. "Circle[3..5] refers to the 3rd through 5th instances of Circle1. "Circle[1..5]" would refer to the 1st through 5th instances of Circle1. When a range of feature is referred to, the set is treated and behaves as a constructed set.


ID Wild Cards

Use ID Wild Cards to refer to a set of similarly named features. The two wild card characters are "*" and "?". (See "Selecting Features Using Meta-character matching" for additional information.)

The asterisk '*' character is used to refer to 0 or more instances of any character. To refer to the set of all feature that start with the letters "CIR", use the expression ID "CIR*". This syntax will create a set of features that include all features with Ids that with "CIR", such as "CIRCLE1", "CIRCLE2", "CIR3", or "CIR".

Note: If CIR3 has several executions only the most recent measurement is used. To get the different instances of the executions, the following expression could be used: CIR?[1..3]

The question mark '?' character is used to a single instance of any character.

Example: The ID expression "MY???1" would create a set of features that are six characters long, begin with "MY" and end with "1", such as "MYCIR1", "MYCON1", "MYLIN1", or "MYFT21".


ID's for features within subroutines, basic scripts, or external programs

Subroutines can be located within the current part program or in an external part program. When the subroutine is located in the same program as the call to the subroutine, the feature array ID syntax explained under Feature Arrays: can be used to refer to individual instances of a feature created in the subroutine. However, when the subroutine is located in an external part program, the following syntax can be used to refer to any features created in the subroutine: "<Call Sub ID>:<FeatID>". For example, if a feature named "F1" were located in an external subroutine that was called from a Call Sub command with the id "CS1", then the ID expression "CS1:F1" could be used to refer to that feature.

Example: This example merely illustrates the use of the syntax CS1.F1 and is not intended to use.

Program 1: PLUS1.PRG

SUBROUTINE/PLUS1, A1 = 0, A2 = 0, A3 = 0
F1 =FEAT/POINT,RECT
THEO/A1+1,A2+1,A3+1,0,0,1
ACTL/3,1,1,0,0,1
MEAS/POINT,1
HIT/BASIC,A1+1,A2+1,A3+1,0,0,1,0,0,0
ENDMEAS/
ENDSUB/

Program 2: TEST.PRG

CS1 =CALLSUB/PLUS1,D:\V30\WINDEBUG\PLUS1.PRG: 3,3,3,,
DIM D1= LOCATION OF POINT CS1:F1 UNITS=IN ,$
GRAPH=OFF TEXT=OFF MULT=10.00 OUTPUT=BOTH
AX NOMINAL +TOL -TOL MEAS MAX MIN DEV OUTTOL
X 3.0000 0.0000 0.0000 3.0000 3.0000 3.0000 0.0000 0.0000
----#----
END OF DIMENSION D1

Basic scripts create and delete objects dynamically. Use the syntax "<Basic Script ID>:<Feat ID>" to refer to a feature created by a basic script. For example, if a basic script with ID "BS1" creates a feature with ID "F2", use the ID expression "BS1:F2" to refer to that feature.

External programs can be attached to PC-DMIS using the attach command. To refer to features in the attached program use the following syntax: "<Attach Prog ID>:<Feat ID>". To refer to feature "F3" in the attached part program with ID "GEAR1", use the expression, "GEAR1:F3". (See "Attach Part Program" for more information.)


ID Expression Combinations

Array ID Expressions, Wild Card ID Expressions, and external subroutine, basic script, and external part program ID Expressions can be used in combination. For example, to refer to the third instance of all features that start with the letters "CIR" in an external part program attached with the ID "BOLTPAT" use the ID expression "BOLTPAT:CIR*[3]".

Also, ID Expressions can be used in regular expressions. Thus, the measured centroid of the above set of features could be assigned to variable with the following expression:

ASSIGN/V1 = BOLTPAT:CIR*[3].XYZ

Also, ID Expressions can be used in regular expressions. Thus, the measured centroid of the above set of features could be assigned to variable with the following expression:

ASSIGN/V1 = BOLTPAT:CIR*[3].XYZ


Precedence

Expressions are evaluated with the precedence shown below (listed from highest precedence to lowest precedence).

Highest Precedence

  • Operands

  • (unary minus), !, (), functions (i.e. ABS, COS, STR, LEN, CROSS, etc.)

  • ^

  • *, /, %

  • +, -

  • ==, <>, <, <=, >, >=

  • AND

  • OR

Lowest Precedence


Add Generic Feature

Generic features are used to hold and transform values. These values can be used to create new constructed features or modify existing features via the CALCULATION command. All generic features have XYZ and IJK values, and may have ANGLE, DIAMETER/RADIUS or DISTANCE values depending on the type assigned to the feature.

The Nominal / Measured Values toggle button indicates the values that will be used in the generic feature.

Command line in the Edit window (a cone is shown):

feature_name=GENERIC/TOG1,TOG2
NOM/XYZ,x_cord,y_cord,z_cord
NOM/IJK,i_cord,j_cord,k_cord
[RADIUS/radius] | [DIAMETER/diameter]
[ANGLE/ang]
[DISTANCE/dist]

TOG1 = POINT, PLANE, LINE, CIRCLE, SPHERE, CYLINDER, CONE, SLOT or NONE

TOG2 = indicates whether the generic feature is alignment dependent, or independent.

[ ] = options shown in brackets are discretionary and are available based on the type assigned to the feature by TOG1. RADIUS and DIAMETER are mutually exclusive representations for the value represented as the radius or the diameter.

More:

Alignment Dependent Generic Feature

Alignment Independent Generic Feature

To Add a Generic Feature


Alignment Dependent Generic Feature

Alignment dependent generic features have values dependent upon the alignment from which they are referenced. They change so that they are always relative to the current alignment. Their location is constant in 3D space.

Example in 2D: Suppose 0,0 is your machine origin. An alignment is set up that locates the origin at 5,5. Now, an alignment dependent feature is defined after the alignment with the values of 2 for x and 2 for y. Relative to the alignment, its values are 2 and 2. Relative to the origin, its values are 7 and 7. No matter what alignment the numbers are given relative to, the point will always be located at 7,7 relative to the true origin.


Alignment Independent Generic Feature

Independent generic features have values that remain the same regardless of which alignment they are referenced from (therefore considered "independent"). Their location in 3D space changes as the alignment changes.

Example in 2D: Next, consider the same example of 2,2 (as shown in the Alignment Dependent example) but this time with an alignment independent generic feature. If you ask for the x and y values relative to the alignment, the object will report 2,2. If you ask for its values relative to the origin, the object will still report 2,2. The set 2,2 relative to the alignment is located at 7,7 relative to the true origin. The set 2,2 relative to the origin is exactly that: 2,2. Thus, the point appears to move in 2D space.

Note: The independent option was added so that a generic feature named XAXIS, for example, could always be used as an input feature to a construction or a datum to a dimension and it would always have the values of 1,0,0 independent of the current alignment.


To Add a Generic Feature

To add a Generic Feature:

  1. Place your cursor in a new line of the Edit window.

  2. Type the word "GENERIC" into the Edit window. PC-DMIS will automatically assign a feature name to the feature. This field and the other fields associated with this feature can be changed in the Add Generic Feature dialog box.

  3. Place your cursor on the first line, and press the F9 key. The Add Generic Feature dialog box will appear.

  4. Make the changes you desire and click the OK button. PC-DMIS will save the generic feature and update the information for the feature in the Edit window.


Using the Edit window

The Edit window allows you to easily access the current part's program. Changes can easily be made to the part program using only the Edit window, the dialog boxes, or a combination of the Edit window with the applicable dialog boxes. The sections below provide information on the functions of the Edit window and the format of the report.

More:

Conventions

System Parameters

Command Mode Keyboard Functions


Editing a Part Program - Using the Edit window - Conventions

Conventions

It is important to note that the documented conventions are simply a tool allowing the user to become familiar with the rules governing the Edit window. The actual Edit report will be displayed using all CAPITAL LETTERS.

  • ALL CAPS indicates a non-editable field with exact text.

  • ALL CAPS with ITALICS denotes a toggle field.

  • lower case indicates a user editable field.

  • lower case with underscore denotes a non-editable field representing numerical values.

  • lower case with italics indicates a user-editable field that can be changed around in any order with the other fields on this line, excluding any or all fields.

  • ...... indicates an optional argument.


System Parameters

The system's parameters are read at the location of the cursor. As the cursor is moved throughout the Edit report, the display windows and toolbar buttons will be updated to reflect the current location of the cursor. Pressing the F9 key while in the Edit window will display the current dialog box marked by the cursor.

To move the cursor to a specific feature's location in the Edit window, click on that feature in the Graphics Display window while holding down the CTRL key.

See Command Mode Keyboard Functions for ways to move the cursor within the Edit window.


Command Mode Keyboard Functions

The following table lists the various keyboard functions available within the Edit window's Command Mode.

Key(s) | Function
ALT + F3 | Displays the Search dialog box.
SHIFT + TAB, CTRL + LEFT ARROW | Moves cursor backward to the last user-editable field.
CTRL | Click on desired feature using left mouse button. PC-DMIS will move the cursor to the corresponding feature line in the Edit window. CTRL + double clicking on a feature selects the entire feature.
CTRL + A | Selects all text in the window for highlighting.
CTRL + C | Copies text or objects to the clipboard. If text from a single field is highlighted, this text is copied to the clipboard. If more than one field is highlighted, then the entire object is copied to the clipboard.
CTRL + END | Moves the cursor to the end of the part program.
CTRL + F3 | Exits from the Edit window.
CTRL + HOME | Moves the cursor to the beginning of the part program.
CTRL + P | Pastes picture.
CTRL + PAGE DOWN | Moves the cursor to the end of the file.
CTRL + PAGE UP | Moves the cursor to the beginning of the file.
CTRL + Q | Displays the Execute dialog box and allows you to execute the part program.
CTRL + T | Switches between Master / Slave mode.
CTRL + V | Pastes the clipboard at the insertion point. If text-only was copied, attempts to paste the text. If an entire object was copied to the clipboard, attempts to paste the entire object. In the latter case, if the insertion point is in the first column of the edit window on the first line of a command, the clipboard object is placed before this object. In all other cases, insertion is after the object.
CTRL + X | Cuts any highlighted characters.
CTRL + Y | Displays the Execute dialog box and allows you to execute the part program at a specified location.
DELETE or BACKSPACE | Deletes any highlighted characters. If nothing is highlighted, then both keystrokes function as in a normal editor.
Double Click | Double clicking using the left mouse button when the cursor is on any editable field will highlight that field.
DOWN ARROW | Moves the cursor down one line.
F2 | Inserts an expression.
F3 | Marks a single feature for execution. Multiple features can be marked simultaneously by highlighting them before selecting this command.
F4 | Prints the entire contents of the Edit window.
F7 | If the cursor is placed in a toggle field, this command switches the entry in the field forward to the next alphabetical entry in the list of allowed entries. It will cycle to the beginning of the list when the end is reached.
F8 | If the cursor is placed in a toggle field, this command switches the entry in the field backward to the last alphabetical allowed entry. It will cycle to the end of the list when the beginning is reached.
F9 | Calls up dialog box for the command on which the cursor is residing when the key is pressed.
LEFT ARROW | Moves the cursor left one character.
PAGE DOWN | Moves the cursor down one page.
PAGE UP | Moves the cursor up one page.
RIGHT ARROW | Moves the cursor right one character.
SHIFT | If the shift key is held down when arrow buttons are depressed, text is highlighted as the cursor moves. SHIFT + double click on a start block or end block selects the entire block.
SHIFT + F10 | Displays the Jump To dialog box.
TAB + CTRL + RIGHT ARROW | Moves cursor forward to the next user-editable field.
UP ARROW | Moves the cursor up one line.


Editing a Part Program - Construct

Construct

This option will allow you to create specified features from existing features. Additional information including specific rules for constructing features can be found in the section "Construction Options".

PC-DMIS supports the construction of the following features:

  • POINT

  • CIRCLE

  • SPHERE

  • LINE

  • CONE

  • CYLINDER

  • PLANE

  • SLOT

  • CURVE

  • SURFACE

  • FEATURE SET

  • GAUSS FILTER


Dimensions

This option allows you to dimension features or the relationship between features. Additional information regarding the calculation of dimensions can be found in "Dimension Options."

More:

Dimension Format

Available Dimensions

Analysis

Post Stats Data ON

LOGO.DAT File


Dimension Format

PC-DMIS's print capability is one of its most powerful features. A dimension can be calculated many different ways until the results are acceptable. Only if the dimension is marked for printing will the data appear on the inspection report.

The FORMAT command allows you to create more than one dimensional format within a part program. For some dimensions, you might not want the nominals printed.

Note: Certain types of zone tolerances always have a nominal of zero, so it is unnecessary to print the NOM. However, later in the part program you might want to use the nominals for a different type of dimension, such as location or true position.

The default FORMAT command will print out all of the columns and column headings. It will also create the statistics XSTATS11.TMP file.

Command line in the Edit window:
FORMAT/HEADINGS,SYMBOL;NOM,TOL,MEAS,MAXMIN,
DEV,OUTTOL

HEADINGS = This major command controls whether the dimensions that follow the FORMAT command will have column headings above the numbers.

SYMBOL = This minor command controls whether the deviation symbols will be printed. This field can be toggled on or off. A blank field indicates that this command is off.

NOM,TOL,MEAS,MAXMIN,DEV,OUTTOL = These minor commands control which columns get printed for dimensions following the FORMAT command. You can toggle any combination of these columns on or off. To turn a flag off, place a blank in the field. They can also be displayed in any order. Simply type the desired command in the order needed. (The order will be numerically displayed in the Parameters Dimension dialog box.)

For more information consult the "Dimension Options" section.


Available Dimensions

To edit these dimensions follow their links below:

  • Location dimension

  • True Position dimension

  • Distance dimension

  • Angle Between dimension

  • Concentricity dimension

  • Coaxiality dimension

  • Roundness dimension

  • Straightness dimension

  • Flatness dimension

  • Perpendicularity dimension

  • Parallelism dimension

  • Runout dimension

  • Profile dimension

  • Angularity dimension

  • Keyin dimension


Editing a Part Program - Dimensions - Analysis

Analysis

To edit the Analysis information see "Analysis Settings" and "Analysis".


Post Stats Data ON

To edit the statistics data, see "Stats On".


LOGO.DAT File

To manipulate the LOGO.DAT and the ELOGO.DAT file see Header and Footer Formats .


Editing a Part Program - Alignment

Alignment

The Alignment option allows you to recall or create a new coordinate system.

More:

Alignment Commands

CAD Equals Part

Equate Alignment


Alignment Commands

For more information on how to use these alignment commands in the Edit window, follow these links below:

  • Start Alignment Command

  • Best fit 2D Alignment Command

  • Best fit 3D Alignment Command

  • Iterative Alignment Command

  • Level Alignment Command

  • Rotate Alignment Command

  • Translate Alignment Command

  • Rotate Offset Alignment Command

  • Translate offset Alignment Command

  • Recall Alignment Command

  • Recall External Command

  • Recall Internal Command

  • End Alignment Command


Editing a Part Program - Alignment - CAD Equals Part

CAD Equals Part

For more information on how to use the CAD Equals Part command in the Edit window, see "CAD Equals Part" in the "Utilities" section.


Editing a Part Program - Alignment - Equate Alignment

Equate Alignment

For more information on how to use Equate Alignment command in the Edit window, see "Equate Alignment" in the "Utilities" section


Measurements

This command allows you to measure specified features.

More:

General Command Format

Measured Edit Box

Features

Hits

Motions

Sheet Metal Measurements


Editing a Part Program - Measurements - General Command Format

General Command Format

All measured features are displayed in the following format. There will be slight variations that are explained more thoroughly in the following sections. The actual Edit report will be displayed using all CAPS.

For example;

feature_name=FEAT/FEATURE_TYPE,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/TOG2,TOG3,
HIT/TOG5,x,y,z,i,j,k,x,y,z
ENDMEAS/

feature_name: This displays the name of the feature. This is a user editable field.

FEATURE_TYPE: This denotes the type of feature and is the same as TOG2 but is non-editable and cannot be toggled.

......: This indicates that what follows is unique to each feature.

TOG1: This field is present in all features and can be toggled between RECT / POLR. If this feature is RECT, all points are represented in Cartesian system (x, y, z). If the field is POLR, all the points are displayed in polar system (x_radius, y_angle, z_height). Vectors do not change.

TOG2: This field is present in all measured features and can be switched between:
CIRCLE / CONE / CURVE / CYLINDER / LINE / PLANE / POINT / SET / SLOT / SPHERE

POINT is the default feature type when the measured command line is opened for the first time in a part program. The default feature type then becomes the last measured feature type.

TOG3: This field represents the number of hits that will be taken according to the type of feature displayed in TOG2. The HIT line is varied, based on the number of hits set up by the user. For example; 1 hit = 1 HIT/BASIC line, 3 hits = 3 HIT/BASIC lines. The required minimum number will be indicated as the default.

TOG4: This field also takes unique values according to the type of feature represented in TOG2. Linear features will allow you to toggle between BOUND/UNBOUND. Circular features will allow you to switch between IN/OUT. Angular features will allow you to switch between LENGTH/ANGLE.

TOG5: This field represents the type of hit that is to be taken:
BASIC.

x,y,z,i,j,k,x,y,z: The first set of numbers (x, y, z) is the theoretical target vector and is editable by the user. The i, j, k is also editable and represents the theoretical approach vector. The last set of numbers (x, y, z,) is non-editable and represents the measured point.

See Conventions for field rules.

More:

Adding Lines

Deleting Lines

Accessing the Dialog Box


Editing a Part Program - General Command Format - Adding Lines

Adding Lines

To add a hit line, place the cursor in the desired location and press the ENTER key. Begin by typing the command HIT. Press the TAB key. PC-DMIS adds the new line depending on where the cursor is located. If the cursor is in the middle of a command, a new line is created below the current line. If the cursor is placed anywhere within the first four lines PC-DMIS will create the new line immediately after the measured line.


Editing a Part Program - General Command Format - Deleting Lines

Deleting Lines

To delete a blank line press the DOWN ARROW or ENTER key. The line may also be highlighted and deleted. (See Command Mode Keyboard Functions.)


Editing a Part Program - General Command Format - Accessing the Dialog Box

Accessing the Dialog Box

The short cut key F9 allows you to access the current dialog box marked by the cursor. Place the cursor on the desired measured feature and press the F9 key. PC-DMIS will display the corresponding Measured Feature dialog box, allowing any desired changes to be made.


Measured Edit Box

PC-DMIS will allow you to select the desired measured feature in the Edit window and make any corrections directly to the Edit window. The Measured Feature edit box was created to offer a user friendly alternative to editing the edit window.

To open a Measured Feature edit box:

  1. Place the cursor within the first four lines of the desired measured feature.

  2. Press the F9 key.

If the cursor is placed on a listed hit (i.e. HIT/BASIC) within the measured feature and the F9 key is pressed, PC-DMIS will display the Measured Hits edit box for the selected hit.

More:

Feature Name

Number of Hits

Coordinate System

Feature Definition

Hit Targets


Feature Name

The Feature Name box allows you to change the name of the displayed feature. Simply highlight the feature ID in the Edit window, type in a new identification and press the ENTER key. PC-DMIS allows you to duplicate feature identifications. Caution should therefore be used in changing feature names if identical ID's are not desired.


Editing a Part Program - Measured Edit Box - Number of Hits

Number of Hits

The Number of Hits box allows you to change the number of hits for a specified feature. For example: Currently four hits are listed in the edit box. If you delete a hit, the last hit (#4) in the feature list will be deleted. If two hits are deleted, the last two hits (#4 and #3) will be deleted. PC-DMIS will renumber the remaining hits based on its current numbering assignment.

If you add a hit, PC-DMIS will increase the Hit Target list by one, displaying an extra hit at the end of the hit list. This hit will not indicate any x, y, z, i, j, k values until the program is executed. At that time PC-DMIS will prompt the operator to take the additional hit.

PC-DMIS will ask if the hits are to be equally spaced. Answer by clicking Yes, and PC-DMIS will take the hits in equally spaced intervals. If you click the No button, PC-DMIS will display the hit values as 0, 0, 0, 0, 0, 1. You will then need to manually enter the hit values.


Coordinate System

The Coordinate System area allows you to choose between rectangle and polar coordinates. If the Rect option is selected, all points are represented in Cartesian system (x, y, z). If Polar is selected, all points are displayed in polar system (x_radius, y_angle, z_height). Vectors do not change.


Feature Definition

This box will reflect the current feature type that is displayed.

Angular Definition Format

If an angular feature is displayed, PC-DMIS will allow you to choose between LENGTH and ANGLE.

The length option displays the diameters of two circles. It also will display the length between the two circles.

The angle option will display the nominal (x, y, z) and vector (i, j, k) of the point. It also will display the angle value.

Circular Definition Format

If a circular feature is displayed, PC-DMIS will allow you to choose between IN and OUT.

Line Definition Format

If a linear feature is displayed, PC-DMIS will allow you to choose between BOUND and UNBOUND.

Bound lines will display two end points (x, y, z, x, y, z). Unbound lines will display the nominal (x, y, z) and vector (i, j, k) of the line.


Hit Targets

Double clicking on any listed hit target value will display a Hit Edit box. This will allow you to update the current values of the hits.


Features

The following text displays the basic measurement format for each feature type. The actual Edit report will be displayed using all CAPS.

More:

Circle

Cone

Cylinder

Line

Plane

Point

Sphere


Editing a Part Program - Features - Circle

Circle

dimension_name=FEAT/ CIRCLE ,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/CIRCLE,TOG3
...
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

TOG3= This value is user editable and is determined by the feature being measured. The HIT line is varied, based on the number of hits set up by the user. For example, 3 hits = 3 HIT/BASIC lines, 5 hits = 5 HIT/BASIC lines.

TOG4= This field can be toggled between IN / OUT.

...= As many hits as are necessary are entered at the ellipsis.


Cone

dimension_name=FEAT/ CONE ,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/CONE,TOG3
...
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

TOG3= This value is user editable and is determined by the feature being measured. The HIT line is varied, based on the number of hits set up by the user. For example, 6 hits = 6 HIT/BASIC lines, 11 hits = 11 HIT/BASIC lines.

TOG4= This field can be toggled between LENGTH / ANGLE.

...= As many hits as are necessary are entered at the ellipsis.


Editing a Part Program - Features - Cylinder

Cylinder

dimension_name=FEAT/ CYLINDER ,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/CYLINDER,TOG3
...
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

TOG3= This value is user editable and is determined by the feature being measured. The HIT line is varied, based on the number of hits set up by the user. For example, 6 hits = 6 HIT/BASIC lines, 11 hits = 11 HIT/BASIC lines.

TOG4= This field can be toggled between IN / OUT.

...= As many hits as are necessary are entered at the ellipsis.

Note: If you create a measured cylinder with more than two rows, and later change the Number of Hits in the Measured Cylinder dialog box Num Hits for a Cylinder, PC-DMIS will keep the number of rows the same.


Editing a Part Program - Features - Line

Line

dimension_name=FEAT/ LINE ,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/LINE,TOG3,length
...
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

TOG3= This value is user editable and is determined by the feature being measured. The HIT line is varied, based on the number of hits set up by the user. For example, 2 hits = 2 HIT/BASIC lines, 3 hits = 3 HIT/BASIC lines.

TOG4= This field can be toggled between BND / UNBND.

...= As many hits as are necessary are entered at the ellipsis.


Plane

dimension_name=FEAT/ PLANE ,TOG1
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/PLANE,TOG3
...
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

TOG3= This value is user editable and is determined by the feature being measured. The HIT line is varied, based on the number of hits set up by the user. For example, 3 hits = 3 HIT/BASIC lines, 8 hits = 8 HIT/BASIC lines.

...= As many hits as are necessary are entered at the ellipsis.


Editing a Part Program - Features - Point

Point

dimension_name=FEAT/ POINT ,TOG1
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/POINT,TOG3
HIT/…
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

...= A single hit is entered at the ellipsis.


Editing a Part Program - Features - Sphere

Sphere

dimension_name=FEAT/ SPHERE ,TOG1,TOG4
THEO/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
ACTL/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
MEAS/SPHERE,TOG3
...
ENDMEAS/

TOG1= This field can be toggled between RECT / POLR.

TOG3= This value is user editable and is determined by the feature being measured. The HIT line is varied, based on the number of hits set up by the user. For example, 4 hits = 4 HIT/BASIC lines, 7 hits = 7 HIT/BASIC lines.

TOG4= This field can be toggled between IN / OUT.

...= As many hits as are necessary are entered at the ellipsis.


Editing a Part Program - Measurements - Hits

Hits

This command targets the location for actual touches by the probe.

More:

Basic Hit

Sheet Metal Hits


Basic Hit

HIT/BASIC,x,y,z,i,j,k,x,y,z

This is the simplest hit format.


Sheet Metal Hits

HIT/type,x,y,z,i,j,k,x,y,z

type = VECTOR, SURFACE, EDGE, CORNER, ANGLE

There are five available types of sheet metal hits. The Sheet Metal package must be installed for this option to be available. (See Sheet Metal Measurements.)


Motions

The various Motion commands control the movement of the machine.

More:

Mode = MAN / DCC

Prehit Distance

Retract Distance

Check Distance

Moves


Mode = MAN / DCC

MODE/MAN (or DCC)

This command allows you to select between manual and DCC mode.


Editing a Part Program - Motions - Prehit Distance

Prehit Distance

PREHIT/nnn.nnnn

This command determines the distance from the theoretical hit location that the machine will travel at touch speed.

Move Speed

MOVESPEED/nnn.nnnn

This command changes the point to point positioning speed of the CMM. The value that is entered (1 to 100) is a percentage of the maximum machine speed.

Touch Speed

TOUCHSPEED/nnn.nnnn

This command changes the speed at which the CMM takes hits. The value that is entered is a percentage of the maximum machine speed, and cannot exceed twenty percent.

Scan Speed

SCANSPEED/nnn.nnnn

This command changes the speed at which the CMM will scan the part. The value that is entered is a percentage of the maximum machine speed.


Editing a Part Program - Motions - Retract Distance

Retract Distance

RETRACT/nnn.nnnn

This command determines the distance the machine will move away from the actual hit location before going from "Touch Speed" to "Move Speed".


Editing a Part Program - Motions - Check Distance

Check Distance

CHECK/nnn.nnnn,p.pp

This command determines the distance in inches or millimeters (depending on the system of measurement that was initially set up for the particular part program) past the theoretical hit location that the machine will continue to search for the surface of the part until it determines the surface is not there.

nnn.nnnn:
The check distance

p.pp:
The percentage of the total check distance that PC-DMIS will move when performing a Find Hole operation. The default value is 1 which means 100% of the check distance. Thus .1=10%, .2=20%, .3=30% etc. This only functions with Find Hole operations.

  • If PC-DMIS finds a surface within the specified check distance, it takes a hit.

  • If no surface is found PC-DMIS displays an error message that it has encountered an unexpected end of move.

Example: If .3 inches is entered as the check distance, PC-DMIS will move .3 inches past the theoretical surface, searching for a surface on which to make the hit.

See "Check Distance" in the "System Options" section for additional information.


Moves

The commands listed below provide you with the ability to alter the movement of the probe between hits.

Move Point

This minor command allows you to move the probe to a specified x, y, z location. To use this option, open a new line in the Edit report at the desired location and type the command: MOVE/POINT,x,y,z

A Move Point can be inserted into either an on-line or off-line part program. If the part program is off-line, click on the path line where the inserted move is desired. After the path is selected, an animated probe will be drawn on the screen at the mid-point of the selected path line. Now, simply place the mouse cursor at the location of the desired move and press the left mouse button. The path line will be updated to show the move. When the process is completed on-line, use the probe to indicate the desired location on the part, and select Auto Util | Insert Move. PC-DMIS will automatically insert the move point into the part program.

Command line in the Edit window:
MOVE/POINT,x,y,z

Note: Pressing the PRINT button on the jog box (if so equipped) while measuring a feature in Learn mode will automatically insert a Move Point into the part program. To make this function available on your system, the following conditions must be met:

The "Print Button" entry of the PCDLRN.INI file must be set to one (1).

Changes to the PCDLRN.INI file must be saved.

PC-DMIS must be restarted after saving changes to the PCDLRN.INI file.

Clear Plane

This minor command allows you to define a clearance plane value for the current working plane. The ClearPlane tab of the Parameters dialog box (See Options | Parameters | ClearPlane tab ) allows you to turn clearance planes on globally. This option only defines the clearance plane for the first hit of a feature. To set additional clearance planes for a feature, open a new line at the desired location and type the command: CLEARP.

Move Clearance Plane

This minor command works in conjunction with the CLEARP/ command. Each time this command is encountered during execution it will move the probe to the clearance plane defined by the CLEARP/ command. The probe will remain at the clearance plane until a command is encountered the will move the probe away from the clearance plane such as a MEAS, HIT, or MOVE/POINT command. If you want the probe to move to the clearance plane before each hit of a measured circle then a MOVE/CLEARPLANE command must be inserted directly before each HIT/ command.

Command line in the Edit window:
MOVE/CLEARPLANE

Move Circular

This minor command allows you to move the probe a specified incremental distance from the current location. It is only available on outside circular features. It will move from one point to another in a circular fashion based on the radius of the feature being measured.

Command line in the Edit window:
MOVE/CIRCULAR

Move Increment

This minor command allows you to move the probe a specified increment from the current location.

Command line in the Edit window:
MOVE/INCREMENT,x,y,z

Move Table

This minor command allows you to rotate the table.

Command line in the Edit window:
MOVE/ROTAB,angle,DIRECTION

Direction = determines the direction of the table rotation. Available options are:

Clockwise: | Rotates the table in a clockwise direction until it reaches the angle entered in the Rotate Table Angle box.
Counterclockwise: | Rotates the table in a counterclockwise direction until it reaches the angle entered in the Rotate Table Angle box.
Shortest: | Rotates taking the shortest route (either Clockwise or Counterclockwise) until it reaches the angle entered in the Rotate Table Angle box.


Editing a Part Program - Measurements - Sheet Metal Measurements

Sheet Metal Measurements

Sheet metal measurements are available only as an added option to the basic PC-DMIS geometric software package. (See the "Auto Utility" section.) This option provides you with several alternate choices for taking hits. The various sheet metal features are listed below. When applicable, Number of Hits, Number of Rows, Spacer, and Indent values can be updated. The required minimum number will be indicated as the default.

The following sheet metal measurements are available. To work with measuring sheet metal features, follow the links below for complete information:

  • Vector Point

  • Surface Point

  • Edge Point

  • Angle Point

  • Corner Point

  • High Point

  • Sheet Metal Circle

  • Sheet Metal Cylinder

  • Sphere

  • Square Slot

  • Round Slot

  • Ellipse

  • Notch


Editing a Part Program - Probe

Probe

The following commands allow you to access options that affect the probe. These commands allow you to change the active tip in a probe cluster or change the position of the rotating probe head. Probe compensation can also be turned on or off as needed.

More:

Load Probe

Probe Comp

Read Point (Ctrl G)

Tip


Editing a Part Program - Probe - Load Probe

Load Probe

LOADPROBE/probe_file_name

The Load Probe command is a user editable field that allows you to load a file of qualified probe tips to be used within the part program.


Probe Comp

PROBECOM/ON  (or OFF)

The Probe Comp command allows you to turn probe compensation on or off. It is considered ON if the command is displayed in the Edit window.


Read Point (Ctrl G)

F_ID=  FEAT/ POINT, TOG1
THEO/ x, y, z, i, j, k
ACTL/ x, y, z, i, j, k
READPOINT

The Read Point command (CTRL + G) creates a point feature at the current location of the probe. PC-DMIS will then store the values of the point that is read.

See "Read Point Construction" for additional information.


Tip

TIP/T1A0B0, SHANKIJK=0, 0, 1, ANGLE=0
  • The SHANKIJK is just another vector form of specifying the A and B angles for the tip.

  • The ANGLE specifies the angle that the tip transformation matrix is rotated about the shank vector.


Comments

This option allows you to display comments during the execution of the part program, or to send the comments to the inspection report. These comments are created using the Utilities | Comment menu option. The Show Comments option also allows you to add, edit, or delete operator notes and inspection report comments within the Edit window. The COMMENT command switches between the options OPER, REPORT YESNO, DOC, and INPUT.

More:

Operator

Report

Input

Document

Yes / No


Editing a Part Program - Comments - Operator

Operator

This option will display a user supplied message when executing the part program. Access this option by selecting Utilities | Comment from the menu bar and switching to OPER or enter the command COMMENT/OPER in the desired location of the Edit window. Type in the desired text. (Any length of text will be accepted.) Click the OK button (or press the ENTER key) when the comments are completed. When PC-DMIS executes the part program, a message displays the previously entered comments. Click on the OK button to close the message box.

Pressing the F9 key while the cursor is in a COMMENT/OPER command line will display the Comments dialog box allowing you to alter the displayed message.

Command line in the Edit window:
COMMENT/OPER, comment text


Editing a Part Program - Comments - Report

Report

This option allows you to send text to the inspection report. Access this option by selecting Utilities | Comment from the menu bar and switching to REPT or enter the command COMMENT/REPT in the desired location of the Edit window. Type in the desired text. (Any length of text will be accepted.) Click the OK button (or press the ENTER key) when the comments are completed. When PC-DMIS executes the part program, these messages will not be viewed. PC-DMIS will, however, send these comments to the inspection report when it is printed.

Pressing the F9 key while the cursor is in a COMMENT/REPT command line will display the Comments dialog box allowing you to alter the displayed message.

Command line in the Edit window:
COMMENT/REPT, comment text


Editing a Part Program - Comments - Input

Input

This option is similar to "OPER" in that it allows you to display text when executing a part program. In addition to displaying a message with the previously entered text, a comment box will appear. This allows you to enter numerical information that will be written to the inspection report. Access this option by selecting Utilities | Comment from the menu bar and switching to INPUT, or enter the command COMMENT/INPUT in the desired location of the Edit window. Type in the desired text. The input from the operator will be assigned to the Comment ID and is accessible via an expression reference (i.e. C1.INPUT).

Pressing the F9 key while the cursor is in a COMMENT/INPUT command line will display the Comments dialog box, allowing you to alter the displayed message.

Command line in the Edit window:
comment ID = COMMENT/INPUT, comment text


Editing a Part Program - Comments - Document

Document

This option provides you with the ability to add text to the internal program. It will not display any text when executing the part program.

Command line in the Edit window:
COMMENT/DOC, comment text


Editing a Part Program - Comments - Yes / No

Yes / No

This option allows you to display text when executing a part program. The message box will displayed any previously entered text and YES / NO buttons. The response to the YES / NO question will appear in the part program. The text 'YES' or 'NO' will be associated with the comment identification and is available in any expression via a reference to the Comment ID (i.e. C1.INPUT).

Command line in the Edit window
comment ID = COMMENT/YESNO, comment text


Trace Fields

The Trace Field option lets you set up trace fields in the Edit Window. This information is useful in the STATS data base (see the XSTATS11.TMP file). The name of the field and the current value can be changed in the Edit window. This is done by selecting the field to be changed, and typing a new value. (See "Executing a Part Program" for additional information on Trace Fields.)

To display the Trace Fields dialog box, select Utilities | Trace Field.

Command line in the Edit window:
TRACEFIELD/field name : value

field name = string that represents the name of the trace field. There is a 15 character limit on the length of the field name.

value = the current value of the trace field. There is a 15 character limit on the length of the value..


Editing a Part Program - Display

Display

This command will allow you to capture the Graphics Display portion of the screen and display it in the Edit window. This display also will be available in the printout and will be updated every time the part program is executed. This printout can be formatted in landscape or portrait orientation.

Command line in the Edit window:
DISPLAY / METAFILE, TOG , "___"

TOG = This field will toggle between landscape and portrait orientation.

___ = This field will allow you to enter a description of the captured screen. The maximum text is 255 characters.


Command List

The table below defines the list of global commands available in the Edit window. While you cannot alter these commands, the Edit window does allow you to select the minor commands following these major commands.

To select the minor commands:

  1. Place the cursor over a minor command in the Edit window.

  2. Clicking the left mouse button.

This allows you to toggle through the available choices. (Also see Command Mode Keyboard Functions for additional ways to select these choices.)

This list serves as a comprehensive summary of the information found throughout "Editing a Part Program". See each specific section for more information as necessary.

Note: The maximum number of characters that PC-DMIS can manage within any line of the Edit window is 280.

MAJOR COMMAND | MINOR COMMAND
2DANGLE (see "Angle Between") | A
2DDISTANCE (see "Distance") | M
3DANGLE (see "Angle Between") | A
3DDISTANCE (see "Distance") | M
ALIGNMENT (see "Alignment") | BF2D, BF3D, ITERATE, LEVEL, ROTATE, TRANS, ROTATE_OFFSET, TRANS_OFFSET, RECALL, RECALL_EXTERNAL
ANGULARITY (see "Angularity") | M
ANALYSISVIEW (see "Analysis") |
ARRAY INDICES (see Arrays) |
ASSIGN (see "Variables") |
ATTACH (see ID's for features within subroutines, basic scripts, or external programs) |
AUTO (see Sheet Metal Measurements) | VECTOR, SURFACE, EDGE, CORNER, ANGLE, SPHERE, CIRCLE, CYLINDER, SQ SLOT, RND SLOT
AUTOTRIGGER (see "Autotrigger") |
CAD EQUALS PART (see CAD Equals Part ) |
CALCULATION |
CALLSUB (see "Calling a Subroutine") |
CASE (see "Case / End Case") |
CHECK (see Check Distance) |
CLEARP (see "ClearPlane") | "WORK PLANE VALUE"
CLAMP (see "Clamping Value") |
COLUMN132 (see Dimensions) |
COMMENT (see Comments) | OPER, REPORT
CONCENTRICITY (see "Concentricty") | M
CONST (see Construct) | CIRCLE, CONE, CURVE, CYLINDER, LINE, PLANE, POINT, SET, SURFACE, SPHERE
DEFAULT_CASE (See "Default Case / End Default Case") |
DISPLAY (see Display) | METAFILE
DO (see "Do / Until") |
ELSE (see "Else / End Else") |
END_ELSEIF (See "Else If / End Else If") |
ELSE_IF (see "Else If / End Else If") |
END_CASE (see "Case / End Case") |
END_DEFAULTCASE (see "Default Case / End Default Case" ) |
END_ELSE (see "Else / End Else") |
END_IF (see "If / End If"). |
END_SELECT (see "Select / End Select") |
END WHILE (see "While / End While") |
ENDSUB (see "Ending a Subroutine") |
EQUATE (see Equate Alignment) |
EXTERNALCOMMAND (see "External Command"). |
FILE |
FLATNESS (see "Flatness") | M
FLY (see "Fly Mode") |
FORMFEED |
FORMAT (see Dimension Format) | HEADINGS,STATS;
GAPONLY (see "Location") | ON
GENERIC (see Add Generic Feature) |
GO TO (see "Goto") |
H |
HIT (see Hits) | BASIC
IF (see "If / End If") |
KEYIN (see "KeyIn") | M
LABEL (see "Label") |
LEITZPROBE |
LOADPROBE (see Load Probe) | "FILE NAME"
LOCATION (see "Location") | A, D, M, PA, PR, R, T, X, Y, Z
LOOP (see "Looping" | START, END
MEAS (see Measurements) | CIRCLE, CONE, CURVE, CYLINDER, LINE, PLANE, POINT, SET, SLOT, SPHERE
MODE (see "Manual / DCC Mode") | DCC, MANUAL
MOVE (see Moves) | POINT, ROTAB, CIRCULAR, CLEARPLANE, INCREMENT, PH9 (X,Y,Z)
MOVESPEED (see Motions) | % of overall machine speed
ONERROR (see "On Error") | Unexpected_hit, probe_miss
OPTIONMOTION (see "Optional Motion") |
PARALLELISM (see "Parallelism") | M
PD |
PERPENDICULARITY (see "Perpendicularity") | M
PREHIT (see Prehit Distance ) | "distance"
PROBECOMP (see Probe Comp) | "ON, OFF"
PROFILE (see "Profile"). |
PROGRAM | END "ends program at command location"
READPOINT (see "Read Point". | "xyz value of probe location"
RECALL (see "Recall Alignment") | VIEWSET, ALIGNMENT (INTERNAL/EXTERNAL)
RETRACT (see Retract Distance) | "distance"
RETROLINEARONLY (see "Retrolinear Only") | ON
RMEAS (see "RMEAS"). |
ROUNDNESS (see "Roundness") | M
RS |
RT |
RUNOUT (see "Runout") | M
S |
SAVE (see "Save Alignment") | ALIGNMENT
SCANSPEED (see "Scan Speed") | % of overall machine speed
SCRIPT (see "Scripting") |
SELECT (see "Select / End Select") |
STATS (see "Statistics") | ON, OFF
STRAIGHTNESS (see "Straightness"). | M
SUBROUTINE (see "Subroutines") |
TIP (see Tip) | "file name"
TEMPCOMP (see "Temperature Compensation Setup") |
TOUCHSPEED (see "Touch Speed %") | "% of overall machine speed"
TRACEFIELD (see Trace Fields) | (field name : value)
TRUEPOSITION (see "True Position") | A, D, M, PA, PR, R, T, V, X, Y, Z
UNTIL (see "Do / Until") |
WHILE (see "While / End While") |
WORKPLANE (see "Working Plane List") | TOP, BACK, BOTTOM, FRONT, LEFT, RIGHT


Executing a Part Program: Introduction

To execute a part program using PC-DMIS for Windows"

  1. Simply mark the desired features within the Edit Window.

  2. Select the File | Execute menu command.

The Execute command is also found in the Edit window under the Execute menu choice. To successfully execute a part program, several important steps must be followed. See the section Steps to Executing a Part Program.

When using the Execute Mode with off-line PC-DMIS, the user has access to all the following capabilities and functions (except where noted). The major difference in executing a part program off-line is that PC-DMIS moves a graphic representation of the probe around the part as opposed to a real probe on-line.

The main topics in this section include:

  • Execute Options

  • Steps to Executing a Part Program

  • Editing the Probe Path

  • Statistical Analysis


Execute Options

The Execute menu located on the menu bar in the Edit window offers the following options and capabilities:

More:

Execute

Execute From

Mark

Mark All

Clear Marked

New Marked Set

Show Marked Set

New Alignment Mode


Executing a Part Program - Execute Options - Execute

Execute

The Execute | Execute menu option (CTRL + Q) displays the Execution Mode Options dialog box. PC-DMIS will execute all marked commands in the program (see Mark to mark commands). Depending on the mode, PC-DMIS will request the operator to take a hit or will automatically begin the measurement process.

The Execution Mode Options dialog box is re-sizable. When it is widened, more characters are displayed in the CMM Errors and CMM Commands lists. When it is lengthened, all of the controls get larger and easier to read from a distance.

More:

To Re-size the Execution Mode Options Dialog Box


To Re-size the Execution Mode Options Dialog Box

To re-size this dialog box:

  1. Place the mouse cursor on the outer edge of the dialog box. The general arrow icon will be replaced by a double arrow icon.

  2. Hold down the left mouse button.

  3. While holding down the left mouse button, drag the cursor to the desired location.

  4. Release the mouse button.

The box will be re-sized.


Executing a Part Program - Execute Options - Execute From

Execute From

The Execute | Execute From menu option (CTRL + Y) executes from the feature listed on the Execute menu and continues from the listed feature until the end of the part program. This menu option is only available when you have canceled a prior execute command.

Example: If during a program execution, you click the Cancel button while measuring feature CIR1. The Execute | Execute From menu becomes available so that you can continue inspecting the part beginning at CIR1.


Executing a Part Program - Execute Options - Mark

Mark

The Execute | Mark (F3) option allows you to mark a specific feature(s) for execution. Features related to the alignment, tip commands, etc. are automatically marked for execution.

There are several ways to mark features. PC-DMIS will indicate a marked feature using the current highlight color within the Edit window. It will also display an asterisk (*) next to the feature ID in the Graphics Display window.

Note: When you mark a feature for execution, PC-DMIS will also mark the move commands just prior to that feature.

Once a feature is marked, specific lines within that feature can be clear marked. Move the cursor to the desired line within the marked feature and re-select Execute | Mark (F3) to clear mark the indicated line. Only hits within a feature can be unmarked. If a line other than a hit is selected, PC-DMIS will un-mark the entire feature when the option is chosen for the second time.

If a constructed feature is selected, PC-DMIS will also highlight any related features used in the construction process. If a dimension is selected, PC-DMIS will also selected the features used to create the dimension. If dimensions are marked, PC-DMIS will send the results to the printer after the program is executed. (See "Print Setup" for more information.)

More:

Marking Single Feature Using the Edit window

Marking Multiple Features Using the Edit Window

Marking Single Features Using the Graphics Display window

Marking Multiple Features Using the Graphics Display window


Marking Single Feature Using the Edit window

To mark a single desired feature in the Edit window using the cursor:

  1. Click on a specific feature.

  2. Press the F3 key. PC-DMIS will mark (or highlight that feature when Execute | Mark (F3) is selected.

Note: Features can be "clear marked" by repeating this same Marking procedure on already marked features.


Marking Multiple Features Using the Edit Window

To mark multiple features in the Edit window using a technique similar to marking single features:

  1. Click at the beginning of the first feature.

  2. Hold down the SHIFT key.

  3. Move to the end of the feature or to the end of a sequence of features.

  4. Click the left mouse button. All the features between the two mouse button clicks will be selected.

  5. Press the F3 key.

Note: Features can be "clear marked" by repeating this same Marking procedure on already marked features.


Marking Single Features Using the Graphics Display window

To mark a single desired feature using the Graphics Display window:

  1. Hold down the SHIFT key.

  2. Click on the desired feature (or feature ID) with the left mouse button. The feature is entirely highlighted in the Edit window.

Note: Features can be "clear marked" by repeating this same Marking procedure on already marked features.


Marking Multiple Features Using the Graphics Display window

To mark multiple features in the Graphics Display window using a technique similar to "Marking Single Features Using the Graphics Display window":

  1. Hold down the SHIFT key.

  2. Box select the desired features using the click and drag method to create a box and drag it across the desired features.

Note: Features can be "clear marked" by repeating this same Marking procedure on already marked features.


Executing a Part Program - Execute Options - Mark All

Mark All

The Execute | Mark All menu option marks all of the features in the Edit window for executing purposes. Select this option and PC-DMIS will display a message allowing you to mark manual alignment features. Select the Yes button if this is desired.


Executing a Part Program - Execute Options - Clear Marked

Clear Marked

The Execute | Clear Marked menu option clears (or un-marks) all features in the Edit window that were earlier marked for execution.


Executing a Part Program - Execute Options - New Marked Set

New Marked Set

The Execute | New Marked Set menu option allows you to organize marked features into groups called "sets". You can then choose to execute only a particular marked set. See "Marked Sets" for more information.


Show Marked Set

The Execute | Show Marked Sets menu command displays the Marked Sets window. The Marked Sets window keeps an icon representation of each marked set created. By clicking on an icon in this window, the features defined by the marked set will be immediately measured. See "Marked Sets" for more information.

When this option is selected, the Marked set window is displayed and a check mark appears next to the menu option. Close the window by selecting this option a second time. This action will hide the Marked set window and remove the check mark from the pull down menu.

Note: When the Marked sets window is hidden, all marked sets are disabled and the standard mode for executing a part program is followed.


Executing a Part Program - Execute Options - New Alignment Mode

New Alignment Mode

The Execute | New Alignment Mode toggles between New Alignment mode and Same Alignment mode. Only one option is available at a time. Same Alignment Mode is the default.

More:

New Alignment Mode

Same Alignment Mode


Executing a Part Program - New Alignment Mode - New Alignment Mode

New Alignment Mode

New Alignment Mode tells PC-DMIS to re-calculate alignment data for marked features.

To activate the New Alignment Mode, select Execute | New Alignment Mode. A check mark appears next to the menu item.

Once selected, every time a feature (or other command) is marked for execution, PC-DMIS also marks corresponding alignment data. This data includes the alignment command as well as the features making up the alignment.

Example: Suppose you are measuring a feature, and your part is accidentally moved. To re-calculate your alignment, select New Alignment Mode. PC-DMIS will mark features making up the alignment.


Same Alignment Mode

The Same Alignment Mode tells PC-DMIS to use already calculated alignment data and to only measure marked features.

To activate the Same Alignment Mode, make sure the New Alignment Mode menu option does not have a check mark (you may need to re-select the New Alignment Mode menu option so clear the check mark).

Once activated, this mode tells PC-DMIS to only mark the feature(s) you select. During execution, PC-DMIS does not re-calculate the alignment data since previously calculated alignment data will be used.

Example: Suppose a feature you have measured is out of tolerance, and you want to measure the feature again just to be sure. Rather than re-calculating the entire alignment associated with the feature, you can save time by using the Same Alignment Mode, telling PC-DMIS that it doesn't need to re-calculate the alignment.


Steps to Executing a Part Program

This section reviews the procedure to execute a part program. While a complex program might require additional steps, this outline provides a basic format for an average part program.

See "Measuring a Part Program" for a brief demonstration of the capabilities of PC-DMIS. This section explains the complete process of creating a part program, from measuring the part to executing the final report.

More:

Mark Features

Mark Sets

Select Alignment Type

Show Options

Execute


Mark Features

The first decision to be made in the executing process is to determine which previously measured features and dimensions will be used to execute the part program. PC-DMIS provides two different ways to mark the desired feature(s):

More:

Mark All

Mark


Executing a Part Program - Mark Features - Mark All

Mark All

If you want to execute the entire part program, you first need to select and mark the entire part program. To do this, select the Execute | Mark All menu option. This option marks all of the features in the part program along with their related dimensions. This will be displayed in the current highlight color in the Edit window. Select this option and PC-DMIS will display a message allowing you to mark manual alignment features. Select the Yes button if this is desired


Executing a Part Program - Mark Features - Mark

Mark

To execute a specific section of the part program, mark the desired feature(s) (See Mark for the procedure of marking individual features.) PC-DMIS also will automatically mark their related dimensions. If a constructed feature is selected, PC-DMIS also marks those features used in the construction process.

Note: If the New Alignment option was selected before individual features were marked, all manual alignment features will be highlighted when the first feature is marked.


Mark Sets

The Mark Sets option is used to group graphically displayed features for execution within a part program. There can be up to 30 marked sets defined for a part program. There are no restrictions as to the number of features that can be associated with each marked set. When executed, only features grouped within the active marked set will be executed. Every marked set that is created within a part program will be displayed as an icon in the Mark Set window. Each icon graphically indicates all of the features that have been associated with the marked set that it represents.

Note: The "Execute Menu" topic in the "Editing a Part Program"sectioncontains additional information about creating and showing marked sets.

More:

New Set

Show All Sets

Mouse Inputs


Executing a Part Program - Mark Sets - New Set

New Set

The Execute | New Marked Set menu option is used for creating marked sets. When this option is selected, a dialog box appears requesting a name for the new mark set. Any string can be used to identify the mark set and there is no limit to the number of standard ASCII characters used for the name. However, it is recommended that short descriptive keywords be used for ease of readability. See "New Marked Set" for additional information.

Note: Once a mark set has been defined for a part program, a lock can be established to prevent anyone from accidentally deleting or otherwise modifying the current configuration. For more information see Options | Setup | General.


Show All Sets

The Execute | Show Marked Sets menu option serves as a toggle switch for displaying and hiding the Mark Set window. When this option is selected, the Mark Set window is displayed and a check mark appears next to the menu option. The Mark Set window can be closed by again selecting this menu option. This action will hide the Mark Set window and remove the check mark from the pull down menu. See "Show Marked Sets" for additional information.

Note: When the Mark Set window is hidden, all mark sets are disabled and the standard mode for executing a part program is followed.


Executing a Part Program - Mark Sets - Mouse Inputs

Mouse Inputs

There are four functions that can be performed with mark sets using the mouse. The user can do the following to a marked set:

  1. Create

  2. Execute

  3. Activate

  4. Delete

See "Mouse Inputs" in the section "Editing a Part Program" for more information.

Note: These functions are only available within the Mark Set window and only when the window is active.


Select Alignment Type

You must also determine the Alignment mode. This will affect how PC-DMIS will mark selected features. When the Execute command is selected, PC-DMIS will either require the operator to re-measure the marked features in approximately the same location, or will automatically re-measure them, depending on the system mode.

More:

New Alignment

Same Alignment


New Alignment

This option will automatically mark all related alignment datums, or dimensions for the marked feature. PC-DMIS will mark the corresponding features/dimensions listed above the alignment. You can override the auto marking capability and un-mark specific features (See Mark). If a feature is unmarked, PC-DMIS will use the data from the previous measurement of that feature.


Same Alignment

This option will only re-measure the alignment features that are manually marked. If they are not marked, the original calculations will be used for measurement purposes.


Show Options

The Report | Customize menu option displays the Report Display Options dialog box. This dialog lets you specify the features (or dimensions) that will be displayed in the Edit report. These options can be toggled on or off by selecting their check boxes with the cursor. They may also be selected using the arrow keys to move to the desired feature and pressing ENTER.

More:

Show Commands

Show Inspection Report

Show Hyper-Report


Show Commands

PC-DMIS will display only the checked command types in the Edit window when in command mode. Select the option(s) that you desire by checking the appropriate boxes. Clicking on an option a second time will remove the check. See "Command" for additional information.


Show Inspection Report

PC-DMIS will display the checked command types on the inspection report or when the Edit window is in report mode. Select the option(s) that you desire by checking the appropriate boxes. Clicking on an option a second time will remove the check. Many of the listed commands will only be available if they are marked for execution. See "Report Mode" for more information.


Show Hyper-Report

The Hyper-Report tab allows you to choose whether you want PC-DMIS to Auto-Load PC-DMIS'S default Hyper-Report, or if you want to use a previously defined Hyper-Report. (See "Hyper-Report" in the "Editing a Part Program" section for more information.)

Simply choose the type of report to load and click OK.

Note: If neither option is checked, then PC-DMIS will not use the Hyper-Report capabilities to generate the inspection report. It will instead use the report mode in the edit window to generate the inspection report.

See "Hyper-Report" for complete information on creating Hyperview Reports.


Executing a Part Program - Steps to Executing a Part Program - Execute

Execute

Selecting File | Execute (CTRL + Q) from the main menu or Execute | Execute from the Edit window displays the Execution Mode Options dialog box. Depending on the mode and the type of alignment chosen, PC-DMIS will request you to take a hit or automatically will begin the measurement process.

More:

CMM Errors

CMM Commands

Continue

Stop

Manual Control

Erase Hit


CMM Errors

The CMM Errors list displays any errors that may occur during execution of the part program. Some possible errors are an unexpected probe hit or an unexpected end of move. You can view the errors by clicking on the drop down arrow.


CMM Commands

The CMM Commands list displays any moves and hits for the current feature (or the feature about to be measured). This information is only available if the program is stopped during execution, either by error or by the operator. Execution of the part program can be resumed by highlighting the desired hit (or move) from the CMM Commands list box and selecting the Continue button.

Example: If a clearance move command was programmed with the wrong X, Y, or Z, then during the execution of that move, you might get a motion error. To continue:
Pull down the CMM Commands drop-down list.
Select the command following the offending move.
Press the Continue button.


Continue

The Continue command button allows you to resume execution of a part program halted by a CMM motion error, or the Stop button. PC-DMIS allows you to select the specific location within the current feature where the probe is to resume measuring the part. The default location is displayed in the CMM Commands list. To select another location, simply pull down the drop-down arrow and select the desired line. PC-DMIS will continue the measurement process at the displayed location when the Continue button is pressed.


Stop

The Stop command button halts the probe at its current position and suspends execution of the part program.

Note: This option will not stop the part program execution if the current move is a PH9 orientation change. The program will stop after the PH9 has stopped.


Manual Control

To manually control the measurement of a feature:

  1. Click on the Stop command button in the Execution Mode Options dialog box.

  2. Press the Mode button until MAN (MANUAL mode) is displayed. PC-DMIS will then allow you to control the measurement process on the current hit. (See the Continue command button.)

PC-DMIS will not replace the original hits with any of the new hits. If a measurement value needs to be altered, it must be done in the Edit window. When the current feature is measured in MANUAL mode, PC-DMIS will automatically return the system to DCC mode and continue to measure the part under computer control. You can press the DCC mode button to go back to DCC mode at any time.

Another method of manually controlling the measurement of a feature is to click on the DCC / MAN icon located on the main toolbar while the desired feature is being measured. This action will automatically switch PC-DMIS to manual mode. To switch the mode back to DCC control, simply re-click on the DCC / MAN toolbar icon.

Note: Some autofeatures will ask at the end of manual measurement if you want to save the new location of the feature as the target for future executions of the part program. Clicking YES in response to this prompt will save the currently measured position as the new target.


Executing a Part Program - Execute - Erase Hit

Erase Hit

To remove the currently highlighted hit in the CMM Commands list , simply press ALT + -(ALT and minus key) or press the Erase Hit button, located in the Execution Mode Options dialog box. (The ALT + - shortcut key combination must be used if the Edit window is active.)

Most CMM jog boxes have a button assigned to erasing the last hit. Pressing that button on the CMM's jog box while in Execute mode, produces the same result as pressing the ALT + – shortcut key.


Editing the Probe Path

The Edit window's Path | Show Path Lines (ALT + P) menu option provides a graphical representation of the part program that has been created.

  1. Open the Edit window (ALT + F then W)

  2. Mark the features (see "Mark" ) that will be used for the probe path editing. (If none of the features have been marked, then there will be no path displayed).

  3. Select Path | Show Path Lines from the Edit window's menu bar. The path lines of the probe that were generated during the learning of the part program will be displayed on the screen.

PC-DMIS provides several menu options to facilitate the editing process.

More:

Show Path Lines

Animate Path

Regenerate Path


Executing a Part Program - Editing the Probe Path - Show Path Lines

Show Path Lines

The Path | Show Path Lines Edit window menu option displays the current path of the probe.

To display the probes path:

  1. Mark the features that will be used for the probe path editing. (If none of the features have been marked, there will be no path displayed.)

  2. Select Path | Show Path Lines from the Edit window's menu. The path lines of the probe that were generated during the learning of the part program will be displayed on the screen.

  3. Click on a path line using the mouse and PC-DMIS will move the cursor to the next feature in the path.

After the path lines have been drawn, PC-DMIS provides several additional options to facilitate the editing process. (See Animate Path and Regenerate Path.)


Executing a Part Program - Editing the Probe Path - Animate Path

Animate Path

The Edit window's Path | Animate Path menu option allows you to animate (as if you were actually executing) the part program that has been created. To use this function

  1. Mark the desired features.

  2. Select the Path | Show Path Lines menu option. The Animate Path option will then be available for selection.

  3. Select Path | Animate Path. The Execute Mode Options dialog box will appear and PC-DMIS will begin to animate your part program.
  • If Mode = DCC, PC-DMIS will automatically begin animating the path with a simulated probe tip.

  • If Mode = MANUAL PC-DMIS will animate the path after the Continue button is pressed. To step through the part program keep pressing the Continue button.

Animation can be stopped at any time by pressing the ESC key, or the Stop button within the Execution Mode dialog box. (If the Stop command button is highlighted, pressing the ENTER key will also halt animation.)

Clicking on the path line using the left mouse button will move the cursor to the corresponding command line in the Edit window. The next available feature in the path line will be indicated.


Executing a Part Program - Editing the Probe Path - Regenerate Path

Regenerate Path

This option allows you to re-draw the part program path lines.

To access this option:

  1. Mark the desired features.

  2. Select the Path | Regenerate Path Edit window menu option. Once selected, PC-DMIS will erase the current path lines from the screen and re-draw them.

This option is particularly useful when changes have been made to a part program and confirmation is needed that the path lines truly represent the current state of the part program.


Statistical Analysis

PC-DMIS has the ability to create a temporary file, XSTATS11.TMP, linking statistical output from your part program to statistical process control software. This option is useful only if a statisitcal database application is available.

To access this option, select Utilities | Statistics or type the command "STATS" in the desired location of the Edit window. Place the cursor anywhere on the STATS line and press the F9 key. PC-DMIS will display the Database Parameters dialog box. For information on how to use the Statistics option, see the "Statistics" section.


Guide to Measuring a Part: Introduction

The purpose of this section is to guide you through the process of measuring a part using the CMM.

The Brown & Sharpe test block was used to create this short tutorial. If this part is not available to you, any similar part allowing the measurement of several circles and a cone will be satisfactory. To fully explore the capabilities of PC-DMIS, please read through this entire section and follow along on your system.

The main topics in this section include:

  • Measuring Features

  • Probe Options

  • Graphical Representation of Part

  • Manual / DCC Mode

  • Getting Started

PC-DMIS offers a unique method for measuring features. Instead of requiring you to specify the type of feature about to be measured (i.e., point, circle, etc.), it allows hits to simply be taken. When the measurement of a feature is completed, PC-DMIS is signaled by pressing the designated button on the joystick box (if the machine is so equipped) or pressing the END key on the keyboard. PC-DMIS then determines the type of element that has just been measured using best guess algorithms. Best guess algorithms are mathematical calculations used by PC-DMIS make a calculated guess at what feature type is being created.

For example, a circle is measured with a minimum of three hits. As each position is measured, the number of hits taken on the feature will be displayed on the status bar. Once an adequate number has been taken, press the END key. The results will be displayed in the Edit window.

The format and content of the measurement results will depend on the print format that has been selected. To change the print format, select Parameters | Dimensions from the menu bar. To print the results of the part program, the file must be sent to the printer. Select Report | Print Setup from the Edit window to view the printing options. For information on setting the print format refer to "Editing a Part Program."

It is important to note that on some machines, PC-DMIS determines the direction of a hit by sensing the direction the probe has traveled after making contact with the part. If your machine is of this type, do not retract the probe until PC-DMIS has signaled with a beeping sound and updated the number of hits on the status bar.


Measuring Features

Verify that the desired probe and working plane are shown in the Display drop-down list of the toolbar. PC-DMIS also should be set to Manual mode.

PC-DMIS does not require the operator to input data for measuring a feature. The mouse can be used to measure a CAD feature (if CAD data is available) or the probe can be used with the CMM. Once the feature is measured with either the mouse or the CMM probe, press the END key. PC-DMIS will automatically determine the feature type (circle, line, plane, etc.). In addition, PC-DMIS automatically compensates for probe radius. For more information on measuring features from CAD data please see "Off-line Part Programming."

More:

Minimum Required Hits for a Feature

Deleting Hits

Determining Thickness of Sheet Metal Features


Minimum Required Hits for a Feature

PC-DMIS expects a minimum number of hits before it will identify a specific feature. In certain instances it is advisable to take additional hits to improve the accuracy.

Feature | Min. # of Hits | Special Instructions
Point | 1 | See note below.
Line | 2 | PC-DMIS draws lines between the farthest points in a set.
Circle | 3 | If a circle is measured at less than 180°, PC-DMIS will draw an arc between the farthest points in a set.
Plane | 3 | -
Sphere | 4 | -
Cone | 6 | Occasionally PC-DMIS will not indicate a cone when measured with six hits. If this happens, try taking seven hits. (Take three hits on one level, three on another level and one hit between the two levels.) All hits taken after the initial first three hits should be either above or below the plane defined by the first three hits, not both. This will ensure the best results. PC-DMIS will draw two circles: the first of which is at the level of the first three points, the second circle is at the lowest point. Cylinders are drawn in a similar manner
Cylinder | 6 | See Cone.

Occasionally, PC-DMIS will incorrectly guess a feature's type depending on the geometry of a part and the way the feature is measured. Using the Construct | Override menu option this problem can easily be resolved. Select Construct | Override, and PC-DMIS will allow the user to specify the correct feature type.

  • If PC-DMIS consistently guesses Circle or Sphere when measuring a Line or a Plane, try taking the hits in a consistent direction. This means always approach each touch point in the same approximate direction when measuring a line or plane.

  • If PC-DMIS consistently guesses Line or Plane when measuring a Circle or Sphere, try taking the hits with more varied approach directions. For example, if you are measuring an arc and you can reach all desired touch points by touching in the X+ direction, try measuring some of the points in the + or -Y direction.

Note: When measuring a Point (1 single hit), PC-DMIS compensates for probe radius along the part axis closest to the probe's direction of motion when it was deflected. This means that if a point is measured in the negative X direction, PC-DMIS will compensate for probe radius in the -X direction (even if the probe was moving slightly in the Y axis). For DCC machines (or if a manual machine is being used with the sheet metal option), please see "IJK Normal Vec for Vector Point" and "Probe Comp" for more information on compensation.


Deleting Hits

PC-DMIS allows you to easily delete hits that have been taken incorrectly. By selecting the Erase Hit option (ALT + -) from the Utilities menu, as many hits as necessary can be removed, beginning with the last hit taken. This function also can be accessed by pressing the "-" (minus) key. This option is only available before the END key has been pressed. Once a feature has been created, the only way to delete the feature is through the Delete Last Feature option (CTRL + D), or Graphics | Delete Features option. You can also delete a feature by selecting it in the Edit window and pressing the Delete key.

Note: There are some CMM's that have an ERASE HIT button on the CMM jog box.

PC-DMIS also will allow you to delete hits within a feature while in the Execute mode. Simply press the - (minus) key, or ALT + - (ALT and minus key combination) to remove the currently highlighted hit in the CMM Commands list box.


Determining Thickness of Sheet Metal Features

PC-DMIS gives you the option to determine thickness should be applied on a part using the Auto Util | Auto Features window from the main menu bar. The options available are Theoretical Thickness and Actual Thickness.

To access the thickness options:

  1. Select Auto Util | Auto Features from the main menu bar. The Auto Features dialog box will appear.

  2. Select the tab for the Auto Feature you want to create.

  3. Choose either the Theo Thickness option or the Actl Thickness option.

  4. Click Create to create the feature.

More:

Theoretical Thickness

Actual Thickness


Theoretical Thickness

With Theo Thickness you have the ability to adjust the theoretical values by a chosen thickness in order to measure the opposite side of material.


Actual Thickness

With Actl Thickness you have the ability to offset the target location for measurement, and then have the measured values adjusted along the theoretical vector by the thickness.


Probe Options

The first step in CMM part programming is to define which probes will be used during the inspection process. A new part program must have a probe file created before the measurement process can begin. PC-DMIS supports a wide variety of probe types and calibration tools. It also offers a unique method for calibrating a Renishaw PH9/PH10 wrist. The Probe options can be accessed by selecting Utilities | Probe from the menu bar.

It is assumed that a probe has been loaded and calibrated. The Topic "Probe" provides information on creating probe files and calibrating probes.

More:

On-line

Off-line

Hard Probe Options


On-line

To measure a point in the on-line mode using a TTP:

  1. Lower the probe to the surface where the point is to be taken.

  2. Trigger the probe by touching it to the surface.

  3. Press the END key to complete the measurement process.

PC-DMIS is designed to determine the feature type. Probe compensation is determined by the probe radius. The compensation direction is determined by the machine direction.

For example, in measuring a circle, the probe would be inside the circle moving outward. To measure a stud, the probe would start outside the circle moving inward towards the part.

It is important that the approach direction be normal (perpendicular) to the surface when measuring points. While this is not necessary for measuring other features, it will improve the accuracy in determining the feature type.

To measure a point using a fixed probe, you must specify the feature type that is to be measured and the probe compensation direction. See Hard Probe Options.


Off-line

When using off-line PC-DMIS, you can access all the probe options. However, no actual measurements can be taken. Probe data can either be keyed in or the default settings used. For example, a qualification tool cannot actually be measured to calibrate a probe; the probe's nominal values must be keyed in.

To measure a point:

  1. Make sure that PC-DMIS is in Program Mode. Do this by selecting the program mode icon located on the toolbar. (See "Program Mode".)

  2. Move the mouse cursor to the screen where the hit is to be made. The arrow button will be replaced by an animated drawing of the probe.

  3. Click the right mouse button to move the probe to the area of the part where the hit is to be taken.

  4. Click the left mouse button to register a hit on the part.

  5. Press the END key to complete the measurement process.


Hard Probe Options

PC-DMIS supports a wide variety of hard probes. The use and calibration of hard probes are similar to that of TTP probes.

If a Hard probe is selected, PC-DMIS expects a probe that does not automatically trigger when it comes in contact with the part. DCC calibration cannot be done using a hard probe. Verify that the correct probe type is selected.

The Guess Mode toolbar (located on the menu bar) allows you to switch between Round Guess Mode and Flat Guess Mode.

  • Flat features are defined as points, planes and lines.

  • Round Features Include Circles, Spheres, Cones And Cylinders.

Determine the feature type that will be measured and switch the Hard Probe button accordingly.

More:

Taking a Hit with a Hard Probe

Flat Features

Round Features


Taking a Hit with a Hard Probe

For touch trigger probes, taking a hit is automatic. But for Hard Probes you must tell the probe when to register it's position. To do this, follow these directions:

  1. Position the probe on the part where you want to take the hit.

  2. Select the Utilities | Take Hit menu command.

Note: If you happen to use a jog box, press the key that is set up to record a hit.


Guide to Measuring a Part - Hard Probe Options - Flat Features

Flat Features

To measure a plane with a Hard Probe:

  1. First, take a minimum of three hits on a surface.

  2. It is then necessary to move the probe above the desired plane.

  3. Press the END key.

This defines the direction of the plane. The direction of the surface normal vector is up.

To measure a line:

  1. Begin by taking two hits at the desired location.

  2. Move the probe to the outside of the measured line.

  3. Press the END key.

Note: PC-DMIS does not require the direction of features to be defined.


Guide to Measuring a Part - Hard Probe Options - Round Features

Round Features

When measuring round features using a fixed probe, it is necessary to keep the probe in a fixed location (depending on the feature type).

  • For holes, keep the probe inside the feature and press the END key.

  • For pins, keep the probe outside the feature and press the END key.

Note: PC-DMIS does not require the direction of features to be defined.


Graphical Representation of Part

PC-DMIS allows you to use standard IGES or DXF models to generate part programs on an inexpensive PC or PC clone without going near a CMM. These part programs can then be used to drive any CMM either running PC-DMIS or supporting the DMIS, Tutor or AVAIL specifications.

See "Off-line Part Programming" for additional information on using CAD.

When PC-DMIS first begins to execute a part program, it displays a graphic representation of the theoretical geometry of the part. This image can come from one of three places:

  1. From an IGES or DXF files, from a CAD drawing.

  2. From the feature theoretical values in the part program.

  3. From the first part measured when the part program was generated on-line.

If the image comes from sources two or three, the image will only be a partial image. That means only those features measured by PC-DMIS will be displayed. If the image comes from source one, the graphical display will be whatever was drawn on the CAD system. You then have the ability to remove specified features from the CAD drawing. (See Graphics | Delete Cad.) Regardless, the image is intended only to give enough information to relate the inspection data to the actual part.

As PC-DMIS measures each feature on the part, it will post a picture of it to the Graphics Display window. PC-DMIS will draw this picture in the colors designated by the Setup dialog box using the ID setup tab.. This allows you to visually compare the actual to the theoretical feature.

In both off-line and on-line manual mode, PC-DMIS will display an animated, scaled representation of the probe in the Graphics Display window. During execution this icon will move around the part showing where to take each hit.

The Graphics menu allows you to control the appearance of the image(s) in the Graphics Display window. For information on setting these parameters refer to the appropriate section in "Graphic Options."


Guide to Measuring a Part - Manual / DCC Mode

Manual / DCC Mode

The PC-DMIS Modes toolbar provide easy access to setting the system to Manual or DCC mode. Manual Mode is used on a manual CMM, or during the manual alignment portion of a program that will be run on an automatic CMM. To change modes, click on the appropriate mode toolbar icon.

PC-DMIS lets you determine the speeds and distances that will be applied in the automatic measurement process. Using the menu bar, select Options | Parameters | Motion.

Note: It is important to remember to define clearance planes or move points when changing from Manual to DCC mode.

If the Edit window is active, the 'CTRL + E' short cut key combination will cause PC-DMIS to execute a move at the location of the cursor. This action is the same as pressing the Continue button within the Execution Mode Options dialog box.


Getting Started

This section highlights the steps necessary to create a simple part program. We will create a part program using on-line PC-DMIS, without the use of CAD data. The Brown and SharpeÒ test block is being used in this exercise. We suggest that you use the same part, if it is available. However, any part providing several circular features and a conical feature can be used.

If a procedure is unfamiliar to you, please use the on-line help (press ALT + H) to obtain additional information.

More:

Creating a New Part Program


Creating a New Part Program

To create a new Part Program:

  1. Open the PC-DMIS program by double clicking on the PC-DMIS icon. PC-DMIS can also be opened by selecting the Windows 95 Start icon, then Program Files | PC-DMIS For Windows | Offline. The Open File dialog box will appear. If you had previously created a part program, you would load it from this dialog.

  2. Since you are creating a new part program, select the Cancel button to close the dialog box.

  3. Select File | New to create a new file. The New Part Program dialog box appears.

  4. In the Part Name box type in the name "TEST".

  5. Select the English (inch) option for the measurement units type.

  6. Select ONLINE in the Interface drop-down list.

As soon as you have created a new part program, PC-DMIS will open the main user interface and then immediately open the Probe Utilities dialog box for you to load a probe.

More:

Load Probe

Change Views

Measurement Process

Ctrl Z

Create Alignment

Set up Options

Add Comments

Measure Features

Construct Features

Dimension Features

Execute

Print Report


Guide to Measuring a Part - Creating a New Part Program - Load Probe

Load Probe

The Probe Utilities dialog box allows you to load a new probe. When you first create a new part program, PC-DMIS automatically brings up this dialog box. To access this dialog box in the future, simply select the Utilities | Probe option. For more information, see "Probe".

The Probe Description area of the Probe Utilities dialog box allows you to define the probe, extensions and tip(s) that will be used in the part program. The Probe Description drop-down list displays the available probe options in alphabetical order.

To load your probe using the Probe Utilities dialog box:

  1. In the Probe File box, type the name of the probe. Later, when you create other part programs, your probes will be available in this dialog box for selection.

  2. Select the statement: "No Probe defined."

  3. Select the desired probe head from the Probe Description drop-down list using the mouse cursor or highlighting it with the arrow keys and pressing ENTER.

  4. Select the line "Empty Connection #1" and continue to select the necessary probe parts.

  5. Click the OK button. The Probe Utilities dialog box closes and PC-DMIS returns you to the main interface.

  6. Verify that the created probe tip just defined is displayed as the active tip. (See the Probe Tips list located on the Settings toolbar.)

Note: For the purpose of this exercise, the calibration process is disregarded.

At this point you will set up the views you will be using in the Graphics Display window. This is done using the View Setup icon on the toolbar.


Change Views

To change the views in the Graphics Display window:

  1. Click the View Setup icon (located on the toolbar). The Screen Format dialog box appears.

  2. Select the desired screen style by clicking on the second button (top row, second from left) indicating a horizontally split window.

  3. To view the upper part image in the Z+ direction, pull down the Blue drop-down list located in the Views area of the dialog box, and select Z+.

  4. To view the lower part image in the Y- orientation, pull down the Red drop-down list and select Y-.

  5. Click the Apply button and PC-DMIS will re-draw the Graphics Display window with the requested two views. Since you haven't measured the part yet, nothing will be drawn in the Graphical Display area. The screen will be split, however, according to the views selected in the Screen Format dialog box.

Note: All of the display options only affect how PC-DMIS displays the part image. They do not have an effect on the measured data or inspection results.


Measurement Process

Once the probe is defined and displayed, you may begin the measurement process. See Measuring Features for the proper way to take hits. (Deleting hits and features is also discussed.)

Measure a Plane

Take three hits on the top surface. The hits should be triangular in shape and as spread out as possible. Press the END key after the third hit. PC-DMIS will display a feature ID and triangle, indicating the measurement of the plane.

Measure a Line

To measure a line, take two hits on the edge of the part, the first hit on the left side of the part and the second hit to the right of the first hit. The direction is very important when measuring features, as PC-DMIS uses this information to create the coordinate axis system. Press the END key after the second hit. PC-DMIS will display a feature ID and measured line in the Graphics Display window.

Measure a Circle

Move the probe to the center of one circle. (The top left circle was selected for this example.) Lower the probe into the hole and measure the circle, taking four hits in approximately equal distances. Press the END key after the last hit. PC-DMIS will display a feature ID and measured circle in the Graphics Display window.


Guide to Measuring a Part - Creating a New Part Program - Ctrl Z

Ctrl Z

After the three features are measured, click the Scale to Fit toolbar icon (or press CTRL + Z) to display all of the measured features in the Graphics Display window.

Graphics Display window showing measured features


Create Alignment

The next step in the measurement process is to create an alignment. This procedure sets the coordinate origin and defines the X, Y, Z axes. For more on creating alignments, see "Alignment".

Hint: Click this icon: to access PC-DMIS's 3-2-1 Alignment Wizard. PC-DMIS must be running.

  1. Select Utilities | Alignment to open the Alignment dialog box.

  2. Using the cursor or arrow keys, select the plane feature ID (PLN1) located in the list box. If you haven't changed the labels, the plane feature ID will be shown as "F1" (for Feature 1) in the list box.

  3. Click the Level command button to establish the orientation of the normal axis of the current working plane.

  4. Select the plane feature ID (PLN1 or F1) a second time.

  5. Select the Auto check box.

  6. Click the Origin command button. This action will translate (or move) the part origin to a specific location (in this case, on the plane). Selecting the Auto check box moves the axes based on the feature type and the orientation of that feature.

  7. Select the line feature ID (LINE1 or F2).

  8. Click the Rotate command button. This action will rotate the defined axis of the work plane to the feature. PC-DMIS rotates the defined axis around the centroid that is used as the origin.

  9. Select the circle feature ID (CIR1 or F3).

  10. Make sure the Auto check box is selected.

  11. Click the Origin command button. This action moves the origin to the center of the circle, while keeping it at the level of the plane.

At this point the Alignment Utilities dialog box should look the same as shown here:

When the above steps are complete, click on the OK button. The Alignments list (on the Settings toolbar) and the Edit window will display the newly created alignment.

The Graphics Display window will also be updated to show the current alignment.

Updated Graphics Display showing the current alignment


Guide to Measuring a Part - Creating a New Part Program - Set up Options

Set up Options

PC-DMIS allows you to customize PC-DMIS to meet your specific needs or preferences. There are a variety of options available that can be found within the Options menu. Only options pertinent to this exercise will be discussed in this section. Please refer to "System Options" for complete information regarding all of the available options.

DCC Mode

Select DCC mode. This can be done by either clicking the DCC mode toolbar icon, or placing your cursor on the line reading "MODE/MANUAL" in the Edit window and pressing the F8 key.

Example of DCC Mode in the Edit window

See "Manual / DCC Mode" for additional information on the CMM modes.

Move Speed

The Move Speed option lets you change the point to point positioning speed of the CMM.

  1. Select Options | Parameters. The Parameters Mode dialog box appears.

  2. Select the Motion tab.

  3. Place your cursor in the Move Speed box.

  4. Select the current move speed value.

  5. Type 50. This value indicates a percentage of full machine speed.

Based on this setting, PC-DMIS will move the CMM at half of its full speed. The default settings for the other options are satisfactory for this exercise.

See "Motion" in for additional information on Move Speed as well as other motion options.

Clearance Plane

To set the Clearance Plane:

  1. Select Options | Parameters to open the Parameters dialog box.

  2. Select the ClearPlane tab.

  3. Select the Clearance Planes Active (ON) check box.

  4. Select the current Active Plane value.

  5. Type the value .50. This setting will create a one half inch clearance plane around the top plane of the part

  6. Verify that the top plane is displayed as the active plane.

  7. Click the Apply button.

The Parameters mode dialog box should appear:

Click the OK button. The dialog box closes and PC-DMIS stores the clearance plane in the Edit window.

See "ClearPlane" for more information on setting clearance planes.


Add Comments

To Add comments:

  1. Select Utilities | Comments to access the Comment dialog box.

  2. Select the Operator option.

  3. Type the following text in the available Comment Text box: "WARNING, machine is going to DCC mode ."

  4. Click the OK button to end this option and display the command in the Edit window.

See "Comment" for additional information.


Measure Features

Use the probe to measure three additional circles and one cone. To measure a cone it is best to take 3 hits on the upper level and three hits on a lower level as shown in the drawing below.

Cone constructed from measurements at different depths


Construct Features

PC-DMIS can create features by using other features. To do this:

  1. Select the Construct | Line menu option. The Construct Line dialog box opens.

  2. Using the mouse cursor, click on two circles (CIR2, CIR3) in the Graphics Display window (or select them from the list box of the Construct Line dialog box). Once the circles are selected, they will be highlighted.

  3. Select the Auto option.

  4. Select the 2D Line option.

  5. Click the Create button.

PC-DMIS will create a line (LINE2) using the most effective construction method.

The line and feature ID will be displayed in the Graphics Display window and Edit window.

Constructed line shown in the Graphics display window

For additional information on constructing features, see "Construction Options".


Dimension Features

Once a feature has been created, the dimensions of that feature can be calculated. Dimensions can be generated at any time while learning a part program, and are tailored to fit individual specifications. PC-DMIS will display the result of each dimension operation in the Edit window.

To generate a dimension:

  1. Select the Dimension | Location menu option. The Location dialog box will appear.

  2. From the list box or the Graphical Display area, select the last three circles that were measured by selecting their feature identifications in the list box.

    Click the Create button.

PC-DMIS will display the locations of the three circles in the Edit window. These values can be changed simply by double clicking on the desired line, highlighting the necessary nominal and typing in a new value.

For additional information on creating dimensions, see "Dimension Options".


Guide to Measuring a Part - Creating a New Part Program - Execute

Execute

The Execute Program option is located on the Edit window's Execute menu. There are a variety of options available to execute all or a portion of the part program. PC-DMIS will also send the final report to a file or printer if selected. (See "Execute Menu" for additional information on this menu.)

There is now enough information to allow PC-DMIS to execute the part program that was created.

  1. Select Print Setup (within the Report menu of the Edit window).

  2. Select the Printer check box (only if a printer is connected to the system).

Mark All

  1. Mark all of the features in the part program using the Edit window's Execute | Mark All menu option. The selected features will be displayed using the current highlight color.

  2. PC-DMIS asks if it's OK to mark manual alignment features. Click Yes.

Execute

Once all of the steps have been followed:

  1. From the Edit window, select the Execute | Execute Program menu option. PC-DMIS will display the Execution Mode Options dialog box and begin the measurement process.

  2. Read the instructions in the CMM Command window, and follow the requests to take specified hits.

It's that simple. (Of course, if PC-DMIS detects an error, it will be displayed in the CMM Error window and action must be taken before the program can proceed.)

Take the requested hits in the approximate location indicated in the Graphics Display window.

  • Take three hits on the surface to create a plane. Press the END key.

  • Takes two hits on the edge to create a line. Press the END key.

  • Take four hits inside the circle. Press the END key.

When the last hit has been taken on the circle, PC-DMIS will display the Comment dialog box with your message: "WARNING, Machine going to DCC mode ." As soon as the OK button is clicked, PC-DMIS automatically measures the rest of the features.

If an error is encountered, determine the cause using the CMM Errors drop-down list on the Execution Mode Options dialog box. Take the necessary actions to correct the problem. Click the Continue button to complete the execution of the part program.


Print Report

After the part program is executed, PC-DMIS will print the report to the designated output source. This was determined in the Print Setup dialog box. Since the Printer check box was selected, the report will be sent to the printer. Make sure the printer is connected and turned on to review the part program.


Hyper-View Reporting Tutorial: Introduction

Version 3.0 of PC-DMIS greatly enhanced the reporting capabilities of prior versions with the integration of advanced reporting tools from HyperCube Inc. Using this tool, you can now lay out custom reports (called "HyperView Reports") from within PC-DMIS. The new reporting tools are tightly integrated with PC-DMIS BASIC, allowing advanced users to layout VB-like forms that support user interaction and Basic language event handlers ("scripted forms").

The following sections have been organized into a series of tutorial steps to guide you through the creation and use of a HyperView Report.

The main topics in this section include:

  • Creating a New HyperView Report

  • Reporting Options Example

  • Adding Objects to the HyperView Report

  • Introduction to the Property Sheet

  • Introduction to Basic Handler Functions

  • PC-DMIS Extension Objects

  • Adding OLE and ActiveX Objects to the HyperView Report (ADVANCED)

  • Creating Multiple Page Reports

  • Auto-Reporting Basics

  • Using HyperView Reports in Part Programs


Creating a New HyperView Report

All HyperView Reports are initially associated with a specific part program.

To create a HyperView Report:

  1. Open the Edit window (press ALT + F then W) for the part program with which the report is to be associated.

  2. Select the Edit window's menu item Report | Hyper-Reporting | New. A blank report window opens, several new toolbars associated with report editing appear, and a new Report menu appears on PC-DMIS'S main menu between the File and Construct menus. This new Report menu is only available while using the HyperView tool.

HyperView Reports may be viewed in one of two modes:

  1. Edit Mode

  2. Run Mode

Later sections will explain how to switch between Edit and Run Modes. For now, you only need to know that the two modes exist and that a new report defaults to Edit Mode when created.

More:

Edit Mode

Run Mode


Edit Mode

Upon creation, a new HyperView Report window is opened by default in Edit Mode. An Object toolbar similar in appearance to those found in many dialog box editors will be present, as shown here:

Object toolbar

A number of toolbars for editing the objects are also present, such as this layout toolbar:

Layout toolbar

Reports are designed and their component objects placed while in Edit Mode. Objects, such as bitmaps, text, frames, and other form components can be moved and sized while in Edit Mode. Object properties, like fonts, colors, and background styles, can all be set while in Edit Mode.

'These objects give you many reporting options such as:

  • Adding Bitmap Objects

  • Adding Text Objects

  • Adding Analysis Window Objects

  • Adding Cad Objects

  • Adding Dimension Info Objects

  • Adding Dimension Histogram Objects

These and other options are described in greater detail later.


Run Mode

Run Mode is used to view the finished HyperView Report, whereas Edit Mode is used to design and/or edit a new or existing report. When a HyperView Report is viewed in Run Mode, the Object toolbar and other layout and edit toolbars that were present in Edit Mode will be hidden.


Reporting Options Example:

This sample report shows many of the capabilities available in HyperView reporting:


Adding Objects to the HyperView Report

To add an object to a HyperView Report:

  1. Click on the desired object in the Object toolbar.

  2. Hold down the left mouse button and drag a rectangle at the desired location in the HyperView Report.

  3. Release the mouse button. The object appears in the HyperView Report. The object is given a default name and other default attributes that you can change later. (See Edit in Place and Access the Property Sheet for additional information.)

More:

Add an Object

Save the Report

Test the Report


Add an Object

Add a text object to the blank HyperView Report you've created:

  1. Click on the Text icon on the Object toolbar.

  2. Hold down the left mouse button and drag a rectangle on the HyperView Report at the position you wish the text to appear.

  3. Release the mouse button. Upon creation, the object is selected, as shown by the small green squares at each corner of the text object.

    Text Object

  4. Click elsewhere in the HyperView Report—anywhere but within the boundaries of the text object—the text object is no longer selected.

More:

Select an Object

Edit in Place


Select an Object

Click within the boundaries of the text object. You will see the small green squares re-appear. The object is now selected.

When an object is selected, you can use the toolbars to modify its properties. See if you can figure out how to modify the font face and size for the text object using the toolbars. You may also want to experiment with different border types, background and foreground colors, and patterns using the toolbars.


Edit in Place

The text object also allows in-place editing.

  1. Make sure the object is selected.

  2. Click once directly on the text in the text object. A cursor should appear next to the text, allowing you to directly edit the object.

    Modifying the text

  3. Try adding a few different kinds of objects to the report and modifying some of their properties from the toolbar.


Save the Report

When finished, save the report. To do this:

  1. Select File | Save from the menu bar (or use with the short cut key combination CTRL + S.) The Save As dialog box appears.

  2. Navigate to the directory where you want to save your report.

  3. Type a file name for the report in the File name box.

  4. Click the Save button.

The first time you save a report, the Save As dialog will open, since you must give the report a filename and specify what folder you wish to save it in. By default, HyperView report files are given the filename extension ". rpt".


Test the Report

With the report saved, you're now ready to test the report for the first time in Run Mode. The CTRL + E key combination switches the HyperView report between Edit and Run Modes. Alternately, you can use the menu item for Edit/Run Mode found under the Report menu.

  1. Try the CTRL + E key combination now. HyperView moves into Run Mode. The HyperView toolbars should disappear, as well as the grid that formed the background of the HyperView Report.

  2. Now switch back to Edit Mode using the same CTRL + E key combination.

In Run Mode, whatever objects you created in your report are present and active, but are no longer editable. Whenever PC-DMIS loads a HyperView report from a part program, the HyperView report defaults into Run Mode. You can Print or Print Preview your report from Run Mode.

Note: Print and Print Preview are not available when in Edit Mode.


Introduction to the Property Sheet

Each object added to a HyperView report has a set of properties (or attributes) associated with it that control such things as the object's position, size, colors, font, text, and name. Each object also has associated with it a set of event handler functions that are triggered when certain events take place, such as the mouse being clicked or double clicked on that object. These properties and event handlers may be viewed and/or modified using a dialog called the Property Sheet.

More:

Access the Property Sheet


Access the Property Sheet

The property sheet for an object may be viewed by highlighting the object (by single clicking within its boundaries) and then right clicking. Alternately, double clicking most objects will bring up the property sheet. However, the double clicking fails with some objects (such as OLE objects), so it is recommended that you use the former (select and then right click) method.

  1. Select the text object you created in the prior section.

  2. Click you right mouse button. The Property Sheet appears.

    Property Sheet

  3. Click the drop-down list box at the top of the Property Sheet.

Notice that this list box contains an entry for each of the objects in your HyperView report, as well as an entry entitled The Frame/The View. This entry will be discussed in more detail later. The currently selected entry should be "Text1" (or something similar), since you are viewing the properties for the first text object that you created. The name identifier "Text1" was automatically assigned to the object when you created it, but can be modified from the Property Sheet. For information on how to use the Property Sheet to modify objects, see the example after the note below.

Once you have the Property Sheet open, you can view the properties for any of the objects in your HyperView report by selecting a different object in the drop-down list box at the top of the Property Sheet.

The Property Sheet for most objects has three tabs:

  1. PC-DMIS

  2. Settings

  3. Events

These are explained in detail below:

Note: ActiveX and OLE objects have an additional tab, which will be discussed in the "Adding OLE and ActiveX objects to the HyperView Report" section.

Example: To modify your "Text1" name identifier using the property sheet follow these steps:

  1. Select the text object on the screen

  2. Press the right mouse button. The Property Sheet opens.

  3. Click the Settings tab.

  4. The first item you see in the Settings tab is (ObjectCode) displayed in the left column. In the right hand column you will see "Text1", the name identifier.

  5. Select "Text 1" and rename it. Once you close the Property Sheet, the name identifier "Text1" will have changed to the new name you selected.

More:

PC-DMIS Tab

Settings Tab

Events Tab


PC-DMIS Tab

Property Sheet —PC-DMIS tab

The PC-DMIS tab contains properties specific to PC-DMIS and is currently empty of many of the standard objects. Future versions will see the addition of new properties to the PC-DMIS tab.


Settings Tab

Property Sheet—Settings tab

The Settings tab contains the core set of common properties for the standard HyperView objects. As an example, see the following description of some of the more important text object properties. Many of these properties are common to all HyperView objects.

(Object Code) | Unique name that identifies an object in a HyperView report. Whenever you need to access a property or method of a HyperView object from basic, use the following syntax: {Object Code}.{property or method name} When you create a HyperView object, it is automatically assigned a unique object code. For example, the fifth text object you add to a HyperView report will probably have Object Code "Text5". You can edit the object code for a HyperView object, but must make sure that it is unique. Any Basic script that makes use of the object code must also be updated if the object code is changed.
Alignment | Text alignment within the text object's defining rectangle.
BackColor | Background color of the object. This color is used to fill the object's defining rectangle.
BorderStyle | Style of border drawn around the object.
Bottom | Distance, in pixels, of the bottom of the object's rectangle from the top of the HyperView report.
CursorPointer | Cursor displayed when the user drags the mouse over the object.
Enable | Enable or disable the object. A disabled object may still be visible, but will not respond to user input.
Font | Font used for text rendered in the object.
ForeColor | Foreground color of the object. In the case of the text object, specifies the text color.
HatchStyle | Hatch style used in filling the background box of the object.
Left | Distance, in pixels, of the left side of the object's rectangle from the left side of the HyperView report.
PenWidth | Width of the pen used to draw the object. In the case of the text object, the pen width only affects the border drawn around the text.
Right | Distance, in pixels, of the right side of the object's rectangle from the left side of the HyperView report.
ShadowStyle | Shadow effect used when rendering the object.
Text | Text appearing in the text object.
Top | Distance, in pixels, of the top of the object's rectangle from the top of the HyperView report.
Visible | Visibility state of the object. A value of 1 corresponds to visible, 0 to hidden.


Events Tab

Property Sheet dialog box—Events tab

The Events tab contains a list of all of the event handler functions that an object supports. This list is covered in more detail in Introduction to Basic Handler Functions.


Introduction to Basic Handler Functions

This section assumes a reasonable proficiency in the BASIC programming language. If you need to learn BASIC, please consult a book on the subject. The Events tab on the Property Sheet contains a list of event handler functions that a HyperView object supports. An event handler function will be called whenever the event implied by the name of the function occurs for the given object. In order to add BASIC language code to any of the event handlers, double click on the function's entry in list of event handlers. A BASIC language editor will pop up, with the opening and closing statements of the subroutine already filled in. All you need to do is add BASIC language code to the handler.

More:

Event Handlers

Add a Callback Function

Modify Object Properties on Triggered Event

Access Object Methods


Event Handlers

Before you add any event handler code, here is a description of a set of event handlers that are supported by many of the different HyperView object types:

More:

EventClick

EventDblClick

EventDragDrop

EventDragEnter

EventDragOver

EventInitialize

EventMouseDown

EventMouseMove

EventMouseUp

EventPumpData

EventTerminate


EventClick

Called when the mouse is clicked on the object.


EventDblClick

Called when the mouse is double clicked on the object.


EventDragDrop

Called when another "draggable" object is dropped onto the HyperView object.


EventDragEnter

Called when a draggable object is initially dragged onto the HyperView object.


EventDragOver

Called when a draggable object is dragged over the HyperView object.


EventInitialize

Called when the HyperView first enters into Run Mode before any other handlers are called on the object.


EventMouseDown

Called when a mouse button is depressed while over the object. Parameters passed to the function indicate which button was pressed, if the SHIFT key was pressed, and the coordinates of the mouse at the moment the mouse button was depressed.


EventMouseMove

Called when the mouse is passed over the object. Parameters passed to the function indicate which button was pressed, if the SHIFT key was pressed, and the coordinates of the mouse when the move event was sent.


EventMouseUp

Called when the mouse button is released over the object. Parameters passed to the function indicate which button was pressed, if the SHIFT key was pressed, and the coordinates of the mouse at the moment the mouse button was released.


EventPumpData

This is perhaps the most widely used handler function. EventPumpData is called whenever BASIC variables that may affect the object change value. Your basic code can also force EventPumpData to be called on individual objects (or on all objects in a report) when you wish an object to update itself. Basically, any code that an object needs to reinitialize itself based on variable values or the state of other objects should occur in EventPumpData. This handler is particularly important when manually creating multiple page reports, as described in the section Creating Multiple Page Reports.


EventTerminate

Called when the HyperView is being closed or when toggling from Run Mode to Edit Mode.

Note: This handler function is only available for The Frame/The View.


Add a Callback Function

Now let's try adding a simple callback function.

First, drop a button into your HyperView report by clicking on the Button icon on the Object toolbar and then dragging out a rectangle for the button on the HyperView report.

  1. Make sure that the button is selected (highlighted).

  2. Right click on the button to bring up the button's Property Sheet. dialog box.

  3. Click on the Events tab on the Property Sheet. You should see a list of all of the available event handler functions for the button object.

  4. Double click on the EventClick function in the list. A Visual BASIC Editor entitled VBS Mini-Editor opens.

  5. Add the following code to the EventClick function: MsgBox "I've been clicked."

  6. Click the OK button in the upper right hand corner of the VBS Mini-Editor. Close the Property Sheet.

  7. Save the report (press CTRL + S). You are now ready to test the report in Run Mode.

  8. Switch to Run Mode (press CTRL + E).

  9. Click on the button you created. A message box with the text "I've been clicked." should appear.

This simple example illustrates the basics of scriptable forms and event handlers.


Modify Object Properties on Triggered Event

Now, suppose you want to modify the properties of another object (say the text in a text object) when the button has been clicked.

  1. Switch back to Edit Mode (press CTRL + E).

  2. Verify that the original text object that you created still exists. If it doesn't, create a new text object.

  3. Open the text object's property sheet (select and then right mouse click).

  4. Click the Settings tab.

  5. Make sure that the text item's Object Code property reads "Text1". The Object Code property of a HyperView object is the name that is used to refer to that object from BASIC code.

  6. Click on the Events tab.

  7. Double click on the EventInitialize handler function. The VBS Mini-Editor opens.

  8. Add the following code to the EventInitialize function:
    Set This = Text1

  9. Press the ENTER key to get to a new line. On the next line type this code:
    This.Text = "The button has not yet been clicked"

  10. Click the Ok button to close the editor.

  11. Once the object Text1 has been set up as described, open the property sheet for the button object added in the prior exercise.

  12. Click the Events tab.

  13. Double click on the EventClick function.

  14. Replace the basic code you added in the previous exercise with the following two lines:
    Line 1: MsgBox "I've been clicked, and am about to modify Text1's text"

    Line 2: Text1.Text = "The button was clicked!!!"

  15. Click the OK button to close the VBS Mini-Editor.

  16. Close the Property Sheet.

  17. Switch to Run Mode (press CTRL + E). The code you added to Text1's EventInitialize function will set Text1 to initially read "The button has not yet been clicked".

  18. Now try clicking on the button. The "I've been clicked, and am about to modify Text1's text" message should appear. As soon as you close the message box, Text1's text should be modified to read "The button was clicked!!!".

This example illustrates how the properties of any object in a HyperView report may be accessed from Basic code via the ObjectCode.property_name syntax.


Access Object Methods

Similarly, many of the HyperView objects support various methods in addition to their properties. These methods may be accessed from BASIC code via the ObjectCode.method_name syntax. You can see what properties and methods are available for any given object by typing the object's Object Code in the VBS Mini-Editor followed by a period. As soon as the period is typed, a mini wizard will pop up showing the available methods and properties for that object.

Variables declared within an event handler function (via the basic Dim var_name as var_type syntax) are in scope only during that event handler function. There will undoubtedly arise situations when you would like to declare variables, functions, or subroutines that are accessible from all Basic code in a HyperView report --- variables with global scope for a particular report. HyperView provides a place to make these declarations.

More:

Declare Global Variables Using the LocalVariables Property

Declare/Define Variables, Functions, or Subroutines


Declare Global Variables Using the LocalVariables Property

If you wish to declare global variables of any of the standard data types (String, Integer, Double, etc.) and have them show up in the Basic Wizard, you can use the LocalVariables property of The Frame/The View.

To use the LocalVariables property:

  1. Open the Property Sheet for The Frame/The View. Do this by selecting, then right clicking on an object. The Property Sheet will appear.

  2. Select the Settings tab.

  3. Scroll down to the LocalVariables property.

  4. Double clicking on the LocalVariables property will bring up the Local Variables dialog box.

    Local Variables dialog box

The Local Variables dialog box allows local variables of any of the basic types to be added, removed, named, and initial values to be set. Again, these variables are global to this HyperView and will be accessible from any of the BASIC code written for this HyperView. They will also appear in the Local Variables area of the Script Wizard.

Note: The name "LocalVariables" seems something of a misnomer, as variables declared as Local Variables have global scope to that particular HyperView. The syntax was possibly chosen to indicate that the variables declared here are "local" to this particular HyperView report, but nonetheless available anywhere in the HyperView report.


Declare/Define Variables, Functions, or Subroutines

To declare and/or define variables, functions, or subroutines that are to be accessible from all Basic code in a report, use the LocalDecls property of The Frame/The View found on the PC-DMIS tab of the Property Sheet. To do this:

  1. Open the Property Sheet for an object.

  2. Select The Frame/The View from the drop-down list.

  3. Click on the PC-DMIS tab.

  4. Double click on the LocalDecls item on the property sheet. A VBS Mini-Editor appears.

You may add any BASIC code you wish to this window, including variable declarations and function or subroutine definitions. Any variables, functions, or subroutines declared here will be global, but will not appear in the Script Wizard.


PC-DMIS Extension Objects

PC-DMIS extends the base set of HyperView objects available to your reports with several PC-DMIS specific objects. These objects may be added to a report in the same way as normal HyperView objects, but often have new properties added to the PC-DMIS tab of the property sheet and pertain to very PC-DMIS specific reporting functions. They are described below.

More:

Cad Object

Analysis Object

Histogram Object

Dimension Color Key Object

Feature Text Object

Dimension Info Object

Point Info Object

Leader Line Object


Cad Object

The CAD object is used to insert a graphical view into a report. When a CAD object is initially dropped into a report, it is created with a single pane and grabs the current active graphics and viewset from the PC-DMIS main Graphical Display area for the part program. You can "activate" the CAD object by double clicking within its boundaries. When activated, the frame around the CAD object will change, and the translate, rotate 2D, rotate 3D, edit graphics, edit CAD, and viewset functions are all available from PC-DMIS'S toolbar. Once activated, clicking anywhere in the HyperView report (other than on the CAD object itself) will deactivate the CAD object. OLE objects behave in a similar manner, as described in the "Adding OLE and ActiveX Objects to the HyperView Report" section. When deactivated, the CAD object is simply a bitmap image of the graphics, and isn't "live" as it is when activated. The CAD object may be activated in both Edit and Run Modes. If the viewset of the CAD object is altered while in Run Mode, it is automatically saved when the report is closed or switched back to Edit Mode. The CAD object doesn't add any additional properties to the PC-DMIS tab on the Property Sheet.


Analysis Object

The analysis object is used to insert a PC-DMIS analysis window into a report. The analysis object behaves in a similar way as the CAD object in the sense that you can "activate" or "deactivate" the analysis object in the same way as you do the Cad Object. When an analysis object is initially dropped into a report, a dialog will appear allowing the user to select which dimensions to graphically analyze. Once created, this dialog is available by doing the following:

  1. Open the Property Sheet for the analysis object

  2. Click on the PC-DMIS tab.

  3. Double click on the "(Settings Dialog)" property entry. The Dimension Analysis Options dialog box appears.

The Analysis dialog box allows you to determine the information that gets displayed in the Analysis window.

To access the available options:

  1. Select the dimension from the list box on the left. Available options for that particular dimension type will become selectable.

  2. Select the appropriate options for the dimension.

The following options are available on this dialog box:

More:

Show Arrow Heads

Show Max/Min Deviations

Show Grid Lines

Grid Options

Arrow Length Multiplier

Show Diameters

Show Contour Plot

Show Color Interpolation Between Hits

Show Arrows

Show Lines Between Measured Hits

Show Lines Between Nominals

Show Tolerance Lines


Show Arrow Heads

The Show Arrow Heads check box toggles the arrow heads on or off of the deviation lines.


Hyper-View Reporting Tutorial - Analysis Object - Show Max/Min Deviations

Show Max/Min Deviations

The Show Max/Min Deviations check box displays a text box with'*+' at the position for the maximum deviation of a dimension, and a text box with '*-' at the position for the minimum deviation of a dimension.


Show Grid Lines

The Show Grid Lines check box allows grid lines to be made available in the Analysis window. When this check box is selected the Grid Options button appears.


Grid Options

The Grid Options button opens the Analysis Grid Options dialog box, which allows you to determine the size of and number divisions within the grid displayed in the Analysis window.

Automatically Size | The Automatically Size option automatically sizes the grid based on the number of objects specified in the X, Y, and Z fields.
Specified Size | The Specified Size option allows you to key in specific sizes for the maximum and minimum boundaries.
Number of Elements | The Number of Elements boxes allow you to specify the number of divisions that will be drawn on the analysis grid.
Maximum Boundary | The Maximum Boundary boxes allow you to specify the upper limits of the analysis grid coordinates.
Minimum Boundary | The Minimum Boundary boxes allow you to specify the lower limits of the analysis grid coordinates.


Arrow Length Multiplier

The Arrow Length Multiplier box allows you to enter a scaling factor that magnifies the deviation arrows and tolerance zone for the graphical analysis mode. If a value of 2.0 is entered, PC-DMIS will scale the arrows two times the calculated deviation for each feature hit.

This option is used for viewing purposes only, and is not reflected in the text printout.


Show Diameters

The Show Diameters check box allows you to show the diameters of available True Position dimensions.


Show Contour Plot

The Show Contour Plot option only works for patch scans. The contour plot uses the patch scan points to create a mesh and then shades the mesh with the colors related to the profile deviations from each hit.


Show Color Interpolation Between Hits

The Show Color Interpolation Between Hits check box toggles inserted colors between hits.


Show Arrows

The Show Arrows option allows the arrows for deviation lines to be toggled on or off.


Show Lines Between Measured Hits

The Show Lines Between Measured Hits check box toggles on or off lines between the measured hits.


Show Lines Between Nominals

The Show Lines Between Nominals check box toggles lines drawn between the nominal values.


Show Tolerance Lines

The Show Tolerance Lines check box toggles the display of the acceptable tolerances for the dimension.


Histogram Object

The histogram object is used to drop a histogram for a particular dimension directly into the HyperView report. When the histogram object is first dropped into the report, a dialog will appear allowing the user to select the dimension to be associated with the object. The histogram object displays the number of deviations within each of the different tolerance zones. To see how these tolerance zones are defined or to change the colors representing each tolerance zone, see "Edit Dimension Color".

Note: Histogram objects are not available for dimensions that are not directly calculated using the individual hits of their features, such as location, true position, and keyin dimensions.


Dimension Color Key Object

The dimension color key object is used to drop a color key directly into the HyperView report. This color key depicts the colors that are used to represent the dimensional tolerance zones for analysis and histogram objects. To see how these tolerance zones are defined or to change the colors representing each tolerance zone, see "Edit Dimension Color".


Feature Text Object

The feature text object is used to drop the inspection report text for any feature or dimension in the part program directly into a HyperView report. When the feature text object is first dropped into the report, a dialog will appear allowing the user to select the feature or dimension to be associated with the object. The feature text object is only useful if you wish to have the text for a feature or dimension appear in the HyperView report exactly as it would appear in the inspection report. If a dimension has Textual Analysis set in the Edit window, the feature text object can display the point information related to the Textual Analysis of a dimension. The dimension info object is a useful alternative when displaying other textual information on a particular dimension.


Dimension Info Object

The dimension info object is used to drop individual dimension information directly into a HyperView report. When the dimension info object is first dropped into the report, the Dimension Info dialog box will appear allowing the user to select the dimension to be associated with the object.

The dimension info object brings up the Dimension Info dialog box. This dialog allows you to display selected dimensional information in your HyperView report.

See "Edit Dimension Info" for complete information on how to use this dialog box to display dimension information.


Point Info Object

The edit point info object is used to place individual point information directly into the Hyperview report. After selecting this object, and drawing a box on your grid, the Edit Point Info dialog box appears.

Select the information you want in your report, then click OK or Apply.

  • Clicking the OK button creates point info commands for the selected features or dimensions and closes the dialog box.

  • Clicking the Apply button performs this same operation without closing the dialog box, allowing you to create multiple point info commands without having to re-open the dialog box.

You will noticed that PC-DMIS displays a table on your grid that contains feature or dimension point information:

An inserted Point Info object

This object contains XYZ coordinate information and IJK vector information for the second hit on a circle feature.

The Show Leader Line check box controls whether or not leader lines (lines from the feature to the displayed Point Info information) will automatically be generated.

Note: Analysis Objects or Cad Objects must exist in your Hyperview report previous to selecting this check box.

See "Edit Point Info" in the "Graphics Options" section for information on the other options in this dialog box.


Leader Line Object

The leader line object is used in conjunction with a feature text or dimension info object and a CAD window. It provides a leader line from either a feature text or dimension info object to a CAD window, with the leader line terminating on the feature in the CAD window associated with the feature text or dimension info object. When dropping a leader line object into a report, drag the mouse from the feature text or dimension info object to the CAD object (or vice versa). If done properly, the leader line will automatically snap between that feature text or dimension info object and the appropriate location on the CAD window. If not, a dialog will pop up allowing the user to select the feature text or dimension info object and the CAD object to be used. When a CAD, feature text, or dimension info object associated with a leader line object is deleted, the leader line object is automatically deleted as well.


Adding OLE and ActiveX Objects to the HyperView Report (ADVANCED)

This portion of the documentation deals with advanced techniques, commands, and options to add to your HyperView report.

More:

Adding an ActiveX Object

Accessing an ActiveX Object's Methods and Properties from Basic

Adding an OLE Object

Accessing an OLE Object's Automation Methods and Properties from Basic


Adding an ActiveX Object

To add an ActiveX object:

  1. Click on the ActiveX icon in the Object toolbar.

  2. Hold down the left mouse button and drag a rectangle at the desired location in the HyperView Report.

  3. Release the mouse button.

The object appears in the HyperView Report. The object is given a default name and other default attributes that can later be changed.

A dialog box titled Insert OLE Control will open at this point:

This dialog allows you to select the type of control to be inserted from a list of known controls on your computer. The objects in the OLE Control list are unique to each computer, based on the programs installed, etc.

If you click the Cancel button, nothing is added and the dialog box closes.


Accessing an ActiveX Object's Methods and Properties from Basic

If you have added a control, for example, an ActiveX calendar control and called it MSCAL, you can access its events through the property sheet just like any other object. In this case, since it is an ActiveX object, a new tab will be visible called ActiveX. This tab contains a user accessible list of variables with their default values.

If an event function/subroutine has been created, then the variables in the ActiveX tab can be set. If you enter MSCAL, a window will appear listing the variables that can be accessed. If you double click on the "X" or type in "MSCAL.X", a window will appear listing a set of internal variables that can be modified.


Adding an OLE Object

To add an OLE object:

  1. Click on the OLE icon from the Object toolbar.

  2. Hold down the left mouse button and drag a rectangle at the desired location in the HyperView Report.

  3. Release the mouse button. The object appears in the HyperView Report. The object is given a default name and other default attributes that can later be changed.

A dialog box titled Insert Object appears at this point:

This dialog box allows you to select the type of OLE object from a list of objects that are currently available on your computer. The OLE objects in the list are unique to your individual computer depending on what is installed etc.

If you select the Cancel button nothing is added to the HyperView report and the dialog closes.


Accessing an OLE Object's Automation Methods and Properties from Basic

If you have added an OLE control, for example the Bitmap control, and called it BITMAP, you may wish to access the OLE object's automation methods and properties from BASIC. For example, you might wish to add program code to change the bitmap being displayed, populate an embedded Microsoft Excel spreadsheet object with data, or set the text in an embedded Microsoft Word document. In order to access the OLE automation methods and properties for the object named "BITMAP", use the following code:

AttachOLE("BITMAP_X")

The object variable BITMAP_X may now be used as follows: BITMAP_X.{property} = {value} or BITMAP_X.{automation method call}. Note that you must have documentation for the particular OLE object you are using to know what methods and properties are available.


Creating Multiple Page Reports

There are two styles of hyperview reports.

  1. Single Page

  2. Multiple Page

Single page reports are the most common form of reports because they are easier to create. However, if you are a more advanced user, the ability to create a multiple page report lies at your fingertips. The creation of a multiple page report assumes you have a working knowledge of the BASIC programming language. You will need this understanding to cause multiple page reports to function properly.

With multiple page reports you are able to group specific features, dimensions or any other information from a part program onto various pages. This allows you to have much more organized reports and allow better access to a part's information.

More:

Description of Handling Multiple Page Reports

Description of the Current_Page and Total_Pages local variables

Example of creating a multiple page report


Description of Handling Multiple Page Reports

A multiple page report is actually one report viewed in different ways at different times. You, as the programmer, can use the CurPage variable to determine what happens on each "page" of the multiple page report.

Each page of the multiple page report shares The Frame/The View. Whatever objects are put inside the Frame will be included on each page. Within an event handler, using the CurPage variable and BASIC code, you can cause changes to the current page, customizing each page to fit your needs. For example, you can make items hidden to the user or insensitive (unresponsive to user input). It is possible to make each page different using the BASIC language.


Description of the Current_Page and Total_Pages local variables

The CurPage variable is updated anytime you change between pages. It contains a number that corresponds to the current active page. When writing BASIC code you can use this variable to determine which page is active. Once the active page is known, you can then write code with different actions for each page.


Example of creating a multiple page report

To create a multiple page report with three pages available:

  1. Right click on HyperView's main screen.

  2. The Property Sheet for The Frame/The View opens.

  3. Select the Events tab.

  4. Double click EventInitialize. The VBS Mini-Editor will open.

  5. Click the Wizard >> button. The Script Wizard dialog box opens.

  6. In the Variables area of the dialog box, pull down the drop-down list on the left. You will see that CurPage and NumPages are available for selection.

  7. Select NumPages.

  8. Click the Insert button. This will bring up the VBS Mini-Editor with the following text:
    "NumPages"

  9. Type "=3" after the NumPages command. So that the text reads:
    "NumPages=3"

This will cause you to have three pages available.


Auto-Reporting Basics

PC-DMIS allows reports to be generated automatically. These reports can be presented in a textual fashion, graphically, or both. Even though these reports are automatically generated in a set format, PC-DMIS allows some customization by allowing you to add custom headers or footers by adjusting the report's margins.

To enable AutoReporting,

  1. Create a new HyperView report by selecting Report | Hyper-Reporting | New from the Edit window's main menu.

  2. Right mouse click on the background of the HyperView window to open a Property Sheet.

  3. Make sure TheFrame/TheView is selected in the drop-down list.

  4. Double click Auto Reporting to open the Auto Report Options dialog box.

Select the Auto Reporting On option to enable AutoReporting. The Auto Report Options dialog box is divided into four areas:

  1. Inspection Report

  2. Graphical Report

  3. Pagination

  4. A Dimension Selection List

More:

The Inspection Report

The Graphical Report

The Dual Report

Auto-Report Regeneration

Auto-Report Customization


The Inspection Report

This report will mirror the standard inspection report generated by a part program. Any inspection report options that are set within PC-DMIS will be reflected in this report as well. For example, if the reporting options are set to display dimensions only, only dimensions will appear in the auto-generated inspection report.

More:

Creating a Textual Report

Generating a Border

Adjusting Font Attributes


Creating a Textual Report

To create a textual report for the current part program:

  1. Select the Show Inspection Report check box.

  2. Clear the Show Graphical Report check box.

  3. Click the OK button.


Hyper-View Reporting Tutorial - The Inspection Report - Generating a Border

Generating a Border

Selecting the Show Frame check box will generate a black border around the Inspection Report. This can be useful for visual clarity by keeping the Inspection Report distinct from the Graphical Report when both are selected.


Hyper-View Reporting Tutorial - The Inspection Report - Adjusting Font Attributes

Adjusting Font Attributes

Press the Change Font button and PC-DMIS displays the standard Font dialog box. From this dialog box you can modify the various font attributes such as font, font style, size, and color.


The Graphical Report

This section allows you to generate a graphical report. This option grabs the current active graphics from the PC-DMIS main Graphical Display window. By default, a leader line will connect each measured feature to a DimensionInfo box.

More:

Creating a Graphical Report

Generating a Border

Showing Leader Lines

Specifying the Number of DimensionInfo Boxes Displayed

Adjusting Margins

Adjusting Font Attributes

Using the Dimension List Box


Creating a Graphical Report

To create a graphical report:

  1. Select the Show Graphical Report check box.

  2. Deselect the Show Inspection Report check box.

  3. Click the OK button. A graphical report will then be generated.


Hyper-View Reporting Tutorial - The Graphical Report - Generating a Border

Generating a Border

Selecting the Show Frame check box will generate a black border around the Graphical Report. This can be useful for visual clarity by keeping the Inspection Report distinct from the Graphical Report when both are selected.


Showing Leader Lines

If the Show Leader Lines check box is selected, the leader lines connecting the measured features to the DimensionInfo boxes will be generated. Clearing this check box tells PC-DMIS not to generate the leader lines.


Specifying the Number of DimensionInfo Boxes Displayed

The Dims / Page Spin box allows you to specify how many DimensionInfo boxes you want displayed on each page. If the number of DimensionInfo boxes on each page is causing the report to become cramped looking, reduce the number of DimensionInfo boxes per page.


Adjusting Margins

The Margins area shows the current margin sizes. These are for information purposes only. To adjust the margins of the Graphical Report, make sure you are in Edit Mode then click and drag the cyan colored borders in the PC-DMIS Report window.


Hyper-View Reporting Tutorial - The Graphical Report - Adjusting Font Attributes

Adjusting Font Attributes

Press the Change Font button and PC-DMIS displays the standard Font dialog box. From this dialog box you can modify the various font attributes such as font, font style, size, and color.


Using the Dimension List Box

When the Graphical Report is selected, the dimension selection list is activated. You can do the following:

  • Select the Use All Dimensions check box to generate a DimensionInfo box for all the dimensions in the Part Program.

  • Deselect the Use All Dimensions check box and select the dimensions you want in the report by toggling them on or off.

  • When the Use All Dimensions check box is not selected, you can double-click a dimension to bring up a Dimension Info dialog box. Any modifications made in this dialog box will be saved with the HyperView report. See Dimension Info Object for more information on the options in this dialog box.


The Dual Report

The Dual Report consists of both textual and graphical information. To create the dual report:

  1. Select the Show Graphical Report check box.

  2. Select the Show Inspection Report check box.

  3. Click the OK button. A Dual Report with both text and graphics will be generated.

The textual portion of this report is similar to the Inspection Report. The graphical portion is similar to the Graphical Report except that the DimensionInfo boxes are not generated.

In addition to being able to adjust the page margins, a border is displayed between the textual and graphical portion. Click and drag this line to adjust the relative size of each portion.


Auto-Report Regeneration

Once an Auto-Report is created and saved, this report can be loaded for any Part Program. Each time a report is loaded for a program, it will be regenerated and will reflect the dimensions in the current Part Program.


Auto-Report Customization

Auto-Reports can be customized by adjusting the report's margins to allow space for other HyperView objects.

Example: To add a page number at the bottom of every page of your Auto-Report, follow these steps:

  1. Load a Part Program that has enough dimensions to generate a multi-page Auto-Report.

  2. Create a new HyperView report by selecting Report | Hyper-Reporting | New from the Edit window's main menu.

  3. Right mouse click on the background of the HyperView window to get a Property Sheet dialog box. Make sure TheFrame/TheView is selected in the drop-down list. Double click Auto Reporting to open the Auto Report Options dialog box.

  4. Turn Auto Reporting on by selecting the Auto Reporting On option.

  5. Click the OK button to close the Auto Report Options dialog box.

  6. Scroll to the bottom of the PC-DMIS Report window and drag the bottom margin up far enough to allow room for the page number text.

  7. Select the Text object from the Object toolbar.

  8. Drag a rectangle in the report window to define the Text Object.

  9. Right mouse-click the Text Object to bring up its Property Sheet and select the Events tab.

  10. Double click EventPumpData to bring up the VBS Mini-Editor.

  11. In the edit field, enter the following line of text: This.Text="Page " & CurPage & " of " & NumPages

  12. Click the OK button.

  13. Save the report.

  14. Switch to Run mode by pressing CTRL + E.

Scroll to the bottom of your report. The page number should be displayed in the report window below the graphical portion. Use the Page Selection box to scroll through the pages of your report. The page number at the bottom of your report will change accordingly.

Page Selection box

Using this example as a guide, other custom objects can be added to an Auto-Report.


Using HyperView Reports in Part Programs

PC-DMIS allows HyperView reports to be executed inside of part programs. You can optionally execute a default HyperReport at the end of every part program or you can insert a custom HyperView report in the body of a part program.

Additionally, the HyperView report can interact with a part program by mapping global variables and property elements to PC-DMIS variables.

Setting a Default Report for a Part Program

A default HyperView report for a part program is a report that will automatically load and print upon completion of the Part Program execution. This default report can be set to load and print for every Part Program that is executed. To set the default report:

  1. Select Report | Customize from the Edit window's main menu.

  2. Select the Hyper-Report tab on the Report Display Options dialog box that appears.

If the Auto Load Hyper-Report check box is selected, a HyperView report will be executed upon completion of the Part Program.

When the Auto Load Hyper-Report check box is selected, specify a Hyper-Report file to load or use the Default Report. Specify a file by typing a file name in the Hyper-Report File edit box or click the Browse button to use a standard Open Dialog box to select a report file. To use the Default Report, check the Use Default Report check box.

Note: The Default Report is recorded in the PC-DMIS.INI file. Initially, there is no Default Report set in this file. To set the Default Report, make sure Use Default Report check box is cleared, select a Hyper-Report File, and then check the Use Default Report check box. This will set the Default Report in the .INI file to the file listed in the Hyper-Report File edit box.

More:

Embedding HyperView Reports in a Part Program

Examples of HyperView report usage


Embedding HyperView Reports in a Part Program

To embed a HyperView report in a Part Program:

  1. Make sure the Edit window is in Command Mode. From the PC-DMIS main menu select Utilities | Insert Reporting Object. The Insert Hyper Report dialog box will appear.

  2. Select the HyperView Report you want to embed in the Part Program.

  3. Click the Open button.

The HyperView Report command object will be inserted in the Edit window at the cursor position.

More:

The HyperView Report Command Object

Mapping PC-DMIS expressions to properties of HyperView Objects

Bi-directional nature of expression mapping if expression is an l-value


The HyperView Report Command Object

The HyperView Report command object is identified with the REPORT/FILENAME command in the Edit window. Following this command is the file name for the HyperView Report, the AUTOPRINT option, and then PARAM/ options.

AUTOPRINT

Switching the AUTOPRINT option to PRINT will cause the HyperView Report to be printed to the default printer after it has loaded and executed. The report will close immediately after the print job has been spooled and execution of the part program will resume.

Switching the AUTOPRINT option to PDF will cause the HyperView Report to be printed to a Portable Document Format (PDF) file.

About the Generated PDF Filename

  • The name of the generated PDF file will have the same base name as the HyperView Report filename appended by a numerical index and extension.

  • Also, the generated file will be located in the same directory as the Report file.

  • If a file exists with the same name as the generated filename, the index will automatically increment itself until a unique file name is found.

Note: PC-DMIS overrides the AUTOPRINT option if you select the Hyper Report Inline check box found in the Edit window's Print Options dialog box. See "Print Setup" in the "Editing a Part Program" section for information on this check box.

PARAM

The PARAM/ option allows you to map PC-DMIS expressions to HyperView variables and properties. The syntax of the PARAM/ option is:

PARAM/{HyperView variable name}={PC-DMIS expression}

Example: If you have a Global Variable in a HyperView Report named "NumBoltHoles". The following PARAM/ option would map the PC-DMIS expression to NumBoltHoles:
PARAM/NumBoltHoles=360.0/angle

If the PC-DMIS expression being mapped to a HyperView Global Variable is an L-value, then changes to the HyperView variable will change the PC-DMIS variable.

Example: Using the following PARAM/ option, NumBoltHoles is set equal to numBolts. Changes within the HyperView report to the HyperView variable NumBoltHoles will be reflected in the PC-DMIS variable numBolts:
PARAM/NumBoltHoles=numBolts


Mapping PC-DMIS expressions to properties of HyperView Objects

PC-DMIS expressions can be mapped to HyperView property objects using the PARAM/ command in the Edit window. The syntax for mapping a PC-DMIS expression to a HyperView object property is:

PARAM/{object code}.{property name}={PC-DMIS expression}

Example: The following PARAM/ option changes the BorderStyle property of the object, Text1:
PARAM/Text1.BorderStyle=1


Bi-directional nature of expression mapping if expression is an l-value

If the PC-DMIS expression is an L-value, changes to the HyperView property element will be reflected in the PC-DMIS variable.

Example: The following PARAM/ option maps the PC-DMIS L-value myTitle to the HyperView frame object property Title. Any changes to Title within the HyperView report will be reflected in myTitle.
PARAM/TheFrame.Title=myTitle


Examples of HyperView report usage

Below are two examples that show how HyperView reports may be used. Example 1 demonstrates the use of putting a single page HyperView report in more than one place in a part program. Example 2 shows how HyperView reports are used to gather information from the user to modify PC-DMIS variables.

More:

Example 1

Example 2


Example 1

This example demonstrates the use of a single page HyperView report used in multiple places in a Part Program.

  1. Create a part program with at least two dimensions in it (D1 and D2).

  2. Create a new Hyper-Report by selecting Report | Hyper-Reporting | New from the Edit window.

  3. Select the DimensionInfo object from the Object toolbar.

  4. Drag a rectangle in the report window to define the DimensionInfo Object.

  5. Fill in the Dimension Info dialog box or leave the default values.

  6. Save and close the report.

  7. Insert the HyperView Report you just made by selecting Utilities | Insert Reporting Object.

  8. In the Edit Window, modify the PARAM/= line to read: PARAM/DimensionInfo1.DimID=D1

Note: You may have to change "DimensionInfo1" to match the name given to your DimensionInfo Object. To determine the name of the object, right click on the object in the Report Window to view its Property Sheet and then select the Settings tab. The ObjectCode name is listed on the top line.

  9. Now insert the HyperView Report again.

  10. Modify the PARAM/= line to read:
    PARAM/DimensionInfo1.DimID=D2

When the part program is executed, the Dimension Info will be reported for both dimension Ids using the same HyperView report.


Example 2

The following example demonstrates how a HyperView Report can be used to gather information from the user to modify PC-DMIS variables.

  1. Create a PC-DMIS long integer variable:
    ASSIGN/NumBoltHoles=4

  2. Create a new Hyper-Report by selecting Report | Hyper-Reporting | New from the Edit window.

  3. Select the EditLongBox object from the Object toolbar.

  4. Drag a rectangle in the report window to define the EditLongBox object

  5. Save and close the report.

  6. Insert the HyperView Report you just made by selecting Utilities | Insert Reporting Object.

  7. In the Edit window, modify the PARAM/= line to read:
    PARAM/EditLongBox1.Text=NumBoltHoles

This will link the PC-DMIS variable NumBoltHoles to the Edit Box in the HyperView report. When the program is executed, the user can enter a new number in the Edit Box, which in turn will modify NumBoltHoles. This method can be used to gather information from the user to use in the program.


Off-Line Part Programming: Introduction

The off-line version of PC-DMIS is designed to allow the user to prepare and debug part programs without using a CMM. The ability to program off-line has become increasingly important over the last several years. Users of CMM's have become more aware of the fact that, in order to fully realize their investments in CMMs, their equipment must be used to measure parts, not write programs to measure parts.

CMM manufacturers' first attempts at adding off-line programming capabilities involved cumbersome, specialized text editors. These products, although of limited use, spurred user interest in off-line programming. Driven by this interest, several CAD vendors developed products that allowed users to generate part programs using CAD models.

Although these products were vastly superior to text editors, they had one major disadvantage --cost. Since each CMM vendor has their own specific measurement language or languages, which were constantly changing or in some cases being replaced, the expense of developing and maintaining these products put them out of the reach of all but a few well-financed users.

This situation brought about the development of the DMIS specification, a generic CMM language. DMIS allowed CAD vendors to develop part programming packages that were targeted toward a single language instead of many, greatly reducing their costs. These savings were passed on to their customers and off-line part programming became a viable option for a large group of CMM users. However, there was still one problem. What about CMM users whose CAD vendors did not support and did not plan to support off-line part programming?

Although many main frame CAD vendors, driven by major customers, have introduced DMIS extensions to their products, PC based CAD vendors with their diverse customer bases have shown little interest in this area. Many CMM users, particularly small shops, use PC based CAD systems exclusively. PC-DMIS brings off-line programming capabilities to this group.

With PC-DMIS, programmers using standard IGES models, which are supported by virtually every CAD vendor, can generate part programs on an inexpensive PC or PC clone without going near a CMM. These part programs can then be used to drive any CMM either running PC-DMIS or supporting the DMIS specification.

The techniques for programming off-line are much the same as those used for programming on-line. However, as might be expected, the methods used for qualifying probes, taking measurements and debugging programs differ from those used in the on-line version. This section describes PC-DMIS'S off-line programming techniques.

The main topics in this section include:

  • Prerequisites

  • Off-line Probes

  • Setting Probe Depth

  • Measuring Features Off-line

  • Executing and Debugging Part Programs Off-Line


Prerequisites

To use PC-DMIS off-line, CAD data, in the form of an IGES model, a DES file, a DXF file, or X,Y,Z,I,J,K data must be available. The "Import" section has information on importing these files into the PC-DMIS system.

More:

IGES Entities Supported

DXF Input

DES Input

XYZ ASCII File


IGES Entities Supported

100CIRCLE/ARC
102COMPOSITE CURVE
104CONIC ARC
106COPIOUS DATA (multiple point line)
108PLANE
110LINE
112PARAMETRIC SPLINE CURVE (with curves and surfaces option)
114PARAMETRIC SPLINE SURFACE (with curves and surfaces option)
116POINT
118RULED SURFACE (with curves and surfaces option)
120SURFACE OF REVOLUTION (with curves and surfaces option)
122TABULATED CYLINDER (with curves and surfaces option)
124TRANSFORMATION MATRIX
126RATIONAL B-SPLINE CURVE (with curves and surfaces option)
128RATIONAL B-SPLINE SURFACE (with curves and surfaces option)
140OFFSET SURFACE
144/142TRIMMED SURFACE (with curves and surfaces option)
402ASSOCIATIVITY INSTANCE
408/308SUBFIGURE
410VIEW

More:

IGES Compatibility


IGES Compatibility

PC-DMIS is compatible with IGES 3.0, 4.0, and 5.1.


DXF Input

PC-DMIS will read in a DXF (Drawing Interchange File) file as CAD data to be used to create part programs. This file format will not support text. The only type of data that is supported is feature data.

This option is not part of PC-DMIS'S standard module. Please see your Automation Software, Inc. representative if you are interested in purchasing this add-on package.


DES Input

PC-DMIS will read in a DES (Data Exchange Standard) file as CAD data to be used to create part programs. The data can come in as feature or fixture data. If it is feature data, you have the option to use the feature label to define the type of feature. By selecting the DES point from the PC-DMIS display, the correct DCC feature dialog is displayed with the values filled in from the DES point.

The DES feature type is defined by the fifth position of the feature label. This is the fifteenth (15) column of the data type LINE in the DES file. The character and feature type follow.

CHAR | DES Type | PC-DMIS Sheet Metal Type
S | Surface | Surface Point
T | Trim | Edge Point
H | Hem Edge | Edge Point
X | Hole | Circle (in)
Y | Stud | Circle (out)
Z | Slot | Round Slot


XYZ ASCII File

PC-DMIS will read in any ASCII file that contains XYZ (and possibly IJK) data. The file should contain the nominal (theoretical) inspection points that need to be measured. The file must follow these rules:

  1. Columns 1 - 6 in the first line of the file must contain the characters "XYZIJK." This is the key word that lets PC-DMIS distinguish this file type from DES and IGES files.

    In the first line of the file:
    Col. 1 = X
    Col. 2 = Y
    Col. 3 = Z
    Col. 4 = I
    Col. 5 = J
    Col. 6 = K

  2. If the file contains metric data, columns 11 - 16 of the first line must contain the word METRIC. That is:

    Col. 11 = M
    Col. 12 = E
    Col. 13 = T
    Col. 14 = R
    Col. 15 = I
    Col. 16 = C

    The default, if the METRIC float is not present, is INCH.
    The rest of the first line should be blank

  3. Line thereafter must contain three to eight floating point numbers separated by a comma. The numbers are interpreted as follows:
Numbers per Row Description CAD Feature Generated
3
1st number=X value
2nd number=Y value
3rd number=Z value
 Point with no vector
4 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=diameter 		CAD circle with a workplane based vector
5 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=nothing
5th number=nothing 		Point with no vector
6 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=I value
5th number=J value
6th number=K value 		Point with a vector
7 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=I value
5th number=J value
6th number=K value
7th number=diameter 		Circle with vector
8+ 1st number=X value
2nd number=Y value
3rd number=Z value
4th number=I value
5th number=J value
6th number=K value
7th number=nothing
8th number=nothing
         Point with a vector

For example:

X | Y | Z | I | J | K | First line of the file
3.5943, | 4.5894, | 5.666, |  |  |  | is treated as X, Y, Z point 1.0
3.556, | 4.55, | 5.6, | 0.707, | 0.707, | 0.0, | is treated as X, Y, Z, I, J, K


Off-line Probes

With the off-line version, all the probe definition and calibration capabilities as defined in the on-line version can be used. However, values can only be keyed in. Measurements cannot be made. (For example, you cannot actually measure a calibration artifact to find the diameter of a probe.)

See Utilities | Probe for information on defining a probe.

Note: It is suggested (but not mandatory) that the probe used to create the off-line part program be the same as the probe that will be used to execute the part program on-line.


Setting Probe Depth

To program measurements off-line, it is important to set the depth of the probe at a specified distance (in relation to the surface of the current working plane). PC-DMIS offers several methods for setting the probe's depth.

Note: It is necessary to be in Program Mode to use any of these techniques. Verify that the STATE button displays PROG.

More:

Setting Approximate Probe Depth

Setting Probe Depth on a Feature

Keying in Probe Depth


Setting Approximate Probe Depth

In most circumstances it is only necessary to set an approximate probe depth to properly measure a feature. To do this using off-line PC-DMIS

  1. Position the mouse cursor on the drawing at the desired depth for hit taking.

  2. Right click at the current location. PC-DMIS will then redraw the probe in its new position.


Setting Probe Depth on a Feature

To position the probe on a specific feature (i.e., a plane):

  1. Move the cursor close to the feature.

  2. Hold down the right mouse button.

  3. Release the mouse button.

When the button is released, PC-DMIS will "snap" the probe to the closest CAD element and display the message: "Precise Depth Set on".

The status bar displays the current number of hits and the probe's location.

More:

Setting Probe Depth on a Sphere

Setting Probe Depth on a Cone


Setting Probe Depth on a Sphere

PC-DMIS offers two procedures that allow you to set the probe depth on a sphere. Depending where the probe is located in relation to the centerline of the drawing determines where the hit will be taken on the sphere. If the probe is below the centerline, PC-DMIS will take the hit on the bottom of the sphere. To take a hit on the top of the sphere, the probe depth must be set above the centerline. See Measuring Features Off-line for additional information on the following procedures.

Three Dimensional Procedure

To set the precise depth on a three-dimensional spherical surface:

  1. Move the animated probe to the desired circle.

  2. Hold down the right mouse button.

  3. Release the mouse button. The precise depth will be set on the sphere.

PC-DMIS will position the probe on the side of the feature where the mouse button was first held. This determines the type of feature that will be measured. If the probe snaps to the outside of a circular CAD element, the hits will be placed outside the circle. If the probe snaps to the inside of the same element, the hits will be placed inside the circle. The circle's three dimensional origin must be the same location as the sphere's center.

Once the precise depth has been set, all the points that are generated will snap on to the spherical surface.

Two Dimensional Procedure

When using a two-dimensional drawing, PC-DMIS requires at least two views of the sphere. The sphere should be visible as a circle (or arc) in both views.

  1. Set the precise depth for two of the axes using one of the views. (See "Setting Probe Depth on a Feature" for setting precise depth.) PC-DMIS will display the message: "Precise Depth Set on."

  2. Using the second view, set the precise depth for the third axis. PC-DMIS displays the message: "Precise Depth set on Sphere." This procedure finds the true three-dimensional center point of the sphere.

Once the precise depth has been set, all the points that are generated will snap on to the spherical surface.


Setting Probe Depth on a Cone

PC-DMIS offers two procedures that allow you to set the probe depth on a cone. See Measuring Features Off-line for additional information on the following procedures.

Three Dimensional Procedure

To set the precise depth on a conical surface, PC-DMIS requires that two CAD circles (or arcs) on the cone be displayed. It is suggested that two views of the surface be used for this procedure, but it is not required. (Isometric views are also a viable way of setting probe depth on a cone.)

  1. Set the precise depth for one end of the cone using one of the circles. PC-DMIS displays this message: "Precise Depth Set on."

  2. Next, set the precise depth for the other end of the cone using the second circle. PC-DMIS displays this message:"Precise Depth set on Cone."

Once the precise depth is set, all the points that are generated will snap on to the conical surface. Single hits can be taken on cones by holding down the left mouse button. Clicking the left mouse button prompts PC-DMIS to take equally spaced hits around the cone.

Two Dimensional Procedure

To set the precise depth on a conical surface in two-dimensional drawings, PC-DMIS requires that the length between the two circles (as described above) be defined. Because these circles are at the same depth, it is necessary to also define the precise depth of a line. This can be either a straight line, or a line on the edge of the cone. After setting the precise depth on the circles, hold down the right mouse button next to the line that will be used for the length.

Once the precise depth is set, all the points that are generated will snap on to the conical surface. Single hits can be taken on cones by holding down the left mouse button. Clicking the left mouse button prompts PC-DMIS to take equally spaced hits around the cone.


Keying in Probe Depth

It is sometimes necessary to set the probe at some specific location in space. To do this:

  1. Click on the X, Y, Z portion of the status bar while in PROGRAM mode (or select Auto Util | Move To). The Auto Move Point dialog box will appear. The default setting indicates the probe's current location.

  2. Change the X, Y, Z to the desired values. By selecting the Store Move check box , the MOVE POINT command can be added to the program. You also have the ability to select the Increment moves check box and the OK to Move check box.

  3. Once the new X, Y, or Z values are entered, click on Done and PC-DMIS will move the animated probe to the new position.


Measuring Features Off-line

PC-DMIS offers several methods for programming measurement routines off-line. A hit is taken by holding down the left mouse button. The "-" (minus) key allows you to remove a specified number of hits as long as the measurement process isn't complete. (Click on the minus key for each hit that is to be removed.) The END key allows you to complete the measurement process.

Note: Press the END key to terminate the measurement process. PC-DMIS will continue to accumulate hits in the hits buffer until the END key is pressed.

More:

Automatic Measurements

Discrete Measurements

Ending a Measurement


Automatic Measurements

Based upon the IGES definition of circular and linear feature types, PC-DMIS can make some assumptions about the way they should be measured. Take advantage of these assumptions to speed up the part programming process.

More:

Circular Features

Linear Features

Surface Features


Circular Features

PC-DMIS can automatically generate hits for circles, cylinders and arcs. To do this:

  1. Move the cursor close to the circumference of the feature.

  2. Click the left mouse button. (The STATE icons must be set to Program mode.) PC-DMIS will then generate equally spaced hits on the feature at the current probe depth. (See Options | Setup | General for setting the number of hits for circles.)

Follow these measurement rules for circular features.

  • For an inside diameter (ID), place the cursor just inside the feature.

  • For an outside diameter (OD), place the cursor just outside the feature.

  • To automatically program cylinders, take at least two sets of hits at different probe depths.

  • When programming an arc, PC-DMIS will space the hits along the length of the arc.To measure a sphere or a cone, first set precise depth on the sphere or cone before generating any hits. See Setting Probe Depth on a Sphere.


Linear Features

PC-DMIS can automatically generate hits for lines and planes. To do this:

  1. Move the cursor close to the line.

  2. Click the left mouse button. (The STATE icons must be set to Program mode.)

Follow these rules for measuring linear features:

  • PC-DMIS will generate equally spaced hits along the length of the line at the current probe depth. (See Options | Setup | General for setting the number of hits for lines.)

  • The cursor must be placed on the side of the line where the hits are to be taken.

  • To automatically program planes, at least two sets of hits at different probe depths must be taken.


Surface Features

UV scan can be used to automatically place points on a surface along the UV direction of the surface. In Program mode and Surface Select mode, press the left mouse button inside the surface to be selected. A dialog box will appear allowing the input of the start and end UV values, as well as the number of points along each UV direction.


Discrete Measurements

Automatic measurements speed up the programming process, but it is sometimes necessary due to either part geometry or feature type to precisely place hits on a feature. There are two techniques for placing hits.

More:

Placing Hits on a Surface

Placing Hits on a Feature


Placing Hits on a Surface

In many instances it is necessary to precisely position the hits on a surface (i.e., plane, sphere or cone measurement). To do this:

  1. Move the cursor to the position where you wish to take the hit.

  2. Hold down the left mouse button (do not move the mouse).

  3. Release the button. PC-DMIS will program the hit at that point.

The cursor must be held in one position while holding down the button. Otherwise, PC-DMIS will misinterpret your intention. If the probe tip snaps on to a feature after the button is released, then the mouse was moved during the process. Press the "-" (minus) key to remove the hit and begin again.

Note: Precise depth must be set before placing discreet hits on a cone, sphere, or plane.


Placing Hits on a Feature

In many instances it is necessary to precisely position hits on a feature other than a plane. To do this:

  1. Move the cursor close to the position where you wish to take the hits.

  2. Hold down the left mouse button.

  3. Move the probe towards the position where you want to take the hit. (the probe must be moved at least 1/8" on the screen).

  4. Release the button.

PC-DMIS will "snap" the hit on the feature. PC-DMIS will locate the hit on the side of the feature where the cursor was positioned when you first held down the mouse.


Ending a Measurement

To end a measurement in the off-line mode, press the END key.


Executing and Debugging Part Programs Off-Line

The execution of part programs in off-line PC-DMIS is the same as in on-line PC-DMIS. The Edit window provides immediate access to all of the commands in a part program, making it as easy to fine tune an off-line part program as a program done on a CMM.

Please see "Editing a Part Program" for an overview of the many edit options in PC-DMIS.

Since off-line PC-DMIS does not work with solid models, it has no way of determining whether it is inside or outside a part. Therefore, PC-DMIS has no way of detecting probe collisions. It is the programmer's responsibility to pay careful attention to the probe animation to detect collisions and misplaced hits. The best way to do this is to reduce both the move and touch speeds. This is done by entering the Probe Setup option (see Options | Parameters | Motion ) and keying in the desired speeds in the appropriate edit box. PC-DMIS will stop the measurement process when the Stop button is pressed, resuming only after the Continue button is selected.

More:

Path


Path

The Path menu option within the Edit window provides a graphical representation of the part program that has been created. This option is a powerful tool for probe path editing and is very helpful in the off-line measurement procedure. To access this option:

  1. Mark the features that will be used for the probe path editing in the Edit window of the applicable part program. (See Execute | Mark.)

  2. Select the Show Path Lines option. PC-DMIS will display the path lines of the probe that were created during the learning portion of the part program. ("Executing a Part Program" has additional information on the Edit Path procedure.)


Translating a Part Program into PC-DMIS: Introduction

PC-DMIS will allow a user to take part programs that were created in DOS or Avail and translate them to run in PC-DMIS for Windows. The original part program must have been created using Avail or PC-DMIS (DOS) version 3.1 or higher in order for the translation process to be available.

Note: Importing Tutor for Windows part programs will not be available in this release.

The main topics in this section include:

  • Creating a Part Program File

  • Importing a Part Program File


Creating a Part Program File

To translate a file, the following procedure must be followed:

More:

DOS to Windows

Avail to Windows


DOS to Windows

  1. Using DOS, start up PC-DMIS. The Active Parts list will be displayed.

  2. Click the POST button from the menu list.

  3. Select the part program to be translated. PC-DMIS will display the Post Options menu.

  4. Select the DIMS CMDS button (DIMS commands) from the menu list. PC-DMIS will ask for the Output File name.

  5. Type the appropriate file name, followed by the three-character extension. It is suggested (but not mandatory) to use the extension ".dim".

  6. When PC-DMIS is post processing the part program, it will ask you to enter the name of a PC-DMIS for Windows Probe File. Type the appropriate name.

  7. Make sure that it is a probe file being used for Windows.

  8. Press the ENTER key.

  9. When the post processing is complete, PC-DMIS will display a message asking you to press any key to continue. PC-DMIS will then return to the Active Parts list.

  10. Exit out of PC-DMIS for DOS.


Avail to Windows

Avail files do not need to be translated in order to run in PC-DMIS for Windows. It is recommended (but not necessary) that the files are saved with a LLF*.* file name. Simply follow the instructions located in Importing a Part Program File.


Importing a Part Program File

The following procedure should be followed when importing a part program file. The process is the same regardless of the file type.

More:

DOS and Avail Files


DOS and Avail Files

  1. Start PC-DMIS for Windows by double clicking on the appropriate desktop icon (or by selecting the desktop's Start Button | Program Files | PC-DMIS For Windows). PC-DMIS will load and show the Open File dialog box.

  2. Click the Cancel button to close the dialog box.

  3. Select File | New to create a new part program. The New Part Program dialog box will appear.

  4. Type a new part program file name and other information as needed.

  5. Click the OK button. The dialog will close and PC-DMIS will open the Probe Utilities dialog box.

  6. Click the Cancel button to close the Probe Utilities dialog box.

  7. Select File | Import. PC-DMIS will ask you to save your file.

  8. Click the SAVE button. PC-DMIS will display the Post In Data dialog box.

  9. Select the appropriate input data type (DIMS or AVL) from the Data Type box.

  10. Highlight the correct file. If it was saved with a .DIM / .LLF*.* extension, PC-DMIS will automatically display all available files with the appropriate extension. If necessary, change to the correct directory.

  11. In the Post in Data dialog box select either the Merge option, or the Replace option to merge with or replace the current part program.

  12. Click the OK button (or press the ENTER key).

PC-DMIS will translate the DIMS/AVL data and return to the part program. Your part program is now ready to run in PC-DMIS for Windows.


Using Master / Slave Mode: Introduction

The Master / Slave mode was created to drive dual arm CMMs. This option will operate both arms using one global coordinate system. While the measurement process is comparable to single arm units, PC-DMIS must be able to distinguish the arm that is taking the measurement when using a dual arm system. The Master / Slave option is available as an add-on package.

Note: PC-DMIS must be installed on both systems prior to running this option.

The main topics in this section include:

  • Setup Procedures


Setup Procedures

To setup a dual arm CMM, follow these steps:

More:

Install PC-DMIS on Both Master and Slave Arm Computers

Match the CMM Axes for Each Arm

Determine the Master System

Configure Probe Head Wrist Angles

Setup Master / Slave Mode

Connect the Master / Slave Computers

Starting up Master/Slave mode

Dual Arm System Calibration

Probe Calibration

Master / Slave Origin

Measuring the Part


Install PC-DMIS on Both Master and Slave Arm Computers

The first step needed, to make this option accessible, is to install PC-DMIS on both the master and slave arm computers. (See the documentation on software installation procedures if necessary.) Beginning with V3.0 it is possible to drive both master and slave arms from one computer. If this is the case, then install PC-DMIS on the common computer.

The MASTER / SLAVE option must be turned on in both port locks. To verify this:

  1. Select Help | About PC-DMIS For Windows. The About PC-DMIS for Windows dialog box opens displaying information about the developers and modules installed.

  2. Pull down the Modules drop-down list and look for Master / Slave. If it is listed, then it is turned on for the current port lock.

This should be available on both computers.


Match the CMM Axes for Each Arm

The CMM axes for each arm must match. That is the X+, Y+, and Z+ axes for both arms must go in the same direction.

If you need to change the axis assignments and directions:

  1. Select Options | Setup. The Setup dialog box will appear.

  2. Select the PART/CMM tab. This will bring up the CMM options available.

  3. Click on the Probe Head Orientation button. The PH Wrist Angle Configuration dialog box appears. You can change the axis assignments for the CMM.

Note: If you are driving both arms from one computer, then make sure the Active CMM Interface combo box on the main toolbar is set to the CMM you want to modify (CMM1 or CMM2).


Determine the Master System

Determine the system that will be used as the Master. In most cases, either system can be used. If the dual arm system has a rotary table, then the master must be the controller that controls the rotary table. Label the master and slave arms in some way.


Configure Probe Head Wrist Angles

Once PC-DMIS is loaded on both systems, and the axes match for both arms, do the following:

  1. Select Options | Setup to bring up the Setup dialog box.

  2. Select the Part/CMM tab.

  3. Click the Probe Head Orientation button. The PH Wrist Angle Configuration dialog box appears.

Note: It is important to remember when changing the Dph9 Config to delete all *.prb files.

  4. Change mount orientation as needed.

  5. On the master arm's computer, you should describe the mount orientation of both arms.

  6. On the slave arm's computer you should describe the mount orientation of just the slave arm using the Primary/Master Arm settings.


Setup Master / Slave Mode

The next step is to set up the master / slave mode. Select the Options | Master/Slave Setup menu option. This menu option displays the Master Slave Setup dialog box. The following options are made available:

More:

Computer Connected to the Slave Arm

Computer Connected to the Master Arm

Computer Connected to both Master and Slave Arms

Computer is not used in Master Slave Mode

Delay for TCPIP Connection


Using Master / Slave Mode - Setup Master / Slave Mode - Computer Connected to the Slave Arm

Computer Connected to the Slave Arm

This option allows the computer to be used only with the Slave Arm. You can choose to connect using either a TCPIP Port or a Serial Port.

  1. Select either the TCPIP Port or the Serial Port option

  2. Enter a value in the Port number to Read box.

  3. Click the OK button.


Using Master / Slave Mode - Setup Master / Slave Mode - Computer Connected to the Master Arm

Computer Connected to the Master Arm

This option allows the computer to be used only with the Master Arm. You can choose to connect using either the slave's PC IP address or a serial port.

  1. Select either the Slave PC'S IP or the Serial Port option.

  2. Enter the IP address if you connected using the Slave PC's IP Address option.

  3. Type the port number. If using TCPIP, then the port number must match what you entered on the slave computer.

  4. Click the OK button.


Using Master / Slave Mode - Setup Master / Slave Mode - Computer Connected to both Master and Slave Arms

Computer Connected to both Master and Slave Arms

This option allows the computer to be connected to both Master and Slave arms. You must select if the CMM Arm 1 is either Master or Slave.


Using Master / Slave Mode - Setup Master / Slave Mode - Computer is not used in Master Slave Mode

Computer is not used in Master Slave Mode

If the computer is not used in a Master/Slave mode relationship, select this option.


Using Master / Slave Mode - Setup Master / Slave Mode - Delay for TCPIP Connection

Delay for TCPIP Connection

This field allows you to enter the number of milliseconds that PC-DMIS will delay before attempting a TCPIP connection with the Master or Slave arm setup for use with the current computer.


Connect the Master / Slave Computers

If you are using two computers (one on each arm), then there must be a connection between the two computers. You can either use a null modem serial cable between the two computers, or if both computers are connected to a network, you can use the network to communicate between the two computers. The Setup Master / Slave Mode allows you to describe this connection to PC-DMIS.

Once you have setup both computers, and are in a part program, the Options | Enter Master/Slave Mode menu should become selectable from the master arm computer. When you select this menu, PC-DMIS will enter master slave mode. If you are using two computers (one for each arm), PC-DMIS will establish a link between them. This link will coordinate the activities of both arms. If the link cannot be established, you will get an error message telling you that the slave arm is not responding. In this case, PC-DMIS is not running on the slave PC, the cable connections between the computers are not functioning, or the settings entered in the previous step are not correct. Please correct the problem and then re-try this step. Once you have a link established between the two computers, you can calibrate the relationship between the two arms.


Starting up Master/Slave mode

  1. Start up PC-DMIS on the Slave system. It is only necessary to go to the Open File dialog box on this system. Do not create a new part program or activate a program. The Slave system is now ready.

  2. Start up PC-DMIS on the Master system. Create a new part program (or activate one that is already available). The Master / Slave option can be accessed by selecting Options | Enter Master / Slave Mode from the menu bar. If you are using two computers (one for each arm), PC-DMIS will establish a link between them. This link will coordinate the activities of both arms. If the link cannot be established, you will get an error "Slave arm not responding". In this case, PC-DMIS is not running on the slave PC, the cabling between the computers is not functioning, or the settings entered in the previous step are not correct. Please correct the problem and then re-try this step.

  3. PC-DMIS will display a check mark to the left of the Options | Enter Master / Slave Mode option in the menu when it is selected. A Master / Slave toolbar will also be displayed. This toolbar will contain two toggle icons depicting probes. The Probe 1 icon corresponds to the Master mode. The Probe 2 icon indicates Slave mode. The toolbar will allow you to toggle between the Master and Slave probes. Only one mode can be active at a time. The selected icon is considered active. The active icon tells PC-DMIS which arm should own the commands you create in the learn mode. The slave commands will be drawn in a bolder font in the Edit window.

  4. Click on the slave icon to switch to slave mode (the readouts should now follow the slave arm).

  5. Select Utilities | Probe. PC-DMIS will ask you if you want to load a new probe file. Respond to this question by clicking Yes. Now, in the Probe Utilities dialog box, build the slave probe file. Make sure you add an AB angle for the tip you plan on using to calibrate the dual arm system. In your part program, you should have two LOADPROBE commands. One that describes the probe on each arm.

Note: Up to this point, you have not calibrated either probe file. This will be done after you have finished a master slave calibration.


Dual Arm System Calibration

Once PC-DMIS has been started on both systems, any probes that will be used in the measurement process must be defined. PC-DMIS uses the theoretical data from the probes to calibrate the system. Do not calibrate the probe(s) at this time. System calibration can be done first to either the Master or Slave arm. The order is not important.

  1. If the probe file already exists, load it into the active part program. Make sure you include the PH9 AB angle that points at the table. Select Options | Enter Master / Slave mode.

  2. The next step is to calibrate the dual arm system. From the Options menu, select Calibrate Master / Slave mode (only available in on-line mode). This will display the Master / Slave Calibration dialog box.

  3. Verify that the correct probe files and tips are entered in the combo boxes in the dialog. Also make sure the tool you will be using to perform the calibration is listed.

  4. Choose the method of calibration. Note that the number of spheres you enter will determine how many tool positions PC-DMIS will promt you to measure. You must enter either exactly 1 (to set the arm to arm origin), or 3 or more (to set the arm to arm squarness and the origin).
  • With Both arms measure tool, PC-DMIS will prompt you to measure each sphere position with both arms.

  • With Master arm holds tool and slave arm measures, PC-DMIS will prompt you to move the master arm to each position and then measure the spherical tool with the slave arm.

  • With the Slave arm holds tool and master arm measures, PC-DMIS will prompt you to move the slave arm to each position and then measure the spherical tool with the master arm.
  5. When you have entered in the correct settings, click on the OK button. PC-DMIS will ask you to measure the selected tool with both the master and slave arms.

  6. Begin by taking one point on the north pole of the tool. PC-DMIS will then automatically measure the rest of the points. Once you have measured the tool in the current position, PC-DMIS will prompt you to move it to a new location on the table. Make sure the tool locations on the table are not co-linear (in a line). Position the tool locations as far as possible from each other, with one of the positions being raised up in the Z axis.

See "Calibrate Master / Slave Mode" for additional information.


Probe Calibration

Now that the system has been calibrated, you will need to calibrate the master and slave probe files. The order you calibrate in is not important. You can use two different tools for calibration (one for the master arm and one for the slave).

  • Make sure the Arm1 button is selected when you want to calibrate the master probe file.

  • Make sure Arm2 is selected when you want to calibrate the slave probe file.

See "Utilities | Probe" if additional information on probe calibration is needed. Specifically, see the "Measure" section .


Master / Slave Origin

The final step in calibrating the master and slave arm is to set the origin between the two arms. This should be done with calibrated probe files on both the master and slave arms. To set the master / slave origin, from the Options menu:

  1. Select Calibrate Master /Slave mode. This will display the Master / Slave Calibration dialog box.

  2. Make sure the number of spheres to measure is set to one.

  3. Select the Both arms measure tool.

  4. Select the correct probe files and tips.

  5. Then click the OK button. PC-DMIS will ask you to measure a single point on the sphere with the master arm and with the slave arm. It will then measure the rest of the points in DCC mode around the sphere.

Once you have calibrated both probe files in Master / Slave mode and set the arm to arm origin, the calibration process is complete. PC-DMIS will copy the slave probe file, the tool data, and the arm to arm transformation data to the slave computer. This allows you to run the slave arm on it's own as if it were an extension of the master coordinate system. You also have the option of running them together in Master / Slave mode.


Measuring the Part

Once the probes have been defined and calibrated, the part program can be created. It is important to select the appropriate arm that is to be used. This can be done by selecting the Probe 1 or 2 icons. PC-DMIS will indicate Slave mode (within the Edit window) with bold text. PC-DMIS will continue to use the active arm until a mode change is indicated. If you make measurements with an arm, PC-DMIS will automatically switch that arm to active and store the measurements.

When exiting the active part program, PC-DMIS automatically disengages the Master / Slave option. PC-DMIS also takes any pertinent probe calibration data from the Master system and transfers it to the Slave system. The table calibration will also be copied to the Slave system. This information is then automatically saved before exiting the program.


PCDLRN.INI File: Introduction

The PCDLRN.INI file stores the global options and list of directories where part programs reside. The entries in the PCDLRN.INI file are read every time PC-DMIS is started. It is a text file that can be edited by any text editor.

Note: Changes made to the PCDLRN.INI file cannot be displayed while PC-DMIS is running. You must exit PC-DMIS in order to view any changes made to the .INI file.

The topics in this section include:

  • Option

  • OpenGL Settings

  • OpenGL Options

  • ProEngineer

  • IDEAS

  • FileMan

  • Parameters

  • Database

  • Probe Cal

  • Master / Slave

  • ReadOuts

  • TermiFlex

  • ZMouse

  • Sharpe 32


Option

The [Option] section of the .INI file sets global commands for several of PC-DMIS'S system options. If these parameters are changed within PC-DMIS, the PCDLRN.INI file will reflect the changes. Likewise, options that are set in the .INI file will be displayed in the appropriate tabs on the Setup Options or Parameters Modes dialog boxes.

This section of the .INI file is constantly changing as the needs of our customers change. "System Options" has additional information regarding the many of the options available in the .INI file.

More:

Alignment ID Generic

Auto Circle Hits

Auto Dim

Auto Graph Analysis

Auto Line Hits

Auto Roundness

Auto Save

Auto Save Time

Auto Text Analysis

Catia Port

Catia Address

CMT Video Probe

Decimal Dimension Places

Dimension ID Generic

Feature Colors

Feature ID Generic

Feature Use Dim Color

IGES Read Options

IGES Write Options

Load Probe User Search Directory

Manual Hit Retract

Message Beep

PH9 Warning Delta

Positive Reporting

Press End Key

Probe File

Recall Align User Search Directory

Save Auto Dim

Save Stats Always

Search Order

Show All ID

Subroutine User Search Directory

TCPIP Port

Tool Changer (Probe Changer)

Tool Changer Type (Probe Changer Type)

Update Database Always

Use Point Method Find Hole


Alignment ID Generic

This entry allows you to create generic alignment identifications. When this option is ON, the default setting will assign the alignment an ID beginning with a letter, followed by a number (incrementally set from the starting number).

This command can also be changed within PC-DMIS by editing the Method box in the menu selection Options | Setup | Id Setup (Verify that the ID For box is displaying Feature.)

Entry line in the PCDLRN.INI file:
AlnIDGeneric=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.

More:

Alignment ID's


Alignment ID's

The following series of Alignment ID entries are used to generate generic alignment identifications as discussed in Alignment ID Generic.

Entry line in the PCDLRN.INI file:
Altrs0=xxxxxx
Astart0=n
Alength0=m

xxxxxx = any string for the ID

n = any integer for the starting number

m = integer for the length of the ID (maximum length of 10 single digit integers).


PCDLRN.INI File - Option - Auto Circle Hits

Auto Circle Hits

This entry allows you to set the default number of hits PC-DMIS will take while learning circles using CAD data. The minimum number of hits that may be entered is three. This value can be changed simply by entering another number.

This command can also be changed within PC-DMIS by editing the Auto Circle Hits value found in the menu selection Options | Setup | General.

Entry line in the PCDLRN.INI file:
AutoCirHits=n

n = any integer (greater than 3)


Auto Dim

The Auto Dim entry will create a new location or true position dimension each time a feature is created. The dimension will be automatically deleted when the next feature is measured unless Save Auto Dim is check marked. Pressing the short cut key combination, CTRL + K will also save the created dimension.

This command can be turned on within PC-DMIS by selecting the Auto Create option found in the menu selection Options | Setup | Dimension.

Entry line in the PCDLRN.INI file:
AutoDim=0 / 1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Auto Graph Analysis

The Auto Graph Analysis entry will graphically display a dimension. When a dimension is created using the Auto Dim or Auto Roundness command, each new auto dimension will have option of graphically analyzing the dimension.

This command can also be turned on within PC-DMIS by marking the Graphical Analysis box found in the menu selection Options | Analysis.

Entry line in the PCDLRN.INI file:
AutoGraphAnalysis=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


PCDLRN.INI File - Option - Auto Line Hits

Auto Line Hits

This entry allows you to set the default number of hits PC-DMIS will take while learning lines using CAD data. The minimum number of hits that may be entered is two. This value can be changed simply by entering another number.

This command can also be changed within PC-DMIS by editing the Auto Line Hits value found in the menu selection Options | Setup | General.

Entry line in the PCDLRN.INI file:
AutoLineHits=n

n = any integer (greater than 2)


PCDLRN.INI File - Option - Auto Roundness

Auto Roundness

The Auto Roundness entry allows you to control the printing of dimensions for certain feature types. The features affected by this option are circles, cylinders, cones and spheres. If this option is ON, PC-DMIS will display the new roundness dimension (if appropriate to the selected feature) in the Edit window. The dimension will be automatically deleted when the next feature is measured unless Save Auto Dim. Pressing the short cut key combination, CTRL + K also saves the created dimension.

This command can also be turned on within PC-DMIS by check marking the Auto Roundness check box found in the menu selection Options | Setup | Dimension.

Entry line in the PCDLRN.INI file:
AutoRound=0 / 1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Auto Save

The Auto Save entry allows you to automatically save the active part program at selected time intervals. The Auto Save Time option will allow you to change the current saved time value.

This command can also be turned on within PC-DMIS by check marking the Automatic File Save check box found in the menu selection Options | Setup | General.

Entry line in the PCDLRN.INI file:
AutoSave=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Auto Save Time

This entry allows you to change the default time setting of the Auto Save command. If the Auto Save option is on, the current part program will be saved every minute. This amount of time can be changed simply by entering another value.

The amount of time can also be changed within PC-DMIS by editing the Minutes To Save value found in the menu selection Options | Setup | General.

Entry line in the PCDLRN.INI file:
AutoSaveTime=n

n = any integer


Auto Text Analysis

The Auto Text Analysis entry will analyze a dimension using text. When a dimension is created using the Auto Dim or Auto Roundness command, each new auto dimension will have option of textual analysis.

Textual Analysis check box found in the menu selection Options | Analysis.

Entry line in the PCDLRN.INI file:
AutoTextAnalysis=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Catia Port

This entry allows you to specify the port used for Direct CAD Interfacing with Catia files. See "Installing and Using Catia Direct CAD Interface" in the "File Options" section.

Entry line in the PCDLRN.INI file:
CatiaPort=n

n = the port number used. (i.e. 5555) You should use the same port for both UNIX and NT.


Catia Address

This entry allows you to specify the IP address used for Direct CAD Interfacing with Catia files. See "Installing and Using Catia Direct CAD Interface" in the "File Options" section.

Entry line in the PCDLRN.INI file:
CatiaAddress=n

n = the IP address number (i.e. 205.158.132.244) of the UNIX workstation.


CMT Video Probe

This entry specifies whether or not PC-DMIS is configured to use a CV-100 Video Probe. See "CV-100 Setup" in the "System Options" section for more information.

Entry line in the PCDLRN.INI file:
CMTVideoProbe=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Decimal Dimension Places

This entry allows you to select the number of decimal places printed on the inspection report by PC-DMIS while in inch mode. Numbers that appear here may reach from 1 - 5.

This command can also be turned on within PC-DMIS by selecting the decimal places radio buttons found in the Options | Setup | Dimension menu option .

Entry line in the PCDLRN.INI file:
DimensionDecimalPlaces= n

n = If measuring in inch mode, the available options are 2, 3, 4 or 5. If measuring in mm mode, the available options are 1, 2, 3 or 4..


Dimension ID Generic

This entry allows you to create generic dimension identifications. When this option is ON, the default setting will assign the dimension an ID beginning with a letter, followed by a number (incrementally set from the starting number). PC-DMIS'S default ID will begin with the letter D, start with the number zero and be ten single digit integers in length. All of the default options can be changed to user defined values. If this option is OFF, PC-DMIS will generate unique identifications based on the dimension type.

This command can also be changed within PC-DMIS by editing the Method box in the menu selection Options | Setup | Id Setup . (Verify that the ID For box is displaying Dimension.)

Entry line in the PCDLRN.INI file:
DimIDGeneric=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.

More:

Dimension ID's


Dimension ID's

The following series of Dimension ID entries are used to generate generic feature identifications as discussed in Dimension ID Generic.

  • "Dltrs" indicates the starting letter.

  • "Dstart" indicates the starting number.

  • "Dlength" determines the length (number of characters) of the ID.

We recommend that these options be changed using the Options | Setup | Id Setup menu option (instead of the PCDLRN.INI file) as the options in the dialog box are presented in a user-friendly format .

Entry line in the PCDLRN.INI file:
Dltrs0=xxxxxx
Dstart0=n
Dlength0=m

Dltrs1=xxxxxx
Dstart1=n
Dlength1=m

.
.
.

Dltrs10=xxxxxx
Dstart10=n
Dlength10=m

xxxxxx = any string for the ID

n = any integer for the starting number

m = any integer for the length of the ID
(maximum length of 10 single digit integers)


Feature Colors

The series of Feature Color entries indicate the color that will be used to display each feature.

We recommend that these options be changed using the Edit Feature dialog box (instead of the PCDLRN.INI file) found in the Graphics menu. The options in the dialog box are presented in a user-friendly format.

Entry line in the PCDLRN.INI file:
Fcolor0=n
Fcolor1=n
Fcolor3=n
.
.
.

n = any integer


Feature ID Generic

This entry allows you to create generic feature identifications. When this option is ON, the default setting will assign the feature an ID beginning with a letter, followed by a number (incrementally set from the starting number). PC-DMIS'S default ID will begin with the letter F, will start with the number zero, and will be ten single digit integers in length. All of the default options can be changed to user defined values. If this option is OFF, PC-DMIS will generate unique identifications based on the feature type.

This command can also be changed within PC-DMIS by editing the Method box in the menu selection Options | Setup | Id Setup . (Verify that the ID For box is displaying Feature.)

Entry line in the PCDLRN.INI file:
FetIDGeneric=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.

More:

Feature ID's


Feature ID's

The following series of Feature ID entries are used to generate generic feature identifications as discussed in Feature ID Generic. Fltrs indicates the starting letter, Fstart indicates the starting number and Flength determines the length (number of characters) of the ID.

We recommend that these options be changed using the Options | Setup | Id Setup menu option (instead of the PCDLRN.INI file) as the options in the dialog box are presented in a user-friendly format .

Entry line in the PCDLRN.INI file:
Fltrs0=xxxxxx
Fstart0=n
Flength0=m

Fltrs1=xxxxxx
Fstart1=n
Flength1=m

.
.
.

Fltrs10=xxxxxx
Fstart10=n
Flength10=m

xxxxxx = any string for the ID

n = any integer for the starting number

m = any integer for the length of the ID
(maximum length of 10 single digit integers)


Feature Use Dim Color

This entry will allow you to identify features that have a location or true position dimension with the worst axis or worst tolerance in the dimension. When this option is ON, PC-DMIS will flag the feature along the tolerance range with the worst axis in the dimension using the appropriate dimension color.

This command can also be changed within PC-DMIS by marking the Color Features With Dimension Colors box in the menu selection Options | Setup | Dimension.

Entry line in the PCDLRN.INI file:
FeatUseDimColors=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


IGES Read Options

This entry allows you to read in an IGES file. Once the IGES Read option is turned on, the default settings can be accessed. Every time an IGES file is read in, PC-DMIS will use these settings.

This command can also be changed within the File Manager by using the Import option.

We recommend that this option be changed using the File Manager's Post In option (instead of the PCDLRN.INI file), as the options in the dialog box are presented in a user-friendly format.

Entry line in the PCDLRN.INI file:
IgesReadOptions=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


IGES Write Options

This entry allows you to write out an IGES file. Once the IGES Write option is turned on, the default settings can be accessed. Every time an IGES file is posted out, PC-DMIS will use these settings.

We recommend that this option be changed using the File Manager's Export option (instead of the PCDLRN.INI file), as the options in the dialog box are presented in a user-friendly format.

Entry line in the PCDLRN.INI file:
IgesWriteOptions=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Load Probe User Search Directory

This entry allows you to determine the pathway PC-DMIS follows when loading a probe from the User Search Directory.

This command can also be changed within PC-DMIS by opening the Options | Set Search Path menu option.

Entry line in the PCDLRN.INI file:
LoadProbeUserSearchDirectory=xxxxx
xxxxx = any path without backslash at end

LoadProbeUserSearchDirectory=C:\PCDMIS


PCDLRN.INI File - Option - Manual Hit Retract

Manual Hit Retract

This entry allows you to determine the retract distance the CMM will automatically travel after a manual hit is taken.

This command can also be changed within PC-DMIS by editing the Manual Hit Retract value found in the menu selection Options | Setup | Part/Cmm.

Entry line in the PCDLRN.INI file:
ManHitRetract=n

n = any value


Message Beep

The Message Beep entry allows you to determine whether or not a beeping sound will be available when measuring a part. When this method is used, the only application that is affected is PC-DMIS. This function will not be disabled for any other programs run on the system.

The system Control Panel provides another way to turn off the sound. This method however, will affect all programs run on the system, not just PC-DMIS.

Entry line in the PCDLRN.INI file:
MessageBeep=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


PH9 Warning Delta

This entry defines the minimum change in the PH9 angle before PC-DMIS will require you to change the current PH9 position. This only affects users with a DCC CMM with a PH9 articulated wrist.

This command can also be changed within PC-DMIS by editing the PH9 Warning Delta value found in the menu selection Options | Setup | Part/Cmm.

Entry line in the PCDLRN.INI file:
PH9WarnDelta=n

n = any value


PCDLRN.INI File - Option - Positive Reporting

Positive Reporting

This entry allows the reporting of features to the left of the origin that would normally have negative values to always be printed with positive values.

This command can be turned on within PC-DMIS by marking the appropriate axis in the menu selection Options | Setup | Dimension .

Entry line in the PCDLRN.INI file:
PositiveReporting=0/1/2/3

0/1 = The option is OFF if a 0 (zero) is displayed. Positive reporting along the X axis will be enabled if a 1 (one) is displayed. Positive reporting along the Y axis will be enabled if a 2 (two) is displayed. Positive reporting along the Z axis will be enabled if a 3 (three) is displayed.


PCDLRN.INI File - Option - Press End Key

Press End Key

This entry controls whether or not the probe will automatically move to the next location after the last hit is taken on a manual feature. The option is ON if a 1 (one) is displayed. PC-DMIS will then require that the END key be pressed before going on to the next location.

This command can also be turned on within PC-DMIS by marking the Press End Key option found in the menu selection Options | Setup | General.

Entry line in the PCDLRN.INI file:
PressEndKey=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Probe File

This entry indicates the name of the most recently used probe file.

Entry line in the PCDLRN.INI file:
LastProbeFile=xxxxx

xxxxx=string


Recall Align User Search Directory

This entry allows you to determine the directory PC-DMIS searches in when you recall an alignment.

This command can also be changed within PC-DMIS by opening the Options | Set Search Path menu option.

Entry line in the PCDLRN.INI file:
RecallAlignUserSearchDirectory=xxxxx

xxxxx = any path without backslash at end

RecallAlignUserSearchDirectory=C:\PCDMIS


Save Auto Dim

When a dimension is created using the Auto Dim or Auto Roundness command, each new auto dimension will have the option of being automatically saved. If the dimension is saved, it can be printed when the part program is executed (the dimension must be marked).

This command can also be turned on within PC-DMIS by marking the Auto Save Dimensions option found in the menu selection Options | Setup | Dimension.

Entry line in the PCDLRN.INI file:
SaveAutoDim=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Save Stats Always

This entry automatically saves statistical data if there is a STATS command in the part program that is turned ON. If this option is turned OFF, a dialog box will appear at the beginning of the part execution requiring you to indicate if the statistical data is to be sent to the XSTATS11.tmp file.

This command can also be turned on within PC-DMIS by marking the Always Save Stats check box found in the menu selection Options | Setup | Dimension .

Entry line in the PCDLRN.INI file:
SaveStatsAlways=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Search Order

The SearchOrder entry saves the search order stored when accessing the Options | Set Search Path menu option . The number associated with the SearchOrder entry determines which options are selected in the Set Search Path dialog box.

Entry line in the PCDLRN.INI file:
SearchOrder=n

n=number

Note: If you want to make changes to the SearchOrder entry, make the changes only within the Set Search Path dialog box found in the Options | Set Search Path menu option of PC-DMIS.


Show All ID

This entry controls the display of feature ID's in the Graphics Display window.

This command can be turned on within PC-DMIS by marking the Show All Ids option found under the menu selection Options | Setup | Id Setup .

Entry line in the PCDLRN.INI file:
ShowAllID=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Subroutine User Search Directory

This entry allows you to determine the directory PC-DMIS searches in when you call a subroutine.

This command can also be changed within PC-DMIS by opening the Options | Set Search Path menu option.

Entry line in the PCDLRN.INI file:
SubroutineUserSearchDirectory=xxxxx

xxxxx = any path without backslash at end

SubroutineUserSearchDirectory=C:\PCDMIS


TCPIP Port

This entry determines the interface that will be used to talk to PC-DMIS. If this option is available, PC-DMIS will listen on the indicated port.

Entry line in the PCDLRN.INI file:
TCPIPport =n

n = a value indicating the port.


Tool Changer (Probe Changer)

This entry indicates if a probe changer is available or not.

Entry line in the PCDLRN.INI file:
ToolChanger=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Tool Changer Type (Probe Changer Type)

This entry indicates the type of probe changer that is being used.

Entry line in the PCDLRN.INI file:
ToolChangerType=x

x = Auto or TP200. These are the only available options at this time.


Update Database Always

This entry will automatically update the your statistical database software every time the part program is executed and statistical data is collected. Your statistical gathering software must be installed and ON. If this option is turned OFF, a dialog box will appear at the end of the part execution requiring you to indicate if your statistical database(s) are to be updated with the stats in the XSTATS11.TMP file. Your statistical database will be updated only after all of the parts have been measured.

This command can also be turned on within PC-DMIS by marking the Always Update Database option found in the menu selection Options | Setup | Dimension .

Entry line in the PCDLRN.INI file:
UpdateDatabaseAlways=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Use Point Method Find Hole

This entry lets you specify whether or not PC-DMIS uses sample hits to measure a newly found hole.

The entry line in the PCDLRN.INI file reads:
UsePointMethodFindHole=0/1

If you set this entry to 1 (one), then holes will be measured as they were PC-DMIS version 2.3, without using sample hits.

If you set this entry to 0 (zero), then holes are measured using sample hits.

If you want to use this method when finding holes but the PCDLRN.INI file doesn't contain this entry, you'll need to add it manually. To do this:

  1. Close PC-DMIS.

  2. Open Pcdlrn.ini in a text editor such as NotePad.

  3. In the [Option] section of the .INI file add this line: "UsePointMethodFindHole=1.

  4. Restart PC-DMIS. Holes will now be measured as they were in version 2.3.

To turn sample hits back on, repeat steps 1 and 2 and then change "UsePointMethodFindHole=1" to "UsePointMethodFindHole=0".


OpenGL Settings

This section of the .INI file allows you to change how measured points are displayed in the Graphics Display window. You can decide to draw points as spheres (instead of crosshairs) and you can modify the size of of the displayed points when in OpenGL (solid) view. To change a part to solid view, see the "View Setup" topic in the "Utilities" section.

More:

Draw Points as Spheres

Draw Points Radius in Millimeters


Draw Points as Spheres

This tells PC-DMIS whether or not to draw the measured points as spheres instead of cross hairs.

Entry line in the PCDLRN.INI file reads:
DrawPointsAsSpheres=0/1

0/1 = PC-DMIS does not draw points as a sphere if a zero follows the equals sign. If a one follows the equals sign then PC-DMIS draws points as a sphere.


Draw Points Radius in Millimeters

This tells PC-DMIS the size of radius to use when drawing points as spheres. For this option to work the DrawPointsAsSpheres entr must be set to one.

Entry line in the PCDLRN.INI file reads:
DrawPointsRadiusinMM=n

n = The radius (in millimeters) of the point drawn. The default value is one.


OpenGL Options

The OpenGL Options heading of the INI file displays your current desktop's display area in pixels as well as color depth. For example, if this section displays [OpenGL Options 1024x768x32], then your desktop area is 1024 by 768 pixels with a color depth of 32 bits per pixel.

The entries under this section of the INI file contain information about the display characteristics of the model in solid view mode.

You should edit these values in the OpenGL Options dialog box in the Options | OpenGL menu. See "OpenGL" in the "System Options" section.

More:

Double Buffering

Z Buffer Depth

Color Depth


PCDLRN.INI File - OpenGL Options - Double Buffering

Double Buffering

A display buffer is graphics memory used to store the image seen on your computer screen. If DoubleBuffering=1 then there are acutally two display buffers. For additonal information see "Double Buffering" in the "System Options" section.

Entry line in the PCDLRN.INI file reads:
DoubleBuffering=0/1

0/1 = If one follows the equals sign then your system will use two buffers. If set to zero then only one buffer is used.


Z Buffer Depth

This entry controls how much graphics memory is used for the z-buffer. For information on this, see "Z-Buffer Depth" in the "System Options" section.

Entry line in the PCDLRN.INI file reads:
ZBufferDepth=n

n = This is how many bits of graphics memory are used. This is generally 16, 32, 64, or 128.


PCDLRN.INI File - OpenGL Options - Color Depth

Color Depth

This entry controls how much graphics memory your system uses for the color information of each pixel. For information on this, "Color Depth" in the "System Options" section.

Entry line in the PCDLRN.INI file reads:
ColorDepth=n

n = The amount of bits of graphics memory used. This is gnerally 16, 32, 64, or 128.


ProEngineer

The [ProEngineer] section of the INI file contains information for directly interfacing with Pro/ENGINEER CAD files. See "Installing and Using Pro/ENGINEER Direct CAD Interface" in the "File Options" section.

More:

ProEngineer Executable Name


ProEngineer Executable Name

This entry contains the executable used to launch Pro/ENGINEER. See "Installing and Using Pro/ENGINEER Direct CAD Interface" in the "File Options" section.

Entry line in the PCDLRN.INI file reads:
ProEngineerExecutableName=x

x = This is the name used ot launch Pro/ENGINEER. Generally this is "PROE".


IDEAS

The [Ideas] section of the INI file contains information direct CAD interfacing with I-DEAS files. See "Installing and Using I-DEAS Direct CAD Interface" in the "File Options" section.

More:

Version

Server


Version

This entry contains the version information of which I-DEAS master series is installed on your machine. Currently PC-DMIS only supports master series 6a or 7.

See "Installing and Using I-DEAS Direct CAD Interface" in the "File Options" section.

This entry ensures that PC-DMIS uses the appropriate DLL for your I-DEAS installation.

Entry line in the PCDLRN.INI file reads:
Version=x

x = This is the I-DEAS version installed on your machine. This can be "MS 6A" or "MS 7". The default version is "MS 7"


Server

This entry contains the name of the default I-DEAS server. If your I-DEAS server is not "Sdrc/I-deas_7" you will need to modify this entry. The Server entry specifies the I-DEAS server.

Entry line in the PCDLRN.INI file reads:
Server=x

x= This is the name of the I-DEAS server. The default is "Sdrc/I-deas_7".

Under a default installation of I-DEAS master series 7, you will not need to change this value and it is set automatically by PC-DMIS.

Under a default installation of I-DEAS master series 6a, however, the Server entry reads: Server=Sdrc.

See "Installing and Using I-DEAS Direct CAD Interface" in the "File Options" section for information on finding your server name.


FileMan

This section of the .INI file creates a directory path, allowing you to attach a corresponding description for that path. PC-DMIS reads the path and the connected description, but only displays the description in the File Manager. The Directories drop-down box in the File Manager allows access to the directories and displays the descriptions read from the PCDLRN.INI file.

A typical [FileMan] section in the PCDLRN.INI file has the following attributes:

Path1=A:\=3 1/2" A floppy
Path2=C:\PCDLRN\=Pcdlrn directory
Path3=D:\=CD-ROM
Path4=G:\NETWORK\=Network drive

There is no limit to the number of entries in the PCDLRN.INI [FileMan] file. However, PC-DMIS does require the following specified rules:

  • Rule 1: All paths must end with a backslash ('\').

  • Rule 2:The path and description must be separated by an equal sign ('='). There can be no spaces between the backslash ('\') that ends the specified path and the '=' sign.

  • Rule 3: Path#=path\=description

  • Rule 4: A maximum of 20 characters can be used for the description. This description will be displayed in the File Manager, in warning messages, and in any other necessary applications. The File Manager will not display the path.

  • Rule 5: PC-DMIS checks for the existence of a specified path only during run-time (i.e., when PC-DMIS needs to do some type of operation with that path). PC-DMIS does not verify the path's (directory's) existence when reading in the PCDLRN.INI file.

Note: To avoid delays, verify the existence of the desired path(s) prior to running PC-DMIS.

  • Rule 6: It is not necessary to add the installation directory to the list of entries in PCDLRN.INI. PC-DMIS will automatically include that path in the list of entries seen in the File Manager. PC-DMIS will not, however, write this option to the PCDLRN.INI file. The path will be described as [PC-DMIS Exec Path] in the List box. Do not use this description ([PC-DMIS Exec Path]) for any other paths.

  • Rule 7: If for some reason PC-DMIS cannot find the PCDLRN.INI, or if it is not readable, PC-DMIS will create a single default path from the installation directory as described in Rule 5 (above). Only one option will be available in the Directories List box of the File Manager.

More:

Bar Code Scanner

Column Widths

Default File Name

Post In Path

Post Out Path


Bar Code Scanner

The Bar Code Scanner entry is available for part ID's that are scanned in using a Bar Code Reader. If this option is ON, PC-DMIS'S File Manager will allow Bar Code Reader data to be read into any of the Part ID fields (such as Part Name, Serial Number, etc.).

Entry line in the PCDLRN.INI file:
BarCodeScan=0/1

0/1 = This option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Column Widths

The Column Width series of entries indicate the width of the various columns (such as Part Name, Date, Size, etc.) displayed in the File Manager. The widths of each column can also be changed within the File Manager. Simply select the appropriate header bar using the mouse and drag the column to the desired location while holding the left mouse button.

Entry line in the PCDLRN.INI file:
FColWidth0=n
FColWidth1=n
.
.
.
FColWidth7 =n

n = any integer


Default File Name

The Default File name entry will generate a default OS File Name for any .PRG that is newly created. This file name is user editable.

Entry line in the PCDLRN.INI file:
DefFileName=xxxxxxxx

xxxxx= any string


Post In Path

This command identifies the default path PC-DMIS would use initially when the user tries to Post In a file.

Command line in the PCDLRN.INI file:
PostInPath=xxxxxx

xxxxx = any path without backslash at end

PostInPath =D:\TMPIGS


Post Out Path

This command identifies the default path PC-DMIS would use initially when the user tries to Post Out a file.

Command line in the PCDLRN.INI file:
PostOutPath=xxxxxx

xxxxx = any path without backslash at end

PostOutPath =D:\POSTOUT


Parameters

The [Parameters] section of the .INI file sets global commands for several of PC-DMIS'S system options. If these parameters are changed within PC-DMIS, the PCDLRN.INI file will reflect the changes. Likewise, options that are set in the .INI file will be displayed in the appropriate tab of the Parameters Mode dialog box.

More:

Avoid Table

Default Dim Format Order

Default Dim Info Order

Default Point Info Order

Default Point Info Type

Default Point Info ID

Default Point Info Columns

Default Point Info Leader

Dimension 132 Columns

Dimension Color Tol Out Neg

Dimension Dev Symbol

Dimension Heading

Machine Check Distance

Machine Move Speed

Machine Prehit Distance

Machine Retract Distance

Machine Touch Speed

Show Analysis Statistics

Show Analysis Histogram

Show Analysis MaxMin

Show Profile Options


Avoid Table

The Avoid Table entry determines if the probe is going to come in contact with the set plane. The driven value of a move must not go beyond the Z axis threshold plus tolerance values. If the probe tip passes through these values, PC-DMIS will display an error message alerting you to the potential danger.

If a PH9 rotation is requested that will come in contact with the Z axis threshold or tolerance field, PC-DMIS will display a message, and not complete the move.

This command can also be turned on within PC-DMIS by activating the Table Avoidance option found in the menu selection Options | Setup | Part/Cmm.

Entry line in the PCDLRN.INI file:
AvoidTable=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.

Note: This option is available with certain interface types only while in DCC mode.

Avoid Table Tol

Entry line in the PCDLRN.INI file:
AvoidTableTol=n

n = any value

Avoid Table Z

Entry line in the PCDLRN.INI file:
AvoidTableZ=n

n= The Z value that is measured.


Default Dim Format Order

The Dim Format Order entry controls the printed order of the dimensional output. PC-DMIS indicates the order of the output by displaying a number from 1 (one) to 6 (six) in the command line. This order can be changed by entering a new value (1-6) to the right of the command.

This command can be turned on within PC-DMIS using the "Dimension Output Format" section of the menu selection Options | Parameters | Dimension. The FORMAT command in the Edit window can also access this option.

Entry line in the PCDLRN.INI file:
DefaultDimFormatOrder=n

n= Enter a value from 1-6. Values cannot be duplicated. The default output will display the entire selection, in the order indicated.

1 = NOM
2 = TOL
3 = MEAS
4 = MAXMIN
5 = DEV
6 = OUTTOL


Default Dim Info Order

The Dim Info Order entry controls the displayed order of the dimensional output in the Graphics Display window. PC-DMIS indicates the order of the output by displaying a number from 0 (zero) to 8 (eight) in the entry line.

This command can be turned on within PC-DMIS using the "Dimension Output Format" section of the menu selection Graphics | Edit Dimension Info.

Entry line in the PCDLRN.INI file:
DefaultDimInfoOrder# =n

1 = MEAS
2 = NOM
3 = TOL
4 = DEV
5 = MAXMIN
6 = OUTTOL
7 = MEAN
8 = STANDARD DEV
9 = NUM OF POINTS

# = Enter a value from 1-9. Values cannot be duplicated. The default output will display the entire selection, in the order indicated.

n = Enter a value from 0-9. Zero (0) is the only value that can be duplicated. The value indicates the position of the dimensional output (i.e. DefaultDimInfoOrder1=3 indicates that the NOM value will be displayed third in the Info box. Values displaying zero (0) will not be displayed.


Default Point Info Order

The Default Point Info Order entry controls the displayed order of the point info output in the Graphics Display window. PC-DMIS indicates the order of the output by displaying a number from zero to four in the entry line.

You can enable this within PC-DMIS using the "Point Info Format" section from the Graphics | Edit Point Info menu item (see "Edit Point Info" in the "Graphics" section for additional information).

Entry line in the PCDLRN.INI file:
DefaultPointInfoOrder# =n

1 = HITNUM
2 = POINT
3 = VECTOR
4 = DEV

# = Enter a value from one to four. Values cannot be duplicated. The default output will display the entire selection, in the order indicated.

n = Enter a value from zero to four. Zero (0) is the only value that can be duplicated. The value indicates the position of the point info output (i.e. DefaultPointInfoOrder1=3 indicates that the HITNUM value will be displayed third in the Info box. Values displaying zero (0) will not be displayed).


Default Point Info Type

The Default Point Info Type entry controls whether or not the dimension or feature type will be displayed in the point info output in the Graphics Display window.

You can enable this within PC-DMIS using the "Point Info Format" section of from the Graphics | Edit Point Info menu item (see "Edit Point Info" in the "Graphics" section for additional information).

Entry line in the PCDLRN.INI file:
DefaultPointInfoType=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Default Point Info ID

The Default Point Info ID entry controls whether or not the dimension or feature ID will be displayed in the point info output in the Graphics Display window.

You can enable this within PC-DMIS using the "Point Info Format" section of from the Graphics | Edit Point Info menu item (see "Edit Point Info" in the "Graphics" section for additional information).

Entry line in the PCDLRN.INI file:
DefaultPointInfoID=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Default Point Info Columns

The Default Point Info Columns entry controls whether or not the column lines will be displayed in the point info output in the Hyper Report window.

You can enable this within PC-DMIS using the "Point Info Format" section of from the Graphics | Edit Point Info menu item (see "Edit Point Info" in the "Graphics" section for additional information).

Entry line in the PCDLRN.INI file:
DefaultPointInfoColumns=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Default Point Info Leader

The Default Point Info Leader entry controls whether or not the point info objects created in the Hyper Report will be created automatically with leader lines drawn to existing CAD or analysis objects in the Hyper Report.

This command can be turned on within PC-DMIS using the "Point Info Format" area of the Edit Point Info dialog box. See the "Point Info Object" topic in the Hyper-View Reporting Tutorial section.

Entry line in the PCDLRN.INI file:
DefaultPointInfoLeader=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Dimension 132 Columns

This entry controls the format of feature locations in the inspection report. It will print all feature locations in a 132 column format.

This command is also accessible within the "Dimensional Attributes" section of the menu selection Options | Parameters | Dimension.

Entry line in the PCDLRN.INI file:
Dimension132Columns=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Dimension Color Tol Out Neg

This entry indicates the color that will be used to highlight dimensions that are out of tolerance (negative).

This command can also be accessed within the Graphics | Edit Dimension option.

Entry line in the PCDLRN.INI file:
DimensionColorTolOutNeg = n
DimensionColorTol0-11\ = n
DimensionColorTol12-22\ = n
DimensionColorTol23-33\ = n
DimensionColorTol34-44\ = n
DimensionColorTol45-55\ = n
DimensionColorTol56-66\ = n
DimensionColorTol67-77\ = n
DimensionColorTol78-88\ = n
DimensionColorTol89-100\ = n
DimensionColorTolPos = n

n = value represents a RGB value.

Note: It is better to edit these values using the appropriate dialog box within the Edit Dimension option. Arbitrarily altering a value will result in an unexpected color.


Dimension Dev Symbol

This entry controls the printing of dimensional output symbols.

This command is also accessible within the "Dimensional Attributes" section of the menu selection Options | Parameters | Dimension. The FORMAT command in the Edit window can also access this option.

Entry line in the PCDLRN.INI file:
DimensionDevSymbols=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Dimension Heading

This entry controls the printing of dimensional output headings

This command is also accessible within the "Dimensional Attributes" section of the menu selection Options | Parameters | Dimension. The FORMAT command in the Edit window can also access this option.

Entry line in the PCDLRN.INI file:
DimensionHeadings=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Machine Check Distance

This entry sets the default machine check distance.

Entry line in the PCDLRN.INI file:
CheckDistance=n

n = any number


Machine Move Speed

This entry sets the default move speed as a percentage of the maximum machine speed.

Entry line in the PCDLRN.INI file:
MoveSpeedPercentage=n

n = any number from 1 to 100.


Machine Prehit Distance

This entry sets the default machine prehit distance.

Entry line in the PCDLRN.INI file:
PrehitDistance=n

n = any number


Machine Retract Distance

This entry sets the default machine retract distance.

Entry line in the PCDLRN.INI file:
RetractDistance=n

n = any number


Machine Touch Speed

This entry sets the default touch speed as a percentage of the maximum machine speed.

Entry line in the PCDLRN.INI file:
TouchSpeedPercentage=n

n = any number from 1 to 100.


Show Analysis Statistics

This entry will display various statistics in the Analysis window.

Entry line in the PCDLRN.INI file:
ShowAnalysisStats=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Show Analysis Histogram

This entry will display a histogram of the deviation of each point in the Analysis window.

Entry line in the PCDLRN.INI file:
ShowAnalysisHistogram=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Show Analysis MaxMin

This entry will display the max and min deviations using a '*+' or '*-' symbol..

Entry line in the PCDLRN.INI file:
ShowAnalysisMaxMin=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Show Profile Options

This entry will control various analysis options for dimensions, including profile dimensions.

Entry line in the PCDLRN.INI file:
ShowProfileOptions=#

# = A bitwise combination of the following options:

1 = Show Profile Contours

2 = Show Profile Color Interpolation

4 = Show Profile Arrows

8 = Show Profile Measured Lines

16 = Show Profile Tolerance Lines

32 = Show All Dimensions Arrow Heads

64 = Show Profile Nominal Lines

128 = Show True Position Diameters


Database

This section of the .INI file displays the default statistical database parameters. If these options are changed within PC-DMIS, the PCDLRN.INI file will reflect the changes. Likewise, options that are set in the .INI file will be displayed in the appropriate dialog box.

Note: The Database parameters are only available if a statistical gathering software package is available on your system.

More:

Control Calculations

Data Page Variable Name

Database Directory

Memory Pages

Read Lock


Control Calculations

This value indicates whether the control calculations option will be used. The default setting is OFF.

Entry line in the PCDLRN.INI file:
Cont Calc=0/1

0/1 = The option is OFF if a 0 (zero) is displayed. The option is ON if a 1 (one) is displayed.


Data Page Variable Name

This value indicates whether the dimension name or feature name will be used. The maximum length of the name is ten characters.

Entry line in the PCDLRN.INI file:
DataPageVariableName=0

0 = Dimension name

1 = Feature name


Database Directory

Entry line in the PCDLRN.INI file:
DatabaseDirectory=C:\DATAPAGE\PART


PCDLRN.INI File - Database - Memory Pages

Memory Pages

This value indicates the number of 4K pages to reserve for database tables when opening a database. The minimum (and default) number of pages that can be open is four.

Entry line in the PCDLRN.INI file:
MemoryPages=n

n = any integer (greater than 4)


PCDLRN.INI File - Database - Read Lock

Read Lock

This value indicates the maximum number of seconds that PC-DMIS will wait for database access when reading. The default value is 10 seconds.

Entry line in the PCDLRN.INI file:
Readlock=n

n = any integer.


Probe Cal

This section of the .INI file displays the default Probe Calibration parameters. If these options are changed within PC-DMIS, the PCDLRN.INI file will reflect the changes. Likewise, options that are set in the .INI file will be displayed in the appropriate dialog box.

This portion also stores some options used with a Rotary Table Calibration that can be seen only when the Rotary Table option is available in your system.

More:

Def Mode

Def Move Speed

Def Num Hits

Def Pre Hit

Def Tool Num

Def Touch Speed

Probe Shank Check

Probe Shank Num Hits

Probe Shank Offset

Rotab Angle1 / Rotab Angle2 / Rotab Angle3


Def Mode

The Define Mode entry indicates if the probe calibration will be done manually or in DCC mode.

Entry line in the PCDLRN.INI file:
DefMode=0/1

0= Manual Mode

1= DCC mode


Def Move Speed

The Define Move Speed entry indicates the default move speed that will be used during the probe calibration process. It is displayed as a percentage of the maximum move speed of the machine.

Entry line in the PCDLRN.INI file:
DefMoveSpeed=n

n = any number


Def Num Hits

The Define Number of Hits entry indicates the default number of hits to be used on the calibration tool.

Entry line in the PCDLRN.INI file:
DefNumHits=n

n = any integer


Def Pre Hit

The Define Prehit entry indicates the default prehit distance to be used during the probe calibration process.

Entry line in the PCDLRN.INI file:
DefPreHit=n

n = any number


Def Tool Num

The Define Tool Number entry indicates the default tool that will be used during the probe calibration process. This number is indexed into a list of tools set up by the user in the Calibration Dialog box.

Entry line in the PCDLRN.INI file:
DefToolNum=n

n = any integer


Def Touch Speed

The Define Touch Speed entry indicates the default touch speed that will be used during the probe calibration process. It is displayed as a percentage of the maximum touch speed of the machine.

Entry line in the PCDLRN.INI file:
DefTouchSpeed=n

n = any number


Probe Shank Check

The Probe Shank Check entry indicates if a shank probe will be used.

Entry line in the PCDLRN.INI file:
ProbeShankCheck=1/0

1= shank probe used

0= shank probe not used


Probe Shank Num Hits

The Probe Shank Num Hits entry indicates the default number of hits to be used for the calibration of a shank probe.

Entry line in the PCDLRN.INI file:
ProbeShankNumHits=n

n= any integer


Probe Shank Offset

The Probe Shank Offset entry indicates the offset distance used in measuring the shank vector of a shank probe.

Entry line in the PCDLRN.INI file:
ProbeShankOffset=n

n= any number


Rotab Angle1 / Rotab Angle2 / Rotab Angle3

The Rotab Angle entry indicates the angles of the rotary table that will be used during the calibration process of the rotary table.

Entry line in the PCDLRN.INI file:
RotabAngle1=n

RotabAngle2=n

RotabAngle3=n

n= any number


Master / Slave

This section of the .INI file displays the default location of the comm port for the Master /Slave mode.

Entry line in the PCDLRN.INI file to change the default comm port for the master/slave to com3:

SlaveCommPort=3

If the two PC's are hooked up to each other with a TCPIP network, then you can also use TCPIP to connect the two computers.

In the [MasterSlave] section of the slave PC's PCDLRN.INI file set the following:

[MasterSlave]
SlaveCommPort=0
MasterSlaveListenTCPIPPort=6501

In the [MasterSlave] section of the master PC's PCDLRN.INI file set the following:

[MasterSlave]
SlaveCommPort=0
MasterSlaveConnectTCPIPPort=6501
MasterSlaveConnectTCPIPAddress=120.33.44.6
MasterSlaveConnectTime=500

Note: The 6501 port number is somewhat arbitrary and is used as an example. You can use a different number as long as it doesn't conflict with another software program on the master or slave computers. Generally, you are safe with numbers over 5000.

Also, the 120.33.44.6 address numbers are also examples. This should be the actual TCPIP address assigned by the network administrator to the slave PC. It is always four numbers separated by periods.

The MasterSlave Connect Time is the amount of time PC-DMIS waits for the network connection to be complete when you initially connect. The value is in milliseconds, so 500 is half of a second. This is usually adequate time and is the default if the MasterSlaveConnectTime is missing from the ini file.


ReadOuts

This section of the .INI file displays the default location and size of the Readout window as determined by the most recent position of the window.

Entry line in the PCDLRN.INI file:
ReadOutsLeft=n

ReadOutsRight=n

ReadOutsTop=n

ReadOutsBottom=n

n= any integer.


TermiFlex

This section of the .INI file displays the options available when a Termiflex system is being used.

Entry line in the PCDLRN.INI file:
Comm = COM0 9600 N, 8, 1
Comm port = 0/1…

COM0 = Termiflex is not connected to comm port. The default value is 0 (OFF).
COM1/2… = Indicates the comm port the Termiflex is using.
9600 / N / 8 / 1 = This indicates the default settings of the comm port.

ShowKeyPress = TRUE / FALSE

TRUE = If this option is ON (True) Avail/NT will show the key that was pressed in the display window.
FALSE = If this option is OFF (False) Avail/NT will not display the pressed key. The default setting is FALSE for this option.

The following options are available only if the indicated key is pressed.

EraseHit = -

EndFeature = /

StoreMove = .

ScaleToFit = 0

DisplayVersions = ?

PrevMenu = 3

NextMenu 6

ReturnASCII = 13

EscASCII = 27

TabASCII = 10

F4 = If the F4 key is pressed, Avail/NT will toggle between selection and display mode. Only three menus will be displayed at a time. The F1, F2, or F3 key will allow you to select the appropriate line. Display mode shows the current X, Y, Z location, PH9 angle, number of hits, and current units.

F1/2/3 = If selection mode is ON (F4), Avail/NT will allow you to select between the desired menu using the corresponding function key.


PCDLRN.INI File - ZMouse

ZMouse

This section of the .INI file displays the options available when a ZMouse is being used.

Entry line in the PCDLRN.INI file:
Comm port = 0/1…

0 = Z mouse not connected to comm port. The default value is 0 (off).
1/2… = Indicates the comm port the ZMouse is using.

Resolution = v

v = Indicates the speed of the mouse. To increase the speed, increase the value. The default value is 1.000000.

Ignore delta = v

v = Avail/NT will ignore any delta values greater than (or less than) the indicated value from its previous value. The default value is 20 (in mouse units).

Drift count = v

v = Avail/NT will zero out a value if the specified number of duplicated values are read. This option resolves problems with the mouse drifting on its own. The default value is 40.

Use drift = 0/1

0 = The Use Drift option is OFF. Turning this option off will speed up processing time. The default setting is OFF.
1 = The Use Drift option is ON. This option uses the value indicated in the Drift Count option to recognize mouse-drifting problems.

Drift X = v

v = This option sets the mouse not to drift the specified value in the X axis. The default value is 0, and is defined by Avail/NT.

Drift Y = v

v = This option sets the mouse not to drift the specified value in the Y axis. The default value is 0, and is defined by Avail/NT.

Debug = 0/1/2/3

0 = This value indicates that the option is OFF.
1 = This value indicates that the option is ON and will be displayed as a text file (.TXT).
2 = This value indicates that the option is ON and will be displayed as a screen file. The default value is set to 2.
3 = This value indicates that the option is ON and will be displayed both as a text file (.TXT) and as a screen file.

Adding debugging information will severely decrease the efficiency of the ZMouse processing.


Sharpe 32

This section of the .INI file displays the options available when a Sharpe 32 system is being used.

More:

Print Store Move


Print Store Move

The Print Store Move entry determines the function of the print key on the jog box.

Entry line in the PCDLRN.INI file:

PrintStoreMove=1/0

1= a move will be inserted if the Print key is pressed.

0= the last probe touch will be removed from the hit buffer if the Print key is pressed.


Using a Wrist Device: Introduction

PC-DMIS provides complete support for calibrating and using a Renishaw PHS wrist as well as the DEA wrist.

The main topics in this section include:

  • Installation

  • Cal Wrist Option

  • Tip Calibration

  • Using the Wrist in a Part Program


Installation

If a wrist is installed on your CMM, PC-DMIS will automatically query the controller and determine that the wrist is present. The wrist option must also be turned on in the port lock for PC-DMIS to enable the wrist support.

When you are using the kinematics mount for the Renishaw wrist, you need to add "RenishawKinematicMount=1" to the [Option] section of the PCDLRN.INI file. Once this command line is added to the .INI file, PC-DMIS will ask (upon startup of the system) if the PHS Wrist is loaded on the PH9/10. PC-DMIS will only ask this question when the controller has just been powered on. Once you inform PC-DMIS what is on the end of the arm, it will not ask the question again until it senses the controller has been shut down and restarted. When you have the wrist loaded, PC-DMIS will add A and B axes to the readouts. This is in addition to the X, Y, Z axis readouts that are normally displayed.

Note: The readout display will not reflect the value changes until you run PC-DMIS after responding favorably to the question regarding the PHS Wrist


Cal Wrist Option

When you have a wrist on the CMM, PC-DMIS will automatically add a new Cal Wrist button to the Probe Calibration dialog. This button allows you to calibrate the wrist. This procedure allows you to measure several angles on a sphere to determine the internal distances within the wrist itself. Once this information is calculated, PC-DMIS will use it to accurately predict the tip position at any A, B angle pair. This allows you to use any A, B angle in your part program without calibrating each individual position.

More:

Wrist Calibration

Calculate Error Map


Wrist Calibration

Once you select the CAL WRIST option PC-DMIS will display the Wrist Calibration dialog box. In order to calibrate the wrist, you need to measure at least three A angle positions (at a constant B) and at least three B angle positions (at a constant A) for a total of six sphere measurements. The Wrist Calibration dialog box gives you the ability to specify the angles for calibrating both the A and the B axes. The first four options are for calibrating the A joint. The first line is to specify the B position that all A measurements are to be made at. The second through fourth lines are to specify the starting, ending and increment A values.

Note: Each time the CMM is homed, you must perform a wrist calibration with at least three positions in A and three positions in B.

For example if you were to put in the following values:
Starting A angle:-180
Ending A angle:90
A angle increment:90

PC-DMIS will calibrate the A axis with the A-180B0, A-90B0, A0B0, A90B0.

Again, a minimum of three positions is required to calibrate each axis, but if you have more, PC-DMIS will use them to average the results and to get a slightly more accurate calibration.

The next four lines are for calibrating the B axis. The first line is to specify the A position that all B measurements are to be made at. The second through fourth lines are to specify the starting, ending and increment B values.

For example if you were to put in the following values:
Starting B angle:-180
Ending Bangle:90
B angle increment:90

This would calibrate the B axis with the A0B-180, A0B-90, A0B0, A0B90.

Again, a minimum of three positions is required to calibrate each axis, but if you have more, PC-DMIS will use them to average the results and get a slightly more accurate calibration.


Calculate Error Map

The last option is a check box to calculate error map. This option is to be used when you are calibrating the wrist using a small increment angle on the A and B axis (for example, 20 degrees). If you check this box, PC-DMIS will create an error comp file that it will use to correct for angular errors in the wrist. This will slightly increase the accuracy of the wrist. If you choose to calculate error map, the results will be stored to your hard disk so that any time you use the wrist, it will take advantage of the improved angular accuracy. Calculating the error map should only be done periodically (once a week or less). When you check the calculate error map option, PC-DMIS will also do a valid wrist and tip calibration for the currently loaded tip.

Once you have entered the desired values, press OK. This will bring up the standard Measure Probe dialog box. This dialog allows you to set the desired measurement values for the sphere measurement. You can set the number of hits, probe prehit and retract, and various speeds that will be used in the measurement process. This is identical to the documentation for Utilities | Probe | Measure.

Note: Wrist calibration should be done each time the mounting of the wrist changes. This includes when the wrist is re-homed.


Tip Calibration

Tip calibration assumes that you have already calibrated the wrist. It does not need to be done for the tip that is used to calibrate the wrist. Tip calibration is done automatically for the tip used to calibrate the wrist.

The purpose of tip calibration is to calculate the distance from the last (A joint) joint's center point to the tip center. Theoretically, measuring one tip A,B combination will be sufficient to compute this distance once the wrist is calibrated. It is a good idea to measure more than one A,B combination so that PC-DMIS can average the tip offsets computed. This will result in better accuracy.

More:

New Tip


New Tip

Once you have calibrated the wrist, you can change the tip attached to the wrist and do a tip calibration. To calibrate a new tip on the wrist:

  1. Select Utilities | Probe. The Probe Utilities dialog box opens.

  2. Make sure the probe description matches the new tip that you have loaded.

  3. Select one or more A,B combination(s) from the Active Tip list that correspond to this new tip. If a desired A,B combination is not in the list, you can add it by selecting the Add Angles button. You must select at least one A,B combination from the tip list in order to calibrate the tip. If you select more than one, PC-DMIS will average the results to get a more accurate tip offset.

  4. When you have the desired tips selected, press the Measure button. This will display the Measure Probe dialog box. This allows you to set the number of hits, prehit / retract, and speeds.

  5. Set the desired parameters.

  6. Click the Measure button from this dialog.

PC-DMIS will begin to measure the sphere with the selected A,B angle combinations.


Using the Wrist in a Part Program

PC-DMIS automatically will sense when the wrist has been rotated with the jog box. The tip offsets will dynamically be updated based on the current A,B angles. That is, the XYZ readout will display the current tip position as it is being rotated. There are four ways (discussed below) to add a new A,B tip combination into a part program.

Once you have added a new A,B tip combination into your part program by using one of the options below, PC-DMIS displays the active tip as programmed in the part program in the Active tip drop-down list on the toolbar. This is the prior TIP/ command above where the cursor is in the Edit window. In order to move the wrist to this A,B angle combination, pull down and close the Tip List box. PC-DMIS will ask if you want to rotate the probe. A Yes response will rotate the wrist to the desired position. This is useful when you want to go back and insert measurements and moves into the part program.

More:

Option 1

Option 2

Option 3

Option 4


Option 1

In the Utilities Probe dialog box (found in Utilities | Probe), select the Add Angles option. This will allow you to key in new A,B angle pairs to the probe file. If the tip has already been calibrated, then the new A,B combinations will also be calibrated and ready to use. Once you leave the Probe Utilities dialog box, you can use these new A,B combinations by selecting them from the Tip List box located on the toolbar.


Option 2

Manually jog the wrist to the desired A,B angles using the jog box. When you reach the desired position, press the Store Move button on the jog box, or take a manual probing. The current A,B angles will be read automatically. If the A or B angles have changed by more than the PH9 warning delta (see the Options | Setup Options), then PC-DMIS will automatically add the current A,B angles to the Tip List and insert a TIP/ command in the part program. The new TIP/ command will be added to the part program before the stored move or manual probing. When the part program is then executed, PC-DMIS will first change the tip before moving to the programmed location.


Option 3

Type in a TIP/ command in the Edit window. Once you finish editing the vector, PC-DMIS will calculate the best A,B combinations that put the tip shank parallel to that vector. PC-DMIS will display these angles in the PHS Tips that match requested Vector dialog box. There are often two or more A,B combinations that put the shank in the requested orientation. These will be displayed in the dialog, and the A,B combination that is closest to the current A,B combination on the wrist will be the default choice. If the desired vector can be obtained by an infinite A or B axis position, PC-DMIS will mark this entry with the words "any angle". PC-DMIS will default this entry to the current value on this axis. You can key in a different value if required. Once you click OK on this dialog, PC-DMIS will add the selected A,B combination to the tip list for the active probe, and change the TIP/ command to use this new tip.


Option 4

In the Auto Features dialog box, each tab entry has a check box for Auto PH9. When this option is checked, PC-DMIS will take the definition of the feature to determine the best tip shank vector to measure the current feature. It will then use this tip shank vector to calculate the best A,B combinations. These will be displayed in the PHS Tips that match requested Vector dialog box described in "Option 3".


Operator Mode: Introduction

The Operator mode limits the options that will be available when operating PC-DMIS. Once the restrictions are in place, the operator can only open and execute the part program.

To start PC-DMIS in Operator mode:

  1. Exit PC-DMIS.

  2. Right click the PC-DMIS icon on your Windows desktop.

  3. Select Properties from the pop-up list.

  4. When the Properties dialog box appears, select the Shortcut tab.

  5. In the Target box place the cursor at the end of the target command and type " /o" (insert a space before "/o").

    Example: Drive:\Directory\PCDLRN.exe /o

  6. Press the Apply button to accept the changes.

  7. Click the Close button. The Properties dialog box closes.

  8. Restart PC-DMIS.

When PC-DMIS is restarted, only the options necessary to run the part program will be available.

The main topics in this section include:

  • File Open Options

  • Operator Mode Options

  • Marked Sets


File Open Options

The File Open dialog box is a standard Windows file open dialog. You can activate a part program in Operator Mode by double clicking on the part program file name or by selecting the part program file name and clicking the Open button.

The following options have been disabled in Operator Mode:

  • Importing to PC-DMIS, accessible when not in Operator Mode by right mouse clicking on a part program and selecting Import to PC-DMIS from the pop-up list.

  • Exporting from PC-DMIS, accessible when not in Operator Mode by right mouse clicking on a part program and selecting Export from PC-DMIS from the pop-up list.

  • Editing the Part Name, Serial Number, or Revision Number on the part program's PC-DMIS property page, accessible when not in Operator Mode by right mouse clicking on a part program and selecting Properties from the pop-up list.


Operator Mode Options

Once a part program has been activated, the main PC-DMIS screen will be displayed with the following menu options.

Graphics Display window in Operator Mode

More:

File

Options

Help


Operator Mode - Operator Mode Options - File

File

The File menu allows you to open a new part program or exit the software.

More:

Open

Exit


Operator Mode - File - Open

Open

The File | Open menu option (CTRL + O) allows you to switch between part programs anytime by invoking the File Open dialog box and allowing you to select a different part program. If the part program you select is different from the currently executing part, PC-DMIS will automatically save and close the active part program before loading the newly selected part program. If however, you try to select and initiate the active part program a second time from the File Open dialog box, PC-DMIS offers two choices:

  • Discard all changes made to the active part program since the last Save operation and reload the selected part program without the changes.

  • Cancel the entire operation and return to the File Open dialog box.


Operator Mode - File - Exit

Exit

To quit PC-DMIS, choose the File | Exit command (or press ALT + F3). PC-DMIS will return to the current part program. Double clicking on the upper left corner button will also exit the Edit window.


Operator Mode - Operator Mode Options - Options

Options

The System Options menu choice allows you to access the Probe Readout Window Setup dialog box, display the Probe Position window and output data.

More:

Probe Readout Window

Probe Readout Window Setup


Operator Mode - Options - Probe Readout Window

Probe Readout Window

This option allows you to access a readout of the current CMM position. When this option is selected (CTRL + W), PC-DMIS will display the Probe Position window. You can alter the size of this window simply by 'dragging' the border of the window until the desired size is reached. Clicking on the Maximize button (located on the title bar, in the upper right portion of the window) will expand the box to the full display of the screen. (Click on the Maximize button a second time to return it to its previous size.) This allows you to view the selected Probe Position window when the CMM is located across the room from the monitor. To close the Probe Position window, click the Close button, in the upper right hand corner of the title bar.

Note: Each time the location or size of the Probe Position window is altered, PC-DMIS will update the .INI file. The next time the option is accessed, the window will be displayed precisely as it was in the previous viewing.

On machines with an external DRO, an on screen readout is not available and this option is not available.


Probe Readout Window Setup

The Probe Readout Window Setup dialog box allows you to select the desired format of the Probe Position window. Select the options that meet your probe readout needs. When the Probe Readout Window option is selected, it will reflect the chosen format.

Probe Position

The Probe Position check box displays the current position of the probe. The Probe Position window will display the probe's position in the active coordinate system.

Last Hit

If you select the Last Hit check box, PC-DMIS will display the location of the last hit taken with the probe. If you don't select this check box, PC-DMIS displays the current position of the probe.

Show Current Probe Position on Screen

This check box differs from the Probe Position check box in that it shows a graphical representation of the probe on screen, relative to the machine. This is helpful when working on-line. When you move the probe by using the jog box, a graphical representation of the probe also moves within PC-DMIS'S screen.

Distance to Target

The Distance to Target check box displays the distance of the probe to the target point. The probe's position is displayed in the active coordinate system. Manually drive the probe to the keyed in location. When the target point is reached, the Probe Position window will display 0,0,0.

Distance to Target with Auto Zoom

This check box also displays the distance of the probe to the target point. The probe's position is displayed in the active coordinate system. As the probe is manually driven to the keyed in location, PC-DMIS will automatically zoom in on the corresponding graphical image of the Graphics Display window.

Use Polar Coordinates

This check box switches between rectangular and polar coordinates. When polar coordinates are used, the normal direction of the workplane is also displayed.


Operator Mode - Operator Mode Options - Help

Help

Help provides information about PC-DMIS commands, dialog boxes, messages, and keys. To activate the Help option, point to Help on the menu bar using the mouse cursor and click the left mouse button (or press ALT + H). You can also access the on-line help by pressing the F1 key. The Help Index starts at the beginning of Help and lists all the topics that Help contains, divided into reference topics.

Pressing the SHIFT + F1 key combination will activate the context sensitive Help. The mouse cursor will change to a question mark and arrow (Help icon). Click in the main PCDLRN application screen and PC-DMIS will display the help files relating to the indicated area.

The buttons at the top of the Help window allow you to navigate through Help. The Contents button (C key) jumps to the Help Index window. The Back button (B key) moves back to the previous screen. Each press of the Back button steps back another screen until the first screen is reached.

The size of the Help window can be maximized or minimized depending on your specific need. To scroll through the Help window, place the mouse cursor (arrow icon) over the desired scroll arrow, and click the left mouse button.

To remove the Help window, simply click a second time on the Help button with the left mouse button, double click on the upper left corner button, or press the ESC key.


Operator Mode - Marked Sets

Marked Sets

Whenever PC-DMIS is started in operator mode, the Marked Sets window automatically appears. The following options are available to the Marked Sets window:

More:

Exit to File Manager

Print Full Report

Calibrate Tip


Exit to File Manager

To quit the current part program, choose the File | Exit command or select the Exit to File Manager icon in the Marked Sets window. Double clicking on the upper left corner button will also exit the program. PC-DMIS automatically saves the current part program before exiting.


Print Full Report

The Print full report icon prints the complete report to the output source that was setup in the 'learning' portion of the part program.

If the output is sent to a file, it will be saved in a RTF format. If this is the first inspection report to be saved since powering up the system, PC-DMIS will require a value to be entered in the New File # box. If Auto is checked, after the initial file is saved PC-DMIS will save all future files incrementally from the initial number that was entered (as long as the system has not been powered down). The displayed number can be changed at any time simply by entering another value.

If the Draft Mode check box was marked during the learn mode, PC-DMIS will change the Edit window fonts to a draft mode type for printing purposes. Any colors used in the report (to distinguish tolerances, modes, etc.) will be changed to black. These alterations will greatly improve the speed of printing.

To print the current Edit report choose the Print Full Report button (or press F4). The Edit window output will be sent to the printer and/or a pre-selected file.


Calibrate Tip

The Calibrate Tip button calibrates the loaded probe(s). This process will tell PC-DMIS the location and diameter of each probe tip.

Note: PC-DMIS does not track the calibration of probes. It is therefore necessary that you verify that a probe is re-calibrated if it is changed in any way.


Measuring Auto Features with the CV-100 Video Probe: Introduction

This section deals specifically with using the CV-100 Video probe to measure Auto Features. For information on setting up the CV-100 Video probe, see "CV-100 Setup" in the "System Options" section.

The Auto Util menu allows you to access the Direct Computer Control (DCC) functions if an automatic CMM (Coordinate Measuring Machine) is being used. The Auto Features menu option allows you to create any type of DCC feature.

The main topics discussed in this section include:

  • Common Dialog Box Functions Specific to CV-100 Video Probe

  • Vector Point

  • Edge Point

  • Characteristic Points

  • Circle/Pin/Baricenter

  • Bend Radius

  • Square Slot/Gap & Flush

  • Round Slot

On certain topics this manual will refer you to the "Auto Utility" section for more complete information.

Note: See the "Auto Utility Auto Utility: Introduction" section for information on measuring Auto Features in general, but be aware that some options documented in the "Auto Utility" section may not be available when using the CV-100 Video probe. Round Slot with CV-100


Common Dialog Box Functions Specific to CV-100 Video Probe

The "Common Functions of Sheet Metal Dialog Boxes" topic in the "Auto Utility" section provides a complete description of common dialog box functions on the Auto Features dialog box

This topic discusses those dialog box functions common to the Auto Features dialog box that deal only with CV100 video probes.

More:

Capture

Video Setup


Capture

The Capture button collects actual measured data as the nominals for a feature. To use the capture button:

  1. Place the CV-100 video probe over the feature to be measured.

  2. Set up parameters for the video probe by clicking the Video Setup button.

  3. When finished, click the Capture button.

PC-DMIS, along with the CV-100 computer system will measure the feature and place the measured data in the THEO boxes. This allows you to measure features without CAD data.


Measuring Auto Features with the CV-100 Video Probe - Common Dialog Box Functions Specific to CV-100 Video Probe - Video Setup

Video Setup

For information on the Video Setup button, see "Video Setup" in the "System Options" section.


Vector Point with CV-100

The Vector Point measurement option allows you to define a nominal point location as well as the nominal approach direction that the CMM will use to measure the point.

Single point measurement

To access the Vector Point option,

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Vector Point tab.

The Edit window command line for a sample Vector Point would read:
F_ID=AUTO/VECTOR POINT, THEO_THICKNESS = n, TOG, SNAP = Y/N
THEO/ X,Y,Z,I,J,K, ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
AUTO MOVE = Y/N, DISTANCE = n

More:

Vector Point Field Definitions with CV-100

Measuring a Vector Point with CV-100

XYZ Point for a Vector Point with CV-100

IJK Normal Vec for a Vector Point with CV-100

Find Vector for a Vector Point with CV-100

Snap Point with CV-100


Vector Point Field Definitions with CV-100

This is already covered in the "Vector Point Field Definitions" topic in the "Auto Utility" section. The following definition is specific to CV-100 video probes:

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.


Measuring a Vector Point with CV-100

PC-DMIS allows several methods for measuring a vector point using the auto feature option. They are listed in the following paragraphs as:

  • Using Keyed in Data for a Vector Point with CV-100

  • Using Surface Data on the Screen for a Vector Point with CV-100

  • Using Wire frame Data on the Screen for a Vector Point with CV-100

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Vector Point with CV-100

Using Surface Data on the Screen for a Vector Point with CV-100

Using Wire frame Data on the Screen for a Vector Point with CV-100


Using Keyed in Data for a Vector Point with CV-100

This method allows you to key in the desired X, Y, Z, I, J, K values for the vector point.


Using Surface Data on the Screen for a Vector Point with CV-100

To generate a vector point using surface data:

  1. Position the cursor in the Graphics Display window to indicate the desired location of the point (on the surface)

  2. Click on the surface. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected.

For complete information on this procedure, see "Using Surface Data on the Screen for a Vector Point" in the "Auto Utility" section.


Using Wire frame Data on the Screen for a Vector Point with CV-100

This is covered in "Using Wire frame Data on the Screen for a Vector Point" in the "Auto Utility" section.


XYZ Point for a Vector Point with CV-100

This is covered in "XYZ Point for a Vector Point" in the "Auto Utility" section.


IJK Normal Vec for a Vector Point with CV-100

This is covered in "IJK Normal Vec for a Vector Point" in the "Auto Utility" section.


Find Vector for a Vector Point with CV-100

This is covered in "Find Vector for a Vector Point" in the "Auto Utility" section.


Snap Point with CV-100

This is covered in "Snap Point" in the "Auto Utility" section.


Edge Point with CV-100

The Edge Point measurement option allows you to define a point measurement that is to be taken on the part's edge.

There are four types of edge measurements. These include:

  1. EDGE NORMAL

  2. EDGE DELTAZ

  3. EDGE HIGH

  4. EDGE BIGHOLE

They require different input-output parameter settings and different theoretical definitions in the PC-DMIS command.

Point acquired by vision system

To access the Edge Point option:

  1. Select Auto Util | Auto Features from the main menu bar or CTRL + F.

  2. Select the Edge Point tab.

The Edit window command line for a sample Edge Point would read:
F_ID=AUTO/EDGE NORMAL, SHOWHITS = Y/N, SHOWALLPARAMS = Y/N,
THEO/ X,Y,Z,I,J,K
ACTL/ X,Y,Z,I,J,K
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = .n ,TOG3 ,EDGE THEO_THICKNESS = .n
AUTOMOVE=TOG, DISTANCE = .n,
SURFACE NORMAL = I,J,K, DEPTH = .2 $

More:

Edge Point Type Definition with CV-100

Edge Point Field Definition with CV-100

Measuring an Edge Point with CV-100

XYZ Point for an Edge Point with CV-100

IJK Edge Vec for an Edge Point with CV-100

IJK Surf Vec for an Edge Point with CV-100

Find Vector for an Edge Point with CV-100

Depth for an Edge Point with CV-100

Feature Type for an Edge Point with CV-100


Edge Point Type Definition with CV-100

EDGE NORMAL = This is the Normal edge type measurement that occurs at the surface height of the edge.

EDGE DELTAZ = This request allows the measurement of an edge at a specified depth in respect to the plane on which the surface lies.

Edge at a predefined depth from the part surface

EDGE HIGH = This request allows the measure of an edge at the maximum value in a specified direction.

Edge at maximum value along a known direction

EDGE BIGHOLE = This request allows the measure of an edge used to measure a part of a hole bigger than the sensor field of view.

Big hole contour measurement


Edge Point Field Definition with CV-100

This is already covered in the "Edge Point Field Definitions" topic in the "Auto Utility" section. The following is specific to CV-100 video probes:

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.

SHOWHITS = This is a toggle field. It toggles from YES to NO and determines if hits will be displayed with this feature. This is not currently available with Edge Points.

SHOWALLPARAMS = This is a toggle field. It toggles from YES to NO as to displaying all the parameters on an Edge Point

EDGE ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured edge. Positive or negative values can be used.

DEPTH = This value is an editable distances. (Only Available on "EDGE DELTAZ")


Measuring an Edge Point with CV-100

PC-DMIS allows these methods for measuring an edge point with the CV-100 video probe:

  • Using Keyed in Data for an Edge Point

  • Using Surface Data on the Screen for an Edge Point

  • Using Wire frame Data on the Screen for an Edge Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

Note: PC-DMIS assumes that the normal surface and the measurement surface are perpendicular.

More:

Using Keyed in Data for an Edge Point with CV-100

Using Surface Data on the Screen for an Edge Point with CV-100

Using Wire frame Data on the Screen for an Edge Point with CV-100


Using Keyed in Data for an Edge Point with CV-100

This is covered in "Using Keyed in Data for an Edge Point" in the "Auto Utility" section.


Using Surface Data on the Screen for an Edge Point with CV-100

This is covered in "Using Surface Data on the Screen for an Edge Point" in the "Auto Utility" section.


Using Wire frame Data on the Screen for an Edge Point with CV-100

This is covered in "Using Wire frame Data on the Screen for an Edge Point" in the "Auto Utility" section.


XYZ Point for an Edge Point with CV-100

This is covered in "XYZ Point for an Edge Point" in the "Auto Utility" section.


IJK Edge Vec for an Edge Point with CV-100

This is covered in "IJK Edge Vec for an Edge Point" in the "Auto Utility" section.


IJK Surf Vec for an Edge Point with CV-100

This is covered in "IJK Surf Vec for an Edge Point" in the "Auto Utility" section.


Find Vector for an Edge Point with CV-100

This is covered in "Find Vector for an Edge Point" in the "Auto Utility" section.


Depth for an Edge Point with CV-100

This is covered in "Depth for an Edge Point" in the "Auto Utility" section.

The Depth box defines the distance from the surface that PC-DMIS will measure down the edge.

To change this value:

  1. Select the existing value.

  2. Type a new value.


Feature Type for an Edge Point with CV-100

The Feat Type list provides you with the following types of edge points:

NORMAL = This is the Normal edge type measurement that occurs at the surface height of the edge.

DELTAZ = This option allows the measurement of an edge at a specified depth in respect to the plane on which the surface lies.

HIGH POINT = This option allows the measure of an edge at the maximum value in a specified direction.

BIGHOLE = This option allows the measure of an edge used to measure a part of a hole bigger than the sensor field of view.


Characteristic Points

A characteristic point is essentially an angle point. There are two types of characteristic points described in Characteristic Point Type Definition; they require different input-output parameter settings and different theoretical definitions in the DMIS command. The DMIS measurement command is the same for both characteristic points. This diagram shows a generic measurement of a Characteristic Point.

Characteristic point measuring

To access the Characteristic Point option:

  1. Select Auto Util | Auto Features from the menu bar.

  2. Select the Characteristic Pts tab.

The Edit window command line for a sample Characteristic Point would read:

F_ID=AUTO/CHARACTERISTIC 1, SHOWHITS=Y/N,SHOWALLPARAMS=Y/N
THEO/ X,Y,Z,I,J,K,X2,Y2,Z2
ACTL/ X,Y,Z,I,J,K,X2,Y2,Z2
TARG/X,Y,Z,I,J,K
THEO_THICKNESS = .n, TOG AUTO MOVE = Y/N, DISTANCE = n VECTOR1 = I,J,K, VECTOR2 = I,J,K
INDENT1= .n, INDENT2 = .n

More:

Characteristic Point Type Definition

Characteristic Point Field Definitions

Measuring a Characteristic Point

XYZ Point for a Characteristic Point

IJK Line Vec for a Characteristic Point

IJK Surf 1 Vec for a Characteristic Point

IJK Surf 2 Vec for a Characteristic Point

Indent for a Characteristic Point

Feature Type for a Characteristic Point


Characteristic Point Type Definition

CHARACTERISTIC 1 = This type of feature allows the measurement of two points (one on each surface) at a given indent from the intersection of two planes. This gives two points of data.

CHARACTERISTIC 2 = This type of feature measures the point at the intersection of two planes. This gives one point of data.


Characteristic Point Field Definitions

SHOWHITS = This is a toggle field. It toggles from YES to NO and determines if hits will be displayed with this feature. This is currently unavailable.

SHOWALLPARAMS = This is a toggle field. It toggles from YES to NO as to displaying all the parameters on the feature.

THEO_THICKNESS = This value indicates the keyed in thickness of the part. Positive or negative values can be used.

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.

TOG 1= This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

THEO/ = This value represents the target hit.

ACTL/ = This value represents the measured hit.

TARG = These values allow you to control the measurement location and vector approach direction for execution while having the ability to have a completely different THEO value.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

VECTOR1 = The three numbers (IJK values) are an editable vector and will be forced to be perpendicular to the vector on the first surface.

VECTOR2 = The three numbers (IJK values) are an editable vector and will be forced to be perpendicular to the vector on the second surface.

INDENT1 = This editable number is the offset distance for the point location on the first surface of the angle. It is not used for Characteristic Point 2.

INDENT2 = This editable number is the offset distance for the point location on the second surface of the angle. It is not used for Characteristic Point 2.

See "Common Functions of Sheet Metal Dialog Boxes" in the "Auto Utility" section for general guidelines on measuring all Auto Feature types.


Measuring a Characteristic Point

PC-DMIS allows several methods for measuring a Characteristic Point using the Auto Feature option. They are listed in the following paragraphs as:

  • Using Keyed in Data for a Characteristic Point

  • Using Surface Data on the Screen for a Characteristic Point

  • Using Wire frame Data on the Screen for a Characteristic Point

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Characteristic Point

Using Surface Data on the Screen for a Characteristic Point

Using Wire frame Data on the Screen for a Characteristic Point


Using Keyed in Data for a Characteristic Point

This method allows you to key in the desired X, Y, Z, I, J, K values for the Characteristic Point.


Using Surface Data on the Screen for a Characteristic Point

To generate a Characteristic Point using surface data:

  1. Click the Surface Mode icon [image].

  2. Using the animated probe, touch once near (but not on) the angled edge. PC-DMIS will highlight the selected surface.

  3. Verify that the correct surface has been selected.

The dialog box will display the value of the selected Characteristic Point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal from the CAD data is used. The Flip Vector button lets you change the direction of the approach.

If additional mouse clicks are detected before you click the Create button, PC-DMIS will overwrite the previously displayed information with the new data.

Note: If an additional touch is necessary, click on the opposite surface of the angled edge.


Using Wire frame Data on the Screen for a Characteristic Point

Wire frame CAD data also can be used to generate a Characteristic Point.

To generate the point:

  1. Using the animated probe, touch once near (but not on) the angled edge. PC-DMIS will highlight the selected surface.

  2. Verify that the correct surface has been selected.

The Characteristic Pts tab of the Auto Features dialog box will display the value of the selected Characteristic Point and vector once the point has been indicated. The direction of the surface normal vector is determined by the side of the part that is accessible to the probe. If both sides of the part are equally accessible, the normal vector from the CAD data is used. The Flip Vector button lets you change the direction of the approach.

  • Any additional mouse clicks, prior to clicking the Create button, will overwrite the previously displayed information with the new data.

  • If an additional touch is necessary, click on the opposite surface of the angled edge.


XYZ Point for a Characteristic Point

The XYZ Point boxes display the X, Y, and Z nominal for the location of the Characteristic Point.

To change the nominal:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will draw the animated probe at the new location. This location indicates where it will be taking the hit on the part.


IJK Line Vec for a Characteristic Point

The IJK Line Vec boxes display the vector of the line on which the Characteristic Point lies. This is a user supplied I, J, K normal vector.

To change the approach vector:

  1. Select the existing value.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf 1 Vec for a Characteristic Point

The IJK Surf 1 Vec boxes display the surface normal vector of the first surface that will be measured. The I, J, K vector is expected to point away from the surface that is being measured.

To change a value:

  1. Select a box to change.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Surf 2 Vec for a Characteristic Point

The IJK Surf 2 Vec boxes display the surface normal vector of the second surface that will be measured. The I, J, K vector is expected to point away from the surface that is being measured.

To change a value:

  1. Select the box to change.

  2. Type a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


Indent for a Characteristic Point

PC-DMIS allows you to use two indent values, Indent 1 and Indent 2, for setting the offset distances of the Characteristic Point. PC-DMIS uses these offset distances to calculate a point location on each of the two surfaces of the angle in a Characteristic Point.

Measure characteristic point using two theoretical distances

More:

Indent 1 for a Characteristic Point

Indent 2 for a Characteristic Point


Indent 1 for a Characteristic Point

The Indent 1 box allows you to set the offset distance from the point location on the first surface of the angle.

To change this distance:

  1. Select the existing value.

  2. Type a new value.


Indent 2 for a Characteristic Point

The Indent 2 box allows you to set the offset distance from the point location on the second surface of the angle.

To change this distance:

  1. Select the existing value.

  2. Type a new value.


Feature Type for a Characteristic Point

From the Feat Type list you can select the available types of characteristic points. These include:

CHAR 1 = This type of feature allows the measurement of two points (one on each surface) at a given indent from the intersection of two planes.

CHAR 2 = This type of feature measures the point at the intersection of two planes.


Circle/Pin/Baricenter with CV-100

The Circle Auto Feature option allows you to define a circle measurement. The three possible measurement types are discussed in Circle Type Definition with CV-100 If the number of the required points is greater than 10, or if the sensor is not able to identify the intersection points, the sensor selects points on the hole contour and projects them on the plane. These points can be identified using the infrared lines.

Hole measurement with infrared lines crossing hole contour

To access the Circle option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F

  2. Select the Circle tab.

The Edit window command line for a sample circle reads:

    F_ID=AUTO/CIRCLE, SHOWHITS=Y/N, SHOWALLPARAMS=Y/N
THEO/ X,Y,Z,I,J,K, DNOM =.n,
ACTL/ X,Y,Z,I,J,K, DNOM =.n,
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = .n, TOG1, TOG2, TOG3  AUTO MOVE = Y/N, DISTANCE = .n
NUM HITS = n

More:

Circle Type Definition with CV-100

Circle Field Definitions with CV-100

Measuring a Circle with CV-100

XYZ Center for a Circle with CV-100

IJK Normal Vec for a Circle with CV-100

IJK Angle Vec for a Circle with CV-100

Num Hits for a Circle with CV-100

Diameter for a Circle with CV-100

Type = Hole / Stud for a Circle with CV-100

Calculation Mode for a Circle with CV-100


Circle Type Definition with CV-100

HOLE = This type of feature allows the measurement of an inside or outside circular hole.

PIN = This type of feature allows the measurement of a pin.

Pin measurement

BARICENTER = This type of feature is the measurement of a hole of undetermined shape. Only the location is reported.

Different shape holes measurement


Circle Field Definitions with CV-100

Many of the definitions are already covered in the "Circle Field Definitions" topic in the "Auto Utility" section. The following definitions are added or changed when using a CV-100 video probe:

SHOWHITS = This is a toggle field. It toggles from YES to NO and determines if hits will be displayed with this feature. This is currently unavailable.

SHOWALLPARAMS = This is a toggle field. It toggles from YES to NO as to displaying all the parameters on the feature.

THEO_THICKNESS = This editable value indicates the keyed in thickness of the part. Positive or negative values can be used.

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.

THEO/ = This value represents the theoretic feature location.

TOG2 = This toggle field switches between IN and OUT. PC-DMIS will determine the type of circle that is measured based on the location of the probe when taking the hit. (Inside a circle = IN, outside a stud = OUT.) Only available with Hole feature type.

TOG3 = This toggle field switches between LEAST_SQR, MAX_INSC, MIN_CIRCSC, MIN_SEP, and FIXED RAD. Only available with Hole feature type.

NUM HITS = This editable value must be an integer that is greater than two. Only available with Hole feature type.

See "Common Functions of Sheet Metal Dialog Boxes" in the "Auto Utility" section for general guidelines on measuring all Auto Feature types.


Measuring a Circle with CV-100

PC-DMIS allows several methods for measuring an auto circle. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Circle

  • Using Surface Data on the Screen for a Circle

  • Using Wire frame Data on the Screen for a Circle

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Circle with CV-100

Using Surface Data on the Screen for a Circle with CV-100

Using Wire frame Data on the Screen for a Circle with CV-100


Using Keyed in Data for a Circle with CV-100

This is described in "Using Keyed in Data for a Sheet Metal Circle" in the "Auto Utility" section.


Using Surface Data on the Screen for a Circle with CV-100

This is described in "Using Surface Data on the Screen for a Sheet Metal Circle" in the "Auto Utility" section.


Using Wire frame Data on the Screen for a Circle with CV-100

This is described in "Using Wire frame Data on the Screen for a Sheet Metal Circle" in the "Auto Utility" section.


XYZ Center for a Circle with CV-100

This is described in "XYZ Center for a Sheet Metal Circle" in the "Auto Utility" section.


IJK Normal Vec for a Circle with CV-100

This is described in "IJK Normal Vec for a Sheet Metal Circle" in the "Auto Utility" section.


IJK Angle Vec for a Circle with CV-100

This is described in "IJK Angle Vec for a Sheet Metal Circle" in the "Auto Utility" section.


Num Hits for a Circle with CV-100

This is described in "Num Hits for a Sheet Metal Circle" in the "Auto Utility" section.


Diameter for a Circle with CV-100

This is described in "Diameter for a Sheet Metal Circle" in the "Auto Utility" section.


Type = Hole / Stud for a Circle with CV-100

This is described in "Type = Hole / Stud for a Sheet Metal Circle" in the "Auto Utility" section.


Calculation Mode for a Circle with CV-100

This is described in "Calculation Mode for a Sheet Metal Circle" in the "Auto Utility" section.


Bend Radius with CV-100

The Bend Radius measurement option allows you to define a Bend Radius measurement.

The number of points measured by the vision sensor is 6 for both external infrared lines, as represented in the following two graphical descriptions:

Bending radius measurement

Points acquired on the infrared line

To access the Bend Radius option

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F

  2. Select the Bend Radius tab.

The Edit window command line for a sample Bend Radius reads:

F_ID=AUTO/BEND RADIUS, SHOWHITS =Y/N, SHOWALLPARAMS=Y/N
THEO/ X,Y,Z,I,J,K, DIAM =.n, HEIGHT = .n
ACTL/ X,Y,Z,I,J,K, DIAM =.n, HEIGHT = .n
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1 AUTO MOVE = Y/N, DISTANCE = n

More:

Bend Radius Field Definitions with CV-100

Measuring a Bend Radius with CV-100

XYZ Center for a Bend Radius with CV-100

IJK Normal Vec for a Bend Radius with CV-100

IJK Angle Vec for a Bend Radius with CV-100

Diameter for a Bend Radius with CV-100

Height for a Bend Radius with CV-100


Bend Radius Field Definitions with CV-100

SHOWHITS = This is a toggle field. It toggles from YES to NO and determines if hits will be displayed with this feature. This is currently unavailable.

SHOWALLPARAMS = This is a toggle field. It toggles from YES to NO as to displaying all the parameters on the feature.

DIAM = These are the theoretical and measured diameters.

HEIGHT = These are the theoretical and measured heights.

THEO_THICKNESS = This editable value indicates the keyed in thickness of the part. Positive or negative values can be used.

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.

TOG1 = This is a toggle field. The X,Y,Z,I,J,K will be displayed in RECT (rectangular) or POLR (polar) coordinates.

AUTO MOVE = This is a toggle field. A YES indicates that this option is ON.

DISTANCE = This value indicates the distance the probe will move using the AUTO MOVE option.

See "Common Functions of Sheet Metal Dialog Boxes" in the "Auto Utility" section for general guidelines on measuring all Auto Feature types.


Measuring a Bend Radius with CV-100

PC-DMIS allows several methods for measuring a Bend Radius. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Bend Radius

  • Using Surface Data on the Screen for a Bend Radius

  • Using Wire frame Data on the Screen for a Bend Radius

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Bend Radius with CV-100

Using Surface Data on the Screen for a Bend Radius with CV-100

Using Wire frame Data on the Screen for a Bend Radius with CV-100


Using Keyed in Data for a Bend Radius with CV-100

This method allows you to key in the desired X, Y, Z, I, J, K values for the Bend Radius.


Using Surface Data on the Screen for a Bend Radius with CV-100

To generate a Bend Radius using surface data:

  1. Click on the Surface Mode icon [image].

  2. Position the cursor (outside or inside the desired Bend Radius).

  3. Click on three locations around the Bend Radius. PC-DMIS will highlight the selected Bend Radius.

  4. Set the probe at another depth and take three additional hits.

At least six clicks are needed for PC-DMIS to compute the necessary X, Y, Z and I, J, K data. The dialog box will display the center point and diameter from the CAD data of the selected Auto Feature Bend Radius once the sixth point has been indicated.

If additional mouse clicks are detected before you click the Create button, PC-DMIS will average all of the hits.


Using Wire frame Data on the Screen for a Bend Radius with CV-100

Wire frame CAD data can also be used to generate a Bend Radius.

To generate the Bend Radius using wire frame data:

  1. Click near the desired wire on the Bend Radius. PC-DMIS will highlight the selected wire.

  2. Verify that the correct feature has been selected.

The probe approach is always perpendicular to the feature, as well as perpendicular to the current probe centerline vector. The dialog box will display the value of the selected Bend Radius's center point and diameter once the wire has been indicated.

Note: If the underlying CAD element is not a Bend Radius, circle or arc, additional clicks may be necessary to identify the feature. If PC-DMIS doesn't highlight the correct feature, try clicking on at least two additional locations on the Bend Radius.


XYZ Center for a Bend Radius with CV-100

The XYZ Center boxes display the X, Y, and Z nominal for the Bend Radius location.

To change the nominal:

  1. Select the existing value.

  2. Type in a new value.

After the value is created, PC-DMIS will draw the animated probe at the new location. This indicates the center of the Bend Radius.

Note: It is important to remember that if the Bend Radius is defined as a hole, the center point must be defined at the top of the Bend Radius. If the Bend Radius is defined as a stud then the center point must be defined at the bottom of the Bend Radius.


IJK Normal Vec for a Bend Radius with CV-100

The IJK Normal Vec boxes define the Bend Radius centerline.

To change the center line vector:

  1. Select the existing value.

  2. Type in a new value.

After a new value is created, PC-DMIS will normalize the vector, making its length one unit.


IJK Angle Vec for a Bend Radius with CV-100

The IJK Angle Vec boxes define the 0° position about the normal vector. The start and end angles are calculated from this vector. If the vectors are not perpendicular, the angle vector is adjusted to the normal vector.


Diameter for a Bend Radius with CV-100

The Diameter box defines the diameter of the Bend Radius.

To change the diameter of the Bend Radius:

  1. Select the existing value.

  2. Type a new value.

Once the feature is created, the Graphics Display window will update the Bend Radius size.


Height for a Bend Radius with CV-100

When Type = HOLE, the Height box defines the nominal length of the Bend Radius. If a value has been entered for this option, and a depth value is not entered, PC-DMIS will divide this value by three and use it for the depth.

To change this value:

  1. Select the Height box value.

  2. Type a new value.

When Type = STUD, this option will allow for an extra hit on the top of the stud in the center. If this value is anything but 0, PC-DMIS will take an extra hit in the center of the stud. It then will compute the height of the stud.


Square Slot/Gap & Flush with CV-100

The Square Slot option allows you to define a square slot measurement or a Gap & Flush measurement. See Square Slot and Gap & Flush Type Definition with CV-100 for the available measurement types.

The Square Slot can be measured using the points inside the ROI and along the slot contour.

Square slot measurement

To access the Square Slot option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Square Slot tab.

The Edit window command line for a sample Square Slot would read:

F_ID=AUTO/SQUARE SLOT, SHOWHITS=Y/N, SHOWALLPARAMS=Y/N
THEO/ X,Y,Z,I,J,K, WIDTH, LENGTH,
ACTL/ X,Y,Z,I,J,K, WIDTH, LENGTH,
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1
AUTO MOVE = Y/N, DISTANCE = n

The Edit window command line for a sample Gap & Flush would read:

F_ID=AUTO/GAP DELTAZ, SHOWHITS=Y/N, SHOWALLPARAMS=Y/N
THEO/ X,Y,Z,I,J,K, GAP, FLUSH
ACTL/ X,Y,Z,I,J,K, GAP, FLUSH
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1, TOG2
AUTO MOVE = Y/N, DISTANCE = n, DEPTH = .n, DEPTH2 = .n

More:

Square Slot and Gap & Flush Type Definition with CV-100

Square Slot and Gap & Flush Field Definition with CV-100

Measuring a Square Slot with CV-100

XYZ Center for a Square Slot with CV-100

IJK Normal Vec for a Square Slot with CV-100

IJK Angle Vec for a Square Slot with CV-100

Depth for a Gap & Flush with CV-100

Depth2 for a Gap & Flush with CV-100

Width for a Square Slot with CV-100

Length for a Square Slot with CV-100

Gap for a Gap & Flush with CV-100

Flush for a Gap & Flush with CV-100

Type = Hole / Stud for a Square Slot with CV-100

Type = RIGHT / LEFT for a Gap & Flush with CV-100

Feature Type for a Square Slot and Gap & Flush Measurements with CV-100


Square Slot and Gap & Flush Type Definition with CV-100

SQUARE SLOT = This type of feature allows the measurement of a square slot

GAP NORMAL = This type of feature allows the measurement of the gap and flush of a gap at the surface level of the fixed side.
The following description shows a generic case of point acquisition:

Gap Normal Point acquired by vision system

GAP DELTAZ = This request allows the measurement of a gap at a specified depth in respect to the fixed side of the part.

Gap &Flush measurement at a specified depth


Square Slot and Gap & Flush Field Definition with CV-100

Many of the definitions are already covered in the "Square Slot Field Definitions" topic in the "Auto Utility" section. The following definitions are added or changed when using a CV-100 video probe:

SHOWHITS = This is a toggle field. It toggles from YES to NO and determines if hits will be displayed with this feature. This option is currently unavailable.

SHOWALLPARAMS = This is a toggle field. It toggles from YES to NO as to displaying all the parameters on the feature.

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.

TOG2 = This field determines the fixed side of a Gap & Flush measurement. Only available on Gap & Flush.

THEO/ = This value represents the theoretic feature location.

DEPTH = This value is editable and represents the depth of measurement on the fixed side of a Gap & Flush.

DEPTH2 = This values is editable and represents the depth of measurement on the moving side of a Gap & Flush.

See "Common Functions of Sheet Metal Dialog Boxes" in the "Auto Utility" section for general guidelines on measuring all Auto Feature types.


Measuring a Square Slot with CV-100

PC-DMIS allows several methods for measuring a square slot using the Auto Feature option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Square Slot

  • Using Surface Data on the Screen for a Square Slot

  • Using Wire frame Data on the Screen for a Square Slot

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Square Slot with CV-100

Using Surface Data on the Screen for a Square Slot with CV-100

Using Wire Frame Data on the Screen for a Square Slot with CV-100


Using Keyed in Data for a Square Slot with CV-100

This is described in "Using Keyed in Data for a Square Slot" in the "Auto Utility" section.


Using Surface Data on the Screen for a Square Slot with CV-100

This is described in "Using Surface Data on the Screen for a Square Slot" in the "Auto Utility" section.


Using Wire Frame Data on the Screen for a Square Slot with CV-100

This is described in "Using Wire Frame Data on the Screen for a Square Slot" in the "Auto Utility" section.


XYZ Center for a Square Slot with CV-100

This is described in "XYZ Center for a Square Slot" in the "Auto Utility" section.


IJK Normal Vec for a Square Slot with CV-100

This is described in "IJK Normal Vec for a Square Slot" in the "Auto Utility" section.


IJK Angle Vec for a Square Slot with CV-100

This is described in "IJK Angle Vec for a Square Slot" in the "Auto Utility" section.


Depth for a Gap & Flush with CV-100

The Depth box defines the distance below the surface of the fixed side that PC-DMIS will measure the gap & flush. This becomes available if you select GAP DELTAZ from the Feat Type list.

To change the depth:

  1. Select the existing value.

  2. Type a new value.


Depth2 for a Gap & Flush with CV-100

The Depth2 box defines the distance below the surface of the moving side that PC-DMIS will measure the gap & flush. This becomes available if you select GAP DELTAZ from the Feat Type list.

To change the depth:

  1. Select the existing value.

  2. Type a new value.


Width for a Square Slot with CV-100

This is described in "Width for a Square Slot" in the "Auto Utility" section.


Length for a Square Slot with CV-100

This is described in "Length for a Square Slot" in the "Auto Utility" section.


Gap for a Gap & Flush with CV-100

The Gap box displays the gap of the Gap & Flush.

To change this value:

  1. Select the existing value.

  2. Type a new value.


Flush for a Gap & Flush with CV-100

The Flush box displays the Flush of the Gap & Flush

To change this value:

  1. Select the Flush box.

  2. Type a new value.


Type = Hole / Stud for a Square Slot with CV-100

This is described in "Type = Hole / Stud for a Square Slot" in the "Auto Utility" section.


Type = RIGHT / LEFT for a Gap & Flush with CV-100

The RIGHT option and the LEFT option define the fixed side of the Gap & Flush measurement. In Gap & Flush measurements you need to define one side as the fixed (or nominal) side. The fixed side becomes the datum against which the other side is measured.


Feature Type for a Square Slot and Gap & Flush Measurements with CV-100

The Feat Type list provides you with the available types of Square Slot and Gap & Flush measurements. These include:

SLOT = This type of feature allows the measurement of a square slot.

GAP NORMAL = This type of feature allows the measurement of the gap and flush of a gap at the surface level of the fixed side.

GAP DELTAZ = This feature type allows the measurement of a gap at a specified depth in respect to the fixed side of the part.

GAP GAUGE = This measurement type is currently unavailable.


Round Slot with CV-100

The Round Slot option allows you to define a round slot measurement. This measurement type is particularly useful when you do not want to measure a series of lines and circles, or construct intersections and midpoints from them.

The Round Slot can be measured using the points inside the ROI along the slot contour.

Round Slot measurement

To access the Round Slot option:

  1. Select Auto Util | Auto Features from the main menu bar or press CTRL + F.

  2. Select the Round Slot tab.

The Edit window command line for a sample Round Slot would read:

    F_ID=AUTO/ROUND SLOT, SHOWHITS=Y/N SHOWALLPARAMS=Y/N
THEO/ X,Y,Z,I,J,K, LENGTH, WIDTH
ACTL/ X,Y,Z,I,J,K, LENGTH, WIDTH
TARG/ X,Y,Z,I,J,K
THEO_THICKNESS = n, TOG1
AUTO MOVE = Y/N, DISTANCE = n

More:

Round Slot Field Definitions with CV-100

Measuring a Round Slot with CV-100

XYZ Center for a Round Slot with CV-100

IJK Normal Vec for a Round Slot with CV-100

IJK Angle Vec for a Round Slot with CV-100

Width for a Round Slot with CV-100

Length for a Round Slot with CV-100


Round Slot Field Definitions with CV-100

Many of the definitions are already covered in the "Round Slot Field Definitions" topic in the "Auto Utility" section. The following definitions are added or changed when using a CV-100 video probe:

SHOWHITS = This is a toggle field. It toggles from YES to NO and determines if hits will be displayed with this feature. This is not currently available.

SHOWALLPARAMS = This is a toggle field. It toggles from YES to NO as to displaying all the parameters on the feature.

ACTL_THICKNESS = This value indicates the keyed in offset thickness of the measured data. Positive or negative values can be used.

See "Common Functions of Sheet Metal Dialog Boxes" in the "Auto Utility" section for general guidelines on measuring all Auto Feature types.


Measuring a Round Slot with CV-100

PC-DMIS allows several methods for measuring a round slot using the Auto Feature option. These methods are listed in the following paragraphs as:

  • Using Keyed in Data for a Round Slot

  • Using Surface Data on the Screen for a Round Slot

  • Using Wire frame Data on the Screen for a Round Slot

Note: The mouse cannot be used in the Graphics Display window if CAD data is unavailable.

More:

Using Keyed in Data for a Round Slot with CV-100

Using Surface Data on the Screen for a Round Slot with CV-100

Using Wire frame Data on the Screen for a Round Slot with CV-100


Using Keyed in Data for a Round Slot with CV-100

This is described in "Using Keyed in Data for a Round Slot" in the "Auto Utility" section.


Using Surface Data on the Screen for a Round Slot with CV-100

This is described in "Using Surface Data on the Screen for a Round Slot" in the "Auto Utility" section.

Note: If the CAD data defining the ends of the slot is specifically a CIRCLE or ARC type (i.e., an IGES entity 100), PC-DMIS will automatically take two additional hits on the arc. If both ends are of this type, then one touch on each arc is sufficient to measure this feature type.


Using Wire frame Data on the Screen for a Round Slot with CV-100

This is described in "Using Wire frame Data on the Screen for a Round Slot" in the "Auto Utility" section.


XYZ Center for a Round Slot with CV-100

This is described in "XYZ Center for a Round Slot" in the "Auto Utility" section.


IJK Normal Vec for a Round Slot with CV-100

This is described in "IJK Normal Vec for a Round Slot" in the "Auto Utility" section.


IJK Angle Vec for a Round Slot with CV-100

This is described in "IJK Angle Vec for a Round Slot" in the "Auto Utility" section.


Width for a Round Slot with CV-100

This is described in "Width for a Round Slot" in the "Auto Utility" section.


Length for a Round Slot with CV-100

This is described in "Length for a Round Slot" in the "Auto Utility" section.


Shortcut Keys Reference

This table provides an easy reference of the available shortcut keys. If the description of a shortcut key is preceded by the phrase Edit window, the Edit window must be the active window for the shortcut key to function properly. For specific information regarding the function of each option, please see the appropriate section of the online help.

Key | Description | Key | Description | Key | Description
F1 | Accesses online Help | CTRL + A | Edit window: Selects all text. Edit | Select All | CTRL + F1 | Places PC-DMIS into Translate Mode
F4 | Edit window: Prints contents of the Edit window | CTRL + C | Edit window: Copies selected text. Edit | Copy | CTRL + F2 | Places PC-DMIS into Rotate 2D Mode
F5 | Accesses the Setup Options dialog box Options | Setup | CTRL + D | Deletes the last measured feature. Utilities | Delete Last Feature | CTRL + F3 | Places PC-DMIS into Rotate 3D Mode and opens Rotate dialog box.
F7 | Edit window: Within a selected toggle field, cycles forward to next alphabetical entry | CTRL + E | Executes the last measured feature. Auto Util | Execute Feature | CTRL + F4 | Places PC-DMIS into Program Mode
F8 | Edit window: Within a selected toggle field, cycles backwards to last alphabetical entry | CTRL + F | Opens the Auto Features dialog box Auto Util | Auto Features | CTRL + TAB | Activates the next window.
F9 | Edit window: Opens the dialog box associated with the command at cursor's position | CTRL + G | Inserts a READPOINT/ command into the Edit window. | CTRL + END | Edit window: Moves cursor to the end of the current part program
F10 | Opens the Parameters mode dialog box. Options | Parameters | CTRL + K | Saves the selected dimension in the Edit report. Utilities | Keep Dimension | CTRL + HOME | Edit window: Moves cursor to the beginning of the current part program
SHIFT + TAB | Edit window: Moves cursor backwards to the previous user-editable field | CTRL + M | Inserts a MovePoint command Auto Util | Insert Move Point | CTRL + ALT + A | Opens the Alignment dialog box
SHIFT + ARROW | Highlights editable text (not numerical values) as cursor moves | CTRL + N | Creates a New Part Program File | New Part Program | CTRL + ALT + P | Opens the Probe Utilities dialog box
SHIFT + F1 | Activates context sensitive help | CTRL + O | Opens a Part Program File | Open | UP ARROW | Edit window: Moves cursor to next available element above the current position.
SHIFT + F10 | Edit window: Accesses the Jump To dialog box. Edit | Goto | CTRL + P | Prints the Graphics Display window. File | Print | DOWN ARROW | Edit window: Moves cursor to next available element below the current position.
END | Ends measurement of a feature. Edit window: Moves cursor to the end of the present line | CTRL + Q | Edit window: Executes the current part program. Execute | Execute Program | RIGHT ARROW | Edit window: Moves cursor to next available element to the right of the current position.
HOME | Edit window: Moves cursor to the beginning of the present line. | CTRL + R | Opens Rotate dialog box | LEFT ARROW | Edit window: Moves cursor to next available element to the left of the current position.
TAB | Edit window: Moves cursor forward to the next user-editable field | CTRL + S | Saves the current part program. File | Save | ALT + H | Accesses the Help menu
ESC | Aborts any process (other than data entry) if pressed prior to pressing the ENTER key | CTRL + V | Edit window: Pastes clipboard contents. Edit | Paste | ALT + F3 | Edit window: Opens the Search dialog box Edit | Find
BACKSPACE | Edit window: Deletes any highlighted characters. If nothing is highlighted, then functions as in a normal editor. If item can not be deleted, an error message will be displayed. | CTRL + X | Edit window: Cuts selected text. Edit | Cut | "-" (minus) | Deletes the last hit in the hit buffer. Utilities | Erase Hit
DELETE | Edit window: See 'Backspace' | CTRL + Y | Edit window: Execute | Execute From | ENTER or RETURN | Edit window: Creates a new line. Line will automatically be deleted if not completed before cursor is moved from line Selects a command
CTRL + Z | Activates the Scale to Fit function.


Glossary of Terms

"NEW FILE"

"OLD FILE"

# Hits

# Rows

95 % Confidence Factor

AB angles

AB positions

Active Tip

Active Tool

ACTL

Actual Point (APT)

Alignment Block

Alignment offset

Alignment Rotation Feature

Analog Probe

Arguments

Assignment

Asterisk (*) Meta-Character

Axes

Axis

Ball Tip

Baricenter

Basic Script

Baud

Bend Radius

Best Fit

Best Guess Algorithms

Block Edit

Boundary Crossings

Boundary Plane

Boundary Plane Vector

Boundary Points

Box Select

Box Selecting

Box Tolerancing

Branching

CAD Coordinates

CAD file

Cal Wrist

Calculate Boundary

Calibration

Calibration Tool

Capability Threshold

CD

Centroid

Characteristic Point

Circ Move

ClearP

Cmk

CMM

Collision Tolerance

Comm

Continuous Contact Scanning

Controller

Coordinate System

Coplanar

Cpk

Cut Plane

Cut Plane Vector

CutVec (Cut Vector)

DataPage

Datum

DCC

DCC Mode

DD

Delimit

Delimiter

Delimiters

Delta

Dependent curve

Dependent curves

Dependent surface

Dependent surfaces

Depth

DES

DF

Diameter

DIMS

Direction Point

Disk Tip

DRO

DXF

Element

Elements

ELM1

ELM2

ELOGO.DAT

End Ang

End effector

End Point

End Touch Vector

EndVec (End Vector)

Error Map

Export

Expression

Expressions

Extrude

Faro Arm

Feature Height

Feature Length

Feature Pointer

Feature Pointers

Feature Set

Feature Width

FILE I / O

FindNoms

Fixed Delta

Fixed probe

Flat feature type

Flat features

Flat Guess

Floating toolbar

Flow Control

Fly Mode

Gap & Flush

Gaussian Filter

Geometries

Gripper

Guess Mode

Hard probe

HEADER.DAT

High Point Feature

Hit

Hit Buffer

Hit Retract

I/O channels

ID

IGES

Import

Indent

Independent curve

Independent curves

Independent surface

Independent surfaces

Indexable

Indirection

Init

Init Sample Hits

Initial Touch Vector

InitVec (Initial Vector)

INTOF

Iterative Alignment

Kinematic Mount

Knot

Knots

Learn Mode

Learning

LEVEL - 3 +

LEVEL set

Line Distance

Literals

LK systems

LMC

Logo.dat

Looping

Machine Capability

Machine Coordinates

Manual Probing Point

Mark Set

Mark Used

Master / Slave Mode

Material Thickness

Measurement Volume

Meta-Character

Minus-Lower tolerances

MMC

Modes

Movement Range

Moving Average

Nested subroutines

Newtons

Normal To

Notch

Num Hits

Num Rows

ODBC

Offset Feature

On Error

Open GL

Operand

Operands

Optical Probe

ORIGIN set

PA

Pang

Part Coordinates

Part Program

Perm

Perm Sample Hits

PH9

Pins

Pitch

PlaneVec (Plane Vector)

PNT TOL

Point to Point Digitizing

POLAR

POLR

PR

Prad

Precedence

Pre-Hit

Probe

Probe Changer

Probe Depth

Probe Extension

Probing Cycle

PROE

Profile

Profile Error

Profiles

Program mode

Pt

Qualification Tools

Qualify

Question Mark (?) Meta-Character

Ram

Read POS

RECT

References

Relearn Mode

RFS

Rmeas

ROI

ROTATE - 2 +

ROTATE set

Round feature type

Round features

Round Guess

RTF

Scan Point Density

Scripting

Section lines

SET ORIGIN - 1

Shank

Shank Qual

Shank Tip

Shanking

Sheetmetal Stylus

Sheetmetal Thickness

Sigma

SNSDEF

Soft Probing

Spacer

SPC

Spline

Splines

Square-up

Standard Deviation

Start Ang

Start Point

State Mode

Statistical Output File

STEP AP203 & AP214

Step Mode

Stitch Type Scan

Studs

Stylus

Stylus Changer

Stylus Extension

Subroutine

Subroutines

Surface of Revolution

System Calibration

TAPER TIP

TARG

Tessellation

THEO

Thread

Time Delta

Tip

TOG

Touch Trigger Probe

TP

Trace Field

Trace Fields

Translate mode

TTP

UG

Variable

Variable Delta

Variables

VDAF

VDAFS

View ID

VolComp File

Volumetric Compensation (VolComp)

Weight

Weights

Wild Cards

Working Plane

Wrist Warning Delta

X, Y, and Z Center

XBarR

XBarS

Z rail


Add Directory to List

If you want to add a new directory to the Database Directories list:

  1. Click the Add Directory To List button. A box will appear in which you can enter the directory pathway.

  2. Type the directory pathway for the database.

  3. Click the OK button. The directory will now appear in the list.


The term "PC-DMIS" is derived from the acronym "DMIS" which stands for: Dimensional Measuring Interface Standard.


Additional information regarding off-line programming can be found in "Off-Line Part Programming."


A mouse is a pointing device used to control the cursor's movement on the screen.


A three-button mouse can be used with PC-DMIS, but the middle button has the same effect as pushing the left and right mouse buttons at the same time.


Options can be selected from the drop-down menu in the same manner as the menu bar. (See Options.)


PC-DMIS recognizes feature selection by highlighting the indicated feature in the currently chosen highlight color.


The Edit window can be moved in the same manner as a dialog box. See Moving Dialog Boxes.


DMIS and DIMS data is posted into the part program in PC-DMIS format, eliminating the need for a separate file.


XYZIJK Files have a .xyz extention. You can view the values contained in a .xyz file by using any standard text editor.


This option is available after the Process button has been pressed and before the OK button is clicked on the IGES FILE dialog box.

PC-DMIS is deactivated when the Create Levels—OLD File window is active


This option is only available after the NEW menu option has been selected.


Pressing the END key to end a measurement will automatically clear the hit buffer.


At least one tip must be loaded before qualifying a tip.


At least one probe tip must be defined in the Active Tip List before measuring a tool.


The CD module in Avail/NT will not work unless there is an OPENGL (shaded) view on the screen.


Columns are cylindrical flexible fixturing devices placed on CMM table tops. These columns support and hold parts with low stiffness such as sheetmetal panels, bumpers, car upholstery, windshields, dashboards, etc, allowing more accurate measurement.


The Alignment Block is the block of text in the Edit window that defines the alignment. It consists of the ALIGNMENT/START command and ends with the ALIGNMENT/END command.


In automotive terms, an Iterative Alignment will give "body" coordinates.


Leapfrog becomes available if you have either a FARO or ROMER probe. Your Portlock also needs to be programmed for a FARO or ROMER machine.


An OFF Leapfrog command should be included at the start of any part program using Leapfrog.


The result of solving the mathematical expression for a value is what is meant by the term "evaluated".


Hash lines—diagonal lines that cross the graphic.

Hashed borders—diagonal lines that cross the border around the graphic.


These options only function with Brown and Sharpe's statistical database program, DataPage.


Regardless of the mode PC-DMIS is in, the left mouse button can be used to select menus and options.


Rotating a drawing in 2 dimensions only changes the display. It does not in any way change the actual part's origin or datums.


PC-DMIS redraws the image dynamically as the mouse is being moved.


It is important to note that the documented conventions are simply a tool allowing you to become familiar with the rules governing the Edit window. The actual Edit report will be displayed using all CAPITAL LETTERS.


The actual Edit report will be displayed using all CAPS


AUTO is the default method of construction. This option automatically determines the best way to construct a point using the input feature(s). See Auto Point Construction .


Auto is the default method of construction. See Auto Circle Construction.


AUTO is the default method of construction. This option automatically determines the best way to construct a sphere using the input feature(s). See Auto Sphere Construction.


AUTO is the default method of construction. See Auto Line Construction.


Best Fit Recompensate is only accurate when constructing a line using points.


AUTO is the default method of construction. This option automatically determines the best way to construct a cylinder using the input feature(s). See Auto Cylinder Construction.


AUTO is the default method of construction. This option automatically determines the best way to construct a plane using the input feature(s). See Auto Plane Construction.


PC-DMIS is only able to construct a High Point Plane from a set of features. The set must contain at least three features.


Midplane Vector = (Vector 1) x (Vector 2)


DEPENDENT is the default method of construction.


Control Points are points that mark begin and end points of splines in a surface grid.


See the section "Editing a Part Program" for general information on how to modify the Edit window report.


The maximum and minimum distance is the measured distance between two lines over the length of the lines.


If a sphere is selected as the first feature, the second feature must also be a sphere. PC-DMIS will then three-dimensionally calculate the concentricity between the two features.


One hit, plus the feature's minimum hit requirement is necessary to determine the roundness of that feature. Additional hits provide a better representation of the roundness of the entire feature.


A minimum of three hits are necessary to determine the straightness of a line.


A minimum of four hits are necessary to determine the flatness of a plane.


When measuring the side of the part that is modeled in PC-DMIS, the part thickness value should be set to zero. The part thickness option should only be used when measuring the side of the part that is not drawn in the CAD data.


The Auto Clear Plane checkbox is only available in DCC Mode.


On certain CMM's, pressing the DONE button on the jog box is the same as clicking the Create command button.


The Find Noms option should be ON for this measurement option.


The Find Noms option should be ON for this measurement method.


The Find Noms option should be ON for this measurement method. See Mode for more information about Find Noms.


The initial sample hits are only taken the first time each featured is measured.


The permanent sample hits will be taken each time the feature is measured, after the initial sample hit is taken.


The Find Nom option should be ON for this measurement method.


The initial sample hits are taken only the first time each feature is measured. The permanent sample hits will be taken each time the feature is measured after the initial sample hit is taken.


The initial sample hits are taken only the first time each feature is measured. The permanent sample hits will be taken every time the feature is measured.


Find Hole is only available in DCC mode.


The initial sample hits are only taken the first time each feature is measured. The permanent sample hits will be taken each time the feature is measured.


The initial sample hits are taken only the first time a feature is measured. The permanent sample hits will be taken every time the feature is measured.


PC-DMIS will not allow a move to be inserted in the middle of a clearance plane move, or in the middle of a PH9 wrist rotation. If the cursor is located within a clearance plane move or PH9 change, PC-DMIS will display the message "UNABLE TO INSERT A MOVE AT THIS POINT".


The Boundary button is only available in DCC mode for Linear Open, Linear Close, Patch, and Section scans. It is not available for Perimeter scans.


The Hit Type function is only available for DCC scans


This option is only available for DCC scans.


The Patch scan is like a series of Linear Open scans done parallel to each other.


A hard probe must be used in order to access the four measurement methods.


This option does not apply to all machine types. Some machines can utilize this option while on others it will have no effect.


This option is only available with certain DCC CMM types (such as LK and Mititoyo).


It is important to keep track of ID's already set when changing an identification. It is possible to have ID duplication through multiple changes to this option.


When switching from box tolerancing to true position (and back), it is important to check the format for correctness.


Movement from one clearance plane to another affects the position of the probe. Make sure that the set clearance plane is sufficient to clear the part.


This option is only available while in DCC mode.


The options on the Autotrigger tab only work when using a Faro probe or Romer arm.


Currently, the options on the I/O Channels tab only function on DEA machines. Other machine types may be added in the future.


The image will remain on the clipboard until another screen is captured, or the part program is closed.


This option is only available when working in On-line mode.


A display buffer is graphics memory used to store the image seen on your computer screen.


The tessellation value is the default value used to break up surfaces into patches for shading.


One quick way to rotate is to
press CTRL + right-click and then drag the mouse.


The Scale Drawing option only functions when PC-DMIS is in Translate Mode. See "Translate Mode" in the "Utilities" section.


To open a menu and browse through the options using the keyboard, press the ALT key followed by the underlined letter in the name of the menu.


If not already installed on your computer, you will need to install the free Adobe® Acrobat® Reader™ in order to view .pdf files. You can download it from Adobe's website at: http://www.adobe.com/products/acrobat/readstep.html


The Animate Path option only simulates the movement of the probe. It does not execute the part program.


If a move is inserted before a PH9 wrist change, the location of the wrist change will not move until REGENERATE PATH is chosen.


Pointers are also known as "Feature Pointers". See the Glossary term "Feature Pointers" for more information.


When the cursor is in one of these fields you can use the F7 and F8 hot keys to toggle them on or off.


The minimum number of hits for a circle is three.


The minimum number of hits for a cone is six.


The minimum number of hits for a cylinder is six.


The minimum number of hits for a line is two.


The minimum number of hits for a plane is three.


The only number of hits for a point is one.


The minimum number of hits for a sphere is four.


The Show Path Lines option is not accessible while in PROG mode.


If a move is inserted before a PH9 wrist change, the location of the wrist change will not move until REGEN PATH is chosen.


Always press the END key (or equivalent CMM button) after measuring each feature.


At least one probe tip must be loaded before PC-DMIS will allow CMM probe hits to be recorded.


Verify that the STATE button is displaying the PROG mode.


Text object button


Button icon


ActiveX icon


OLE icon


Dimension Info object


EditLongBox object


The default number of hits PC-DMIS generates on a circular feature is a system option. To change this value, enter Options | Setup | General and enter the new default number in the Auto Circle Hits edit box.


The default number of hits PC-DMIS generates on a linear feature is a system option. To change this value, enter Options | Setup, General and enter the new default number in the Auto Line Hits edit box


PC-DMIS will display the probe's path only after the necessary features have been marked.


Unlike feature and dimension IDs, all alignment IDs are created generically, even if the option is turned OFF.


The Characteristic Pts tab is only available when using a CV-100 video probe.


The indent boxes become available only after you select CHAR 1 from the Feat Type list.


Clear All Bookmarks

The Clear Bookmark toolbar icon removes the bookmark(s) from the part program. See Bookmarks for more information.


Clear All Breakpoints

The Clear Breakpoint toolbar icon removes the breakpoint(s) found in the part program. See Breakpoints for more information.


Clear Marked

The Clear Mark toolbar icon removes all highlights from currently marked features within the Edit window. See Clear Marked for more information.


Command Mode

The Command Mode toolbar icon places the Edit window in command mode. This mode allows you to access the various commands that give you the capability to edit various aspects of the part program. See Command for more information.


Copy

The Copy toolbar icon allows you to copy text and objects in the Edit window and place them temporarily in the Windows clipboard to be pasted later. See Copy (Ctrl C) for more information.


Create:

Creating a level consists of a 3-step process.

  1. From the Level dialog box, type in the new level number in the box beneath the Create button.

  2. Choose the features that you want contained in the new level by selecting the desired feature type checkboxes..

  3. Click the Finish button to complete the process.


Curve and Surface Mode

The optional package "Curves and Surfaces" must have been purchased for your system in order to access this option. Place the mouse pointer (arrow icon) over the Curves or Surfaces icon on the toolbar and click the left mouse button (shortcut, CTRL + F5). For more information see "Scanning Options".


Cut

The Cut toolbar icon. Allows you to cut text and objects in the Edit window, placing the cut information temporarily in the Windows 95 clipboard. See Cut (Ctrl X) for more information.


Database Directories

The Database Directories list shows the different directories in which a database application could reside. You can add or delete directories from this list. A maximum of ten directories per STATS/ON command can be selected to which statistical information can be sent.


DataPage Variable Name

The options in the DataPage Variable Name area indicate whether the dimension name or feature name will be used to identify entries in DataPage. The maximum length of the name is 10 characters.

To choose either the dimension name or the feature name, select the Use Dimension Name option or the Use Feature Name option.


Data Source

Use the Data Source list to select a Data Source Name (DSN). A DSN is created initially by using the Open Database Connectivity (ODBC) options in the computer's Control Panel.

If you need create a DSN:

  1. Select Start | Settings | Control Panel.

  2. Double-click on the ODBC Data Sources icon.

  3. Follow the instructions in your operating systems Help file to create the DSN.

By using the ODBC, PC-DMIS can pass data directly to the XactMeasure SPC database, and the data can be viewed within PC-DMIS.


Delete:

Level deletion consists of a 3-step process:

  1. From the Level dialog box, select an existing level from the drop-down list.

  2. Click the Delete button.

  3. Select the Finish button to complete the process. All feature types that were assigned to the deleted level will be assigned to level '0.'


Delete Directory from List

If you want to delete a database directory from the Database Directories list:

  1. Select the directory you want to delete from the Database Directories list.

  2. Click the Delete Directory from List button. The directory will be deleted from the list.


Do Control Calculations

The options in the Do Control Calculations area indicate whether the control calculations that take place within Datapage shoud be used. The default setting is Off.

To turn control calculations on or off simply select either the On or the Off option.


Draw Surfaces

The Draw Surfaces icon allows you to display surfaces on the screen. Note that you must first select the Solid check box in the Screen Format dialog box.

To turn off the display of surfaces, click this icon again.


Example of Catia.dat file in PC-DMIS Directory

CATIA DEFAULTS

DIRECTORY:PCDMIS

or

DIRECTORY:/home/catadm/db
(Note: CATIA directory alias or path where models are kept)


Example of Pcdlrn.ini with Catia Information

[OPTION]

CatiaPort=5555
(Note: use same port for both UNIX and NT)

CatiaAddress=205.158.132.244
(Note: IP address of the UNIX workstation)


Example of Pcdmis.dat file on UNIX Workstation

$ PC-DMIS/CATIA Interface

PORT=5555
(Note: use same port for both UNIX and NT)

IP=205.158.132.244
(Note: IP address of the UNIX workstation)


Execute Program (Ctrl Q)

The Execute Program toolbar icon runs (or executes) the measurement process for any currently marked feature(s). See "Execute" for more information.


95 % Confidence Factor

Given a Gaussian distribution (or filter) of errors, an adequate number of hits, and the resulting standard deviation, you can be 95% confident that the actual dimension will be less than the measured value.


# Hits

Abbreviation for Number of Hits.


"NEW FILE"

The NEW File, as described in chapter 3, is a CAD file with level changes where only certain features are displayed. See "OLD File".


"OLD FILE"

An OLD file, as described in chapter 3, is the original CAD file before any level changes have been made. See "NEW File".


# Rows

Abbreviation for Number of Rows.


AB angles

The position of these A and B axes determine the angles a probe will use during tip calibration. These are also refered to as AB positions.

  • A is the vertical wrist angle. A = 0° when the tip is pointing straight down and it is normal to the probe.

  • B is the rotation angle. B = 0° will vary according to machine type and brand and also probe head type.


AB positions

See AB angles.


Active Tip

The active tip refers to the part of the probe (also referred to as the stylus) that is currently loaded for use. Several tips can be considered active at a time and are referenced in the Active tip list.


Active Tool

This refers to the tool that is used to calibrate the active tip. See also Tool.


ACTL

This means Actual, meaning the "measured" size or location information as opossed to the "theoretical" size or location information.


Actual Point (APT)

Out of the multiple readings that the controller takes during the probing cycle, the Actual Point is the one that is returned from the controller.


Alignment Block

This is a section of part program code in the Edit window beginning with the "Label = ALIGNMENT/START,…" command line and continuing to the "ALIGNMENT/END" command line.


Alignment offset

This is the distance of the part from the X, Y, and Z (0, 0, 0) location.


Alignment Rotation Feature

This Rotate button (found in Utilities | Alignment on the menu bar) allows you to rotate the part about a particular axis. This is used for creating alignments.


Analog Probe

This type of probe is an electronic device capable of performing a continuous contact scan of a part's surface without having to leave the part's surface in order to record measurement data. When not performing scans, the probe functions similar to a Touch Trigger Probe (TTP).


Arguments

These are conditions used in a subroutine or equation, such as an IF THEN statement. IF a certain argument (or condition) is met THEN a certain result follows.


Assignment

Assignment is the process of giving the value of an operation, set of operations, or a real number to a variable and is accomplished by use of the assignment operator (=). The assignment operator is automatically created when the assignment option is selected (from the menu bar, choose Utilities | Assignment).


Asterisk (*) Meta-Character

The asterisk (*) meta-character will match, or take the place, of any character or characters in a search.


Axes

This is plural for axis. See Axis.


Axis

An axis is one of the reference lines in a system of coordinates. The various axes (plural for axis) are XPLUS, XMINUS, YPLUS, YMINUS, ZPLUS, and ZMINUS. An axis can also be defined as the derived median line along the length of a cylinder, cone, slot, or ellipse.


Ball Tip

Tip shaped as a small ball.


Baricenter

The center of gravity for a hole of any shape.


Basic Script

A basic script is a series of basic commands written in the programming language BASIC.


Baud

This is the rate at which data can be transmitted or received by a computer. This is usually defined as a number of bits per second (bps).


Bend Radius

This is essentially an outside cylinder (pin) measurement for sheetmetal. It measures the center location and size.


Best Fit

This is a mathematical process used to average errors between the selected features.


Best Guess Algorithms

These are mathematical calculations that PC-DMIS uses to determine what feature type is being measured based on the number of hits taken. Based on the results of the calculations, PC-DMIS makes its best guess to determine the feature type. Incorrect guesses can be overridden using the Construct | Override command on the main menu.


Block Edit

This refers to moving a portion of text from one area of the Edit window to another area.


Boundary Crossings

This numerical value (used in the Number of Boundary Crossings box) tells PC-DMIS how many times the probe's BallCenter can cross the given condition's surface (planar, spherical, cylindrical) before stopping a given scan. Once the BallCenter crosses the condition's surface for the nth time (where n = the number entered), then the scan stops.


Boundary Plane

The Boundary Plane is created perpendicular to the Boundary Plane Vector with the same XYZ coordinates as the start point of the scan. The Boundary Plane is often used to determine when to stop a scan by indicating a maximum number of times the scan may cross the boundary plane.


Boundary Plane Vector

The Boundary Plane Vector is determined initially by the direction from the start point of a scan to the direction point of the scan.


Boundary Points

These are sample points which will determine the limits of the area to be contained within a scanned line or surface.


Box Select

See Box Selecting.


Box Selecting

Box selecting is a function within the Graphic Display area that allows you to draw a box with the mouse around a group of features, highlighting those features in a Feature ID list box.


Box Tolerancing

A variation of Box Selecting. Box Tolerancing can be performed with an open Dimension dialog window and Box Selecting a group of measured features. The tolerance options in the Dimension Dialog box can then be used to apply the same tolerances to all of the features that are selected.


Branching

Branching is the path (not the probe path but the logical path or flow that an executing part program takes) followed during execution of a part program which may be variable as a result of some logical statement, such as IF, ELSEIF, ELSE, DO, and WHILE, that causes the part program to execute differently depending on the value of some input or variable that is computed or measured in the part program.


CAD Coordinates

The position, expressed as X, Y, and Z values, of a feature in a CAD file.


CAD file

A CAD file is a graphical image file created using Computer Aided Drafting which contains information about a part or parts and their features' dimensions, orientations, and sizes. These files are usually saved in one of the following formats: IGES, DFX, DES, STEP, and XZYIJK.


Calculate Boundary

Abbreviation for Calculate Boundary Points. Used with Perimeter Scans to determine the limits of travel during the scanning operation.


Calibration

This process simply tells PC-DMIS the location and diameter of the probe tip. It is also referred to as "qualification".


Calibration Tool

A Calibration Tool is a calibrated artifact used to qualify a probe tip. It is normally a precision tooling ball. It is also known as a "Qualification Tool".


Cal Wrist

Abbreviation for Calibrate Wrist. Used to calculate the probe head offsets for each wrist position that is used.


Capability Threshold

This is the number by which the process's capability is determined. The capability and the capability threshold are two different values.

Capability: This is a calculated number based on measured data and the tolerances (USL and LSL). It tells you how well a process can produce parts with respect to the specified tolerances.

Capabilty in Equation Form: It is the minimum between: (USL-XBarBar)/(3*sigma) and: (XBarBar - LSL)/(3*sigma). Where XBarBar is the mean of the subgroup's means for the data in consideration.

In order for the process to be labeled as "capable", the calculated capability (above equation) must be greater than the user entered capability threshold. If a process is not capable it is considered "incapable".


CD

Collision Detection.


Centroid

The center most point of a feature.


Characteristic Point

This is a measurment used by the CV-100 video probe that is essentially an an Angle Point measurement. It has two measurement types.

  • Measures a point at the intersection of two surfaces (this measurement type is most like an angle point).

  • Measures two points, one on on each surface at a specified distance from the insersection.


Circ Move

Circular Move.


ClearP

An abbreviation for Clearance Plane. It is also a command entered in the Edit window to define the plane the probe must clear to avoid collision with the part.


Cmk

Machine capability process. This value is used to determine how well a given process can match the specification limits for the process.


CMM

Coordinate Measuring Machine.


Collision Tolerance

Indicates a measurable value from the surface of the CAD data. It is designed to alert you to any collisions between the probe and part.


Comm

Communications port.


Continuous Contact Scanning

A Continuous Contact Scan can be performed only when using either an analog probe, hard probe, or some laser probes and optical probes. In this type of scan the probe tip is brought in contact with the surface of a part and moved in a linear fashion without leaving the surface of the part until the scan or a portion of the scan is complete.


Controller

Every CMM has a controller. The controller drives the servos to move the machine, reads the scales to keep track of the position, interfaces to the actual probe, etc. A given CMM (or machine) can any one of several different types of controllers.


Coordinate System

A coordinate system consistes of an origin and X,Y, and Z axes.


Coplanar

Coplanar means that features reside in the same plane.


Cpk

Process capability index. This value is used to determine how well a given process can match the specification limits for the process.


Cut Plane

The Cut Plane is a theoretical plane which is created perpendicular to the Cut Plane Vector with the same XYZ coordinates as the start point of the scan. The Cut Plane is used to enable a scan to be created with all points being at the same level relative to the Cut Plane Vector.


Cut Plane Vector

The cut plane vector is the cross product of the initial touch vector and the line between the start and end boundary points on scans. If there is no end point, then the line between the start and direction point is used.


CutVec (Cut Vector)

See Cut Plane Vector.


DataPage

DataPage is a statistical processing software produced by Brown & Sharpe which links seamlessly with PC-DMIS.


Datum

A datum is an "imaginary" and "perfect" user-defined feature used as a reference point from which to measure other features on a part.


DCC

Direct Computer Control.


DCC Mode

This mode puts the Coordinate Measuring Machine into Direct Computer Control (or DCC). With this mode turned on, the computer is in control of many CMM functions.


DD

Diameter of Datum.


Delimit

See Delimiter.


Delimiter

The verb, to delimit, simply means to separate pieces of information. A delimiter then is a symbol that separates distinct pieces of information. In written English for example, the period, question mark, and exclamation mark are delimiters that delimit (or separate) the sentences.


Delimiters

See Delimiter.


Delta

Used to indicate an option where change or an amount of change is expected to occur.


Dependent curve

A Dependent curve is dependent on the feature set it was created from. This means if the feature set is changed later on, then the constructed curve may also change.


Dependent curves

See Dependent curve.


Dependent surface

A Dependent surface is dependent on the feature set it was created from. This means if the feature set is changed later on, then the constructed surface may also change.


Dependent surfaces

See Dependent surface.


Depth

This defines the distance below the surface of a part where the measurement will be taken.


DES

Data Exchange Standard.


DF

Diameter of Feature.


Diameter

The maximum chord length of a circle, cylinder, or sphere. In the case of PC-DMIS, the chord length will be applied to a best fit feature unless specified otherwise. Imagine a round feature with a line passing through the center of it. The length of this segment is referred to as the diameter. It is sometimes referred to as the thickness or width of the feature.


DIMS

Dimensional Inspection Measurement System file format. This is the format of the PC-DMIS part program files.


Direction Point

The Direction Point of a scan sets the direction of the scan. The scan will continue from the Start Point heading in the direction of the Direction Point until it reaches the End Point.


Disk Tip

Tip shaped as a small disk.


DRO

Digital Read Out.


DXF

Drawing Interchange File.


Element

An element is simply another name for a feature.


Elements

See Element.


ELM1

This abbreviation stands for Element 1.


ELM2

This abbreviation stands for Element 2.


ELOGO.DAT

This data file is used to format the Edit Report's footer. It is only used on the very last page of the Edit Report.


End Ang

Ending Angle.


End effector

An artifact that is placed against the part to hold it stationary in at least one axis. Typically this is a sphere with a defined diameter. Spheres are used because they will only contact the part at a single location. Other types of end effectors can be pins (for mating holes), cylinders for locating edges, and specialty pieces specifically tailored to the part being fixtured.


End Point

This is the Ending Point of a scan. When the scan execution reaches this point it stops.


End Touch Vector

The compensation vector for the last point of a scan.


EndVec (End Vector)

See End Touch Vector.


Error Map

All CMM's are constructed with inherent inaccuracies. After construction, most CMM manufacturers laser verify their machines to record these inaccuracies. These errors are then stored electronically in a computer file (called comp.dat) which can be accessed by PC-DMIS to enhance the accuracy of the CMM. In essence, the computer file is an Error Map of the CMM.


Export

The process of converting the drawing information contained in a PC-DMIS part program to a CAD standard output file such as IGES.


Expression

An expression is a user defined condition used with PC-DMIS'S flow control commands. If the condition is met or not, you can determine what action PC-DMIS takes.


Expressions

See Expression.


Extrude

When a probe is moved from one location to another, geometric volume is created through the move. The term "extrude" is used to define the volume of space that a probe will be in as it moves from one point to the next. The volume is then checked for collision with the part or table.


Faro Arm

This refers to the articulating arm CMM produced by Faro Technologies, Inc.


Feature Height

The distance from the base to the top (center ) of the feature.


Feature Length

The measured value along its greatest dimension.


Feature Pointer

A Feature Pointer is a variable type that works directly with an existing feature, providing direct access to that feature. For example, the statement ASSIGN/V1 = {CIR1} would create a feature pointer to the feature CIR1 and assign it to variable V1. V1 could then be used to access CIR1. CIR1.X would access the measured x component of the centroid of CIR1.


Feature Pointers

See Feature Pointer.


Feature Set

A Feature Set is a collection of previously measured or created elements into one constructed element. The items making up the Feature Set do not necessarily have to be of the same feature type.


Feature Width

The measurement of a feature from side to side. The measured value along a feature's shortest dimension.


FILE I / O

This menu option stands for File Input / Output. Data can be Input (written) to or Output (read ) from these files.


FindNoms

Find Nominal Values. When this option is selected from the Nominals option of a scan dialog, PC-DMIS will pierce the closest selected CAD surface in an attempt to gather the theoretical CAD data for each scanned data point. This information will then be used to calculate the deviation of each point.


Fixed Delta

An option for manual scanning with a hard probe where data points will only be gathered at specific, or 'fixed,' increments between each other.


Fixed probe

A fixed probe is synonymous with a "hard probe". It is a probe that doesn't use a touch trigger.


Flat features

Flat features are defined as points, planes, and lines. See Flat feature type.


Flat feature type

Flat feature types are planar features. See Flat features.


Flat Guess

This is a mode of operation utilized when using a hard probe to set order of precedence for the software to guess the type of feature being measured. Flat Guess will attempt to solve for a plane before a circle, cylinder, cone, or sphere. See also Round Guess and Guess Mode.


Floating toolbar

A floating toolbar is a toolbar that is able to be moved out of its set position and allowed to "float" at a desired location on the screen.


Flow Control

This refers to options within the software that allow you to control the direction of the part program.


Fly Mode

This is an option referring to how PC-DMIS will move the probe around the part during the measurement process. To be utilized, the CMM must have a DCC controller capable of Fly Mode operation.


Gap & Flush

GAP = Distance (in the same plane) between two mating sheet metal parts.

FLUSH = Height difference between two mating sheet metal parts.

For example, if you're looking at a top view of an automobile, the distance between a car's fender and hood is the gap (distance between the two parts in one plane). If you look at a side view of the car the flush for the fender and the hood would be the height difference.


Gaussian Filter

See 95% Confidence factor.


Geometries

Geometries are features or geometrical shapes such as lines, circles, etc.


Gripper

This device, used with flexible fixturing, is placed on the end of the ram. It "grips" (or holds) columns in order to either remove them from their rack and position them on the worktable, or remove them from the worktable and place them back in their rack. The gripper also uses air injectors (much like air hockey) to lift the column off of the worktable.


Guess Mode

When a fixed probe is used, PC-DMIS can't determine the type of feature that is being measured. Guess mode allows you to indicate whether the feature is flat or round reducing the possibility of an incorrect guess.


Hard probe

A hard probe is a probe without a touch trigger or removable stylus.


HEADER.DAT

This data file is used to provide formatting information for the Edit Report's headers. This includes all the pages after the first page.


High Point Feature

A High Point Feature is the type of feature created when using the High Point option of Auto Features. (From the main menu select Auto Util | Auto Features | High Point tab) The High Point is the point along a specific vector through a surface which has no other point at a higher distance along that vector when compared to the centroid of the surface.


Hit

Contacting the stylus tip with the part. Also known as probing.


Hit Buffer

The hit buffer stores probe hits before you create a feature from those hits. The stored hits can be deleted by pressing the ALT and '-' (minus) key combination.


Hit Retract

This number is a user specified distance which tells the probe at what point to speed up again, after retracting from a probe hit on a part.


I/O channels

A numbered device in the controller that allows you to set the state to 1 or 0. Compatible devices can then be connected to each channel. One common example is to connect one channel to an air supply for an external device. Setting the channel to 1 turns on the air and setting it to 0 turns it off.


ID

Identification or Identity. Also Label or Feature Name.


IGES

International Graphics Exchange Specification file format.


Import

The process of retrieving a CAD file from a database and processing it into the PC-DMIS part program.


Indent

A value set in from the edge of the feature (to the point location).


Independent curve

An Independent curve no longer depends on the feature set that was used to create it. If the feature set changes, the independent curve will not change.


Independent curves

See Independent curve.


Independent surface

An Independent surface no longer depends on the feature set that was used to create it. If the feature set changes, the independent surface will not change.


Independent surfaces

See Independent surface.

Indexable

The ability of the probe wrist to be positioned at certain predefined (indexed) angles. These positions are mechanically set at regular increments on indexing probe heads. These indexes can vary from 15° to less the 0.1°. When a wrist is indexable it means that it has the capability of being moved to different positions within the increments available on that specific wrist.


Indexable

The ability of the probe wrist to be positioned at certain predefined (indexed) angles. These positions are mechanically set at regular increments on indexing probe heads. These indexes can vary from 15° to less the 0.1°. When a wrist is indexable it means that it has the capability of being moved to different positions within the increments available on that specific wrist.


Indirection

The value of the variable pointed to by the given variable.


Init

Abbreviation for Initial. See Init Sample Hits.


Initial Touch Vector

The compensation vector for the start point of a scan.


Init Sample Hits

The initial sample hits are taken when learning a particular feature. Sample hits are used to determine the surface vector into which the measured feature projects.


InitVec (Initial Vector)

See Initial Touch Vector.


INTOF

Intersection of the given feature.


Iterative Alignment

This alignment takes a number of points which approximates the ideal (or nominal). From the points, a mathematical computation repeatedly adjusts or tries to approximate the alignment to the nominal. In a sense, it does a "best fit" computation with the points.


Kinematic Mount

A kinematic mount refers to a set of usually 3 precision tooling balls, receivers for the balls, and a fastening device which is used to provide a highly repeatable connection point for styli, probes, or probe heads. Kinematic mounts are frequently found on devices which may employ an automatic changer and will preclude the need for requalification.


Knot

A knot is a part of the mathematical definition of a spline. They are associated with the control points of a spline and help to define the shape of the spline.


Knots

See Knot.


Learning

This term is often used to describe the process of creating instructions which appear in the PC-DMIS Edit window. This can be done through typing in the actual entries, selecting menu command from the menu bars, or by touching measurement points on a physical part with the CMM and pressing the jog box's DONE button or the keyboard's END key.


Learn Mode

This term is used to describe the state of PC-DMIS when creating or appending to a part program's instructions in the Edit window.


LEVEL - 3 +

This means that three or more features are needed to perform the Level command for an iterative alignment.


LEVEL set

This is the set of features needed to perform the Level command for an iterative alignment. See LEVEL –3 +.


Line Distance

The length of a line segment between two features.


Literals

Operands whose symbols literally describe their value. "3" is a literal of type integer. "3" means the number three. It never means "4" or "2". A variable, such as "V1" does not literally denote its value, rather it is a label or holding place for a value. "V1" could hold a value of "2", "3", or "4" or any other number of object type. Literals often have very specific functions and meanings and at times can be used in place of arguments. See also "String Literals".


LK systems

LK systems are CMMs or CMM controllers produced by LK, as opposed to SHARPE models.


LMC

Least Material Condition.


Logo.dat

This data file contains information that formats a document header for the first page of the Edit Report. It may contain information such as date, time, etc.


Looping

The act of repeating any portion of the part program a predetermined number of times.


Machine Capability

This is the same as the process capability (see Capability Threshold), except standard deviation is calculated in a different way. It this case standard deviation is calculated based on the individual data, not subgroup data. This is essentially the only difference.


Machine Coordinates

The position, expressed as X, Y, and Z values, of a feature or object within the measurement volume of a CMM with respect to the machine's zero reference position.


Manual Probing Point

This refers to the fact that the operator manually moves the machine when taking the hit rather than the machine moving itself in DCC mode.


Mark Set

This highlights a group of features that will be measured when the part program is executed.


Mark Used

The Mark Used function (Select Utilities | Probe Utilities) will scan a PC-DMIS part program and mark or highlight the probe angles that are used or referenced by the part program. This will then allow an operator to easily determine which probe angles or tips need to be qualified.


Master / Slave Mode

This mode allows one arm, designated by the user as the "Master", on a multi arm CMM, to take precedence over another arm, designated as "Slave", in order to avoid collision of the arms.


Material Thickness

Material Thickness is a property which can be associated to CAD files. Many times, especially on parts constructed of sheetmetal, a CAD file will represent only one side of the material. Therefore, in order to accurately measure and dimension on the opposite side of the part, a correction thickness must be applied.


Measurement Volume

The measurement volume is the area in the machine that can actually be used for measurement. Although the machine dimensions may be large, the actual space that is available to use for measurement can be much smaller. The measurement volume can increase or decrease depending on the probe configuration (type of wrist, probe body & stylus) being used.


Meta-Character

A meta-character is a character that acts as a wild card for another alpha-numeric character or characters. There are two meta characters available in PC-DMIS: the Asterisk (*) meta-character and the Question mark (?) meta-character.


Minus-Lower tolerances

Gives a plus tolerance in the Minus Tolerance field. (i.e. 1.000 + .003 / +.001).


MMC

Maximum Material Condition.


Modes

Modes are different program states available to PC-DMIS. Each mode offers specific functions. The modes available to PC-DMIS include: Program Mode, Translate Mode, DCC Mode, and Manual Mode.


Movement Range

The actual space (volume or area) that can be used on a machine for measurement. It is also known as Measurement Volume.


Moving Average

This is the average value of a set of data points that moves over time.

Example: Given a subgroup size of 3 (the number of data points used in calculating a moving average) and the following set of data: [1,2,3,4,3,4,5,4,3,2,3] the first moving average is calculated from the first three points: [1,2,3]. Its value is 2. The second moving average is calculated by moving over one step to the right within the data, giving the following data: [2,3,4]. Its value is 3. The next 3 points are: [3,4,3]. Its average is 3.33. The next 3 are: [4,3,4]. This is done up to the end of the data.


Nested subroutines

These are subroutines which are called from (or nested within) another subroutine.


Newtons

A "newton" is a unit of force. One newton is the force needed to accelerate a mass of 1 kilogram to a speed of 1 metre per second per second.


Normal To

The phrase "normal to" a certain feature or geometrical element, simply means "perpendicular to" or at a 90° angle to some other feature.


Notch

A feature type which is similar to one-half of a square ended slot.


Num Hits

See # Hits.


Num Rows

See # Rows.


ODBC

Open Database Connectivity


Offset Feature

PC-DMIS allows three types of Offset Features, Offset Points, Offset Lines and Offset Planes. An Offset Feature is on constructed one or more other features. Each feature comprising the Offset Feature may then have an offset or correction value associated with it. Thereby, each feature contained in the offset feature may or may not actually coincide with the new constructed feature.


On Error

On Error is a function of some CMM controllers where if an electronic probe contacts or doesn't contact a part unexpectedly, the PC-DMIS part program will branch to a separate set of instructions to be executed. This function may be called from the main menu by Utilities | Flow Control | On Error.


Open GL

Open Graphics Library. This refers to a library of graphic routines used to aid in the display of graphical information.


Operand

The part of an equation that is being operated on by an operator. In the equation "2+3", the numbers 2 and 3 are operands and the plus sign (+) is the operator.


Operands

See Operand.


Optical Probe

An Optical probe is a probe that uses optics to determine its location. For example, a laser probe would be considered an Optical Probe.


ORIGIN set

This is the set of features needed to perform the Set Origin command for an iterative alignment. See SET ORIGIN – 1.


PA

This abbreviation stands for Polar Angle. Also seen as PANG. The Polar Angle is used in cylindrical coordinates and is used with Polar Radius. See PR.


Pang

This abbreviation stands for Polar Angle. Also seen as PA. The Polar Angle is used in cylindrical coordinates and is used with Polar Radius. See Prad.


Part Coordinates

The position, expressed as X, Y, and Z values, of a feature on a physical part with respect to an origin location.


Part Program

The part program is the textual description of how to measure or inspect an object. Each part program has a unique name with a .prg extension. The part program is created by the CMM operator. The part program can be, but is not always, associated with a CAD model. If it is associated with a CAD model, the CAD file will have the same file name as the part program with a .CAD extension.


Perm

Abbreviation for permanent. See Perm Sample Hits.


Perm Sample Hits

The number of sample hits which will be used in measuring a particular feature during execution of a part program.


PH9

This is the model number of a particular Renishaw probe head. The abbreviation stands for Probe Head 9. This term is also used to refer generically to articulating motorized wrist type probe heads.


Pins

Pins are removable features that stick out of a part (as opposed to holes which go into the part). Pins are similar to "studs".


Pitch

Pitch is the distance moved along the axis of the feature in one revolution.


PlaneVec (Plane Vector)

See Boundary Plane Vector.


PNT TOL

This abbreviation for vector point tolerance is used in the Edit window (as PNT TOL = n) to specify the vector point tolerance for manual touches in an iterative alignment.


Point to Point Digitizing

Point to Point Digitizing is a process of gathering the data about the surface of a part for reverse engineering purposes. Data is gathered by scanning the part with a machine and software capable of generating discrete measurement points. Once a sufficient number of points are gathered, they are taken as a group and processed to generate the electronic surfaces of a part which can be used by CAD software to complete a design.


POLAR

Refers to a Polar (also seen in the Edit window as POLR) coordinate system containing U and V coordinates. U represents the polar radius and V represents the polar angle or vector.


POLR

An abbreviation for Polar.


PR

Stands for Polar Radius. Also seen as Prad. The Polar Radius is used in cylindrical coordinates with Polar Angle. See PA.


Prad

Stands for Polar Radius. Also seen as PR. The Polar Radius is used in cylindrical coordinates with Polar Angle. See PA.


Pre-Hit

This is number which determines at what distance a probe will reduce speeds while approaching a part to take a hit.


Precedence

Precedence in algebraic expressions or assignment operations refers to the order in which operations occur. For example, multiplication has a higher precedence than addition therefore, the expression "2 + 3 X 6" evaluates to 20 since 2 is added to the result of 3 X 6. Not following precedence might result in the errant result of 30.


Probe

The sensing unit that is attached either to the Ram of the CMM or the indexable wrist. The probe requires a stylus be mounted to it in order to gather measurement data (except in the case of a hard probe).


Probe Changer

A rack placed in the measurement volume of the CMM. The probe changer secures multiple probe types for use in a single part program. The CMM can switch between probe types without the need for operator assistance.


Probe Depth

The Probe Depth is the location of the probe along the Z axis, normal to the CMM's table.


Probe Extension

A Probe extension is a cylindrical piece that is inserted between the probe head and the probe itself.


Probing Cycle

This is the cycle of operation an analog probe/controller goes through to take a point.


PROE

ProEngineer CAD file format.


Profile

"A profile is the outline of an object in a given plane (two-dimensional figure). Profiles are formed by projecting a three-dimensional figure onto a plane or by taking cross sections through the figure."
–ASME Y14.5M-1994 Dimensioning and Tolerancing.

Often on CAD drawings, when you look at a surface in different views, it won't look like a surface, but a curve, line, or a collection of individual points. These are the result of this projection of a three-dimensional figure onto a plane or by taking cross sections through the figure.


Profile Error

This is the deviation of the actual or measured profile from the theoretical or nominal profile


Profiles

See Profile.


Program mode

The mode allows you to create your part program in the Edit window. It also shows the image of the probe in the Graphical Display window.


Pt

Abbreviation for Point.


Qualification Tools

See Calibration Tool.


Qualify

To qualify also means to calibrate, or determine the position (of a probe tip, for example).


Question Mark (?) Meta-Character

The question mark meta-character (?) acts in the same way as the asterisk (*), except that the question mark meta-character will match only 1 alpha-numeric character.


Ram

This refers to the end of the arm to which the probe is attached. On a horizontal machine, the Ram is the horizontal beam on the machine and usually moves in the X or Y axis of the machine. On a vertical machine (commonly called a "bridge" machine) the ram is mounted verticaly and moves in the Z axis of the machine.


Read POS

Read Position. This function will get the current XYZ coordinates from the CMM controller.


RECT

Rectangular. Used where the referenced coordinated system should be expressed in rectangular (XY) or Cartesian (XYZ) form.


References

An expression syntax that refers to the value of data. All of the syntax used to access different data elements of the part program. "CIR1.X" is a reference to the measured x value of the centroid of the feature called CIR1. "LINE.LENGTH" is a reference to the length of LINE. "C1.INPUT" is a reference to the input of the comment named C1.


Relearn Mode

This is a scan option for execution of a scan. If the Execute option is selected to RELEARN, then every time a scan is reexecuted the compensation vectors for each scan point are recalculated.


RFS

Regardless of Feature Size.


Rmeas

Relative Measurement. Can be used to create a new auto feature at coordinates which are derived from the actual measured coordinates of a previously measured feature.


ROI

This is a computerized box displayed on the computer creen for the CV-100 video probe. Measurement of the feature must be within the box.


ROTATE - 2 +

This means that two or more features are needed to perform the Rotate command for an iterative alignment.


ROTATE set

This is the set of features needed to perform the Rotate command in an iterative alignment. See ROTATE – 2 +.


Round features

Round features are defined as circles, spheres, cones, and cylinders. See Round feature type.


Round feature type

A round feature type is a circular or curved feature. See Round features.


Round Guess

This is a mode of operation utilized when using a hard probe to set order of precedence for the software to guess the type of feature being measured. Round Guess will attempt to Solve for a circle, cylinder, cone, or sphere before a plane. See also Guess Mode.


RTF

Rich Text File.


Scan Point Density

The Scan Point density determines the number of hits that the CMM returns for each millimeter.


Scripting

See Basic Scripting.


Section lines

Section Lines are CAD entities that can be superimposed on a CAD drawing. Though they contain no dimensional or drawing information, they can be referenced by a Section scan to provide a linear scan across one particular section of a part. These are reference lines used by engineers when specifying locations of part features.


SET ORIGIN - 1

This means that one feature is needed to perform the Set Origin command for an iterative alignment.


Shank

This is the shaft portion of the stylus that extends from the measuring tip to the stylus mounting joint. In the case of a shank tip, there is no precision tip (see shank tip). The shaft which supports the qualification tool is also referred to as a shank.


Shanking

A term used when the probe is triggered by contacting the part with the shank of the stylus as opposed to the tip of the stylus. When this occurs, erroneous data is gathered.


Shank Qual

Shank Qualification is utilized with sheetmetal styli to provide the axis direction of the shank as well as the centerpoint of the spherical tip end.


Shank Tip

Tip shaped like a straight shaft.


Sheetmetal Stylus

A sheetmetal stylus is designed for measuring very thin part. The sheetmetal stylus will have semi-spherical ball on its end with a short section of shank which is coaxial and concentric to the center of the ball.


Sheetmetal Thickness

See Material Thickness.


Sigma

The greek letter often used to represent standard deviation.


SNSDEF

This statement is a DMIS major word used to defined sensors in the DMIS language.


Soft Probing

Soft Probing (or SFT) is Leitz terminology for a frequently used probing mode used to measure soft materials.


Spacer

A user defined value indicating the offset distance between the edge of a feature and a sample point.


SPC

This stands for Statistical Process Control. In PC-DMIS SPC charts can be created and updated from a defined database.


Spline

A spline is a specific type of curve or surface. Splines are used in modeling because of their mathematical properties which make them easier to use in a wide variety of ways. Splines can be used in both curves and surfaces.


Splines

See Spline.


Square-up

"Square-up" means to align (or rotate) the part in the Graphical Display window until that part lines up and is parallel to an edge of the screen.


Standard Deviation

This is the root mean square of the deviation from the mean. In equation form it is:
sqrt((sum((xi-m)^2))/n-1) where:

m = the mean value
n = the number of data points
xi = the ith data point.


Start Ang

Starting Angle.


Start Point

The Start Point in a scan is the beginning point of the scan's execution.


State Mode

The four states of operation are Translate Mode, 2D Rotate Mode, 3D Rotate Mode, and Program Mode. These four options can be individually selected from PC-DMIS'S toolbar icons.


Statistical Output File

This file contains printable stats for a part program. Information is saved in the file named "xtats11.tmp" usually in the PCDMIS directory or the location that you chose to install PC-DMIS.


STEP AP203 & AP214

STEP stands for Standard for the Exchange of Product Model Data. STEP was forwarded to the international community in 1988. It is a standard for the computer-interpretable representation and exchange of product data. The objective of STEP is to provide a neutral medium capable of describing a product throughout its life cycle.


Step Mode

Step Mode is a variation in execution of a part program in which the CMM will execute only one block of commands at a time. User intervention is required for the program to continue. In effect, this is 'stepping' through the part program.


Stitch Type Scan

This is the type of scanning performed on DCC CMMs which have Touch Trigger Probes. During the scan, the CMM will contact the part, move away the retract distance, move to the next prehit point, then move in and contact the part. This process continues to repeat until the scan is complete. The term Stitch Type comes from this process which is similar to the functioning of a sewing machine.


Studs

Studs are non-removable features that stick out of a part (as oppossed to holes which go into the part). Pins are similar to "studs".


Stylus

Also referred to as "Probe Stylus" is a cylindrical shaft (shank) with a high precision tip. The stylus screws into the probe body and is usually interchangeable with other Styli (plural for stylus).


Stylus Changer

The stylus changer is a rack that is placed in the measurement volume of the CMM. It holds multiple styli to allow for the use of multiple styli in a single Part Program. The CMM is able to automatically switch between styli without the need for operator intervention.


Stylus Extension

A Stylus extension is a cylindrical piece that attaches to the probe body and to the stylus. It is used to extend the length of the measuring tip. Multiple extensions can be used at one time.


Subroutine

A subroutine is a sub-program within the part program. These sub-programs contain commands from the current file or an external file and that are able to be used repeatedly.


Subroutines

See Subroutine.


Surface of Revolution

This is a surface which may be generated by rotating a curve plane about an axis in its plane.


System Calibration

This is the process of checking the accuracy of a CMM and making adjustments mechanically to the CMM or electronically to the VolComp file to reduce the inaccuracy.


TAPER TIP

Tip that has been tapered to a conical shape which gets smaller toward the end.


TARG

This stands for target. It is the size or location information at which the CMM will try to measure.


Tessellation

The act of breaking up a surface into a group of polygons in order to shade a graphical image.


THEO

This stands for theoretical. It is the nominal size or location information.


Thread

The portion of the tip that is screwed into another part is referenced by the size of thread. The tread is the corkscrewed band that holds the parts together.


Time Delta

This user specified value is used to weed out hits taken with manual scans using a hard probe that come in faster than the specified time increment. The increments are in seconds.


Tip

This is the portion of the stylus that comes into contact with the part being inspected/measured. Styli may have several types of tips. The tip can be either a ball, disc, or a pointer.


TOG

TOG is a "toggle" field in the Edit window. To toggle through the available options within the Edit window, place the cursor over toggle field and press F7.


Touch Trigger Probe

This type of probe automatically triggers a hit when it touches the part.


TP

True Position.


Trace Field

This is a two field command in the Edit window. The first field represents the name, or title of the trace field. The second field will display the current value of the trace field (i.e., Temperature : 75, or Shift : afternoon). Trace Fields are used in the XSTATS11.TMP file for database programs such as DataPage.


Trace Fields

See Trace Field.


Translate mode

This places PC-DMIS into a program state which allows you to move the part on the screen as well as change the part's display size in the Graphical Display window, etc.


TTP

See Touch Trigger Probe.


UG

UniGraphics CAD file type.


Variable

An object used to hold a value. A variable has a name and a value. The name is used to access the value of the variable. The name is constant, the value can be changed. For example, the statement ASSIGN/V1 = 2 creates a variable with a name of V1 and a value of 2. ASSIGN/V2 = V1 + 2 accesses the value of V1. If V1 still had a value of 2 when this assign statement were executed, V2 would then have a value of 4. A variable is a value that refers to integer, real, string or point operands.


Variable Delta

Variable Delta is a type of scan that can be accomplished only with a hard probe. During a Variable Delta scan, data points are read only when the requirements of a specific minimum time increment and a minimum distance increment are achieved.


Variables

See Variable.


VDAF

VDAF stands for VDA Surface Data Interface format. VDAFS was published as a German national standard in 1986. It is used by the German Motor Manufacturers Association (VDA) to exchange 3D CAD model data.


VDAFS

See VDAF.


View ID

View ID is a user defined name for a view that the user has saved in memory.


VolComp File

The "comp.dat" file. For a CMM to measure accurately, this file must be located in the PC-DMIS operating directory of the computer used to operate CMM's which are Volumetrically Compensated. See Volumetric Compensation (VolComp).


Volumetric Compensation (VolComp)

Volumetric Compensation is the process of accessing a CMM's Error Map and applying the error as a correction factor to measurements in order the enhance the accuracy of the CMM. This is accomplished automatically by PC-DMIS once a CMM has been properly initialized. (See also Error Map.)


Weight

A value calculated from a tolerance used when calculating a best fit. The smaller the tolerance the less room there is for error. A smaller tolerance, then, carries a greater "weight" or importance in a best fit calculation.


Weights

See Weight.


Wild Cards

Wild Cards are made up of two meta-characters, the asterisk (*) and the question mark (?). The asterisk meta-character (*) will match, or take the place, of any character or characters in a search. The question mark meta-character (?) acts in the same way as the asterisk (*), except that the question mark meta-character will match only 1 alpha-numeric character.


Working Plane

The Active and Pass Through Planes define the working plane. PC-DMIS will allow you to indicate the specific plane into which a feature is projected when it is measured. The term 'working' is the same as 'current' or 'active' when referring to the working plane.


Wrist Warning Delta

This option can be found at Options | Setup | Part/Cmm tab. If a CAD selected feature to be measured does not have a vector which agrees with the active probe angle within the Wrist Warning Delta limit, a warning is generated.


X, Y, and Z Center

These values show the location of the center of the ball tip.


XBarR

XBar is a way of writing out the statistical symbol X which is the mean or average. Thus the XBar chart is a mean or average of a process. This is usually calculated over time and the chart is set up such that the X axis of the chart is time and the Y axis of the chart is the mean value.

XBarR is an abbreviation for "XBar and R". This is essentially an XBar chart with additional information. The "R" represents the range of data in any given sample. A sample is defined as a predetermined number of measurements. The range of a sample is calculated by subtracting the Min from the Max of the sample. This is then plotted at the same time position on the chart as the mean of the sample giving two data points for the sample at that time.


XBarS

XBar is a way of writing out the statistical symbol X which is the mean or average. Thus the XBar chart is a mean or average of a process. This is usually calculated over time and the chart is set up such that the X axis of the chart is time and the Y axis of the chart is the mean value.

XBarS is an abbreviation for "XBar and S". ". This is essentially an XBar chart with additional information. The "S" represents the Standard Deviation of the sample. There is a mathematical equation to determine the standard deviation of a sample.


Z rail

The Z rail is the vertical arm of the CMM.


Help Contents

Contents

Overview

Overview: Introduction

Version Enhancements

Organization of Manual

CAD Links

Software Configurations

User Interface

User Interface: Introduction

The Mouse

Screen Appearance

The Menu Bar

Toolbar Area

Graphics Display Window

Dialog Boxes

Shortcut Menus

Shortcut Keys

File Options

File Options: Introduction

Open

New

Close

Save

Save As

Quit

Export

Import

IGES Setup Dialog box

File

View

Level

Operations

Print

Print Preview

Print Setup

Execute

Execute From

Edit Window

Preview Window

Language

Exit

Utilities

Utilities: Introduction

End Feature

Erase Hit

Take Hit

Delete 'Last Feature'

Keep Dimension

Probe

Hard or Trigger Probe

Machine

Fixture

Column Recovery

Insert Tip Calibration

Alignment

Save Alignment

CAD Equals Parts

Equate Alignment

Leapfrog

Flow Control

Scripting

Insert Reporting Object

File I / O

Comment

Trace Field

Assignment

External Object

External Command

Statistics

Attach Part Program

Toolbars

Construction Options

Construction Options: Introduction

General Command Format

Point Construction

Circle Construction

Sphere Construction

Line Construction

Cone Construction

Cylinder Construction

Plane Construction

Slot Construction

Curve Construction

Surface Construction

Feature Set Construction

Read Point Construction

Gaussian Filter Set Construction

Override

Dimension Options

Dimension Options: Introduction

General Command Format

Printing Dimensions to Inspection Report

Common Dimension Dialog Options

Location

True Position

Distance

Angle Between

Concentricity

Coaxiality

Roundness

Straightness

Flatness

Perpendicularity

Parallelism

Runout

Profile

Angularity

Keyin

Auto Utility

Auto Utility: Introduction

Sheet Metal Measurements

Common Functions of Sheet Metal Dialog Boxes

Vector Point

Surface Point

Edge Point

Angle Point

Corner Point

High Point

Circle

Cylinder

Sphere

Square Slot

Round Slot

Ellipse

Notch

Relative Measure Setup

Execute Feature

Move To

Insert Move

Rotate Table to Active

Insert Exclusion Zone

Scanning Options

Scanning Options: Introduction

Common Functions of Scan Dialog Boxes

Linear Open

Linear Close

Patch

Section

Perimeter

Manual Scan

Manual Scanning Rules

Basic Scans

Common Functions of the BasicScan Dialog Box

Circle

Cylinder

Axis

Center

Line

System Options

System Options: Introduction

Set up Options

Parameters Mode

Probe Readout Window

Readout Window Setup

Analysis

Send Current Stats to File

Master/Slave Setup

Master/Slave Mode

Calibrate Master/Slave Mode

Rotary Table Setup

Probe Changer Setup

Load Active Probe

CMM Interface Setup

Activate Next Window

Temperature Compensation Setup

Set Search Path

OpenGL

Graphic Options

Graphics Options: Introduction

Delete CAD

Delete Features

Mirror CAD

Screen Capture Clipboard

Screen Capture to Report

Edit CAD

Edit Feature

Edit Dimension Info

Edit Point Info

Edit Dimension Color

Rotate

Make CAD 3D

Screen Color

CAD Information

Scale Drawing

Editing a Part Program

Editing a Part Program: Introduction

Edit Window Menu Options

Edit Window Toolbar

Edit Window Status Bar

Header and Footer Formats

Working in Summary Mode

Expressions

Using the Edit window

Construct

Dimensions

Alignment

Measurements

Probe

Comments

Trace Fields

Display

Command List

Executing a Part Program

Executing a Part Program: Introduction

Execute Options

Steps to Executing a Part Program

Editing the Probe Path

Statistical Analysis

Guide to Measuring a Part

Guide to Measuring a Part: Introduction

Measuring Features

Probe Options

Graphical Representation of Part

Manual / DCC Mode

Getting Started

Hyper-View Reporting Tutorial

Hyper-View Reporting Tutorial: Introduction

Creating a New HyperView Report

Reporting Options Example:

Adding Objects to the HyperView Report

Introduction to the Property Sheet

Introduction to Basic Handler Functions

PC-DMIS Extension Objects

Adding OLE and ActiveX Objects to the HyperView Report (ADVANCED)

Creating Multiple Page Reports

Auto-Reporting Basics

Using HyperView Reports in Part Programs

Off-Line Part Programming

Off-Line Part Programming: Introduction

Prerequisites

Off-line Probes

Setting Probe Depth

Measuring Features Off-line

Executing and Debugging Part Programs Off-Line

Translating a Part Program into PC-DMIS

Translating a Part Program into PC-DMIS: Introduction

Creating a Part Program File

Importing a Part Program File

Using Master / Slave Mode

Using Master / Slave Mode: Introduction

Setup Procedures

PCDLRN.INI File

PCDLRN.INI File: Introduction

Option

OpenGL Settings

OpenGL Options

ProEngineer

IDEAS

FileMan

Parameters

Database

Probe Cal

Master / Slave

ReadOuts

TermiFlex

ZMouse

Sharpe 32

Using a Wrist Device

Using a Wrist Device: Introduction

Installation

Cal Wrist Option

Tip Calibration

Using the Wrist in a Part Program

Operator Mode

Operator Mode: Introduction

File Open Options

Operator Mode Options

Marked Sets

Measuring Auto Features with the CV-100 Video Probe

Measuring Auto Features with the CV-100 Video Probe: Introduction

Common Dialog Box Functions Specific to CV-100 Video Probe

Vector Point with CV-100

Edge Point with CV-100

Characteristic Points

Circle/Pin/Baricenter with CV-100

Bend Radius with CV-100

Square Slot/Gap & Flush with CV-100

Round Slot with CV-100

Shortcut Keys

Shortcut Keys Reference


Insert/Remove Breakpoint

The Insert Breakpoint toolbar icon inserts a breakpoint at the current cursor location in the part program. See Breakpoints for more information.


Insert Bookmark

The Insert Bookmark toolbar icon places a bookmark at the current cursor location in the part program. See Bookmarks for more information.


Inserting a Print Command

To insert a PRINT/REPORT command into the Edit window:

  1. Click the Command Mode icon from the Edit window toolbar, placing PC-DMIS into Command Mode.

  2. Place your cursor in the Edit window at the location where you want the command to appear.

  3. Select Print Command from the Report menu.

The PRINT/REPORT command appears. Like many other Edit window commands, you can also insert this command by typing PRINT and pressing TAB at the desired location in the Edit window.

The PRINT/REPORT command is used to control the printing of Edit window reports from within the part program. When PC-DMIS reaches this command during part program execution, a report is generated and sent to the specified output destination.

Note: All options available via the Print Options dialog box from the Report | Print Setup menu (with the exception of the DMIS output options) are also available through this command.

The syntax of the command is as follows:

PRINT/REPORT,TO_FILE=ON,TOG1,$
     TO_PRINTER=OFF,DRAFTMODE=OFF,$
     PREVIOUS_RUNS=TOG2

TO_FILE= Use this option to indicate whether the printed report should be sent to a file (ON) or not (OFF).

TOG1: This is a toggle field that controls the action taken when printing to a file. The options available are APPEND / AUTO / OVERWRITE / PROMPT. Depending on the option selected, different information may appear to the right of the TOG1 field.

APPEND= Use this option to append report information to the specified filename. When the APPEND option is selected, this keyword is followed by a filename field, for example, APPEND=D:\REPORTS\FILE001.RTF. Note that the complete path must be specified otherwise PC-DMIS will assume the same directory as the part program. Also, if the file does not exist, it will be created when the PRINT/REPORT command is executed.

AUTO= Use this option to have PC-DMIS generate the report filename automatically. When the AUTO option is selected, this keyword is followed by a numeric field, for example, AUTO=10. The name of the generated filename will have the same name as the part program appended by the numerical index and a .RTF extension. Also, the generated file will be located in the same directory as the part program. If a file exists with the same name as the generated filename, AUTO will increment the index until a unique filename is found.

OVERWRITE= Use this option to overwrite report information to the specified filename. When the OVERWRITE option is selected, this keyword is followed by a filename field, for example, OVERWRITE=D:\REPORTS\FILE001.RTF. Note that the complete path must be specified otherwise PC-DMIS will assume the same directory as the part program. Also, if the file does not exist, it will be created when the PRINT/REPORT command is executed.

PROMPT Use this option to cause PC-DMIS to query the user, via a Save As dialog box, for the filename to which the report information will be written.

TO_PRINTER= Use this option to indicate whether the printed report should be sent to the printer (ON) or not (OFF).

DRAFTMODE= Use this option to turn draft mode printing ON or OFF.

PREVIOUS_RUNS= This option is particularly useful when using the PRINT/REPORT command from within a loop. When a feature is measured more than once in a single execution, previous instances of that feature's measured data are saved. Use TOG2 to have PC-DMIS delete (DELETE_INSTANCES) or keep (KEEP_INSTANCES) the saved measured data.

To edit these options in the Print Options dialog box,

  1. Place the cursor over the PRINT/REPORT command line.

  2. Press F9.

  3. Make any changes.

  4. Click OK.

You'll notice that PC-DMIS updates the command to match your changes. Note that this is different than accessing the Print Options dialog box directly from the Edit window's Report menu. Accessing the dialog box directly from the Report menu does not insert a PRINT/REPORT command into the Edit window.

Note: The PRINT/REPORT command may be used more than once in the part program.

Note: The PRINT/REPORT command is a unique instance of the information contained in Print Options dialog box. Therefore, options that are selected from the Print Options dialog box but not using a PRINT/REPORT command are independent of any PRINT/REPORT command and will affect printing when the part program has completed execution.


Mark All

The Mark All toolbar icon highlights all features in the Edit window. PC-DMIS will ask you if you want to highlight features used for the alignment as well. See Mark All for more information.


Mark Current Feature (F3)

The Mark Current Feature toolbar icon highlights the feature under your cursor and prepares it for execution. See Mark for more information.


Memory Pages

The Memory Pages box allows you to enter in the number of 4K pages to reserve for database tables when opening a database. The minimum (and default) number of pages that can be open is four.

To change the number of Memory Pages:

  1. Select the value in the Memory Pages box.

  2. Type a new value.

  3. Press the TAB key.

  4. Click OK.


Modify:

Level modification consists of a 5-step process:

  1. From the Level dialog box, select an existing level from the drop-down list.

  2. Click on the Modify button.

  3. Select the Assign button to add CAD to the chosen level, or select the Undo button to remove CAD from the chosen level.

  4. From the Feature Type check boxes, select the appropriate feature types to be 'added to' or 'removed from' the displayed level.

  5. Select the Finish button to complete the level modification process.

Level addition and level modification will require the selection of CAD data. You can restrict the selection to different types of geometry in the same way as selection is restricted in the Edit CAD and Delete CAD dialogs. (See "Graphics Option".) Also, selection may be restricted to CAD of a given color by checking the 'Color' check box and selecting a geometry of the desired color. The selected color will then appear next to the 'Color' check box. To change a color, clear the 'Color' check box, then re-select the Color check box, selecting the geometry with the new color.

You can close the Level Definition dialog box by clicking OK or Cancel. The Cancel button will not save the results of any operations in progress.


Next Bookmark

The Next Bookmark toolbar icon allows jumps you to the next location that contains a bookmark in the part program. See Bookmarks for more information.


Output as a DMIS Output File:

If the DMIS Output check box is selected, PC-DMIS allows you to save the Edit window information as a DMIS Output file. Two check boxes (Overwrite Output File and Output Theoretical Values). and a Save As button become available.

  • Clicking the Save As button, opens a Save As dialog box. This allows you to save Edit window information to a directory of your choice in a DMIS output format. Available file formats use the .dmo, .dms, and .dmi extensions.

  • If Overwrite Output File is selected, PC-DMIS will simply overwrite the old output file with the new one. However, if this check box is not selected when the part program is executed, then PC-DMIS attempts to follow the naming scheme used when the Save As button was used last, without overwriting any previous files.

    For example, if you had previously selected "test.dmo" as your output file and Overwrite Output File was not selected, the next time the part program was executed, PC-DMIS would save a new file as "test1.dmo". New executions of the part program would be saved as files incremented in this manner.

  • If Output Theoretical Values is selected PC-DMIS outputs the theoretical values along with the measured values to the output DMIS file.

Note: The numeric portion of the file name should not exceed more than 10 digits. Otherwise, you run the risk of overwriting older output files.


Output to a File:

If the output is sent to a file, it can be saved in either a Rich Text Format (.rtf) or Portable Document Format (.pdf) file. The filename is initially generated and formatted to have the same name as the part program plus an appended numerical index before the extension. Although PC-DMIS generates this initial file name, the name does not need to follow the default format and may be changed.

Note: The Append and Overwrite options become available for selection only after you have created a file to which the information has been stored previously.

Appending a File:
If Append is selected, PC-DMIS adds the current data from the Edit window to the selected file. Note that the complete path must be specified; otherwise, PC-DMIS will assume the same directory as the part program. Also, if the file does not exist, it will be created when generating the report.

Overwriting a File:
PC-DMIS overwrites the selected file with the current Edit window data. Note that the complete path must be specified; otherwise, PC-DMIS will assume the same directory as the part program. Also, if the file does not exist, it will be created when generating the report.

Prompting for a Destination:
If Prompt is selected, PC-DMIS will display a Save As dialog box through which you can choose the destination file for the report.

Using the Auto Option:
PC-DMIS generates the report filename automatically using the number in the Index box. The name of the generated file name will have the same name as the part program appended by the numerical index and extension. Also, the generated file will be located in the same directory as the part program. If a file exists with the same name as the generated filename, the Auto option will incrementthe Index until a unique file name is found.

Rich Text Format ( RTF ):
If the Rich Text Format (RTF) option is selected, PC-DMIS generates the report using the Microsoft Rich Text Format (.rtf file) for interchanging documents.

Portable Document Format (PDF):
If the Portable Document Format (PDF) option is selected, PC-DMIS generates the report using the Adobe Portable Document Format (.pdf file) for electronic file sharing.

Hyper Reports Inline:
This check box becomes available when you select the Portable Document Format (PDF) option. Selecting this check box causes data from printing the Edit window and the HyperView commands to appear in the same PDF generated file. Be aware that this option overrides the AUTOPRINT option for Hyper Report commands (See the "The HyperView Report Command Object" topic in the "Hyper-View Reporting Tutorial" section). Also note that Hyper Reports cannot be printed to RTF files.


Output to the Printer:

If the Draft Mode check box is selected, PC-DMIS will change the Edit window fonts to a draft mode type for printing purposes. Any colors used in the report (to distinguish tolerances, modes, etc.) will be changed to black. These alterations will greatly improve the speed of printing.


Paste

The Paste toolbar icon will paste information being held in the Windows 95 clipboard into the Edit window at the cursor's current location. See Paste (Ctrl V) for more information.


Program Mode

The Program mode icon allows you to learn and edit part programs using CAD data from IGES files. This capability is available in either the off-line or on-line versions of PC-DMIS.

To turn on the Program Mode:

  1. Place the mouse pointer (arrow icon) over the Program mode icon.

  2. Click the left mouse button (or select the shortcut keys: ctrl + f4).

For further information on programming using graphics, refer to the "Off-Line Part Programming" section.


Read Lock

The Read Lock box allows you to determine the maximum number of seconds that PC-DMIS will wait for database access when reading. The default value is 10 seconds.

To change the number of seconds that PC-DMIS will wait:

  1. Select the current value in the Read Lock box.

  2. Type a new value.

  3. Press the TAB key.

  4. Click OK.


Report Mode

The Report Mode toolbar icon places the Edit window in Report mode. This mode allows you to view the information that will be displayed in a report. See Report for more information.


Rotate 2D Mode

The 2D Rotate Mode icon rotates the part in two dimensions. The part can be rotated a full 360 degrees or any fraction thereof.

To put PC-DMIS in the 2D Rotate Mode:

  1. Place the mouse pointer (arrow icon) over the 2D Rotate Mode icon.

  2. Click the left button (or select the shortcut keys: ctrl + f2).

The "Rotate 2D by Dragging" and the "Rotate 2D to an Element" describe two different ways to rotate a drawing in two dimensions.

More:

Rotate 2D by Dragging

Rotate 2D to an Element (Square up the Drawing)


Rotate 3D Mode

The 3D Rotate Mode icon allows you to rotate a part drawing in three dimensions. The part can be rotated up to 45 degrees per rotation.

To activate the Rotate 3D Mode:

  1. Place the mouse pointer over the 3D Rotate Mode icon.

  2. Click the left mouse button (or select the shortcut keys: ctrl + f3).

The Rotate dialog box will appear.

Note: The shortcut key ctrl + r can also be used to display the Rotate dialog box.

Note: If the ANIMATE check box is marked, PC-DMIS will dynamically redraw the graphic display as the mouse is being moved.

The "Rotate 3D using Rotate Dialog Box", "Rotate 3D by Dragging", and "Rotate 3D to an Element" describe three different ways to rotate a drawing in three dimensions.

More:

Rotate 3D using Rotate Dialog Box

Rotate 3D by Dragging

Rotate 3D to an Element (Square up the Drawing)


Save View

You can create and save different Graphics Display window views for future reference. The Save View icon allows you to save an unlimited number of views.

To save the current view:

  1. Place the cursor (arrow icon) over the Save View icon and click the left mouse button. A pop up box will appear with the prompt "Enter View Name To Save."

  2. In the pop-up box, type in the desired name (6-character limit) for the view.

  3. Click the OK button or press the ENTER key.

The Views List will then display the newly created view ID. This newly created view set can be recalled at any point in the part program by using the Recall/View set command.


Scale to Fit

The Scale To Fit icon re-displays the part image to fit entirely within the Graphics Display window. This option is helpful whenever the image becomes too large or too small. To alter the part image so all features and CAD elements are visible, simply click the Scale To Fit icon on the toolbar.


Summary Mode

The Summary Mode toolbar icon places the Edit window in summary mode. This mode provides you with an expandable and collapsible graphical summary of all features and commands in your part program. You can also do some limited editing. See Working in Summary Mode for more information.


Text Box Mode

The Text Box Mode icon allows you to quickly create and modify Dimension Info and Point Info text boxes by using shortcut menus that appear when you right-click on certain items.

Note: Inside the Graphics Display window, notice that when you move the mouse over either a feature, or a feature's ID label, that PC-DMIS hightlights the feature on the CAD drawing. This new option helps you quickly identify the feature associated with a particular label.

The following are the shortcut menus available inside Text Box Mode:

  • If you right-click on the feature, feature's ID label, or text box, PC-DMIS displays a shortcut menu for that feature. See "Feature Shortcut Menu" in the "User Interface" section.

  • If you right-click on a Dimension info or Point Info box, PC-DMIS displays a shortcut menu for that text box. See "Feature Shortcut Menu" in the "User Interface" section.

  • If you box-select one or more features, PC-DMIS displays a shortcut menu. See "Box-Select Shortcut Menu" in the "User Interface" section

Note: When your mouse isn't over a feature or text box, PC-DMIS allows you to perform the normal translate mode operations of zooming and rotating the part with the right mouse button. See Error! Reference source not found. for additional information.


The Mode Icons

Through the Mode icons you tell PC-DMIS how to interpret mouse clicks. There are five available modes. These are:

  1. Translate

  2. Rotate 2D

  3. Rotate 3D

  4. Program

  5. Text Box


The View Icons

The View icons let you tailor the Graphics Display window to meet your specific needs. With the View icons, PC-DMIS allows you to:

  • Alter the view setup

  • Save views

  • Scale the displayed graphics to fit within screen

  • Draw surfaces

  • Repaint the screen


Translate Mode

The Translate Mode icon allows you to move and zoom in or out on the part while in the Graphics Display window. To access this option, place the mouse pointer (arrow icon) over the Translate Mode icon, and click the left mouse button (or select the shortcut keys: CTRL + F1). The following functions are available in the Translate Mode:

  • Shrink the size of the part within the Graphics Display window.

  • Enlarge the size of the part within the Graphics Display window.

  • Select a portion of the part within the Graphics Display window.

  • Reposition the part within the Graphics Display window.

More:

Shrinking the Part Image within the Graphics Display window

Enlarging the Part Image within the Graphics Display window

Enlarging a Portion of the Part Image within the Graphics Display window

Repositioning the Part Image within the Graphics Display window


View Setup

The View Setup toolbar icon opens the Screen Format dialog box. This dialog box lets you specify the number of views (maximum of four) of the part that PC-DMIS will display in the Graphics Display window. You can also determine the orientation of each view and if the particular view is displayed as a wireframe or a solid.

screen Hotspot 7 Hotspot 6 Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 Hotspot 1 Screen Format dialog box

More:

Change Layout and Views

Rulers

Show lines over surfaces

3D Grid

Levels

Change Size of Views

Repaint the Screen


Write Lock

The Write Lock box allows you to determine the maximum number of seconds that PC-DMIS will wait for database access when writing. The default value is 20 seconds.

To change the number of seconds that PC-DMIS will wait:

  1. Select the current value in the Write Lock box.

  2. Type a new value.

  3. Press the TAB key.

  4. Click OK.